searchData={"items":[{"type":"module","title":"GoogleApi.Compute.V1","doc":"API client metadata for GoogleApi.Compute.V1.","ref":"GoogleApi.Compute.V1.html"},{"type":"function","title":"GoogleApi.Compute.V1.discovery_revision/0","doc":"","ref":"GoogleApi.Compute.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Compute.V1.Api.AcceleratorTypes","doc":"API calls for all endpoints tagged `AcceleratorTypes`.","ref":"GoogleApi.Compute.V1.Api.AcceleratorTypes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.AcceleratorTypes.compute_accelerator_types_aggregated_list/4","doc":"Retrieves an aggregated list of accelerator types. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.AcceleratorTypes.html#compute_accelerator_types_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.AcceleratorTypes.compute_accelerator_types_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.AcceleratorTypes.html#compute_accelerator_types_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.AcceleratorTypes.compute_accelerator_types_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.AcceleratorTypes.html#compute_accelerator_types_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.AcceleratorTypes.compute_accelerator_types_get/6","doc":"Returns the specified accelerator type.","ref":"GoogleApi.Compute.V1.Api.AcceleratorTypes.html#compute_accelerator_types_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.AcceleratorTypes.compute_accelerator_types_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `accelerator_type` (*type:* `String.t`) - Name of the accelerator type to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.AcceleratorTypes.html#compute_accelerator_types_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.AcceleratorTypes.compute_accelerator_types_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.AcceleratorType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.AcceleratorTypes.html#compute_accelerator_types_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.AcceleratorTypes.compute_accelerator_types_list/5","doc":"Retrieves a list of accelerator types that are available to the specified project.","ref":"GoogleApi.Compute.V1.Api.AcceleratorTypes.html#compute_accelerator_types_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.AcceleratorTypes.compute_accelerator_types_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.AcceleratorTypes.html#compute_accelerator_types_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.AcceleratorTypes.compute_accelerator_types_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.AcceleratorTypeList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.AcceleratorTypes.html#compute_accelerator_types_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Addresses","doc":"API calls for all endpoints tagged `Addresses`.","ref":"GoogleApi.Compute.V1.Api.Addresses.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Addresses.compute_addresses_aggregated_list/4","doc":"Retrieves an aggregated list of addresses. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.AddressAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Addresses.compute_addresses_delete/6","doc":"Deletes the specified address resource.","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `address` (*type:* `String.t`) - Name of the address resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Addresses.compute_addresses_get/6","doc":"Returns the specified address resource.","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `address` (*type:* `String.t`) - Name of the address resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Address{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Addresses.compute_addresses_insert/5","doc":"Creates an address resource in the specified project by using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Address.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Addresses.compute_addresses_list/5","doc":"Retrieves a list of addresses contained within the specified region.","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.AddressList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Addresses.compute_addresses_move/6","doc":"Moves the specified address resource.","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_move/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_move/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Source project ID which the Address is moved from.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `address` (*type:* `String.t`) - Name of the address resource to move.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionAddressesMoveRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_move/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_move/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_move/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Addresses.compute_addresses_set_labels/6","doc":"Sets the labels on an Address. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Addresses.compute_addresses_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Addresses.html#compute_addresses_set_labels/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Autoscalers","doc":"API calls for all endpoints tagged `Autoscalers`.","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_aggregated_list/4","doc":"Retrieves an aggregated list of autoscalers. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.AutoscalerAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_delete/6","doc":"Deletes the specified autoscaler.","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `autoscaler` (*type:* `String.t`) - Name of the autoscaler to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_get/6","doc":"Returns the specified autoscaler resource.","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `autoscaler` (*type:* `String.t`) - Name of the autoscaler to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Autoscaler{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_insert/5","doc":"Creates an autoscaler in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Autoscaler.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_list/5","doc":"Retrieves a list of autoscalers contained within the specified zone.","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.AutoscalerList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_patch/5","doc":"Updates an autoscaler in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:autoscaler` (*type:* `String.t`) - Name of the autoscaler to patch.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Autoscaler.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_update/5","doc":"Updates an autoscaler in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_update/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_update/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:autoscaler` (*type:* `String.t`) - Name of the autoscaler to update.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Autoscaler.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Autoscalers.compute_autoscalers_update/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Autoscalers.html#compute_autoscalers_update/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.BackendBuckets","doc":"API calls for all endpoints tagged `BackendBuckets`.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_add_signed_url_key/5","doc":"Adds a key for validating requests with signed URLs for this backend bucket.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_add_signed_url_key/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_add_signed_url_key/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_bucket` (*type:* `String.t`) - Name of the BackendBucket resource to which the Signed URL Key should be added. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SignedUrlKey.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_add_signed_url_key/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_add_signed_url_key/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_add_signed_url_key/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_delete/5","doc":"Deletes the specified BackendBucket resource.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_bucket` (*type:* `String.t`) - Name of the BackendBucket resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_delete_signed_url_key/6","doc":"Deletes a key for validating requests with signed URLs for this backend bucket.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_delete_signed_url_key/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_delete_signed_url_key/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_bucket` (*type:* `String.t`) - Name of the BackendBucket resource to which the Signed URL Key should be added. The name should conform to RFC1035.\n*   `key_name` (*type:* `String.t`) - The name of the Signed URL Key to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_delete_signed_url_key/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_delete_signed_url_key/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_delete_signed_url_key/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_get/5","doc":"Returns the specified BackendBucket resource.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_bucket` (*type:* `String.t`) - Name of the BackendBucket resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendBucket{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_get_iam_policy/5","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_get_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_get_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_get_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_get_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_get_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_insert/4","doc":"Creates a BackendBucket resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BackendBucket.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_list/4","doc":"Retrieves the list of BackendBucket resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendBucketList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_patch/5","doc":"Updates the specified BackendBucket resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_bucket` (*type:* `String.t`) - Name of the BackendBucket resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BackendBucket.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_set_edge_security_policy/5","doc":"Sets the edge security policy for the specified backend bucket.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_set_edge_security_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_set_edge_security_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_bucket` (*type:* `String.t`) - Name of the BackendBucket resource to which the security policy should be set. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_set_edge_security_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_set_edge_security_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_set_edge_security_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_set_iam_policy/5","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_set_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_set_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_set_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_set_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_set_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_test_iam_permissions/5","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_test_iam_permissions/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_test_iam_permissions/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_test_iam_permissions/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_test_iam_permissions/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_test_iam_permissions/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_update/5","doc":"Updates the specified BackendBucket resource with the data included in the request.","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_update/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_update/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_bucket` (*type:* `String.t`) - Name of the BackendBucket resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BackendBucket.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendBuckets.compute_backend_buckets_update/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendBuckets.html#compute_backend_buckets_update/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.BackendServices","doc":"API calls for all endpoints tagged `BackendServices`.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_add_signed_url_key/5","doc":"Adds a key for validating requests with signed URLs for this backend service.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_add_signed_url_key/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_add_signed_url_key/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to which the Signed URL Key should be added. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SignedUrlKey.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_add_signed_url_key/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_add_signed_url_key/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_add_signed_url_key/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_aggregated_list/4","doc":"Retrieves the list of all BackendService resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendServiceAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_delete/5","doc":"Deletes the specified BackendService resource.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_delete_signed_url_key/6","doc":"Deletes a key for validating requests with signed URLs for this backend service.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_delete_signed_url_key/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_delete_signed_url_key/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to which the Signed URL Key should be added. The name should conform to RFC1035.\n*   `key_name` (*type:* `String.t`) - The name of the Signed URL Key to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_delete_signed_url_key/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_delete_signed_url_key/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_delete_signed_url_key/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_get/5","doc":"Returns the specified BackendService resource.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendService{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_get_health/5","doc":"Gets the most recent health check results for this BackendService. Example request body: { \"group\": \"/zones/us-east1-b/instanceGroups/lb-backend-example\" }","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_get_health/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_get_health/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - \n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to which the queried instance belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ResourceGroupReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_get_health/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_get_health/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendServiceGroupHealth{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_get_health/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_get_iam_policy/5","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_get_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_get_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_get_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_get_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_get_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_insert/4","doc":"Creates a BackendService resource in the specified project using the data included in the request. For more information, see Backend services overview .","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BackendService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_list/4","doc":"Retrieves the list of BackendService resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendServiceList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_list_usable/4","doc":"Retrieves a list of all usable backend services in the specified project.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_list_usable/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_list_usable/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_list_usable/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_list_usable/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendServiceListUsable{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_list_usable/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_patch/5","doc":"Patches the specified BackendService resource with the data included in the request. For more information, see Backend services overview. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BackendService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_set_edge_security_policy/5","doc":"Sets the edge security policy for the specified backend service.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_set_edge_security_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_set_edge_security_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to which the edge security policy should be set. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_set_edge_security_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_set_edge_security_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_set_edge_security_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_set_iam_policy/5","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_set_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_set_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_set_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_set_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_set_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_set_security_policy/5","doc":"Sets the Google Cloud Armor security policy for the specified backend service. For more information, see Google Cloud Armor Overview","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_set_security_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_set_security_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to which the security policy should be set. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_set_security_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_set_security_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_set_security_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_test_iam_permissions/5","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_test_iam_permissions/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_test_iam_permissions/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_test_iam_permissions/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_test_iam_permissions/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_test_iam_permissions/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_update/5","doc":"Updates the specified BackendService resource with the data included in the request. For more information, see Backend services overview.","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_update/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_update/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BackendService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.BackendServices.compute_backend_services_update/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.BackendServices.html#compute_backend_services_update/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.DiskTypes","doc":"API calls for all endpoints tagged `DiskTypes`.","ref":"GoogleApi.Compute.V1.Api.DiskTypes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.DiskTypes.compute_disk_types_aggregated_list/4","doc":"Retrieves an aggregated list of disk types. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.DiskTypes.html#compute_disk_types_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.DiskTypes.compute_disk_types_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.DiskTypes.html#compute_disk_types_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.DiskTypes.compute_disk_types_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.DiskTypeAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.DiskTypes.html#compute_disk_types_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.DiskTypes.compute_disk_types_get/6","doc":"Returns the specified disk type.","ref":"GoogleApi.Compute.V1.Api.DiskTypes.html#compute_disk_types_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.DiskTypes.compute_disk_types_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `disk_type` (*type:* `String.t`) - Name of the disk type to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.DiskTypes.html#compute_disk_types_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.DiskTypes.compute_disk_types_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.DiskType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.DiskTypes.html#compute_disk_types_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.DiskTypes.compute_disk_types_list/5","doc":"Retrieves a list of disk types available to the specified project.","ref":"GoogleApi.Compute.V1.Api.DiskTypes.html#compute_disk_types_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.DiskTypes.compute_disk_types_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.DiskTypes.html#compute_disk_types_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.DiskTypes.compute_disk_types_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.DiskTypeList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.DiskTypes.html#compute_disk_types_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Disks","doc":"API calls for all endpoints tagged `Disks`.","ref":"GoogleApi.Compute.V1.Api.Disks.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_add_resource_policies/6","doc":"Adds existing resource policies to a disk. You can only add one policy which will be applied to this disk for scheduling snapshot creation.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_add_resource_policies/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_add_resource_policies/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `disk` (*type:* `String.t`) - The disk name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.DisksAddResourcePoliciesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_add_resource_policies/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_add_resource_policies/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_add_resource_policies/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_aggregated_list/4","doc":"Retrieves an aggregated list of persistent disks. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.DiskAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_bulk_insert/5","doc":"Bulk create a set of disks.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_bulk_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_bulk_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BulkInsertDiskResource.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_bulk_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_bulk_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_bulk_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_create_snapshot/6","doc":"Creates a snapshot of a specified persistent disk. For regular snapshot creation, consider using snapshots.insert instead, as that method supports more features, such as creating snapshots in a project different from the source disk project.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_create_snapshot/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_create_snapshot/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `disk` (*type:* `String.t`) - Name of the persistent disk to snapshot.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:guestFlush` (*type:* `boolean()`) - [Input Only] Whether to attempt an application consistent snapshot by informing the OS to prepare for the snapshot process.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Snapshot.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_create_snapshot/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_create_snapshot/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_create_snapshot/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_delete/6","doc":"Deletes the specified persistent disk. Deleting a disk removes its data permanently and is irreversible. However, deleting a disk does not delete any snapshots previously made from the disk. You must separately delete snapshots.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `disk` (*type:* `String.t`) - Name of the persistent disk to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_get/6","doc":"Returns the specified persistent disk.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `disk` (*type:* `String.t`) - Name of the persistent disk to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Disk{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_insert/5","doc":"Creates a persistent disk in the specified project using the data in the request. You can create a disk from a source (sourceImage, sourceSnapshot, or sourceDisk) or create an empty 500 GB data disk by omitting all properties. You can also create a disk that is larger than the default size by specifying the sizeGb property.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:sourceImage` (*type:* `String.t`) - Source image to restore onto a disk. This field is optional.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Disk.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_list/5","doc":"Retrieves a list of persistent disks contained within the specified zone.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.DiskList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_remove_resource_policies/6","doc":"Removes resource policies from a disk.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_remove_resource_policies/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_remove_resource_policies/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `disk` (*type:* `String.t`) - The disk name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.DisksRemoveResourcePoliciesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_remove_resource_policies/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_remove_resource_policies/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_remove_resource_policies/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_resize/6","doc":"Resizes the specified persistent disk. You can only increase the size of the disk.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_resize/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_resize/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `disk` (*type:* `String.t`) - The name of the persistent disk.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.DisksResizeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_resize/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_resize/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_resize/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_set_labels/6","doc":"Sets the labels on a disk. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ZoneSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_set_labels/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_start_async_replication/6","doc":"Starts asynchronous replication. Must be invoked on the primary disk.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_start_async_replication/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_start_async_replication/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `disk` (*type:* `String.t`) - The name of the persistent disk.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.DisksStartAsyncReplicationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_start_async_replication/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_start_async_replication/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_start_async_replication/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_stop_async_replication/6","doc":"Stops asynchronous replication. Can be invoked either on the primary or on the secondary disk.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_stop_async_replication/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_stop_async_replication/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `disk` (*type:* `String.t`) - The name of the persistent disk.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_stop_async_replication/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_stop_async_replication/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_stop_async_replication/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_stop_group_async_replication/5","doc":"Stops asynchronous replication for a consistency group of disks. Can be invoked either in the primary or secondary scope.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_stop_group_async_replication/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_stop_group_async_replication/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request. This must be the zone of the primary or secondary disks in the consistency group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.DisksStopGroupAsyncReplicationResource.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_stop_group_async_replication/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_stop_group_async_replication/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_stop_group_async_replication/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_test_iam_permissions/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Disks.compute_disks_update/6","doc":"Updates the specified disk with the data included in the request. The update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: user_license.","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_update/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Disks.compute_disks_update/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `disk` (*type:* `String.t`) - The disk name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:paths` (*type:* `list(String.t)`) - \n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - update_mask indicates fields to be updated as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Disk.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Disks.compute_disks_update/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Disks.html#compute_disks_update/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.ExternalVpnGateways","doc":"API calls for all endpoints tagged `ExternalVpnGateways`.","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_delete/5","doc":"Deletes the specified externalVpnGateway.","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `external_vpn_gateway` (*type:* `String.t`) - Name of the externalVpnGateways to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_get/5","doc":"Returns the specified externalVpnGateway. Get a list of available externalVpnGateways by making a list() request.","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `external_vpn_gateway` (*type:* `String.t`) - Name of the externalVpnGateway to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ExternalVpnGateway{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_insert/4","doc":"Creates a ExternalVpnGateway in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ExternalVpnGateway.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_list/4","doc":"Retrieves the list of ExternalVpnGateway available to the specified project.","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ExternalVpnGatewayList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_set_labels/5","doc":"Sets the labels on an ExternalVpnGateway. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_set_labels/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_set_labels/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_set_labels/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_set_labels/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_set_labels/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_test_iam_permissions/5","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_test_iam_permissions/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_test_iam_permissions/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_test_iam_permissions/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ExternalVpnGateways.compute_external_vpn_gateways_test_iam_permissions/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ExternalVpnGateways.html#compute_external_vpn_gateways_test_iam_permissions/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.FirewallPolicies","doc":"API calls for all endpoints tagged `FirewallPolicies`.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_add_association/4","doc":"Inserts an association for the specified firewall policy.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_add_association/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_add_association/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:replaceExistingAssociation` (*type:* `boolean()`) - Indicates whether or not to replace it if an association of the attachment already exists. This is false by default, in which case an error will be returned if an association already exists.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_add_association/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_add_association/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_add_association/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_add_rule/4","doc":"Inserts a rule into a firewall policy.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_add_rule/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_add_rule/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_add_rule/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_add_rule/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_add_rule/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_clone_rules/4","doc":"Copies rules to the specified firewall policy.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_clone_rules/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_clone_rules/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:sourceFirewallPolicy` (*type:* `String.t`) - The firewall policy from which to copy rules.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_clone_rules/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_clone_rules/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_clone_rules/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_delete/4","doc":"Deletes the specified policy.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_delete/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_delete/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get/4","doc":"Returns the specified firewall policy.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get_association/4","doc":"Gets an association with the specified name.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get_association/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get_association/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to which the queried rule belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:name` (*type:* `String.t`) - The name of the association to get from the firewall policy.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get_association/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get_association/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicyAssociation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get_association/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get_iam_policy/4","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get_iam_policy/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get_iam_policy/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get_iam_policy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get_iam_policy/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get_iam_policy/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get_rule/4","doc":"Gets a rule of the specified priority.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get_rule/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get_rule/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to which the queried rule belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to get from the firewall policy.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get_rule/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_get_rule/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicyRule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_get_rule/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_insert/3","doc":"Creates a new policy in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_insert/3"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_insert/3","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:parentId` (*type:* `String.t`) - Parent ID for this request. The ID can be either be \"folders/[FOLDER_ID]\" if the parent is a folder or \"organizations/[ORGANIZATION_ID]\" if the parent is an organization.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_insert/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_insert/3","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_insert/3-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_list/3","doc":"Lists all the policies that have been configured for the specified folder or organization.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_list/3"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_list/3","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:parentId` (*type:* `String.t`) - Parent ID for this request. The ID can be either be \"folders/[FOLDER_ID]\" if the parent is a folder or \"organizations/[ORGANIZATION_ID]\" if the parent is an organization.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_list/3","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_list/3-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_list_associations/3","doc":"Lists associations of a specified target, i.e., organization or folder.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_list_associations/3"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_list_associations/3","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:targetResource` (*type:* `String.t`) - The target resource to list associations. It is an organization, or a folder.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_list_associations/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_list_associations/3","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPoliciesListAssociationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_list_associations/3-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_move/4","doc":"Moves the specified firewall policy.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_move/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_move/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:parentId` (*type:* `String.t`) - The new parent of the firewall policy. The ID can be either be \"folders/[FOLDER_ID]\" if the parent is a folder or \"organizations/[ORGANIZATION_ID]\" if the parent is an organization.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_move/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_move/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_move/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_patch/4","doc":"Patches the specified policy with the data included in the request.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_patch/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_patch/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_patch_rule/4","doc":"Patches a rule of the specified priority.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_patch_rule/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_patch_rule/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to patch.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_patch_rule/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_patch_rule/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_patch_rule/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_remove_association/4","doc":"Removes an association for the specified firewall policy.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_remove_association/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_remove_association/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:name` (*type:* `String.t`) - Name for the attachment that will be removed.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_remove_association/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_remove_association/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_remove_association/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_remove_rule/4","doc":"Deletes a rule of the specified priority.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_remove_rule/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_remove_rule/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to remove from the firewall policy.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_remove_rule/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_remove_rule/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_remove_rule/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_set_iam_policy/4","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_set_iam_policy/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_set_iam_policy/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalOrganizationSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_set_iam_policy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_set_iam_policy/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_set_iam_policy/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_test_iam_permissions/4","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_test_iam_permissions/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_test_iam_permissions/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_test_iam_permissions/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.FirewallPolicies.compute_firewall_policies_test_iam_permissions/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.FirewallPolicies.html#compute_firewall_policies_test_iam_permissions/4-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Firewalls","doc":"API calls for all endpoints tagged `Firewalls`.","ref":"GoogleApi.Compute.V1.Api.Firewalls.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_delete/5","doc":"Deletes the specified firewall.","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall` (*type:* `String.t`) - Name of the firewall rule to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_get/5","doc":"Returns the specified firewall.","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall` (*type:* `String.t`) - Name of the firewall rule to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Firewall{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_insert/4","doc":"Creates a firewall rule in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Firewall.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_list/4","doc":"Retrieves the list of firewall rules available to the specified project.","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_patch/5","doc":"Updates the specified firewall rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall` (*type:* `String.t`) - Name of the firewall rule to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Firewall.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_update/5","doc":"Updates the specified firewall rule with the data included in the request. Note that all fields will be updated if using PUT, even fields that are not specified. To update individual fields, please use PATCH instead.","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_update/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_update/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall` (*type:* `String.t`) - Name of the firewall rule to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Firewall.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Firewalls.compute_firewalls_update/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Firewalls.html#compute_firewalls_update/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.ForwardingRules","doc":"API calls for all endpoints tagged `ForwardingRules`.","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_aggregated_list/4","doc":"Retrieves an aggregated list of forwarding rules. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_delete/6","doc":"Deletes the specified ForwardingRule resource.","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `forwarding_rule` (*type:* `String.t`) - Name of the ForwardingRule resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_get/6","doc":"Returns the specified ForwardingRule resource.","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `forwarding_rule` (*type:* `String.t`) - Name of the ForwardingRule resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ForwardingRule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_insert/5","doc":"Creates a ForwardingRule resource in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ForwardingRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_list/5","doc":"Retrieves a list of ForwardingRule resources available to the specified project and region.","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ForwardingRuleList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_patch/6","doc":"Updates the specified forwarding rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. Currently, you can only patch the network_tier field.","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `forwarding_rule` (*type:* `String.t`) - Name of the ForwardingRule resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ForwardingRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_set_labels/6","doc":"Sets the labels on the specified resource. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_set_labels/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_set_target/6","doc":"Changes target URL for forwarding rule. The new target should be of the same type as the old target.","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_set_target/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_set_target/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `forwarding_rule` (*type:* `String.t`) - Name of the ForwardingRule resource in which target is to be set.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_set_target/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ForwardingRules.compute_forwarding_rules_set_target/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ForwardingRules.html#compute_forwarding_rules_set_target/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.GlobalAddresses","doc":"API calls for all endpoints tagged `GlobalAddresses`.","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_delete/5","doc":"Deletes the specified address resource.","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `address` (*type:* `String.t`) - Name of the address resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_get/5","doc":"Returns the specified address resource.","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `address` (*type:* `String.t`) - Name of the address resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Address{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_insert/4","doc":"Creates an address resource in the specified project by using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Address.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_list/4","doc":"Retrieves a list of global addresses.","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.AddressList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_move/5","doc":"Moves the specified address resource from one project to another project.","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_move/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_move/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Source project ID which the Address is moved from.\n*   `address` (*type:* `String.t`) - Name of the address resource to move.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalAddressesMoveRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_move/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_move/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_move/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_set_labels/5","doc":"Sets the labels on a GlobalAddress. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_set_labels/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_set_labels/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_set_labels/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalAddresses.compute_global_addresses_set_labels/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalAddresses.html#compute_global_addresses_set_labels/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.GlobalForwardingRules","doc":"API calls for all endpoints tagged `GlobalForwardingRules`.","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_delete/5","doc":"Deletes the specified GlobalForwardingRule resource.","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `forwarding_rule` (*type:* `String.t`) - Name of the ForwardingRule resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_get/5","doc":"Returns the specified GlobalForwardingRule resource. Gets a list of available forwarding rules by making a list() request.","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `forwarding_rule` (*type:* `String.t`) - Name of the ForwardingRule resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ForwardingRule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_insert/4","doc":"Creates a GlobalForwardingRule resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ForwardingRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_list/4","doc":"Retrieves a list of GlobalForwardingRule resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ForwardingRuleList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_patch/5","doc":"Updates the specified forwarding rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. Currently, you can only patch the network_tier field.","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `forwarding_rule` (*type:* `String.t`) - Name of the ForwardingRule resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ForwardingRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_set_labels/5","doc":"Sets the labels on the specified resource. To learn more about labels, read the Labeling resources documentation.","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_set_labels/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_set_labels/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_set_labels/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_set_labels/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_set_labels/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_set_target/5","doc":"Changes target URL for the GlobalForwardingRule resource. The new target should be of the same type as the old target.","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_set_target/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_set_target/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `forwarding_rule` (*type:* `String.t`) - Name of the ForwardingRule resource in which target is to be set.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_set_target/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalForwardingRules.compute_global_forwarding_rules_set_target/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalForwardingRules.html#compute_global_forwarding_rules_set_target/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups","doc":"API calls for all endpoints tagged `GlobalNetworkEndpointGroups`.","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_attach_network_endpoints/5","doc":"Attach a network endpoint to the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_attach_network_endpoints/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_attach_network_endpoints/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group where you are attaching network endpoints to. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsAttachEndpointsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_attach_network_endpoints/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_attach_network_endpoints/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_attach_network_endpoints/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_delete/5","doc":"Deletes the specified network endpoint group.Note that the NEG cannot be deleted if there are backend services referencing it.","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group to delete. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_detach_network_endpoints/5","doc":"Detach the network endpoint from the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_detach_network_endpoints/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_detach_network_endpoints/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group where you are removing network endpoints. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsDetachEndpointsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_detach_network_endpoints/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_detach_network_endpoints/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_detach_network_endpoints/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_get/5","doc":"Returns the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEndpointGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_insert/4","doc":"Creates a network endpoint group in the specified project using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_list/4","doc":"Retrieves the list of network endpoint groups that are located in the specified project.","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEndpointGroupList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_list_network_endpoints/5","doc":"Lists the network endpoints in the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_list_network_endpoints/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_list_network_endpoints/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group from which you want to generate a list of included network endpoints. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_list_network_endpoints/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.compute_global_network_endpoint_groups_list_network_endpoints/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalNetworkEndpointGroups.html#compute_global_network_endpoint_groups_list_network_endpoints/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.GlobalOperations","doc":"API calls for all endpoints tagged `GlobalOperations`.","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_aggregated_list/4","doc":"Retrieves an aggregated list of all operations. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.OperationAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_delete/5","doc":"Deletes the specified Operations resource.","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to delete, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_delete/5","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_get/5","doc":"Retrieves the specified Operations resource.","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to return, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_list/4","doc":"Retrieves a list of Operation resources contained within the specified project.","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.OperationList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_wait/5","doc":"Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method differs from the `GET` method in that it waits for no more than the default deadline (2 minutes) and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`.","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_wait/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_wait/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to return, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_wait/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalOperations.compute_global_operations_wait/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalOperations.html#compute_global_operations_wait/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations","doc":"API calls for all endpoints tagged `GlobalOrganizationOperations`.","ref":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.compute_global_organization_operations_delete/4","doc":"Deletes the specified Operations resource.","ref":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.html#compute_global_organization_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.compute_global_organization_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to delete, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:parentId` (*type:* `String.t`) - Parent ID for this request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.html#compute_global_organization_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.compute_global_organization_operations_delete/4","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.html#compute_global_organization_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.compute_global_organization_operations_get/4","doc":"Retrieves the specified Operations resource. Gets a list of operations by making a `list()` request.","ref":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.html#compute_global_organization_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.compute_global_organization_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to return, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:parentId` (*type:* `String.t`) - Parent ID for this request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.html#compute_global_organization_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.compute_global_organization_operations_get/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.html#compute_global_organization_operations_get/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.compute_global_organization_operations_list/3","doc":"Retrieves a list of Operation resources contained within the specified organization.","ref":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.html#compute_global_organization_operations_list/3"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.compute_global_organization_operations_list/3","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:parentId` (*type:* `String.t`) - Parent ID for this request.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.html#compute_global_organization_operations_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.compute_global_organization_operations_list/3","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.OperationList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalOrganizationOperations.html#compute_global_organization_operations_list/3-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes","doc":"API calls for all endpoints tagged `GlobalPublicDelegatedPrefixes`.","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_delete/5","doc":"Deletes the specified global PublicDelegatedPrefix.","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `public_delegated_prefix` (*type:* `String.t`) - Name of the PublicDelegatedPrefix resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_get/5","doc":"Returns the specified global PublicDelegatedPrefix resource.","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `public_delegated_prefix` (*type:* `String.t`) - Name of the PublicDelegatedPrefix resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.PublicDelegatedPrefix{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_insert/4","doc":"Creates a global PublicDelegatedPrefix in the specified project using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_list/4","doc":"Lists the global PublicDelegatedPrefixes for a project.","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.PublicDelegatedPrefixList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_patch/5","doc":"Patches the specified global PublicDelegatedPrefix resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `public_delegated_prefix` (*type:* `String.t`) - Name of the PublicDelegatedPrefix resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.compute_global_public_delegated_prefixes_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.GlobalPublicDelegatedPrefixes.html#compute_global_public_delegated_prefixes_patch/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.HealthChecks","doc":"API calls for all endpoints tagged `HealthChecks`.","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_aggregated_list/4","doc":"Retrieves the list of all HealthCheck resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HealthChecksAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_delete/5","doc":"Deletes the specified HealthCheck resource.","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `health_check` (*type:* `String.t`) - Name of the HealthCheck resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_get/5","doc":"Returns the specified HealthCheck resource.","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `health_check` (*type:* `String.t`) - Name of the HealthCheck resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HealthCheck{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_insert/4","doc":"Creates a HealthCheck resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_list/4","doc":"Retrieves the list of HealthCheck resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HealthCheckList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_patch/5","doc":"Updates a HealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `health_check` (*type:* `String.t`) - Name of the HealthCheck resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_update/5","doc":"Updates a HealthCheck resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_update/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_update/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `health_check` (*type:* `String.t`) - Name of the HealthCheck resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HealthChecks.compute_health_checks_update/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HealthChecks.html#compute_health_checks_update/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.HttpHealthChecks","doc":"API calls for all endpoints tagged `HttpHealthChecks`.","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_delete/5","doc":"Deletes the specified HttpHealthCheck resource.","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `http_health_check` (*type:* `String.t`) - Name of the HttpHealthCheck resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_get/5","doc":"Returns the specified HttpHealthCheck resource.","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `http_health_check` (*type:* `String.t`) - Name of the HttpHealthCheck resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HttpHealthCheck{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_insert/4","doc":"Creates a HttpHealthCheck resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HttpHealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_list/4","doc":"Retrieves the list of HttpHealthCheck resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HttpHealthCheckList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_patch/5","doc":"Updates a HttpHealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `http_health_check` (*type:* `String.t`) - Name of the HttpHealthCheck resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HttpHealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_update/5","doc":"Updates a HttpHealthCheck resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_update/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_update/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `http_health_check` (*type:* `String.t`) - Name of the HttpHealthCheck resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HttpHealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpHealthChecks.compute_http_health_checks_update/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpHealthChecks.html#compute_http_health_checks_update/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.HttpsHealthChecks","doc":"API calls for all endpoints tagged `HttpsHealthChecks`.","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_delete/5","doc":"Deletes the specified HttpsHealthCheck resource.","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `https_health_check` (*type:* `String.t`) - Name of the HttpsHealthCheck resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_get/5","doc":"Returns the specified HttpsHealthCheck resource.","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `https_health_check` (*type:* `String.t`) - Name of the HttpsHealthCheck resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HttpsHealthCheck{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_insert/4","doc":"Creates a HttpsHealthCheck resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HttpsHealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_list/4","doc":"Retrieves the list of HttpsHealthCheck resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HttpsHealthCheckList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_patch/5","doc":"Updates a HttpsHealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `https_health_check` (*type:* `String.t`) - Name of the HttpsHealthCheck resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HttpsHealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_update/5","doc":"Updates a HttpsHealthCheck resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_update/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_update/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `https_health_check` (*type:* `String.t`) - Name of the HttpsHealthCheck resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HttpsHealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.HttpsHealthChecks.compute_https_health_checks_update/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.HttpsHealthChecks.html#compute_https_health_checks_update/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.ImageFamilyViews","doc":"API calls for all endpoints tagged `ImageFamilyViews`.","ref":"GoogleApi.Compute.V1.Api.ImageFamilyViews.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ImageFamilyViews.compute_image_family_views_get/6","doc":"Returns the latest image that is part of an image family, is not deprecated and is rolled out in the specified zone.","ref":"GoogleApi.Compute.V1.Api.ImageFamilyViews.html#compute_image_family_views_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ImageFamilyViews.compute_image_family_views_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `family` (*type:* `String.t`) - Name of the image family to search for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ImageFamilyViews.html#compute_image_family_views_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ImageFamilyViews.compute_image_family_views_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ImageFamilyView{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ImageFamilyViews.html#compute_image_family_views_get/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Images","doc":"API calls for all endpoints tagged `Images`.","ref":"GoogleApi.Compute.V1.Api.Images.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_delete/5","doc":"Deletes the specified image.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `image` (*type:* `String.t`) - Name of the image resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_deprecate/5","doc":"Sets the deprecation status of an image. If an empty request body is given, clears the deprecation status instead.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_deprecate/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_deprecate/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `image` (*type:* `String.t`) - Image name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.DeprecationStatus.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_deprecate/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_deprecate/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_deprecate/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_get/5","doc":"Returns the specified image.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `image` (*type:* `String.t`) - Name of the image resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Image{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_get_from_family/5","doc":"Returns the latest image that is part of an image family and is not deprecated. For more information on image families, see Public image families documentation.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_get_from_family/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_get_from_family/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - The image project that the image belongs to. For example, to get a CentOS image, specify centos-cloud as the image project.\n*   `family` (*type:* `String.t`) - Name of the image family to search for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_get_from_family/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_get_from_family/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Image{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_get_from_family/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_get_iam_policy/5","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_get_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_get_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_get_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_get_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_get_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_insert/4","doc":"Creates an image in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:forceCreate` (*type:* `boolean()`) - Force image creation if true.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Image.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_list/4","doc":"Retrieves the list of custom images available to the specified project. Custom images are images you create that belong to your project. This method does not get any images that belong to other projects, including publicly-available images, like Debian 8. If you want to get a list of publicly-available images, use this method to make a request to the respective image project, such as debian-cloud or windows-cloud.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ImageList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_patch/5","doc":"Patches the specified image with the data included in the request. Only the following fields can be modified: family, description, deprecation status.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `image` (*type:* `String.t`) - Name of the image resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Image.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_set_iam_policy/5","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_set_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_set_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_set_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_set_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_set_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_set_labels/5","doc":"Sets the labels on an image. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_set_labels/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_set_labels/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_set_labels/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_set_labels/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_set_labels/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Images.compute_images_test_iam_permissions/5","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_test_iam_permissions/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Images.compute_images_test_iam_permissions/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_test_iam_permissions/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Images.compute_images_test_iam_permissions/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Images.html#compute_images_test_iam_permissions/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests","doc":"API calls for all endpoints tagged `InstanceGroupManagerResizeRequests`.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_cancel/7","doc":"Cancels the specified resize request and removes it from the queue. Cancelled resize request does no longer wait for the resources to be provisioned. Cancel is only possible for requests that are accepted in the queue.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_cancel/7"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_cancel/7","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located. The name should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. The name should conform to RFC1035 or be a resource ID.\n*   `resize_request` (*type:* `String.t`) - The name of the resize request to cancel. The name should conform to RFC1035 or be a resource ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_cancel/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_cancel/7","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_cancel/7-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_delete/7","doc":"Deletes the specified, inactive resize request. Requests that are still active cannot be deleted. Deleting request does not delete instances that were provisioned previously.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_delete/7"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_delete/7","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located. The name should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. The name should conform to RFC1035 or be a resource ID.\n*   `resize_request` (*type:* `String.t`) - The name of the resize request to delete. The name should conform to RFC1035 or be a resource ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_delete/7","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_delete/7-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_get/7","doc":"Returns all of the details about the specified resize request.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_get/7"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_get/7","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the href=\"/compute/docs/regions-zones/#available\">zone scoping this request. Name should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. Name should conform to RFC1035 or be a resource ID.\n*   `resize_request` (*type:* `String.t`) - The name of the resize request. Name should conform to RFC1035 or be a resource ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_get/7","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_get/7-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_insert/6","doc":"Creates a new resize request that starts provisioning VMs immediately or queues VM creation.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_insert/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_insert/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located and where the resize request will be created. Name should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group to which the resize request will be added. Name should conform to RFC1035 or be a resource ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_insert/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_insert/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_insert/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_list/6","doc":"Retrieves a list of resize requests that are contained in the managed instance group.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_list/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_list/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located. The name should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.compute_instance_group_manager_resize_requests_list/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagerResizeRequests.html#compute_instance_group_manager_resize_requests_list/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers","doc":"API calls for all endpoints tagged `InstanceGroupManagers`.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_abandon_instances/6","doc":"Flags the specified instances to be removed from the managed instance group. Abandoning an instance does not delete the instance, but it does remove the instance from any target pools that are applied by the managed instance group. This method reduces the targetSize of the managed instance group by the number of instances that you abandon. This operation is marked as DONE when the action is scheduled even if the instances have not yet been removed from the group. You must separately verify the status of the abandoning action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_abandon_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_abandon_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersAbandonInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_abandon_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_abandon_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_abandon_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_aggregated_list/4","doc":"Retrieves the list of managed instance groups and groups them by zone. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_apply_updates_to_instances/6","doc":"Applies changes to selected instances on the managed instance group. This method can be used to apply new overrides and/or new versions.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_apply_updates_to_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_apply_updates_to_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located. Should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group, should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersApplyUpdatesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_apply_updates_to_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_apply_updates_to_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_apply_updates_to_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_create_instances/6","doc":"Creates instances with per-instance configurations in this managed instance group. Instances are created using the current instance template. The create instances operation is marked DONE if the createInstances request is successful. The underlying actions take additional time. You must separately verify the status of the creating or actions with the listmanagedinstances method.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_create_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_create_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located. It should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersCreateInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_create_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_create_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_create_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_delete/6","doc":"Deletes the specified managed instance group and all of the instances in that group. Note that the instance group must not belong to a backend service. Read Deleting an instance group for more information.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_delete_instances/6","doc":"Flags the specified instances in the managed instance group for immediate deletion. The instances are also removed from any target pools of which they were a member. This method reduces the targetSize of the managed instance group by the number of instances that you delete. This operation is marked as DONE when the action is scheduled even if the instances are still being deleted. You must separately verify the status of the deleting action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_delete_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_delete_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersDeleteInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_delete_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_delete_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_delete_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_delete_per_instance_configs/6","doc":"Deletes selected per-instance configurations for the managed instance group.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_delete_per_instance_configs/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_delete_per_instance_configs/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located. It should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersDeletePerInstanceConfigsReq.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_delete_per_instance_configs/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_delete_per_instance_configs/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_delete_per_instance_configs/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_get/6","doc":"Returns all of the details about the specified managed instance group.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupManager{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_insert/5","doc":"Creates a managed instance group using the information that you specify in the request. After the group is created, instances in the group are created using the specified instance template. This operation is marked as DONE when the group is created even if the instances in the group have not yet been created. You must separately verify the status of the individual instances with the listmanagedinstances method. A managed instance group can have up to 1000 VM instances per group. Please contact Cloud Support if you need an increase in this limit.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where you want to create the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManager.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list/5","doc":"Retrieves a list of managed instance groups that are contained within the specified project and zone.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupManagerList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list_errors/6","doc":"Lists all errors thrown by actions on instances for a given managed instance group. The filter and orderBy query parameters are not supported.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list_errors/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list_errors/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located. It should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It must be a string that meets the requirements in RFC1035, or an unsigned long integer: must match regexp pattern: (?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?)|1-9{0,19}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list_errors/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list_errors/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupManagersListErrorsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list_errors/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list_managed_instances/6","doc":"Lists all of the instances in the managed instance group. Each instance in the list has a currentAction, which indicates the action that the managed instance group is performing on the instance. For example, if the group is still creating an instance, the currentAction is CREATING. If a previous action failed, the list displays the errors for that failed action. The orderBy query parameter is not supported. The `pageToken` query parameter is supported only if the group's `listManagedInstancesResults` field is set to `PAGINATED`.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list_managed_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list_managed_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list_managed_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list_managed_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupManagersListManagedInstancesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list_managed_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list_per_instance_configs/6","doc":"Lists all of the per-instance configurations defined for the managed instance group. The orderBy query parameter is not supported.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list_per_instance_configs/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list_per_instance_configs/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located. It should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list_per_instance_configs/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_list_per_instance_configs/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsResp{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_list_per_instance_configs/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_patch/6","doc":"Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is patched even if the instances in the group are still in the process of being patched. You must separately verify the status of the individual instances with the listManagedInstances method. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where you want to create the managed instance group.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the instance group manager.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManager.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_patch_per_instance_configs/6","doc":"Inserts or patches per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_patch_per_instance_configs/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_patch_per_instance_configs/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located. It should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersPatchPerInstanceConfigsReq.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_patch_per_instance_configs/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_patch_per_instance_configs/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_patch_per_instance_configs/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_recreate_instances/6","doc":"Flags the specified VM instances in the managed instance group to be immediately recreated. Each instance is recreated using the group's current configuration. This operation is marked as DONE when the flag is set even if the instances have not yet been recreated. You must separately verify the status of each instance by checking its currentAction field; for more information, see Checking the status of managed instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_recreate_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_recreate_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersRecreateInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_recreate_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_recreate_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_recreate_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_resize/7","doc":"Resizes the managed instance group. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes instances. The resize operation is marked DONE when the resize actions are scheduled even if the group has not yet added or deleted any instances. You must separately verify the status of the creating or deleting actions with the listmanagedinstances method. When resizing down, the instance group arbitrarily chooses the order in which VMs are deleted. The group takes into account some VM attributes when making the selection including: + The status of the VM instance. + The health of the VM instance. + The instance template version the VM is based on. + For regional managed instance groups, the location of the VM instance. This list is subject to change. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_resize/7"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_resize/7","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group.\n*   `size` (*type:* `integer()`) - The number of running instances that the managed instance group should maintain at any given time. The group automatically adds or removes instances to maintain the number of instances specified by this parameter.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_resize/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_resize/7","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_resize/7-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_set_instance_template/6","doc":"Specifies the instance template to use when creating new instances in this group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_set_instance_template/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_set_instance_template/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersSetInstanceTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_set_instance_template/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_set_instance_template/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_set_instance_template/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_set_target_pools/6","doc":"Modifies the target pools to which all instances in this managed instance group are assigned. The target pools automatically apply to all of the instances in the managed instance group. This operation is marked DONE when you make the request even if the instances have not yet been added to their target pools. The change might take some time to apply to all of the instances in the group depending on the size of the group.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_set_target_pools/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_set_target_pools/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersSetTargetPoolsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_set_target_pools/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_set_target_pools/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_set_target_pools/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_update_per_instance_configs/6","doc":"Inserts or updates per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_update_per_instance_configs/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_update_per_instance_configs/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the managed instance group is located. It should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersUpdatePerInstanceConfigsReq.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_update_per_instance_configs/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroupManagers.compute_instance_group_managers_update_per_instance_configs/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroupManagers.html#compute_instance_group_managers_update_per_instance_configs/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.InstanceGroups","doc":"API calls for all endpoints tagged `InstanceGroups`.","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_add_instances/6","doc":"Adds a list of instances to the specified instance group. All of the instances in the instance group must be in the same network/subnetwork. Read Adding instances for more information.","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_add_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_add_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the instance group is located.\n*   `instance_group` (*type:* `String.t`) - The name of the instance group where you are adding instances.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupsAddInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_add_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_add_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_add_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_aggregated_list/4","doc":"Retrieves the list of instance groups and sorts them by zone. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_delete/6","doc":"Deletes the specified instance group. The instances in the group are not deleted. Note that instance group must not belong to a backend service. Read Deleting an instance group for more information.","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the instance group is located.\n*   `instance_group` (*type:* `String.t`) - The name of the instance group to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_get/6","doc":"Returns the specified zonal instance group. Get a list of available zonal instance groups by making a list() request. For managed instance groups, use the instanceGroupManagers or regionInstanceGroupManagers methods instead.","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the instance group is located.\n*   `instance_group` (*type:* `String.t`) - The name of the instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_insert/5","doc":"Creates an instance group in the specified project using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where you want to create the instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_list/5","doc":"Retrieves the list of zonal instance group resources contained within the specified zone. For managed instance groups, use the instanceGroupManagers or regionInstanceGroupManagers methods instead.","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the instance group is located.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_list_instances/6","doc":"Lists the instances in the specified instance group. The orderBy query parameter is not supported. The filter query parameter is supported, but only for expressions that use `eq` (equal) or `ne` (not equal) operators.","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_list_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_list_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the instance group is located.\n*   `instance_group` (*type:* `String.t`) - The name of the instance group from which you want to generate a list of included instances.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_list_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_list_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupsListInstances{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_list_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_remove_instances/6","doc":"Removes one or more instances from the specified instance group, but does not delete those instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration before the VM instance is removed or deleted.","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_remove_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_remove_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the instance group is located.\n*   `instance_group` (*type:* `String.t`) - The name of the instance group where the specified instances will be removed.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupsRemoveInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_remove_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_remove_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_remove_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_set_named_ports/6","doc":"Sets the named ports for the specified instance group.","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_set_named_ports/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_set_named_ports/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the instance group is located.\n*   `instance_group` (*type:* `String.t`) - The name of the instance group where the named ports are updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupsSetNamedPortsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_set_named_ports/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceGroups.compute_instance_groups_set_named_ports/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceGroups.html#compute_instance_groups_set_named_ports/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.InstanceSettings","doc":"API calls for all endpoints tagged `InstanceSettings`.","ref":"GoogleApi.Compute.V1.Api.InstanceSettings.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceSettings.compute_instance_settings_get/5","doc":"Get Instance settings.","ref":"GoogleApi.Compute.V1.Api.InstanceSettings.html#compute_instance_settings_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceSettings.compute_instance_settings_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceSettings.html#compute_instance_settings_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceSettings.compute_instance_settings_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceSettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceSettings.html#compute_instance_settings_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceSettings.compute_instance_settings_patch/5","doc":"Patch Instance settings","ref":"GoogleApi.Compute.V1.Api.InstanceSettings.html#compute_instance_settings_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceSettings.compute_instance_settings_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The zone scoping this request. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - update_mask indicates fields to be updated as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceSettings.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceSettings.html#compute_instance_settings_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceSettings.compute_instance_settings_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceSettings.html#compute_instance_settings_patch/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.InstanceTemplates","doc":"API calls for all endpoints tagged `InstanceTemplates`.","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_aggregated_list/4","doc":"Retrieves the list of all InstanceTemplates resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_delete/5","doc":"Deletes the specified instance template. Deleting an instance template is permanent and cannot be undone. It is not possible to delete templates that are already in use by a managed instance group.","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `instance_template` (*type:* `String.t`) - The name of the instance template to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_get/5","doc":"Returns the specified instance template.","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `instance_template` (*type:* `String.t`) - The name of the instance template.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_get_iam_policy/5","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_get_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_get_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_get_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_get_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_get_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_insert/4","doc":"Creates an instance template in the specified project using the data that is included in the request. If you are creating a new template to update an existing instance group, your new instance template must use the same network or, if applicable, the same subnetwork as the original template.","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceTemplate.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_list/4","doc":"Retrieves a list of instance templates that are contained within the specified project.","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceTemplateList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_set_iam_policy/5","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_set_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_set_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_set_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_set_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_set_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_test_iam_permissions/5","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_test_iam_permissions/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_test_iam_permissions/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_test_iam_permissions/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstanceTemplates.compute_instance_templates_test_iam_permissions/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstanceTemplates.html#compute_instance_templates_test_iam_permissions/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Instances","doc":"API calls for all endpoints tagged `Instances`.","ref":"GoogleApi.Compute.V1.Api.Instances.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_add_access_config/7","doc":"Adds an access config to an instance's network interface.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_add_access_config/7"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_add_access_config/7","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - The instance name for this request.\n*   `network_interface` (*type:* `String.t`) - The name of the network interface to add to this instance.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.AccessConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_add_access_config/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_add_access_config/7","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_add_access_config/7-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_add_resource_policies/6","doc":"Adds existing resource policies to an instance. You can only add one policy right now which will be applied to this instance for scheduling live migrations.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_add_resource_policies/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_add_resource_policies/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - The instance name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstancesAddResourcePoliciesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_add_resource_policies/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_add_resource_policies/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_add_resource_policies/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_aggregated_list/4","doc":"Retrieves an aggregated list of all of the instances in your project across all regions and zones. The performance of this method degrades when a filter is specified on a project that has a very large number of instances. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_attach_disk/6","doc":"Attaches an existing Disk resource to an instance. You must first create the disk before you can attach it. It is not possible to create and attach a disk at the same time. For more information, read Adding a persistent disk to your instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_attach_disk/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_attach_disk/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - The instance name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:forceAttach` (*type:* `boolean()`) - Whether to force attach the regional disk even if it's currently attached to another instance. If you try to force attach a zonal disk to an instance, you will receive an error.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.AttachedDisk.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_attach_disk/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_attach_disk/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_attach_disk/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_bulk_insert/5","doc":"Creates multiple instances. Count specifies the number of instances to create. For more information, see About bulk creation of VMs.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_bulk_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_bulk_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BulkInsertInstanceResource.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_bulk_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_bulk_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_bulk_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_delete/6","doc":"Deletes the specified Instance resource. For more information, see Deleting an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_delete_access_config/8","doc":"Deletes an access config from an instance's network interface.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_delete_access_config/8"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_delete_access_config/8","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - The instance name for this request.\n*   `access_config` (*type:* `String.t`) - The name of the access config to delete.\n*   `network_interface` (*type:* `String.t`) - The name of the network interface.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_delete_access_config/8-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_delete_access_config/8","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_delete_access_config/8-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_detach_disk/7","doc":"Detaches a disk from an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_detach_disk/7"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_detach_disk/7","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Instance name for this request.\n*   `device_name` (*type:* `String.t`) - The device name of the disk to detach. Make a get() request on the instance to view currently attached disks and device names.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_detach_disk/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_detach_disk/7","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_detach_disk/7-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_get/6","doc":"Returns the specified Instance resource.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Instance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_get_effective_firewalls/7","doc":"Returns effective firewalls applied to an interface of the instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_effective_firewalls/7"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_effective_firewalls/7","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `network_interface` (*type:* `String.t`) - The name of the network interface to get the effective firewalls.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_effective_firewalls/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_effective_firewalls/7","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_effective_firewalls/7-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_get_guest_attributes/6","doc":"Returns the specified guest attributes entry.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_guest_attributes/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_guest_attributes/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:queryPath` (*type:* `String.t`) - Specifies the guest attributes path to be queried.\n    *   `:variableKey` (*type:* `String.t`) - Specifies the key for the guest attributes entry.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_guest_attributes/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_guest_attributes/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.GuestAttributes{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_guest_attributes/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_get_screenshot/6","doc":"Returns the screenshot from the specified instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_screenshot/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_screenshot/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_screenshot/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_screenshot/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Screenshot{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_screenshot/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_get_serial_port_output/6","doc":"Returns the last 1 MB of serial port output from the specified instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_serial_port_output/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_serial_port_output/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:port` (*type:* `integer()`) - Specifies which COM or serial port to retrieve data from.\n    *   `:start` (*type:* `String.t`) - Specifies the starting byte position of the output to return. To start with the first byte of output to the specified port, omit this field or set it to `0`. If the output for that byte position is available, this field matches the `start` parameter sent with the request. If the amount of serial console output exceeds the size of the buffer (1 MB), the oldest output is discarded and is no longer available. If the requested start position refers to discarded output, the start position is adjusted to the oldest output still available, and the adjusted start position is returned as the `start` property value. You can also provide a negative start position, which translates to the most recent number of bytes written to the serial port. For example, -3 is interpreted as the most recent 3 bytes written to the serial console.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_serial_port_output/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_serial_port_output/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SerialPortOutput{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_serial_port_output/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_get_shielded_instance_identity/6","doc":"Returns the Shielded Instance Identity of an instance","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_shielded_instance_identity/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_shielded_instance_identity/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name or id of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_shielded_instance_identity/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_get_shielded_instance_identity/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ShieldedInstanceIdentity{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_get_shielded_instance_identity/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_insert/5","doc":"Creates an instance resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:sourceInstanceTemplate` (*type:* `String.t`) - Specifies instance template to create the instance. This field is optional. It can be a full or partial URL. For example, the following are all valid URLs to an instance template: - https://www.googleapis.com/compute/v1/projects/project /global/instanceTemplates/instanceTemplate - projects/project/global/instanceTemplates/instanceTemplate - global/instanceTemplates/instanceTemplate \n    *   `:sourceMachineImage` (*type:* `String.t`) - Specifies the machine image to use to create the instance. This field is optional. It can be a full or partial URL. For example, the following are all valid URLs to a machine image: - https://www.googleapis.com/compute/v1/projects/project/global/global /machineImages/machineImage - projects/project/global/global/machineImages/machineImage - global/machineImages/machineImage \n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Instance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_list/5","doc":"Retrieves the list of instances contained within the specified zone.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_list_referrers/6","doc":"Retrieves a list of resources that refer to the VM instance specified in the request. For example, if the VM instance is part of a managed or unmanaged instance group, the referrers list includes the instance group. For more information, read Viewing referrers to VM instances.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_list_referrers/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_list_referrers/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the target instance scoping this request, or '-' if the request should span over all instances in the container.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_list_referrers/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_list_referrers/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceListReferrers{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_list_referrers/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_perform_maintenance/6","doc":"Perform a manual maintenance on the instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_perform_maintenance/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_perform_maintenance/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_perform_maintenance/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_perform_maintenance/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_perform_maintenance/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_remove_resource_policies/6","doc":"Removes resource policies from an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_remove_resource_policies/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_remove_resource_policies/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - The instance name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstancesRemoveResourcePoliciesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_remove_resource_policies/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_remove_resource_policies/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_remove_resource_policies/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_reset/6","doc":"Performs a reset on the instance. This is a hard reset. The VM does not do a graceful shutdown. For more information, see Resetting an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_reset/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_reset/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_reset/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_reset/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_reset/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_resume/6","doc":"Resumes an instance that was suspended using the instances().suspend method.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_resume/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_resume/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance resource to resume.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_resume/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_resume/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_resume/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_send_diagnostic_interrupt/6","doc":"Sends diagnostic interrupt to the instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_send_diagnostic_interrupt/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_send_diagnostic_interrupt/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_send_diagnostic_interrupt/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_send_diagnostic_interrupt/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_send_diagnostic_interrupt/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_deletion_protection/6","doc":"Sets deletion protection on the instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_deletion_protection/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_deletion_protection/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:deletionProtection` (*type:* `boolean()`) - Whether the resource should be protected against deletion.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_deletion_protection/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_deletion_protection/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_deletion_protection/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_disk_auto_delete/8","doc":"Sets the auto-delete flag for a disk attached to an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_disk_auto_delete/8"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_disk_auto_delete/8","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - The instance name for this request.\n*   `auto_delete` (*type:* `boolean()`) - Whether to auto-delete the disk when the instance is deleted.\n*   `device_name` (*type:* `String.t`) - The device name of the disk to modify. Make a get() request on the instance to view currently attached disks and device names.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_disk_auto_delete/8-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_disk_auto_delete/8","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_disk_auto_delete/8-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_labels/6","doc":"Sets labels on an instance. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstancesSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_labels/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_machine_resources/6","doc":"Changes the number and/or type of accelerator for a stopped instance to the values specified in the request.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_machine_resources/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_machine_resources/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstancesSetMachineResourcesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_machine_resources/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_machine_resources/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_machine_resources/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_machine_type/6","doc":"Changes the machine type for a stopped instance to the machine type specified in the request.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_machine_type/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_machine_type/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstancesSetMachineTypeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_machine_type/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_machine_type/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_machine_type/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_metadata/6","doc":"Sets metadata for the specified instance to the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_metadata/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_metadata/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Metadata.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_metadata/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_metadata/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_metadata/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_min_cpu_platform/6","doc":"Changes the minimum CPU platform that this instance should use. This method can only be called on a stopped instance. For more information, read Specifying a Minimum CPU Platform.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_min_cpu_platform/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_min_cpu_platform/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstancesSetMinCpuPlatformRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_min_cpu_platform/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_min_cpu_platform/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_min_cpu_platform/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_name/6","doc":"Sets name of an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_name/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_name/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - The instance name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstancesSetNameRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_name/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_name/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_name/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_scheduling/6","doc":"Sets an instance's scheduling options. You can only call this method on a stopped instance, that is, a VM instance that is in a `TERMINATED` state. See Instance Life Cycle for more information on the possible instance states. For more information about setting scheduling options for a VM, see Set VM host maintenance policy.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_scheduling/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_scheduling/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Instance name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Scheduling.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_scheduling/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_scheduling/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_scheduling/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_security_policy/6","doc":"Sets the Google Cloud Armor security policy for the specified instance. For more information, see Google Cloud Armor Overview","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_security_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_security_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone scoping this request.\n*   `instance` (*type:* `String.t`) - Name of the Instance resource to which the security policy should be set. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstancesSetSecurityPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_security_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_security_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_security_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_service_account/6","doc":"Sets the service account on the instance. For more information, read Changing the service account and access scopes for an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_service_account/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_service_account/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance resource to start.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstancesSetServiceAccountRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_service_account/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_service_account/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_service_account/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_shielded_instance_integrity_policy/6","doc":"Sets the Shielded Instance integrity policy for an instance. You can only use this method on a running instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_shielded_instance_integrity_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_shielded_instance_integrity_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name or id of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ShieldedInstanceIntegrityPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_shielded_instance_integrity_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_shielded_instance_integrity_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_shielded_instance_integrity_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_set_tags/6","doc":"Sets network tags for the specified instance to the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_tags/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_tags/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Tags.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_tags/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_set_tags/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_set_tags/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_simulate_maintenance_event/6","doc":"Simulates a host maintenance event on a VM. For more information, see Simulate a host maintenance event.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_simulate_maintenance_event/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_simulate_maintenance_event/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:withExtendedNotifications` (*type:* `boolean()`) - Determines whether the customers receive notifications before migration. Only applicable to SF vms.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_simulate_maintenance_event/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_simulate_maintenance_event/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_simulate_maintenance_event/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_start/6","doc":"Starts an instance that was stopped using the instances().stop method. For more information, see Restart an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_start/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_start/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance resource to start.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_start/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_start/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_start/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_start_with_encryption_key/6","doc":"Starts an instance that was stopped using the instances().stop method. For more information, see Restart an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_start_with_encryption_key/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_start_with_encryption_key/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance resource to start.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstancesStartWithEncryptionKeyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_start_with_encryption_key/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_start_with_encryption_key/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_start_with_encryption_key/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_stop/6","doc":"Stops a running instance, shutting it down cleanly, and allows you to restart the instance at a later time. Stopped instances do not incur VM usage charges while they are stopped. However, resources that the VM is using, such as persistent disks and static IP addresses, will continue to be charged until they are deleted. For more information, see Stopping an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_stop/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_stop/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance resource to stop.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:discardLocalSsd` (*type:* `boolean()`) - This property is required if the instance has any attached Local SSD disks. If false, Local SSD data will be preserved when the instance is suspended. If true, the contents of any attached Local SSD disks will be discarded.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_stop/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_stop/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_stop/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_suspend/6","doc":"This method suspends a running instance, saving its state to persistent storage, and allows you to resume the instance at a later time. Suspended instances have no compute costs (cores or RAM), and incur only storage charges for the saved VM memory and localSSD data. Any charged resources the virtual machine was using, such as persistent disks and static IP addresses, will continue to be charged while the instance is suspended. For more information, see Suspending and resuming an instance.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_suspend/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_suspend/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance resource to suspend.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:discardLocalSsd` (*type:* `boolean()`) - This property is required if the instance has any attached Local SSD disks. If false, Local SSD data will be preserved when the instance is suspended. If true, the contents of any attached Local SSD disks will be discarded.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_suspend/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_suspend/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_suspend/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_test_iam_permissions/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_update/6","doc":"Updates an instance only if the necessary resources are available. This method can update only a specific set of instance properties. See Updating a running instance for a list of updatable instance properties.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_update/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:minimalAction` (*type:* `String.t`) - Specifies the action to take when updating an instance even if the updated properties do not require it. If not specified, then Compute Engine acts based on the minimum action that the updated properties require.\n    *   `:mostDisruptiveAllowedAction` (*type:* `String.t`) - Specifies the most disruptive action that can be taken on the instance as part of the update. Compute Engine returns an error if the instance properties require a more disruptive action as part of the instance update. Valid options from lowest to highest are NO_EFFECT, REFRESH, and RESTART.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Instance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_update/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_update_access_config/7","doc":"Updates the specified access config from an instance's network interface with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_access_config/7"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_update_access_config/7","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - The instance name for this request.\n*   `network_interface` (*type:* `String.t`) - The name of the network interface where the access config is attached.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.AccessConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_access_config/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_update_access_config/7","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_access_config/7-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_update_display_device/6","doc":"Updates the Display config for a VM instance. You can only use this method on a stopped VM instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_display_device/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_update_display_device/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.DisplayDevice.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_display_device/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_update_display_device/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_display_device/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_update_network_interface/7","doc":"Updates an instance's network interface. This method can only update an interface's alias IP range and attached network. See Modifying alias IP ranges for an existing instance for instructions on changing alias IP ranges. See Migrating a VM between networks for instructions on migrating an interface. This method follows PATCH semantics.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_network_interface/7"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_update_network_interface/7","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - The instance name for this request.\n*   `network_interface` (*type:* `String.t`) - The name of the network interface to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkInterface.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_network_interface/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_update_network_interface/7","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_network_interface/7-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Instances.compute_instances_update_shielded_instance_config/6","doc":"Updates the Shielded Instance config for an instance. You can only use this method on a stopped instance. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_shielded_instance_config/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Instances.compute_instances_update_shielded_instance_config/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instance` (*type:* `String.t`) - Name or id of the instance scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ShieldedInstanceConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_shielded_instance_config/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Instances.compute_instances_update_shielded_instance_config/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Instances.html#compute_instances_update_shielded_instance_config/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.InstantSnapshots","doc":"API calls for all endpoints tagged `InstantSnapshots`.","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_aggregated_list/4","doc":"Retrieves an aggregated list of instantSnapshots. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_delete/6","doc":"Deletes the specified InstantSnapshot resource. Keep in mind that deleting a single instantSnapshot might not necessarily delete all the data on that instantSnapshot. If any data on the instantSnapshot that is marked for deletion is needed for subsequent instantSnapshots, the data will be moved to the next corresponding instantSnapshot. For more information, see Deleting instantSnapshots.","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instant_snapshot` (*type:* `String.t`) - Name of the InstantSnapshot resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_get/6","doc":"Returns the specified InstantSnapshot resource in the specified zone.","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `instant_snapshot` (*type:* `String.t`) - Name of the InstantSnapshot resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstantSnapshot{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_insert/5","doc":"Creates an instant snapshot in the specified zone.","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstantSnapshot.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_list/5","doc":"Retrieves the list of InstantSnapshot resources contained within the specified zone.","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstantSnapshotList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_set_labels/6","doc":"Sets the labels on a instantSnapshot in the given zone. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ZoneSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_set_labels/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InstantSnapshots.compute_instant_snapshots_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InstantSnapshots.html#compute_instant_snapshots_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.InterconnectAttachments","doc":"API calls for all endpoints tagged `InterconnectAttachments`.","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_aggregated_list/4","doc":"Retrieves an aggregated list of interconnect attachments. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_delete/6","doc":"Deletes the specified interconnect attachment.","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `interconnect_attachment` (*type:* `String.t`) - Name of the interconnect attachment to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_get/6","doc":"Returns the specified interconnect attachment.","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `interconnect_attachment` (*type:* `String.t`) - Name of the interconnect attachment to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InterconnectAttachment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_insert/5","doc":"Creates an InterconnectAttachment in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:validateOnly` (*type:* `boolean()`) - If true, the request will not be committed.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InterconnectAttachment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_list/5","doc":"Retrieves the list of interconnect attachments contained within the specified region.","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InterconnectAttachmentList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_patch/6","doc":"Updates the specified interconnect attachment with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `interconnect_attachment` (*type:* `String.t`) - Name of the interconnect attachment to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InterconnectAttachment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_set_labels/6","doc":"Sets the labels on an InterconnectAttachment. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectAttachments.compute_interconnect_attachments_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectAttachments.html#compute_interconnect_attachments_set_labels/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.InterconnectLocations","doc":"API calls for all endpoints tagged `InterconnectLocations`.","ref":"GoogleApi.Compute.V1.Api.InterconnectLocations.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectLocations.compute_interconnect_locations_get/5","doc":"Returns the details for the specified interconnect location. Gets a list of available interconnect locations by making a list() request.","ref":"GoogleApi.Compute.V1.Api.InterconnectLocations.html#compute_interconnect_locations_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectLocations.compute_interconnect_locations_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `interconnect_location` (*type:* `String.t`) - Name of the interconnect location to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectLocations.html#compute_interconnect_locations_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectLocations.compute_interconnect_locations_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InterconnectLocation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectLocations.html#compute_interconnect_locations_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectLocations.compute_interconnect_locations_list/4","doc":"Retrieves the list of interconnect locations available to the specified project.","ref":"GoogleApi.Compute.V1.Api.InterconnectLocations.html#compute_interconnect_locations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectLocations.compute_interconnect_locations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectLocations.html#compute_interconnect_locations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectLocations.compute_interconnect_locations_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InterconnectLocationList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectLocations.html#compute_interconnect_locations_list/4-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.InterconnectRemoteLocations","doc":"API calls for all endpoints tagged `InterconnectRemoteLocations`.","ref":"GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.compute_interconnect_remote_locations_get/5","doc":"Returns the details for the specified interconnect remote location. Gets a list of available interconnect remote locations by making a list() request.","ref":"GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.html#compute_interconnect_remote_locations_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.compute_interconnect_remote_locations_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `interconnect_remote_location` (*type:* `String.t`) - Name of the interconnect remote location to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.html#compute_interconnect_remote_locations_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.compute_interconnect_remote_locations_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InterconnectRemoteLocation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.html#compute_interconnect_remote_locations_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.compute_interconnect_remote_locations_list/4","doc":"Retrieves the list of interconnect remote locations available to the specified project.","ref":"GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.html#compute_interconnect_remote_locations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.compute_interconnect_remote_locations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.html#compute_interconnect_remote_locations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.compute_interconnect_remote_locations_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InterconnectRemoteLocationList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.InterconnectRemoteLocations.html#compute_interconnect_remote_locations_list/4-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Interconnects","doc":"API calls for all endpoints tagged `Interconnects`.","ref":"GoogleApi.Compute.V1.Api.Interconnects.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_delete/5","doc":"Deletes the specified Interconnect.","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `interconnect` (*type:* `String.t`) - Name of the interconnect to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_get/5","doc":"Returns the specified Interconnect. Get a list of available Interconnects by making a list() request.","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `interconnect` (*type:* `String.t`) - Name of the interconnect to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Interconnect{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_get_diagnostics/5","doc":"Returns the interconnectDiagnostics for the specified Interconnect. In the event of a global outage, do not use this API to make decisions about where to redirect your network traffic. Unlike a VLAN attachment, which is regional, a Cloud Interconnect connection is a global resource. A global outage can prevent this API from functioning properly.","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_get_diagnostics/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_get_diagnostics/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `interconnect` (*type:* `String.t`) - Name of the interconnect resource to query.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_get_diagnostics/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_get_diagnostics/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InterconnectsGetDiagnosticsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_get_diagnostics/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_get_macsec_config/5","doc":"Returns the interconnectMacsecConfig for the specified Interconnect.","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_get_macsec_config/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_get_macsec_config/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `interconnect` (*type:* `String.t`) - Name of the interconnect resource to query.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_get_macsec_config/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_get_macsec_config/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InterconnectsGetMacsecConfigResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_get_macsec_config/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_insert/4","doc":"Creates an Interconnect in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Interconnect.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_list/4","doc":"Retrieves the list of Interconnects available to the specified project.","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InterconnectList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_patch/5","doc":"Updates the specified Interconnect with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `interconnect` (*type:* `String.t`) - Name of the interconnect to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Interconnect.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_set_labels/5","doc":"Sets the labels on an Interconnect. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_set_labels/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_set_labels/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_set_labels/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Interconnects.compute_interconnects_set_labels/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Interconnects.html#compute_interconnects_set_labels/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.LicenseCodes","doc":"API calls for all endpoints tagged `LicenseCodes`.","ref":"GoogleApi.Compute.V1.Api.LicenseCodes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.LicenseCodes.compute_license_codes_get/5","doc":"Return a specified license code. License codes are mirrored across all projects that have permissions to read the License Code. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Api.LicenseCodes.html#compute_license_codes_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.LicenseCodes.compute_license_codes_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `license_code` (*type:* `String.t`) - Number corresponding to the License code resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.LicenseCodes.html#compute_license_codes_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.LicenseCodes.compute_license_codes_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.LicenseCode{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.LicenseCodes.html#compute_license_codes_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.LicenseCodes.compute_license_codes_test_iam_permissions/5","doc":"Returns permissions that a caller has on the specified resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Api.LicenseCodes.html#compute_license_codes_test_iam_permissions/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.LicenseCodes.compute_license_codes_test_iam_permissions/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.LicenseCodes.html#compute_license_codes_test_iam_permissions/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.LicenseCodes.compute_license_codes_test_iam_permissions/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.LicenseCodes.html#compute_license_codes_test_iam_permissions/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Licenses","doc":"API calls for all endpoints tagged `Licenses`.","ref":"GoogleApi.Compute.V1.Api.Licenses.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Licenses.compute_licenses_delete/5","doc":"Deletes the specified license. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `license` (*type:* `String.t`) - Name of the license resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Licenses.compute_licenses_get/5","doc":"Returns the specified License resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `license` (*type:* `String.t`) - Name of the License resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.License{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Licenses.compute_licenses_get_iam_policy/5","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_get_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_get_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_get_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_get_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_get_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Licenses.compute_licenses_insert/4","doc":"Create a License resource in the specified project. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.License.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Licenses.compute_licenses_list/4","doc":"Retrieves the list of licenses available in the specified project. This method does not get any licenses that belong to other projects, including licenses attached to publicly-available images, like Debian 9. If you want to get a list of publicly-available licenses, use this method to make a request to the respective image project, such as debian-cloud or windows-cloud. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.LicensesListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Licenses.compute_licenses_set_iam_policy/5","doc":"Sets the access control policy on the specified resource. Replaces any existing policy. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_set_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_set_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_set_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_set_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_set_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Licenses.compute_licenses_test_iam_permissions/5","doc":"Returns permissions that a caller has on the specified resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_test_iam_permissions/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_test_iam_permissions/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_test_iam_permissions/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Licenses.compute_licenses_test_iam_permissions/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Licenses.html#compute_licenses_test_iam_permissions/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.MachineImages","doc":"API calls for all endpoints tagged `MachineImages`.","ref":"GoogleApi.Compute.V1.Api.MachineImages.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_delete/5","doc":"Deletes the specified machine image. Deleting a machine image is permanent and cannot be undone.","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `machine_image` (*type:* `String.t`) - The name of the machine image to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_get/5","doc":"Returns the specified machine image.","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `machine_image` (*type:* `String.t`) - The name of the machine image.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.MachineImage{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_get_iam_policy/5","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_get_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_get_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_get_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_get_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_get_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_insert/4","doc":"Creates a machine image in the specified project using the data that is included in the request. If you are creating a new machine image to update an existing instance, your new machine image should use the same network or, if applicable, the same subnetwork as the original instance.","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:sourceInstance` (*type:* `String.t`) - Required. Source instance that is used to create the machine image from.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.MachineImage.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_list/4","doc":"Retrieves a list of machine images that are contained within the specified project.","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.MachineImageList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_set_iam_policy/5","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_set_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_set_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_set_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_set_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_set_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_test_iam_permissions/5","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_test_iam_permissions/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_test_iam_permissions/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_test_iam_permissions/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.MachineImages.compute_machine_images_test_iam_permissions/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.MachineImages.html#compute_machine_images_test_iam_permissions/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.MachineTypes","doc":"API calls for all endpoints tagged `MachineTypes`.","ref":"GoogleApi.Compute.V1.Api.MachineTypes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.MachineTypes.compute_machine_types_aggregated_list/4","doc":"Retrieves an aggregated list of machine types. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.MachineTypes.html#compute_machine_types_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.MachineTypes.compute_machine_types_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.MachineTypes.html#compute_machine_types_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.MachineTypes.compute_machine_types_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.MachineTypeAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.MachineTypes.html#compute_machine_types_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.MachineTypes.compute_machine_types_get/6","doc":"Returns the specified machine type.","ref":"GoogleApi.Compute.V1.Api.MachineTypes.html#compute_machine_types_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.MachineTypes.compute_machine_types_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `machine_type` (*type:* `String.t`) - Name of the machine type to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.MachineTypes.html#compute_machine_types_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.MachineTypes.compute_machine_types_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.MachineType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.MachineTypes.html#compute_machine_types_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.MachineTypes.compute_machine_types_list/5","doc":"Retrieves a list of machine types available to the specified project.","ref":"GoogleApi.Compute.V1.Api.MachineTypes.html#compute_machine_types_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.MachineTypes.compute_machine_types_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.MachineTypes.html#compute_machine_types_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.MachineTypes.compute_machine_types_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.MachineTypeList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.MachineTypes.html#compute_machine_types_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.NetworkAttachments","doc":"API calls for all endpoints tagged `NetworkAttachments`.","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_aggregated_list/4","doc":"Retrieves the list of all NetworkAttachment resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_delete/6","doc":"Deletes the specified NetworkAttachment in the given scope","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `network_attachment` (*type:* `String.t`) - Name of the NetworkAttachment resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000). end_interface: MixerMutationRequestBuilder\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_get/6","doc":"Returns the specified NetworkAttachment resource in the given scope.","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `network_attachment` (*type:* `String.t`) - Name of the NetworkAttachment resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkAttachment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_insert/5","doc":"Creates a NetworkAttachment in the specified project in the given scope using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000). end_interface: MixerMutationRequestBuilder\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkAttachment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_list/5","doc":"Lists the NetworkAttachments for a project in the given scope.","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkAttachmentList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_patch/6","doc":"Patches the specified NetworkAttachment resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `network_attachment` (*type:* `String.t`) - Name of the NetworkAttachment resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000). end_interface: MixerMutationRequestBuilder\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkAttachment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkAttachments.compute_network_attachments_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkAttachments.html#compute_network_attachments_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices","doc":"API calls for all endpoints tagged `NetworkEdgeSecurityServices`.","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_aggregated_list/4","doc":"Retrieves the list of all NetworkEdgeSecurityService resources available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_delete/6","doc":"Deletes the specified service.","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `network_edge_security_service` (*type:* `String.t`) - Name of the network edge security service to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_get/6","doc":"Gets a specified NetworkEdgeSecurityService.","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `network_edge_security_service` (*type:* `String.t`) - Name of the network edge security service to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_insert/5","doc":"Creates a new service in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:validateOnly` (*type:* `boolean()`) - If true, the request will not be committed.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_patch/6","doc":"Patches the specified policy with the data included in the request.","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `network_edge_security_service` (*type:* `String.t`) - Name of the network edge security service to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:paths` (*type:* `list(String.t)`) - \n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - Indicates fields to be updated as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.compute_network_edge_security_services_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEdgeSecurityServices.html#compute_network_edge_security_services_patch/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups","doc":"API calls for all endpoints tagged `NetworkEndpointGroups`.","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_aggregated_list/4","doc":"Retrieves the list of network endpoint groups and sorts them by zone. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_attach_network_endpoints/6","doc":"Attach a list of network endpoints to the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_attach_network_endpoints/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_attach_network_endpoints/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the network endpoint group is located. It should comply with RFC1035.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group where you are attaching network endpoints to. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupsAttachEndpointsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_attach_network_endpoints/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_attach_network_endpoints/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_attach_network_endpoints/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_delete/6","doc":"Deletes the specified network endpoint group. The network endpoints in the NEG and the VM instances they belong to are not terminated when the NEG is deleted. Note that the NEG cannot be deleted if there are backend services referencing it.","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the network endpoint group is located. It should comply with RFC1035.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group to delete. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_detach_network_endpoints/6","doc":"Detach a list of network endpoints from the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_detach_network_endpoints/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_detach_network_endpoints/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the network endpoint group is located. It should comply with RFC1035.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group where you are removing network endpoints. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupsDetachEndpointsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_detach_network_endpoints/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_detach_network_endpoints/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_detach_network_endpoints/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_get/6","doc":"Returns the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the network endpoint group is located. It should comply with RFC1035.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEndpointGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_insert/5","doc":"Creates a network endpoint group in the specified project using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where you want to create the network endpoint group. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_list/5","doc":"Retrieves the list of network endpoint groups that are located in the specified project and zone.","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the network endpoint group is located. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEndpointGroupList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_list_network_endpoints/6","doc":"Lists the network endpoints in the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_list_network_endpoints/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_list_network_endpoints/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone where the network endpoint group is located. It should comply with RFC1035.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group from which you want to generate a list of included network endpoints. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListEndpointsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_list_network_endpoints/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_list_network_endpoints/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_list_network_endpoints/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkEndpointGroups.compute_network_endpoint_groups_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkEndpointGroups.html#compute_network_endpoint_groups_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies","doc":"API calls for all endpoints tagged `NetworkFirewallPolicies`.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_add_association/5","doc":"Inserts an association for the specified firewall policy.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_add_association/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_add_association/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:replaceExistingAssociation` (*type:* `boolean()`) - Indicates whether or not to replace it if an association of the attachment already exists. This is false by default, in which case an error will be returned if an association already exists.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_add_association/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_add_association/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_add_association/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_add_rule/5","doc":"Inserts a rule into a firewall policy.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_add_rule/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_add_rule/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:maxPriority` (*type:* `integer()`) - When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority>. This field is exclusive with rule.priority.\n    *   `:minPriority` (*type:* `integer()`) - When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority>. This field is exclusive with rule.priority.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_add_rule/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_add_rule/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_add_rule/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_clone_rules/5","doc":"Copies rules to the specified firewall policy.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_clone_rules/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_clone_rules/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:sourceFirewallPolicy` (*type:* `String.t`) - The firewall policy from which to copy rules.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_clone_rules/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_clone_rules/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_clone_rules/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_delete/5","doc":"Deletes the specified policy.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get/5","doc":"Returns the specified network firewall policy.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get_association/5","doc":"Gets an association with the specified name.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get_association/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get_association/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to which the queried association belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:name` (*type:* `String.t`) - The name of the association to get from the firewall policy.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get_association/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get_association/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicyAssociation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get_association/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get_iam_policy/5","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get_rule/5","doc":"Gets a rule of the specified priority.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get_rule/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get_rule/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to which the queried rule belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to get from the firewall policy.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get_rule/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_get_rule/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicyRule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_get_rule/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_insert/4","doc":"Creates a new policy in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_list/4","doc":"Lists all the policies that have been configured for the specified project.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_patch/5","doc":"Patches the specified policy with the data included in the request.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_patch_rule/5","doc":"Patches a rule of the specified priority.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_patch_rule/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_patch_rule/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to patch.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_patch_rule/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_patch_rule/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_patch_rule/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_remove_association/5","doc":"Removes an association for the specified firewall policy.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_remove_association/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_remove_association/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:name` (*type:* `String.t`) - Name for the attachment that will be removed.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_remove_association/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_remove_association/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_remove_association/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_remove_rule/5","doc":"Deletes a rule of the specified priority.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_remove_rule/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_remove_rule/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to remove from the firewall policy.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_remove_rule/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_remove_rule/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_remove_rule/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_set_iam_policy/5","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_set_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_set_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_set_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_set_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_set_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_test_iam_permissions/5","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_test_iam_permissions/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_test_iam_permissions/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_test_iam_permissions/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.compute_network_firewall_policies_test_iam_permissions/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NetworkFirewallPolicies.html#compute_network_firewall_policies_test_iam_permissions/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Networks","doc":"API calls for all endpoints tagged `Networks`.","ref":"GoogleApi.Compute.V1.Api.Networks.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_add_peering/5","doc":"Adds a peering to the specified network.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_add_peering/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_add_peering/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network` (*type:* `String.t`) - Name of the network resource to add peering to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworksAddPeeringRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_add_peering/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_add_peering/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_add_peering/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_delete/5","doc":"Deletes the specified network.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network` (*type:* `String.t`) - Name of the network to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_get/5","doc":"Returns the specified network.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network` (*type:* `String.t`) - Name of the network to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Network{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_get_effective_firewalls/5","doc":"Returns the effective firewalls on a given network.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_get_effective_firewalls/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_get_effective_firewalls/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network` (*type:* `String.t`) - Name of the network for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_get_effective_firewalls/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_get_effective_firewalls/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_get_effective_firewalls/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_insert/4","doc":"Creates a network in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Network.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_list/4","doc":"Retrieves the list of networks available to the specified project.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_list_peering_routes/5","doc":"Lists the peering routes exchanged over peering connection.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_list_peering_routes/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_list_peering_routes/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network` (*type:* `String.t`) - Name of the network for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:direction` (*type:* `String.t`) - The direction of the exchanged routes.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:peeringName` (*type:* `String.t`) - The response will show routes exchanged over the given peering connection.\n    *   `:region` (*type:* `String.t`) - The region of the request. The response will include all subnet routes, static routes and dynamic routes in the region.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_list_peering_routes/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_list_peering_routes/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_list_peering_routes/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_patch/5","doc":"Patches the specified network with the data included in the request. Only routingConfig can be modified.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network` (*type:* `String.t`) - Name of the network to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Network.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_remove_peering/5","doc":"Removes a peering from the specified network.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_remove_peering/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_remove_peering/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network` (*type:* `String.t`) - Name of the network resource to remove peering from.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworksRemovePeeringRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_remove_peering/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_remove_peering/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_remove_peering/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_switch_to_custom_mode/5","doc":"Switches the network mode from auto subnet mode to custom subnet mode.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_switch_to_custom_mode/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_switch_to_custom_mode/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network` (*type:* `String.t`) - Name of the network to be updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_switch_to_custom_mode/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_switch_to_custom_mode/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_switch_to_custom_mode/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Networks.compute_networks_update_peering/5","doc":"Updates the specified network peering with the data included in the request. You can only modify the NetworkPeering.export_custom_routes field and the NetworkPeering.import_custom_routes field.","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_update_peering/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Networks.compute_networks_update_peering/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `network` (*type:* `String.t`) - Name of the network resource which the updated peering is belonging to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworksUpdatePeeringRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_update_peering/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Networks.compute_networks_update_peering/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Networks.html#compute_networks_update_peering/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.NodeGroups","doc":"API calls for all endpoints tagged `NodeGroups`.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_add_nodes/6","doc":"Adds specified number of nodes to the node group.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_add_nodes/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_add_nodes/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `node_group` (*type:* `String.t`) - Name of the NodeGroup resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupsAddNodesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_add_nodes/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_add_nodes/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_add_nodes/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_aggregated_list/4","doc":"Retrieves an aggregated list of node groups. Note: use nodeGroups.listNodes for more details about each group. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NodeGroupAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_delete/6","doc":"Deletes the specified NodeGroup resource.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `node_group` (*type:* `String.t`) - Name of the NodeGroup resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_delete_nodes/6","doc":"Deletes specified nodes from the node group.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_delete_nodes/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_delete_nodes/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `node_group` (*type:* `String.t`) - Name of the NodeGroup resource whose nodes will be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupsDeleteNodesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_delete_nodes/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_delete_nodes/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_delete_nodes/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_get/6","doc":"Returns the specified NodeGroup. Get a list of available NodeGroups by making a list() request. Note: the \"nodes\" field should not be used. Use nodeGroups.listNodes instead.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `node_group` (*type:* `String.t`) - Name of the node group to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NodeGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_insert/6","doc":"Creates a NodeGroup resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_insert/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_insert/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `initial_node_count` (*type:* `integer()`) - Initial count of nodes in the node group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NodeGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_insert/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_insert/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_insert/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_list/5","doc":"Retrieves a list of node groups available to the specified project. Note: use nodeGroups.listNodes for more details about each group.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NodeGroupList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_list_nodes/6","doc":"Lists nodes in the node group.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_list_nodes/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_list_nodes/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `node_group` (*type:* `String.t`) - Name of the NodeGroup resource whose nodes you want to list.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_list_nodes/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_list_nodes/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NodeGroupsListNodes{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_list_nodes/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_patch/6","doc":"Updates the specified node group.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `node_group` (*type:* `String.t`) - Name of the NodeGroup resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NodeGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_perform_maintenance/6","doc":"Perform maintenance on a subset of nodes in the node group.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_perform_maintenance/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_perform_maintenance/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `node_group` (*type:* `String.t`) - Name of the node group scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupsPerformMaintenanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_perform_maintenance/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_perform_maintenance/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_perform_maintenance/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_set_node_template/6","doc":"Updates the node template of the node group.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_set_node_template/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_set_node_template/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `node_group` (*type:* `String.t`) - Name of the NodeGroup resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupsSetNodeTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_set_node_template/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_set_node_template/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_set_node_template/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_simulate_maintenance_event/6","doc":"Simulates maintenance event on specified nodes from the node group.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_simulate_maintenance_event/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_simulate_maintenance_event/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `node_group` (*type:* `String.t`) - Name of the NodeGroup resource whose nodes will go under maintenance simulation.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupsSimulateMaintenanceEventRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_simulate_maintenance_event/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_simulate_maintenance_event/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_simulate_maintenance_event/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeGroups.compute_node_groups_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeGroups.html#compute_node_groups_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.NodeTemplates","doc":"API calls for all endpoints tagged `NodeTemplates`.","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_aggregated_list/4","doc":"Retrieves an aggregated list of node templates. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NodeTemplateAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_delete/6","doc":"Deletes the specified NodeTemplate resource.","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `node_template` (*type:* `String.t`) - Name of the NodeTemplate resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_get/6","doc":"Returns the specified node template.","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `node_template` (*type:* `String.t`) - Name of the node template to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NodeTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_insert/5","doc":"Creates a NodeTemplate resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NodeTemplate.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_list/5","doc":"Retrieves a list of node templates available to the specified project.","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NodeTemplateList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTemplates.compute_node_templates_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTemplates.html#compute_node_templates_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.NodeTypes","doc":"API calls for all endpoints tagged `NodeTypes`.","ref":"GoogleApi.Compute.V1.Api.NodeTypes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTypes.compute_node_types_aggregated_list/4","doc":"Retrieves an aggregated list of node types. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.NodeTypes.html#compute_node_types_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTypes.compute_node_types_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTypes.html#compute_node_types_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTypes.compute_node_types_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NodeTypeAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTypes.html#compute_node_types_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTypes.compute_node_types_get/6","doc":"Returns the specified node type.","ref":"GoogleApi.Compute.V1.Api.NodeTypes.html#compute_node_types_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTypes.compute_node_types_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `node_type` (*type:* `String.t`) - Name of the node type to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTypes.html#compute_node_types_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTypes.compute_node_types_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NodeType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTypes.html#compute_node_types_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.NodeTypes.compute_node_types_list/5","doc":"Retrieves a list of node types available to the specified project.","ref":"GoogleApi.Compute.V1.Api.NodeTypes.html#compute_node_types_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.NodeTypes.compute_node_types_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.NodeTypes.html#compute_node_types_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.NodeTypes.compute_node_types_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NodeTypeList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.NodeTypes.html#compute_node_types_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.PacketMirrorings","doc":"API calls for all endpoints tagged `PacketMirrorings`.","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_aggregated_list/4","doc":"Retrieves an aggregated list of packetMirrorings. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.PacketMirroringAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_delete/6","doc":"Deletes the specified PacketMirroring resource.","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `packet_mirroring` (*type:* `String.t`) - Name of the PacketMirroring resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_get/6","doc":"Returns the specified PacketMirroring resource.","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `packet_mirroring` (*type:* `String.t`) - Name of the PacketMirroring resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.PacketMirroring{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_insert/5","doc":"Creates a PacketMirroring resource in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.PacketMirroring.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_list/5","doc":"Retrieves a list of PacketMirroring resources available to the specified project and region.","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.PacketMirroringList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_patch/6","doc":"Patches the specified PacketMirroring resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `packet_mirroring` (*type:* `String.t`) - Name of the PacketMirroring resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.PacketMirroring.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PacketMirrorings.compute_packet_mirrorings_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PacketMirrorings.html#compute_packet_mirrorings_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.Compute.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_disable_xpn_host/4","doc":"Disable this project as a shared VPC host project.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_disable_xpn_host/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_disable_xpn_host/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_disable_xpn_host/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_disable_xpn_host/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_disable_xpn_host/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_disable_xpn_resource/4","doc":"Disable a service resource (also known as service project) associated with this host project.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_disable_xpn_resource/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_disable_xpn_resource/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ProjectsDisableXpnResourceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_disable_xpn_resource/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_disable_xpn_resource/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_disable_xpn_resource/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_enable_xpn_host/4","doc":"Enable this project as a shared VPC host project.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_enable_xpn_host/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_enable_xpn_host/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_enable_xpn_host/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_enable_xpn_host/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_enable_xpn_host/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_enable_xpn_resource/4","doc":"Enable service resource (a.k.a service project) for a host project, so that subnets in the host project can be used by instances in the service project.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_enable_xpn_resource/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_enable_xpn_resource/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ProjectsEnableXpnResourceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_enable_xpn_resource/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_enable_xpn_resource/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_enable_xpn_resource/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_get/4","doc":"Returns the specified Project resource. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_get/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_get/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_get/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Project{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_get/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_get_xpn_host/4","doc":"Gets the shared VPC host project that this project links to. May be empty if no link exists.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_get_xpn_host/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_get_xpn_host/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_get_xpn_host/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_get_xpn_host/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Project{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_get_xpn_host/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_get_xpn_resources/4","doc":"Gets service resources (a.k.a service project) associated with this host project.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_get_xpn_resources/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_get_xpn_resources/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_get_xpn_resources/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_get_xpn_resources/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ProjectsGetXpnResources{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_get_xpn_resources/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_list_xpn_hosts/4","doc":"Lists all shared VPC host projects visible to the user in an organization.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_list_xpn_hosts/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_list_xpn_hosts/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ProjectsListXpnHostsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_list_xpn_hosts/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_list_xpn_hosts/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.XpnHostList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_list_xpn_hosts/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_move_disk/4","doc":"Moves a persistent disk from one zone to another.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_move_disk/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_move_disk/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.DiskMoveRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_move_disk/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_move_disk/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_move_disk/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_move_instance/4","doc":"Moves an instance and its attached persistent disks from one zone to another. *Note*: Moving VMs or disks by using this method might cause unexpected behavior. For more information, see the [known issue](/compute/docs/troubleshooting/known-issues#moving_vms_or_disks_using_the_moveinstance_api_or_the_causes_unexpected_behavior). [Deprecated] This method is deprecated. See [moving instance across zones](/compute/docs/instances/moving-instance-across-zones) instead.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_move_instance/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_move_instance/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceMoveRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_move_instance/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_move_instance/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_move_instance/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_set_cloud_armor_tier/4","doc":"Sets the Cloud Armor tier of the project. To set ENTERPRISE or above the billing account of the project must be subscribed to Cloud Armor Enterprise. See Subscribing to Cloud Armor Enterprise for more information.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_cloud_armor_tier/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_set_cloud_armor_tier/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ProjectsSetCloudArmorTierRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_cloud_armor_tier/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_set_cloud_armor_tier/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_cloud_armor_tier/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_set_common_instance_metadata/4","doc":"Sets metadata common to all instances within the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_common_instance_metadata/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_set_common_instance_metadata/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Metadata.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_common_instance_metadata/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_set_common_instance_metadata/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_common_instance_metadata/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_set_default_network_tier/4","doc":"Sets the default network tier of the project. The default network tier is used when an address/forwardingRule/instance is created without specifying the network tier field.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_default_network_tier/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_set_default_network_tier/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ProjectsSetDefaultNetworkTierRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_default_network_tier/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_set_default_network_tier/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_default_network_tier/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Projects.compute_projects_set_usage_export_bucket/4","doc":"Enables the usage export feature and sets the usage export bucket where reports are stored. If you provide an empty request body using this method, the usage export feature will be disabled.","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_usage_export_bucket/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Projects.compute_projects_set_usage_export_bucket/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UsageExportLocation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_usage_export_bucket/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Projects.compute_projects_set_usage_export_bucket/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Projects.html#compute_projects_set_usage_export_bucket/4-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes","doc":"API calls for all endpoints tagged `PublicAdvertisedPrefixes`.","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_announce/5","doc":"Announces the specified PublicAdvertisedPrefix","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_announce/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_announce/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `public_advertised_prefix` (*type:* `String.t`) - The name of the public advertised prefix. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_announce/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_announce/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_announce/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_delete/5","doc":"Deletes the specified PublicAdvertisedPrefix","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `public_advertised_prefix` (*type:* `String.t`) - Name of the PublicAdvertisedPrefix resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_get/5","doc":"Returns the specified PublicAdvertisedPrefix resource.","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `public_advertised_prefix` (*type:* `String.t`) - Name of the PublicAdvertisedPrefix resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_insert/4","doc":"Creates a PublicAdvertisedPrefix in the specified project using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_list/4","doc":"Lists the PublicAdvertisedPrefixes for a project.","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_patch/5","doc":"Patches the specified Router resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `public_advertised_prefix` (*type:* `String.t`) - Name of the PublicAdvertisedPrefix resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_withdraw/5","doc":"Withdraws the specified PublicAdvertisedPrefix","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_withdraw/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_withdraw/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `public_advertised_prefix` (*type:* `String.t`) - The name of the public advertised prefix. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_withdraw/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.compute_public_advertised_prefixes_withdraw/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicAdvertisedPrefixes.html#compute_public_advertised_prefixes_withdraw/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes","doc":"API calls for all endpoints tagged `PublicDelegatedPrefixes`.","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_aggregated_list/4","doc":"Lists all PublicDelegatedPrefix resources owned by the specific project across all scopes. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_announce/6","doc":"Announces the specified PublicDelegatedPrefix in the given region.","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_announce/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_announce/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region where the public delegated prefix is located. It should comply with RFC1035.\n*   `public_delegated_prefix` (*type:* `String.t`) - The name of the public delegated prefix. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_announce/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_announce/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_announce/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_delete/6","doc":"Deletes the specified PublicDelegatedPrefix in the given region.","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `public_delegated_prefix` (*type:* `String.t`) - Name of the PublicDelegatedPrefix resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_get/6","doc":"Returns the specified PublicDelegatedPrefix resource in the given region.","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `public_delegated_prefix` (*type:* `String.t`) - Name of the PublicDelegatedPrefix resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.PublicDelegatedPrefix{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_insert/5","doc":"Creates a PublicDelegatedPrefix in the specified project in the given region using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_list/5","doc":"Lists the PublicDelegatedPrefixes for a project in the given region.","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.PublicDelegatedPrefixList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_patch/6","doc":"Patches the specified PublicDelegatedPrefix resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `public_delegated_prefix` (*type:* `String.t`) - Name of the PublicDelegatedPrefix resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_withdraw/6","doc":"Withdraws the specified PublicDelegatedPrefix in the given region.","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_withdraw/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_withdraw/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region where the public delegated prefix is located. It should comply with RFC1035.\n*   `public_delegated_prefix` (*type:* `String.t`) - The name of the public delegated prefix. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_withdraw/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.compute_public_delegated_prefixes_withdraw/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.PublicDelegatedPrefixes.html#compute_public_delegated_prefixes_withdraw/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionAutoscalers","doc":"API calls for all endpoints tagged `RegionAutoscalers`.","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_delete/6","doc":"Deletes the specified autoscaler.","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `autoscaler` (*type:* `String.t`) - Name of the autoscaler to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_get/6","doc":"Returns the specified autoscaler.","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `autoscaler` (*type:* `String.t`) - Name of the autoscaler to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Autoscaler{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_insert/5","doc":"Creates an autoscaler in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Autoscaler.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_list/5","doc":"Retrieves a list of autoscalers contained within the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RegionAutoscalerList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_patch/5","doc":"Updates an autoscaler in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:autoscaler` (*type:* `String.t`) - Name of the autoscaler to patch.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Autoscaler.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_update/5","doc":"Updates an autoscaler in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_update/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_update/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:autoscaler` (*type:* `String.t`) - Name of the autoscaler to update.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Autoscaler.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionAutoscalers.compute_region_autoscalers_update/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionAutoscalers.html#compute_region_autoscalers_update/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionBackendServices","doc":"API calls for all endpoints tagged `RegionBackendServices`.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_delete/6","doc":"Deletes the specified regional BackendService resource.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_get/6","doc":"Returns the specified regional BackendService resource.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendService{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_get_health/6","doc":"Gets the most recent health check results for this regional BackendService.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_get_health/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_get_health/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - \n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource for which to get health.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ResourceGroupReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_get_health/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_get_health/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendServiceGroupHealth{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_get_health/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_insert/5","doc":"Creates a regional BackendService resource in the specified project using the data included in the request. For more information, see Backend services overview.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BackendService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_list/5","doc":"Retrieves the list of regional BackendService resources available to the specified project in the given region.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendServiceList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_list_usable/5","doc":"Retrieves a list of all usable backend services in the specified project in the given region.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_list_usable/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_list_usable/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request. It must be a string that meets the requirements in RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_list_usable/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_list_usable/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.BackendServiceListUsable{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_list_usable/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_patch/6","doc":"Updates the specified regional BackendService resource with the data included in the request. For more information, see Understanding backend services This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BackendService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_set_security_policy/6","doc":"Sets the Google Cloud Armor security policy for the specified backend service. For more information, see Google Cloud Armor Overview","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_set_security_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_set_security_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to which the security policy should be set. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_set_security_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_set_security_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_set_security_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_test_iam_permissions/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_update/6","doc":"Updates the specified regional BackendService resource with the data included in the request. For more information, see Backend services overview .","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_update/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_update/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `backend_service` (*type:* `String.t`) - Name of the BackendService resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BackendService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionBackendServices.compute_region_backend_services_update/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionBackendServices.html#compute_region_backend_services_update/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionCommitments","doc":"API calls for all endpoints tagged `RegionCommitments`.","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_aggregated_list/4","doc":"Retrieves an aggregated list of commitments by region. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.CommitmentAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_get/6","doc":"Returns the specified commitment resource.","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `commitment` (*type:* `String.t`) - Name of the commitment to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Commitment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_insert/5","doc":"Creates a commitment in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Commitment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_list/5","doc":"Retrieves a list of commitments contained within the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.CommitmentList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_update/6","doc":"Updates the specified commitment with the data included in the request. Update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: auto_renew.","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_update/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_update/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `commitment` (*type:* `String.t`) - Name of the commitment for which auto renew is being updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:paths` (*type:* `list(String.t)`) - \n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - update_mask indicates fields to be updated as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Commitment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionCommitments.compute_region_commitments_update/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionCommitments.html#compute_region_commitments_update/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionDiskTypes","doc":"API calls for all endpoints tagged `RegionDiskTypes`.","ref":"GoogleApi.Compute.V1.Api.RegionDiskTypes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDiskTypes.compute_region_disk_types_get/6","doc":"Returns the specified regional disk type.","ref":"GoogleApi.Compute.V1.Api.RegionDiskTypes.html#compute_region_disk_types_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDiskTypes.compute_region_disk_types_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `disk_type` (*type:* `String.t`) - Name of the disk type to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDiskTypes.html#compute_region_disk_types_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDiskTypes.compute_region_disk_types_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.DiskType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDiskTypes.html#compute_region_disk_types_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDiskTypes.compute_region_disk_types_list/5","doc":"Retrieves a list of regional disk types available to the specified project.","ref":"GoogleApi.Compute.V1.Api.RegionDiskTypes.html#compute_region_disk_types_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDiskTypes.compute_region_disk_types_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDiskTypes.html#compute_region_disk_types_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDiskTypes.compute_region_disk_types_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RegionDiskTypeList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDiskTypes.html#compute_region_disk_types_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionDisks","doc":"API calls for all endpoints tagged `RegionDisks`.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_add_resource_policies/6","doc":"Adds existing resource policies to a regional disk. You can only add one policy which will be applied to this disk for scheduling snapshot creation.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_add_resource_policies/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_add_resource_policies/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `disk` (*type:* `String.t`) - The disk name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionDisksAddResourcePoliciesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_add_resource_policies/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_add_resource_policies/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_add_resource_policies/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_bulk_insert/5","doc":"Bulk create a set of disks.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_bulk_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_bulk_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BulkInsertDiskResource.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_bulk_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_bulk_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_bulk_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_create_snapshot/6","doc":"Creates a snapshot of a specified persistent disk. For regular snapshot creation, consider using snapshots.insert instead, as that method supports more features, such as creating snapshots in a project different from the source disk project.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_create_snapshot/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_create_snapshot/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `disk` (*type:* `String.t`) - Name of the regional persistent disk to snapshot.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Snapshot.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_create_snapshot/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_create_snapshot/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_create_snapshot/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_delete/6","doc":"Deletes the specified regional persistent disk. Deleting a regional disk removes all the replicas of its data permanently and is irreversible. However, deleting a disk does not delete any snapshots previously made from the disk. You must separately delete snapshots.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `disk` (*type:* `String.t`) - Name of the regional persistent disk to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_get/6","doc":"Returns a specified regional persistent disk.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `disk` (*type:* `String.t`) - Name of the regional persistent disk to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Disk{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_insert/5","doc":"Creates a persistent regional disk in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:sourceImage` (*type:* `String.t`) - Source image to restore onto a disk. This field is optional.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Disk.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_list/5","doc":"Retrieves the list of persistent disks contained within the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.DiskList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_remove_resource_policies/6","doc":"Removes resource policies from a regional disk.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_remove_resource_policies/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_remove_resource_policies/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `disk` (*type:* `String.t`) - The disk name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionDisksRemoveResourcePoliciesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_remove_resource_policies/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_remove_resource_policies/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_remove_resource_policies/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_resize/6","doc":"Resizes the specified regional persistent disk.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_resize/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_resize/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - The project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `disk` (*type:* `String.t`) - Name of the regional persistent disk.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionDisksResizeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_resize/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_resize/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_resize/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_set_labels/6","doc":"Sets the labels on the target regional disk.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_set_labels/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_start_async_replication/6","doc":"Starts asynchronous replication. Must be invoked on the primary disk.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_start_async_replication/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_start_async_replication/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `disk` (*type:* `String.t`) - The name of the persistent disk.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionDisksStartAsyncReplicationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_start_async_replication/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_start_async_replication/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_start_async_replication/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_stop_async_replication/6","doc":"Stops asynchronous replication. Can be invoked either on the primary or on the secondary disk.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_stop_async_replication/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_stop_async_replication/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `disk` (*type:* `String.t`) - The name of the persistent disk.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_stop_async_replication/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_stop_async_replication/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_stop_async_replication/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_stop_group_async_replication/5","doc":"Stops asynchronous replication for a consistency group of disks. Can be invoked either in the primary or secondary scope.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_stop_group_async_replication/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_stop_group_async_replication/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request. This must be the region of the primary or secondary disks in the consistency group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.DisksStopGroupAsyncReplicationResource.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_stop_group_async_replication/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_stop_group_async_replication/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_stop_group_async_replication/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_test_iam_permissions/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_update/6","doc":"Update the specified disk with the data included in the request. Update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: user_license.","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_update/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_update/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `disk` (*type:* `String.t`) - The disk name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:paths` (*type:* `list(String.t)`) - \n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - update_mask indicates fields to be updated as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Disk.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionDisks.compute_region_disks_update/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionDisks.html#compute_region_disks_update/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices","doc":"API calls for all endpoints tagged `RegionHealthCheckServices`.","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_delete/6","doc":"Deletes the specified regional HealthCheckService.","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `health_check_service` (*type:* `String.t`) - Name of the HealthCheckService to delete. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_get/6","doc":"Returns the specified regional HealthCheckService resource.","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `health_check_service` (*type:* `String.t`) - Name of the HealthCheckService to update. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HealthCheckService{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_insert/5","doc":"Creates a regional HealthCheckService resource in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HealthCheckService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_list/5","doc":"Lists all the HealthCheckService resources that have been configured for the specified project in the given region.","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HealthCheckServicesList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_patch/6","doc":"Updates the specified regional HealthCheckService resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `health_check_service` (*type:* `String.t`) - Name of the HealthCheckService to update. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HealthCheckService.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthCheckServices.compute_region_health_check_services_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthCheckServices.html#compute_region_health_check_services_patch/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionHealthChecks","doc":"API calls for all endpoints tagged `RegionHealthChecks`.","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_delete/6","doc":"Deletes the specified HealthCheck resource.","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `health_check` (*type:* `String.t`) - Name of the HealthCheck resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_get/6","doc":"Returns the specified HealthCheck resource.","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `health_check` (*type:* `String.t`) - Name of the HealthCheck resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HealthCheck{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_insert/5","doc":"Creates a HealthCheck resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_list/5","doc":"Retrieves the list of HealthCheck resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.HealthCheckList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_patch/6","doc":"Updates a HealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `health_check` (*type:* `String.t`) - Name of the HealthCheck resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_update/6","doc":"Updates a HealthCheck resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_update/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_update/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `health_check` (*type:* `String.t`) - Name of the HealthCheck resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.HealthCheck.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionHealthChecks.compute_region_health_checks_update/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionHealthChecks.html#compute_region_health_checks_update/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers","doc":"API calls for all endpoints tagged `RegionInstanceGroupManagers`.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_abandon_instances/6","doc":"Flags the specified instances to be immediately removed from the managed instance group. Abandoning an instance does not delete the instance, but it does remove the instance from any target pools that are applied by the managed instance group. This method reduces the targetSize of the managed instance group by the number of instances that you abandon. This operation is marked as DONE when the action is scheduled even if the instances have not yet been removed from the group. You must separately verify the status of the abandoning action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_abandon_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_abandon_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group_manager` (*type:* `String.t`) - Name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersAbandonInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_abandon_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_abandon_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_abandon_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_apply_updates_to_instances/6","doc":"Apply updates to selected instances the managed instance group.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_apply_updates_to_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_apply_updates_to_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request, should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group, should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersApplyUpdatesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_apply_updates_to_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_apply_updates_to_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_apply_updates_to_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_create_instances/6","doc":"Creates instances with per-instance configurations in this regional managed instance group. Instances are created using the current instance template. The create instances operation is marked DONE if the createInstances request is successful. The underlying actions take additional time. You must separately verify the status of the creating or actions with the listmanagedinstances method.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_create_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_create_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region where the managed instance group is located. It should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersCreateInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_create_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_create_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_create_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_delete/6","doc":"Deletes the specified managed instance group and all of the instances in that group.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group_manager` (*type:* `String.t`) - Name of the managed instance group to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_delete_instances/6","doc":"Flags the specified instances in the managed instance group to be immediately deleted. The instances are also removed from any target pools of which they were a member. This method reduces the targetSize of the managed instance group by the number of instances that you delete. The deleteInstances operation is marked DONE if the deleteInstances request is successful. The underlying actions take additional time. You must separately verify the status of the deleting action with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_delete_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_delete_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group_manager` (*type:* `String.t`) - Name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersDeleteInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_delete_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_delete_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_delete_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_delete_per_instance_configs/6","doc":"Deletes selected per-instance configurations for the managed instance group.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_delete_per_instance_configs/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_delete_per_instance_configs/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request, should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerDeleteInstanceConfigReq.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_delete_per_instance_configs/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_delete_per_instance_configs/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_delete_per_instance_configs/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_get/6","doc":"Returns all of the details about the specified managed instance group.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group_manager` (*type:* `String.t`) - Name of the managed instance group to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroupManager{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_insert/5","doc":"Creates a managed instance group using the information that you specify in the request. After the group is created, instances in the group are created using the specified instance template. This operation is marked as DONE when the group is created even if the instances in the group have not yet been created. You must separately verify the status of the individual instances with the listmanagedinstances method. A regional managed instance group can contain up to 2000 instances.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManager.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list/5","doc":"Retrieves the list of managed instance groups that are contained within the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list_errors/6","doc":"Lists all errors thrown by actions on instances for a given regional managed instance group. The filter and orderBy query parameters are not supported.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list_errors/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list_errors/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request. This should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It must be a string that meets the requirements in RFC1035, or an unsigned long integer: must match regexp pattern: (?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?)|1-9{0,19}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list_errors/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list_errors/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListErrorsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list_errors/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list_managed_instances/6","doc":"Lists the instances in the managed instance group and instances that are scheduled to be created. The list includes any current actions that the group has scheduled for its instances. The orderBy query parameter is not supported. The `pageToken` query parameter is supported only if the group's `listManagedInstancesResults` field is set to `PAGINATED`.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list_managed_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list_managed_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list_managed_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list_managed_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstancesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list_managed_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list_per_instance_configs/6","doc":"Lists all of the per-instance configurations defined for the managed instance group. The orderBy query parameter is not supported.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list_per_instance_configs/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list_per_instance_configs/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request, should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list_per_instance_configs/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_list_per_instance_configs/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsResp{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_list_per_instance_configs/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_patch/6","doc":"Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is patched even if the instances in the group are still in the process of being patched. You must separately verify the status of the individual instances with the listmanagedinstances method. This method supports PATCH semantics and uses the JSON merge patch format and processing rules. If you update your group to specify a new template or instance configuration, it's possible that your intended specification for each VM in the group is different from the current state of that VM. To learn how to apply an updated configuration to the VMs in a MIG, see Updating instances in a MIG.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the instance group manager.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManager.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_patch_per_instance_configs/6","doc":"Inserts or patches per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_patch_per_instance_configs/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_patch_per_instance_configs/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request, should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerPatchInstanceConfigReq.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_patch_per_instance_configs/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_patch_per_instance_configs/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_patch_per_instance_configs/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_recreate_instances/6","doc":"Flags the specified VM instances in the managed instance group to be immediately recreated. Each instance is recreated using the group's current configuration. This operation is marked as DONE when the flag is set even if the instances have not yet been recreated. You must separately verify the status of each instance by checking its currentAction field; for more information, see Checking the status of managed instances. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted. You can specify a maximum of 1000 instances with this method per request.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_recreate_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_recreate_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group_manager` (*type:* `String.t`) - Name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersRecreateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_recreate_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_recreate_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_recreate_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_resize/7","doc":"Changes the intended size of the managed instance group. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes one or more instances. The resize operation is marked DONE if the resize request is successful. The underlying actions take additional time. You must separately verify the status of the creating or deleting actions with the listmanagedinstances method. If the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_resize/7"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_resize/7","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group_manager` (*type:* `String.t`) - Name of the managed instance group.\n*   `size` (*type:* `integer()`) - Number of instances that should exist in this instance group manager.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_resize/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_resize/7","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_resize/7-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_set_instance_template/6","doc":"Sets the instance template to use when creating new instances or recreating instances in this group. Existing instances are not affected.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_set_instance_template/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_set_instance_template/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTemplateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_set_instance_template/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_set_instance_template/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_set_instance_template/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_set_target_pools/6","doc":"Modifies the target pools to which all new instances in this group are assigned. Existing instances in the group are not affected.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_set_target_pools/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_set_target_pools/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group_manager` (*type:* `String.t`) - Name of the managed instance group.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTargetPoolsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_set_target_pools/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_set_target_pools/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_set_target_pools/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_update_per_instance_configs/6","doc":"Inserts or updates per-instance configurations for the managed instance group. perInstanceConfig.name serves as a key used to distinguish whether to perform insert or patch.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_update_per_instance_configs/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_update_per_instance_configs/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request, should conform to RFC1035.\n*   `instance_group_manager` (*type:* `String.t`) - The name of the managed instance group. It should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerUpdateInstanceConfigReq.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_update_per_instance_configs/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.compute_region_instance_group_managers_update_per_instance_configs/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroupManagers.html#compute_region_instance_group_managers_update_per_instance_configs/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroups","doc":"API calls for all endpoints tagged `RegionInstanceGroups`.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_get/6","doc":"Returns the specified instance group resource.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group` (*type:* `String.t`) - Name of the instance group resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_list/5","doc":"Retrieves the list of instance group resources contained within the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RegionInstanceGroupList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_list_instances/6","doc":"Lists the instances in the specified instance group and displays information about the named ports. Depending on the specified options, this method can list all instances or only the instances that are running. The orderBy query parameter is not supported.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_list_instances/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_list_instances/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group` (*type:* `String.t`) - Name of the regional instance group for which we want to list the instances.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_list_instances/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_list_instances/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstances{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_list_instances/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_set_named_ports/6","doc":"Sets the named ports for the specified regional instance group.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_set_named_ports/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_set_named_ports/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `instance_group` (*type:* `String.t`) - The name of the regional instance group where the named ports are updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupsSetNamedPortsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_set_named_ports/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceGroups.compute_region_instance_groups_set_named_ports/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceGroups.html#compute_region_instance_groups_set_named_ports/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates","doc":"API calls for all endpoints tagged `RegionInstanceTemplates`.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_delete/6","doc":"Deletes the specified instance template. Deleting an instance template is permanent and cannot be undone.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `instance_template` (*type:* `String.t`) - The name of the instance template to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_get/6","doc":"Returns the specified instance template.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `instance_template` (*type:* `String.t`) - The name of the instance template.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceTemplate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_insert/5","doc":"Creates an instance template in the specified project and region using the global instance template whose URL is included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceTemplate.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_list/5","doc":"Retrieves a list of instance templates that are contained within the specified project and region.","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the regions for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstanceTemplates.compute_region_instance_templates_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstanceTemplateList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstanceTemplates.html#compute_region_instance_templates_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionInstances","doc":"API calls for all endpoints tagged `RegionInstances`.","ref":"GoogleApi.Compute.V1.Api.RegionInstances.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstances.compute_region_instances_bulk_insert/5","doc":"Creates multiple instances in a given region. Count specifies the number of instances to create.","ref":"GoogleApi.Compute.V1.Api.RegionInstances.html#compute_region_instances_bulk_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstances.compute_region_instances_bulk_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.BulkInsertInstanceResource.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstances.html#compute_region_instances_bulk_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstances.compute_region_instances_bulk_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstances.html#compute_region_instances_bulk_insert/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots","doc":"API calls for all endpoints tagged `RegionInstantSnapshots`.","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_delete/6","doc":"Deletes the specified InstantSnapshot resource. Keep in mind that deleting a single instantSnapshot might not necessarily delete all the data on that instantSnapshot. If any data on the instantSnapshot that is marked for deletion is needed for subsequent instantSnapshots, the data will be moved to the next corresponding instantSnapshot. For more information, see Deleting instantSnapshots.","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `instant_snapshot` (*type:* `String.t`) - Name of the InstantSnapshot resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_get/6","doc":"Returns the specified InstantSnapshot resource in the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `instant_snapshot` (*type:* `String.t`) - Name of the InstantSnapshot resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstantSnapshot{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_insert/5","doc":"Creates an instant snapshot in the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstantSnapshot.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_list/5","doc":"Retrieves the list of InstantSnapshot resources contained within the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.InstantSnapshotList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_set_labels/6","doc":"Sets the labels on a instantSnapshot in the given region. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_set_labels/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionInstantSnapshots.compute_region_instant_snapshots_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionInstantSnapshots.html#compute_region_instant_snapshots_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups","doc":"API calls for all endpoints tagged `RegionNetworkEndpointGroups`.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_attach_network_endpoints/6","doc":"Attach a list of network endpoints to the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_attach_network_endpoints/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_attach_network_endpoints/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region where you want to create the network endpoint group. It should comply with RFC1035.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group where you are attaching network endpoints to. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsAttachEndpointsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_attach_network_endpoints/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_attach_network_endpoints/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_attach_network_endpoints/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_delete/6","doc":"Deletes the specified network endpoint group. Note that the NEG cannot be deleted if it is configured as a backend of a backend service.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region where the network endpoint group is located. It should comply with RFC1035.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group to delete. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_detach_network_endpoints/6","doc":"Detach the network endpoint from the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_detach_network_endpoints/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_detach_network_endpoints/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region where the network endpoint group is located. It should comply with RFC1035.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group you are detaching network endpoints from. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000). end_interface: MixerMutationRequestBuilder\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsDetachEndpointsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_detach_network_endpoints/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_detach_network_endpoints/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_detach_network_endpoints/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_get/6","doc":"Returns the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region where the network endpoint group is located. It should comply with RFC1035.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEndpointGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_insert/5","doc":"Creates a network endpoint group in the specified project using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region where you want to create the network endpoint group. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_list/5","doc":"Retrieves the list of regional network endpoint groups available to the specified project in the given region.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region where the network endpoint group is located. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEndpointGroupList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_list_network_endpoints/6","doc":"Lists the network endpoints in the specified network endpoint group.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_list_network_endpoints/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_list_network_endpoints/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region where the network endpoint group is located. It should comply with RFC1035.\n*   `network_endpoint_group` (*type:* `String.t`) - The name of the network endpoint group from which you want to generate a list of included network endpoints. It should comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_list_network_endpoints/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.compute_region_network_endpoint_groups_list_network_endpoints/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkEndpointGroups.html#compute_region_network_endpoint_groups_list_network_endpoints/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies","doc":"API calls for all endpoints tagged `RegionNetworkFirewallPolicies`.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_add_association/6","doc":"Inserts an association for the specified network firewall policy.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_add_association/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_add_association/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:replaceExistingAssociation` (*type:* `boolean()`) - Indicates whether or not to replace it if an association already exists. This is false by default, in which case an error will be returned if an association already exists.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_add_association/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_add_association/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_add_association/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_add_rule/6","doc":"Inserts a rule into a network firewall policy.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_add_rule/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_add_rule/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:maxPriority` (*type:* `integer()`) - When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority>. This field is exclusive with rule.priority.\n    *   `:minPriority` (*type:* `integer()`) - When rule.priority is not specified, auto choose a unused priority between minPriority and maxPriority>. This field is exclusive with rule.priority.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_add_rule/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_add_rule/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_add_rule/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_clone_rules/6","doc":"Copies rules to the specified network firewall policy.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_clone_rules/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_clone_rules/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:sourceFirewallPolicy` (*type:* `String.t`) - The firewall policy from which to copy rules.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_clone_rules/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_clone_rules/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_clone_rules/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_delete/6","doc":"Deletes the specified network firewall policy.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get/6","doc":"Returns the specified network firewall policy.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_association/6","doc":"Gets an association with the specified name.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_association/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_association/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to which the queried association belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:name` (*type:* `String.t`) - The name of the association to get from the firewall policy.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_association/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_association/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicyAssociation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_association/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_effective_firewalls/6","doc":"Returns the effective firewalls on a given network.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_effective_firewalls/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_effective_firewalls/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `network` (*type:* `String.t`) - Network reference\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_effective_firewalls/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_effective_firewalls/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_effective_firewalls/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_rule/6","doc":"Gets a rule of the specified priority.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_rule/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_rule/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to which the queried rule belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to get from the firewall policy.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_rule/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_get_rule/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicyRule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_get_rule/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_insert/5","doc":"Creates a new network firewall policy in the specified project and region.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_list/5","doc":"Lists all the network firewall policies that have been configured for the specified project in the given region.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.FirewallPolicyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_patch/6","doc":"Patches the specified network firewall policy.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_patch_rule/6","doc":"Patches a rule of the specified priority.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_patch_rule/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_patch_rule/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to patch.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_patch_rule/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_patch_rule/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_patch_rule/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_remove_association/6","doc":"Removes an association for the specified network firewall policy.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_remove_association/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_remove_association/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:name` (*type:* `String.t`) - Name for the association that will be removed.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_remove_association/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_remove_association/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_remove_association/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_remove_rule/6","doc":"Deletes a rule of the specified priority.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_remove_rule/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_remove_rule/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `firewall_policy` (*type:* `String.t`) - Name of the firewall policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to remove from the firewall policy.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_remove_rule/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_remove_rule/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_remove_rule/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.compute_region_network_firewall_policies_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNetworkFirewallPolicies.html#compute_region_network_firewall_policies_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints","doc":"API calls for all endpoints tagged `RegionNotificationEndpoints`.","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_delete/6","doc":"Deletes the specified NotificationEndpoint in the given region","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `notification_endpoint` (*type:* `String.t`) - Name of the NotificationEndpoint resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_get/6","doc":"Returns the specified NotificationEndpoint resource in the given region.","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `notification_endpoint` (*type:* `String.t`) - Name of the NotificationEndpoint resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NotificationEndpoint{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_insert/5","doc":"Create a NotificationEndpoint in the specified project in the given region using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.NotificationEndpoint.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_list/5","doc":"Lists the NotificationEndpoints for a project in the given region.","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.compute_region_notification_endpoints_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NotificationEndpointList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionNotificationEndpoints.html#compute_region_notification_endpoints_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionOperations","doc":"API calls for all endpoints tagged `RegionOperations`.","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_delete/6","doc":"Deletes the specified region-specific Operations resource.","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to delete, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_delete/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_get/6","doc":"Retrieves the specified region-specific Operations resource.","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to return, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_list/5","doc":"Retrieves a list of Operation resources contained within the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.OperationList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_wait/6","doc":"Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method differs from the `GET` method in that it waits for no more than the default deadline (2 minutes) and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`.","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_wait/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_wait/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to return, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_wait/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionOperations.compute_region_operations_wait/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionOperations.html#compute_region_operations_wait/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies","doc":"API calls for all endpoints tagged `RegionSecurityPolicies`.","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_add_rule/6","doc":"Inserts a rule into a security policy.","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_add_rule/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_add_rule/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:validateOnly` (*type:* `boolean()`) - If true, the request will not be committed.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_add_rule/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_add_rule/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_add_rule/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_delete/6","doc":"Deletes the specified policy.","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_get/6","doc":"List all of the ordered rules present in a single specified policy.","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SecurityPolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_get_rule/6","doc":"Gets a rule at the specified priority.","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_get_rule/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_get_rule/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to which the queried rule belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to get from the security policy.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_get_rule/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_get_rule/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SecurityPolicyRule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_get_rule/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_insert/5","doc":"Creates a new policy in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:validateOnly` (*type:* `boolean()`) - If true, the request will not be committed.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_list/5","doc":"List all the policies that have been configured for the specified project and region.","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SecurityPolicyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_patch/6","doc":"Patches the specified policy with the data included in the request. To clear fields in the policy, leave the fields empty and specify them in the updateMask. This cannot be used to be update the rules in the policy. Please use the per rule methods like addRule, patchRule, and removeRule instead.","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - Indicates fields to be cleared as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_patch_rule/6","doc":"Patches a rule at the specified priority. To clear fields in the rule, leave the fields empty and specify them in the updateMask.","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_patch_rule/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_patch_rule/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to patch.\n    *   `:updateMask` (*type:* `String.t`) - Indicates fields to be cleared as part of this request.\n    *   `:validateOnly` (*type:* `boolean()`) - If true, the request will not be committed.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_patch_rule/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_patch_rule/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_patch_rule/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_remove_rule/6","doc":"Deletes a rule at the specified priority.","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_remove_rule/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_remove_rule/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to remove from the security policy.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_remove_rule/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSecurityPolicies.compute_region_security_policies_remove_rule/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSecurityPolicies.html#compute_region_security_policies_remove_rule/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionSslCertificates","doc":"API calls for all endpoints tagged `RegionSslCertificates`.","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_delete/6","doc":"Deletes the specified SslCertificate resource in the region.","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `ssl_certificate` (*type:* `String.t`) - Name of the SslCertificate resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_get/6","doc":"Returns the specified SslCertificate resource in the specified region. Get a list of available SSL certificates by making a list() request.","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `ssl_certificate` (*type:* `String.t`) - Name of the SslCertificate resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslCertificate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_insert/5","doc":"Creates a SslCertificate resource in the specified project and region using the data included in the request","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SslCertificate.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_list/5","doc":"Retrieves the list of SslCertificate resources available to the specified project in the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSslCertificates.compute_region_ssl_certificates_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslCertificateList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSslCertificates.html#compute_region_ssl_certificates_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionSslPolicies","doc":"API calls for all endpoints tagged `RegionSslPolicies`.","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_delete/6","doc":"Deletes the specified SSL policy. The SSL policy resource can be deleted only if it is not in use by any TargetHttpsProxy or TargetSslProxy resources.","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `ssl_policy` (*type:* `String.t`) - Name of the SSL policy to delete. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_get/6","doc":"Lists all of the ordered rules present in a single specified policy.","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `ssl_policy` (*type:* `String.t`) - Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslPolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_insert/5","doc":"Creates a new policy in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SslPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_list/5","doc":"Lists all the SSL policies that have been configured for the specified project and region.","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslPoliciesList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_list_available_features/5","doc":"Lists all features that can be specified in the SSL policy when using custom profile.","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_list_available_features/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_list_available_features/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_list_available_features/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_list_available_features/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslPoliciesListAvailableFeaturesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_list_available_features/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_patch/6","doc":"Patches the specified SSL policy with the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `ssl_policy` (*type:* `String.t`) - Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SslPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionSslPolicies.compute_region_ssl_policies_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionSslPolicies.html#compute_region_ssl_policies_patch/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies","doc":"API calls for all endpoints tagged `RegionTargetHttpProxies`.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_delete/6","doc":"Deletes the specified TargetHttpProxy resource.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_http_proxy` (*type:* `String.t`) - Name of the TargetHttpProxy resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_get/6","doc":"Returns the specified TargetHttpProxy resource in the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_http_proxy` (*type:* `String.t`) - Name of the TargetHttpProxy resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetHttpProxy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_insert/5","doc":"Creates a TargetHttpProxy resource in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_list/5","doc":"Retrieves the list of TargetHttpProxy resources available to the specified project in the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetHttpProxyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_set_url_map/6","doc":"Changes the URL map for TargetHttpProxy.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_set_url_map/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_set_url_map/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_http_proxy` (*type:* `String.t`) - Name of the TargetHttpProxy to set a URL map for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMapReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_set_url_map/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.compute_region_target_http_proxies_set_url_map/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpProxies.html#compute_region_target_http_proxies_set_url_map/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies","doc":"API calls for all endpoints tagged `RegionTargetHttpsProxies`.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_delete/6","doc":"Deletes the specified TargetHttpsProxy resource.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_get/6","doc":"Returns the specified TargetHttpsProxy resource in the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetHttpsProxy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_insert/5","doc":"Creates a TargetHttpsProxy resource in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpsProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_list/5","doc":"Retrieves the list of TargetHttpsProxy resources available to the specified project in the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetHttpsProxyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_patch/6","doc":"Patches the specified regional TargetHttpsProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpsProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_set_ssl_certificates/6","doc":"Replaces SslCertificates for TargetHttpsProxy.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_set_ssl_certificates/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_set_ssl_certificates/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource to set an SslCertificates resource for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionTargetHttpsProxiesSetSslCertificatesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_set_ssl_certificates/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_set_ssl_certificates/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_set_ssl_certificates/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_set_url_map/6","doc":"Changes the URL map for TargetHttpsProxy.","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_set_url_map/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_set_url_map/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy to set a URL map for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMapReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_set_url_map/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.compute_region_target_https_proxies_set_url_map/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetHttpsProxies.html#compute_region_target_https_proxies_set_url_map/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies","doc":"API calls for all endpoints tagged `RegionTargetTcpProxies`.","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_delete/6","doc":"Deletes the specified TargetTcpProxy resource.","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_tcp_proxy` (*type:* `String.t`) - Name of the TargetTcpProxy resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_get/6","doc":"Returns the specified TargetTcpProxy resource.","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_tcp_proxy` (*type:* `String.t`) - Name of the TargetTcpProxy resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetTcpProxy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_insert/5","doc":"Creates a TargetTcpProxy resource in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetTcpProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_list/5","doc":"Retrieves a list of TargetTcpProxy resources available to the specified project in a given region.","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.compute_region_target_tcp_proxies_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetTcpProxyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionTargetTcpProxies.html#compute_region_target_tcp_proxies_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionUrlMaps","doc":"API calls for all endpoints tagged `RegionUrlMaps`.","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_delete/6","doc":"Deletes the specified UrlMap resource.","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_get/6","doc":"Returns the specified UrlMap resource.","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.UrlMap{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_insert/5","doc":"Creates a UrlMap resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMap.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_list/5","doc":"Retrieves the list of UrlMap resources available to the specified project in the specified region.","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.UrlMapList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_patch/6","doc":"Patches the specified UrlMap resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMap.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_update/6","doc":"Updates the specified UrlMap resource with the data included in the request.","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_update/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_update/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - begin_interface: MixerMutationRequestBuilder Request ID to support idempotency.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMap.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_update/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_update/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_validate/6","doc":"Runs static validation for the UrlMap. In particular, the tests of the provided UrlMap will be run. Calling this method does NOT create the UrlMap.","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_validate/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_validate/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap resource to be validated as.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionUrlMapsValidateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_validate/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionUrlMaps.compute_region_url_maps_validate/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.UrlMapsValidateResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionUrlMaps.html#compute_region_url_maps_validate/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.RegionZones","doc":"API calls for all endpoints tagged `RegionZones`.","ref":"GoogleApi.Compute.V1.Api.RegionZones.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.RegionZones.compute_region_zones_list/5","doc":"Retrieves the list of Zone resources under the specific region available to the specified project.","ref":"GoogleApi.Compute.V1.Api.RegionZones.html#compute_region_zones_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.RegionZones.compute_region_zones_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.RegionZones.html#compute_region_zones_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.RegionZones.compute_region_zones_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ZoneList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.RegionZones.html#compute_region_zones_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Regions","doc":"API calls for all endpoints tagged `Regions`.","ref":"GoogleApi.Compute.V1.Api.Regions.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Regions.compute_regions_get/5","doc":"Returns the specified Region resource. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request. This method fails if the quota information is unavailable for the region and if the organization policy constraint compute.requireBasicQuotaInResponse is enforced. This constraint, when enforced, disables the fail-open behaviour when quota information (the `items.quotas` field) is unavailable for the region. It is recommended to use the default setting for the constraint unless your application requires the fail-closed behaviour for this method.","ref":"GoogleApi.Compute.V1.Api.Regions.html#compute_regions_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Regions.compute_regions_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Regions.html#compute_regions_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Regions.compute_regions_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Region{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Regions.html#compute_regions_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Regions.compute_regions_list/4","doc":"Retrieves the list of region resources available to the specified project. To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `items.quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request. This method fails if the quota information is unavailable for the region and if the organization policy constraint compute.requireBasicQuotaInResponse is enforced. This constraint, when enforced, disables the fail-open behaviour when quota information (the `items.quotas` field) is unavailable for the region. It is recommended to use the default setting for the constraint unless your application requires the fail-closed behaviour for this method.","ref":"GoogleApi.Compute.V1.Api.Regions.html#compute_regions_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Regions.compute_regions_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Regions.html#compute_regions_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Regions.compute_regions_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RegionList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Regions.html#compute_regions_list/4-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Reservations","doc":"API calls for all endpoints tagged `Reservations`.","ref":"GoogleApi.Compute.V1.Api.Reservations.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Reservations.compute_reservations_aggregated_list/4","doc":"Retrieves an aggregated list of reservations. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ReservationAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Reservations.compute_reservations_delete/6","doc":"Deletes the specified reservation.","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `reservation` (*type:* `String.t`) - Name of the reservation to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Reservations.compute_reservations_get/6","doc":"Retrieves information about the specified reservation.","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `reservation` (*type:* `String.t`) - Name of the reservation to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Reservation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Reservations.compute_reservations_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Reservations.compute_reservations_insert/5","doc":"Creates a new reservation. For more information, read Reserving zonal resources.","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Reservation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Reservations.compute_reservations_list/5","doc":"A list of all the reservations that have been configured for the specified project in specified zone.","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ReservationList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Reservations.compute_reservations_resize/6","doc":"Resizes the reservation (applicable to standalone reservations only). For more information, read Modifying reservations.","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_resize/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_resize/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `reservation` (*type:* `String.t`) - Name of the reservation to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ReservationsResizeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_resize/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_resize/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_resize/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Reservations.compute_reservations_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Reservations.compute_reservations_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_test_iam_permissions/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Reservations.compute_reservations_update/6","doc":"Update share settings of the reservation.","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_update/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_update/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `reservation` (*type:* `String.t`) - Name of the reservation to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:paths` (*type:* `list(String.t)`) - \n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - Update_mask indicates fields to be updated as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Reservation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Reservations.compute_reservations_update/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Reservations.html#compute_reservations_update/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.ResourcePolicies","doc":"API calls for all endpoints tagged `ResourcePolicies`.","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_aggregated_list/4","doc":"Retrieves an aggregated list of resource policies. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_delete/6","doc":"Deletes the specified resource policy.","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `resource_policy` (*type:* `String.t`) - Name of the resource policy to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_get/6","doc":"Retrieves all information of the specified resource policy.","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `resource_policy` (*type:* `String.t`) - Name of the resource policy to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ResourcePolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_insert/5","doc":"Creates a new resource policy.","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_list/5","doc":"A list all the resource policies that have been configured for the specified project in specified region.","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ResourcePolicyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_patch/6","doc":"Modify the specified resource policy.","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `resource_policy` (*type:* `String.t`) - Id of the resource policy to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - update_mask indicates fields to be updated as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ResourcePolicies.compute_resource_policies_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ResourcePolicies.html#compute_resource_policies_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Routers","doc":"API calls for all endpoints tagged `Routers`.","ref":"GoogleApi.Compute.V1.Api.Routers.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_aggregated_list/4","doc":"Retrieves an aggregated list of routers. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RouterAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_delete/6","doc":"Deletes the specified Router resource.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `router` (*type:* `String.t`) - Name of the Router resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_get/6","doc":"Returns the specified Router resource.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `router` (*type:* `String.t`) - Name of the Router resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Router{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_get_nat_ip_info/6","doc":"Retrieves runtime NAT IP information.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get_nat_ip_info/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_get_nat_ip_info/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `router` (*type:* `String.t`) - Name of the Router resource to query for Nat IP information. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:natName` (*type:* `String.t`) - Name of the nat service to filter the NAT IP information. If it is omitted, all nats for this router will be returned. Name should conform to RFC1035.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get_nat_ip_info/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_get_nat_ip_info/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.NatIpInfoResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get_nat_ip_info/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_get_nat_mapping_info/6","doc":"Retrieves runtime Nat mapping information of VM endpoints.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get_nat_mapping_info/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_get_nat_mapping_info/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `router` (*type:* `String.t`) - Name of the Router resource to query for Nat Mapping information of VM endpoints.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:natName` (*type:* `String.t`) - Name of the nat service to filter the Nat Mapping information. If it is omitted, all nats for this router will be returned. Name should conform to RFC1035.\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get_nat_mapping_info/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_get_nat_mapping_info/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.VmEndpointNatMappingsList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get_nat_mapping_info/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_get_router_status/6","doc":"Retrieves runtime information of the specified router.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get_router_status/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_get_router_status/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `router` (*type:* `String.t`) - Name of the Router resource to query.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get_router_status/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_get_router_status/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RouterStatusResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_get_router_status/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_insert/5","doc":"Creates a Router resource in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Router.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_list/5","doc":"Retrieves a list of Router resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RouterList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_patch/6","doc":"Patches the specified Router resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `router` (*type:* `String.t`) - Name of the Router resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Router.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_preview/6","doc":"Preview fields auto-generated during router create and update operations. Calling this method does NOT create or update the router.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_preview/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_preview/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `router` (*type:* `String.t`) - Name of the Router resource to query.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Router.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_preview/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_preview/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RoutersPreviewResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_preview/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routers.compute_routers_update/6","doc":"Updates the specified Router resource with the data included in the request. This method conforms to PUT semantics, which requests that the state of the target resource be created or replaced with the state defined by the representation enclosed in the request message payload.","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_update/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routers.compute_routers_update/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `router` (*type:* `String.t`) - Name of the Router resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Router.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routers.compute_routers_update/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routers.html#compute_routers_update/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Routes","doc":"API calls for all endpoints tagged `Routes`.","ref":"GoogleApi.Compute.V1.Api.Routes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routes.compute_routes_delete/5","doc":"Deletes the specified Route resource.","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routes.compute_routes_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `route` (*type:* `String.t`) - Name of the Route resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routes.compute_routes_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routes.compute_routes_get/5","doc":"Returns the specified Route resource.","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routes.compute_routes_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `route` (*type:* `String.t`) - Name of the Route resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routes.compute_routes_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Route{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routes.compute_routes_insert/4","doc":"Creates a Route resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routes.compute_routes_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Route.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routes.compute_routes_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Routes.compute_routes_list/4","doc":"Retrieves the list of Route resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Routes.compute_routes_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Routes.compute_routes_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.RouteList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Routes.html#compute_routes_list/4-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.SecurityPolicies","doc":"API calls for all endpoints tagged `SecurityPolicies`.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_add_rule/5","doc":"Inserts a rule into a security policy.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_add_rule/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_add_rule/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:validateOnly` (*type:* `boolean()`) - If true, the request will not be committed.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_add_rule/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_add_rule/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_add_rule/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_aggregated_list/4","doc":"Retrieves the list of all SecurityPolicy resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_delete/5","doc":"Deletes the specified policy.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_get/5","doc":"List all of the ordered rules present in a single specified policy.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SecurityPolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_get_rule/5","doc":"Gets a rule at the specified priority.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_get_rule/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_get_rule/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to which the queried rule belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to get from the security policy.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_get_rule/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_get_rule/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SecurityPolicyRule{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_get_rule/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_insert/4","doc":"Creates a new policy in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:validateOnly` (*type:* `boolean()`) - If true, the request will not be committed.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_list/4","doc":"List all the policies that have been configured for the specified project.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SecurityPolicyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_list_preconfigured_expression_sets/4","doc":"Gets the current list of preconfigured Web Application Firewall (WAF) expressions.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_list_preconfigured_expression_sets/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_list_preconfigured_expression_sets/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_list_preconfigured_expression_sets/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_list_preconfigured_expression_sets/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SecurityPoliciesListPreconfiguredExpressionSetsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_list_preconfigured_expression_sets/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_patch/5","doc":"Patches the specified policy with the data included in the request. To clear fields in the policy, leave the fields empty and specify them in the updateMask. This cannot be used to be update the rules in the policy. Please use the per rule methods like addRule, patchRule, and removeRule instead.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - Indicates fields to be cleared as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_patch_rule/5","doc":"Patches a rule at the specified priority. To clear fields in the rule, leave the fields empty and specify them in the updateMask.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_patch_rule/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_patch_rule/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to patch.\n    *   `:updateMask` (*type:* `String.t`) - Indicates fields to be cleared as part of this request.\n    *   `:validateOnly` (*type:* `boolean()`) - If true, the request will not be committed.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_patch_rule/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_patch_rule/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_patch_rule/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_remove_rule/5","doc":"Deletes a rule at the specified priority.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_remove_rule/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_remove_rule/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `security_policy` (*type:* `String.t`) - Name of the security policy to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:priority` (*type:* `integer()`) - The priority of the rule to remove from the security policy.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_remove_rule/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_remove_rule/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_remove_rule/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_set_labels/5","doc":"Sets the labels on a security policy. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_set_labels/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_set_labels/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_set_labels/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SecurityPolicies.compute_security_policies_set_labels/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SecurityPolicies.html#compute_security_policies_set_labels/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.ServiceAttachments","doc":"API calls for all endpoints tagged `ServiceAttachments`.","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_aggregated_list/4","doc":"Retrieves the list of all ServiceAttachment resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_delete/6","doc":"Deletes the specified ServiceAttachment in the given scope","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `service_attachment` (*type:* `String.t`) - Name of the ServiceAttachment resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_get/6","doc":"Returns the specified ServiceAttachment resource in the given scope.","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `service_attachment` (*type:* `String.t`) - Name of the ServiceAttachment resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ServiceAttachment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_insert/5","doc":"Creates a ServiceAttachment in the specified project in the given scope using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ServiceAttachment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_list/5","doc":"Lists the ServiceAttachments for a project in the given scope.","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region of this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ServiceAttachmentList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_patch/6","doc":"Patches the specified ServiceAttachment resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The region scoping this request and should conform to RFC1035.\n*   `service_attachment` (*type:* `String.t`) - The resource id of the ServiceAttachment to patch. It should conform to RFC1035 resource name or be a string form on an unsigned long number.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ServiceAttachment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ServiceAttachments.compute_service_attachments_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ServiceAttachments.html#compute_service_attachments_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.SnapshotSettings","doc":"API calls for all endpoints tagged `SnapshotSettings`.","ref":"GoogleApi.Compute.V1.Api.SnapshotSettings.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SnapshotSettings.compute_snapshot_settings_get/4","doc":"Get snapshot settings.","ref":"GoogleApi.Compute.V1.Api.SnapshotSettings.html#compute_snapshot_settings_get/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SnapshotSettings.compute_snapshot_settings_get/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SnapshotSettings.html#compute_snapshot_settings_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SnapshotSettings.compute_snapshot_settings_get/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SnapshotSettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SnapshotSettings.html#compute_snapshot_settings_get/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SnapshotSettings.compute_snapshot_settings_patch/4","doc":"Patch snapshot settings.","ref":"GoogleApi.Compute.V1.Api.SnapshotSettings.html#compute_snapshot_settings_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SnapshotSettings.compute_snapshot_settings_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - update_mask indicates fields to be updated as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SnapshotSettings.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SnapshotSettings.html#compute_snapshot_settings_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SnapshotSettings.compute_snapshot_settings_patch/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SnapshotSettings.html#compute_snapshot_settings_patch/4-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Snapshots","doc":"API calls for all endpoints tagged `Snapshots`.","ref":"GoogleApi.Compute.V1.Api.Snapshots.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_delete/5","doc":"Deletes the specified Snapshot resource. Keep in mind that deleting a single snapshot might not necessarily delete all the data on that snapshot. If any data on the snapshot that is marked for deletion is needed for subsequent snapshots, the data will be moved to the next corresponding snapshot. For more information, see Deleting snapshots.","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `snapshot` (*type:* `String.t`) - Name of the Snapshot resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_get/5","doc":"Returns the specified Snapshot resource.","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `snapshot` (*type:* `String.t`) - Name of the Snapshot resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Snapshot{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_get_iam_policy/5","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_get_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_get_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_get_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_get_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_get_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_insert/4","doc":"Creates a snapshot in the specified project using the data included in the request. For regular snapshot creation, consider using this method instead of disks.createSnapshot, as this method supports more features, such as creating snapshots in a project different from the source disk project.","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Snapshot.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_list/4","doc":"Retrieves the list of Snapshot resources contained within the specified project.","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SnapshotList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_set_iam_policy/5","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_set_iam_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_set_iam_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_set_iam_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_set_iam_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_set_iam_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_set_labels/5","doc":"Sets the labels on a snapshot. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_set_labels/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_set_labels/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_set_labels/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_set_labels/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_set_labels/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_test_iam_permissions/5","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_test_iam_permissions/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_test_iam_permissions/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_test_iam_permissions/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Snapshots.compute_snapshots_test_iam_permissions/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Snapshots.html#compute_snapshots_test_iam_permissions/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.SslCertificates","doc":"API calls for all endpoints tagged `SslCertificates`.","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_aggregated_list/4","doc":"Retrieves the list of all SslCertificate resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslCertificateAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_delete/5","doc":"Deletes the specified SslCertificate resource.","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `ssl_certificate` (*type:* `String.t`) - Name of the SslCertificate resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_get/5","doc":"Returns the specified SslCertificate resource.","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `ssl_certificate` (*type:* `String.t`) - Name of the SslCertificate resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslCertificate{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_insert/4","doc":"Creates a SslCertificate resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SslCertificate.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_list/4","doc":"Retrieves the list of SslCertificate resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslCertificates.compute_ssl_certificates_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslCertificateList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslCertificates.html#compute_ssl_certificates_list/4-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.SslPolicies","doc":"API calls for all endpoints tagged `SslPolicies`.","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_aggregated_list/4","doc":"Retrieves the list of all SslPolicy resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslPoliciesAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_delete/5","doc":"Deletes the specified SSL policy. The SSL policy resource can be deleted only if it is not in use by any TargetHttpsProxy or TargetSslProxy resources.","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `ssl_policy` (*type:* `String.t`) - Name of the SSL policy to delete. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_get/5","doc":"Lists all of the ordered rules present in a single specified policy.","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `ssl_policy` (*type:* `String.t`) - Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslPolicy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_insert/4","doc":"Returns the specified SSL policy resource.","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SslPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_list/4","doc":"Lists all the SSL policies that have been configured for the specified project.","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslPoliciesList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_list_available_features/4","doc":"Lists all features that can be specified in the SSL policy when using custom profile.","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_list_available_features/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_list_available_features/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_list_available_features/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_list_available_features/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SslPoliciesListAvailableFeaturesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_list_available_features/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_patch/5","doc":"Patches the specified SSL policy with the data included in the request.","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `ssl_policy` (*type:* `String.t`) - Name of the SSL policy to update. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SslPolicy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.SslPolicies.compute_ssl_policies_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.SslPolicies.html#compute_ssl_policies_patch/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.StoragePoolTypes","doc":"API calls for all endpoints tagged `StoragePoolTypes`.","ref":"GoogleApi.Compute.V1.Api.StoragePoolTypes.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePoolTypes.compute_storage_pool_types_aggregated_list/4","doc":"Retrieves an aggregated list of storage pool types. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.StoragePoolTypes.html#compute_storage_pool_types_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePoolTypes.compute_storage_pool_types_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePoolTypes.html#compute_storage_pool_types_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePoolTypes.compute_storage_pool_types_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePoolTypes.html#compute_storage_pool_types_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePoolTypes.compute_storage_pool_types_get/6","doc":"Returns the specified storage pool type.","ref":"GoogleApi.Compute.V1.Api.StoragePoolTypes.html#compute_storage_pool_types_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePoolTypes.compute_storage_pool_types_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `storage_pool_type` (*type:* `String.t`) - Name of the storage pool type to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePoolTypes.html#compute_storage_pool_types_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePoolTypes.compute_storage_pool_types_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.StoragePoolType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePoolTypes.html#compute_storage_pool_types_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePoolTypes.compute_storage_pool_types_list/5","doc":"Retrieves a list of storage pool types available to the specified project.","ref":"GoogleApi.Compute.V1.Api.StoragePoolTypes.html#compute_storage_pool_types_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePoolTypes.compute_storage_pool_types_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePoolTypes.html#compute_storage_pool_types_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePoolTypes.compute_storage_pool_types_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.StoragePoolTypeList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePoolTypes.html#compute_storage_pool_types_list/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.StoragePools","doc":"API calls for all endpoints tagged `StoragePools`.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_aggregated_list/4","doc":"Retrieves an aggregated list of storage pools. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.StoragePoolAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_delete/6","doc":"Deletes the specified storage pool. Deleting a storagePool removes its data permanently and is irreversible. However, deleting a storagePool does not delete any snapshots previously made from the storagePool. You must separately delete snapshots.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `storage_pool` (*type:* `String.t`) - Name of the storage pool to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_get/6","doc":"Returns a specified storage pool. Gets a list of available storage pools by making a list() request.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `storage_pool` (*type:* `String.t`) - Name of the storage pool to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.StoragePool{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_insert/5","doc":"Creates a storage pool in the specified project using the data in the request.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.StoragePool.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_list/5","doc":"Retrieves a list of storage pools contained within the specified zone.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.StoragePoolList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_list_disks/6","doc":"Lists the disks in a specified storage pool.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_list_disks/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_list_disks/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `storage_pool` (*type:* `String.t`) - Name of the storage pool to list disks of.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_list_disks/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_list_disks/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.StoragePoolListDisks{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_list_disks/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_test_iam_permissions/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_update/6","doc":"Updates the specified storagePool with the data included in the request. The update is performed only on selected fields included as part of update-mask. Only the following fields can be modified: pool_provisioned_capacity_gb, pool_provisioned_iops and pool_provisioned_throughput.","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_update/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_update/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - The name of the zone for this request.\n*   `storage_pool` (*type:* `String.t`) - The storagePool name for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:updateMask` (*type:* `String.t`) - update_mask indicates fields to be updated as part of this request.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.StoragePool.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.StoragePools.compute_storage_pools_update/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.StoragePools.html#compute_storage_pools_update/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Subnetworks","doc":"API calls for all endpoints tagged `Subnetworks`.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_aggregated_list/4","doc":"Retrieves an aggregated list of subnetworks. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SubnetworkAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_delete/6","doc":"Deletes the specified subnetwork.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `subnetwork` (*type:* `String.t`) - Name of the Subnetwork resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_expand_ip_cidr_range/6","doc":"Expands the IP CIDR range of the subnetwork to a specified value.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_expand_ip_cidr_range/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_expand_ip_cidr_range/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `subnetwork` (*type:* `String.t`) - Name of the Subnetwork resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SubnetworksExpandIpCidrRangeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_expand_ip_cidr_range/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_expand_ip_cidr_range/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_expand_ip_cidr_range/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_get/6","doc":"Returns the specified subnetwork.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `subnetwork` (*type:* `String.t`) - Name of the Subnetwork resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Subnetwork{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_get_iam_policy/6","doc":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_get_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_get_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:optionsRequestedPolicyVersion` (*type:* `integer()`) - Requested IAM Policy version.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_get_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_get_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_get_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_insert/5","doc":"Creates a subnetwork in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Subnetwork.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_list/5","doc":"Retrieves a list of subnetworks available to the specified project.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.SubnetworkList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_list_usable/4","doc":"Retrieves an aggregated list of all usable subnetworks in the project.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_list_usable/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_list_usable/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_list_usable/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_list_usable/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_list_usable/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_patch/6","doc":"Patches the specified subnetwork with the data included in the request. Only certain fields can be updated with a patch request as indicated in the field descriptions. You must specify the current fingerprint of the subnetwork resource being patched.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_patch/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_patch/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `subnetwork` (*type:* `String.t`) - Name of the Subnetwork resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:drainTimeoutSeconds` (*type:* `integer()`) - The drain timeout specifies the upper bound in seconds on the amount of time allowed to drain connections from the current ACTIVE subnetwork to the current BACKUP subnetwork. The drain timeout is only applicable when the following conditions are true: - the subnetwork being patched has purpose = INTERNAL_HTTPS_LOAD_BALANCER - the subnetwork being patched has role = BACKUP - the patch request is setting the role to ACTIVE. Note that after this patch operation the roles of the ACTIVE and BACKUP subnetworks will be swapped.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.Subnetwork.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_patch/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_patch/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_set_iam_policy/6","doc":"Sets the access control policy on the specified resource. Replaces any existing policy.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_set_iam_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_set_iam_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_set_iam_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_set_iam_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_set_iam_policy/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_set_private_ip_google_access/6","doc":"Set whether VMs in this subnet can access Google services without assigning external IP addresses through Private Google Access.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_set_private_ip_google_access/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_set_private_ip_google_access/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `subnetwork` (*type:* `String.t`) - Name of the Subnetwork resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SubnetworksSetPrivateIpGoogleAccessRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_set_private_ip_google_access/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_set_private_ip_google_access/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_set_private_ip_google_access/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Subnetworks.compute_subnetworks_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Subnetworks.html#compute_subnetworks_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.TargetGrpcProxies","doc":"API calls for all endpoints tagged `TargetGrpcProxies`.","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_delete/5","doc":"Deletes the specified TargetGrpcProxy in the given scope","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_grpc_proxy` (*type:* `String.t`) - Name of the TargetGrpcProxy resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_get/5","doc":"Returns the specified TargetGrpcProxy resource in the given scope.","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_grpc_proxy` (*type:* `String.t`) - Name of the TargetGrpcProxy resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetGrpcProxy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_insert/4","doc":"Creates a TargetGrpcProxy in the specified project in the given scope using the parameters that are included in the request.","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetGrpcProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_list/4","doc":"Lists the TargetGrpcProxies for a project in the given scope.","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetGrpcProxyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_patch/5","doc":"Patches the specified TargetGrpcProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_grpc_proxy` (*type:* `String.t`) - Name of the TargetGrpcProxy resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetGrpcProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetGrpcProxies.compute_target_grpc_proxies_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetGrpcProxies.html#compute_target_grpc_proxies_patch/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.TargetHttpProxies","doc":"API calls for all endpoints tagged `TargetHttpProxies`.","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_aggregated_list/4","doc":"Retrieves the list of all TargetHttpProxy resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetHttpProxyAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_delete/5","doc":"Deletes the specified TargetHttpProxy resource.","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_http_proxy` (*type:* `String.t`) - Name of the TargetHttpProxy resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_get/5","doc":"Returns the specified TargetHttpProxy resource.","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_http_proxy` (*type:* `String.t`) - Name of the TargetHttpProxy resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetHttpProxy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_insert/4","doc":"Creates a TargetHttpProxy resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_list/4","doc":"Retrieves the list of TargetHttpProxy resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetHttpProxyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_patch/5","doc":"Patches the specified TargetHttpProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_http_proxy` (*type:* `String.t`) - Name of the TargetHttpProxy resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_set_url_map/5","doc":"Changes the URL map for TargetHttpProxy.","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_set_url_map/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_set_url_map/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_http_proxy` (*type:* `String.t`) - Name of the TargetHttpProxy to set a URL map for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMapReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_set_url_map/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpProxies.compute_target_http_proxies_set_url_map/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpProxies.html#compute_target_http_proxies_set_url_map/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies","doc":"API calls for all endpoints tagged `TargetHttpsProxies`.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_aggregated_list/4","doc":"Retrieves the list of all TargetHttpsProxy resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_delete/5","doc":"Deletes the specified TargetHttpsProxy resource.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_get/5","doc":"Returns the specified TargetHttpsProxy resource.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetHttpsProxy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_insert/4","doc":"Creates a TargetHttpsProxy resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpsProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_list/4","doc":"Retrieves the list of TargetHttpsProxy resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetHttpsProxyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_patch/5","doc":"Patches the specified TargetHttpsProxy resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpsProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_certificate_map/5","doc":"Changes the Certificate Map for TargetHttpsProxy.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_certificate_map/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_certificate_map/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource whose CertificateMap is to be set. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetCertificateMapRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_certificate_map/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_certificate_map/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_certificate_map/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_quic_override/5","doc":"Sets the QUIC override policy for TargetHttpsProxy.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_quic_override/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_quic_override/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource to set the QUIC override policy for. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetQuicOverrideRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_quic_override/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_quic_override/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_quic_override/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_ssl_certificates/5","doc":"Replaces SslCertificates for TargetHttpsProxy.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_ssl_certificates/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_ssl_certificates/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource to set an SslCertificates resource for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetSslCertificatesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_ssl_certificates/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_ssl_certificates/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_ssl_certificates/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_ssl_policy/5","doc":"Sets the SSL policy for TargetHttpsProxy. The SSL policy specifies the server-side support for SSL features. This affects connections between clients and the HTTPS proxy load balancer. They do not affect the connection between the load balancer and the backends.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_ssl_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_ssl_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource whose SSL policy is to be set. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SslPolicyReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_ssl_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_ssl_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_ssl_policy/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_url_map/5","doc":"Changes the URL map for TargetHttpsProxy.","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_url_map/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_url_map/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_https_proxy` (*type:* `String.t`) - Name of the TargetHttpsProxy resource whose URL map is to be set.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMapReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_url_map/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetHttpsProxies.compute_target_https_proxies_set_url_map/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetHttpsProxies.html#compute_target_https_proxies_set_url_map/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.TargetInstances","doc":"API calls for all endpoints tagged `TargetInstances`.","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_aggregated_list/4","doc":"Retrieves an aggregated list of target instances. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetInstanceAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_delete/6","doc":"Deletes the specified TargetInstance resource.","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone scoping this request.\n*   `target_instance` (*type:* `String.t`) - Name of the TargetInstance resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_get/6","doc":"Returns the specified TargetInstance resource.","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone scoping this request.\n*   `target_instance` (*type:* `String.t`) - Name of the TargetInstance resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetInstance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_insert/5","doc":"Creates a TargetInstance resource in the specified project and zone using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetInstance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_list/5","doc":"Retrieves a list of TargetInstance resources available to the specified project and zone.","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetInstanceList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_set_security_policy/6","doc":"Sets the Google Cloud Armor security policy for the specified target instance. For more information, see Google Cloud Armor Overview","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_set_security_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_set_security_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone scoping this request.\n*   `target_instance` (*type:* `String.t`) - Name of the TargetInstance resource to which the security policy should be set. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_set_security_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetInstances.compute_target_instances_set_security_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetInstances.html#compute_target_instances_set_security_policy/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.TargetPools","doc":"API calls for all endpoints tagged `TargetPools`.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_add_health_check/6","doc":"Adds health check URLs to a target pool.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_add_health_check/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_add_health_check/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_pool` (*type:* `String.t`) - Name of the target pool to add a health check to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetPoolsAddHealthCheckRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_add_health_check/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_add_health_check/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_add_health_check/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_add_instance/6","doc":"Adds an instance to a target pool.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_add_instance/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_add_instance/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_pool` (*type:* `String.t`) - Name of the TargetPool resource to add instances to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetPoolsAddInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_add_instance/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_add_instance/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_add_instance/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_aggregated_list/4","doc":"Retrieves an aggregated list of target pools. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetPoolAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_delete/6","doc":"Deletes the specified target pool.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_pool` (*type:* `String.t`) - Name of the TargetPool resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_get/6","doc":"Returns the specified target pool.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_pool` (*type:* `String.t`) - Name of the TargetPool resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetPool{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_get_health/6","doc":"Gets the most recent health check results for each IP for the instance that is referenced by the given target pool.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_get_health/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_get_health/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_pool` (*type:* `String.t`) - Name of the TargetPool resource to which the queried instance belongs.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.InstanceReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_get_health/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_get_health/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetPoolInstanceHealth{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_get_health/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_insert/5","doc":"Creates a target pool in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetPool.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_list/5","doc":"Retrieves a list of target pools available to the specified project and region.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetPoolList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_remove_health_check/6","doc":"Removes health check URL from a target pool.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_remove_health_check/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_remove_health_check/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `target_pool` (*type:* `String.t`) - Name of the target pool to remove health checks from.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetPoolsRemoveHealthCheckRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_remove_health_check/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_remove_health_check/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_remove_health_check/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_remove_instance/6","doc":"Removes instance URL from a target pool.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_remove_instance/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_remove_instance/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_pool` (*type:* `String.t`) - Name of the TargetPool resource to remove instances from.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetPoolsRemoveInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_remove_instance/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_remove_instance/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_remove_instance/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_set_backup/6","doc":"Changes a backup target pool's configurations.","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_set_backup/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_set_backup/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_pool` (*type:* `String.t`) - Name of the TargetPool resource to set a backup pool for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:failoverRatio` (*type:* `number()`) - New failoverRatio value for the target pool.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_set_backup/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_set_backup/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_set_backup/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_set_security_policy/6","doc":"Sets the Google Cloud Armor security policy for the specified target pool. For more information, see Google Cloud Armor Overview","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_set_security_policy/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_set_security_policy/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region scoping this request.\n*   `target_pool` (*type:* `String.t`) - Name of the TargetPool resource to which the security policy should be set. The name should conform to RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_set_security_policy/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetPools.compute_target_pools_set_security_policy/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetPools.html#compute_target_pools_set_security_policy/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.TargetSslProxies","doc":"API calls for all endpoints tagged `TargetSslProxies`.","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_delete/5","doc":"Deletes the specified TargetSslProxy resource.","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_ssl_proxy` (*type:* `String.t`) - Name of the TargetSslProxy resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_get/5","doc":"Returns the specified TargetSslProxy resource.","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_ssl_proxy` (*type:* `String.t`) - Name of the TargetSslProxy resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetSslProxy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_insert/4","doc":"Creates a TargetSslProxy resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetSslProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_list/4","doc":"Retrieves the list of TargetSslProxy resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetSslProxyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_backend_service/5","doc":"Changes the BackendService for TargetSslProxy.","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_backend_service/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_backend_service/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_ssl_proxy` (*type:* `String.t`) - Name of the TargetSslProxy resource whose BackendService resource is to be set.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetSslProxiesSetBackendServiceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_backend_service/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_backend_service/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_backend_service/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_certificate_map/5","doc":"Changes the Certificate Map for TargetSslProxy.","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_certificate_map/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_certificate_map/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_ssl_proxy` (*type:* `String.t`) - Name of the TargetSslProxy resource whose CertificateMap is to be set. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetSslProxiesSetCertificateMapRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_certificate_map/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_certificate_map/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_certificate_map/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_proxy_header/5","doc":"Changes the ProxyHeaderType for TargetSslProxy.","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_proxy_header/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_proxy_header/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_ssl_proxy` (*type:* `String.t`) - Name of the TargetSslProxy resource whose ProxyHeader is to be set.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetSslProxiesSetProxyHeaderRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_proxy_header/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_proxy_header/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_proxy_header/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_ssl_certificates/5","doc":"Changes SslCertificates for TargetSslProxy.","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_ssl_certificates/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_ssl_certificates/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_ssl_proxy` (*type:* `String.t`) - Name of the TargetSslProxy resource whose SslCertificate resource is to be set.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetSslProxiesSetSslCertificatesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_ssl_certificates/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_ssl_certificates/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_ssl_certificates/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_ssl_policy/5","doc":"Sets the SSL policy for TargetSslProxy. The SSL policy specifies the server-side support for SSL features. This affects connections between clients and the load balancer. They do not affect the connection between the load balancer and the backends.","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_ssl_policy/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_ssl_policy/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_ssl_proxy` (*type:* `String.t`) - Name of the TargetSslProxy resource whose SSL policy is to be set. The name must be 1-63 characters long, and comply with RFC1035.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.SslPolicyReference.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_ssl_policy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetSslProxies.compute_target_ssl_proxies_set_ssl_policy/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetSslProxies.html#compute_target_ssl_proxies_set_ssl_policy/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.TargetTcpProxies","doc":"API calls for all endpoints tagged `TargetTcpProxies`.","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_aggregated_list/4","doc":"Retrieves the list of all TargetTcpProxy resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_delete/5","doc":"Deletes the specified TargetTcpProxy resource.","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_tcp_proxy` (*type:* `String.t`) - Name of the TargetTcpProxy resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_get/5","doc":"Returns the specified TargetTcpProxy resource.","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_tcp_proxy` (*type:* `String.t`) - Name of the TargetTcpProxy resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetTcpProxy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_insert/4","doc":"Creates a TargetTcpProxy resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetTcpProxy.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_list/4","doc":"Retrieves the list of TargetTcpProxy resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetTcpProxyList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_set_backend_service/5","doc":"Changes the BackendService for TargetTcpProxy.","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_set_backend_service/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_set_backend_service/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_tcp_proxy` (*type:* `String.t`) - Name of the TargetTcpProxy resource whose BackendService resource is to be set.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetTcpProxiesSetBackendServiceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_set_backend_service/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_set_backend_service/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_set_backend_service/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_set_proxy_header/5","doc":"Changes the ProxyHeaderType for TargetTcpProxy.","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_set_proxy_header/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_set_proxy_header/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `target_tcp_proxy` (*type:* `String.t`) - Name of the TargetTcpProxy resource whose ProxyHeader is to be set.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetTcpProxiesSetProxyHeaderRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_set_proxy_header/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetTcpProxies.compute_target_tcp_proxies_set_proxy_header/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetTcpProxies.html#compute_target_tcp_proxies_set_proxy_header/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.TargetVpnGateways","doc":"API calls for all endpoints tagged `TargetVpnGateways`.","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_aggregated_list/4","doc":"Retrieves an aggregated list of target VPN gateways. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_delete/6","doc":"Deletes the specified target VPN gateway.","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `target_vpn_gateway` (*type:* `String.t`) - Name of the target VPN gateway to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_get/6","doc":"Returns the specified target VPN gateway.","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `target_vpn_gateway` (*type:* `String.t`) - Name of the target VPN gateway to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetVpnGateway{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_insert/5","doc":"Creates a target VPN gateway in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TargetVpnGateway.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_list/5","doc":"Retrieves a list of target VPN gateways available to the specified project and region.","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TargetVpnGatewayList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_set_labels/6","doc":"Sets the labels on a TargetVpnGateway. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.TargetVpnGateways.compute_target_vpn_gateways_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.TargetVpnGateways.html#compute_target_vpn_gateways_set_labels/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.UrlMaps","doc":"API calls for all endpoints tagged `UrlMaps`.","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_aggregated_list/4","doc":"Retrieves the list of all UrlMap resources, regional and global, available to the specified project. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Name of the project scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.UrlMapsAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_delete/5","doc":"Deletes the specified UrlMap resource.","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_delete/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_delete/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_get/5","doc":"Returns the specified UrlMap resource.","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.UrlMap{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_insert/4","doc":"Creates a UrlMap resource in the specified project using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_insert/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_insert/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMap.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_insert/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_insert/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_invalidate_cache/5","doc":"Initiates a cache invalidation operation, invalidating the specified path, scoped to the specified UrlMap. For more information, see [Invalidating cached content](/cdn/docs/invalidating-cached-content).","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_invalidate_cache/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_invalidate_cache/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap scoping this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.CacheInvalidationRule.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_invalidate_cache/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_invalidate_cache/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_invalidate_cache/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_list/4","doc":"Retrieves the list of UrlMap resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.UrlMapList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_patch/5","doc":"Patches the specified UrlMap resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_patch/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_patch/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap resource to patch.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMap.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_patch/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_patch/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_update/5","doc":"Updates the specified UrlMap resource with the data included in the request.","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_update/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_update/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap resource to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMap.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_update/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_update/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_validate/5","doc":"Runs static validation for the UrlMap. In particular, the tests of the provided UrlMap will be run. Calling this method does NOT create the UrlMap.","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_validate/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_validate/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `url_map` (*type:* `String.t`) - Name of the UrlMap resource to be validated as.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.UrlMapsValidateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_validate/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.UrlMaps.compute_url_maps_validate/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.UrlMapsValidateResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.UrlMaps.html#compute_url_maps_validate/5-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.VpnGateways","doc":"API calls for all endpoints tagged `VpnGateways`.","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_aggregated_list/4","doc":"Retrieves an aggregated list of VPN gateways. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.VpnGatewayAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_delete/6","doc":"Deletes the specified VPN gateway.","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `vpn_gateway` (*type:* `String.t`) - Name of the VPN gateway to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_get/6","doc":"Returns the specified VPN gateway.","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `vpn_gateway` (*type:* `String.t`) - Name of the VPN gateway to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.VpnGateway{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_get_status/6","doc":"Returns the status for the specified VPN gateway.","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_get_status/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_get_status/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `vpn_gateway` (*type:* `String.t`) - Name of the VPN gateway to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_get_status/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_get_status/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.VpnGatewaysGetStatusResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_get_status/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_insert/5","doc":"Creates a VPN gateway in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.VpnGateway.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_list/5","doc":"Retrieves a list of VPN gateways available to the specified project and region.","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.VpnGatewayList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_set_labels/6","doc":"Sets the labels on a VpnGateway. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_set_labels/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_test_iam_permissions/6","doc":"Returns permissions that a caller has on the specified resource.","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_test_iam_permissions/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_test_iam_permissions/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The name of the region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.TestPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_test_iam_permissions/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnGateways.compute_vpn_gateways_test_iam_permissions/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.TestPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnGateways.html#compute_vpn_gateways_test_iam_permissions/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.VpnTunnels","doc":"API calls for all endpoints tagged `VpnTunnels`.","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_aggregated_list/4","doc":"Retrieves an aggregated list of VPN tunnels. To prevent failure, Google recommends that you set the `returnPartialSuccess` parameter to `true`.","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_aggregated_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_aggregated_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:includeAllScopes` (*type:* `boolean()`) - Indicates whether every visible scope for each scope type (zone, region, global) should be included in the response. For new resource types added after this field, the flag has no effect as new resource types will always include every visible scope for each scope type in response. For resource types which predate this field, if this flag is omitted or false, only scopes of the scope types where the resource type is expected to be found will be included.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n    *   `:serviceProjectNumber` (*type:* `String.t`) - The Shared VPC service project id or service project number for which aggregated list request is invoked for subnetworks list-usable api.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_aggregated_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_aggregated_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.VpnTunnelAggregatedList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_aggregated_list/4-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_delete/6","doc":"Deletes the specified VpnTunnel resource.","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `vpn_tunnel` (*type:* `String.t`) - Name of the VpnTunnel resource to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_delete/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_get/6","doc":"Returns the specified VpnTunnel resource.","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `vpn_tunnel` (*type:* `String.t`) - Name of the VpnTunnel resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.VpnTunnel{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_insert/5","doc":"Creates a VpnTunnel resource in the specified project and region using the data included in the request.","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_insert/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_insert/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.VpnTunnel.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_insert/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_insert/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_insert/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_list/5","doc":"Retrieves a list of VpnTunnel resources contained in the specified project and region.","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - Name of the region for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.VpnTunnelList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_set_labels/6","doc":"Sets the labels on a VpnTunnel. To learn more about labels, read the Labeling Resources documentation.","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_set_labels/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_set_labels/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `region` (*type:* `String.t`) - The region for this request.\n*   `resource` (*type:* `String.t`) - Name or id of the resource for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:requestId` (*type:* `String.t`) - An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).\n    *   `:body` (*type:* `GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_set_labels/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.VpnTunnels.compute_vpn_tunnels_set_labels/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.VpnTunnels.html#compute_vpn_tunnels_set_labels/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.ZoneOperations","doc":"API calls for all endpoints tagged `ZoneOperations`.","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_delete/6","doc":"Deletes the specified zone-specific Operations resource.","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_delete/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_delete/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to delete, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_delete/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_delete/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_get/6","doc":"Retrieves the specified zone-specific Operations resource.","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_get/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_get/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to return, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_get/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_get/6-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_list/5","doc":"Retrieves a list of Operation resources contained within the specified zone.","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_list/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_list/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_list/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.OperationList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_list/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_wait/6","doc":"Waits for the specified Operation resource to return as `DONE` or for the request to approach the 2 minute deadline, and retrieves the specified Operation resource. This method waits for no more than the 2 minutes and then returns the current state of the operation, which might be `DONE` or still in progress. This method is called on a best-effort basis. Specifically: - In uncommon cases, when the server is overloaded, the request might return before the default deadline is reached, or might return after zero seconds. - If the default deadline is reached, there is no guarantee that the operation is actually done when the method returns. Be prepared to retry if the operation is not `DONE`.","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_wait/6"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_wait/6","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone for this request.\n*   `operation` (*type:* `String.t`) - Name of the Operations resource to return, or its unique numeric identifier.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_wait/6-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.ZoneOperations.compute_zone_operations_wait/6","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.ZoneOperations.html#compute_zone_operations_wait/6-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Api.Zones","doc":"API calls for all endpoints tagged `Zones`.","ref":"GoogleApi.Compute.V1.Api.Zones.html"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Zones.compute_zones_get/5","doc":"Returns the specified Zone resource.","ref":"GoogleApi.Compute.V1.Api.Zones.html#compute_zones_get/5"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Zones.compute_zones_get/5","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `zone` (*type:* `String.t`) - Name of the zone resource to return.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Zones.html#compute_zones_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Zones.compute_zones_get/5","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.Zone{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Zones.html#compute_zones_get/5-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Api.Zones.compute_zones_list/4","doc":"Retrieves the list of Zone resources available to the specified project.","ref":"GoogleApi.Compute.V1.Api.Zones.html#compute_zones_list/4"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Api.Zones.compute_zones_list/4","doc":"*   `connection` (*type:* `GoogleApi.Compute.V1.Connection.t`) - Connection to server\n*   `project` (*type:* `String.t`) - Project ID for this request.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:userIp` (*type:* `String.t`) - Legacy name for parameter that has been superseded by `quotaUser`.\n    *   `:filter` (*type:* `String.t`) - A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either `=`, `!=`, `>`, `<`, `<=`, `>=` or `:`. For example, if you are filtering Compute Engine instances, you can exclude instances named `example-instance` by specifying `name != example-instance`. The `:*` comparison can be used to test whether a key has been defined. For example, to find all objects with `owner` label use: ``` labels.owner:* ``` You can also filter nested fields. For example, you could specify `scheduling.automaticRestart = false` to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels. To filter on multiple expressions, provide each separate expression within parentheses. For example: ``` (scheduling.automaticRestart = true) (cpuPlatform = \"Intel Skylake\") ``` By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: ``` (cpuPlatform = \"Intel Skylake\") OR (cpuPlatform = \"Intel Broadwell\") AND (scheduling.automaticRestart = true) ``` If you want to use a regular expression, use the `eq` (equal) or `ne` (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples: `fieldname eq unquoted literal` `fieldname eq 'single quoted literal'` `fieldname eq \"double quoted literal\"` `(fieldname1 eq literal) (fieldname2 ne \"literal\")` The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name \"instance\", you would use `name ne .*instance`. You cannot combine constraints on multiple fields using regular expressions.\n    *   `:maxResults` (*type:* `integer()`) - The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`)\n    *   `:orderBy` (*type:* `String.t`) - Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using `orderBy=\"creationTimestamp desc\"`. This sorts results based on the `creationTimestamp` field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first. Currently, only sorting by `name` or `creationTimestamp desc` is supported.\n    *   `:pageToken` (*type:* `String.t`) - Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results.\n    *   `:returnPartialSuccess` (*type:* `boolean()`) - Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Compute.V1.Api.Zones.html#compute_zones_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Api.Zones.compute_zones_list/4","doc":"*   `{:ok, %GoogleApi.Compute.V1.Model.ZoneList{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Compute.V1.Api.Zones.html#compute_zones_list/4-returns"},{"type":"module","title":"GoogleApi.Compute.V1.Connection","doc":"Handle Tesla connections for GoogleApi.Compute.V1.","ref":"GoogleApi.Compute.V1.Connection.html"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Compute.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Compute.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Compute.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Compute.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Compute.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Compute.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Compute.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Compute.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Compute.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Compute.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Compute.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Compute.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Compute.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Compute.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Compute.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Compute.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Compute.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Compute.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Compute.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Compute.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Compute.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Compute.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Compute.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Compute.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Compute.V1.Connection.t/0","doc":"","ref":"GoogleApi.Compute.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AWSV4Signature","doc":"Contains the configurations necessary to generate a signature for access to private storage buckets that support Signature Version 4 for authentication. The service name for generating the authentication header will always default to 's3'.","ref":"GoogleApi.Compute.V1.Model.AWSV4Signature.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AWSV4Signature","doc":"*   `accessKey` (*type:* `String.t`, *default:* `nil`) - The access key used for s3 bucket authentication. Required for updating or creating a backend that uses AWS v4 signature authentication, but will not be returned as part of the configuration when queried with a REST API GET request. @InputOnly\n*   `accessKeyId` (*type:* `String.t`, *default:* `nil`) - The identifier of an access key used for s3 bucket authentication.\n*   `accessKeyVersion` (*type:* `String.t`, *default:* `nil`) - The optional version identifier for the access key. You can use this to keep track of different iterations of your access key.\n*   `originRegion` (*type:* `String.t`, *default:* `nil`) - The name of the cloud region of your origin. This is a free-form field with the name of the region your cloud uses to host your origin. For example, \"us-east-1\" for AWS or \"us-ashburn-1\" for OCI.","ref":"GoogleApi.Compute.V1.Model.AWSV4Signature.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AWSV4Signature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AWSV4Signature.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AWSV4Signature.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AWSV4Signature.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorConfig","doc":"A specification of the type and number of accelerator cards attached to the instance.","ref":"GoogleApi.Compute.V1.Model.AcceleratorConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorConfig","doc":"*   `acceleratorCount` (*type:* `integer()`, *default:* `nil`) - The number of the guest accelerator cards exposed to this instance.\n*   `acceleratorType` (*type:* `String.t`, *default:* `nil`) - Full or partial URL of the accelerator type resource to attach to this instance. For example: projects/my-project/zones/us-central1-c/acceleratorTypes/nvidia-tesla-p100 If you are creating an instance template, specify only the accelerator name. See GPUs on Compute Engine for a full list of accelerator types.","ref":"GoogleApi.Compute.V1.Model.AcceleratorConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorType","doc":"Represents an Accelerator Type resource. Google Cloud Platform provides graphics processing units (accelerators) that you can add to VM instances to improve or accelerate performance when working with intensive workloads. For more information, read GPUs on Compute Engine.","ref":"GoogleApi.Compute.V1.Model.AcceleratorType.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorType","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `deprecated` (*type:* `GoogleApi.Compute.V1.Model.DeprecationStatus.t`, *default:* `nil`) - [Output Only] The deprecation status associated with this accelerator type.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional textual description of the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#acceleratorType`) - [Output Only] The type of the resource. Always compute#acceleratorType for accelerator types.\n*   `maximumCardsPerInstance` (*type:* `integer()`, *default:* `nil`) - [Output Only] Maximum number of accelerator cards allowed per instance.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the resource.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined, fully qualified URL for this resource.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the zone where the accelerator type resides, such as us-central1-a. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.","ref":"GoogleApi.Compute.V1.Model.AcceleratorType.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorType.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorType.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorType.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.AcceleratorTypesScopedList.t}`, *default:* `nil`) - A list of AcceleratorTypesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#acceleratorTypeAggregatedList`) - [Output Only] Type of resource. Always compute#acceleratorTypeAggregatedList for aggregated lists of accelerator types.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeList","doc":"Contains a list of accelerator types.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorTypeList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorType.t)`, *default:* `nil`) - A list of AcceleratorType resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#acceleratorTypeList`) - [Output Only] Type of resource. Always compute#acceleratorTypeList for lists of accelerator types.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.AcceleratorTypeListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorTypeListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorTypeListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorTypeListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypeListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorTypesScopedList","doc":"*   `acceleratorTypes` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorType.t)`, *default:* `nil`) - [Output Only] A list of accelerator types contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarning.t`, *default:* `nil`) - [Output Only] An informational warning that appears when the accelerator types list is empty.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarning","doc":"[Output Only] An informational warning that appears when the accelerator types list is empty.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AcceleratorTypesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AccessConfig","doc":"An access configuration attached to an instance's network interface. Only one access config per instance is supported.","ref":"GoogleApi.Compute.V1.Model.AccessConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AccessConfig","doc":"*   `externalIpv6` (*type:* `String.t`, *default:* `nil`) - Applies to ipv6AccessConfigs only. The first IPv6 address of the external IPv6 range associated with this instance, prefix length is stored in externalIpv6PrefixLength in ipv6AccessConfig. To use a static external IP address, it must be unused and in the same region as the instance's zone. If not specified, Google Cloud will automatically assign an external IPv6 address from the instance's subnetwork.\n*   `externalIpv6PrefixLength` (*type:* `integer()`, *default:* `nil`) - Applies to ipv6AccessConfigs only. The prefix length of the external IPv6 range.\n*   `kind` (*type:* `String.t`, *default:* `compute#accessConfig`) - [Output Only] Type of the resource. Always compute#accessConfig for access configs.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of this access configuration. In accessConfigs (IPv4), the default and recommended name is External NAT, but you can use any arbitrary string, such as My external IP or Network Access. In ipv6AccessConfigs, the recommend name is External IPv6.\n*   `natIP` (*type:* `String.t`, *default:* `nil`) - Applies to accessConfigs (IPv4) only. An external IP address associated with this instance. Specify an unused static external IP address available to the project or leave this field undefined to use an IP from a shared ephemeral IP address pool. If you specify a static external IP address, it must live in the same region as the zone of the instance.\n*   `networkTier` (*type:* `String.t`, *default:* `nil`) - This signifies the networking tier used for configuring this access configuration and can only take the following values: PREMIUM, STANDARD. If an AccessConfig is specified without a valid external IP address, an ephemeral IP will be created with this networkTier. If an AccessConfig with a valid external IP address is specified, it must match that of the networkTier associated with the Address resource owning that IP.\n*   `publicPtrDomainName` (*type:* `String.t`, *default:* `nil`) - The DNS domain name for the public PTR record. You can set this field only if the `setPublicPtr` field is enabled in accessConfig. If this field is unspecified in ipv6AccessConfig, a default PTR record will be created for first IP in associated external IPv6 range.\n*   `securityPolicy` (*type:* `String.t`, *default:* `nil`) - [Output Only] The resource URL for the security policy associated with this access config.\n*   `setPublicPtr` (*type:* `boolean()`, *default:* `nil`) - Specifies whether a public DNS 'PTR' record should be created to map the external IP address of the instance to a DNS domain name. This field is not used in ipv6AccessConfig. A default PTR record will be created if the VM has external IPv6 range associated.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of configuration. In accessConfigs (IPv4), the default and only option is ONE_TO_ONE_NAT. In ipv6AccessConfigs, the default and only option is DIRECT_IPV6.","ref":"GoogleApi.Compute.V1.Model.AccessConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AccessConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AccessConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AccessConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AccessConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Address","doc":"Represents an IP Address resource. Google Compute Engine has two IP Address resources: * [Global (external and internal)](https://cloud.google.com/compute/docs/reference/rest/v1/globalAddresses) * [Regional (external and internal)](https://cloud.google.com/compute/docs/reference/rest/v1/addresses) For more information, see Reserving a static external IP address.","ref":"GoogleApi.Compute.V1.Model.Address.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Address","doc":"*   `address` (*type:* `String.t`, *default:* `nil`) - The static IP address represented by this resource.\n*   `addressType` (*type:* `String.t`, *default:* `nil`) - The type of address to reserve, either INTERNAL or EXTERNAL. If unspecified, defaults to EXTERNAL.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this field when you create the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `ipVersion` (*type:* `String.t`, *default:* `nil`) - The IP version that will be used by this address. Valid options are IPV4 or IPV6.\n*   `ipv6EndpointType` (*type:* `String.t`, *default:* `nil`) - The endpoint type of this address, which should be VM or NETLB. This is used for deciding which type of endpoint this address can be used after the external IPv6 address reservation.\n*   `kind` (*type:* `String.t`, *default:* `compute#address`) - [Output Only] Type of the resource. Always compute#address for addresses.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this Address, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an Address.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.\n*   `network` (*type:* `String.t`, *default:* `nil`) - The URL of the network in which to reserve the address. This field can only be used with INTERNAL type with the VPC_PEERING purpose.\n*   `networkTier` (*type:* `String.t`, *default:* `nil`) - This signifies the networking tier used for configuring this address and can only take the following values: PREMIUM or STANDARD. Internal IP addresses are always Premium Tier; global external IP addresses are always Premium Tier; regional external IP addresses can be either Standard or Premium Tier. If this field is not specified, it is assumed to be PREMIUM.\n*   `prefixLength` (*type:* `integer()`, *default:* `nil`) - The prefix length if the resource represents an IP range.\n*   `purpose` (*type:* `String.t`, *default:* `nil`) - The purpose of this resource, which can be one of the following values: - GCE_ENDPOINT for addresses that are used by VM instances, alias IP ranges, load balancers, and similar resources. - DNS_RESOLVER for a DNS resolver address in a subnetwork for a Cloud DNS inbound forwarder IP addresses (regional internal IP address in a subnet of a VPC network) - VPC_PEERING for global internal IP addresses used for private services access allocated ranges. - NAT_AUTO for the regional external IP addresses used by Cloud NAT when allocating addresses using automatic NAT IP address allocation. - IPSEC_INTERCONNECT for addresses created from a private IP range that are reserved for a VLAN attachment in an *HA VPN over Cloud Interconnect* configuration. These addresses are regional resources. - `SHARED_LOADBALANCER_VIP` for an internal IP address that is assigned to multiple internal forwarding rules. - `PRIVATE_SERVICE_CONNECT` for a private network address that is used to configure Private Service Connect. Only global internal addresses can use this purpose. \n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the region where a regional address resides. For regional addresses, you must specify the region as a path parameter in the HTTP request URL. *This field is not applicable to global addresses.*\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the address, which can be one of RESERVING, RESERVED, or IN_USE. An address that is RESERVING is currently in the process of being reserved. A RESERVED address is currently reserved and available to use. An IN_USE address is currently being used by another resource and is not available.\n*   `subnetwork` (*type:* `String.t`, *default:* `nil`) - The URL of the subnetwork in which to reserve the address. If an IP address is specified, it must be within the subnetwork's IP range. This field can only be used with INTERNAL type with a GCE_ENDPOINT or DNS_RESOLVER purpose.\n*   `users` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] The URLs of the resources that are using this address.","ref":"GoogleApi.Compute.V1.Model.Address.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Address.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Address.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Address.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Address.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AddressAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AddressAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.AddressesScopedList.t}`, *default:* `nil`) - A list of AddressesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#addressAggregatedList`) - [Output Only] Type of resource. Always compute#addressAggregatedList for aggregated lists of addresses.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.AddressAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AddressAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AddressAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AddressAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.AddressAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AddressAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AddressList","doc":"Contains a list of addresses.","ref":"GoogleApi.Compute.V1.Model.AddressList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AddressList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Address.t)`, *default:* `nil`) - A list of Address resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#addressList`) - [Output Only] Type of resource. Always compute#addressList for lists of addresses.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.AddressListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AddressList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AddressList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AddressList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AddressList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AddressListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AddressListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AddressListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.AddressListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.AddressListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AddressListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AddressListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AddressListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AddressListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AddressListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.AddressListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AddressListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AddressListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AddressListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AddressesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AddressesScopedList","doc":"*   `addresses` (*type:* `list(GoogleApi.Compute.V1.Model.Address.t)`, *default:* `nil`) - [Output Only] A list of addresses contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.AddressesScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.AddressesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AddressesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AddressesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AddressesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AddressesScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.AddressesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AddressesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.AddressesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.AddressesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AddressesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AddressesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AddressesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AddressesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AddressesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.AddressesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AddressesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AddressesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AddressesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AddressesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AdvancedMachineFeatures","doc":"Specifies options for controlling advanced machine features. Options that would traditionally be configured in a BIOS belong here. Features that require operating system support may have corresponding entries in the GuestOsFeatures of an Image (e.g., whether or not the OS in the Image supports nested virtualization being enabled or disabled).","ref":"GoogleApi.Compute.V1.Model.AdvancedMachineFeatures.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AdvancedMachineFeatures","doc":"*   `enableNestedVirtualization` (*type:* `boolean()`, *default:* `nil`) - Whether to enable nested virtualization or not (default is false).\n*   `enableUefiNetworking` (*type:* `boolean()`, *default:* `nil`) - Whether to enable UEFI networking for instance creation.\n*   `performanceMonitoringUnit` (*type:* `String.t`, *default:* `nil`) - Type of Performance Monitoring Unit requested on instance.\n*   `threadsPerCore` (*type:* `integer()`, *default:* `nil`) - The number of threads per physical core. To disable simultaneous multithreading (SMT) set this to 1. If unset, the maximum number of threads supported per core by the underlying processor is assumed.\n*   `turboMode` (*type:* `String.t`, *default:* `nil`) - Turbo frequency mode to use for the instance. Supported modes include: * ALL_CORE_MAX Using empty string or not setting this field will use the platform-specific default turbo mode.\n*   `visibleCoreCount` (*type:* `integer()`, *default:* `nil`) - The number of physical cores to expose to an instance. Multiply by the number of threads per core to compute the total number of virtual CPUs to expose to the instance. If unset, the number of cores is inferred from the instance's nominal CPU count and the underlying platform's SMT width.","ref":"GoogleApi.Compute.V1.Model.AdvancedMachineFeatures.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AdvancedMachineFeatures.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AdvancedMachineFeatures.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AdvancedMachineFeatures.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AdvancedMachineFeatures.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AliasIpRange","doc":"An alias IP range attached to an instance's network interface.","ref":"GoogleApi.Compute.V1.Model.AliasIpRange.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AliasIpRange","doc":"*   `ipCidrRange` (*type:* `String.t`, *default:* `nil`) - The IP alias ranges to allocate for this interface. This IP CIDR range must belong to the specified subnetwork and cannot contain IP addresses reserved by system or used by other network interfaces. This range may be a single IP address (such as 10.2.3.4), a netmask (such as /24) or a CIDR-formatted string (such as 10.1.2.0/24).\n*   `subnetworkRangeName` (*type:* `String.t`, *default:* `nil`) - The name of a subnetwork secondary IP range from which to allocate an IP alias range. If not specified, the primary range of the subnetwork is used.","ref":"GoogleApi.Compute.V1.Model.AliasIpRange.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AliasIpRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AliasIpRange.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AliasIpRange.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AliasIpRange.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AllocationAggregateReservation","doc":"This reservation type is specified by total resource amounts (e.g. total count of CPUs) and can account for multiple instance SKUs. In other words, one can create instances of varying shapes against this reservation.","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservation.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AllocationAggregateReservation","doc":"*   `inUseResources` (*type:* `list(GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfo.t)`, *default:* `nil`) - [Output only] List of resources currently in use.\n*   `reservedResources` (*type:* `list(GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfo.t)`, *default:* `nil`) - List of reserved resources (CPUs, memory, accelerators).\n*   `vmFamily` (*type:* `String.t`, *default:* `nil`) - The VM family that all instances scheduled against this reservation must belong to.\n*   `workloadType` (*type:* `String.t`, *default:* `nil`) - The workload type of the instances that will target this reservation.","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservation.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AllocationAggregateReservation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservation.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AllocationAggregateReservation.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservation.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfo","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfo","doc":"*   `accelerator` (*type:* `GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfoAccelerator.t`, *default:* `nil`) - Properties of accelerator resources in this reservation.","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfoAccelerator","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfoAccelerator.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfoAccelerator","doc":"*   `acceleratorCount` (*type:* `integer()`, *default:* `nil`) - Number of accelerators of specified type.\n*   `acceleratorType` (*type:* `String.t`, *default:* `nil`) - Full or partial URL to accelerator type. e.g. \"projects/{PROJECT}/zones/{ZONE}/acceleratorTypes/ct4l\"","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfoAccelerator.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfoAccelerator.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfoAccelerator.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfoAccelerator.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationAggregateReservationReservedResourceInfoAccelerator.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AllocationResourceStatus","doc":"[Output Only] Contains output only fields.","ref":"GoogleApi.Compute.V1.Model.AllocationResourceStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AllocationResourceStatus","doc":"*   `specificSkuAllocation` (*type:* `GoogleApi.Compute.V1.Model.AllocationResourceStatusSpecificSKUAllocation.t`, *default:* `nil`) - Allocation Properties of this reservation.","ref":"GoogleApi.Compute.V1.Model.AllocationResourceStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AllocationResourceStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AllocationResourceStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AllocationResourceStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationResourceStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AllocationResourceStatusSpecificSKUAllocation","doc":"Contains Properties set for the reservation.","ref":"GoogleApi.Compute.V1.Model.AllocationResourceStatusSpecificSKUAllocation.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AllocationResourceStatusSpecificSKUAllocation","doc":"*   `sourceInstanceTemplateId` (*type:* `String.t`, *default:* `nil`) - ID of the instance template used to populate reservation properties.","ref":"GoogleApi.Compute.V1.Model.AllocationResourceStatusSpecificSKUAllocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AllocationResourceStatusSpecificSKUAllocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AllocationResourceStatusSpecificSKUAllocation.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AllocationResourceStatusSpecificSKUAllocation.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationResourceStatusSpecificSKUAllocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk","doc":"*   `diskSizeGb` (*type:* `String.t`, *default:* `nil`) - Specifies the size of the disk in base-2 GB.\n*   `interface` (*type:* `String.t`, *default:* `nil`) - Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI. For performance characteristics of SCSI over NVMe, see Local SSD performance.","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationReservedInstanceProperties","doc":"Properties of the SKU instances being reserved. Next ID: 9","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationReservedInstanceProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationReservedInstanceProperties","doc":"*   `guestAccelerators` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorConfig.t)`, *default:* `nil`) - Specifies accelerator type and count.\n*   `localSsds` (*type:* `list(GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationAllocatedInstancePropertiesReservedDisk.t)`, *default:* `nil`) - Specifies amount of local ssd to reserve with each instance. The type of disk is local-ssd.\n*   `locationHint` (*type:* `String.t`, *default:* `nil`) - An opaque location hint used to place the allocation close to other resources. This field is for use by internal tools that use the public API.\n*   `machineType` (*type:* `String.t`, *default:* `nil`) - Specifies type of machine (name only) which has fixed number of vCPUs and fixed amount of memory. This also includes specifying custom machine type following custom-NUMBER_OF_CPUS-AMOUNT_OF_MEMORY pattern.\n*   `minCpuPlatform` (*type:* `String.t`, *default:* `nil`) - Minimum cpu platform the reservation.","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationReservedInstanceProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationReservedInstanceProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationReservedInstanceProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationReservedInstanceProperties.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationReservedInstanceProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUReservation","doc":"This reservation type allows to pre allocate specific instance configuration.","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUReservation.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AllocationSpecificSKUReservation","doc":"*   `assuredCount` (*type:* `String.t`, *default:* `nil`) - [Output Only] Indicates how many instances are actually usable currently.\n*   `count` (*type:* `String.t`, *default:* `nil`) - Specifies the number of resources that are allocated.\n*   `inUseCount` (*type:* `String.t`, *default:* `nil`) - [Output Only] Indicates how many instances are in use.\n*   `instanceProperties` (*type:* `GoogleApi.Compute.V1.Model.AllocationSpecificSKUAllocationReservedInstanceProperties.t`, *default:* `nil`) - The instance properties for the reservation.\n*   `sourceInstanceTemplate` (*type:* `String.t`, *default:* `nil`) - Specifies the instance template to create the reservation. If you use this field, you must exclude the instanceProperties field. This field is optional, and it can be a full or partial URL. For example, the following are all valid URLs to an instance template: - https://www.googleapis.com/compute/v1/projects/project /global/instanceTemplates/instanceTemplate - projects/project/global/instanceTemplates/instanceTemplate - global/instanceTemplates/instanceTemplate","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUReservation.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUReservation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUReservation.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUReservation.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AllocationSpecificSKUReservation.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AttachedDisk","doc":"An instance-attached disk resource.","ref":"GoogleApi.Compute.V1.Model.AttachedDisk.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AttachedDisk","doc":"*   `architecture` (*type:* `String.t`, *default:* `nil`) - [Output Only] The architecture of the attached disk. Valid values are ARM64 or X86_64.\n*   `autoDelete` (*type:* `boolean()`, *default:* `nil`) - Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance).\n*   `boot` (*type:* `boolean()`, *default:* `nil`) - Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem.\n*   `deviceName` (*type:* `String.t`, *default:* `nil`) - Specifies a unique device name of your choice that is reflected into the /dev/disk/by-id/google-* tree of a Linux operating system running within the instance. This name can be used to reference the device for mounting, resizing, and so on, from within the instance. If not specified, the server chooses a default device name to apply to this disk, in the form persistent-disk-x, where x is a number assigned by Google Compute Engine. This field is only applicable for persistent disks.\n*   `diskEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - Encrypts or decrypts a disk using a customer-supplied encryption key. If you are creating a new disk, this field encrypts the new disk using an encryption key that you provide. If you are attaching an existing disk that is already encrypted, this field decrypts the disk using the customer-supplied encryption key. If you encrypt a disk using a customer-supplied key, you must provide the same key again when you attempt to use this resource at a later time. For example, you must provide the key when you create a snapshot or an image from the disk or when you attach the disk to a virtual machine instance. If you do not provide an encryption key, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the disk later. Note: Instance templates do not store customer-supplied encryption keys, so you cannot use your own keys to encrypt disks in a managed instance group. You cannot create VMs that have disks with customer-supplied keys using the bulk insert method.\n*   `diskSizeGb` (*type:* `String.t`, *default:* `nil`) - The size of the disk in GB.\n*   `forceAttach` (*type:* `boolean()`, *default:* `nil`) - [Input Only] Whether to force attach the regional disk even if it's currently attached to another instance. If you try to force attach a zonal disk to an instance, you will receive an error.\n*   `guestOsFeatures` (*type:* `list(GoogleApi.Compute.V1.Model.GuestOsFeature.t)`, *default:* `nil`) - A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options.\n*   `index` (*type:* `integer()`, *default:* `nil`) - [Output Only] A zero-based index to this disk, where 0 is reserved for the boot disk. If you have many disks attached to an instance, each disk would have a unique index number.\n*   `initializeParams` (*type:* `GoogleApi.Compute.V1.Model.AttachedDiskInitializeParams.t`, *default:* `nil`) - [Input Only] Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance. This property is mutually exclusive with the source property; you can only define one or the other, but not both.\n*   `interface` (*type:* `String.t`, *default:* `nil`) - Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. For most machine types, the default is SCSI. Local SSDs can use either NVME or SCSI. In certain configurations, persistent disks can use NVMe. For more information, see About persistent disks.\n*   `kind` (*type:* `String.t`, *default:* `compute#attachedDisk`) - [Output Only] Type of the resource. Always compute#attachedDisk for attached disks.\n*   `licenses` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Any valid publicly visible licenses.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode.\n*   `savedState` (*type:* `String.t`, *default:* `nil`) - For LocalSSD disks on VM Instances in STOPPED or SUSPENDED state, this field is set to PRESERVED if the LocalSSD data has been saved to a persistent location by customer request. (see the discard_local_ssd option on Stop/Suspend). Read-only in the api.\n*   `shieldedInstanceInitialState` (*type:* `GoogleApi.Compute.V1.Model.InitialStateConfig.t`, *default:* `nil`) - [Output Only] shielded vm initial state stored on disk\n*   `source` (*type:* `String.t`, *default:* `nil`) - Specifies a valid partial or full URL to an existing Persistent Disk resource. When creating a new instance boot disk, one of initializeParams.sourceImage or initializeParams.sourceSnapshot or disks.source is required. If desired, you can also attach existing non-root persistent disks using this property. This field is only applicable for persistent disks. Note that for InstanceTemplate, specify the disk name for zonal disk, and the URL for regional disk.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Specifies the type of the disk, either SCRATCH or PERSISTENT. If not specified, the default is PERSISTENT.","ref":"GoogleApi.Compute.V1.Model.AttachedDisk.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AttachedDisk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AttachedDisk.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AttachedDisk.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AttachedDisk.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AttachedDiskInitializeParams","doc":"[Input Only] Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance. This field is persisted and returned for instanceTemplate and not returned in the context of instance. This property is mutually exclusive with the source property; you can only define one or the other, but not both.","ref":"GoogleApi.Compute.V1.Model.AttachedDiskInitializeParams.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AttachedDiskInitializeParams","doc":"*   `architecture` (*type:* `String.t`, *default:* `nil`) - The architecture of the attached disk. Valid values are arm64 or x86_64.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description. Provide this property when creating the disk.\n*   `diskName` (*type:* `String.t`, *default:* `nil`) - Specifies the disk name. If not specified, the default is to use the name of the instance. If a disk with the same name already exists in the given region, the existing disk is attached to the new instance and the new disk is not created.\n*   `diskSizeGb` (*type:* `String.t`, *default:* `nil`) - Specifies the size of the disk in base-2 GB. The size must be at least 10 GB. If you specify a sourceImage, which is required for boot disks, the default size is the size of the sourceImage. If you do not specify a sourceImage, the default disk size is 500 GB.\n*   `diskType` (*type:* `String.t`, *default:* `nil`) - Specifies the disk type to use to create the instance. If not specified, the default is pd-standard, specified using the full URL. For example: https://www.googleapis.com/compute/v1/projects/project/zones/zone /diskTypes/pd-standard For a full list of acceptable values, see Persistent disk types. If you specify this field when creating a VM, you can provide either the full or partial URL. For example, the following values are valid: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /diskTypes/diskType - projects/project/zones/zone/diskTypes/diskType - zones/zone/diskTypes/diskType If you specify this field when creating or updating an instance template or all-instances configuration, specify the type of the disk, not the URL. For example: pd-standard.\n*   `enableConfidentialCompute` (*type:* `boolean()`, *default:* `nil`) - Whether this disk is using confidential compute mode.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to apply to this disk. These can be later modified by the disks.setLabels method. This field is only applicable for persistent disks.\n*   `licenses` (*type:* `list(String.t)`, *default:* `nil`) - A list of publicly visible licenses. Reserved for Google's use.\n*   `onUpdateAction` (*type:* `String.t`, *default:* `nil`) - Specifies which action to take on instance update with this disk. Default is to use the existing disk.\n*   `provisionedIops` (*type:* `String.t`, *default:* `nil`) - Indicates how many IOPS to provision for the disk. This sets the number of I/O operations per second that the disk can handle. Values must be between 10,000 and 120,000. For more details, see the Extreme persistent disk documentation.\n*   `provisionedThroughput` (*type:* `String.t`, *default:* `nil`) - Indicates how much throughput to provision for the disk. This sets the number of throughput mb per second that the disk can handle. Values must greater than or equal to 1.\n*   `replicaZones` (*type:* `list(String.t)`, *default:* `nil`) - Required for each regional disk associated with the instance. Specify the URLs of the zones where the disk should be replicated to. You must provide exactly two replica zones, and one zone must be the same as the instance zone.\n*   `resourceManagerTags` (*type:* `map()`, *default:* `nil`) - Resource manager tags to be bound to the disk. Tag keys and values have the same definition as resource manager tags. Keys must be in the format `tagKeys/{tag_key_id}`, and values are in the format `tagValues/456`. The field is ignored (both PUT & PATCH) when empty.\n*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - Resource policies applied to this disk for automatic snapshot creations. Specified using the full or partial URL. For instance template, specify only the resource policy name.\n*   `sourceImage` (*type:* `String.t`, *default:* `nil`) - The source image to create this disk. When creating a new instance boot disk, one of initializeParams.sourceImage or initializeParams.sourceSnapshot or disks.source is required. To create a disk with one of the public operating system images, specify the image by its family name. For example, specify family/debian-9 to use the latest Debian 9 image: projects/debian-cloud/global/images/family/debian-9 Alternatively, use a specific version of a public operating system image: projects/debian-cloud/global/images/debian-9-stretch-vYYYYMMDD To create a disk with a custom image that you created, specify the image name in the following format: global/images/my-custom-image You can also specify a custom image by its image family, which returns the latest version of the image in that family. Replace the image name with family/family-name: global/images/family/my-image-family If the source image is deleted later, this field will not be set.\n*   `sourceImageEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key. InstanceTemplate and InstancePropertiesPatch do not store customer-supplied encryption keys, so you cannot create disks for instances in a managed instance group if the source images are encrypted with your own keys.\n*   `sourceSnapshot` (*type:* `String.t`, *default:* `nil`) - The source snapshot to create this disk. When creating a new instance boot disk, one of initializeParams.sourceSnapshot or initializeParams.sourceImage or disks.source is required. To create a disk with a snapshot that you created, specify the snapshot name in the following format: global/snapshots/my-backup If the source snapshot is deleted later, this field will not be set.\n*   `sourceSnapshotEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - The customer-supplied encryption key of the source snapshot.\n*   `storagePool` (*type:* `String.t`, *default:* `nil`) - The storage pool in which the new disk is created. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /storagePools/storagePool - projects/project/zones/zone/storagePools/storagePool - zones/zone/storagePools/storagePool","ref":"GoogleApi.Compute.V1.Model.AttachedDiskInitializeParams.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AttachedDiskInitializeParams.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AttachedDiskInitializeParams.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AttachedDiskInitializeParams.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AttachedDiskInitializeParams.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AuditConfig","doc":"Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts jose@example.com from DATA_READ logging, and aliya@example.com from DATA_WRITE logging.","ref":"GoogleApi.Compute.V1.Model.AuditConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AuditConfig","doc":"*   `auditLogConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.AuditLogConfig.t)`, *default:* `nil`) - The configuration for logging of each type of permission.\n*   `service` (*type:* `String.t`, *default:* `nil`) - Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.","ref":"GoogleApi.Compute.V1.Model.AuditConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AuditConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AuditConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AuditConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AuditConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AuditLogConfig","doc":"Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.","ref":"GoogleApi.Compute.V1.Model.AuditLogConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AuditLogConfig","doc":"*   `exemptedMembers` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.\n*   `logType` (*type:* `String.t`, *default:* `nil`) - The log type that this config enables.","ref":"GoogleApi.Compute.V1.Model.AuditLogConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AuditLogConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AuditLogConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AuditLogConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AuditLogConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Autoscaler","doc":"Represents an Autoscaler resource. Google Compute Engine has two Autoscaler resources: * [Zonal](/compute/docs/reference/rest/v1/autoscalers) * [Regional](/compute/docs/reference/rest/v1/regionAutoscalers) Use autoscalers to automatically add or delete instances from a managed instance group according to your defined autoscaling policy. For more information, read Autoscaling Groups of Instances. For zonal managed instance groups resource, use the autoscaler resource. For regional managed instance groups, use the regionAutoscalers resource.","ref":"GoogleApi.Compute.V1.Model.Autoscaler.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Autoscaler","doc":"*   `autoscalingPolicy` (*type:* `GoogleApi.Compute.V1.Model.AutoscalingPolicy.t`, *default:* `nil`) - The configuration parameters for the autoscaling algorithm. You can define one or more signals for an autoscaler: cpuUtilization, customMetricUtilizations, and loadBalancingUtilization. If none of these are specified, the default will be to autoscale based on cpuUtilization to 0.6 or 60%.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#autoscaler`) - [Output Only] Type of the resource. Always compute#autoscaler for autoscalers.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `recommendedSize` (*type:* `integer()`, *default:* `nil`) - [Output Only] Target recommended MIG size (number of instances) computed by autoscaler. Autoscaler calculates the recommended MIG size even when the autoscaling policy mode is different from ON. This field is empty when autoscaler is not connected to an existing managed instance group or autoscaler did not generate its prediction.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the instance group resides (for autoscalers living in regional scope).\n*   `scalingScheduleStatus` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.ScalingScheduleStatus.t}`, *default:* `nil`) - [Output Only] Status information of existing scaling schedules.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the autoscaler configuration. Current set of possible values: - PENDING: Autoscaler backend hasn't read new/updated configuration. - DELETING: Configuration is being deleted. - ACTIVE: Configuration is acknowledged to be effective. Some warnings might be present in the statusDetails field. - ERROR: Configuration has errors. Actionable for users. Details are present in the statusDetails field. New values might be added in the future.\n*   `statusDetails` (*type:* `list(GoogleApi.Compute.V1.Model.AutoscalerStatusDetails.t)`, *default:* `nil`) - [Output Only] Human-readable details about the current state of the autoscaler. Read the documentation for Commonly returned status messages for examples of status messages you might encounter.\n*   `target` (*type:* `String.t`, *default:* `nil`) - URL of the managed instance group that this autoscaler will scale. This field is required when creating an autoscaler.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the zone where the instance group resides (for autoscalers living in zonal scope).","ref":"GoogleApi.Compute.V1.Model.Autoscaler.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Autoscaler.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Autoscaler.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Autoscaler.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Autoscaler.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalerAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.AutoscalersScopedList.t}`, *default:* `nil`) - A list of AutoscalersScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#autoscalerAggregatedList`) - [Output Only] Type of resource. Always compute#autoscalerAggregatedList for aggregated lists of autoscalers.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalerList","doc":"Contains a list of Autoscaler resources.","ref":"GoogleApi.Compute.V1.Model.AutoscalerList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalerList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Autoscaler.t)`, *default:* `nil`) - A list of Autoscaler resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#autoscalerList`) - [Output Only] Type of resource. Always compute#autoscalerList for lists of autoscalers.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.AutoscalerListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AutoscalerList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalerList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalerList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalerList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalerListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.AutoscalerListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalerListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.AutoscalerListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.AutoscalerListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalerListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalerListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalerListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalerListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalerListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.AutoscalerListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalerListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalerListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalerListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalerStatusDetails","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerStatusDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalerStatusDetails","doc":"*   `message` (*type:* `String.t`, *default:* `nil`) - The status message.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of error, warning, or notice returned. Current set of possible values: - ALL_INSTANCES_UNHEALTHY (WARNING): All instances in the instance group are unhealthy (not in RUNNING state). - BACKEND_SERVICE_DOES_NOT_EXIST (ERROR): There is no backend service attached to the instance group. - CAPPED_AT_MAX_NUM_REPLICAS (WARNING): Autoscaler recommends a size greater than maxNumReplicas. - CUSTOM_METRIC_DATA_POINTS_TOO_SPARSE (WARNING): The custom metric samples are not exported often enough to be a credible base for autoscaling. - CUSTOM_METRIC_INVALID (ERROR): The custom metric that was specified does not exist or does not have the necessary labels. - MIN_EQUALS_MAX (WARNING): The minNumReplicas is equal to maxNumReplicas. This means the autoscaler cannot add or remove instances from the instance group. - MISSING_CUSTOM_METRIC_DATA_POINTS (WARNING): The autoscaler did not receive any data from the custom metric configured for autoscaling. - MISSING_LOAD_BALANCING_DATA_POINTS (WARNING): The autoscaler is configured to scale based on a load balancing signal but the instance group has not received any requests from the load balancer. - MODE_OFF (WARNING): Autoscaling is turned off. The number of instances in the group won't change automatically. The autoscaling configuration is preserved. - MODE_ONLY_UP (WARNING): Autoscaling is in the \"Autoscale only out\" mode. The autoscaler can add instances but not remove any. - MORE_THAN_ONE_BACKEND_SERVICE (ERROR): The instance group cannot be autoscaled because it has more than one backend service attached to it. - NOT_ENOUGH_QUOTA_AVAILABLE (ERROR): There is insufficient quota for the necessary resources, such as CPU or number of instances. - REGION_RESOURCE_STOCKOUT (ERROR): Shown only for regional autoscalers: there is a resource stockout in the chosen region. - SCALING_TARGET_DOES_NOT_EXIST (ERROR): The target to be scaled does not exist. - UNSUPPORTED_MAX_RATE_LOAD_BALANCING_CONFIGURATION (ERROR): Autoscaling does not work with an HTTP/S load balancer that has been configured for maxRate. - ZONE_RESOURCE_STOCKOUT (ERROR): For zonal autoscalers: there is a resource stockout in the chosen zone. For regional autoscalers: in at least one of the zones you're using there is a resource stockout. New values might be added in the future. Some of the values might not be available in all API versions.","ref":"GoogleApi.Compute.V1.Model.AutoscalerStatusDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalerStatusDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalerStatusDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalerStatusDetails.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalerStatusDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalersScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalersScopedList","doc":"*   `autoscalers` (*type:* `list(GoogleApi.Compute.V1.Model.Autoscaler.t)`, *default:* `nil`) - [Output Only] A list of autoscalers contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.AutoscalersScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of autoscalers when the list is empty.","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalersScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalersScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of autoscalers when the list is empty.","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalersScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.AutoscalersScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalersScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalersScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicy","doc":"Cloud Autoscaler policy.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalingPolicy","doc":"*   `coolDownPeriodSec` (*type:* `integer()`, *default:* `nil`) - The number of seconds that your application takes to initialize on a VM instance. This is referred to as the [initialization period](/compute/docs/autoscaler#cool_down_period). Specifying an accurate initialization period improves autoscaler decisions. For example, when scaling out, the autoscaler ignores data from VMs that are still initializing because those VMs might not yet represent normal usage of your application. The default initialization period is 60 seconds. Initialization periods might vary because of numerous factors. We recommend that you test how long your application takes to initialize. To do this, create a VM and time your application's startup process.\n*   `cpuUtilization` (*type:* `GoogleApi.Compute.V1.Model.AutoscalingPolicyCpuUtilization.t`, *default:* `nil`) - Defines the CPU utilization policy that allows the autoscaler to scale based on the average CPU utilization of a managed instance group.\n*   `customMetricUtilizations` (*type:* `list(GoogleApi.Compute.V1.Model.AutoscalingPolicyCustomMetricUtilization.t)`, *default:* `nil`) - Configuration parameters of autoscaling based on a custom metric.\n*   `loadBalancingUtilization` (*type:* `GoogleApi.Compute.V1.Model.AutoscalingPolicyLoadBalancingUtilization.t`, *default:* `nil`) - Configuration parameters of autoscaling based on load balancer.\n*   `maxNumReplicas` (*type:* `integer()`, *default:* `nil`) - The maximum number of instances that the autoscaler can scale out to. This is required when creating or updating an autoscaler. The maximum number of replicas must not be lower than minimal number of replicas.\n*   `minNumReplicas` (*type:* `integer()`, *default:* `nil`) - The minimum number of replicas that the autoscaler can scale in to. This cannot be less than 0. If not provided, autoscaler chooses a default value depending on maximum number of instances allowed.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - Defines the operating mode for this policy. The following modes are available: - OFF: Disables the autoscaler but maintains its configuration. - ONLY_SCALE_OUT: Restricts the autoscaler to add VM instances only. - ON: Enables all autoscaler activities according to its policy. For more information, see \"Turning off or restricting an autoscaler\"\n*   `scaleInControl` (*type:* `GoogleApi.Compute.V1.Model.AutoscalingPolicyScaleInControl.t`, *default:* `nil`) - \n*   `scalingSchedules` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.AutoscalingPolicyScalingSchedule.t}`, *default:* `nil`) - Scaling schedules defined for an autoscaler. Multiple schedules can be set on an autoscaler, and they can overlap. During overlapping periods the greatest min_required_replicas of all scaling schedules is applied. Up to 128 scaling schedules are allowed.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCpuUtilization","doc":"CPU utilization policy.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCpuUtilization.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalingPolicyCpuUtilization","doc":"*   `predictiveMethod` (*type:* `String.t`, *default:* `nil`) - Indicates whether predictive autoscaling based on CPU metric is enabled. Valid values are: * NONE (default). No predictive method is used. The autoscaler scales the group to meet current demand based on real-time metrics. * OPTIMIZE_AVAILABILITY. Predictive autoscaling improves availability by monitoring daily and weekly load patterns and scaling out ahead of anticipated demand.\n*   `utilizationTarget` (*type:* `float()`, *default:* `nil`) - The target CPU utilization that the autoscaler maintains. Must be a float value in the range (0, 1]. If not specified, the default is 0.6. If the CPU level is below the target utilization, the autoscaler scales in the number of instances until it reaches the minimum number of instances you specified or until the average CPU of your instances reaches the target utilization. If the average CPU is above the target utilization, the autoscaler scales out until it reaches the maximum number of instances you specified or until the average utilization reaches the target utilization.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCpuUtilization.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCpuUtilization.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCpuUtilization.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCpuUtilization.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCpuUtilization.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCustomMetricUtilization","doc":"Custom utilization metric policy.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCustomMetricUtilization.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalingPolicyCustomMetricUtilization","doc":"*   `filter` (*type:* `String.t`, *default:* `nil`) - A filter string, compatible with a Stackdriver Monitoring filter string for TimeSeries.list API call. This filter is used to select a specific TimeSeries for the purpose of autoscaling and to determine whether the metric is exporting per-instance or per-group data. For the filter to be valid for autoscaling purposes, the following rules apply: - You can only use the AND operator for joining selectors. - You can only use direct equality comparison operator (=) without any functions for each selector. - You can specify the metric in both the filter string and in the metric field. However, if specified in both places, the metric must be identical. - The monitored resource type determines what kind of values are expected for the metric. If it is a gce_instance, the autoscaler expects the metric to include a separate TimeSeries for each instance in a group. In such a case, you cannot filter on resource labels. If the resource type is any other value, the autoscaler expects this metric to contain values that apply to the entire autoscaled instance group and resource label filtering can be performed to point autoscaler at the correct TimeSeries to scale upon. This is called a *per-group metric* for the purpose of autoscaling. If not specified, the type defaults to gce_instance. Try to provide a filter that is selective enough to pick just one TimeSeries for the autoscaled group or for each of the instances (if you are using gce_instance resource type). If multiple TimeSeries are returned upon the query execution, the autoscaler will sum their respective values to obtain its scaling value.\n*   `metric` (*type:* `String.t`, *default:* `nil`) - The identifier (type) of the Stackdriver Monitoring metric. The metric cannot have negative values. The metric must have a value type of INT64 or DOUBLE.\n*   `singleInstanceAssignment` (*type:* `float()`, *default:* `nil`) - If scaling is based on a per-group metric value that represents the total amount of work to be done or resource usage, set this value to an amount assigned for a single instance of the scaled group. Autoscaler keeps the number of instances proportional to the value of this metric. The metric itself does not change value due to group resizing. A good metric to use with the target is for example pubsub.googleapis.com/subscription/num_undelivered_messages or a custom metric exporting the total number of requests coming to your instances. A bad example would be a metric exporting an average or median latency, since this value can't include a chunk assignable to a single instance, it could be better used with utilization_target instead.\n*   `utilizationTarget` (*type:* `float()`, *default:* `nil`) - The target value of the metric that autoscaler maintains. This must be a positive value. A utilization metric scales number of virtual machines handling requests to increase or decrease proportionally to the metric. For example, a good metric to use as a utilization_target is https://www.googleapis.com/compute/v1/instance/network/received_bytes_count. The autoscaler works to keep this value constant for each of the instances.\n*   `utilizationTargetType` (*type:* `String.t`, *default:* `nil`) - Defines how target utilization value is expressed for a Stackdriver Monitoring metric. Either GAUGE, DELTA_PER_SECOND, or DELTA_PER_MINUTE.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCustomMetricUtilization.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCustomMetricUtilization.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCustomMetricUtilization.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCustomMetricUtilization.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyCustomMetricUtilization.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyLoadBalancingUtilization","doc":"Configuration parameters of autoscaling based on load balancing.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyLoadBalancingUtilization.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalingPolicyLoadBalancingUtilization","doc":"*   `utilizationTarget` (*type:* `float()`, *default:* `nil`) - Fraction of backend capacity utilization (set in HTTP(S) load balancing configuration) that the autoscaler maintains. Must be a positive float value. If not defined, the default is 0.8.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyLoadBalancingUtilization.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyLoadBalancingUtilization.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyLoadBalancingUtilization.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyLoadBalancingUtilization.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyLoadBalancingUtilization.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScaleInControl","doc":"Configuration that allows for slower scale in so that even if Autoscaler recommends an abrupt scale in of a MIG, it will be throttled as specified by the parameters below.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScaleInControl.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalingPolicyScaleInControl","doc":"*   `maxScaledInReplicas` (*type:* `GoogleApi.Compute.V1.Model.FixedOrPercent.t`, *default:* `nil`) - Maximum allowed number (or %) of VMs that can be deducted from the peak recommendation during the window autoscaler looks at when computing recommendations. Possibly all these VMs can be deleted at once so user service needs to be prepared to lose that many VMs in one step.\n*   `timeWindowSec` (*type:* `integer()`, *default:* `nil`) - How far back autoscaling looks when computing recommendations to include directives regarding slower scale in, as described above.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScaleInControl.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScaleInControl.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScaleInControl.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScaleInControl.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScaleInControl.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScalingSchedule","doc":"Scaling based on user-defined schedule. The message describes a single scaling schedule. A scaling schedule changes the minimum number of VM instances an autoscaler can recommend, which can trigger scaling out.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScalingSchedule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.AutoscalingPolicyScalingSchedule","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - A description of a scaling schedule.\n*   `disabled` (*type:* `boolean()`, *default:* `nil`) - A boolean value that specifies whether a scaling schedule can influence autoscaler recommendations. If set to true, then a scaling schedule has no effect. This field is optional, and its value is false by default.\n*   `durationSec` (*type:* `integer()`, *default:* `nil`) - The duration of time intervals, in seconds, for which this scaling schedule is to run. The minimum allowed value is 300. This field is required.\n*   `minRequiredReplicas` (*type:* `integer()`, *default:* `nil`) - The minimum number of VM instances that the autoscaler will recommend in time intervals starting according to schedule. This field is required.\n*   `schedule` (*type:* `String.t`, *default:* `nil`) - The start timestamps of time intervals when this scaling schedule is to provide a scaling signal. This field uses the extended cron format (with an optional year field). The expression can describe a single timestamp if the optional year is set, in which case the scaling schedule runs once. The schedule is interpreted with respect to time_zone. This field is required. Note: These timestamps only describe when autoscaler starts providing the scaling signal. The VMs need additional time to become serving.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - The time zone to use when interpreting the schedule. The value of this field must be a time zone name from the tz database: https://en.wikipedia.org/wiki/Tz_database. This field is assigned a default value of \"UTC\" if left empty.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScalingSchedule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScalingSchedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScalingSchedule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScalingSchedule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.AutoscalingPolicyScalingSchedule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Backend","doc":"Message containing information of one individual backend.","ref":"GoogleApi.Compute.V1.Model.Backend.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Backend","doc":"*   `balancingMode` (*type:* `String.t`, *default:* `nil`) - Specifies how to determine whether the backend of a load balancer can handle additional traffic or is fully loaded. For usage guidelines, see Connection balancing mode. Backends must use compatible balancing modes. For more information, see Supported balancing modes and target capacity settings and Restrictions and guidance for instance groups. Note: Currently, if you use the API to configure incompatible balancing modes, the configuration might be accepted even though it has no impact and is ignored. Specifically, Backend.maxUtilization is ignored when Backend.balancingMode is RATE. In the future, this incompatible combination will be rejected.\n*   `capacityScaler` (*type:* `number()`, *default:* `nil`) - A multiplier applied to the backend's target capacity of its balancing mode. The default value is 1, which means the group serves up to 100% of its configured capacity (depending on balancingMode). A setting of 0 means the group is completely drained, offering 0% of its available capacity. The valid ranges are 0.0 and [0.1,1.0]. You cannot configure a setting larger than 0 and smaller than 0.1. You cannot configure a setting of 0 when there is only one backend attached to the backend service. Not available with backends that don't support using a balancingMode. This includes backends such as global internet NEGs, regional serverless NEGs, and PSC NEGs.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `failover` (*type:* `boolean()`, *default:* `nil`) - This field designates whether this is a failover backend. More than one failover backend can be configured for a given BackendService.\n*   `group` (*type:* `String.t`, *default:* `nil`) - The fully-qualified URL of an instance group or network endpoint group (NEG) resource. To determine what types of backends a load balancer supports, see the [Backend services overview](https://cloud.google.com/load-balancing/docs/backend-service#backends). You must use the *fully-qualified* URL (starting with https://www.googleapis.com/) to specify the instance group or NEG. Partial URLs are not supported.\n*   `maxConnections` (*type:* `integer()`, *default:* `nil`) - Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE.\n*   `maxConnectionsPerEndpoint` (*type:* `integer()`, *default:* `nil`) - Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE.\n*   `maxConnectionsPerInstance` (*type:* `integer()`, *default:* `nil`) - Defines a target maximum number of simultaneous connections. For usage guidelines, see Connection balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is RATE.\n*   `maxRate` (*type:* `integer()`, *default:* `nil`) - Defines a maximum number of HTTP requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION.\n*   `maxRatePerEndpoint` (*type:* `number()`, *default:* `nil`) - Defines a maximum target for requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION.\n*   `maxRatePerInstance` (*type:* `number()`, *default:* `nil`) - Defines a maximum target for requests per second (RPS). For usage guidelines, see Rate balancing mode and Utilization balancing mode. Not available if the backend's balancingMode is CONNECTION.\n*   `maxUtilization` (*type:* `number()`, *default:* `nil`) - Optional parameter to define a target capacity for the UTILIZATION balancing mode. The valid range is [0.0, 1.0]. For usage guidelines, see Utilization balancing mode.\n*   `preference` (*type:* `String.t`, *default:* `nil`) - This field indicates whether this backend should be fully utilized before sending traffic to backends with default preference. The possible values are: - PREFERRED: Backends with this preference level will be filled up to their capacity limits first, based on RTT. - DEFAULT: If preferred backends don't have enough capacity, backends in this layer would be used and traffic would be assigned based on the load balancing algorithm you use. This is the default","ref":"GoogleApi.Compute.V1.Model.Backend.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Backend.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Backend.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Backend.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Backend.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendBucket","doc":"Represents a Cloud Storage Bucket resource. This Cloud Storage bucket resource is referenced by a URL map of a load balancer. For more information, read Backend Buckets.","ref":"GoogleApi.Compute.V1.Model.BackendBucket.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendBucket","doc":"*   `bucketName` (*type:* `String.t`, *default:* `nil`) - Cloud Storage bucket name.\n*   `cdnPolicy` (*type:* `GoogleApi.Compute.V1.Model.BackendBucketCdnPolicy.t`, *default:* `nil`) - Cloud CDN configuration for this BackendBucket.\n*   `compressionMode` (*type:* `String.t`, *default:* `nil`) - Compress text responses using Brotli or gzip compression, based on the client's Accept-Encoding header.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `customResponseHeaders` (*type:* `list(String.t)`, *default:* `nil`) - Headers that the Application Load Balancer should add to proxied responses.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional textual description of the resource; provided by the client when the resource is created.\n*   `edgeSecurityPolicy` (*type:* `String.t`, *default:* `nil`) - [Output Only] The resource URL for the edge security policy associated with this backend bucket.\n*   `enableCdn` (*type:* `boolean()`, *default:* `nil`) - If true, enable Cloud CDN for this BackendBucket.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#backendBucket`) - Type of the resource.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `usedBy` (*type:* `list(GoogleApi.Compute.V1.Model.BackendBucketUsedBy.t)`, *default:* `nil`) - [Output Only] List of resources referencing that backend bucket.","ref":"GoogleApi.Compute.V1.Model.BackendBucket.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendBucket.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendBucket.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendBucket.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucket.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicy","doc":"Message containing Cloud CDN configuration for a backend bucket.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendBucketCdnPolicy","doc":"*   `bypassCacheOnRequestHeaders` (*type:* `list(GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyBypassCacheOnRequestHeader.t)`, *default:* `nil`) - Bypass the cache when the specified request headers are matched - e.g. Pragma or Authorization headers. Up to 5 headers can be specified. The cache is bypassed for all cdnPolicy.cacheMode settings.\n*   `cacheKeyPolicy` (*type:* `GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyCacheKeyPolicy.t`, *default:* `nil`) - The CacheKeyPolicy for this CdnPolicy.\n*   `cacheMode` (*type:* `String.t`, *default:* `nil`) - Specifies the cache setting for all responses from this backend. The possible values are: USE_ORIGIN_HEADERS Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server. FORCE_CACHE_ALL Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content. CACHE_ALL_STATIC Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.\n*   `clientTtl` (*type:* `integer()`, *default:* `nil`) - Specifies a separate client (e.g. browser client) maximum TTL. This is used to clamp the max-age (or Expires) value sent to the client. With FORCE_CACHE_ALL, the lesser of client_ttl and default_ttl is used for the response max-age directive, along with a \"public\" directive. For cacheable content in CACHE_ALL_STATIC mode, client_ttl clamps the max-age from the origin (if specified), or else sets the response max-age directive to the lesser of the client_ttl and default_ttl, and also ensures a \"public\" cache-control directive is present. If a client TTL is not specified, a default value (1 hour) will be used. The maximum allowed value is 31,622,400s (1 year).\n*   `defaultTtl` (*type:* `integer()`, *default:* `nil`) - Specifies the default TTL for cached content served by this origin for responses that do not have an existing valid TTL (max-age or s-max-age). Setting a TTL of \"0\" means \"always revalidate\". The value of defaultTTL cannot be set to a value greater than that of maxTTL, but can be equal. When the cacheMode is set to FORCE_CACHE_ALL, the defaultTTL will overwrite the TTL set in all responses. The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.\n*   `maxTtl` (*type:* `integer()`, *default:* `nil`) - Specifies the maximum allowed TTL for cached content served by this origin. Cache directives that attempt to set a max-age or s-maxage higher than this, or an Expires header more than maxTTL seconds in the future will be capped at the value of maxTTL, as if it were the value of an s-maxage Cache-Control directive. Headers sent to the client will not be modified. Setting a TTL of \"0\" means \"always revalidate\". The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.\n*   `negativeCaching` (*type:* `boolean()`, *default:* `nil`) - Negative caching allows per-status code TTLs to be set, in order to apply fine-grained caching for common errors or redirects. This can reduce the load on your origin and improve end-user experience by reducing response latency. When the cache mode is set to CACHE_ALL_STATIC or USE_ORIGIN_HEADERS, negative caching applies to responses with the specified response code that lack any Cache-Control, Expires, or Pragma: no-cache directives. When the cache mode is set to FORCE_CACHE_ALL, negative caching applies to all responses with the specified response code, and override any caching headers. By default, Cloud CDN will apply the following default TTLs to these status codes: HTTP 300 (Multiple Choice), 301, 308 (Permanent Redirects): 10m HTTP 404 (Not Found), 410 (Gone), 451 (Unavailable For Legal Reasons): 120s HTTP 405 (Method Not Found), 421 (Misdirected Request), 501 (Not Implemented): 60s. These defaults can be overridden in negative_caching_policy.\n*   `negativeCachingPolicy` (*type:* `list(GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyNegativeCachingPolicy.t)`, *default:* `nil`) - Sets a cache TTL for the specified HTTP status code. negative_caching must be enabled to configure negative_caching_policy. Omitting the policy and leaving negative_caching enabled will use Cloud CDN's default cache TTLs. Note that when specifying an explicit negative_caching_policy, you should take care to specify a cache TTL for all response codes that you wish to cache. Cloud CDN will not apply any default negative caching when a policy exists.\n*   `requestCoalescing` (*type:* `boolean()`, *default:* `nil`) - If true then Cloud CDN will combine multiple concurrent cache fill requests into a small number of requests to the origin.\n*   `serveWhileStale` (*type:* `integer()`, *default:* `nil`) - Serve existing content from the cache (if available) when revalidating content with the origin, or when an error is encountered when refreshing the cache. This setting defines the default \"max-stale\" duration for any cached responses that do not specify a max-stale directive. Stale responses that exceed the TTL configured here will not be served. The default limit (max-stale) is 86400s (1 day), which will allow stale content to be served up to this limit beyond the max-age (or s-max-age) of a cached response. The maximum allowed value is 604800 (1 week). Set this to zero (0) to disable serve-while-stale.\n*   `signedUrlCacheMaxAgeSec` (*type:* `String.t`, *default:* `nil`) - Maximum number of seconds the response to a signed URL request will be considered fresh. After this time period, the response will be revalidated before being served. Defaults to 1hr (3600s). When serving responses to signed URL requests, Cloud CDN will internally behave as though all responses from this backend had a \"Cache-Control: public, max-age=[TTL]\" header, regardless of any existing Cache-Control header. The actual headers served in responses will not be altered.\n*   `signedUrlKeyNames` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Names of the keys for signing request URLs.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyBypassCacheOnRequestHeader","doc":"Bypass the cache when the specified request headers are present, e.g. Pragma or Authorization headers. Values are case insensitive. The presence of such a header overrides the cache_mode setting.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyBypassCacheOnRequestHeader.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyBypassCacheOnRequestHeader","doc":"*   `headerName` (*type:* `String.t`, *default:* `nil`) - The header field name to match on when bypassing cache. Values are case-insensitive.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyBypassCacheOnRequestHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyBypassCacheOnRequestHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyBypassCacheOnRequestHeader.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyBypassCacheOnRequestHeader.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyBypassCacheOnRequestHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyCacheKeyPolicy","doc":"Message containing what to include in the cache key for a request for Cloud CDN.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyCacheKeyPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyCacheKeyPolicy","doc":"*   `includeHttpHeaders` (*type:* `list(String.t)`, *default:* `nil`) - Allows HTTP request headers (by name) to be used in the cache key.\n*   `queryStringWhitelist` (*type:* `list(String.t)`, *default:* `nil`) - Names of query string parameters to include in cache keys. Default parameters are always included. '&' and '=' will be percent encoded and not treated as delimiters.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyCacheKeyPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyCacheKeyPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyCacheKeyPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyCacheKeyPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyCacheKeyPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyNegativeCachingPolicy","doc":"Specify CDN TTLs for response error codes.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyNegativeCachingPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyNegativeCachingPolicy","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The HTTP status code to define a TTL against. Only HTTP status codes 300, 301, 302, 307, 308, 404, 405, 410, 421, 451 and 501 are can be specified as values, and you cannot specify a status code more than once.\n*   `ttl` (*type:* `integer()`, *default:* `nil`) - The TTL (in seconds) for which to cache responses with the corresponding status code. The maximum allowed value is 1800s (30 minutes), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyNegativeCachingPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyNegativeCachingPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyNegativeCachingPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyNegativeCachingPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucketCdnPolicyNegativeCachingPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendBucketList","doc":"Contains a list of BackendBucket resources.","ref":"GoogleApi.Compute.V1.Model.BackendBucketList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendBucketList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.BackendBucket.t)`, *default:* `nil`) - A list of BackendBucket resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#backendBucketList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.BackendBucketListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.BackendBucketList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendBucketList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendBucketList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendBucketList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucketList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendBucketListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.BackendBucketListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendBucketListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.BackendBucketListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.BackendBucketListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendBucketListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendBucketListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendBucketListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucketListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendBucketListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucketListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendBucketListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.BackendBucketListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendBucketListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendBucketListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendBucketListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucketListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendBucketUsedBy","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucketUsedBy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendBucketUsedBy","doc":"*   `reference` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for UrlMaps referencing that BackendBucket.","ref":"GoogleApi.Compute.V1.Model.BackendBucketUsedBy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendBucketUsedBy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendBucketUsedBy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendBucketUsedBy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendBucketUsedBy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendService","doc":"Represents a Backend Service resource. A backend service defines how Google Cloud load balancers distribute traffic. The backend service configuration contains a set of values, such as the protocol used to connect to backends, various distribution and session settings, health checks, and timeouts. These settings provide fine-grained control over how your load balancer behaves. Most of the settings have default values that allow for easy configuration if you need to get started quickly. Backend services in Google Compute Engine can be either regionally or globally scoped. * [Global](https://cloud.google.com/compute/docs/reference/rest/v1/backendServices) * [Regional](https://cloud.google.com/compute/docs/reference/rest/v1/regionBackendServices) For more information, see Backend Services.","ref":"GoogleApi.Compute.V1.Model.BackendService.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendService","doc":"*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `outlierDetection` (*type:* `GoogleApi.Compute.V1.Model.OutlierDetection.t`, *default:* `nil`) - Settings controlling the ejection of unhealthy backend endpoints from the load balancing pool of each individual proxy instance that processes the traffic for the given backend service. If not set, this feature is considered disabled. Results of the outlier detection algorithm (ejection of endpoints from the load balancing pool and returning them back to the pool) are executed independently by each proxy instance of the load balancer. In most cases, more than one proxy instance handles the traffic received by a backend service. Thus, it is possible that an unhealthy endpoint is detected and ejected by only some of the proxies, and while this happens, other proxies may continue to send requests to the same unhealthy endpoint until they detect and eject the unhealthy endpoint. Applicable backend endpoints can be: - VM instances in an Instance Group - Endpoints in a Zonal NEG (GCE_VM_IP, GCE_VM_IP_PORT) - Endpoints in a Hybrid Connectivity NEG (NON_GCP_PRIVATE_IP_PORT) - Serverless NEGs, that resolve to Cloud Run, App Engine, or Cloud Functions Services - Private Service Connect NEGs, that resolve to Google-managed regional API endpoints or managed services published using Private Service Connect Applicable backend service types can be: - A global backend service with the loadBalancingScheme set to INTERNAL_SELF_MANAGED or EXTERNAL_MANAGED. - A regional backend service with the serviceProtocol set to HTTP, HTTPS, or HTTP2, and loadBalancingScheme set to INTERNAL_MANAGED or EXTERNAL_MANAGED. Not supported for Serverless NEGs. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `subsetting` (*type:* `GoogleApi.Compute.V1.Model.Subsetting.t`, *default:* `nil`) - \n*   `iap` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceIAP.t`, *default:* `nil`) - The configurations for Identity-Aware Proxy on this resource. Not available for internal passthrough Network Load Balancers and external passthrough Network Load Balancers.\n*   `connectionTrackingPolicy` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceConnectionTrackingPolicy.t`, *default:* `nil`) - Connection Tracking configuration for this BackendService. Connection tracking policy settings are only available for external passthrough Network Load Balancers and internal passthrough Network Load Balancers.\n*   `serviceLbPolicy` (*type:* `String.t`, *default:* `nil`) - URL to networkservices.ServiceLbPolicy resource. Can only be set if load balancing scheme is EXTERNAL, EXTERNAL_MANAGED, INTERNAL_MANAGED or INTERNAL_SELF_MANAGED and the scope is global.\n*   `portName` (*type:* `String.t`, *default:* `nil`) - A named port on a backend instance group representing the port for communication to the backend VMs in that group. The named port must be [defined on each backend instance group](https://cloud.google.com/load-balancing/docs/backend-service#named_ports). This parameter has no meaning if the backends are NEGs. For internal passthrough Network Load Balancers and external passthrough Network Load Balancers, omit port_name.\n*   `kind` (*type:* `String.t`, *default:* `compute#backendService`) - [Output Only] Type of resource. Always compute#backendService for backend services.\n*   `protocol` (*type:* `String.t`, *default:* `nil`) - The protocol this BackendService uses to communicate with backends. Possible values are HTTP, HTTPS, HTTP2, TCP, SSL, UDP or GRPC. depending on the chosen load balancer or Traffic Director configuration. Refer to the documentation for the load balancers or for Traffic Director for more information. Must be set to GRPC when the backend service is referenced by a URL map that is bound to target gRPC proxy.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `usedBy` (*type:* `list(GoogleApi.Compute.V1.Model.BackendServiceUsedBy.t)`, *default:* `nil`) - [Output Only] List of resources referencing given backend service.\n*   `logConfig` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceLogConfig.t`, *default:* `nil`) - This field denotes the logging options for the load balancer traffic served by this backend service. If logging is enabled, logs will be exported to Stackdriver.\n*   `edgeSecurityPolicy` (*type:* `String.t`, *default:* `nil`) - [Output Only] The resource URL for the edge security policy associated with this backend service.\n*   `affinityCookieTtlSec` (*type:* `integer()`, *default:* `nil`) - Lifetime of cookies in seconds. This setting is applicable to Application Load Balancers and Traffic Director and requires GENERATED_COOKIE or HTTP_COOKIE session affinity. If set to 0, the cookie is non-persistent and lasts only until the end of the browser session (or equivalent). The maximum allowed value is two weeks (1,209,600). Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.\n*   `metadatas` (*type:* `map()`, *default:* `nil`) - Deployment metadata associated with the resource to be set by a GKE hub controller and read by the backend RCTH\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional backend service resides. This field is not applicable to global backend services. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `loadBalancingScheme` (*type:* `String.t`, *default:* `nil`) - Specifies the load balancer type. A backend service created for one type of load balancer cannot be used with another. For more information, refer to Choosing a load balancer.\n*   `port` (*type:* `integer()`, *default:* `nil`) - Deprecated in favor of portName. The TCP port to connect on the backend. The default value is 80. For internal passthrough Network Load Balancers and external passthrough Network Load Balancers, omit port.\n*   `customRequestHeaders` (*type:* `list(String.t)`, *default:* `nil`) - Headers that the load balancer adds to proxied requests. See [Creating custom headers](https://cloud.google.com/load-balancing/docs/custom-headers).\n*   `connectionDraining` (*type:* `GoogleApi.Compute.V1.Model.ConnectionDraining.t`, *default:* `nil`) - \n*   `maxStreamDuration` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Specifies the default maximum duration (timeout) for streams to this service. Duration is computed from the beginning of the stream until the response has been completely processed, including all retries. A stream that does not complete in this duration is closed. If not specified, there will be no timeout limit, i.e. the maximum duration is infinite. This value can be overridden in the PathMatcher configuration of the UrlMap that references this backend service. This field is only allowed when the loadBalancingScheme of the backend service is INTERNAL_SELF_MANAGED.\n*   `ipAddressSelectionPolicy` (*type:* `String.t`, *default:* `nil`) - Specifies a preference for traffic sent from the proxy to the backend (or from the client to the backend for proxyless gRPC). The possible values are: - IPV4_ONLY: Only send IPv4 traffic to the backends of the backend service (Instance Group, Managed Instance Group, Network Endpoint Group), regardless of traffic from the client to the proxy. Only IPv4 health checks are used to check the health of the backends. This is the default setting. - PREFER_IPV6: Prioritize the connection to the endpoint's IPv6 address over its IPv4 address (provided there is a healthy IPv6 address). - IPV6_ONLY: Only send IPv6 traffic to the backends of the backend service (Instance Group, Managed Instance Group, Network Endpoint Group), regardless of traffic from the client to the proxy. Only IPv6 health checks are used to check the health of the backends. This field is applicable to either: - Advanced global external Application Load Balancer (load balancing scheme EXTERNAL_MANAGED), - Regional external Application Load Balancer, - Internal proxy Network Load Balancer (load balancing scheme INTERNAL_MANAGED), - Regional internal Application Load Balancer (load balancing scheme INTERNAL_MANAGED), - Traffic Director with Envoy proxies and proxyless gRPC (load balancing scheme INTERNAL_SELF_MANAGED). \n*   `consistentHash` (*type:* `GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettings.t`, *default:* `nil`) - Consistent Hash-based load balancing can be used to provide soft session affinity based on HTTP headers, cookies or other properties. This load balancing policy is applicable only for HTTP connections. The affinity to a particular destination host will be lost when one or more hosts are added/removed from the destination service. This field specifies parameters that control consistent hashing. This field is only applicable when localityLbPolicy is set to MAGLEV or RING_HASH. This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED. \n*   `circuitBreakers` (*type:* `GoogleApi.Compute.V1.Model.CircuitBreakers.t`, *default:* `nil`) - \n*   `backends` (*type:* `list(GoogleApi.Compute.V1.Model.Backend.t)`, *default:* `nil`) - The list of backends that serve this BackendService.\n*   `securitySettings` (*type:* `GoogleApi.Compute.V1.Model.SecuritySettings.t`, *default:* `nil`) - This field specifies the security settings that apply to this backend service. This field is applicable to a global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED.\n*   `strongSessionAffinityCookie` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceHttpCookie.t`, *default:* `nil`) - Describes the HTTP cookie used for stateful session affinity. This field is applicable and required if the sessionAffinity is set to STRONG_COOKIE_AFFINITY.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `cdnPolicy` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceCdnPolicy.t`, *default:* `nil`) - Cloud CDN configuration for this BackendService. Only available for specified load balancer types.\n*   `timeoutSec` (*type:* `integer()`, *default:* `nil`) - The backend service timeout has a different meaning depending on the type of load balancer. For more information see, Backend service settings. The default is 30 seconds. The full range of timeout values allowed goes from 1 through 2,147,483,647 seconds. This value can be overridden in the PathMatcher configuration of the UrlMap that references this backend service. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true. Instead, use maxStreamDuration.\n*   `healthChecks` (*type:* `list(String.t)`, *default:* `nil`) - The list of URLs to the healthChecks, httpHealthChecks (legacy), or httpsHealthChecks (legacy) resource for health checking this backend service. Not all backend services support legacy health checks. See Load balancer guide. Currently, at most one health check can be specified for each backend service. Backend services with instance group or zonal NEG backends must have a health check. Backend services with internet or serverless NEG backends must not have a health check.\n*   `compressionMode` (*type:* `String.t`, *default:* `nil`) - Compress text responses using Brotli or gzip compression, based on the client's Accept-Encoding header.\n*   `network` (*type:* `String.t`, *default:* `nil`) - The URL of the network to which this backend service belongs. This field can only be specified when the load balancing scheme is set to INTERNAL.\n*   `customResponseHeaders` (*type:* `list(String.t)`, *default:* `nil`) - Headers that the load balancer adds to proxied responses. See [Creating custom headers](https://cloud.google.com/load-balancing/docs/custom-headers).\n*   `failoverPolicy` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceFailoverPolicy.t`, *default:* `nil`) - Requires at least one backend instance group to be defined as a backup (failover) backend. For load balancers that have configurable failover: [Internal passthrough Network Load Balancers](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external passthrough Network Load Balancers](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview).\n*   `localityLbPolicies` (*type:* `list(GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfig.t)`, *default:* `nil`) - A list of locality load-balancing policies to be used in order of preference. When you use localityLbPolicies, you must set at least one value for either the localityLbPolicies[].policy or the localityLbPolicies[].customPolicy field. localityLbPolicies overrides any value set in the localityLbPolicy field. For an example of how to use this field, see Define a list of preferred policies. Caution: This field and its children are intended for use in a service mesh that includes gRPC clients only. Envoy proxies can't use backend services that have this configuration.\n*   `localityLbPolicy` (*type:* `String.t`, *default:* `nil`) - The load balancing algorithm used within the scope of the locality. The possible values are: - ROUND_ROBIN: This is a simple policy in which each healthy backend is selected in round robin order. This is the default. - LEAST_REQUEST: An O(1) algorithm which selects two random healthy hosts and picks the host which has fewer active requests. - RING_HASH: The ring/modulo hash load balancer implements consistent hashing to backends. The algorithm has the property that the addition/removal of a host from a set of N hosts only affects 1/N of the requests. - RANDOM: The load balancer selects a random healthy host. - ORIGINAL_DESTINATION: Backend host is selected based on the client connection metadata, i.e., connections are opened to the same address as the destination address of the incoming connection before the connection was redirected to the load balancer. - MAGLEV: used as a drop in replacement for the ring hash load balancer. Maglev is not as stable as ring hash but has faster table lookup build times and host selection times. For more information about Maglev, see https://ai.google/research/pubs/pub44824 This field is applicable to either: - A regional backend service with the service_protocol set to HTTP, HTTPS, or HTTP2, and load_balancing_scheme set to INTERNAL_MANAGED. - A global backend service with the load_balancing_scheme set to INTERNAL_SELF_MANAGED, INTERNAL_MANAGED, or EXTERNAL_MANAGED. If sessionAffinity is not configured—that is, if session affinity remains at the default value of NONE—then the default value for localityLbPolicy is ROUND_ROBIN. If session affinity is set to a value other than NONE, then the default value for localityLbPolicy is MAGLEV. Only ROUND_ROBIN and RING_HASH are supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.\n*   `enableCDN` (*type:* `boolean()`, *default:* `nil`) - If true, enables Cloud CDN for the backend service of a global external Application Load Balancer.\n*   `securityPolicy` (*type:* `String.t`, *default:* `nil`) - [Output Only] The resource URL for the security policy associated with this backend service.\n*   `sessionAffinity` (*type:* `String.t`, *default:* `nil`) - Type of session affinity to use. The default is NONE. Only NONE and HEADER_FIELD are supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true. For more details, see: [Session Affinity](https://cloud.google.com/load-balancing/docs/backend-service#session_affinity).\n*   `serviceBindings` (*type:* `list(String.t)`, *default:* `nil`) - URLs of networkservices.ServiceBinding resources. Can only be set if load balancing scheme is INTERNAL_SELF_MANAGED. If set, lists of backends and health checks must be both empty.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a BackendService. An up-to-date fingerprint must be provided in order to update the BackendService, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a BackendService.","ref":"GoogleApi.Compute.V1.Model.BackendService.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendService.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendService.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendService.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedList","doc":"Contains a list of BackendServicesScopedList.","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.BackendServicesScopedList.t}`, *default:* `nil`) - A list of BackendServicesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#backendServiceAggregatedList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicy","doc":"Message containing Cloud CDN configuration for a backend service.","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceCdnPolicy","doc":"*   `bypassCacheOnRequestHeaders` (*type:* `list(GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyBypassCacheOnRequestHeader.t)`, *default:* `nil`) - Bypass the cache when the specified request headers are matched - e.g. Pragma or Authorization headers. Up to 5 headers can be specified. The cache is bypassed for all cdnPolicy.cacheMode settings.\n*   `cacheKeyPolicy` (*type:* `GoogleApi.Compute.V1.Model.CacheKeyPolicy.t`, *default:* `nil`) - The CacheKeyPolicy for this CdnPolicy.\n*   `cacheMode` (*type:* `String.t`, *default:* `nil`) - Specifies the cache setting for all responses from this backend. The possible values are: USE_ORIGIN_HEADERS Requires the origin to set valid caching headers to cache content. Responses without these headers will not be cached at Google's edge, and will require a full trip to the origin on every request, potentially impacting performance and increasing load on the origin server. FORCE_CACHE_ALL Cache all content, ignoring any \"private\", \"no-store\" or \"no-cache\" directives in Cache-Control response headers. Warning: this may result in Cloud CDN caching private, per-user (user identifiable) content. CACHE_ALL_STATIC Automatically cache static content, including common image formats, media (video and audio), and web assets (JavaScript and CSS). Requests and responses that are marked as uncacheable, as well as dynamic content (including HTML), will not be cached.\n*   `clientTtl` (*type:* `integer()`, *default:* `nil`) - Specifies a separate client (e.g. browser client) maximum TTL. This is used to clamp the max-age (or Expires) value sent to the client. With FORCE_CACHE_ALL, the lesser of client_ttl and default_ttl is used for the response max-age directive, along with a \"public\" directive. For cacheable content in CACHE_ALL_STATIC mode, client_ttl clamps the max-age from the origin (if specified), or else sets the response max-age directive to the lesser of the client_ttl and default_ttl, and also ensures a \"public\" cache-control directive is present. If a client TTL is not specified, a default value (1 hour) will be used. The maximum allowed value is 31,622,400s (1 year).\n*   `defaultTtl` (*type:* `integer()`, *default:* `nil`) - Specifies the default TTL for cached content served by this origin for responses that do not have an existing valid TTL (max-age or s-max-age). Setting a TTL of \"0\" means \"always revalidate\". The value of defaultTTL cannot be set to a value greater than that of maxTTL, but can be equal. When the cacheMode is set to FORCE_CACHE_ALL, the defaultTTL will overwrite the TTL set in all responses. The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.\n*   `maxTtl` (*type:* `integer()`, *default:* `nil`) - Specifies the maximum allowed TTL for cached content served by this origin. Cache directives that attempt to set a max-age or s-maxage higher than this, or an Expires header more than maxTTL seconds in the future will be capped at the value of maxTTL, as if it were the value of an s-maxage Cache-Control directive. Headers sent to the client will not be modified. Setting a TTL of \"0\" means \"always revalidate\". The maximum allowed value is 31,622,400s (1 year), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.\n*   `negativeCaching` (*type:* `boolean()`, *default:* `nil`) - Negative caching allows per-status code TTLs to be set, in order to apply fine-grained caching for common errors or redirects. This can reduce the load on your origin and improve end-user experience by reducing response latency. When the cache mode is set to CACHE_ALL_STATIC or USE_ORIGIN_HEADERS, negative caching applies to responses with the specified response code that lack any Cache-Control, Expires, or Pragma: no-cache directives. When the cache mode is set to FORCE_CACHE_ALL, negative caching applies to all responses with the specified response code, and override any caching headers. By default, Cloud CDN will apply the following default TTLs to these status codes: HTTP 300 (Multiple Choice), 301, 308 (Permanent Redirects): 10m HTTP 404 (Not Found), 410 (Gone), 451 (Unavailable For Legal Reasons): 120s HTTP 405 (Method Not Found), 421 (Misdirected Request), 501 (Not Implemented): 60s. These defaults can be overridden in negative_caching_policy.\n*   `negativeCachingPolicy` (*type:* `list(GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyNegativeCachingPolicy.t)`, *default:* `nil`) - Sets a cache TTL for the specified HTTP status code. negative_caching must be enabled to configure negative_caching_policy. Omitting the policy and leaving negative_caching enabled will use Cloud CDN's default cache TTLs. Note that when specifying an explicit negative_caching_policy, you should take care to specify a cache TTL for all response codes that you wish to cache. Cloud CDN will not apply any default negative caching when a policy exists.\n*   `requestCoalescing` (*type:* `boolean()`, *default:* `nil`) - If true then Cloud CDN will combine multiple concurrent cache fill requests into a small number of requests to the origin.\n*   `serveWhileStale` (*type:* `integer()`, *default:* `nil`) - Serve existing content from the cache (if available) when revalidating content with the origin, or when an error is encountered when refreshing the cache. This setting defines the default \"max-stale\" duration for any cached responses that do not specify a max-stale directive. Stale responses that exceed the TTL configured here will not be served. The default limit (max-stale) is 86400s (1 day), which will allow stale content to be served up to this limit beyond the max-age (or s-max-age) of a cached response. The maximum allowed value is 604800 (1 week). Set this to zero (0) to disable serve-while-stale.\n*   `signedUrlCacheMaxAgeSec` (*type:* `String.t`, *default:* `nil`) - Maximum number of seconds the response to a signed URL request will be considered fresh. After this time period, the response will be revalidated before being served. Defaults to 1hr (3600s). When serving responses to signed URL requests, Cloud CDN will internally behave as though all responses from this backend had a \"Cache-Control: public, max-age=[TTL]\" header, regardless of any existing Cache-Control header. The actual headers served in responses will not be altered.\n*   `signedUrlKeyNames` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Names of the keys for signing request URLs.","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyBypassCacheOnRequestHeader","doc":"Bypass the cache when the specified request headers are present, e.g. Pragma or Authorization headers. Values are case insensitive. The presence of such a header overrides the cache_mode setting.","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyBypassCacheOnRequestHeader.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyBypassCacheOnRequestHeader","doc":"*   `headerName` (*type:* `String.t`, *default:* `nil`) - The header field name to match on when bypassing cache. Values are case-insensitive.","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyBypassCacheOnRequestHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyBypassCacheOnRequestHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyBypassCacheOnRequestHeader.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyBypassCacheOnRequestHeader.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyBypassCacheOnRequestHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyNegativeCachingPolicy","doc":"Specify CDN TTLs for response error codes.","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyNegativeCachingPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyNegativeCachingPolicy","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The HTTP status code to define a TTL against. Only HTTP status codes 300, 301, 302, 307, 308, 404, 405, 410, 421, 451 and 501 are can be specified as values, and you cannot specify a status code more than once.\n*   `ttl` (*type:* `integer()`, *default:* `nil`) - The TTL (in seconds) for which to cache responses with the corresponding status code. The maximum allowed value is 1800s (30 minutes), noting that infrequently accessed objects may be evicted from the cache before the defined TTL.","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyNegativeCachingPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyNegativeCachingPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyNegativeCachingPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyNegativeCachingPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceCdnPolicyNegativeCachingPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceConnectionTrackingPolicy","doc":"Connection Tracking configuration for this BackendService.","ref":"GoogleApi.Compute.V1.Model.BackendServiceConnectionTrackingPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceConnectionTrackingPolicy","doc":"*   `connectionPersistenceOnUnhealthyBackends` (*type:* `String.t`, *default:* `nil`) - Specifies connection persistence when backends are unhealthy. The default value is DEFAULT_FOR_PROTOCOL. If set to DEFAULT_FOR_PROTOCOL, the existing connections persist on unhealthy backends only for connection-oriented protocols (TCP and SCTP) and only if the Tracking Mode is PER_CONNECTION (default tracking mode) or the Session Affinity is configured for 5-tuple. They do not persist for UDP. If set to NEVER_PERSIST, after a backend becomes unhealthy, the existing connections on the unhealthy backend are never persisted on the unhealthy backend. They are always diverted to newly selected healthy backends (unless all backends are unhealthy). If set to ALWAYS_PERSIST, existing connections always persist on unhealthy backends regardless of protocol and session affinity. It is generally not recommended to use this mode overriding the default. For more details, see [Connection Persistence for Network Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-backend-service#connection-persistence) and [Connection Persistence for Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal#connection-persistence).\n*   `enableStrongAffinity` (*type:* `boolean()`, *default:* `nil`) - Enable Strong Session Affinity for external passthrough Network Load Balancers. This option is not available publicly.\n*   `idleTimeoutSec` (*type:* `integer()`, *default:* `nil`) - Specifies how long to keep a Connection Tracking entry while there is no matching traffic (in seconds). For internal passthrough Network Load Balancers: - The minimum (default) is 10 minutes and the maximum is 16 hours. - It can be set only if Connection Tracking is less than 5-tuple (i.e. Session Affinity is CLIENT_IP_NO_DESTINATION, CLIENT_IP or CLIENT_IP_PROTO, and Tracking Mode is PER_SESSION). For external passthrough Network Load Balancers the default is 60 seconds. This option is not available publicly.\n*   `trackingMode` (*type:* `String.t`, *default:* `nil`) - Specifies the key used for connection tracking. There are two options: - PER_CONNECTION: This is the default mode. The Connection Tracking is performed as per the Connection Key (default Hash Method) for the specific protocol. - PER_SESSION: The Connection Tracking is performed as per the configured Session Affinity. It matches the configured Session Affinity. For more details, see [Tracking Mode for Network Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-backend-service#tracking-mode) and [Tracking Mode for Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal#tracking-mode).","ref":"GoogleApi.Compute.V1.Model.BackendServiceConnectionTrackingPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceConnectionTrackingPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceConnectionTrackingPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceConnectionTrackingPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceConnectionTrackingPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceFailoverPolicy","doc":"For load balancers that have configurable failover: [Internal passthrough Network Load Balancers](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external passthrough Network Load Balancers](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview). On failover or failback, this field indicates whether connection draining will be honored. Google Cloud has a fixed connection draining timeout of 10 minutes. A setting of true terminates existing TCP connections to the active pool during failover and failback, immediately draining traffic. A setting of false allows existing TCP connections to persist, even on VMs no longer in the active pool, for up to the duration of the connection draining timeout (10 minutes).","ref":"GoogleApi.Compute.V1.Model.BackendServiceFailoverPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceFailoverPolicy","doc":"*   `disableConnectionDrainOnFailover` (*type:* `boolean()`, *default:* `nil`) - This can be set to true only if the protocol is TCP. The default is false.\n*   `dropTrafficIfUnhealthy` (*type:* `boolean()`, *default:* `nil`) - If set to true, connections to the load balancer are dropped when all primary and all backup backend VMs are unhealthy.If set to false, connections are distributed among all primary VMs when all primary and all backup backend VMs are unhealthy. For load balancers that have configurable failover: [Internal passthrough Network Load Balancers](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external passthrough Network Load Balancers](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview). The default is false.\n*   `failoverRatio` (*type:* `number()`, *default:* `nil`) - The value of the field must be in the range [0, 1]. If the value is 0, the load balancer performs a failover when the number of healthy primary VMs equals zero. For all other values, the load balancer performs a failover when the total number of healthy primary VMs is less than this ratio. For load balancers that have configurable failover: [Internal TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/internal/failover-overview) and [external TCP/UDP Load Balancing](https://cloud.google.com/load-balancing/docs/network/networklb-failover-overview).","ref":"GoogleApi.Compute.V1.Model.BackendServiceFailoverPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceFailoverPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceFailoverPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceFailoverPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceFailoverPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceGroupHealth","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceGroupHealth.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceGroupHealth","doc":"*   `annotations` (*type:* `map()`, *default:* `nil`) - Metadata defined as annotations on the network endpoint group.\n*   `healthStatus` (*type:* `list(GoogleApi.Compute.V1.Model.HealthStatus.t)`, *default:* `nil`) - Health state of the backend instances or endpoints in requested instance or network endpoint group, determined based on configured health checks.\n*   `kind` (*type:* `String.t`, *default:* `compute#backendServiceGroupHealth`) - [Output Only] Type of resource. Always compute#backendServiceGroupHealth for the health of backend services.","ref":"GoogleApi.Compute.V1.Model.BackendServiceGroupHealth.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceGroupHealth.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceGroupHealth.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceGroupHealth.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceGroupHealth.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceHttpCookie","doc":"The HTTP cookie used for stateful session affinity.","ref":"GoogleApi.Compute.V1.Model.BackendServiceHttpCookie.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceHttpCookie","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the cookie.\n*   `path` (*type:* `String.t`, *default:* `nil`) - Path to set for the cookie.\n*   `ttl` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Lifetime of the cookie.","ref":"GoogleApi.Compute.V1.Model.BackendServiceHttpCookie.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceHttpCookie.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceHttpCookie.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceHttpCookie.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceHttpCookie.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceIAP","doc":"Identity-Aware Proxy","ref":"GoogleApi.Compute.V1.Model.BackendServiceIAP.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceIAP","doc":"*   `enabled` (*type:* `boolean()`, *default:* `nil`) - Whether the serving infrastructure will authenticate and authorize all incoming requests.\n*   `oauth2ClientId` (*type:* `String.t`, *default:* `nil`) - OAuth2 client ID to use for the authentication flow.\n*   `oauth2ClientSecret` (*type:* `String.t`, *default:* `nil`) - OAuth2 client secret to use for the authentication flow. For security reasons, this value cannot be retrieved via the API. Instead, the SHA-256 hash of the value is returned in the oauth2ClientSecretSha256 field. @InputOnly\n*   `oauth2ClientSecretSha256` (*type:* `String.t`, *default:* `nil`) - [Output Only] SHA256 hash value for the field oauth2_client_secret above.","ref":"GoogleApi.Compute.V1.Model.BackendServiceIAP.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceIAP.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceIAP.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceIAP.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceIAP.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceList","doc":"Contains a list of BackendService resources.","ref":"GoogleApi.Compute.V1.Model.BackendServiceList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.BackendService.t)`, *default:* `nil`) - A list of BackendService resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#backendServiceList`) - [Output Only] Type of resource. Always compute#backendServiceList for lists of backend services.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.BackendServiceList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceListUsable","doc":"Contains a list of usable BackendService resources.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsable.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceListUsable","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.BackendService.t)`, *default:* `nil`) - A list of BackendService resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#usableBackendServiceList`) - [Output Only] Type of resource. Always compute#usableBackendServiceList for lists of usable backend services.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceListUsableWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsable.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceListUsable.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsable.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceListUsable.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsable.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceListUsableWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.BackendServiceListUsableWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceListUsableWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceListUsableWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.BackendServiceListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfig","doc":"Container for either a built-in LB policy supported by gRPC or Envoy or a custom one implemented by the end user.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfig","doc":"*   `customPolicy` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy.t`, *default:* `nil`) - \n*   `policy` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigPolicy.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy","doc":"The configuration for a custom policy implemented by the user and deployed with the client.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy","doc":"*   `data` (*type:* `String.t`, *default:* `nil`) - An optional, arbitrary JSON object with configuration data, understood by a locally installed custom policy implementation.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifies the custom policy. The value should match the name of a custom implementation registered on the gRPC clients. It should follow protocol buffer message naming conventions and include the full path (for example, myorg.CustomLbPolicy). The maximum length is 256 characters. Do not specify the same custom policy more than once for a backend. If you do, the configuration is rejected. For an example of how to use this field, see Use a custom policy.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigCustomPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigPolicy","doc":"The configuration for a built-in load balancing policy.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigPolicy","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of a locality load-balancing policy. Valid values include ROUND_ROBIN and, for Java clients, LEAST_REQUEST. For information about these values, see the description of localityLbPolicy. Do not specify the same policy more than once for a backend. If you do, the configuration is rejected.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceLocalityLoadBalancingPolicyConfigPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceLogConfig","doc":"The available logging options for the load balancer traffic served by this backend service.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLogConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceLogConfig","doc":"*   `enable` (*type:* `boolean()`, *default:* `nil`) - Denotes whether to enable logging for the load balancer traffic served by this backend service. The default value is false.\n*   `optionalFields` (*type:* `list(String.t)`, *default:* `nil`) - This field can only be specified if logging is enabled for this backend service and \"logConfig.optionalMode\" was set to CUSTOM. Contains a list of optional fields you want to include in the logs. For example: serverInstance, serverGkeDetails.cluster, serverGkeDetails.pod.podNamespace\n*   `optionalMode` (*type:* `String.t`, *default:* `nil`) - This field can only be specified if logging is enabled for this backend service. Configures whether all, none or a subset of optional fields should be added to the reported logs. One of [INCLUDE_ALL_OPTIONAL, EXCLUDE_ALL_OPTIONAL, CUSTOM]. Default is EXCLUDE_ALL_OPTIONAL.\n*   `sampleRate` (*type:* `number()`, *default:* `nil`) - This field can only be specified if logging is enabled for this backend service. The value of the field must be in [0, 1]. This configures the sampling rate of requests to the load balancer where 1.0 means all logged requests are reported and 0.0 means no logged requests are reported. The default value is 1.0.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLogConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceLogConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceLogConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceLogConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceLogConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceReference","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceReference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceReference","doc":"*   `backendService` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.BackendServiceReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceReference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceReference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServiceUsedBy","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceUsedBy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServiceUsedBy","doc":"*   `reference` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for resources referencing given BackendService like UrlMaps, TargetTcpProxies, TargetSslProxies and ForwardingRule.","ref":"GoogleApi.Compute.V1.Model.BackendServiceUsedBy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServiceUsedBy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServiceUsedBy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServiceUsedBy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServiceUsedBy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServicesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServicesScopedList","doc":"*   `backendServices` (*type:* `list(GoogleApi.Compute.V1.Model.BackendService.t)`, *default:* `nil`) - A list of BackendServices contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.BackendServicesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServicesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServicesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarning","doc":"Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServicesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.BackendServicesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BackendServicesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BackendServicesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BfdPacket","doc":"","ref":"GoogleApi.Compute.V1.Model.BfdPacket.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BfdPacket","doc":"*   `authenticationPresent` (*type:* `boolean()`, *default:* `nil`) - The Authentication Present bit of the BFD packet. This is specified in section 4.1 of RFC5880\n*   `controlPlaneIndependent` (*type:* `boolean()`, *default:* `nil`) - The Control Plane Independent bit of the BFD packet. This is specified in section 4.1 of RFC5880\n*   `demand` (*type:* `boolean()`, *default:* `nil`) - The demand bit of the BFD packet. This is specified in section 4.1 of RFC5880\n*   `diagnostic` (*type:* `String.t`, *default:* `nil`) - The diagnostic code specifies the local system's reason for the last change in session state. This allows remote systems to determine the reason that the previous session failed, for example. These diagnostic codes are specified in section 4.1 of RFC5880\n*   `final` (*type:* `boolean()`, *default:* `nil`) - The Final bit of the BFD packet. This is specified in section 4.1 of RFC5880\n*   `length` (*type:* `integer()`, *default:* `nil`) - The length of the BFD Control packet in bytes. This is specified in section 4.1 of RFC5880\n*   `minEchoRxIntervalMs` (*type:* `integer()`, *default:* `nil`) - The Required Min Echo RX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880\n*   `minRxIntervalMs` (*type:* `integer()`, *default:* `nil`) - The Required Min RX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880\n*   `minTxIntervalMs` (*type:* `integer()`, *default:* `nil`) - The Desired Min TX Interval value in the BFD packet. This is specified in section 4.1 of RFC5880\n*   `multiplier` (*type:* `integer()`, *default:* `nil`) - The detection time multiplier of the BFD packet. This is specified in section 4.1 of RFC5880\n*   `multipoint` (*type:* `boolean()`, *default:* `nil`) - The multipoint bit of the BFD packet. This is specified in section 4.1 of RFC5880\n*   `myDiscriminator` (*type:* `integer()`, *default:* `nil`) - The My Discriminator value in the BFD packet. This is specified in section 4.1 of RFC5880\n*   `poll` (*type:* `boolean()`, *default:* `nil`) - The Poll bit of the BFD packet. This is specified in section 4.1 of RFC5880\n*   `state` (*type:* `String.t`, *default:* `nil`) - The current BFD session state as seen by the transmitting system. These states are specified in section 4.1 of RFC5880\n*   `version` (*type:* `integer()`, *default:* `nil`) - The version number of the BFD protocol, as specified in section 4.1 of RFC5880.\n*   `yourDiscriminator` (*type:* `integer()`, *default:* `nil`) - The Your Discriminator value in the BFD packet. This is specified in section 4.1 of RFC5880","ref":"GoogleApi.Compute.V1.Model.BfdPacket.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BfdPacket.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BfdPacket.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BfdPacket.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BfdPacket.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BfdStatus","doc":"Next free: 15","ref":"GoogleApi.Compute.V1.Model.BfdStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BfdStatus","doc":"*   `bfdSessionInitializationMode` (*type:* `String.t`, *default:* `nil`) - The BFD session initialization mode for this BGP peer. If set to ACTIVE, the Cloud Router will initiate the BFD session for this BGP peer. If set to PASSIVE, the Cloud Router will wait for the peer router to initiate the BFD session for this BGP peer. If set to DISABLED, BFD is disabled for this BGP peer.\n*   `configUpdateTimestampMicros` (*type:* `String.t`, *default:* `nil`) - Unix timestamp of the most recent config update.\n*   `controlPacketCounts` (*type:* `GoogleApi.Compute.V1.Model.BfdStatusPacketCounts.t`, *default:* `nil`) - Control packet counts for the current BFD session.\n*   `controlPacketIntervals` (*type:* `list(GoogleApi.Compute.V1.Model.PacketIntervals.t)`, *default:* `nil`) - Inter-packet time interval statistics for control packets.\n*   `localDiagnostic` (*type:* `String.t`, *default:* `nil`) - The diagnostic code specifies the local system's reason for the last change in session state. This allows remote systems to determine the reason that the previous session failed, for example. These diagnostic codes are specified in section 4.1 of RFC5880\n*   `localState` (*type:* `String.t`, *default:* `nil`) - The current BFD session state as seen by the transmitting system. These states are specified in section 4.1 of RFC5880\n*   `negotiatedLocalControlTxIntervalMs` (*type:* `integer()`, *default:* `nil`) - Negotiated transmit interval for control packets.\n*   `rxPacket` (*type:* `GoogleApi.Compute.V1.Model.BfdPacket.t`, *default:* `nil`) - The most recent Rx control packet for this BFD session.\n*   `txPacket` (*type:* `GoogleApi.Compute.V1.Model.BfdPacket.t`, *default:* `nil`) - The most recent Tx control packet for this BFD session.\n*   `uptimeMs` (*type:* `String.t`, *default:* `nil`) - Session uptime in milliseconds. Value will be 0 if session is not up.","ref":"GoogleApi.Compute.V1.Model.BfdStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BfdStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BfdStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BfdStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BfdStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BfdStatusPacketCounts","doc":"","ref":"GoogleApi.Compute.V1.Model.BfdStatusPacketCounts.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BfdStatusPacketCounts","doc":"*   `numRx` (*type:* `integer()`, *default:* `nil`) - Number of packets received since the beginning of the current BFD session.\n*   `numRxRejected` (*type:* `integer()`, *default:* `nil`) - Number of packets received that were rejected because of errors since the beginning of the current BFD session.\n*   `numRxSuccessful` (*type:* `integer()`, *default:* `nil`) - Number of packets received that were successfully processed since the beginning of the current BFD session.\n*   `numTx` (*type:* `integer()`, *default:* `nil`) - Number of packets transmitted since the beginning of the current BFD session.","ref":"GoogleApi.Compute.V1.Model.BfdStatusPacketCounts.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BfdStatusPacketCounts.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BfdStatusPacketCounts.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BfdStatusPacketCounts.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BfdStatusPacketCounts.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Binding","doc":"Associates `members`, or principals, with a `role`.","ref":"GoogleApi.Compute.V1.Model.Binding.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Binding","doc":"*   `bindingId` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `condition` (*type:* `GoogleApi.Compute.V1.Model.Expr.t`, *default:* `nil`) - The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).\n*   `members` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: * `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. * `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. Does not include identities that come from external identity providers (IdPs) through identity federation. * `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . * `serviceAccount:{emailid}`: An email address that represents a Google service account. For example, `my-other-app@appspot.gserviceaccount.com`. * `serviceAccount:{projectid}.svc.id.goog[{namespace}/{kubernetes-sa}]`: An identifier for a [Kubernetes service account](https://cloud.google.com/kubernetes-engine/docs/how-to/kubernetes-service-accounts). For example, `my-project.svc.id.goog[my-namespace/my-kubernetes-sa]`. * `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. * `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. * `principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workforce identity pool. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/group/{group_id}`: All workforce identities in a group. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All workforce identities with a specific attribute value. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/*`: All identities in a workforce identity pool. * `principal://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workload identity pool. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/group/{group_id}`: A workload identity pool group. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All identities in a workload identity pool with a certain attribute. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/*`: All identities in a workload identity pool. * `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. * `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. * `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. * `deleted:principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: Deleted single identity in a workforce identity pool. For example, `deleted:principal://iam.googleapis.com/locations/global/workforcePools/my-pool-id/subject/my-subject-attribute-value`.\n*   `role` (*type:* `String.t`, *default:* `nil`) - Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`. For an overview of the IAM roles and permissions, see the [IAM documentation](https://cloud.google.com/iam/docs/roles-overview). For a list of the available pre-defined roles, see [here](https://cloud.google.com/iam/docs/understanding-roles).","ref":"GoogleApi.Compute.V1.Model.Binding.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Binding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Binding.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Binding.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Binding.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BulkInsertDiskResource","doc":"A transient resource used in compute.disks.bulkInsert and compute.regionDisks.bulkInsert. It is only used to process requests and is not persisted.","ref":"GoogleApi.Compute.V1.Model.BulkInsertDiskResource.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BulkInsertDiskResource","doc":"*   `sourceConsistencyGroupPolicy` (*type:* `String.t`, *default:* `nil`) - The URL of the DiskConsistencyGroupPolicy for the group of disks to clone. This may be a full or partial URL, such as: - https://www.googleapis.com/compute/v1/projects/project/regions/region /resourcePolicies/resourcePolicy - projects/project/regions/region/resourcePolicies/resourcePolicy - regions/region/resourcePolicies/resourcePolicy","ref":"GoogleApi.Compute.V1.Model.BulkInsertDiskResource.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BulkInsertDiskResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BulkInsertDiskResource.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BulkInsertDiskResource.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BulkInsertDiskResource.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResource","doc":"A transient resource used in compute.instances.bulkInsert and compute.regionInstances.bulkInsert . This resource is not persisted anywhere, it is used only for processing the requests.","ref":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResource.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BulkInsertInstanceResource","doc":"*   `count` (*type:* `String.t`, *default:* `nil`) - The maximum number of instances to create.\n*   `instanceProperties` (*type:* `GoogleApi.Compute.V1.Model.InstanceProperties.t`, *default:* `nil`) - The instance properties defining the VM instances to be created. Required if sourceInstanceTemplate is not provided.\n*   `locationPolicy` (*type:* `GoogleApi.Compute.V1.Model.LocationPolicy.t`, *default:* `nil`) - Policy for choosing target zone. For more information, see Create VMs in bulk.\n*   `minCount` (*type:* `String.t`, *default:* `nil`) - The minimum number of instances to create. If no min_count is specified then count is used as the default value. If min_count instances cannot be created, then no instances will be created and instances already created will be deleted.\n*   `namePattern` (*type:* `String.t`, *default:* `nil`) - The string pattern used for the names of the VMs. Either name_pattern or per_instance_properties must be set. The pattern must contain one continuous sequence of placeholder hash characters (#) with each character corresponding to one digit of the generated instance name. Example: a name_pattern of inst-#### generates instance names such as inst-0001 and inst-0002. If existing instances in the same project and zone have names that match the name pattern then the generated instance numbers start after the biggest existing number. For example, if there exists an instance with name inst-0050, then instance names generated using the pattern inst-#### begin with inst-0051. The name pattern placeholder #...# can contain up to 18 characters.\n*   `perInstanceProperties` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.BulkInsertInstanceResourcePerInstanceProperties.t}`, *default:* `nil`) - Per-instance properties to be set on individual instances. Keys of this map specify requested instance names. Can be empty if name_pattern is used.\n*   `sourceInstanceTemplate` (*type:* `String.t`, *default:* `nil`) - Specifies the instance template from which to create instances. You may combine sourceInstanceTemplate with instanceProperties to override specific values from an existing instance template. Bulk API follows the semantics of JSON Merge Patch described by RFC 7396. It can be a full or partial URL. For example, the following are all valid URLs to an instance template: - https://www.googleapis.com/compute/v1/projects/project /global/instanceTemplates/instanceTemplate - projects/project/global/instanceTemplates/instanceTemplate - global/instanceTemplates/instanceTemplate This field is optional.","ref":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResource.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResource.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResource.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResource.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResourcePerInstanceProperties","doc":"Per-instance properties to be set on individual instances. To be extended in the future.","ref":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResourcePerInstanceProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BulkInsertInstanceResourcePerInstanceProperties","doc":"*   `hostname` (*type:* `String.t`, *default:* `nil`) - Specifies the hostname of the instance. More details in: https://cloud.google.com/compute/docs/instances/custom-hostname-vm#naming_convention\n*   `name` (*type:* `String.t`, *default:* `nil`) - This field is only temporary. It will be removed. Do not use it.","ref":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResourcePerInstanceProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResourcePerInstanceProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResourcePerInstanceProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResourcePerInstanceProperties.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BulkInsertInstanceResourcePerInstanceProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.BulkInsertOperationStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.BulkInsertOperationStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.BulkInsertOperationStatus","doc":"*   `createdVmCount` (*type:* `integer()`, *default:* `nil`) - [Output Only] Count of VMs successfully created so far.\n*   `deletedVmCount` (*type:* `integer()`, *default:* `nil`) - [Output Only] Count of VMs that got deleted during rollback.\n*   `failedToCreateVmCount` (*type:* `integer()`, *default:* `nil`) - [Output Only] Count of VMs that started creating but encountered an error.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation status of BulkInsert operation - information if the flow is rolling forward or rolling back.\n*   `targetVmCount` (*type:* `integer()`, *default:* `nil`) - [Output Only] Count of VMs originally planned to be created.","ref":"GoogleApi.Compute.V1.Model.BulkInsertOperationStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.BulkInsertOperationStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.BulkInsertOperationStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.BulkInsertOperationStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.BulkInsertOperationStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CacheInvalidationRule","doc":"","ref":"GoogleApi.Compute.V1.Model.CacheInvalidationRule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CacheInvalidationRule","doc":"*   `host` (*type:* `String.t`, *default:* `nil`) - If set, this invalidation rule will only apply to requests with a Host header matching host.\n*   `path` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.CacheInvalidationRule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CacheInvalidationRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CacheInvalidationRule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CacheInvalidationRule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CacheInvalidationRule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CacheKeyPolicy","doc":"Message containing what to include in the cache key for a request for Cloud CDN.","ref":"GoogleApi.Compute.V1.Model.CacheKeyPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CacheKeyPolicy","doc":"*   `includeHost` (*type:* `boolean()`, *default:* `nil`) - If true, requests to different hosts will be cached separately.\n*   `includeHttpHeaders` (*type:* `list(String.t)`, *default:* `nil`) - Allows HTTP request headers (by name) to be used in the cache key.\n*   `includeNamedCookies` (*type:* `list(String.t)`, *default:* `nil`) - Allows HTTP cookies (by name) to be used in the cache key. The name=value pair will be used in the cache key Cloud CDN generates.\n*   `includeProtocol` (*type:* `boolean()`, *default:* `nil`) - If true, http and https requests will be cached separately.\n*   `includeQueryString` (*type:* `boolean()`, *default:* `nil`) - If true, include query string parameters in the cache key according to query_string_whitelist and query_string_blacklist. If neither is set, the entire query string will be included. If false, the query string will be excluded from the cache key entirely.\n*   `queryStringBlacklist` (*type:* `list(String.t)`, *default:* `nil`) - Names of query string parameters to exclude in cache keys. All other parameters will be included. Either specify query_string_whitelist or query_string_blacklist, not both. '&' and '=' will be percent encoded and not treated as delimiters.\n*   `queryStringWhitelist` (*type:* `list(String.t)`, *default:* `nil`) - Names of query string parameters to include in cache keys. All other parameters will be excluded. Either specify query_string_whitelist or query_string_blacklist, not both. '&' and '=' will be percent encoded and not treated as delimiters.","ref":"GoogleApi.Compute.V1.Model.CacheKeyPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CacheKeyPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CacheKeyPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CacheKeyPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CacheKeyPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CircuitBreakers","doc":"Settings controlling the volume of requests, connections and retries to this backend service.","ref":"GoogleApi.Compute.V1.Model.CircuitBreakers.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CircuitBreakers","doc":"*   `maxConnections` (*type:* `integer()`, *default:* `nil`) - The maximum number of connections to the backend service. If not specified, there is no limit. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.\n*   `maxPendingRequests` (*type:* `integer()`, *default:* `nil`) - The maximum number of pending requests allowed to the backend service. If not specified, there is no limit. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.\n*   `maxRequests` (*type:* `integer()`, *default:* `nil`) - The maximum number of parallel requests that allowed to the backend service. If not specified, there is no limit.\n*   `maxRequestsPerConnection` (*type:* `integer()`, *default:* `nil`) - Maximum requests for a single connection to the backend service. This parameter is respected by both the HTTP/1.1 and HTTP/2 implementations. If not specified, there is no limit. Setting this parameter to 1 will effectively disable keep alive. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.\n*   `maxRetries` (*type:* `integer()`, *default:* `nil`) - The maximum number of parallel retries allowed to the backend cluster. If not specified, the default is 1. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.","ref":"GoogleApi.Compute.V1.Model.CircuitBreakers.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CircuitBreakers.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CircuitBreakers.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CircuitBreakers.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CircuitBreakers.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Commitment","doc":"Represents a regional Commitment resource. Creating a commitment resource means that you are purchasing a committed use contract with an explicit start and end time. You can create commitments based on vCPUs and memory usage and receive discounted rates. For full details, read Signing Up for Committed Use Discounts.","ref":"GoogleApi.Compute.V1.Model.Commitment.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Commitment","doc":"*   `autoRenew` (*type:* `boolean()`, *default:* `nil`) - Specifies whether to enable automatic renewal for the commitment. The default value is false if not specified. The field can be updated until the day of the commitment expiration at 12:00am PST. If the field is set to true, the commitment will be automatically renewed for either one or three years according to the terms of the existing commitment.\n*   `category` (*type:* `String.t`, *default:* `nil`) - The category of the commitment. Category MACHINE specifies commitments composed of machine resources such as VCPU or MEMORY, listed in resources. Category LICENSE specifies commitments composed of software licenses, listed in licenseResources. Note that only MACHINE commitments should have a Type specified.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `customEndTimestamp` (*type:* `String.t`, *default:* `nil`) - [Input Only] Optional, specifies the CUD end time requested by the customer in RFC3339 text format. Needed when the customer wants CUD's end date is later than the start date + term duration.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `endTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Commitment end time in RFC3339 text format.\n*   `existingReservations` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the already existing reservations to attach to the Commitment. This field is optional, and it can be a full or partial URL. For example, the following are valid URLs to an reservation: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /reservations/reservation - projects/project/zones/zone/reservations/reservation \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#commitment`) - [Output Only] Type of the resource. Always compute#commitment for commitments.\n*   `licenseResource` (*type:* `GoogleApi.Compute.V1.Model.LicenseResourceCommitment.t`, *default:* `nil`) - The license specification required as part of a license commitment.\n*   `mergeSourceCommitments` (*type:* `list(String.t)`, *default:* `nil`) - List of source commitments to be merged into a new commitment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `plan` (*type:* `String.t`, *default:* `nil`) - The plan for this commitment, which determines duration and discount rate. The currently supported plans are TWELVE_MONTH (1 year), and THIRTY_SIX_MONTH (3 years).\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where this commitment may be used.\n*   `reservations` (*type:* `list(GoogleApi.Compute.V1.Model.Reservation.t)`, *default:* `nil`) - List of create-on-create reservations for this commitment.\n*   `resourceStatus` (*type:* `GoogleApi.Compute.V1.Model.CommitmentResourceStatus.t`, *default:* `nil`) - [Output Only] Status information for Commitment resource.\n*   `resources` (*type:* `list(GoogleApi.Compute.V1.Model.ResourceCommitment.t)`, *default:* `nil`) - A list of commitment amounts for particular resources. Note that VCPU and MEMORY resource commitments must occur together.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `splitSourceCommitment` (*type:* `String.t`, *default:* `nil`) - Source commitment to be split into a new commitment.\n*   `startTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Commitment start time in RFC3339 text format.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] Status of the commitment with regards to eventual expiration (each commitment has an end date defined). One of the following values: NOT_YET_ACTIVE, ACTIVE, EXPIRED.\n*   `statusMessage` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional, human-readable explanation of the status.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of commitment, which affects the discount rate and the eligible resources. Type MEMORY_OPTIMIZED specifies a commitment that will only apply to memory optimized machines. Type ACCELERATOR_OPTIMIZED specifies a commitment that will only apply to accelerator optimized machines.","ref":"GoogleApi.Compute.V1.Model.Commitment.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Commitment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Commitment.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Commitment.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Commitment.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CommitmentAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CommitmentAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.CommitmentsScopedList.t}`, *default:* `nil`) - A list of CommitmentsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#commitmentAggregatedList`) - [Output Only] Type of resource. Always compute#commitmentAggregatedList for aggregated lists of commitments.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CommitmentAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CommitmentAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CommitmentList","doc":"Contains a list of Commitment resources.","ref":"GoogleApi.Compute.V1.Model.CommitmentList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CommitmentList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Commitment.t)`, *default:* `nil`) - A list of Commitment resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#commitmentList`) - [Output Only] Type of resource. Always compute#commitmentList for lists of commitments.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.CommitmentListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.CommitmentList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CommitmentList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CommitmentList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CommitmentListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.CommitmentListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CommitmentListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.CommitmentListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.CommitmentListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CommitmentListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CommitmentListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CommitmentListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CommitmentListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.CommitmentListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CommitmentListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CommitmentListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CommitmentResourceStatus","doc":"[Output Only] Contains output only fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentResourceStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CommitmentResourceStatus","doc":"*   `customTermEligibilityEndTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Indicates the end time of customer's eligibility to send custom term requests in RFC3339 text format. Term extension requests that (not the end time in the request) after this time will be rejected.","ref":"GoogleApi.Compute.V1.Model.CommitmentResourceStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CommitmentResourceStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentResourceStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CommitmentResourceStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentResourceStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CommitmentsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CommitmentsScopedList","doc":"*   `commitments` (*type:* `list(GoogleApi.Compute.V1.Model.Commitment.t)`, *default:* `nil`) - [Output Only] A list of commitments contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.CommitmentsScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of commitments when the list is empty.","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CommitmentsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CommitmentsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of commitments when the list is empty.","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CommitmentsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.CommitmentsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CommitmentsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CommitmentsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Condition","doc":"This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.Condition.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Condition","doc":"*   `iam` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `op` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `svc` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `sys` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `values` (*type:* `list(String.t)`, *default:* `nil`) - This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.Condition.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Condition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Condition.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Condition.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Condition.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ConfidentialInstanceConfig","doc":"A set of Confidential Instance options.","ref":"GoogleApi.Compute.V1.Model.ConfidentialInstanceConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ConfidentialInstanceConfig","doc":"*   `confidentialInstanceType` (*type:* `String.t`, *default:* `nil`) - Defines the type of technology used by the confidential instance.\n*   `enableConfidentialCompute` (*type:* `boolean()`, *default:* `nil`) - Defines whether the instance should have confidential compute enabled.","ref":"GoogleApi.Compute.V1.Model.ConfidentialInstanceConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ConfidentialInstanceConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ConfidentialInstanceConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ConfidentialInstanceConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ConfidentialInstanceConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ConnectionDraining","doc":"Message containing connection draining configuration.","ref":"GoogleApi.Compute.V1.Model.ConnectionDraining.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ConnectionDraining","doc":"*   `drainingTimeoutSec` (*type:* `integer()`, *default:* `nil`) - Configures a duration timeout for existing requests on a removed backend instance. For supported load balancers and protocols, as described in Enabling connection draining.","ref":"GoogleApi.Compute.V1.Model.ConnectionDraining.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ConnectionDraining.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ConnectionDraining.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ConnectionDraining.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ConnectionDraining.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettings","doc":"This message defines settings for a consistent hash style load balancer.","ref":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettings","doc":"*   `httpCookie` (*type:* `GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettingsHttpCookie.t`, *default:* `nil`) - Hash is based on HTTP Cookie. This field describes a HTTP cookie that will be used as the hash key for the consistent hash load balancer. If the cookie is not present, it will be generated. This field is applicable if the sessionAffinity is set to HTTP_COOKIE. Not supported when the backend service is referenced by a URL map that is bound to target gRPC proxy that has validateForProxyless field set to true.\n*   `httpHeaderName` (*type:* `String.t`, *default:* `nil`) - The hash based on the value of the specified header field. This field is applicable if the sessionAffinity is set to HEADER_FIELD.\n*   `minimumRingSize` (*type:* `String.t`, *default:* `nil`) - The minimum number of virtual nodes to use for the hash ring. Defaults to 1024. Larger ring sizes result in more granular load distributions. If the number of hosts in the load balancing pool is larger than the ring size, each host will be assigned a single virtual node.","ref":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettingsHttpCookie","doc":"The information about the HTTP Cookie on which the hash function is based for load balancing policies that use a consistent hash.","ref":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettingsHttpCookie.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettingsHttpCookie","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the cookie.\n*   `path` (*type:* `String.t`, *default:* `nil`) - Path to set for the cookie.\n*   `ttl` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Lifetime of the cookie.","ref":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettingsHttpCookie.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettingsHttpCookie.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettingsHttpCookie.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettingsHttpCookie.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ConsistentHashLoadBalancerSettingsHttpCookie.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CorsPolicy","doc":"The specification for allowing client-side cross-origin requests. For more information about the W3C recommendation for cross-origin resource sharing (CORS), see Fetch API Living Standard.","ref":"GoogleApi.Compute.V1.Model.CorsPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CorsPolicy","doc":"*   `allowCredentials` (*type:* `boolean()`, *default:* `nil`) - In response to a preflight request, setting this to true indicates that the actual request can include user credentials. This field translates to the Access-Control-Allow-Credentials header. Default is false.\n*   `allowHeaders` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the content for the Access-Control-Allow-Headers header.\n*   `allowMethods` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the content for the Access-Control-Allow-Methods header.\n*   `allowOriginRegexes` (*type:* `list(String.t)`, *default:* `nil`) - Specifies a regular expression that matches allowed origins. For more information, see regular expression syntax . An origin is allowed if it matches either an item in allowOrigins or an item in allowOriginRegexes. Regular expressions can only be used when the loadBalancingScheme is set to INTERNAL_SELF_MANAGED.\n*   `allowOrigins` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the list of origins that is allowed to do CORS requests. An origin is allowed if it matches either an item in allowOrigins or an item in allowOriginRegexes.\n*   `disabled` (*type:* `boolean()`, *default:* `nil`) - If true, disables the CORS policy. The default value is false, which indicates that the CORS policy is in effect.\n*   `exposeHeaders` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the content for the Access-Control-Expose-Headers header.\n*   `maxAge` (*type:* `integer()`, *default:* `nil`) - Specifies how long results of a preflight request can be cached in seconds. This field translates to the Access-Control-Max-Age header.","ref":"GoogleApi.Compute.V1.Model.CorsPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CorsPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CorsPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CorsPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CorsPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy","doc":"Specifies the custom error response policy that must be applied when the backend service or backend bucket responds with an error.","ref":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy","doc":"*   `errorResponseRules` (*type:* `list(GoogleApi.Compute.V1.Model.CustomErrorResponsePolicyCustomErrorResponseRule.t)`, *default:* `nil`) - Specifies rules for returning error responses. In a given policy, if you specify rules for both a range of error codes as well as rules for specific error codes then rules with specific error codes have a higher priority. For example, assume that you configure a rule for 401 (Un-authorized) code, and another for all 4 series error codes (4XX). If the backend service returns a 401, then the rule for 401 will be applied. However if the backend service returns a 403, the rule for 4xx takes effect.\n*   `errorService` (*type:* `String.t`, *default:* `nil`) - The full or partial URL to the BackendBucket resource that contains the custom error content. Examples are: - https://www.googleapis.com/compute/v1/projects/project/global/backendBuckets/myBackendBucket - compute/v1/projects/project/global/backendBuckets/myBackendBucket - global/backendBuckets/myBackendBucket If errorService is not specified at lower levels like pathMatcher, pathRule and routeRule, an errorService specified at a higher level in the UrlMap will be used. If UrlMap.defaultCustomErrorResponsePolicy contains one or more errorResponseRules[], it must specify errorService. If load balancer cannot reach the backendBucket, a simple Not Found Error will be returned, with the original response code (or overrideResponseCode if configured). errorService is not supported for internal or regional HTTP/HTTPS load balancers.","ref":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicyCustomErrorResponseRule","doc":"Specifies the mapping between the response code that will be returned along with the custom error content and the response code returned by the backend service.","ref":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicyCustomErrorResponseRule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CustomErrorResponsePolicyCustomErrorResponseRule","doc":"*   `matchResponseCodes` (*type:* `list(String.t)`, *default:* `nil`) - Valid values include: - A number between 400 and 599: For example 401 or 503, in which case the load balancer applies the policy if the error code exactly matches this value. - 5xx: Load Balancer will apply the policy if the backend service responds with any response code in the range of 500 to 599. - 4xx: Load Balancer will apply the policy if the backend service responds with any response code in the range of 400 to 499. Values must be unique within matchResponseCodes and across all errorResponseRules of CustomErrorResponsePolicy.\n*   `overrideResponseCode` (*type:* `integer()`, *default:* `nil`) - The HTTP status code returned with the response containing the custom error content. If overrideResponseCode is not supplied, the same response code returned by the original backend bucket or backend service is returned to the client.\n*   `path` (*type:* `String.t`, *default:* `nil`) - The full path to a file within backendBucket . For example: /errors/defaultError.html path must start with a leading slash. path cannot have trailing slashes. If the file is not available in backendBucket or the load balancer cannot reach the BackendBucket, a simple Not Found Error is returned to the client. The value must be from 1 to 1024 characters","ref":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicyCustomErrorResponseRule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicyCustomErrorResponseRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicyCustomErrorResponseRule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicyCustomErrorResponseRule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CustomErrorResponsePolicyCustomErrorResponseRule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CustomerEncryptionKey","doc":"","ref":"GoogleApi.Compute.V1.Model.CustomerEncryptionKey.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CustomerEncryptionKey","doc":"*   `kmsKeyName` (*type:* `String.t`, *default:* `nil`) - The name of the encryption key that is stored in Google Cloud KMS. For example: \"kmsKeyName\": \"projects/kms_project_id/locations/region/keyRings/ key_region/cryptoKeys/key The fully-qualifed key name may be returned for resource GET requests. For example: \"kmsKeyName\": \"projects/kms_project_id/locations/region/keyRings/ key_region/cryptoKeys/key /cryptoKeyVersions/1 \n*   `kmsKeyServiceAccount` (*type:* `String.t`, *default:* `nil`) - The service account being used for the encryption request for the given KMS key. If absent, the Compute Engine default service account is used. For example: \"kmsKeyServiceAccount\": \"name@project_id.iam.gserviceaccount.com/ \n*   `rawKey` (*type:* `String.t`, *default:* `nil`) - Specifies a 256-bit customer-supplied encryption key, encoded in RFC 4648 base64 to either encrypt or decrypt this resource. You can provide either the rawKey or the rsaEncryptedKey. For example: \"rawKey\": \"SGVsbG8gZnJvbSBHb29nbGUgQ2xvdWQgUGxhdGZvcm0=\" \n*   `rsaEncryptedKey` (*type:* `String.t`, *default:* `nil`) - Specifies an RFC 4648 base64 encoded, RSA-wrapped 2048-bit customer-supplied encryption key to either encrypt or decrypt this resource. You can provide either the rawKey or the rsaEncryptedKey. For example: \"rsaEncryptedKey\": \"ieCx/NcW06PcT7Ep1X6LUTc/hLvUDYyzSZPPVCVPTVEohpeHASqC8uw5TzyO9U+Fka9JFH z0mBibXUInrC/jEk014kCK/NPjYgEMOyssZ4ZINPKxlUh2zn1bV+MCaTICrdmuSBTWlUUiFoD D6PYznLwh8ZNdaheCeZ8ewEXgFQ8V+sDroLaN3Xs3MDTXQEMMoNUXMCZEIpg9Vtp9x2oe==\" The key must meet the following requirements before you can provide it to Compute Engine: 1. The key is wrapped using a RSA public key certificate provided by Google. 2. After being wrapped, the key must be encoded in RFC 4648 base64 encoding. Gets the RSA public key certificate provided by Google at: https://cloud-certs.storage.googleapis.com/google-cloud-csek-ingress.pem \n*   `sha256` (*type:* `String.t`, *default:* `nil`) - [Output only] The RFC 4648 base64 encoded SHA-256 hash of the customer-supplied encryption key that protects this resource.","ref":"GoogleApi.Compute.V1.Model.CustomerEncryptionKey.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CustomerEncryptionKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CustomerEncryptionKey.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CustomerEncryptionKey.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.CustomerEncryptionKeyProtectedDisk","doc":"","ref":"GoogleApi.Compute.V1.Model.CustomerEncryptionKeyProtectedDisk.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.CustomerEncryptionKeyProtectedDisk","doc":"*   `diskEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - Decrypts data associated with the disk with a customer-supplied encryption key.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Specifies a valid partial or full URL to an existing Persistent Disk resource. This field is only applicable for persistent disks. For example: \"source\": \"/compute/v1/projects/project_id/zones/zone/disks/ disk_name","ref":"GoogleApi.Compute.V1.Model.CustomerEncryptionKeyProtectedDisk.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.CustomerEncryptionKeyProtectedDisk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.CustomerEncryptionKeyProtectedDisk.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.CustomerEncryptionKeyProtectedDisk.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.CustomerEncryptionKeyProtectedDisk.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DeprecationStatus","doc":"Deprecation status for a public resource.","ref":"GoogleApi.Compute.V1.Model.DeprecationStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DeprecationStatus","doc":"*   `deleted` (*type:* `String.t`, *default:* `nil`) - An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DELETED. This is only informational and the status will not change unless the client explicitly changes it.\n*   `deprecated` (*type:* `String.t`, *default:* `nil`) - An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DEPRECATED. This is only informational and the status will not change unless the client explicitly changes it.\n*   `obsolete` (*type:* `String.t`, *default:* `nil`) - An optional RFC3339 timestamp on or after which the state of this resource is intended to change to OBSOLETE. This is only informational and the status will not change unless the client explicitly changes it.\n*   `replacement` (*type:* `String.t`, *default:* `nil`) - The URL of the suggested replacement for a deprecated resource. The suggested replacement resource must be the same kind of resource as the deprecated resource.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The deprecation state of this resource. This can be ACTIVE, DEPRECATED, OBSOLETE, or DELETED. Operations which communicate the end of life date for an image, can use ACTIVE. Operations which create a new resource using a DEPRECATED resource will return successfully, but with a warning indicating the deprecated resource and recommending its replacement. Operations which use OBSOLETE or DELETED resources will be rejected and result in an error.","ref":"GoogleApi.Compute.V1.Model.DeprecationStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DeprecationStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DeprecationStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DeprecationStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DeprecationStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Disk","doc":"Represents a Persistent Disk resource. Google Compute Engine has two Disk resources: * [Zonal](/compute/docs/reference/rest/v1/disks) * [Regional](/compute/docs/reference/rest/v1/regionDisks) Persistent disks are required for running your VM instances. Create both boot and non-boot (data) persistent disks. For more information, read Persistent Disks. For more storage options, read Storage options. The disks resource represents a zonal persistent disk. For more information, read Zonal persistent disks. The regionDisks resource represents a regional persistent disk. For more information, read Regional resources.","ref":"GoogleApi.Compute.V1.Model.Disk.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Disk","doc":"*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined fully-qualified URL for this resource.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to apply to this disk. These can be later modified by the setLabels method.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `sourceInstantSnapshotId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique ID of the instant snapshot used to create this disk. This value identifies the exact instant snapshot that was used to create this persistent disk. For example, if you created the persistent disk from an instant snapshot that was later deleted and recreated under the same name, the source instant snapshot ID would identify the exact version of the instant snapshot that was used.\n*   `guestOsFeatures` (*type:* `list(GoogleApi.Compute.V1.Model.GuestOsFeature.t)`, *default:* `nil`) - A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options.\n*   `provisionedThroughput` (*type:* `String.t`, *default:* `nil`) - Indicates how much throughput to provision for the disk. This sets the number of throughput mb per second that the disk can handle. Values must be greater than or equal to 1.\n*   `kind` (*type:* `String.t`, *default:* `compute#disk`) - [Output Only] Type of the resource. Always compute#disk for disks.\n*   `enableConfidentialCompute` (*type:* `boolean()`, *default:* `nil`) - Whether this disk is using confidential compute mode.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `sourceConsistencyGroupPolicy` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the DiskConsistencyGroupPolicy for a secondary disk that was created using a consistency group.\n*   `resourceStatus` (*type:* `GoogleApi.Compute.V1.Model.DiskResourceStatus.t`, *default:* `nil`) - [Output Only] Status information for the disk resource.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `sourceSnapshotId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique ID of the snapshot used to create this disk. This value identifies the exact snapshot that was used to create this persistent disk. For example, if you created the persistent disk from a snapshot that was later deleted and recreated under the same name, the source snapshot ID would identify the exact version of the snapshot that was used.\n*   `sourceSnapshotEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - The customer-supplied encryption key of the source snapshot. Required if the source snapshot is protected by a customer-supplied encryption key.\n*   `replicaZones` (*type:* `list(String.t)`, *default:* `nil`) - URLs of the zones where the disk should be replicated to. Only applicable for regional resources.\n*   `options` (*type:* `String.t`, *default:* `nil`) - Internal use only.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the disk resides. Only applicable for regional resources. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `provisionedIops` (*type:* `String.t`, *default:* `nil`) - Indicates how many IOPS to provision for the disk. This sets the number of I/O operations per second that the disk can handle. Values must be between 10,000 and 120,000. For more details, see the Extreme persistent disk documentation.\n*   `sourceSnapshot` (*type:* `String.t`, *default:* `nil`) - The source snapshot used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project /global/snapshots/snapshot - projects/project/global/snapshots/snapshot - global/snapshots/snapshot \n*   `sourceDisk` (*type:* `String.t`, *default:* `nil`) - The source disk used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk \n*   `asyncSecondaryDisks` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.DiskAsyncReplicationList.t}`, *default:* `nil`) - [Output Only] A list of disks this disk is asynchronously replicated to.\n*   `accessMode` (*type:* `String.t`, *default:* `nil`) - The access mode of the disk. - READ_WRITE_SINGLE: The default AccessMode, means the disk can be attached to single instance in RW mode. - READ_WRITE_MANY: The AccessMode means the disk can be attached to multiple instances in RW mode. - READ_ONLY_MANY: The AccessMode means the disk can be attached to multiple instances in RO mode. The AccessMode is only valid for Hyperdisk disk types.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `asyncPrimaryDisk` (*type:* `GoogleApi.Compute.V1.Model.DiskAsyncReplication.t`, *default:* `nil`) - Disk asynchronously replicated into this disk.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the zone where the disk resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `diskEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - Encrypts the disk using a customer-supplied encryption key or a customer-managed encryption key. Encryption keys do not protect access to metadata of the disk. After you encrypt a disk with a customer-supplied key, you must provide the same key if you use the disk later. For example, to create a disk snapshot, to create a disk image, to create a machine image, or to attach the disk to a virtual machine. After you encrypt a disk with a customer-managed key, the diskEncryptionKey.kmsKeyName is set to a key *version* name once the disk is created. The disk is encrypted with this version of the key. In the response, diskEncryptionKey.kmsKeyName appears in the following format: \"diskEncryptionKey.kmsKeyName\": \"projects/kms_project_id/locations/region/keyRings/ key_region/cryptoKeys/key /cryptoKeysVersions/version If you do not provide an encryption key when creating the disk, then the disk is encrypted using an automatically generated key and you don't need to provide a key to use the disk later.\n*   `sizeGb` (*type:* `String.t`, *default:* `nil`) - Size, in GB, of the persistent disk. You can specify this field when creating a persistent disk using the sourceImage, sourceSnapshot, or sourceDisk parameter, or specify it alone to create an empty persistent disk. If you specify this field along with a source, the value of sizeGb must not be less than the size of the source. Acceptable values are greater than 0.\n*   `sourceImageEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key.\n*   `sourceConsistencyGroupPolicyId` (*type:* `String.t`, *default:* `nil`) - [Output Only] ID of the DiskConsistencyGroupPolicy for a secondary disk that was created using a consistency group.\n*   `type` (*type:* `String.t`, *default:* `nil`) - URL of the disk type resource describing which disk type to use to create the disk. Provide this when creating the disk. For example: projects/project /zones/zone/diskTypes/pd-ssd . See Persistent disk types.\n*   `architecture` (*type:* `String.t`, *default:* `nil`) - The architecture of the disk. Valid values are ARM64 or X86_64.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this disk, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a disk.\n*   `sourceDiskId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique ID of the disk used to create this disk. This value identifies the exact disk that was used to create this persistent disk. For example, if you created the persistent disk from a disk that was later deleted and recreated under the same name, the source disk ID would identify the exact version of the disk that was used.\n*   `licenses` (*type:* `list(String.t)`, *default:* `nil`) - A list of publicly visible licenses. Reserved for Google's use.\n*   `params` (*type:* `GoogleApi.Compute.V1.Model.DiskParams.t`, *default:* `nil`) - Input only. [Input Only] Additional params passed with the request, but not persisted as part of resource payload.\n*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - Resource policies applied to this disk for automatic snapshot creations.\n*   `lastAttachTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Last attach timestamp in RFC3339 text format.\n*   `users` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Links to the users of the disk (attached instances) in form: projects/project/zones/zone/instances/instance\n*   `sourceImage` (*type:* `String.t`, *default:* `nil`) - The source image used to create this disk. If the source image is deleted, this field will not be set. To create a disk with one of the public operating system images, specify the image by its family name. For example, specify family/debian-9 to use the latest Debian 9 image: projects/debian-cloud/global/images/family/debian-9 Alternatively, use a specific version of a public operating system image: projects/debian-cloud/global/images/debian-9-stretch-vYYYYMMDD To create a disk with a custom image that you created, specify the image name in the following format: global/images/my-custom-image You can also specify a custom image by its image family, which returns the latest version of the image in that family. Replace the image name with family/family-name: global/images/family/my-image-family \n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of disk creation. - CREATING: Disk is provisioning. - RESTORING: Source data is being copied into the disk. - FAILED: Disk creation failed. - READY: Disk is ready for use. - DELETING: Disk is deleting. \n*   `sourceStorageObject` (*type:* `String.t`, *default:* `nil`) - The full Google Cloud Storage URI where the disk image is stored. This file must be a gzip-compressed tarball whose name ends in .tar.gz or virtual machine disk whose name ends in vmdk. Valid URIs may start with gs:// or https://storage.googleapis.com/. This flag is not optimized for creating multiple disks from a source storage object. To create many disks from a source storage object, use gcloud compute images import instead.\n*   `licenseCodes` (*type:* `list(String.t)`, *default:* `nil`) - Integer license codes indicating which licenses are attached to this disk.\n*   `sourceInstantSnapshot` (*type:* `String.t`, *default:* `nil`) - The source instant snapshot used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instantSnapshots/instantSnapshot - projects/project/zones/zone/instantSnapshots/instantSnapshot - zones/zone/instantSnapshots/instantSnapshot \n*   `storagePool` (*type:* `String.t`, *default:* `nil`) - The storage pool in which the new disk is created. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /storagePools/storagePool - projects/project/zones/zone/storagePools/storagePool - zones/zone/storagePools/storagePool \n*   `locationHint` (*type:* `String.t`, *default:* `nil`) - An opaque location hint used to place the disk close to other resources. This field is for use by internal tools that use the public API.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `physicalBlockSizeBytes` (*type:* `String.t`, *default:* `nil`) - Physical block size of the persistent disk, in bytes. If not present in a request, a default value is used. The currently supported size is 4096, other sizes may be added in the future. If an unsupported value is requested, the error message will list the supported values for the caller's project.\n*   `lastDetachTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Last detach timestamp in RFC3339 text format.\n*   `sourceImageId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The ID value of the image used to create this disk. This value identifies the exact image that was used to create this persistent disk. For example, if you created the persistent disk from an image that was later deleted and recreated under the same name, the source image ID would identify the exact version of the image that was used.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. Reserved for future use.","ref":"GoogleApi.Compute.V1.Model.Disk.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Disk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Disk.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Disk.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Disk.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.DisksScopedList.t}`, *default:* `nil`) - A list of DisksScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#diskAggregatedList`) - [Output Only] Type of resource. Always compute#diskAggregatedList for aggregated lists of persistent disks.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.DiskAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.DiskAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskAsyncReplication","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskAsyncReplication.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskAsyncReplication","doc":"*   `consistencyGroupPolicy` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the DiskConsistencyGroupPolicy if replication was started on the disk as a member of a group.\n*   `consistencyGroupPolicyId` (*type:* `String.t`, *default:* `nil`) - [Output Only] ID of the DiskConsistencyGroupPolicy if replication was started on the disk as a member of a group.\n*   `disk` (*type:* `String.t`, *default:* `nil`) - The other disk asynchronously replicated to or from the current disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk \n*   `diskId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique ID of the other disk asynchronously replicated to or from the current disk. This value identifies the exact disk that was used to create this replication. For example, if you started replicating the persistent disk from a disk that was later deleted and recreated under the same name, the disk ID would identify the exact version of the disk that was used.","ref":"GoogleApi.Compute.V1.Model.DiskAsyncReplication.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskAsyncReplication.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskAsyncReplication.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskAsyncReplication.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskAsyncReplication.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskAsyncReplicationList","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskAsyncReplicationList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskAsyncReplicationList","doc":"*   `asyncReplicationDisk` (*type:* `GoogleApi.Compute.V1.Model.DiskAsyncReplication.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.DiskAsyncReplicationList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskAsyncReplicationList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskAsyncReplicationList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskAsyncReplicationList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskAsyncReplicationList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskInstantiationConfig","doc":"A specification of the desired way to instantiate a disk in the instance template when its created from a source instance.","ref":"GoogleApi.Compute.V1.Model.DiskInstantiationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskInstantiationConfig","doc":"*   `autoDelete` (*type:* `boolean()`, *default:* `nil`) - Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance).\n*   `customImage` (*type:* `String.t`, *default:* `nil`) - The custom source image to be used to restore this disk when instantiating this instance template.\n*   `deviceName` (*type:* `String.t`, *default:* `nil`) - Specifies the device name of the disk to which the configurations apply to.\n*   `instantiateFrom` (*type:* `String.t`, *default:* `nil`) - Specifies whether to include the disk and what image to use. Possible values are: - source-image: to use the same image that was used to create the source instance's corresponding disk. Applicable to the boot disk and additional read-write disks. - source-image-family: to use the same image family that was used to create the source instance's corresponding disk. Applicable to the boot disk and additional read-write disks. - custom-image: to use a user-provided image url for disk creation. Applicable to the boot disk and additional read-write disks. - attach-read-only: to attach a read-only disk. Applicable to read-only disks. - do-not-include: to exclude a disk from the template. Applicable to additional read-write disks, local SSDs, and read-only disks.","ref":"GoogleApi.Compute.V1.Model.DiskInstantiationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskInstantiationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskInstantiationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskInstantiationConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskInstantiationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskList","doc":"A list of Disk resources.","ref":"GoogleApi.Compute.V1.Model.DiskList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Disk.t)`, *default:* `nil`) - A list of Disk resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#diskList`) - [Output Only] Type of resource. Always compute#diskList for lists of disks.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.DiskListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.DiskList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.DiskListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.DiskListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.DiskListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.DiskListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskMoveRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskMoveRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskMoveRequest","doc":"*   `destinationZone` (*type:* `String.t`, *default:* `nil`) - The URL of the destination zone to move the disk. This can be a full or partial URL. For example, the following are all valid URLs to a zone: - https://www.googleapis.com/compute/v1/projects/project/zones/zone - projects/project/zones/zone - zones/zone \n*   `targetDisk` (*type:* `String.t`, *default:* `nil`) - The URL of the target disk to move. This can be a full or partial URL. For example, the following are all valid URLs to a disk: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk","ref":"GoogleApi.Compute.V1.Model.DiskMoveRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskMoveRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskMoveRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskMoveRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskMoveRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskParams","doc":"Additional disk params.","ref":"GoogleApi.Compute.V1.Model.DiskParams.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskParams","doc":"*   `resourceManagerTags` (*type:* `map()`, *default:* `nil`) - Resource manager tags to be bound to the disk. Tag keys and values have the same definition as resource manager tags. Keys must be in the format `tagKeys/{tag_key_id}`, and values are in the format `tagValues/456`. The field is ignored (both PUT & PATCH) when empty.","ref":"GoogleApi.Compute.V1.Model.DiskParams.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskParams.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskParams.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskParams.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskParams.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskResourceStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskResourceStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskResourceStatus","doc":"*   `asyncPrimaryDisk` (*type:* `GoogleApi.Compute.V1.Model.DiskResourceStatusAsyncReplicationStatus.t`, *default:* `nil`) - \n*   `asyncSecondaryDisks` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.DiskResourceStatusAsyncReplicationStatus.t}`, *default:* `nil`) - Key: disk, value: AsyncReplicationStatus message","ref":"GoogleApi.Compute.V1.Model.DiskResourceStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskResourceStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskResourceStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskResourceStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskResourceStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskResourceStatusAsyncReplicationStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskResourceStatusAsyncReplicationStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskResourceStatusAsyncReplicationStatus","doc":"*   `state` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.DiskResourceStatusAsyncReplicationStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskResourceStatusAsyncReplicationStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskResourceStatusAsyncReplicationStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskResourceStatusAsyncReplicationStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskResourceStatusAsyncReplicationStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskType","doc":"Represents a Disk Type resource. Google Compute Engine has two Disk Type resources: * [Regional](/compute/docs/reference/rest/v1/regionDiskTypes) * [Zonal](/compute/docs/reference/rest/v1/diskTypes) You can choose from a variety of disk types based on your needs. For more information, read Storage options. The diskTypes resource represents disk types for a zonal persistent disk. For more information, read Zonal persistent disks. The regionDiskTypes resource represents disk types for a regional persistent disk. For more information, read Regional persistent disks.","ref":"GoogleApi.Compute.V1.Model.DiskType.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskType","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `defaultDiskSizeGb` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined default disk size in GB.\n*   `deprecated` (*type:* `GoogleApi.Compute.V1.Model.DeprecationStatus.t`, *default:* `nil`) - [Output Only] The deprecation status associated with this disk type.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional description of this resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#diskType`) - [Output Only] Type of the resource. Always compute#diskType for disk types.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the resource.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the disk type resides. Only applicable for regional resources. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `validDiskSize` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional textual description of the valid disk size, such as \"10GB-10TB\".\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the zone where the disk type resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.","ref":"GoogleApi.Compute.V1.Model.DiskType.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskType.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskType.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskType.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskTypeAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.DiskTypesScopedList.t}`, *default:* `nil`) - A list of DiskTypesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#diskTypeAggregatedList`) - [Output Only] Type of resource. Always compute#diskTypeAggregatedList.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypeAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskTypeList","doc":"Contains a list of disk types.","ref":"GoogleApi.Compute.V1.Model.DiskTypeList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskTypeList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.DiskType.t)`, *default:* `nil`) - A list of DiskType resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#diskTypeList`) - [Output Only] Type of resource. Always compute#diskTypeList for disk types.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.DiskTypeListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.DiskTypeList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskTypeList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskTypeList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskTypeList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypeList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskTypeListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.DiskTypeListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskTypeListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.DiskTypeListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.DiskTypeListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskTypeListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskTypeListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskTypeListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypeListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskTypeListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypeListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskTypeListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.DiskTypeListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskTypeListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskTypeListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskTypeListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypeListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskTypesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskTypesScopedList","doc":"*   `diskTypes` (*type:* `list(GoogleApi.Compute.V1.Model.DiskType.t)`, *default:* `nil`) - [Output Only] A list of disk types contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.DiskTypesScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of disk types when the list is empty.","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskTypesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskTypesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of disk types when the list is empty.","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskTypesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.DiskTypesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DiskTypesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DiskTypesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DisksAddResourcePoliciesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksAddResourcePoliciesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DisksAddResourcePoliciesRequest","doc":"*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - Full or relative path to the resource policy to be added to this disk. You can only specify one resource policy.","ref":"GoogleApi.Compute.V1.Model.DisksAddResourcePoliciesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DisksAddResourcePoliciesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DisksAddResourcePoliciesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DisksAddResourcePoliciesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksAddResourcePoliciesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DisksRemoveResourcePoliciesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksRemoveResourcePoliciesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DisksRemoveResourcePoliciesRequest","doc":"*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - Resource policies to be removed from this disk.","ref":"GoogleApi.Compute.V1.Model.DisksRemoveResourcePoliciesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DisksRemoveResourcePoliciesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DisksRemoveResourcePoliciesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DisksRemoveResourcePoliciesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksRemoveResourcePoliciesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DisksResizeRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksResizeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DisksResizeRequest","doc":"*   `sizeGb` (*type:* `String.t`, *default:* `nil`) - The new size of the persistent disk, which is specified in GB.","ref":"GoogleApi.Compute.V1.Model.DisksResizeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DisksResizeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DisksResizeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DisksResizeRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksResizeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DisksScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DisksScopedList","doc":"*   `disks` (*type:* `list(GoogleApi.Compute.V1.Model.Disk.t)`, *default:* `nil`) - [Output Only] A list of disks contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.DisksScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of disks when the list is empty.","ref":"GoogleApi.Compute.V1.Model.DisksScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DisksScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DisksScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DisksScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DisksScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of disks when the list is empty.","ref":"GoogleApi.Compute.V1.Model.DisksScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DisksScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.DisksScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.DisksScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DisksScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DisksScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DisksScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DisksScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DisksScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.DisksScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DisksScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DisksScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DisksScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DisksStartAsyncReplicationRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksStartAsyncReplicationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DisksStartAsyncReplicationRequest","doc":"*   `asyncSecondaryDisk` (*type:* `String.t`, *default:* `nil`) - The secondary disk to start asynchronous replication to. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk","ref":"GoogleApi.Compute.V1.Model.DisksStartAsyncReplicationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DisksStartAsyncReplicationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DisksStartAsyncReplicationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DisksStartAsyncReplicationRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksStartAsyncReplicationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DisksStopGroupAsyncReplicationResource","doc":"A transient resource used in compute.disks.stopGroupAsyncReplication and compute.regionDisks.stopGroupAsyncReplication. It is only used to process requests and is not persisted.","ref":"GoogleApi.Compute.V1.Model.DisksStopGroupAsyncReplicationResource.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DisksStopGroupAsyncReplicationResource","doc":"*   `resourcePolicy` (*type:* `String.t`, *default:* `nil`) - The URL of the DiskConsistencyGroupPolicy for the group of disks to stop. This may be a full or partial URL, such as: - https://www.googleapis.com/compute/v1/projects/project/regions/region /resourcePolicies/resourcePolicy - projects/project/regions/region/resourcePolicies/resourcePolicy - regions/region/resourcePolicies/resourcePolicy","ref":"GoogleApi.Compute.V1.Model.DisksStopGroupAsyncReplicationResource.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DisksStopGroupAsyncReplicationResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DisksStopGroupAsyncReplicationResource.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DisksStopGroupAsyncReplicationResource.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DisksStopGroupAsyncReplicationResource.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DisplayDevice","doc":"A set of Display Device options","ref":"GoogleApi.Compute.V1.Model.DisplayDevice.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DisplayDevice","doc":"*   `enableDisplay` (*type:* `boolean()`, *default:* `nil`) - Defines whether the instance has Display enabled.","ref":"GoogleApi.Compute.V1.Model.DisplayDevice.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DisplayDevice.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DisplayDevice.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DisplayDevice.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DisplayDevice.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DistributionPolicy","doc":"","ref":"GoogleApi.Compute.V1.Model.DistributionPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DistributionPolicy","doc":"*   `targetShape` (*type:* `String.t`, *default:* `nil`) - The distribution shape to which the group converges either proactively or on resize events (depending on the value set in updatePolicy.instanceRedistributionType).\n*   `zones` (*type:* `list(GoogleApi.Compute.V1.Model.DistributionPolicyZoneConfiguration.t)`, *default:* `nil`) - Zones where the regional managed instance group will create and manage its instances.","ref":"GoogleApi.Compute.V1.Model.DistributionPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DistributionPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DistributionPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DistributionPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DistributionPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.DistributionPolicyZoneConfiguration","doc":"","ref":"GoogleApi.Compute.V1.Model.DistributionPolicyZoneConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.DistributionPolicyZoneConfiguration","doc":"*   `zone` (*type:* `String.t`, *default:* `nil`) - The URL of the zone. The zone must exist in the region where the managed instance group is located.","ref":"GoogleApi.Compute.V1.Model.DistributionPolicyZoneConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.DistributionPolicyZoneConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.DistributionPolicyZoneConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.DistributionPolicyZoneConfiguration.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.DistributionPolicyZoneConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Duration","doc":"A Duration represents a fixed-length span of time represented as a count of seconds and fractions of seconds at nanosecond resolution. It is independent of any calendar and concepts like \"day\" or \"month\". Range is approximately 10,000 years.","ref":"GoogleApi.Compute.V1.Model.Duration.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Duration","doc":"*   `nanos` (*type:* `integer()`, *default:* `nil`) - Span of time that's a fraction of a second at nanosecond resolution. Durations less than one second are represented with a 0 `seconds` field and a positive `nanos` field. Must be from 0 to 999,999,999 inclusive.\n*   `seconds` (*type:* `String.t`, *default:* `nil`) - Span of time at a resolution of a second. Must be from 0 to 315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min * 60 min/hr * 24 hr/day * 365.25 days/year * 10000 years","ref":"GoogleApi.Compute.V1.Model.Duration.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Duration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Duration.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Duration.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Duration.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ErrorInfo","doc":"Describes the cause of the error with structured details. Example of an error when contacting the \"pubsub.googleapis.com\" API when it is not enabled: { \"reason\": \"API_DISABLED\" \"domain\": \"googleapis.com\" \"metadata\": { \"resource\": \"projects/123\", \"service\": \"pubsub.googleapis.com\" } } This response indicates that the pubsub.googleapis.com API is not enabled. Example of an error that is returned when attempting to create a Spanner instance in a region that is out of stock: { \"reason\": \"STOCKOUT\" \"domain\": \"spanner.googleapis.com\", \"metadata\": { \"availableRegions\": \"us-central1,us-east2\" } }","ref":"GoogleApi.Compute.V1.Model.ErrorInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ErrorInfo","doc":"*   `domain` (*type:* `String.t`, *default:* `nil`) - The logical grouping to which the \"reason\" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: \"pubsub.googleapis.com\". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is \"googleapis.com\".\n*   `metadatas` (*type:* `map()`, *default:* `nil`) - Additional structured details about this error. Keys must match /a-z+/ but should ideally be lowerCamelCase. Also they must be limited to 64 characters in length. When identifying the current value of an exceeded limit, the units should be contained in the key, not the value. For example, rather than {\"instanceLimit\": \"100/request\"}, should be returned as, {\"instanceLimitPerRequest\": \"100\"}, if the client exceeds the number of instances that can be created in a single (batch) request.\n*   `reason` (*type:* `String.t`, *default:* `nil`) - The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of `A-Z+[A-Z0-9]`, which represents UPPER_SNAKE_CASE.","ref":"GoogleApi.Compute.V1.Model.ErrorInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ErrorInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ErrorInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ErrorInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ErrorInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoute","doc":"","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoute.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ExchangedPeeringRoute","doc":"*   `destRange` (*type:* `String.t`, *default:* `nil`) - The destination range of the route.\n*   `imported` (*type:* `boolean()`, *default:* `nil`) - True if the peering route has been imported from a peer. The actual import happens if the field networkPeering.importCustomRoutes is true for this network, and networkPeering.exportCustomRoutes is true for the peer network, and the import does not result in a route conflict.\n*   `nextHopRegion` (*type:* `String.t`, *default:* `nil`) - The region of peering route next hop, only applies to dynamic routes.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - The priority of the peering route.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the peering route.","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoute.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoute.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoute.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoute.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoute.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesList","doc":"","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.ExchangedPeeringRoute.t)`, *default:* `nil`) - A list of ExchangedPeeringRoute resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#exchangedPeeringRoutesList`) - [Output Only] Type of resource. Always compute#exchangedPeeringRoutesList for exchanged peering routes lists.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ExchangedPeeringRoutesListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Expr","doc":"Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() < 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.","ref":"GoogleApi.Compute.V1.Model.Expr.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Expr","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.\n*   `expression` (*type:* `String.t`, *default:* `nil`) - Textual representation of an expression in Common Expression Language syntax.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.","ref":"GoogleApi.Compute.V1.Model.Expr.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Expr.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Expr.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Expr.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Expr.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ExternalVpnGateway","doc":"Represents an external VPN gateway. External VPN gateway is the on-premises VPN gateway(s) or another cloud provider's VPN gateway that connects to your Google Cloud VPN gateway. To create a highly available VPN from Google Cloud Platform to your VPN gateway or another cloud provider's VPN gateway, you must create a external VPN gateway resource with information about the other gateway. For more information about using external VPN gateways, see Creating an HA VPN gateway and tunnel pair to a peer VPN.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGateway.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ExternalVpnGateway","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `interfaces` (*type:* `list(GoogleApi.Compute.V1.Model.ExternalVpnGatewayInterface.t)`, *default:* `nil`) - A list of interfaces for this external VPN gateway. If your peer-side gateway is an on-premises gateway and non-AWS cloud providers' gateway, at most two interfaces can be provided for an external VPN gateway. If your peer side is an AWS virtual private gateway, four interfaces should be provided for an external VPN gateway.\n*   `kind` (*type:* `String.t`, *default:* `compute#externalVpnGateway`) - [Output Only] Type of the resource. Always compute#externalVpnGateway for externalVpnGateways.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this ExternalVpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an ExternalVpnGateway.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `redundancyType` (*type:* `String.t`, *default:* `nil`) - Indicates the user-supplied redundancy type of this external VPN gateway.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGateway.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ExternalVpnGateway.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGateway.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ExternalVpnGateway.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGateway.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayInterface","doc":"The interface for the external VPN gateway.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayInterface.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ExternalVpnGatewayInterface","doc":"*   `id` (*type:* `integer()`, *default:* `nil`) - The numeric ID of this interface. The allowed input values for this id for different redundancy types of external VPN gateway: - SINGLE_IP_INTERNALLY_REDUNDANT - 0 - TWO_IPS_REDUNDANCY - 0, 1 - FOUR_IPS_REDUNDANCY - 0, 1, 2, 3 \n*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - IP address of the interface in the external VPN gateway. Only IPv4 is supported. This IP address can be either from your on-premise gateway or another Cloud provider's VPN gateway, it cannot be an IP address from Google Compute Engine.\n*   `ipv6Address` (*type:* `String.t`, *default:* `nil`) - IPv6 address of the interface in the external VPN gateway. This IPv6 address can be either from your on-premise gateway or another Cloud provider's VPN gateway, it cannot be an IP address from Google Compute Engine. Must specify an IPv6 address (not IPV4-mapped) using any format described in RFC 4291 (e.g. 2001:db8:0:0:2d9:51:0:0). The output format is RFC 5952 format (e.g. 2001:db8::2d9:51:0:0).","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayInterface.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayInterface.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayInterface.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayInterface.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayInterface.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayList","doc":"Response to the list request, and contains a list of externalVpnGateways.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ExternalVpnGatewayList","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.ExternalVpnGateway.t)`, *default:* `nil`) - A list of ExternalVpnGateway resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#externalVpnGatewayList`) - [Output Only] Type of resource. Always compute#externalVpnGatewayList for lists of externalVpnGateways.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ExternalVpnGatewayListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FileContentBuffer","doc":"","ref":"GoogleApi.Compute.V1.Model.FileContentBuffer.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FileContentBuffer","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - The raw content in the secure keys file.\n*   `fileType` (*type:* `String.t`, *default:* `nil`) - The file type of source file.","ref":"GoogleApi.Compute.V1.Model.FileContentBuffer.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FileContentBuffer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FileContentBuffer.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FileContentBuffer.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FileContentBuffer.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Firewall","doc":"Represents a Firewall Rule resource. Firewall rules allow or deny ingress traffic to, and egress traffic from your instances. For more information, read Firewall rules.","ref":"GoogleApi.Compute.V1.Model.Firewall.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Firewall","doc":"*   `allowed` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallAllowed.t)`, *default:* `nil`) - The list of ALLOW rules specified by this firewall. Each rule specifies a protocol and port-range tuple that describes a permitted connection.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `denied` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallDenied.t)`, *default:* `nil`) - The list of DENY rules specified by this firewall. Each rule specifies a protocol and port-range tuple that describes a denied connection.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this field when you create the resource.\n*   `destinationRanges` (*type:* `list(String.t)`, *default:* `nil`) - If destination ranges are specified, the firewall rule applies only to traffic that has destination IP address in these ranges. These ranges must be expressed in CIDR format. Both IPv4 and IPv6 are supported.\n*   `direction` (*type:* `String.t`, *default:* `nil`) - Direction of traffic to which this firewall applies, either `INGRESS` or `EGRESS`. The default is `INGRESS`. For `EGRESS` traffic, you cannot specify the sourceTags fields.\n*   `disabled` (*type:* `boolean()`, *default:* `nil`) - Denotes whether the firewall rule is disabled. When set to true, the firewall rule is not enforced and the network behaves as if it did not exist. If this is unspecified, the firewall rule will be enabled.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#firewall`) - [Output Only] Type of the resource. Always compute#firewall for firewall rules.\n*   `logConfig` (*type:* `GoogleApi.Compute.V1.Model.FirewallLogConfig.t`, *default:* `nil`) - This field denotes the logging options for a particular firewall rule. If logging is enabled, logs will be exported to Cloud Logging.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.\n*   `network` (*type:* `String.t`, *default:* `nil`) - URL of the network resource for this firewall rule. If not specified when creating a firewall rule, the default network is used: global/networks/default If you choose to specify this field, you can specify the network as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/myproject/global/networks/my-network - projects/myproject/global/networks/my-network - global/networks/default \n*   `priority` (*type:* `integer()`, *default:* `nil`) - Priority for this rule. This is an integer between `0` and `65535`, both inclusive. The default value is `1000`. Relative priorities determine which rule takes effect if multiple rules apply. Lower values indicate higher priority. For example, a rule with priority `0` has higher precedence than a rule with priority `1`. DENY rules take precedence over ALLOW rules if they have equal priority. Note that VPC networks have implied rules with a priority of `65535`. To avoid conflicts with the implied rules, use a priority number less than `65535`.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `sourceRanges` (*type:* `list(String.t)`, *default:* `nil`) - If source ranges are specified, the firewall rule applies only to traffic that has a source IP address in these ranges. These ranges must be expressed in CIDR format. One or both of sourceRanges and sourceTags may be set. If both fields are set, the rule applies to traffic that has a source IP address within sourceRanges OR a source IP from a resource with a matching tag listed in the sourceTags field. The connection does not need to match both fields for the rule to apply. Both IPv4 and IPv6 are supported.\n*   `sourceServiceAccounts` (*type:* `list(String.t)`, *default:* `nil`) - If source service accounts are specified, the firewall rules apply only to traffic originating from an instance with a service account in this list. Source service accounts cannot be used to control traffic to an instance's external IP address because service accounts are associated with an instance, not an IP address. sourceRanges can be set at the same time as sourceServiceAccounts. If both are set, the firewall applies to traffic that has a source IP address within the sourceRanges OR a source IP that belongs to an instance with service account listed in sourceServiceAccount. The connection does not need to match both fields for the firewall to apply. sourceServiceAccounts cannot be used at the same time as sourceTags or targetTags.\n*   `sourceTags` (*type:* `list(String.t)`, *default:* `nil`) - If source tags are specified, the firewall rule applies only to traffic with source IPs that match the primary network interfaces of VM instances that have the tag and are in the same VPC network. Source tags cannot be used to control traffic to an instance's external IP address, it only applies to traffic between instances in the same virtual network. Because tags are associated with instances, not IP addresses. One or both of sourceRanges and sourceTags may be set. If both fields are set, the firewall applies to traffic that has a source IP address within sourceRanges OR a source IP from a resource with a matching tag listed in the sourceTags field. The connection does not need to match both fields for the firewall to apply.\n*   `targetServiceAccounts` (*type:* `list(String.t)`, *default:* `nil`) - A list of service accounts indicating sets of instances located in the network that may make network connections as specified in allowed[]. targetServiceAccounts cannot be used at the same time as targetTags or sourceTags. If neither targetServiceAccounts nor targetTags are specified, the firewall rule applies to all instances on the specified network.\n*   `targetTags` (*type:* `list(String.t)`, *default:* `nil`) - A list of tags that controls which instances the firewall rule applies to. If targetTags are specified, then the firewall rule applies only to instances in the VPC network that have one of those tags. If no targetTags are specified, the firewall rule applies to all instances on the specified network.","ref":"GoogleApi.Compute.V1.Model.Firewall.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Firewall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Firewall.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Firewall.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Firewall.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallAllowed","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallAllowed.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallAllowed","doc":"*   `IPProtocol` (*type:* `String.t`, *default:* `nil`) - The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp) or the IP protocol number.\n*   `ports` (*type:* `list(String.t)`, *default:* `nil`) - An optional list of ports to which this rule applies. This field is only applicable for the UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].","ref":"GoogleApi.Compute.V1.Model.FirewallAllowed.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallAllowed.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallAllowed.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallAllowed.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallAllowed.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallDenied","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallDenied.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallDenied","doc":"*   `IPProtocol` (*type:* `String.t`, *default:* `nil`) - The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp) or the IP protocol number.\n*   `ports` (*type:* `list(String.t)`, *default:* `nil`) - An optional list of ports to which this rule applies. This field is only applicable for the UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].","ref":"GoogleApi.Compute.V1.Model.FirewallDenied.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallDenied.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallDenied.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallDenied.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallDenied.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallList","doc":"Contains a list of firewalls.","ref":"GoogleApi.Compute.V1.Model.FirewallList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Firewall.t)`, *default:* `nil`) - A list of Firewall resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#firewallList`) - [Output Only] Type of resource. Always compute#firewallList for lists of firewalls.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.FirewallListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.FirewallList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.FirewallListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.FirewallListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.FirewallListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallLogConfig","doc":"The available logging options for a firewall rule.","ref":"GoogleApi.Compute.V1.Model.FirewallLogConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallLogConfig","doc":"*   `enable` (*type:* `boolean()`, *default:* `nil`) - This field denotes whether to enable logging for a particular firewall rule.\n*   `metadata` (*type:* `String.t`, *default:* `nil`) - This field can only be specified for a particular firewall rule if logging is enabled for that rule. This field denotes whether to include or exclude metadata for firewall logs.","ref":"GoogleApi.Compute.V1.Model.FirewallLogConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallLogConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallLogConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallLogConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallLogConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallPoliciesListAssociationsResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPoliciesListAssociationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallPoliciesListAssociationsResponse","doc":"*   `associations` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.t)`, *default:* `nil`) - A list of associations.\n*   `kind` (*type:* `String.t`, *default:* `compute#firewallPoliciesListAssociationsResponse`) - [Output Only] Type of firewallPolicy associations. Always compute#FirewallPoliciesListAssociations for lists of firewallPolicy associations.","ref":"GoogleApi.Compute.V1.Model.FirewallPoliciesListAssociationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallPoliciesListAssociationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallPoliciesListAssociationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallPoliciesListAssociationsResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPoliciesListAssociationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallPolicy","doc":"Represents a Firewall Policy resource.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallPolicy","doc":"*   `associations` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.t)`, *default:* `nil`) - A list of associations that belong to this firewall policy.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Deprecated, please use short name instead. User-provided name of the Organization firewall policy. The name should be unique in the organization in which the firewall policy is created. This field is not applicable to network firewall policies. This name must be set on creation and cannot be changed. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Specifies a fingerprint for this resource, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make get() request to the firewall policy.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#firewallPolicy`) - [Output only] Type of the resource. Always compute#firewallPolicyfor firewall policies\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. For Organization Firewall Policies it's a [Output Only] numeric ID allocated by Google Cloud which uniquely identifies the Organization Firewall Policy.\n*   `parent` (*type:* `String.t`, *default:* `nil`) - [Output Only] The parent of the firewall policy. This field is not applicable to network firewall policies.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional firewall policy resides. This field is not applicable to global firewall policies. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `ruleTupleCount` (*type:* `integer()`, *default:* `nil`) - [Output Only] Total count of all firewall policy rule tuples. A firewall policy can not exceed a set number of tuples.\n*   `rules` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicyRule.t)`, *default:* `nil`) - A list of rules that belong to this policy. There must always be a default rule (rule with priority 2147483647 and match \"*\"). If no rules are provided when creating a firewall policy, a default rule with action \"allow\" will be added.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `selfLinkWithId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource with the resource id.\n*   `shortName` (*type:* `String.t`, *default:* `nil`) - User-provided name of the Organization firewall policy. The name should be unique in the organization in which the firewall policy is created. This field is not applicable to network firewall policies. This name must be set on creation and cannot be changed. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallPolicyAssociation","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallPolicyAssociation","doc":"*   `attachmentTarget` (*type:* `String.t`, *default:* `nil`) - The target that the firewall policy is attached to.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - [Output Only] Deprecated, please use short name instead. The display name of the firewall policy of the association.\n*   `firewallPolicyId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The firewall policy ID of the association.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name for an association.\n*   `shortName` (*type:* `String.t`, *default:* `nil`) - [Output Only] The short name of the firewall policy of the association.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyAssociation.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallPolicyList","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallPolicyList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicy.t)`, *default:* `nil`) - A list of FirewallPolicy resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#firewallPolicyList`) - [Output Only] Type of resource. Always compute#firewallPolicyList for listsof FirewallPolicies\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallPolicyList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallPolicyList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallPolicyListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicyListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallPolicyListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRule","doc":"Represents a rule that describes one or more match conditions along with the action to be taken when traffic matches this condition (allow or deny).","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallPolicyRule","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - The Action to perform when the client connection triggers the rule. Valid actions for firewall rules are: \"allow\", \"deny\", \"apply_security_profile_group\" and \"goto_next\". Valid actions for packet mirroring rules are: \"mirror\", \"do_not_mirror\" and \"goto_next\".\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description for this resource.\n*   `direction` (*type:* `String.t`, *default:* `nil`) - The direction in which this rule applies.\n*   `disabled` (*type:* `boolean()`, *default:* `nil`) - Denotes whether the firewall policy rule is disabled. When set to true, the firewall policy rule is not enforced and traffic behaves as if it did not exist. If this is unspecified, the firewall policy rule will be enabled.\n*   `enableLogging` (*type:* `boolean()`, *default:* `nil`) - Denotes whether to enable logging for a particular rule. If logging is enabled, logs will be exported to the configured export destination in Stackdriver. Logs may be exported to BigQuery or Pub/Sub. Note: you cannot enable logging on \"goto_next\" rules.\n*   `kind` (*type:* `String.t`, *default:* `compute#firewallPolicyRule`) - [Output only] Type of the resource. Returns compute#firewallPolicyRule for firewall rules and compute#packetMirroringRule for packet mirroring rules.\n*   `match` (*type:* `GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcher.t`, *default:* `nil`) - A match condition that incoming traffic is evaluated against. If it evaluates to true, the corresponding 'action' is enforced.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - An integer indicating the priority of a rule in the list. The priority must be a positive value between 0 and 2147483647. Rules are evaluated from highest to lowest priority where 0 is the highest priority and 2147483647 is the lowest priority.\n*   `ruleName` (*type:* `String.t`, *default:* `nil`) - An optional name for the rule. This field is not a unique identifier and can be updated.\n*   `ruleTupleCount` (*type:* `integer()`, *default:* `nil`) - [Output Only] Calculation of the complexity of a single firewall policy rule.\n*   `securityProfileGroup` (*type:* `String.t`, *default:* `nil`) - A fully-qualified URL of a SecurityProfile resource instance. Example: https://networksecurity.googleapis.com/v1/projects/{project}/locations/{location}/securityProfileGroups/my-security-profile-group Must be specified if action is one of 'apply_security_profile_group' or 'mirror'. Cannot be specified for other actions.\n*   `targetResources` (*type:* `list(String.t)`, *default:* `nil`) - A list of network resource URLs to which this rule applies. This field allows you to control which network's VMs get this rule. If this field is left blank, all VMs within the organization will receive the rule.\n*   `targetSecureTags` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicyRuleSecureTag.t)`, *default:* `nil`) - A list of secure tags that controls which instances the firewall rule applies to. If targetSecureTag are specified, then the firewall rule applies only to instances in the VPC network that have one of those EFFECTIVE secure tags, if all the target_secure_tag are in INEFFECTIVE state, then this rule will be ignored. targetSecureTag may not be set at the same time as targetServiceAccounts. If neither targetServiceAccounts nor targetSecureTag are specified, the firewall rule applies to all instances on the specified network. Maximum number of target label tags allowed is 256.\n*   `targetServiceAccounts` (*type:* `list(String.t)`, *default:* `nil`) - A list of service accounts indicating the sets of instances that are applied with this rule.\n*   `tlsInspect` (*type:* `boolean()`, *default:* `nil`) - Boolean flag indicating if the traffic should be TLS decrypted. Can be set only if action = 'apply_security_profile_group' and cannot be set for other actions.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcher","doc":"Represents a match condition that incoming traffic is evaluated against. Exactly one field must be specified.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcher.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcher","doc":"*   `destAddressGroups` (*type:* `list(String.t)`, *default:* `nil`) - Address groups which should be matched against the traffic destination. Maximum number of destination address groups is 10.\n*   `destFqdns` (*type:* `list(String.t)`, *default:* `nil`) - Fully Qualified Domain Name (FQDN) which should be matched against traffic destination. Maximum number of destination fqdn allowed is 100.\n*   `destIpRanges` (*type:* `list(String.t)`, *default:* `nil`) - CIDR IP address range. Maximum number of destination CIDR IP ranges allowed is 5000.\n*   `destRegionCodes` (*type:* `list(String.t)`, *default:* `nil`) - Region codes whose IP addresses will be used to match for destination of traffic. Should be specified as 2 letter country code defined as per ISO 3166 alpha-2 country codes. ex.\"US\" Maximum number of dest region codes allowed is 5000.\n*   `destThreatIntelligences` (*type:* `list(String.t)`, *default:* `nil`) - Names of Network Threat Intelligence lists. The IPs in these lists will be matched against traffic destination.\n*   `layer4Configs` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcherLayer4Config.t)`, *default:* `nil`) - Pairs of IP protocols and ports that the rule should match.\n*   `srcAddressGroups` (*type:* `list(String.t)`, *default:* `nil`) - Address groups which should be matched against the traffic source. Maximum number of source address groups is 10.\n*   `srcFqdns` (*type:* `list(String.t)`, *default:* `nil`) - Fully Qualified Domain Name (FQDN) which should be matched against traffic source. Maximum number of source fqdn allowed is 100.\n*   `srcIpRanges` (*type:* `list(String.t)`, *default:* `nil`) - CIDR IP address range. Maximum number of source CIDR IP ranges allowed is 5000.\n*   `srcRegionCodes` (*type:* `list(String.t)`, *default:* `nil`) - Region codes whose IP addresses will be used to match for source of traffic. Should be specified as 2 letter country code defined as per ISO 3166 alpha-2 country codes. ex.\"US\" Maximum number of source region codes allowed is 5000.\n*   `srcSecureTags` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicyRuleSecureTag.t)`, *default:* `nil`) - List of secure tag values, which should be matched at the source of the traffic. For INGRESS rule, if all the srcSecureTag are INEFFECTIVE, and there is no srcIpRange, this rule will be ignored. Maximum number of source tag values allowed is 256.\n*   `srcThreatIntelligences` (*type:* `list(String.t)`, *default:* `nil`) - Names of Network Threat Intelligence lists. The IPs in these lists will be matched against traffic source.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcher.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcher.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcher.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcher.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcher.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcherLayer4Config","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcherLayer4Config.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcherLayer4Config","doc":"*   `ipProtocol` (*type:* `String.t`, *default:* `nil`) - The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp), or the IP protocol number.\n*   `ports` (*type:* `list(String.t)`, *default:* `nil`) - An optional list of ports to which this rule applies. This field is only applicable for UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port. Example inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcherLayer4Config.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcherLayer4Config.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcherLayer4Config.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcherLayer4Config.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleMatcherLayer4Config.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleSecureTag","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleSecureTag.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FirewallPolicyRuleSecureTag","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the secure tag, created with TagManager's TagValue API.\n*   `state` (*type:* `String.t`, *default:* `nil`) - [Output Only] State of the secure tag, either `EFFECTIVE` or `INEFFECTIVE`. A secure tag is `INEFFECTIVE` when it is deleted or its network is deleted.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleSecureTag.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleSecureTag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleSecureTag.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleSecureTag.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FirewallPolicyRuleSecureTag.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.FixedOrPercent","doc":"Encapsulates numeric value that can be either absolute or relative.","ref":"GoogleApi.Compute.V1.Model.FixedOrPercent.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.FixedOrPercent","doc":"*   `calculated` (*type:* `integer()`, *default:* `nil`) - [Output Only] Absolute value of VM instances calculated based on the specific mode. - If the value is fixed, then the calculated value is equal to the fixed value. - If the value is a percent, then the calculated value is percent/100 * targetSize. For example, the calculated value of a 80% of a managed instance group with 150 instances would be (80/100 * 150) = 120 VM instances. If there is a remainder, the number is rounded. \n*   `fixed` (*type:* `integer()`, *default:* `nil`) - Specifies a fixed number of VM instances. This must be a positive integer.\n*   `percent` (*type:* `integer()`, *default:* `nil`) - Specifies a percentage of instances between 0 to 100%, inclusive. For example, specify 80 for 80%.","ref":"GoogleApi.Compute.V1.Model.FixedOrPercent.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.FixedOrPercent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.FixedOrPercent.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.FixedOrPercent.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.FixedOrPercent.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRule","doc":"Represents a Forwarding Rule resource. Forwarding rule resources in Google Cloud can be either regional or global in scope: * [Global](https://cloud.google.com/compute/docs/reference/rest/v1/globalForwardingRules) * [Regional](https://cloud.google.com/compute/docs/reference/rest/v1/forwardingRules) A forwarding rule and its corresponding IP address represent the frontend configuration of a Google Cloud load balancer. Forwarding rules can also reference target instances and Cloud VPN Classic gateways (targetVpnGateway). For more information, read Forwarding rule concepts and Using protocol forwarding.","ref":"GoogleApi.Compute.V1.Model.ForwardingRule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRule","doc":"*   `serviceDirectoryRegistrations` (*type:* `list(GoogleApi.Compute.V1.Model.ForwardingRuleServiceDirectoryRegistration.t)`, *default:* `nil`) - Service Directory resources to register this forwarding rule with. Currently, only supports a single Service Directory resource.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `isMirroringCollector` (*type:* `boolean()`, *default:* `nil`) - Indicates whether or not this load balancer can be used as a collector for packet mirroring. To prevent mirroring loops, instances behind this load balancer will not have their traffic mirrored even if a PacketMirroring rule applies to them. This can only be set to true for load balancers that have their loadBalancingScheme set to INTERNAL.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. For Private Service Connect forwarding rules that forward traffic to Google APIs, the forwarding rule name must be a 1-20 characters string with lowercase letters and numbers and must start with a letter.\n*   `noAutomateDnsZone` (*type:* `boolean()`, *default:* `nil`) - This is used in PSC consumer ForwardingRule to control whether it should try to auto-generate a DNS zone or not. Non-PSC forwarding rules do not use this field. Once set, this field is not mutable.\n*   `kind` (*type:* `String.t`, *default:* `compute#forwardingRule`) - [Output Only] Type of the resource. Always compute#forwardingRule for forwarding rule resources.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `pscConnectionId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The PSC connection id of the PSC forwarding rule.\n*   `baseForwardingRule` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL for the corresponding base forwarding rule. By base forwarding rule, we mean the forwarding rule that has the same IP address, protocol, and port settings with the current forwarding rule, but without sourceIPRanges specified. Always empty if the current forwarding rule does not have sourceIPRanges specified.\n*   `ports` (*type:* `list(String.t)`, *default:* `nil`) - The ports, portRange, and allPorts fields are mutually exclusive. Only packets addressed to ports in the specified range will be forwarded to the backends configured with this forwarding rule. The ports field has the following limitations: - It requires that the forwarding rule IPProtocol be TCP, UDP, or SCTP, and - It's applicable only to the following products: internal passthrough Network Load Balancers, backend service-based external passthrough Network Load Balancers, and internal protocol forwarding. - You can specify a list of up to five ports by number, separated by commas. The ports can be contiguous or discontiguous. For external forwarding rules, two or more forwarding rules cannot use the same [IPAddress, IPProtocol] pair if they share at least one port number. For internal forwarding rules within the same VPC network, two or more forwarding rules cannot use the same [IPAddress, IPProtocol] pair if they share at least one port number. @pattern: \\\\d+(?:-\\\\d+)?\n*   `serviceName` (*type:* `String.t`, *default:* `nil`) - [Output Only] The internal fully qualified service name for this forwarding rule. This field is only used for internal load balancing.\n*   `pscConnectionStatus` (*type:* `String.t`, *default:* `nil`) - \n*   `target` (*type:* `String.t`, *default:* `nil`) - The URL of the target resource to receive the matched traffic. For regional forwarding rules, this target must be in the same region as the forwarding rule. For global forwarding rules, this target must be a global load balancing resource. The forwarded traffic must be of a type appropriate to the target object. - For load balancers, see the \"Target\" column in [Port specifications](https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#ip_address_specifications). - For Private Service Connect forwarding rules that forward traffic to Google APIs, provide the name of a supported Google API bundle: - vpc-sc - APIs that support VPC Service Controls. - all-apis - All supported Google APIs. - For Private Service Connect forwarding rules that forward traffic to managed services, the target must be a service attachment. The target is not mutable once set as a service attachment. \n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional forwarding rule resides. This field is not applicable to global forwarding rules. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `loadBalancingScheme` (*type:* `String.t`, *default:* `nil`) - Specifies the forwarding rule type. For more information about forwarding rules, refer to Forwarding rule concepts.\n*   `IPAddress` (*type:* `String.t`, *default:* `nil`) - IP address for which this forwarding rule accepts traffic. When a client sends traffic to this IP address, the forwarding rule directs the traffic to the referenced target or backendService. While creating a forwarding rule, specifying an IPAddress is required under the following circumstances: - When the target is set to targetGrpcProxy and validateForProxyless is set to true, the IPAddress should be set to 0.0.0.0. - When the target is a Private Service Connect Google APIs bundle, you must specify an IPAddress. Otherwise, you can optionally specify an IP address that references an existing static (reserved) IP address resource. When omitted, Google Cloud assigns an ephemeral IP address. Use one of the following formats to specify an IP address while creating a forwarding rule: * IP address number, as in `100.1.2.3` * IPv6 address range, as in `2600:1234::/96` * Full resource URL, as in https://www.googleapis.com/compute/v1/projects/ project_id/regions/region/addresses/address-name * Partial URL or by name, as in: - projects/project_id/regions/region/addresses/address-name - regions/region/addresses/address-name - global/addresses/address-name - address-name The forwarding rule's target or backendService, and in most cases, also the loadBalancingScheme, determine the type of IP address that you can use. For detailed information, see [IP address specifications](https://cloud.google.com/load-balancing/docs/forwarding-rule-concepts#ip_address_specifications). When reading an IPAddress, the API always returns the IP address number.\n*   `subnetwork` (*type:* `String.t`, *default:* `nil`) - This field identifies the subnetwork that the load balanced IP should belong to for this forwarding rule, used with internal load balancers and external passthrough Network Load Balancers with IPv6. If the network specified is in auto subnet mode, this field is optional. However, a subnetwork must be specified if the network is in custom subnet mode or when creating external forwarding rule with IPv6.\n*   `sourceIpRanges` (*type:* `list(String.t)`, *default:* `nil`) - If not empty, this forwarding rule will only forward the traffic when the source IP address matches one of the IP addresses or CIDR ranges set here. Note that a forwarding rule can only have up to 64 source IP ranges, and this field can only be used with a regional forwarding rule whose scheme is EXTERNAL. Each source_ip_range entry should be either an IP address (for example, 1.2.3.4) or a CIDR range (for example, 1.2.3.0/24).\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `serviceLabel` (*type:* `String.t`, *default:* `nil`) - An optional prefix to the service name for this forwarding rule. If specified, the prefix is the first label of the fully qualified service name. The label must be 1-63 characters long, and comply with RFC1035. Specifically, the label must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. This field is only used for internal load balancing.\n*   `ipVersion` (*type:* `String.t`, *default:* `nil`) - The IP Version that will be used by this forwarding rule. Valid options are IPV4 or IPV6.\n*   `portRange` (*type:* `String.t`, *default:* `nil`) - The ports, portRange, and allPorts fields are mutually exclusive. Only packets addressed to ports in the specified range will be forwarded to the backends configured with this forwarding rule. The portRange field has the following limitations: - It requires that the forwarding rule IPProtocol be TCP, UDP, or SCTP, and - It's applicable only to the following products: external passthrough Network Load Balancers, internal and external proxy Network Load Balancers, internal and external Application Load Balancers, external protocol forwarding, and Classic VPN. - Some products have restrictions on what ports can be used. See port specifications for details. For external forwarding rules, two or more forwarding rules cannot use the same [IPAddress, IPProtocol] pair, and cannot have overlapping portRanges. For internal forwarding rules within the same VPC network, two or more forwarding rules cannot use the same [IPAddress, IPProtocol] pair, and cannot have overlapping portRanges. @pattern: \\\\d+(?:-\\\\d+)?\n*   `ipCollection` (*type:* `String.t`, *default:* `nil`) - Resource reference of a PublicDelegatedPrefix. The PDP must be a sub-PDP in EXTERNAL_IPV6_FORWARDING_RULE_CREATION mode. Use one of the following formats to specify a sub-PDP when creating an IPv6 NetLB forwarding rule using BYOIP: Full resource URL, as in https://www.googleapis.com/compute/v1/projects/project_id/regions/region /publicDelegatedPrefixes/sub-pdp-name Partial URL, as in: - projects/project_id/regions/region/publicDelegatedPrefixes/sub-pdp-name - regions/region/publicDelegatedPrefixes/sub-pdp-name \n*   `allPorts` (*type:* `boolean()`, *default:* `nil`) - The ports, portRange, and allPorts fields are mutually exclusive. Only packets addressed to ports in the specified range will be forwarded to the backends configured with this forwarding rule. The allPorts field has the following limitations: - It requires that the forwarding rule IPProtocol be TCP, UDP, SCTP, or L3_DEFAULT. - It's applicable only to the following products: internal passthrough Network Load Balancers, backend service-based external passthrough Network Load Balancers, and internal and external protocol forwarding. - Set this field to true to allow packets addressed to any port or packets lacking destination port information (for example, UDP fragments after the first fragment) to be forwarded to the backends configured with this forwarding rule. The L3_DEFAULT protocol requires allPorts be set to true. \n*   `backendService` (*type:* `String.t`, *default:* `nil`) - Identifies the backend service to which the forwarding rule sends traffic. Required for internal and external passthrough Network Load Balancers; must be omitted for all other load balancer types.\n*   `network` (*type:* `String.t`, *default:* `nil`) - This field is not used for global external load balancing. For internal passthrough Network Load Balancers, this field identifies the network that the load balanced IP should belong to for this forwarding rule. If the subnetwork is specified, the network of the subnetwork will be used. If neither subnetwork nor this field is specified, the default network will be used. For Private Service Connect forwarding rules that forward traffic to Google APIs, a network must be provided.\n*   `allowPscGlobalAccess` (*type:* `boolean()`, *default:* `nil`) - This is used in PSC consumer ForwardingRule to control whether the PSC endpoint can be accessed from another region.\n*   `metadataFilters` (*type:* `list(GoogleApi.Compute.V1.Model.MetadataFilter.t)`, *default:* `nil`) - Opaque filter criteria used by load balancer to restrict routing configuration to a limited set of xDS compliant clients. In their xDS requests to load balancer, xDS clients present node metadata. When there is a match, the relevant configuration is made available to those proxies. Otherwise, all the resources (e.g. TargetHttpProxy, UrlMap) referenced by the ForwardingRule are not visible to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. If multiple metadataFilters are specified, all of them need to be satisfied in order to be considered a match. metadataFilters specified here will be applifed before those specified in the UrlMap that this ForwardingRule references. metadataFilters only applies to Loadbalancers that have their loadBalancingScheme set to INTERNAL_SELF_MANAGED.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this resource, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a ForwardingRule.\n*   `allowGlobalAccess` (*type:* `boolean()`, *default:* `nil`) - If set to true, clients can access the internal passthrough Network Load Balancers, the regional internal Application Load Balancer, and the regional internal proxy Network Load Balancer from all regions. If false, only allows access from the local region the load balancer is located at. Note that for INTERNAL_MANAGED forwarding rules, this field cannot be changed after the forwarding rule is created.\n*   `IPProtocol` (*type:* `String.t`, *default:* `nil`) - The IP protocol to which this rule applies. For protocol forwarding, valid options are TCP, UDP, ESP, AH, SCTP, ICMP and L3_DEFAULT. The valid IP protocols are different for different load balancing products as described in [Load balancing features](https://cloud.google.com/load-balancing/docs/features#protocols_from_the_load_balancer_to_the_backends).\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `networkTier` (*type:* `String.t`, *default:* `nil`) - This signifies the networking tier used for configuring this load balancer and can only take the following values: PREMIUM, STANDARD. For regional ForwardingRule, the valid values are PREMIUM and STANDARD. For GlobalForwardingRule, the valid value is PREMIUM. If this field is not specified, it is assumed to be PREMIUM. If IPAddress is specified, this value must be equal to the networkTier of the Address.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a ForwardingRule. Include the fingerprint in patch request to ensure that you do not overwrite changes that were applied from another concurrent request. To see the latest fingerprint, make a get() request to retrieve a ForwardingRule.","ref":"GoogleApi.Compute.V1.Model.ForwardingRule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.ForwardingRulesScopedList.t}`, *default:* `nil`) - A list of ForwardingRulesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#forwardingRuleAggregatedList`) - [Output Only] Type of resource. Always compute#forwardingRuleAggregatedList for lists of forwarding rules.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRuleList","doc":"Contains a list of ForwardingRule resources.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRuleList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.ForwardingRule.t)`, *default:* `nil`) - A list of ForwardingRule resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#forwardingRuleList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ForwardingRuleListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRuleList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRuleList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRuleListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ForwardingRuleListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRuleListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRuleReference","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleReference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRuleReference","doc":"*   `forwardingRule` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRuleReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleReference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRuleReference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRuleServiceDirectoryRegistration","doc":"Describes the auto-registration of the forwarding rule to Service Directory. The region and project of the Service Directory resource generated from this registration will be the same as this forwarding rule.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleServiceDirectoryRegistration.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRuleServiceDirectoryRegistration","doc":"*   `namespace` (*type:* `String.t`, *default:* `nil`) - Service Directory namespace to register the forwarding rule under.\n*   `service` (*type:* `String.t`, *default:* `nil`) - Service Directory service to register the forwarding rule under.\n*   `serviceDirectoryRegion` (*type:* `String.t`, *default:* `nil`) - [Optional] Service Directory region to register this global forwarding rule under. Default to \"us-central1\". Only used for PSC for Google APIs. All PSC for Google APIs forwarding rules on the same network should use the same Service Directory region.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleServiceDirectoryRegistration.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRuleServiceDirectoryRegistration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleServiceDirectoryRegistration.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRuleServiceDirectoryRegistration.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRuleServiceDirectoryRegistration.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRulesScopedList","doc":"*   `forwardingRules` (*type:* `list(GoogleApi.Compute.V1.Model.ForwardingRule.t)`, *default:* `nil`) - A list of forwarding rules contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of forwarding rules when the list is empty.","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarning","doc":"Informational warning which replaces the list of forwarding rules when the list is empty.","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ForwardingRulesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GRPCHealthCheck","doc":"","ref":"GoogleApi.Compute.V1.Model.GRPCHealthCheck.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GRPCHealthCheck","doc":"*   `grpcServiceName` (*type:* `String.t`, *default:* `nil`) - The gRPC service name for the health check. This field is optional. The value of grpc_service_name has the following meanings by convention: - Empty service_name means the overall status of all services at the backend. - Non-empty service_name means the health of that gRPC service, as defined by the owner of the service. The grpc_service_name can only be ASCII.\n*   `port` (*type:* `integer()`, *default:* `nil`) - The TCP port number to which the health check prober sends packets. Valid values are 1 through 65535.\n*   `portName` (*type:* `String.t`, *default:* `nil`) - Not supported.\n*   `portSpecification` (*type:* `String.t`, *default:* `nil`) - Specifies how a port is selected for health checking. Can be one of the following values: USE_FIXED_PORT: Specifies a port number explicitly using the port field in the health check. Supported by backend services for passthrough load balancers and backend services for proxy load balancers. Not supported by target pools. The health check supports all backends supported by the backend service provided the backend can be health checked. For example, GCE_VM_IP network endpoint groups, GCE_VM_IP_PORT network endpoint groups, and instance group backends. USE_NAMED_PORT: Not supported. USE_SERVING_PORT: Provides an indirect method of specifying the health check port by referring to the backend service. Only supported by backend services for proxy load balancers. Not supported by target pools. Not supported by backend services for passthrough load balancers. Supports all backends that can be health checked; for example, GCE_VM_IP_PORT network endpoint groups and instance group backends. For GCE_VM_IP_PORT network endpoint group backends, the health check uses the port number specified for each endpoint in the network endpoint group. For instance group backends, the health check uses the port number determined by looking up the backend service's named port in the instance group's list of named ports.","ref":"GoogleApi.Compute.V1.Model.GRPCHealthCheck.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GRPCHealthCheck.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GRPCHealthCheck.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GRPCHealthCheck.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GRPCHealthCheck.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GlobalAddressesMoveRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalAddressesMoveRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GlobalAddressesMoveRequest","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - An optional destination address description if intended to be different from the source.\n*   `destinationAddress` (*type:* `String.t`, *default:* `nil`) - The URL of the destination address to move to. This can be a full or partial URL. For example, the following are all valid URLs to a address: - https://www.googleapis.com/compute/v1/projects/project /global/addresses/address - projects/project/global/addresses/address Note that destination project must be different from the source project. So /global/addresses/address is not valid partial url.","ref":"GoogleApi.Compute.V1.Model.GlobalAddressesMoveRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GlobalAddressesMoveRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GlobalAddressesMoveRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GlobalAddressesMoveRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalAddressesMoveRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsAttachEndpointsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsAttachEndpointsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsAttachEndpointsRequest","doc":"*   `networkEndpoints` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpoint.t)`, *default:* `nil`) - The list of network endpoints to be attached.","ref":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsAttachEndpointsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsAttachEndpointsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsAttachEndpointsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsAttachEndpointsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsAttachEndpointsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsDetachEndpointsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsDetachEndpointsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsDetachEndpointsRequest","doc":"*   `networkEndpoints` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpoint.t)`, *default:* `nil`) - The list of network endpoints to be detached.","ref":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsDetachEndpointsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsDetachEndpointsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsDetachEndpointsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsDetachEndpointsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalNetworkEndpointGroupsDetachEndpointsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GlobalOrganizationSetPolicyRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalOrganizationSetPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GlobalOrganizationSetPolicyRequest","doc":"*   `bindings` (*type:* `list(GoogleApi.Compute.V1.Model.Binding.t)`, *default:* `nil`) - Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.\n*   `policy` (*type:* `GoogleApi.Compute.V1.Model.Policy.t`, *default:* `nil`) - REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them.","ref":"GoogleApi.Compute.V1.Model.GlobalOrganizationSetPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GlobalOrganizationSetPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GlobalOrganizationSetPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GlobalOrganizationSetPolicyRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalOrganizationSetPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest","doc":"*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash when updating or changing labels, otherwise the request will fail with error 412 conditionNotMet. Make a get() request to the resource to get the latest fingerprint.\n*   `labels` (*type:* `map()`, *default:* `nil`) - A list of labels to apply for this resource. Each label must comply with the requirements for labels. For example, \"webserver-frontend\": \"images\". A label value can also be empty (e.g. \"my-label\": \"\").","ref":"GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalSetLabelsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest","doc":"*   `bindings` (*type:* `list(GoogleApi.Compute.V1.Model.Binding.t)`, *default:* `nil`) - Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify bindings.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.\n*   `policy` (*type:* `GoogleApi.Compute.V1.Model.Policy.t`, *default:* `nil`) - REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them.","ref":"GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GlobalSetPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GuestAttributes","doc":"A guest attributes entry.","ref":"GoogleApi.Compute.V1.Model.GuestAttributes.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GuestAttributes","doc":"*   `kind` (*type:* `String.t`, *default:* `compute#guestAttributes`) - [Output Only] Type of the resource. Always compute#guestAttributes for guest attributes entry.\n*   `queryPath` (*type:* `String.t`, *default:* `nil`) - The path to be queried. This can be the default namespace ('') or a nested namespace ('\\/') or a specified key ('\\/\\').\n*   `queryValue` (*type:* `GoogleApi.Compute.V1.Model.GuestAttributesValue.t`, *default:* `nil`) - [Output Only] The value of the requested queried path.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `variableKey` (*type:* `String.t`, *default:* `nil`) - The key to search for.\n*   `variableValue` (*type:* `String.t`, *default:* `nil`) - [Output Only] The value found for the requested key.","ref":"GoogleApi.Compute.V1.Model.GuestAttributes.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GuestAttributes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GuestAttributes.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GuestAttributes.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GuestAttributes.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GuestAttributesEntry","doc":"A guest attributes namespace/key/value entry.","ref":"GoogleApi.Compute.V1.Model.GuestAttributesEntry.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GuestAttributesEntry","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Key for the guest attribute entry.\n*   `namespace` (*type:* `String.t`, *default:* `nil`) - Namespace for the guest attribute entry.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Value for the guest attribute entry.","ref":"GoogleApi.Compute.V1.Model.GuestAttributesEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GuestAttributesEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GuestAttributesEntry.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GuestAttributesEntry.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GuestAttributesEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GuestAttributesValue","doc":"Array of guest attribute namespace/key/value tuples.","ref":"GoogleApi.Compute.V1.Model.GuestAttributesValue.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GuestAttributesValue","doc":"*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.GuestAttributesEntry.t)`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.GuestAttributesValue.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GuestAttributesValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GuestAttributesValue.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GuestAttributesValue.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GuestAttributesValue.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.GuestOsFeature","doc":"Guest OS features.","ref":"GoogleApi.Compute.V1.Model.GuestOsFeature.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.GuestOsFeature","doc":"*   `type` (*type:* `String.t`, *default:* `nil`) - The ID of a supported feature. To add multiple values, use commas to separate values. Set to one or more of the following values: - VIRTIO_SCSI_MULTIQUEUE - WINDOWS - MULTI_IP_SUBNET - UEFI_COMPATIBLE - GVNIC - SEV_CAPABLE - SUSPEND_RESUME_COMPATIBLE - SEV_LIVE_MIGRATABLE_V2 - SEV_SNP_CAPABLE - TDX_CAPABLE - IDPF For more information, see Enabling guest operating system features.","ref":"GoogleApi.Compute.V1.Model.GuestOsFeature.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.GuestOsFeature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.GuestOsFeature.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.GuestOsFeature.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.GuestOsFeature.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HTTP2HealthCheck","doc":"","ref":"GoogleApi.Compute.V1.Model.HTTP2HealthCheck.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HTTP2HealthCheck","doc":"*   `host` (*type:* `String.t`, *default:* `nil`) - The value of the host header in the HTTP/2 health check request. If left empty (default value), the host header is set to the destination IP address to which health check packets are sent. The destination IP address depends on the type of load balancer. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#hc-packet-dest\n*   `port` (*type:* `integer()`, *default:* `nil`) - The TCP port number to which the health check prober sends packets. The default value is 443. Valid values are 1 through 65535.\n*   `portName` (*type:* `String.t`, *default:* `nil`) - Not supported.\n*   `portSpecification` (*type:* `String.t`, *default:* `nil`) - Specifies how a port is selected for health checking. Can be one of the following values: USE_FIXED_PORT: Specifies a port number explicitly using the port field in the health check. Supported by backend services for passthrough load balancers and backend services for proxy load balancers. Not supported by target pools. The health check supports all backends supported by the backend service provided the backend can be health checked. For example, GCE_VM_IP network endpoint groups, GCE_VM_IP_PORT network endpoint groups, and instance group backends. USE_NAMED_PORT: Not supported. USE_SERVING_PORT: Provides an indirect method of specifying the health check port by referring to the backend service. Only supported by backend services for proxy load balancers. Not supported by target pools. Not supported by backend services for passthrough load balancers. Supports all backends that can be health checked; for example, GCE_VM_IP_PORT network endpoint groups and instance group backends. For GCE_VM_IP_PORT network endpoint group backends, the health check uses the port number specified for each endpoint in the network endpoint group. For instance group backends, the health check uses the port number determined by looking up the backend service's named port in the instance group's list of named ports.\n*   `proxyHeader` (*type:* `String.t`, *default:* `nil`) - Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.\n*   `requestPath` (*type:* `String.t`, *default:* `nil`) - The request path of the HTTP/2 health check request. The default value is /. Must comply with RFC3986.\n*   `response` (*type:* `String.t`, *default:* `nil`) - Creates a content-based HTTP/2 health check. In addition to the required HTTP 200 (OK) status code, you can configure the health check to pass only when the backend sends this specific ASCII response string within the first 1024 bytes of the HTTP response body. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#criteria-protocol-http","ref":"GoogleApi.Compute.V1.Model.HTTP2HealthCheck.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HTTP2HealthCheck.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HTTP2HealthCheck.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HTTP2HealthCheck.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HTTP2HealthCheck.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HTTPHealthCheck","doc":"","ref":"GoogleApi.Compute.V1.Model.HTTPHealthCheck.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HTTPHealthCheck","doc":"*   `host` (*type:* `String.t`, *default:* `nil`) - The value of the host header in the HTTP health check request. If left empty (default value), the host header is set to the destination IP address to which health check packets are sent. The destination IP address depends on the type of load balancer. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#hc-packet-dest\n*   `port` (*type:* `integer()`, *default:* `nil`) - The TCP port number to which the health check prober sends packets. The default value is 80. Valid values are 1 through 65535.\n*   `portName` (*type:* `String.t`, *default:* `nil`) - Not supported.\n*   `portSpecification` (*type:* `String.t`, *default:* `nil`) - Specifies how a port is selected for health checking. Can be one of the following values: USE_FIXED_PORT: Specifies a port number explicitly using the port field in the health check. Supported by backend services for passthrough load balancers and backend services for proxy load balancers. Also supported in legacy HTTP health checks for target pools. The health check supports all backends supported by the backend service provided the backend can be health checked. For example, GCE_VM_IP network endpoint groups, GCE_VM_IP_PORT network endpoint groups, and instance group backends. USE_NAMED_PORT: Not supported. USE_SERVING_PORT: Provides an indirect method of specifying the health check port by referring to the backend service. Only supported by backend services for proxy load balancers. Not supported by target pools. Not supported by backend services for pass-through load balancers. Supports all backends that can be health checked; for example, GCE_VM_IP_PORT network endpoint groups and instance group backends. For GCE_VM_IP_PORT network endpoint group backends, the health check uses the port number specified for each endpoint in the network endpoint group. For instance group backends, the health check uses the port number determined by looking up the backend service's named port in the instance group's list of named ports.\n*   `proxyHeader` (*type:* `String.t`, *default:* `nil`) - Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.\n*   `requestPath` (*type:* `String.t`, *default:* `nil`) - The request path of the HTTP health check request. The default value is /. Must comply with RFC3986.\n*   `response` (*type:* `String.t`, *default:* `nil`) - Creates a content-based HTTP health check. In addition to the required HTTP 200 (OK) status code, you can configure the health check to pass only when the backend sends this specific ASCII response string within the first 1024 bytes of the HTTP response body. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#criteria-protocol-http","ref":"GoogleApi.Compute.V1.Model.HTTPHealthCheck.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HTTPHealthCheck.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HTTPHealthCheck.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HTTPHealthCheck.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HTTPHealthCheck.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HTTPSHealthCheck","doc":"","ref":"GoogleApi.Compute.V1.Model.HTTPSHealthCheck.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HTTPSHealthCheck","doc":"*   `host` (*type:* `String.t`, *default:* `nil`) - The value of the host header in the HTTPS health check request. If left empty (default value), the host header is set to the destination IP address to which health check packets are sent. The destination IP address depends on the type of load balancer. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#hc-packet-dest\n*   `port` (*type:* `integer()`, *default:* `nil`) - The TCP port number to which the health check prober sends packets. The default value is 443. Valid values are 1 through 65535.\n*   `portName` (*type:* `String.t`, *default:* `nil`) - Not supported.\n*   `portSpecification` (*type:* `String.t`, *default:* `nil`) - Specifies how a port is selected for health checking. Can be one of the following values: USE_FIXED_PORT: Specifies a port number explicitly using the port field in the health check. Supported by backend services for passthrough load balancers and backend services for proxy load balancers. Not supported by target pools. The health check supports all backends supported by the backend service provided the backend can be health checked. For example, GCE_VM_IP network endpoint groups, GCE_VM_IP_PORT network endpoint groups, and instance group backends. USE_NAMED_PORT: Not supported. USE_SERVING_PORT: Provides an indirect method of specifying the health check port by referring to the backend service. Only supported by backend services for proxy load balancers. Not supported by target pools. Not supported by backend services for passthrough load balancers. Supports all backends that can be health checked; for example, GCE_VM_IP_PORT network endpoint groups and instance group backends. For GCE_VM_IP_PORT network endpoint group backends, the health check uses the port number specified for each endpoint in the network endpoint group. For instance group backends, the health check uses the port number determined by looking up the backend service's named port in the instance group's list of named ports.\n*   `proxyHeader` (*type:* `String.t`, *default:* `nil`) - Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.\n*   `requestPath` (*type:* `String.t`, *default:* `nil`) - The request path of the HTTPS health check request. The default value is /. Must comply with RFC3986.\n*   `response` (*type:* `String.t`, *default:* `nil`) - Creates a content-based HTTPS health check. In addition to the required HTTP 200 (OK) status code, you can configure the health check to pass only when the backend sends this specific ASCII response string within the first 1024 bytes of the HTTP response body. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#criteria-protocol-http","ref":"GoogleApi.Compute.V1.Model.HTTPSHealthCheck.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HTTPSHealthCheck.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HTTPSHealthCheck.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HTTPSHealthCheck.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HTTPSHealthCheck.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheck","doc":"Represents a health check resource. Google Compute Engine has two health check resources: * [Regional](/compute/docs/reference/rest/v1/regionHealthChecks) * [Global](/compute/docs/reference/rest/v1/healthChecks) These health check resources can be used for load balancing and for autohealing VMs in a managed instance group (MIG). **Load balancing** Health check requirements vary depending on the type of load balancer. For details about the type of health check supported for each load balancer and corresponding backend type, see Health checks overview: Load balancer guide. **Autohealing in MIGs** The health checks that you use for autohealing VMs in a MIG can be either regional or global. For more information, see Set up an application health check and autohealing. For more information, see Health checks overview.","ref":"GoogleApi.Compute.V1.Model.HealthCheck.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheck","doc":"*   `checkIntervalSec` (*type:* `integer()`, *default:* `nil`) - How often (in seconds) to send a health check. The default value is 5 seconds.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in 3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `grpcHealthCheck` (*type:* `GoogleApi.Compute.V1.Model.GRPCHealthCheck.t`, *default:* `nil`) - \n*   `healthyThreshold` (*type:* `integer()`, *default:* `nil`) - A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.\n*   `http2HealthCheck` (*type:* `GoogleApi.Compute.V1.Model.HTTP2HealthCheck.t`, *default:* `nil`) - \n*   `httpHealthCheck` (*type:* `GoogleApi.Compute.V1.Model.HTTPHealthCheck.t`, *default:* `nil`) - \n*   `httpsHealthCheck` (*type:* `GoogleApi.Compute.V1.Model.HTTPSHealthCheck.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#healthCheck`) - Type of the resource.\n*   `logConfig` (*type:* `GoogleApi.Compute.V1.Model.HealthCheckLogConfig.t`, *default:* `nil`) - Configure logging on this health check.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. For example, a name that is 1-63 characters long, matches the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`, and otherwise complies with RFC1035. This regular expression describes a name where the first character is a lowercase letter, and all following characters are a dash, lowercase letter, or digit, except the last character, which isn't a dash.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] Region where the health check resides. Not applicable to global health checks.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `sourceRegions` (*type:* `list(String.t)`, *default:* `nil`) - The list of cloud regions from which health checks are performed. If any regions are specified, then exactly 3 regions should be specified. The region names must be valid names of Google Cloud regions. This can only be set for global health check. If this list is non-empty, then there are restrictions on what other health check fields are supported and what other resources can use this health check: - SSL, HTTP2, and GRPC protocols are not supported. - The TCP request field is not supported. - The proxyHeader field for HTTP, HTTPS, and TCP is not supported. - The checkIntervalSec field must be at least 30. - The health check cannot be used with BackendService nor with managed instance group auto-healing. \n*   `sslHealthCheck` (*type:* `GoogleApi.Compute.V1.Model.SSLHealthCheck.t`, *default:* `nil`) - \n*   `tcpHealthCheck` (*type:* `GoogleApi.Compute.V1.Model.TCPHealthCheck.t`, *default:* `nil`) - \n*   `timeoutSec` (*type:* `integer()`, *default:* `nil`) - How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Specifies the type of the healthCheck, either TCP, SSL, HTTP, HTTPS, HTTP2 or GRPC. Exactly one of the protocol-specific health check fields must be specified, which must match type field.\n*   `unhealthyThreshold` (*type:* `integer()`, *default:* `nil`) - A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.","ref":"GoogleApi.Compute.V1.Model.HealthCheck.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheck.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheck.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheck.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheck.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheckList","doc":"Contains a list of HealthCheck resources.","ref":"GoogleApi.Compute.V1.Model.HealthCheckList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheckList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.HealthCheck.t)`, *default:* `nil`) - A list of HealthCheck resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#healthCheckList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.HealthCheckListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.HealthCheckList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheckList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheckList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheckList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheckListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.HealthCheckListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheckListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.HealthCheckListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.HealthCheckListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheckListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheckListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheckListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheckListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheckListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.HealthCheckListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheckListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheckListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheckListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheckLogConfig","doc":"Configuration of logging on a health check. If logging is enabled, logs will be exported to Stackdriver.","ref":"GoogleApi.Compute.V1.Model.HealthCheckLogConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheckLogConfig","doc":"*   `enable` (*type:* `boolean()`, *default:* `nil`) - Indicates whether or not to export logs. This is false by default, which means no health check logging will be done.","ref":"GoogleApi.Compute.V1.Model.HealthCheckLogConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheckLogConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheckLogConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheckLogConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckLogConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheckReference","doc":"A full or valid partial URL to a health check. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project-id/global/httpHealthChecks/health-check - projects/project-id/global/httpHealthChecks/health-check - global/httpHealthChecks/health-check","ref":"GoogleApi.Compute.V1.Model.HealthCheckReference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheckReference","doc":"*   `healthCheck` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.HealthCheckReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheckReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheckReference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheckReference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheckService","doc":"Represents a Health-Check as a Service resource.","ref":"GoogleApi.Compute.V1.Model.HealthCheckService.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheckService","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthCheckService. An up-to-date fingerprint must be provided in order to patch/update the HealthCheckService; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthCheckService.\n*   `healthChecks` (*type:* `list(String.t)`, *default:* `nil`) - A list of URLs to the HealthCheck resources. Must have at least one HealthCheck, and not more than 10 for regional HealthCheckService, and not more than 1 for global HealthCheckService. HealthCheck resources must have portSpecification=USE_SERVING_PORT or portSpecification=USE_FIXED_PORT. For regional HealthCheckService, the HealthCheck must be regional and in the same region. For global HealthCheckService, HealthCheck must be global. Mix of regional and global HealthChecks is not supported. Multiple regional HealthChecks must belong to the same region. Regional HealthChecks must belong to the same region as zones of NetworkEndpointGroups. For global HealthCheckService using global INTERNET_IP_PORT NetworkEndpointGroups, the global HealthChecks must specify sourceRegions, and HealthChecks that specify sourceRegions can only be used with global INTERNET_IP_PORT NetworkEndpointGroups.\n*   `healthStatusAggregationPolicy` (*type:* `String.t`, *default:* `nil`) - Optional. Policy for how the results from multiple health checks for the same endpoint are aggregated. Defaults to NO_AGGREGATION if unspecified. - NO_AGGREGATION. An EndpointHealth message is returned for each pair in the health check service. - AND. If any health check of an endpoint reports UNHEALTHY, then UNHEALTHY is the HealthState of the endpoint. If all health checks report HEALTHY, the HealthState of the endpoint is HEALTHY. . This is only allowed with regional HealthCheckService.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#healthCheckService`) - [Output only] Type of the resource. Always compute#healthCheckServicefor health check services.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `networkEndpointGroups` (*type:* `list(String.t)`, *default:* `nil`) - A list of URLs to the NetworkEndpointGroup resources. Must not have more than 100. For regional HealthCheckService, NEGs must be in zones in the region of the HealthCheckService. For global HealthCheckServices, the NetworkEndpointGroups must be global INTERNET_IP_PORT.\n*   `notificationEndpoints` (*type:* `list(String.t)`, *default:* `nil`) - A list of URLs to the NotificationEndpoint resources. Must not have more than 10. A list of endpoints for receiving notifications of change in health status. For regional HealthCheckService, NotificationEndpoint must be regional and in the same region. For global HealthCheckService, NotificationEndpoint must be global.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the health check service resides. This field is not applicable to global health check services. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.","ref":"GoogleApi.Compute.V1.Model.HealthCheckService.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheckService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheckService.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheckService.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckService.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheckServiceReference","doc":"A full or valid partial URL to a health check service. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project-id/regions/us-west1/healthCheckServices/health-check-service - projects/project-id/regions/us-west1/healthCheckServices/health-check-service - regions/us-west1/healthCheckServices/health-check-service","ref":"GoogleApi.Compute.V1.Model.HealthCheckServiceReference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheckServiceReference","doc":"*   `healthCheckService` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.HealthCheckServiceReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheckServiceReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheckServiceReference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheckServiceReference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckServiceReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheckServicesList","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheckServicesList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.HealthCheckService.t)`, *default:* `nil`) - A list of HealthCheckService resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#healthCheckServicesList`) - [Output Only] Type of the resource. Always compute#healthCheckServicesList for lists of HealthCheckServices.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.HealthCheckServicesListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheckServicesList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheckServicesList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheckServicesListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.HealthCheckServicesListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthCheckServicesListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthCheckServicesListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthChecksAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.HealthChecksScopedList.t}`, *default:* `nil`) - A list of HealthChecksScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#healthChecksAggregatedList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthChecksAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthChecksScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthChecksScopedList","doc":"*   `healthChecks` (*type:* `list(GoogleApi.Compute.V1.Model.HealthCheck.t)`, *default:* `nil`) - A list of HealthChecks contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.HealthChecksScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthChecksScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthChecksScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarning","doc":"Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthChecksScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.HealthChecksScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthChecksScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthChecksScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthStatus","doc":"*   `annotations` (*type:* `map()`, *default:* `nil`) - Metadata defined as annotations for network endpoint.\n*   `forwardingRule` (*type:* `String.t`, *default:* `nil`) - URL of the forwarding rule associated with the health status of the instance.\n*   `forwardingRuleIp` (*type:* `String.t`, *default:* `nil`) - A forwarding rule IP address assigned to this instance.\n*   `healthState` (*type:* `String.t`, *default:* `nil`) - Health state of the IPv4 address of the instance.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - URL of the instance resource.\n*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - For target pool based Network Load Balancing, it indicates the forwarding rule's IP address assigned to this instance. For other types of load balancing, the field indicates VM internal ip.\n*   `ipv6Address` (*type:* `String.t`, *default:* `nil`) - \n*   `ipv6HealthState` (*type:* `String.t`, *default:* `nil`) - Health state of the IPv6 address of the instance.\n*   `port` (*type:* `integer()`, *default:* `nil`) - The named port of the instance group, not necessarily the port that is health-checked.\n*   `weight` (*type:* `String.t`, *default:* `nil`) - \n*   `weightError` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.HealthStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HealthStatusForNetworkEndpoint","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthStatusForNetworkEndpoint.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HealthStatusForNetworkEndpoint","doc":"*   `backendService` (*type:* `GoogleApi.Compute.V1.Model.BackendServiceReference.t`, *default:* `nil`) - URL of the backend service associated with the health state of the network endpoint.\n*   `forwardingRule` (*type:* `GoogleApi.Compute.V1.Model.ForwardingRuleReference.t`, *default:* `nil`) - URL of the forwarding rule associated with the health state of the network endpoint.\n*   `healthCheck` (*type:* `GoogleApi.Compute.V1.Model.HealthCheckReference.t`, *default:* `nil`) - URL of the health check associated with the health state of the network endpoint.\n*   `healthCheckService` (*type:* `GoogleApi.Compute.V1.Model.HealthCheckServiceReference.t`, *default:* `nil`) - URL of the health check service associated with the health state of the network endpoint.\n*   `healthState` (*type:* `String.t`, *default:* `nil`) - Health state of the network endpoint determined based on the health checks configured.\n*   `ipv6HealthState` (*type:* `String.t`, *default:* `nil`) - Health state of the ipv6 network endpoint determined based on the health checks configured.","ref":"GoogleApi.Compute.V1.Model.HealthStatusForNetworkEndpoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HealthStatusForNetworkEndpoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HealthStatusForNetworkEndpoint.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HealthStatusForNetworkEndpoint.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HealthStatusForNetworkEndpoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Help","doc":"Provides links to documentation or for performing an out of band action. For example, if a quota check failed with an error indicating the calling project hasn't enabled the accessed service, this can contain a URL pointing directly to the right place in the developer console to flip the bit.","ref":"GoogleApi.Compute.V1.Model.Help.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Help","doc":"*   `links` (*type:* `list(GoogleApi.Compute.V1.Model.HelpLink.t)`, *default:* `nil`) - URL(s) pointing to additional information on handling the current error.","ref":"GoogleApi.Compute.V1.Model.Help.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Help.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Help.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Help.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Help.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HelpLink","doc":"Describes a URL link.","ref":"GoogleApi.Compute.V1.Model.HelpLink.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HelpLink","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Describes what the link offers.\n*   `url` (*type:* `String.t`, *default:* `nil`) - The URL of the link.","ref":"GoogleApi.Compute.V1.Model.HelpLink.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HelpLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HelpLink.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HelpLink.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HelpLink.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HostRule","doc":"UrlMaps A host-matching rule for a URL. If matched, will use the named PathMatcher to select the BackendService.","ref":"GoogleApi.Compute.V1.Model.HostRule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HostRule","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `hosts` (*type:* `list(String.t)`, *default:* `nil`) - The list of host patterns to match. They must be valid hostnames with optional port numbers in the format host:port. * matches any string of ([a-z0-9-.]*). In that case, * must be the first character, and if followed by anything, the immediate following character must be either - or .. * based matching is not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.\n*   `pathMatcher` (*type:* `String.t`, *default:* `nil`) - The name of the PathMatcher to use to match the path portion of the URL if the hostRule matches the URL's host portion.","ref":"GoogleApi.Compute.V1.Model.HostRule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HostRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HostRule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HostRule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HostRule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpFaultAbort","doc":"Specification for how requests are aborted as part of fault injection.","ref":"GoogleApi.Compute.V1.Model.HttpFaultAbort.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpFaultAbort","doc":"*   `httpStatus` (*type:* `integer()`, *default:* `nil`) - The HTTP status code used to abort the request. The value must be from 200 to 599 inclusive. For gRPC protocol, the gRPC status code is mapped to HTTP status code according to this mapping table. HTTP status 200 is mapped to gRPC status UNKNOWN. Injecting an OK status is currently not supported by Traffic Director.\n*   `percentage` (*type:* `float()`, *default:* `nil`) - The percentage of traffic for connections, operations, or requests that is aborted as part of fault injection. The value must be from 0.0 to 100.0 inclusive.","ref":"GoogleApi.Compute.V1.Model.HttpFaultAbort.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpFaultAbort.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpFaultAbort.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpFaultAbort.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpFaultAbort.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpFaultDelay","doc":"Specifies the delay introduced by the load balancer before forwarding the request to the backend service as part of fault injection.","ref":"GoogleApi.Compute.V1.Model.HttpFaultDelay.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpFaultDelay","doc":"*   `fixedDelay` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Specifies the value of the fixed delay interval.\n*   `percentage` (*type:* `float()`, *default:* `nil`) - The percentage of traffic for connections, operations, or requests for which a delay is introduced as part of fault injection. The value must be from 0.0 to 100.0 inclusive.","ref":"GoogleApi.Compute.V1.Model.HttpFaultDelay.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpFaultDelay.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpFaultDelay.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpFaultDelay.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpFaultDelay.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpFaultInjection","doc":"The specification for fault injection introduced into traffic to test the resiliency of clients to backend service failure. As part of fault injection, when clients send requests to a backend service, delays can be introduced by the load balancer on a percentage of requests before sending those request to the backend service. Similarly requests from clients can be aborted by the load balancer for a percentage of requests.","ref":"GoogleApi.Compute.V1.Model.HttpFaultInjection.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpFaultInjection","doc":"*   `abort` (*type:* `GoogleApi.Compute.V1.Model.HttpFaultAbort.t`, *default:* `nil`) - The specification for how client requests are aborted as part of fault injection.\n*   `delay` (*type:* `GoogleApi.Compute.V1.Model.HttpFaultDelay.t`, *default:* `nil`) - The specification for how client requests are delayed as part of fault injection, before being sent to a backend service.","ref":"GoogleApi.Compute.V1.Model.HttpFaultInjection.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpFaultInjection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpFaultInjection.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpFaultInjection.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpFaultInjection.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpHeaderAction","doc":"The request and response header transformations that take effect before the request is passed along to the selected backendService.","ref":"GoogleApi.Compute.V1.Model.HttpHeaderAction.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpHeaderAction","doc":"*   `requestHeadersToAdd` (*type:* `list(GoogleApi.Compute.V1.Model.HttpHeaderOption.t)`, *default:* `nil`) - Headers to add to a matching request before forwarding the request to the backendService.\n*   `requestHeadersToRemove` (*type:* `list(String.t)`, *default:* `nil`) - A list of header names for headers that need to be removed from the request before forwarding the request to the backendService.\n*   `responseHeadersToAdd` (*type:* `list(GoogleApi.Compute.V1.Model.HttpHeaderOption.t)`, *default:* `nil`) - Headers to add the response before sending the response back to the client.\n*   `responseHeadersToRemove` (*type:* `list(String.t)`, *default:* `nil`) - A list of header names for headers that need to be removed from the response before sending the response back to the client.","ref":"GoogleApi.Compute.V1.Model.HttpHeaderAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpHeaderAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpHeaderAction.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpHeaderAction.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpHeaderAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpHeaderMatch","doc":"matchRule criteria for request header matches.","ref":"GoogleApi.Compute.V1.Model.HttpHeaderMatch.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpHeaderMatch","doc":"*   `exactMatch` (*type:* `String.t`, *default:* `nil`) - The value should exactly match contents of exactMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.\n*   `headerName` (*type:* `String.t`, *default:* `nil`) - The name of the HTTP header to match. For matching against the HTTP request's authority, use a headerMatch with the header name \":authority\". For matching a request's method, use the headerName \":method\". When the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true, only non-binary user-specified custom metadata and the `content-type` header are supported. The following transport-level headers cannot be used in header matching rules: `:authority`, `:method`, `:path`, `:scheme`, `user-agent`, `accept-encoding`, `content-encoding`, `grpc-accept-encoding`, `grpc-encoding`, `grpc-previous-rpc-attempts`, `grpc-tags-bin`, `grpc-timeout` and `grpc-trace-bin`.\n*   `invertMatch` (*type:* `boolean()`, *default:* `nil`) - If set to false, the headerMatch is considered a match if the preceding match criteria are met. If set to true, the headerMatch is considered a match if the preceding match criteria are NOT met. The default setting is false. \n*   `prefixMatch` (*type:* `String.t`, *default:* `nil`) - The value of the header must start with the contents of prefixMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.\n*   `presentMatch` (*type:* `boolean()`, *default:* `nil`) - A header with the contents of headerName must exist. The match takes place whether or not the request's header has a value. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.\n*   `rangeMatch` (*type:* `GoogleApi.Compute.V1.Model.Int64RangeMatch.t`, *default:* `nil`) - The header value must be an integer and its value must be in the range specified in rangeMatch. If the header does not contain an integer, number or is empty, the match fails. For example for a range [-5, 0] - -3 will match. - 0 will not match. - 0.25 will not match. - -3someString will not match. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set. rangeMatch is not supported for load balancers that have loadBalancingScheme set to EXTERNAL.\n*   `regexMatch` (*type:* `String.t`, *default:* `nil`) - The value of the header must match the regular expression specified in regexMatch. For more information about regular expression syntax, see Syntax. For matching against a port specified in the HTTP request, use a headerMatch with headerName set to PORT and a regular expression that satisfies the RFC2616 Host header's port specifier. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set. Regular expressions can only be used when the loadBalancingScheme is set to INTERNAL_SELF_MANAGED.\n*   `suffixMatch` (*type:* `String.t`, *default:* `nil`) - The value of the header must end with the contents of suffixMatch. Only one of exactMatch, prefixMatch, suffixMatch, regexMatch, presentMatch or rangeMatch must be set.","ref":"GoogleApi.Compute.V1.Model.HttpHeaderMatch.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpHeaderMatch.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpHeaderMatch.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpHeaderMatch.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpHeaderMatch.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpHeaderOption","doc":"Specification determining how headers are added to requests or responses.","ref":"GoogleApi.Compute.V1.Model.HttpHeaderOption.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpHeaderOption","doc":"*   `headerName` (*type:* `String.t`, *default:* `nil`) - The name of the header.\n*   `headerValue` (*type:* `String.t`, *default:* `nil`) - The value of the header to add.\n*   `replace` (*type:* `boolean()`, *default:* `nil`) - If false, headerValue is appended to any values that already exist for the header. If true, headerValue is set for the header, discarding any values that were set for that header. The default value is false.","ref":"GoogleApi.Compute.V1.Model.HttpHeaderOption.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpHeaderOption.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpHeaderOption.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpHeaderOption.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpHeaderOption.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpHealthCheck","doc":"Represents a legacy HTTP Health Check resource. Legacy HTTP health checks are now only required by target pool-based network load balancers. For all other load balancers, including backend service-based network load balancers, and for managed instance group auto-healing, you must use modern (non-legacy) health checks. For more information, see Health checks overview .","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheck.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpHealthCheck","doc":"*   `checkIntervalSec` (*type:* `integer()`, *default:* `nil`) - How often (in seconds) to send a health check. The default value is 5 seconds.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `healthyThreshold` (*type:* `integer()`, *default:* `nil`) - A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.\n*   `host` (*type:* `String.t`, *default:* `nil`) - The value of the host header in the HTTP health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#httpHealthCheck`) - [Output Only] Type of the resource. Always compute#httpHealthCheck for HTTP health checks.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `port` (*type:* `integer()`, *default:* `nil`) - The TCP port number for the HTTP health check request. The default value is 80.\n*   `requestPath` (*type:* `String.t`, *default:* `nil`) - The request path of the HTTP health check request. The default value is /. This field does not support query parameters. Must comply with RFC3986.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `timeoutSec` (*type:* `integer()`, *default:* `nil`) - How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec.\n*   `unhealthyThreshold` (*type:* `integer()`, *default:* `nil`) - A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheck.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpHealthCheck.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheck.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpHealthCheck.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheck.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpHealthCheckList","doc":"Contains a list of HttpHealthCheck resources.","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpHealthCheckList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.HttpHealthCheck.t)`, *default:* `nil`) - A list of HttpHealthCheck resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#httpHealthCheckList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.HttpHealthCheckListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpHealthCheckList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpHealthCheckList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpHealthCheckListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.HttpHealthCheckListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpHealthCheckListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpHealthCheckListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpQueryParameterMatch","doc":"HttpRouteRuleMatch criteria for a request's query parameter.","ref":"GoogleApi.Compute.V1.Model.HttpQueryParameterMatch.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpQueryParameterMatch","doc":"*   `exactMatch` (*type:* `String.t`, *default:* `nil`) - The queryParameterMatch matches if the value of the parameter exactly matches the contents of exactMatch. Only one of presentMatch, exactMatch, or regexMatch must be set. \n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the query parameter to match. The query parameter must exist in the request, in the absence of which the request match fails.\n*   `presentMatch` (*type:* `boolean()`, *default:* `nil`) - Specifies that the queryParameterMatch matches if the request contains the query parameter, irrespective of whether the parameter has a value or not. Only one of presentMatch, exactMatch, or regexMatch must be set. \n*   `regexMatch` (*type:* `String.t`, *default:* `nil`) - The queryParameterMatch matches if the value of the parameter matches the regular expression specified by regexMatch. For more information about regular expression syntax, see Syntax. Only one of presentMatch, exactMatch, or regexMatch must be set. Regular expressions can only be used when the loadBalancingScheme is set to INTERNAL_SELF_MANAGED.","ref":"GoogleApi.Compute.V1.Model.HttpQueryParameterMatch.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpQueryParameterMatch.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpQueryParameterMatch.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpQueryParameterMatch.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpQueryParameterMatch.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpRedirectAction","doc":"Specifies settings for an HTTP redirect.","ref":"GoogleApi.Compute.V1.Model.HttpRedirectAction.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpRedirectAction","doc":"*   `hostRedirect` (*type:* `String.t`, *default:* `nil`) - The host that is used in the redirect response instead of the one that was supplied in the request. The value must be from 1 to 255 characters.\n*   `httpsRedirect` (*type:* `boolean()`, *default:* `nil`) - If set to true, the URL scheme in the redirected request is set to HTTPS. If set to false, the URL scheme of the redirected request remains the same as that of the request. This must only be set for URL maps used in TargetHttpProxys. Setting this true for TargetHttpsProxy is not permitted. The default is set to false.\n*   `pathRedirect` (*type:* `String.t`, *default:* `nil`) - The path that is used in the redirect response instead of the one that was supplied in the request. pathRedirect cannot be supplied together with prefixRedirect. Supply one alone or neither. If neither is supplied, the path of the original request is used for the redirect. The value must be from 1 to 1024 characters.\n*   `prefixRedirect` (*type:* `String.t`, *default:* `nil`) - The prefix that replaces the prefixMatch specified in the HttpRouteRuleMatch, retaining the remaining portion of the URL before redirecting the request. prefixRedirect cannot be supplied together with pathRedirect. Supply one alone or neither. If neither is supplied, the path of the original request is used for the redirect. The value must be from 1 to 1024 characters.\n*   `redirectResponseCode` (*type:* `String.t`, *default:* `nil`) - The HTTP Status code to use for this RedirectAction. Supported values are: - MOVED_PERMANENTLY_DEFAULT, which is the default value and corresponds to 301. - FOUND, which corresponds to 302. - SEE_OTHER which corresponds to 303. - TEMPORARY_REDIRECT, which corresponds to 307. In this case, the request method is retained. - PERMANENT_REDIRECT, which corresponds to 308. In this case, the request method is retained. \n*   `stripQuery` (*type:* `boolean()`, *default:* `nil`) - If set to true, any accompanying query portion of the original URL is removed before redirecting the request. If set to false, the query portion of the original URL is retained. The default is set to false.","ref":"GoogleApi.Compute.V1.Model.HttpRedirectAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpRedirectAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpRedirectAction.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpRedirectAction.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpRedirectAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpRetryPolicy","doc":"The retry policy associates with HttpRouteRule","ref":"GoogleApi.Compute.V1.Model.HttpRetryPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpRetryPolicy","doc":"*   `numRetries` (*type:* `integer()`, *default:* `nil`) - Specifies the allowed number retries. This number must be > 0. If not specified, defaults to 1.\n*   `perTryTimeout` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Specifies a non-zero timeout per retry attempt. If not specified, will use the timeout set in the HttpRouteAction field. If timeout in the HttpRouteAction field is not set, this field uses the largest timeout among all backend services associated with the route. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.\n*   `retryConditions` (*type:* `list(String.t)`, *default:* `nil`) - Specifies one or more conditions when this retry policy applies. Valid values are: - 5xx: retry is attempted if the instance or endpoint responds with any 5xx response code, or if the instance or endpoint does not respond at all. For example, disconnects, reset, read timeout, connection failure, and refused streams. - gateway-error: Similar to 5xx, but only applies to response codes 502, 503 or 504. - connect-failure: a retry is attempted on failures connecting to the instance or endpoint. For example, connection timeouts. - retriable-4xx: a retry is attempted if the instance or endpoint responds with a 4xx response code. The only error that you can retry is error code 409. - refused-stream: a retry is attempted if the instance or endpoint resets the stream with a REFUSED_STREAM error code. This reset type indicates that it is safe to retry. - cancelled: a retry is attempted if the gRPC status code in the response header is set to cancelled. - deadline-exceeded: a retry is attempted if the gRPC status code in the response header is set to deadline-exceeded. - internal: a retry is attempted if the gRPC status code in the response header is set to internal. - resource-exhausted: a retry is attempted if the gRPC status code in the response header is set to resource-exhausted. - unavailable: a retry is attempted if the gRPC status code in the response header is set to unavailable. Only the following codes are supported when the URL map is bound to target gRPC proxy that has validateForProxyless field set to true. - cancelled - deadline-exceeded - internal - resource-exhausted - unavailable","ref":"GoogleApi.Compute.V1.Model.HttpRetryPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpRetryPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpRetryPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpRetryPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpRetryPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpRouteAction","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpRouteAction.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpRouteAction","doc":"*   `corsPolicy` (*type:* `GoogleApi.Compute.V1.Model.CorsPolicy.t`, *default:* `nil`) - The specification for allowing client-side cross-origin requests. For more information about the W3C recommendation for cross-origin resource sharing (CORS), see Fetch API Living Standard. Not supported when the URL map is bound to a target gRPC proxy.\n*   `faultInjectionPolicy` (*type:* `GoogleApi.Compute.V1.Model.HttpFaultInjection.t`, *default:* `nil`) - The specification for fault injection introduced into traffic to test the resiliency of clients to backend service failure. As part of fault injection, when clients send requests to a backend service, delays can be introduced by a load balancer on a percentage of requests before sending those requests to the backend service. Similarly requests from clients can be aborted by the load balancer for a percentage of requests. timeout and retry_policy is ignored by clients that are configured with a fault_injection_policy if: 1. The traffic is generated by fault injection AND 2. The fault injection is not a delay fault injection. Fault injection is not supported with the classic Application Load Balancer . To see which load balancers support fault injection, see Load balancing: Routing and traffic management features.\n*   `maxStreamDuration` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Specifies the maximum duration (timeout) for streams on the selected route. Unlike the timeout field where the timeout duration starts from the time the request has been fully processed (known as *end-of-stream*), the duration in this field is computed from the beginning of the stream until the response has been processed, including all retries. A stream that does not complete in this duration is closed. If not specified, this field uses the maximum maxStreamDuration value among all backend services associated with the route. This field is only allowed if the Url map is used with backend services with loadBalancingScheme set to INTERNAL_SELF_MANAGED.\n*   `requestMirrorPolicy` (*type:* `GoogleApi.Compute.V1.Model.RequestMirrorPolicy.t`, *default:* `nil`) - Specifies the policy on how requests intended for the route's backends are shadowed to a separate mirrored backend service. The load balancer does not wait for responses from the shadow service. Before sending traffic to the shadow service, the host / authority header is suffixed with -shadow. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.\n*   `retryPolicy` (*type:* `GoogleApi.Compute.V1.Model.HttpRetryPolicy.t`, *default:* `nil`) - Specifies the retry policy associated with this route.\n*   `timeout` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Specifies the timeout for the selected route. Timeout is computed from the time the request has been fully processed (known as *end-of-stream*) up until the response has been processed. Timeout includes all retries. If not specified, this field uses the largest timeout among all backend services associated with the route. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.\n*   `urlRewrite` (*type:* `GoogleApi.Compute.V1.Model.UrlRewrite.t`, *default:* `nil`) - The spec to modify the URL of the request, before forwarding the request to the matched service. urlRewrite is the only action supported in UrlMaps for classic Application Load Balancers. Not supported when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.\n*   `weightedBackendServices` (*type:* `list(GoogleApi.Compute.V1.Model.WeightedBackendService.t)`, *default:* `nil`) - A list of weighted backend services to send traffic to when a route match occurs. The weights determine the fraction of traffic that flows to their corresponding backend service. If all traffic needs to go to a single backend service, there must be one weightedBackendService with weight set to a non-zero number. After a backend service is identified and before forwarding the request to the backend service, advanced routing actions such as URL rewrites and header transformations are applied depending on additional settings specified in this HttpRouteAction.","ref":"GoogleApi.Compute.V1.Model.HttpRouteAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpRouteAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpRouteAction.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpRouteAction.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpRouteAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpRouteRule","doc":"The HttpRouteRule setting specifies how to match an HTTP request and the corresponding routing action that load balancing proxies perform.","ref":"GoogleApi.Compute.V1.Model.HttpRouteRule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpRouteRule","doc":"*   `customErrorResponsePolicy` (*type:* `GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy.t`, *default:* `nil`) - customErrorResponsePolicy specifies how the Load Balancer returns error responses when BackendServiceor BackendBucket responds with an error. If a policy for an error code is not configured for the RouteRule, a policy for the error code configured in pathMatcher.defaultCustomErrorResponsePolicy is applied. If one is not specified in pathMatcher.defaultCustomErrorResponsePolicy, the policy configured in UrlMap.defaultCustomErrorResponsePolicy takes effect. For example, consider a UrlMap with the following configuration: - UrlMap.defaultCustomErrorResponsePolicy are configured with policies for 5xx and 4xx errors - A RouteRule for /coming_soon/ is configured for the error code 404. If the request is for www.myotherdomain.com and a 404 is encountered, the policy under UrlMap.defaultCustomErrorResponsePolicy takes effect. If a 404 response is encountered for the request www.example.com/current_events/, the pathMatcher's policy takes effect. If however, the request for www.example.com/coming_soon/ encounters a 404, the policy in RouteRule.customErrorResponsePolicy takes effect. If any of the requests in this example encounter a 500 error code, the policy at UrlMap.defaultCustomErrorResponsePolicy takes effect. When used in conjunction with routeRules.routeAction.retryPolicy, retries take precedence. Only once all retries are exhausted, the customErrorResponsePolicy is applied. While attempting a retry, if load balancer is successful in reaching the service, the customErrorResponsePolicy is ignored and the response from the service is returned to the client. customErrorResponsePolicy is supported only for global external Application Load Balancers.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The short description conveying the intent of this routeRule. The description can have a maximum length of 1024 characters.\n*   `headerAction` (*type:* `GoogleApi.Compute.V1.Model.HttpHeaderAction.t`, *default:* `nil`) - Specifies changes to request and response headers that need to take effect for the selected backendService. The headerAction value specified here is applied before the matching pathMatchers[].headerAction and after pathMatchers[].routeRules[].routeAction.weightedBackendService.backendServiceWeightAction[].headerAction HeaderAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.\n*   `matchRules` (*type:* `list(GoogleApi.Compute.V1.Model.HttpRouteRuleMatch.t)`, *default:* `nil`) - The list of criteria for matching attributes of a request to this routeRule. This list has OR semantics: the request matches this routeRule when any of the matchRules are satisfied. However predicates within a given matchRule have AND semantics. All predicates within a matchRule must match for the request to match the rule.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - For routeRules within a given pathMatcher, priority determines the order in which a load balancer interprets routeRules. RouteRules are evaluated in order of priority, from the lowest to highest number. The priority of a rule decreases as its number increases (1, 2, 3, N+1). The first rule that matches the request is applied. You cannot configure two or more routeRules with the same priority. Priority for each rule must be set to a number from 0 to 2147483647 inclusive. Priority numbers can have gaps, which enable you to add or remove rules in the future without affecting the rest of the rules. For example, 1, 2, 3, 4, 5, 9, 12, 16 is a valid series of priority numbers to which you could add rules numbered from 6 to 8, 10 to 11, and 13 to 15 in the future without any impact on existing rules.\n*   `routeAction` (*type:* `GoogleApi.Compute.V1.Model.HttpRouteAction.t`, *default:* `nil`) - In response to a matching matchRule, the load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If routeAction specifies any weightedBackendServices, service must not be set. Conversely if service is set, routeAction cannot contain any weightedBackendServices. Only one of urlRedirect, service or routeAction.weightedBackendService must be set. URL maps for classic Application Load Balancers only support the urlRewrite action within a route rule's routeAction.\n*   `service` (*type:* `String.t`, *default:* `nil`) - The full or partial URL of the backend service resource to which traffic is directed if this rule is matched. If routeAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if service is specified, routeAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of urlRedirect, service or routeAction.weightedBackendService must be set.\n*   `urlRedirect` (*type:* `GoogleApi.Compute.V1.Model.HttpRedirectAction.t`, *default:* `nil`) - When this rule is matched, the request is redirected to a URL specified by urlRedirect. If urlRedirect is specified, service or routeAction must not be set. Not supported when the URL map is bound to a target gRPC proxy.","ref":"GoogleApi.Compute.V1.Model.HttpRouteRule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpRouteRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpRouteRule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpRouteRule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpRouteRule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpRouteRuleMatch","doc":"HttpRouteRuleMatch specifies a set of criteria for matching requests to an HttpRouteRule. All specified criteria must be satisfied for a match to occur.","ref":"GoogleApi.Compute.V1.Model.HttpRouteRuleMatch.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpRouteRuleMatch","doc":"*   `fullPathMatch` (*type:* `String.t`, *default:* `nil`) - For satisfying the matchRule condition, the path of the request must exactly match the value specified in fullPathMatch after removing any query parameters and anchor that may be part of the original URL. fullPathMatch must be from 1 to 1024 characters. Only one of prefixMatch, fullPathMatch or regexMatch must be specified.\n*   `headerMatches` (*type:* `list(GoogleApi.Compute.V1.Model.HttpHeaderMatch.t)`, *default:* `nil`) - Specifies a list of header match criteria, all of which must match corresponding headers in the request.\n*   `ignoreCase` (*type:* `boolean()`, *default:* `nil`) - Specifies that prefixMatch and fullPathMatch matches are case sensitive. The default value is false. ignoreCase must not be used with regexMatch. Not supported when the URL map is bound to a target gRPC proxy.\n*   `metadataFilters` (*type:* `list(GoogleApi.Compute.V1.Model.MetadataFilter.t)`, *default:* `nil`) - Opaque filter criteria used by the load balancer to restrict routing configuration to a limited set of xDS compliant clients. In their xDS requests to the load balancer, xDS clients present node metadata. When there is a match, the relevant routing configuration is made available to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. If multiple metadata filters are specified, all of them need to be satisfied in order to be considered a match. metadataFilters specified here is applied after those specified in ForwardingRule that refers to the UrlMap this HttpRouteRuleMatch belongs to. metadataFilters only applies to load balancers that have loadBalancingScheme set to INTERNAL_SELF_MANAGED. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.\n*   `pathTemplateMatch` (*type:* `String.t`, *default:* `nil`) - If specified, the route is a pattern match expression that must match the :path header once the query string is removed. A pattern match allows you to match - The value must be between 1 and 1024 characters - The pattern must start with a leading slash (\"/\") - There may be no more than 5 operators in pattern Precisely one of prefix_match, full_path_match, regex_match or path_template_match must be set.\n*   `prefixMatch` (*type:* `String.t`, *default:* `nil`) - For satisfying the matchRule condition, the request's path must begin with the specified prefixMatch. prefixMatch must begin with a /. The value must be from 1 to 1024 characters. Only one of prefixMatch, fullPathMatch or regexMatch must be specified.\n*   `queryParameterMatches` (*type:* `list(GoogleApi.Compute.V1.Model.HttpQueryParameterMatch.t)`, *default:* `nil`) - Specifies a list of query parameter match criteria, all of which must match corresponding query parameters in the request. Not supported when the URL map is bound to a target gRPC proxy.\n*   `regexMatch` (*type:* `String.t`, *default:* `nil`) - For satisfying the matchRule condition, the path of the request must satisfy the regular expression specified in regexMatch after removing any query parameters and anchor supplied with the original URL. For more information about regular expression syntax, see Syntax. Only one of prefixMatch, fullPathMatch or regexMatch must be specified. Regular expressions can only be used when the loadBalancingScheme is set to INTERNAL_SELF_MANAGED.","ref":"GoogleApi.Compute.V1.Model.HttpRouteRuleMatch.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpRouteRuleMatch.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpRouteRuleMatch.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpRouteRuleMatch.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpRouteRuleMatch.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheck","doc":"Represents a legacy HTTPS Health Check resource. Legacy HTTPS health checks have been deprecated. If you are using a target pool-based network load balancer, you must use a legacy HTTP (not HTTPS) health check. For all other load balancers, including backend service-based network load balancers, and for managed instance group auto-healing, you must use modern (non-legacy) health checks. For more information, see Health checks overview .","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheck.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpsHealthCheck","doc":"*   `checkIntervalSec` (*type:* `integer()`, *default:* `nil`) - How often (in seconds) to send a health check. The default value is 5 seconds.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `healthyThreshold` (*type:* `integer()`, *default:* `nil`) - A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.\n*   `host` (*type:* `String.t`, *default:* `nil`) - The value of the host header in the HTTPS health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#httpsHealthCheck`) - Type of the resource.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `port` (*type:* `integer()`, *default:* `nil`) - The TCP port number for the HTTPS health check request. The default value is 443.\n*   `requestPath` (*type:* `String.t`, *default:* `nil`) - The request path of the HTTPS health check request. The default value is \"/\". Must comply with RFC3986.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `timeoutSec` (*type:* `integer()`, *default:* `nil`) - How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have a greater value than checkIntervalSec.\n*   `unhealthyThreshold` (*type:* `integer()`, *default:* `nil`) - A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheck.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheck.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheck.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheck.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheck.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheckList","doc":"Contains a list of HttpsHealthCheck resources.","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpsHealthCheckList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.HttpsHealthCheck.t)`, *default:* `nil`) - A list of HttpsHealthCheck resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#httpsHealthCheckList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheckList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheckList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.HttpsHealthCheckListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Image","doc":"Represents an Image resource. You can use images to create boot disks for your VM instances. For more information, read Images.","ref":"GoogleApi.Compute.V1.Model.Image.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Image","doc":"*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to apply to this image. These can be later modified by the setLabels method.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `guestOsFeatures` (*type:* `list(GoogleApi.Compute.V1.Model.GuestOsFeature.t)`, *default:* `nil`) - A list of features to enable on the guest operating system. Applicable only for bootable images. To see a list of available options, see the guestOSfeatures[].type parameter.\n*   `sourceType` (*type:* `String.t`, *default:* `RAW`) - The type of the image used to create this disk. The default and only valid value is RAW.\n*   `kind` (*type:* `String.t`, *default:* `compute#image`) - [Output Only] Type of the resource. Always compute#image for images.\n*   `enableConfidentialCompute` (*type:* `boolean()`, *default:* `nil`) - Whether this image is created from a confidential compute mode disk. [Output Only]: This field is not set by user, but from source disk.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `storageLocations` (*type:* `list(String.t)`, *default:* `nil`) - Cloud Storage bucket storage location of the image (regional or multi-regional).\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `sourceSnapshotId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The ID value of the snapshot used to create this image. This value may be used to determine whether the snapshot was taken from the current or a previous instance of a given snapshot name.\n*   `sourceSnapshotEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - The customer-supplied encryption key of the source snapshot. Required if the source snapshot is protected by a customer-supplied encryption key.\n*   `sourceSnapshot` (*type:* `String.t`, *default:* `nil`) - URL of the source snapshot used to create this image. The following are valid formats for the URL: - https://www.googleapis.com/compute/v1/projects/project_id/global/ snapshots/snapshot_name - projects/project_id/global/snapshots/snapshot_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL \n*   `sourceDisk` (*type:* `String.t`, *default:* `nil`) - URL of the source disk used to create this image. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL \n*   `archiveSizeBytes` (*type:* `String.t`, *default:* `nil`) - Size of the image tar.gz archive stored in Google Cloud Storage (in bytes).\n*   `imageEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - Encrypts the image using a customer-supplied encryption key. After you encrypt an image with a customer-supplied key, you must provide the same key if you use the image later (e.g. to create a disk from the image). Customer-supplied encryption keys do not protect access to metadata of the disk. If you do not provide an encryption key when creating the image, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the image later.\n*   `rawDisk` (*type:* `GoogleApi.Compute.V1.Model.ImageRawDisk.t`, *default:* `nil`) - The parameters of the raw disk image.\n*   `diskSizeGb` (*type:* `String.t`, *default:* `nil`) - Size of the image when restored onto a persistent disk (in GB).\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `shieldedInstanceInitialState` (*type:* `GoogleApi.Compute.V1.Model.InitialStateConfig.t`, *default:* `nil`) - Set the secure boot keys of shielded instance.\n*   `family` (*type:* `String.t`, *default:* `nil`) - The name of the image family to which this image belongs. The image family name can be from a publicly managed image family provided by Compute Engine, or from a custom image family you create. For example, centos-stream-9 is a publicly available image family. For more information, see Image family best practices. When creating disks, you can specify an image family instead of a specific image name. The image family always returns its latest image that is not deprecated. The name of the image family must comply with RFC1035.\n*   `sourceImageEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key.\n*   `architecture` (*type:* `String.t`, *default:* `nil`) - The architecture of the image. Valid values are ARM64 or X86_64.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this image, which is essentially a hash of the labels used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an image.\n*   `deprecated` (*type:* `GoogleApi.Compute.V1.Model.DeprecationStatus.t`, *default:* `nil`) - The deprecation status associated with this image.\n*   `sourceDiskId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The ID value of the disk used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given disk name.\n*   `licenses` (*type:* `list(String.t)`, *default:* `nil`) - Any applicable license URI.\n*   `sourceImage` (*type:* `String.t`, *default:* `nil`) - URL of the source image used to create this image. The following are valid formats for the URL: - https://www.googleapis.com/compute/v1/projects/project_id/global/ images/image_name - projects/project_id/global/images/image_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL \n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the image. An image can be used to create other resources, such as instances, only after the image has been successfully created and the status is set to READY. Possible values are FAILED, PENDING, or READY.\n*   `licenseCodes` (*type:* `list(String.t)`, *default:* `nil`) - Integer license codes indicating which licenses are attached to this image.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `sourceImageId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The ID value of the image used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given image name.\n*   `sourceDiskEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. Reserved for future use.","ref":"GoogleApi.Compute.V1.Model.Image.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Image.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Image.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Image.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Image.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ImageFamilyView","doc":"","ref":"GoogleApi.Compute.V1.Model.ImageFamilyView.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ImageFamilyView","doc":"*   `image` (*type:* `GoogleApi.Compute.V1.Model.Image.t`, *default:* `nil`) - The latest image that is part of the specified image family in the requested location, and that is not deprecated.","ref":"GoogleApi.Compute.V1.Model.ImageFamilyView.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ImageFamilyView.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ImageFamilyView.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ImageFamilyView.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ImageFamilyView.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ImageList","doc":"Contains a list of images.","ref":"GoogleApi.Compute.V1.Model.ImageList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ImageList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Image.t)`, *default:* `nil`) - A list of Image resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#imageList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ImageListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ImageList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ImageList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ImageList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ImageList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ImageList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ImageListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ImageListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ImageListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ImageListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ImageListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ImageListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ImageListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ImageListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ImageListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ImageListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ImageListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ImageListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ImageListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ImageListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ImageListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ImageListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ImageListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ImageRawDisk","doc":"The parameters of the raw disk image.","ref":"GoogleApi.Compute.V1.Model.ImageRawDisk.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ImageRawDisk","doc":"*   `containerType` (*type:* `String.t`, *default:* `nil`) - The format used to encode and transmit the block device, which should be TAR. This is just a container and transmission format and not a runtime format. Provided by the client when the disk image is created.\n*   `sha1Checksum` (*type:* `String.t`, *default:* `nil`) - [Deprecated] This field is deprecated. An optional SHA1 checksum of the disk image before unpackaging provided by the client when the disk image is created.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The full Google Cloud Storage URL where the raw disk image archive is stored. The following are valid formats for the URL: - https://storage.googleapis.com/bucket_name/image_archive_name - https://storage.googleapis.com/bucket_name/folder_name/ image_archive_name In order to create an image, you must provide the full or partial URL of one of the following: - The rawDisk.source URL - The sourceDisk URL - The sourceImage URL - The sourceSnapshot URL","ref":"GoogleApi.Compute.V1.Model.ImageRawDisk.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ImageRawDisk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ImageRawDisk.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ImageRawDisk.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ImageRawDisk.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InitialStateConfig","doc":"Initial State for shielded instance, these are public keys which are safe to store in public","ref":"GoogleApi.Compute.V1.Model.InitialStateConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InitialStateConfig","doc":"*   `dbs` (*type:* `list(GoogleApi.Compute.V1.Model.FileContentBuffer.t)`, *default:* `nil`) - The Key Database (db).\n*   `dbxs` (*type:* `list(GoogleApi.Compute.V1.Model.FileContentBuffer.t)`, *default:* `nil`) - The forbidden key database (dbx).\n*   `keks` (*type:* `list(GoogleApi.Compute.V1.Model.FileContentBuffer.t)`, *default:* `nil`) - The Key Exchange Key (KEK).\n*   `pk` (*type:* `GoogleApi.Compute.V1.Model.FileContentBuffer.t`, *default:* `nil`) - The Platform Key (PK).","ref":"GoogleApi.Compute.V1.Model.InitialStateConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InitialStateConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InitialStateConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InitialStateConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InitialStateConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Instance","doc":"Represents an Instance resource. An instance is a virtual machine that is hosted on Google Cloud Platform. For more information, read Virtual Machine Instances.","ref":"GoogleApi.Compute.V1.Model.Instance.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Instance","doc":"*   `startRestricted` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Whether a VM has been restricted for start because Compute Engine has detected suspicious activity.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `deletionProtection` (*type:* `boolean()`, *default:* `nil`) - Whether the resource should be protected against deletion.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to apply to this instance. These can be later modified by the setLabels method.\n*   `lastSuspendedTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Last suspended timestamp in RFC3339 text format.\n*   `lastStartTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Last start timestamp in RFC3339 text format.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `advancedMachineFeatures` (*type:* `GoogleApi.Compute.V1.Model.AdvancedMachineFeatures.t`, *default:* `nil`) - Controls for advanced machine-related behavior features.\n*   `shieldedInstanceConfig` (*type:* `GoogleApi.Compute.V1.Model.ShieldedInstanceConfig.t`, *default:* `nil`) - \n*   `networkPerformanceConfig` (*type:* `GoogleApi.Compute.V1.Model.NetworkPerformanceConfig.t`, *default:* `nil`) - \n*   `metadata` (*type:* `GoogleApi.Compute.V1.Model.Metadata.t`, *default:* `nil`) - The metadata key/value pairs assigned to this instance. This includes custom metadata and predefined keys.\n*   `kind` (*type:* `String.t`, *default:* `compute#instance`) - [Output Only] Type of the resource. Always compute#instance for instances.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `resourceStatus` (*type:* `GoogleApi.Compute.V1.Model.ResourceStatus.t`, *default:* `nil`) - [Output Only] Specifies values set for instance attributes as compared to the values requested by user in the corresponding input only field.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `statusMessage` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional, human-readable explanation of the status.\n*   `hostname` (*type:* `String.t`, *default:* `nil`) - Specifies the hostname of the instance. The specified hostname must be RFC1035 compliant. If hostname is not specified, the default hostname is [INSTANCE_NAME].c.[PROJECT_ID].internal when using the global DNS, and [INSTANCE_NAME].[ZONE].c.[PROJECT_ID].internal when using zonal DNS.\n*   `confidentialInstanceConfig` (*type:* `GoogleApi.Compute.V1.Model.ConfidentialInstanceConfig.t`, *default:* `nil`) - \n*   `serviceAccounts` (*type:* `list(GoogleApi.Compute.V1.Model.ServiceAccount.t)`, *default:* `nil`) - A list of service accounts, with their specified scopes, authorized for this instance. Only one service account per VM instance is supported. Service accounts generate access tokens that can be accessed through the metadata server and used to authenticate applications on the instance. See Service Accounts for more information.\n*   `minCpuPlatform` (*type:* `String.t`, *default:* `nil`) - Specifies a minimum CPU platform for the VM instance. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\".\n*   `tags` (*type:* `GoogleApi.Compute.V1.Model.Tags.t`, *default:* `nil`) - Tags to apply to this instance. Tags are used to identify valid sources or targets for network firewalls and are specified by the client during instance creation. The tags can be later modified by the setTags method. Each tag within the list must comply with RFC1035. Multiple tags can be specified via the 'tags.items' field.\n*   `scheduling` (*type:* `GoogleApi.Compute.V1.Model.Scheduling.t`, *default:* `nil`) - Sets the scheduling options for this instance.\n*   `disks` (*type:* `list(GoogleApi.Compute.V1.Model.AttachedDisk.t)`, *default:* `nil`) - Array of disks associated with this instance. Persistent disks must be created before you can assign them.\n*   `networkInterfaces` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkInterface.t)`, *default:* `nil`) - An array of network configurations for this instance. These specify how interfaces are configured to interact with other network services, such as connecting to the internet. Multiple interfaces are supported per instance.\n*   `sourceMachineImageEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - Source machine image encryption key when creating an instance from a machine image.\n*   `cpuPlatform` (*type:* `String.t`, *default:* `nil`) - [Output Only] The CPU platform used by this instance.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `machineType` (*type:* `String.t`, *default:* `nil`) - Full or partial URL of the machine type resource to use for this instance, in the format: zones/zone/machineTypes/machine-type. This is provided by the client when the instance is created. For example, the following is a valid partial url to a predefined machine type: zones/us-central1-f/machineTypes/n1-standard-1 To create a custom machine type, provide a URL to a machine type in the following format, where CPUS is 1 or an even number up to 32 (2, 4, 6, ... 24, etc), and MEMORY is the total memory for this instance. Memory must be a multiple of 256 MB and must be supplied in MB (e.g. 5 GB of memory is 5120 MB): zones/zone/machineTypes/custom-CPUS-MEMORY For example: zones/us-central1-f/machineTypes/custom-4-5120 For a full list of restrictions, read the Specifications for custom machine types.\n*   `keyRevocationActionType` (*type:* `String.t`, *default:* `nil`) - KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the zone where the instance resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `canIpForward` (*type:* `boolean()`, *default:* `nil`) - Allows this instance to send and receive packets with non-matching destination or source IPs. This is required if you plan to use this instance to forward routes. For more information, see Enabling IP Forwarding .\n*   `instanceEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - Encrypts suspended data for an instance with a customer-managed encryption key. If you are creating a new instance, this field will encrypt the local SSD and in-memory contents of the instance during the suspend operation. If you do not provide an encryption key when creating the instance, then the local SSD and in-memory contents will be encrypted using an automatically generated key during the suspend operation.\n*   `sourceMachineImage` (*type:* `String.t`, *default:* `nil`) - Source machine image\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for this request, which is essentially a hash of the label's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. To see the latest fingerprint, make get() request to the instance.\n*   `params` (*type:* `GoogleApi.Compute.V1.Model.InstanceParams.t`, *default:* `nil`) - Input only. [Input Only] Additional params passed with the request, but not persisted as part of resource payload.\n*   `displayDevice` (*type:* `GoogleApi.Compute.V1.Model.DisplayDevice.t`, *default:* `nil`) - Enables display device for the instance.\n*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - Resource policies applied to this instance.\n*   `lastStopTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Last stop timestamp in RFC3339 text format.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the instance. One of the following values: PROVISIONING, STAGING, RUNNING, STOPPING, SUSPENDING, SUSPENDED, REPAIRING, and TERMINATED. For more information about the status of the instance, see Instance life cycle.\n*   `guestAccelerators` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorConfig.t)`, *default:* `nil`) - A list of the type and count of accelerator cards attached to the instance.\n*   `shieldedInstanceIntegrityPolicy` (*type:* `GoogleApi.Compute.V1.Model.ShieldedInstanceIntegrityPolicy.t`, *default:* `nil`) - \n*   `reservationAffinity` (*type:* `GoogleApi.Compute.V1.Model.ReservationAffinity.t`, *default:* `nil`) - Specifies the reservations that this instance can consume from.\n*   `privateIpv6GoogleAccess` (*type:* `String.t`, *default:* `nil`) - The private IPv6 google access type for the VM. If not specified, use INHERIT_FROM_SUBNETWORK as default.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Specifies a fingerprint for this resource, which is essentially a hash of the instance's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update the instance. You must always provide an up-to-date fingerprint hash in order to update the instance. To see the latest fingerprint, make get() request to the instance.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.","ref":"GoogleApi.Compute.V1.Model.Instance.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Instance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Instance.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Instance.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Instance.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.InstancesScopedList.t}`, *default:* `nil`) - An object that contains a list of instances scoped by zone.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceAggregatedList`) - [Output Only] Type of resource. Always compute#instanceAggregatedList for aggregated lists of Instance resources.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceConsumptionData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceConsumptionData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceConsumptionData","doc":"*   `consumptionInfo` (*type:* `GoogleApi.Compute.V1.Model.InstanceConsumptionInfo.t`, *default:* `nil`) - Resources consumed by the instance.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - Server-defined URL for the instance.","ref":"GoogleApi.Compute.V1.Model.InstanceConsumptionData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceConsumptionData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceConsumptionData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceConsumptionData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceConsumptionData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceConsumptionInfo","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceConsumptionInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceConsumptionInfo","doc":"*   `guestCpus` (*type:* `integer()`, *default:* `nil`) - The number of virtual CPUs that are available to the instance.\n*   `localSsdGb` (*type:* `integer()`, *default:* `nil`) - The amount of local SSD storage available to the instance, defined in GiB.\n*   `memoryMb` (*type:* `integer()`, *default:* `nil`) - The amount of physical memory available to the instance, defined in MiB.\n*   `minNodeCpus` (*type:* `integer()`, *default:* `nil`) - The minimal guaranteed number of virtual CPUs that are reserved.","ref":"GoogleApi.Compute.V1.Model.InstanceConsumptionInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceConsumptionInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceConsumptionInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceConsumptionInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceConsumptionInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroup","doc":"Represents an Instance Group resource. Instance Groups can be used to configure a target for load balancing. Instance groups can either be managed or unmanaged. To create managed instance groups, use the instanceGroupManager or regionInstanceGroupManager resource instead. Use zonal unmanaged instance groups if you need to apply load balancing to groups of heterogeneous instances or if you need to manage the instances yourself. You cannot create regional unmanaged instance groups. For more information, read Instance groups.","ref":"GoogleApi.Compute.V1.Model.InstanceGroup.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroup","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] The creation timestamp for this instance group in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - [Output Only] The fingerprint of the named ports. The system uses this fingerprint to detect conflicts when multiple users change the named ports concurrently.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] A unique identifier for this instance group, generated by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceGroup`) - [Output Only] The resource type, which is always compute#instanceGroup for instance groups.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the instance group. The name must be 1-63 characters long, and comply with RFC1035.\n*   `namedPorts` (*type:* `list(GoogleApi.Compute.V1.Model.NamedPort.t)`, *default:* `nil`) -  Assigns a name to a port number. For example: {name: \"http\", port: 80} This allows the system to reference ports by the assigned name instead of a port number. Named ports can also contain multiple ports. For example: [{name: \"app1\", port: 8080}, {name: \"app1\", port: 8081}, {name: \"app2\", port: 8082}] Named ports apply to all instances in this instance group. \n*   `network` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the network to which all instances in the instance group belong. If your instance has multiple network interfaces, then the network and subnetwork fields only refer to the network and subnet used by your primary interface (nic0).\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the region where the instance group is located (for regional resources).\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL for this instance group. The server generates this URL.\n*   `size` (*type:* `integer()`, *default:* `nil`) - [Output Only] The total number of instances in the instance group.\n*   `subnetwork` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the subnetwork to which all instances in the instance group belong. If your instance has multiple network interfaces, then the network and subnetwork fields only refer to the network and subnet used by your primary interface (nic0).\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the zone where the instance group is located (for zonal resources).","ref":"GoogleApi.Compute.V1.Model.InstanceGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroup.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroup.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.InstanceGroupsScopedList.t}`, *default:* `nil`) - A list of InstanceGroupsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceGroupAggregatedList`) - [Output Only] The resource type, which is always compute#instanceGroupAggregatedList for aggregated lists of instance groups.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupList","doc":"A list of InstanceGroup resources.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroup.t)`, *default:* `nil`) - A list of InstanceGroup resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceGroupList`) - [Output Only] The resource type, which is always compute#instanceGroupList for instance group lists.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManager","doc":"Represents a Managed Instance Group resource. An instance group is a collection of VM instances that you can manage as a single entity. For more information, read Instance groups. For zonal Managed Instance Group, use the instanceGroupManagers resource. For regional Managed Instance Group, use the regionInstanceGroupManagers resource.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManager.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManager","doc":"*   `allInstancesConfig` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerAllInstancesConfig.t`, *default:* `nil`) - Specifies configuration that overrides the instance template configuration for the group.\n*   `autoHealingPolicies` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagerAutoHealingPolicy.t)`, *default:* `nil`) - The autohealing policy for this managed instance group. You can specify only one value.\n*   `baseInstanceName` (*type:* `String.t`, *default:* `nil`) - The base instance name is a prefix that you want to attach to the names of all VMs in a MIG. The maximum character length is 58 and the name must comply with RFC1035 format. When a VM is created in the group, the MIG appends a hyphen and a random four-character string to the base instance name. If you want the MIG to assign sequential numbers instead of a random string, then end the base instance name with a hyphen followed by one or more hash symbols. The hash symbols indicate the number of digits. For example, a base instance name of \"vm-###\" results in \"vm-001\" as a VM name. @pattern [a-z](([-a-z0-9]{0,57})|([-a-z0-9]{0,51}-#{1,10}(\\\\[[0-9]{1,10}\\\\])?))\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] The creation timestamp for this managed instance group in RFC3339 text format.\n*   `currentActions` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerActionsSummary.t`, *default:* `nil`) - [Output Only] The list of instance actions and the number of instances in this managed instance group that are scheduled for each of those actions.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource.\n*   `distributionPolicy` (*type:* `GoogleApi.Compute.V1.Model.DistributionPolicy.t`, *default:* `nil`) - Policy specifying the intended distribution of managed instances across zones in a regional managed instance group.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. This field may be used in optimistic locking. It will be ignored when inserting an InstanceGroupManager. An up-to-date fingerprint must be provided in order to update the InstanceGroupManager, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an InstanceGroupManager.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] A unique identifier for this resource type. The server generates this identifier.\n*   `instanceGroup` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the Instance Group resource.\n*   `instanceLifecyclePolicy` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerInstanceLifecyclePolicy.t`, *default:* `nil`) - The repair policy for this managed instance group.\n*   `instanceTemplate` (*type:* `String.t`, *default:* `nil`) - The URL of the instance template that is specified for this managed instance group. The group uses this template to create all new instances in the managed instance group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceGroupManager`) - [Output Only] The resource type, which is always compute#instanceGroupManager for managed instance groups.\n*   `listManagedInstancesResults` (*type:* `String.t`, *default:* `nil`) - Pagination behavior of the listManagedInstances API method for this managed instance group.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the managed instance group. The name must be 1-63 characters long, and comply with RFC1035.\n*   `namedPorts` (*type:* `list(GoogleApi.Compute.V1.Model.NamedPort.t)`, *default:* `nil`) - Named ports configured for the Instance Groups complementary to this Instance Group Manager.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the region where the managed instance group resides (for regional resources).\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL for this managed instance group. The server defines this URL.\n*   `statefulPolicy` (*type:* `GoogleApi.Compute.V1.Model.StatefulPolicy.t`, *default:* `nil`) - Stateful configuration for this Instanced Group Manager\n*   `status` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerStatus.t`, *default:* `nil`) - [Output Only] The status of this managed instance group.\n*   `targetPools` (*type:* `list(String.t)`, *default:* `nil`) - The URLs for all TargetPool resources to which instances in the instanceGroup field are added. The target pools automatically apply to all of the instances in the managed instance group.\n*   `targetSize` (*type:* `integer()`, *default:* `nil`) - The target number of running instances for this managed instance group. You can reduce this number by using the instanceGroupManager deleteInstances or abandonInstances methods. Resizing the group also changes this number.\n*   `updatePolicy` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerUpdatePolicy.t`, *default:* `nil`) - The update policy for this managed instance group.\n*   `versions` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagerVersion.t)`, *default:* `nil`) - Specifies the instance templates used by this managed instance group to create instances. Each version is defined by an instanceTemplate and a name. Every version can appear at most once per instance group. This field overrides the top-level instanceTemplate field. Read more about the relationships between these fields. Exactly one version must leave the targetSize field unset. That version will be applied to all remaining instances. For more information, read about canary updates.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of a zone where the managed instance group is located (for zonal resources).","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManager.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManager.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManager.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManager.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManager.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerActionsSummary","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerActionsSummary.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerActionsSummary","doc":"*   `abandoning` (*type:* `integer()`, *default:* `nil`) - [Output Only] The total number of instances in the managed instance group that are scheduled to be abandoned. Abandoning an instance removes it from the managed instance group without deleting it.\n*   `creating` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are scheduled to be created or are currently being created. If the group fails to create any of these instances, it tries again until it creates the instance successfully. If you have disabled creation retries, this field will not be populated; instead, the creatingWithoutRetries field will be populated.\n*   `creatingWithoutRetries` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances that the managed instance group will attempt to create. The group attempts to create each instance only once. If the group fails to create any of these instances, it decreases the group's targetSize value accordingly.\n*   `deleting` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are scheduled to be deleted or are currently being deleted.\n*   `none` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are running and have no scheduled actions.\n*   `recreating` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are scheduled to be recreated or are currently being being recreated. Recreating an instance deletes the existing root persistent disk and creates a new disk from the image that is defined in the instance template.\n*   `refreshing` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are being reconfigured with properties that do not require a restart or a recreate action. For example, setting or removing target pools for the instance.\n*   `restarting` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are scheduled to be restarted or are currently being restarted.\n*   `resuming` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are scheduled to be resumed or are currently being resumed.\n*   `starting` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are scheduled to be started or are currently being started.\n*   `stopping` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are scheduled to be stopped or are currently being stopped.\n*   `suspending` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are scheduled to be suspended or are currently being suspended.\n*   `verifying` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of instances in the managed instance group that are being verified. See the managedInstances[].currentAction property in the listManagedInstances method documentation.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerActionsSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerActionsSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerActionsSummary.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerActionsSummary.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerActionsSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedList.t}`, *default:* `nil`) - A list of InstanceGroupManagersScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceGroupManagerAggregatedList`) - [Output Only] The resource type, which is always compute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAllInstancesConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAllInstancesConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerAllInstancesConfig","doc":"*   `properties` (*type:* `GoogleApi.Compute.V1.Model.InstancePropertiesPatch.t`, *default:* `nil`) - Properties to set on all instances in the group. You can add or modify properties using the instanceGroupManagers.patch or regionInstanceGroupManagers.patch. After setting allInstancesConfig on the group, you must update the group's instances to apply the configuration. To apply the configuration, set the group's updatePolicy.type field to use proactive updates or use the applyUpdatesToInstances method.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAllInstancesConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAllInstancesConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAllInstancesConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAllInstancesConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAllInstancesConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAutoHealingPolicy","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAutoHealingPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerAutoHealingPolicy","doc":"*   `healthCheck` (*type:* `String.t`, *default:* `nil`) - The URL for the health check that signals autohealing.\n*   `initialDelaySec` (*type:* `integer()`, *default:* `nil`) - The initial delay is the number of seconds that a new VM takes to initialize and run its startup script. During a VM's initial delay period, the MIG ignores unsuccessful health checks because the VM might be in the startup process. This prevents the MIG from prematurely recreating a VM. If the health check receives a healthy response during the initial delay, it indicates that the startup process is complete and the VM is ready. The value of initial delay must be between 0 and 3600 seconds. The default value is 0.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAutoHealingPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAutoHealingPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAutoHealingPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAutoHealingPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerAutoHealingPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerInstanceLifecyclePolicy","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerInstanceLifecyclePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerInstanceLifecyclePolicy","doc":"*   `defaultActionOnFailure` (*type:* `String.t`, *default:* `nil`) - The action that a MIG performs on a failed or an unhealthy VM. A VM is marked as unhealthy when the application running on that VM fails a health check. Valid values are - REPAIR (default): MIG automatically repairs a failed or an unhealthy VM by recreating it. For more information, see About repairing VMs in a MIG. - DO_NOTHING: MIG does not repair a failed or an unhealthy VM. \n*   `forceUpdateOnRepair` (*type:* `String.t`, *default:* `nil`) - A bit indicating whether to forcefully apply the group's latest configuration when repairing a VM. Valid options are: - NO (default): If configuration updates are available, they are not forcefully applied during repair. Instead, configuration updates are applied according to the group's update policy. - YES: If configuration updates are available, they are applied during repair.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerInstanceLifecyclePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerInstanceLifecyclePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerInstanceLifecyclePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerInstanceLifecyclePolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerInstanceLifecyclePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerList","doc":"[Output Only] A list of managed instance groups.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManager.t)`, *default:* `nil`) - A list of InstanceGroupManager resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceGroupManagerList`) - [Output Only] The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest","doc":"InstanceGroupManagerResizeRequest represents a request to create a number of VMs: either immediately or by queuing the request for the specified time. This resize request is nested under InstanceGroupManager and the VMs created by this request are added to the owning InstanceGroupManager.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] The creation timestamp for this resize request in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] A unique identifier for this resource type. The server generates this identifier.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceGroupManagerResizeRequest`) - [Output Only] The resource type, which is always compute#instanceGroupManagerResizeRequest for resize requests.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of this resize request. The name must be 1-63 characters long, and comply with RFC1035.\n*   `requestedRunDuration` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Requested run duration for instances that will be created by this request. At the end of the run duration instance will be deleted.\n*   `resizeBy` (*type:* `integer()`, *default:* `nil`) - The number of instances to be created by this resize request. The group's target size will be increased by this number. This field cannot be used together with 'instances'.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL for this resize request. The server defines this URL.\n*   `selfLinkWithId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource with the resource id.\n*   `state` (*type:* `String.t`, *default:* `nil`) - [Output only] Current state of the request.\n*   `status` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatus.t`, *default:* `nil`) - [Output only] Status of the request.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of a zone where the resize request is located. Populated only for zonal resize requests.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatus","doc":"*   `error` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusError.t`, *default:* `nil`) - [Output only] Fatal errors encountered during the queueing or provisioning phases of the ResizeRequest that caused the transition to the FAILED state. Contrary to the last_attempt errors, this field is final and errors are never removed from here, as the ResizeRequest is not going to retry.\n*   `lastAttempt` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttempt.t`, *default:* `nil`) - [Output only] Information about the last attempt to fulfill the request. The value is temporary since the ResizeRequest can retry, as long as it's still active and the last attempt value can either be cleared or replaced with a different error. Since ResizeRequest retries infrequently, the value may be stale and no longer show an active problem. The value is cleared when ResizeRequest transitions to the final state (becomes inactive). If the final state is FAILED the error describing it will be storred in the \"error\" field only.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusError","doc":"[Output only] Fatal errors encountered during the queueing or provisioning phases of the ResizeRequest that caused the transition to the FAILED state. Contrary to the last_attempt errors, this field is final and errors are never removed from here, as the ResizeRequest is not going to retry.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusError.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusError","doc":"*   `errors` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrors.t)`, *default:* `nil`) - [Output Only] The array of errors encountered while processing this operation.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusError.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusError.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusError.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusError.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrors","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrors.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrors","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] The error type identifier for this error.\n*   `errorDetails` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrorsErrorDetails.t)`, *default:* `nil`) - [Output Only] An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED.\n*   `location` (*type:* `String.t`, *default:* `nil`) - [Output Only] Indicates the field in the request that caused the error. This property is optional.\n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional, human-readable error message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrors.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrors.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrors.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrors.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrors.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrorsErrorDetails","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrorsErrorDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrorsErrorDetails","doc":"*   `errorInfo` (*type:* `GoogleApi.Compute.V1.Model.ErrorInfo.t`, *default:* `nil`) - \n*   `help` (*type:* `GoogleApi.Compute.V1.Model.Help.t`, *default:* `nil`) - \n*   `localizedMessage` (*type:* `GoogleApi.Compute.V1.Model.LocalizedMessage.t`, *default:* `nil`) - \n*   `quotaInfo` (*type:* `GoogleApi.Compute.V1.Model.QuotaExceededInfo.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrorsErrorDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrorsErrorDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrorsErrorDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrorsErrorDetails.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusErrorErrorsErrorDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttempt","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttempt.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttempt","doc":"*   `error` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptError.t`, *default:* `nil`) - Errors that prevented the ResizeRequest to be fulfilled.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttempt.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttempt.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttempt.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttempt.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttempt.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptError","doc":"Errors that prevented the ResizeRequest to be fulfilled.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptError.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptError","doc":"*   `errors` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrors.t)`, *default:* `nil`) - [Output Only] The array of errors encountered while processing this operation.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptError.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptError.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptError.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptError.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrors","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrors.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrors","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] The error type identifier for this error.\n*   `errorDetails` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrorsErrorDetails.t)`, *default:* `nil`) - [Output Only] An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED.\n*   `location` (*type:* `String.t`, *default:* `nil`) - [Output Only] Indicates the field in the request that caused the error. This property is optional.\n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional, human-readable error message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrors.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrors.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrors.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrors.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrors.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrorsErrorDetails","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrorsErrorDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrorsErrorDetails","doc":"*   `errorInfo` (*type:* `GoogleApi.Compute.V1.Model.ErrorInfo.t`, *default:* `nil`) - \n*   `help` (*type:* `GoogleApi.Compute.V1.Model.Help.t`, *default:* `nil`) - \n*   `localizedMessage` (*type:* `GoogleApi.Compute.V1.Model.LocalizedMessage.t`, *default:* `nil`) - \n*   `quotaInfo` (*type:* `GoogleApi.Compute.V1.Model.QuotaExceededInfo.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrorsErrorDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrorsErrorDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrorsErrorDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrorsErrorDetails.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestStatusLastAttemptErrorErrorsErrorDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponse","doc":"[Output Only] A list of resize requests.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponse","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequest.t)`, *default:* `nil`) - A list of resize request resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceGroupManagerResizeRequestList`) - [Output Only] Type of the resource. Always compute#instanceGroupManagerResizeRequestList for a list of resize requests.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerResizeRequestsListResponseWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerStatus","doc":"*   `allInstancesConfig` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusAllInstancesConfig.t`, *default:* `nil`) - [Output only] Status of all-instances configuration on the group.\n*   `autoscaler` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the Autoscaler that targets this instance group manager.\n*   `isStable` (*type:* `boolean()`, *default:* `nil`) - [Output Only] A bit indicating whether the managed instance group is in a stable state. A stable state means that: none of the instances in the managed instance group is currently undergoing any type of change (for example, creation, restart, or deletion); no future changes are scheduled for instances in the managed instance group; and the managed instance group itself is not being modified.\n*   `stateful` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStateful.t`, *default:* `nil`) - [Output Only] Stateful status of the given Instance Group Manager.\n*   `versionTarget` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusVersionTarget.t`, *default:* `nil`) - [Output Only] A status of consistency of Instances' versions with their target version specified by version field on Instance Group Manager.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusAllInstancesConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusAllInstancesConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusAllInstancesConfig","doc":"*   `currentRevision` (*type:* `String.t`, *default:* `nil`) - [Output Only] Current all-instances configuration revision. This value is in RFC3339 text format.\n*   `effective` (*type:* `boolean()`, *default:* `nil`) - [Output Only] A bit indicating whether this configuration has been applied to all managed instances in the group.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusAllInstancesConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusAllInstancesConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusAllInstancesConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusAllInstancesConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusAllInstancesConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStateful","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStateful.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStateful","doc":"*   `hasStatefulConfig` (*type:* `boolean()`, *default:* `nil`) - [Output Only] A bit indicating whether the managed instance group has stateful configuration, that is, if you have configured any items in a stateful policy or in per-instance configs. The group might report that it has no stateful configuration even when there is still some preserved state on a managed instance, for example, if you have deleted all PICs but not yet applied those deletions.\n*   `perInstanceConfigs` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStatefulPerInstanceConfigs.t`, *default:* `nil`) - [Output Only] Status of per-instance configurations on the instances.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStateful.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStateful.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStateful.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStateful.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStateful.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStatefulPerInstanceConfigs","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStatefulPerInstanceConfigs.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStatefulPerInstanceConfigs","doc":"*   `allEffective` (*type:* `boolean()`, *default:* `nil`) - A bit indicating if all of the group's per-instance configurations (listed in the output of a listPerInstanceConfigs API call) have status EFFECTIVE or there are no per-instance-configs.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStatefulPerInstanceConfigs.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStatefulPerInstanceConfigs.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStatefulPerInstanceConfigs.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStatefulPerInstanceConfigs.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusStatefulPerInstanceConfigs.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusVersionTarget","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusVersionTarget.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusVersionTarget","doc":"*   `isReached` (*type:* `boolean()`, *default:* `nil`) - [Output Only] A bit indicating whether version target has been reached in this managed instance group, i.e. all instances are in their target version. Instances' target version are specified by version field on Instance Group Manager.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusVersionTarget.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusVersionTarget.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusVersionTarget.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusVersionTarget.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerStatusVersionTarget.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerUpdatePolicy","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerUpdatePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerUpdatePolicy","doc":"*   `instanceRedistributionType` (*type:* `String.t`, *default:* `nil`) - The instance redistribution policy for regional managed instance groups. Valid values are: - PROACTIVE (default): The group attempts to maintain an even distribution of VM instances across zones in the region. - NONE: For non-autoscaled groups, proactive redistribution is disabled. \n*   `maxSurge` (*type:* `GoogleApi.Compute.V1.Model.FixedOrPercent.t`, *default:* `nil`) - The maximum number of instances that can be created above the specified targetSize during the update process. This value can be either a fixed number or, if the group has 10 or more instances, a percentage. If you set a percentage, the number of instances is rounded if necessary. The default value for maxSurge is a fixed value equal to the number of zones in which the managed instance group operates. At least one of either maxSurge or maxUnavailable must be greater than 0. Learn more about maxSurge.\n*   `maxUnavailable` (*type:* `GoogleApi.Compute.V1.Model.FixedOrPercent.t`, *default:* `nil`) - The maximum number of instances that can be unavailable during the update process. An instance is considered available if all of the following conditions are satisfied: - The instance's status is RUNNING. - If there is a health check on the instance group, the instance's health check status must be HEALTHY at least once. If there is no health check on the group, then the instance only needs to have a status of RUNNING to be considered available. This value can be either a fixed number or, if the group has 10 or more instances, a percentage. If you set a percentage, the number of instances is rounded if necessary. The default value for maxUnavailable is a fixed value equal to the number of zones in which the managed instance group operates. At least one of either maxSurge or maxUnavailable must be greater than 0. Learn more about maxUnavailable.\n*   `minimalAction` (*type:* `String.t`, *default:* `nil`) - Minimal action to be taken on an instance. Use this option to minimize disruption as much as possible or to apply a more disruptive action than is necessary. - To limit disruption as much as possible, set the minimal action to REFRESH. If your update requires a more disruptive action, Compute Engine performs the necessary action to execute the update. - To apply a more disruptive action than is strictly necessary, set the minimal action to RESTART or REPLACE. For example, Compute Engine does not need to restart a VM to change its metadata. But if your application reads instance metadata only when a VM is restarted, you can set the minimal action to RESTART in order to pick up metadata changes. \n*   `mostDisruptiveAllowedAction` (*type:* `String.t`, *default:* `nil`) - Most disruptive action that is allowed to be taken on an instance. You can specify either NONE to forbid any actions, REFRESH to avoid restarting the VM and to limit disruption as much as possible. RESTART to allow actions that can be applied without instance replacing or REPLACE to allow all possible actions. If the Updater determines that the minimal update action needed is more disruptive than most disruptive allowed action you specify it will not perform the update at all.\n*   `replacementMethod` (*type:* `String.t`, *default:* `nil`) - What action should be used to replace instances. See minimal_action.REPLACE\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of update process. You can specify either PROACTIVE so that the MIG automatically updates VMs to the latest configurations or OPPORTUNISTIC so that you can select the VMs that you want to update.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerUpdatePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerUpdatePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerUpdatePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerUpdatePolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerUpdatePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerVersion","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerVersion.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagerVersion","doc":"*   `instanceTemplate` (*type:* `String.t`, *default:* `nil`) - The URL of the instance template that is specified for this managed instance group. The group uses this template to create new instances in the managed instance group until the `targetSize` for this version is reached. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE; in those cases, existing instances are updated until the `targetSize` for this version is reached.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the version. Unique among all versions in the scope of this managed instance group.\n*   `targetSize` (*type:* `GoogleApi.Compute.V1.Model.FixedOrPercent.t`, *default:* `nil`) - Specifies the intended number of instances to be created from the instanceTemplate. The final number of instances created from the template will be equal to: - If expressed as a fixed number, the minimum of either targetSize.fixed or instanceGroupManager.targetSize is used. - if expressed as a percent, the targetSize would be (targetSize.percent/100 * InstanceGroupManager.targetSize) If there is a remainder, the number is rounded. If unset, this version will update any remaining instances not updated by another version. Read Starting a canary update for more information.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerVersion.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerVersion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerVersion.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagerVersion.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagerVersion.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersAbandonInstancesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersAbandonInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersAbandonInstancesRequest","doc":"*   `instances` (*type:* `list(String.t)`, *default:* `nil`) - The URLs of one or more instances to abandon. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersAbandonInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersAbandonInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersAbandonInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersAbandonInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersAbandonInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersApplyUpdatesRequest","doc":"InstanceGroupManagers.applyUpdatesToInstances","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersApplyUpdatesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersApplyUpdatesRequest","doc":"*   `allInstances` (*type:* `boolean()`, *default:* `nil`) - Flag to update all instances instead of specified list of “instances”. If the flag is set to true then the instances may not be specified in the request.\n*   `instances` (*type:* `list(String.t)`, *default:* `nil`) - The list of URLs of one or more instances for which you want to apply updates. Each URL can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].\n*   `minimalAction` (*type:* `String.t`, *default:* `nil`) - The minimal action that you want to perform on each instance during the update: - REPLACE: At minimum, delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance and limit disruption as much as possible. - NONE: Do not disrupt the instance at all. By default, the minimum action is NONE. If your update requires a more disruptive action than you set with this flag, the necessary action is performed to execute the update.\n*   `mostDisruptiveAllowedAction` (*type:* `String.t`, *default:* `nil`) - The most disruptive action that you want to perform on each instance during the update: - REPLACE: Delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance and limit disruption as much as possible. - NONE: Do not disrupt the instance at all. By default, the most disruptive allowed action is REPLACE. If your update requires a more disruptive action than you set with this flag, the update request will fail.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersApplyUpdatesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersApplyUpdatesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersApplyUpdatesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersApplyUpdatesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersApplyUpdatesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersCreateInstancesRequest","doc":"InstanceGroupManagers.createInstances","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersCreateInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersCreateInstancesRequest","doc":"*   `instances` (*type:* `list(GoogleApi.Compute.V1.Model.PerInstanceConfig.t)`, *default:* `nil`) - [Required] List of specifications of per-instance configs.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersCreateInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersCreateInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersCreateInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersCreateInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersCreateInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeleteInstancesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeleteInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersDeleteInstancesRequest","doc":"*   `instances` (*type:* `list(String.t)`, *default:* `nil`) - The URLs of one or more instances to delete. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME]. Queued instances do not have URL and can be deleted only by name. One cannot specify both URLs and names in a single request.\n*   `skipInstancesOnValidationError` (*type:* `boolean()`, *default:* `nil`) - Specifies whether the request should proceed despite the inclusion of instances that are not members of the group or that are already in the process of being deleted or abandoned. If this field is set to `false` and such an instance is specified in the request, the operation fails. The operation always fails if the request contains a malformed instance URL or a reference to an instance that exists in a zone or region other than the group's zone or region.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeleteInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeleteInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeleteInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeleteInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeleteInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeletePerInstanceConfigsReq","doc":"InstanceGroupManagers.deletePerInstanceConfigs","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeletePerInstanceConfigsReq.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersDeletePerInstanceConfigsReq","doc":"*   `names` (*type:* `list(String.t)`, *default:* `nil`) - The list of instance names for which we want to delete per-instance configs on this managed instance group.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeletePerInstanceConfigsReq.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeletePerInstanceConfigsReq.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeletePerInstanceConfigsReq.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeletePerInstanceConfigsReq.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersDeletePerInstanceConfigsReq.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListErrorsResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListErrorsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersListErrorsResponse","doc":"*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceManagedByIgmError.t)`, *default:* `nil`) - [Output Only] The list of errors of the managed instance group.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListErrorsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListErrorsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListErrorsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListErrorsResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListErrorsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListManagedInstancesResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListManagedInstancesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersListManagedInstancesResponse","doc":"*   `managedInstances` (*type:* `list(GoogleApi.Compute.V1.Model.ManagedInstance.t)`, *default:* `nil`) - [Output Only] The list of instances in the managed instance group.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListManagedInstancesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListManagedInstancesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListManagedInstancesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListManagedInstancesResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListManagedInstancesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsResp","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsResp.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsResp","doc":"*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.PerInstanceConfig.t)`, *default:* `nil`) - [Output Only] The list of PerInstanceConfig.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsResp.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsResp.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsResp.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsResp.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsResp.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersListPerInstanceConfigsRespWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersPatchPerInstanceConfigsReq","doc":"InstanceGroupManagers.patchPerInstanceConfigs","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersPatchPerInstanceConfigsReq.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersPatchPerInstanceConfigsReq","doc":"*   `perInstanceConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.PerInstanceConfig.t)`, *default:* `nil`) - The list of per-instance configurations to insert or patch on this managed instance group.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersPatchPerInstanceConfigsReq.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersPatchPerInstanceConfigsReq.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersPatchPerInstanceConfigsReq.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersPatchPerInstanceConfigsReq.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersPatchPerInstanceConfigsReq.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersRecreateInstancesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersRecreateInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersRecreateInstancesRequest","doc":"*   `instances` (*type:* `list(String.t)`, *default:* `nil`) - The URLs of one or more instances to recreate. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersRecreateInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersRecreateInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersRecreateInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersRecreateInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersRecreateInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedList","doc":"*   `instanceGroupManagers` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManager.t)`, *default:* `nil`) - [Output Only] The list of managed instance groups that are contained in the specified project and zone.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarning.t`, *default:* `nil`) - [Output Only] The warning that replaces the list of managed instance groups when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarning","doc":"[Output Only] The warning that replaces the list of managed instance groups when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetInstanceTemplateRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetInstanceTemplateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersSetInstanceTemplateRequest","doc":"*   `instanceTemplate` (*type:* `String.t`, *default:* `nil`) - The URL of the instance template that is specified for this managed instance group. The group uses this template to create all new instances in the managed instance group. The templates for existing instances in the group do not change unless you run recreateInstances, run applyUpdatesToInstances, or set the group's updatePolicy.type to PROACTIVE.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetInstanceTemplateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetInstanceTemplateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetInstanceTemplateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetInstanceTemplateRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetInstanceTemplateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetTargetPoolsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetTargetPoolsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersSetTargetPoolsRequest","doc":"*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - The fingerprint of the target pools information. Use this optional property to prevent conflicts when multiple users change the target pools settings concurrently. Obtain the fingerprint with the instanceGroupManagers.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request.\n*   `targetPools` (*type:* `list(String.t)`, *default:* `nil`) - The list of target pool URLs that instances in this managed instance group belong to. The managed instance group applies these target pools to all of the instances in the group. Existing instances and new instances in the group all receive these target pool settings.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetTargetPoolsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetTargetPoolsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetTargetPoolsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetTargetPoolsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersSetTargetPoolsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersUpdatePerInstanceConfigsReq","doc":"InstanceGroupManagers.updatePerInstanceConfigs","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersUpdatePerInstanceConfigsReq.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupManagersUpdatePerInstanceConfigsReq","doc":"*   `perInstanceConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.PerInstanceConfig.t)`, *default:* `nil`) - The list of per-instance configurations to insert or patch on this managed instance group.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersUpdatePerInstanceConfigsReq.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersUpdatePerInstanceConfigsReq.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersUpdatePerInstanceConfigsReq.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupManagersUpdatePerInstanceConfigsReq.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupManagersUpdatePerInstanceConfigsReq.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupsAddInstancesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsAddInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupsAddInstancesRequest","doc":"*   `instances` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceReference.t)`, *default:* `nil`) - The list of instances to add to the instance group.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsAddInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupsAddInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsAddInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupsAddInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsAddInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstances","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstances.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupsListInstances","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceWithNamedPorts.t)`, *default:* `nil`) - A list of InstanceWithNamedPorts resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceGroupsListInstances`) - [Output Only] The resource type, which is always compute#instanceGroupsListInstances for the list of instances in the specified instance group.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstances.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstances.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstances.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstances.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstances.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesRequest","doc":"*   `instanceState` (*type:* `String.t`, *default:* `nil`) - A filter for the state of the instances in the instance group. Valid options are ALL or RUNNING. If you do not specify this parameter the list includes all instances regardless of their state.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsListInstancesWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupsRemoveInstancesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsRemoveInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupsRemoveInstancesRequest","doc":"*   `instances` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceReference.t)`, *default:* `nil`) - The list of instances to remove from the instance group.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsRemoveInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupsRemoveInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsRemoveInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupsRemoveInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsRemoveInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupsScopedList","doc":"*   `instanceGroups` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroup.t)`, *default:* `nil`) - [Output Only] The list of instance groups that are contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarning.t`, *default:* `nil`) - [Output Only] An informational warning that replaces the list of instance groups when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarning","doc":"[Output Only] An informational warning that replaces the list of instance groups when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceGroupsSetNamedPortsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsSetNamedPortsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceGroupsSetNamedPortsRequest","doc":"*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - The fingerprint of the named ports information for this instance group. Use this optional property to prevent conflicts when multiple users change the named ports settings concurrently. Obtain the fingerprint with the instanceGroups.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request. A request with an incorrect fingerprint will fail with error 412 conditionNotMet.\n*   `namedPorts` (*type:* `list(GoogleApi.Compute.V1.Model.NamedPort.t)`, *default:* `nil`) - The list of named ports to set for this instance group.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsSetNamedPortsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceGroupsSetNamedPortsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsSetNamedPortsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceGroupsSetNamedPortsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceGroupsSetNamedPortsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceList","doc":"Contains a list of instances.","ref":"GoogleApi.Compute.V1.Model.InstanceList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Instance.t)`, *default:* `nil`) - A list of Instance resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceList`) - [Output Only] Type of resource. Always compute#instanceList for lists of Instance resources.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceListReferrers","doc":"Contains a list of instance referrers.","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrers.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceListReferrers","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Reference.t)`, *default:* `nil`) - A list of Reference resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceListReferrers`) - [Output Only] Type of resource. Always compute#instanceListReferrers for lists of Instance referrers.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceListReferrersWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrers.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceListReferrers.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrers.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceListReferrers.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrers.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceListReferrersWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceListReferrersWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceListReferrersWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceListReferrersWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmError","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmError.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceManagedByIgmError","doc":"*   `error` (*type:* `GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorManagedInstanceError.t`, *default:* `nil`) - [Output Only] Contents of the error.\n*   `instanceActionDetails` (*type:* `GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorInstanceActionDetails.t`, *default:* `nil`) - [Output Only] Details of the instance action that triggered this error. May be null, if the error was not caused by an action on an instance. This field is optional.\n*   `timestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] The time that this error occurred. This value is in RFC3339 text format.","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmError.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmError.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmError.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmError.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorInstanceActionDetails","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorInstanceActionDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorInstanceActionDetails","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - [Output Only] Action that managed instance group was executing on the instance when the error occurred. Possible values:\n*   `instance` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the instance. The URL can be set even if the instance has not yet been created.\n*   `version` (*type:* `GoogleApi.Compute.V1.Model.ManagedInstanceVersion.t`, *default:* `nil`) - [Output Only] Version this instance was created from, or was being created from, but the creation failed. Corresponds to one of the versions that were set on the Instance Group Manager resource at the time this instance was being created.","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorInstanceActionDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorInstanceActionDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorInstanceActionDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorInstanceActionDetails.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorInstanceActionDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorManagedInstanceError","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorManagedInstanceError.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorManagedInstanceError","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] Error code.\n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] Error message.","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorManagedInstanceError.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorManagedInstanceError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorManagedInstanceError.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorManagedInstanceError.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceManagedByIgmErrorManagedInstanceError.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceMoveRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceMoveRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceMoveRequest","doc":"*   `destinationZone` (*type:* `String.t`, *default:* `nil`) - The URL of the destination zone to move the instance. This can be a full or partial URL. For example, the following are all valid URLs to a zone: - https://www.googleapis.com/compute/v1/projects/project/zones/zone - projects/project/zones/zone - zones/zone \n*   `targetInstance` (*type:* `String.t`, *default:* `nil`) - The URL of the target instance to move. This can be a full or partial URL. For example, the following are all valid URLs to an instance: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance - zones/zone/instances/instance","ref":"GoogleApi.Compute.V1.Model.InstanceMoveRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceMoveRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceMoveRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceMoveRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceMoveRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceParams","doc":"Additional instance params.","ref":"GoogleApi.Compute.V1.Model.InstanceParams.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceParams","doc":"*   `resourceManagerTags` (*type:* `map()`, *default:* `nil`) - Resource manager tags to be bound to the instance. Tag keys and values have the same definition as resource manager tags. Keys must be in the format `tagKeys/{tag_key_id}`, and values are in the format `tagValues/456`. The field is ignored (both PUT & PATCH) when empty.","ref":"GoogleApi.Compute.V1.Model.InstanceParams.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceParams.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceParams.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceParams.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceParams.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceProperties","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceProperties","doc":"*   `advancedMachineFeatures` (*type:* `GoogleApi.Compute.V1.Model.AdvancedMachineFeatures.t`, *default:* `nil`) - Controls for advanced machine-related behavior features. Note that for MachineImage, this is not supported yet.\n*   `canIpForward` (*type:* `boolean()`, *default:* `nil`) - Enables instances created based on these properties to send packets with source IP addresses other than their own and receive packets with destination IP addresses other than their own. If these instances will be used as an IP gateway or it will be set as the next-hop in a Route resource, specify true. If unsure, leave this set to false. See the Enable IP forwarding documentation for more information.\n*   `confidentialInstanceConfig` (*type:* `GoogleApi.Compute.V1.Model.ConfidentialInstanceConfig.t`, *default:* `nil`) - Specifies the Confidential Instance options. Note that for MachineImage, this is not supported yet.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional text description for the instances that are created from these properties.\n*   `disks` (*type:* `list(GoogleApi.Compute.V1.Model.AttachedDisk.t)`, *default:* `nil`) - An array of disks that are associated with the instances that are created from these properties.\n*   `guestAccelerators` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorConfig.t)`, *default:* `nil`) - A list of guest accelerator cards' type and count to use for instances created from these properties.\n*   `keyRevocationActionType` (*type:* `String.t`, *default:* `nil`) - KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to apply to instances that are created from these properties.\n*   `machineType` (*type:* `String.t`, *default:* `nil`) - The machine type to use for instances that are created from these properties. This field only accepts a machine type name, for example `n2-standard-4`. If you use the machine type full or partial URL, for example `projects/my-l7ilb-project/zones/us-central1-a/machineTypes/n2-standard-4`, the request will result in an `INTERNAL_ERROR`.\n*   `metadata` (*type:* `GoogleApi.Compute.V1.Model.Metadata.t`, *default:* `nil`) - The metadata key/value pairs to assign to instances that are created from these properties. These pairs can consist of custom metadata or predefined keys. See Project and instance metadata for more information.\n*   `minCpuPlatform` (*type:* `String.t`, *default:* `nil`) - Minimum cpu/platform to be used by instances. The instance may be scheduled on the specified or newer cpu/platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\". For more information, read Specifying a Minimum CPU Platform.\n*   `networkInterfaces` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkInterface.t)`, *default:* `nil`) - An array of network access configurations for this interface.\n*   `networkPerformanceConfig` (*type:* `GoogleApi.Compute.V1.Model.NetworkPerformanceConfig.t`, *default:* `nil`) - Note that for MachineImage, this is not supported yet.\n*   `privateIpv6GoogleAccess` (*type:* `String.t`, *default:* `nil`) - The private IPv6 google access type for VMs. If not specified, use INHERIT_FROM_SUBNETWORK as default. Note that for MachineImage, this is not supported yet.\n*   `reservationAffinity` (*type:* `GoogleApi.Compute.V1.Model.ReservationAffinity.t`, *default:* `nil`) - Specifies the reservations that instances can consume from. Note that for MachineImage, this is not supported yet.\n*   `resourceManagerTags` (*type:* `map()`, *default:* `nil`) - Resource manager tags to be bound to the instance. Tag keys and values have the same definition as resource manager tags. Keys must be in the format `tagKeys/{tag_key_id}`, and values are in the format `tagValues/456`. The field is ignored (both PUT & PATCH) when empty.\n*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - Resource policies (names, not URLs) applied to instances created from these properties. Note that for MachineImage, this is not supported yet.\n*   `scheduling` (*type:* `GoogleApi.Compute.V1.Model.Scheduling.t`, *default:* `nil`) - Specifies the scheduling options for the instances that are created from these properties.\n*   `serviceAccounts` (*type:* `list(GoogleApi.Compute.V1.Model.ServiceAccount.t)`, *default:* `nil`) - A list of service accounts with specified scopes. Access tokens for these service accounts are available to the instances that are created from these properties. Use metadata queries to obtain the access tokens for these instances.\n*   `shieldedInstanceConfig` (*type:* `GoogleApi.Compute.V1.Model.ShieldedInstanceConfig.t`, *default:* `nil`) - Note that for MachineImage, this is not supported yet.\n*   `tags` (*type:* `GoogleApi.Compute.V1.Model.Tags.t`, *default:* `nil`) - A list of tags to apply to the instances that are created from these properties. The tags identify valid sources or targets for network firewalls. The setTags method can modify this list of tags. Each tag within the list must comply with RFC1035.","ref":"GoogleApi.Compute.V1.Model.InstanceProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceProperties.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancePropertiesPatch","doc":"Represents the change that you want to make to the instance properties.","ref":"GoogleApi.Compute.V1.Model.InstancePropertiesPatch.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancePropertiesPatch","doc":"*   `labels` (*type:* `map()`, *default:* `nil`) - The label key-value pairs that you want to patch onto the instance.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - The metadata key-value pairs that you want to patch onto the instance. For more information, see Project and instance metadata.","ref":"GoogleApi.Compute.V1.Model.InstancePropertiesPatch.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancePropertiesPatch.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancePropertiesPatch.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancePropertiesPatch.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancePropertiesPatch.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceReference","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceReference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceReference","doc":"*   `instance` (*type:* `String.t`, *default:* `nil`) - The URL for a specific instance. @required compute.instancegroups.addInstances/removeInstances","ref":"GoogleApi.Compute.V1.Model.InstanceReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceReference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceReference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceSettings","doc":"Represents a Instance Settings resource. You can use instance settings to configure default settings for Compute Engine VM instances. For example, you can use it to configure default machine type of Compute Engine VM instances.","ref":"GoogleApi.Compute.V1.Model.InstanceSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceSettings","doc":"*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Specifies a fingerprint for instance settings, which is essentially a hash of the instance settings resource's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update the instance settings resource. You must always provide an up-to-date fingerprint hash in order to update or change the resource, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the resource.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceSettings`) - [Output Only] Type of the resource. Always compute#instance_settings for instance settings.\n*   `metadata` (*type:* `GoogleApi.Compute.V1.Model.InstanceSettingsMetadata.t`, *default:* `nil`) - The metadata key/value pairs assigned to all the instances in the corresponding scope.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the zone where the resource resides You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.","ref":"GoogleApi.Compute.V1.Model.InstanceSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceSettings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceSettingsMetadata","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceSettingsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceSettingsMetadata","doc":"*   `items` (*type:* `map()`, *default:* `nil`) - A metadata key/value items map. The total size of all keys and values must be less than 512KB.\n*   `kind` (*type:* `String.t`, *default:* `compute#metadata`) - [Output Only] Type of the resource. Always compute#metadata for metadata.","ref":"GoogleApi.Compute.V1.Model.InstanceSettingsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceSettingsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceSettingsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceSettingsMetadata.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceSettingsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceTemplate","doc":"Represents an Instance Template resource. Google Compute Engine has two Instance Template resources: * [Global](/compute/docs/reference/rest/v1/instanceTemplates) * [Regional](/compute/docs/reference/rest/v1/regionInstanceTemplates) You can reuse a global instance template in different regions whereas you can use a regional instance template in a specified region only. If you want to reduce cross-region dependency or achieve data residency, use a regional instance template. To create VMs, managed instance groups, and reservations, you can use either global or regional instance templates. For more information, read Instance Templates.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplate.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceTemplate","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] The creation timestamp for this instance template in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] A unique identifier for this instance template. The server defines this identifier.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceTemplate`) - [Output Only] The resource type, which is always compute#instanceTemplate for instance templates.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `properties` (*type:* `GoogleApi.Compute.V1.Model.InstanceProperties.t`, *default:* `nil`) - The instance properties for this instance template.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the instance template resides. Only applicable for regional resources.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL for this instance template. The server defines this URL.\n*   `sourceInstance` (*type:* `String.t`, *default:* `nil`) - The source instance used to create the template. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance \n*   `sourceInstanceParams` (*type:* `GoogleApi.Compute.V1.Model.SourceInstanceParams.t`, *default:* `nil`) - The source instance params to use to create this instance template.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplate.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceTemplate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplate.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceTemplate.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplate.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedList","doc":"Contains a list of InstanceTemplatesScopedList.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.InstanceTemplatesScopedList.t}`, *default:* `nil`) - A list of InstanceTemplatesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceTemplateAggregatedList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceTemplateList","doc":"A list of instance templates.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceTemplateList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceTemplate.t)`, *default:* `nil`) - A list of InstanceTemplate resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instanceTemplateList`) - [Output Only] The resource type, which is always compute#instanceTemplatesListResponse for instance template lists.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceTemplateListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceTemplateList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceTemplateList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceTemplateListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceTemplateListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceTemplateListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplateListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceTemplatesScopedList","doc":"*   `instanceTemplates` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceTemplate.t)`, *default:* `nil`) - [Output Only] A list of instance templates that are contained within the specified project and zone.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarning.t`, *default:* `nil`) - [Output Only] An informational warning that replaces the list of instance templates when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarning","doc":"[Output Only] An informational warning that replaces the list of instance templates when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceTemplatesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstanceWithNamedPorts","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceWithNamedPorts.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstanceWithNamedPorts","doc":"*   `instance` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the instance.\n*   `namedPorts` (*type:* `list(GoogleApi.Compute.V1.Model.NamedPort.t)`, *default:* `nil`) - [Output Only] The named ports that belong to this instance group.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the instance.","ref":"GoogleApi.Compute.V1.Model.InstanceWithNamedPorts.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstanceWithNamedPorts.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstanceWithNamedPorts.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstanceWithNamedPorts.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstanceWithNamedPorts.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesAddResourcePoliciesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesAddResourcePoliciesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesAddResourcePoliciesRequest","doc":"*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - Resource policies to be added to this instance.","ref":"GoogleApi.Compute.V1.Model.InstancesAddResourcePoliciesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesAddResourcePoliciesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesAddResourcePoliciesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesAddResourcePoliciesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesAddResourcePoliciesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesBulkInsertOperationMetadata","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesBulkInsertOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesBulkInsertOperationMetadata","doc":"*   `perLocationStatus` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.BulkInsertOperationStatus.t}`, *default:* `nil`) - Status information per location (location name is key). Example key: zones/us-central1-a","ref":"GoogleApi.Compute.V1.Model.InstancesBulkInsertOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesBulkInsertOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesBulkInsertOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesBulkInsertOperationMetadata.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesBulkInsertOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponse","doc":"*   `firewallPolicys` (*type:* `list(GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.t)`, *default:* `nil`) - [Output Only] Effective firewalls from firewall policies.\n*   `firewalls` (*type:* `list(GoogleApi.Compute.V1.Model.Firewall.t)`, *default:* `nil`) - Effective firewalls on the instance.","ref":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - [Output Only] Deprecated, please use short name instead. The display name of the firewall policy.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the firewall policy.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - [Output only] Priority of firewall policy association. Not applicable for type=HIERARCHY.\n*   `rules` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicyRule.t)`, *default:* `nil`) - [Output Only] The rules that apply to the instance. Only rules that target the specific VM instance are returned if target service accounts or target secure tags are specified in the rules.\n*   `shortName` (*type:* `String.t`, *default:* `nil`) - [Output Only] The short name of the firewall policy.\n*   `type` (*type:* `String.t`, *default:* `nil`) - [Output Only] The type of the firewall policy. Can be one of HIERARCHY, NETWORK, NETWORK_REGIONAL, SYSTEM_GLOBAL, SYSTEM_REGIONAL.","ref":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesRemoveResourcePoliciesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesRemoveResourcePoliciesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesRemoveResourcePoliciesRequest","doc":"*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - Resource policies to be removed from this instance.","ref":"GoogleApi.Compute.V1.Model.InstancesRemoveResourcePoliciesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesRemoveResourcePoliciesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesRemoveResourcePoliciesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesRemoveResourcePoliciesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesRemoveResourcePoliciesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesScopedList","doc":"*   `instances` (*type:* `list(GoogleApi.Compute.V1.Model.Instance.t)`, *default:* `nil`) - [Output Only] A list of instances contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstancesScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of instances when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InstancesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of instances when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InstancesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstancesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstancesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstancesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesSetLabelsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetLabelsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesSetLabelsRequest","doc":"*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of the previous set of labels for this resource, used to prevent conflicts. Provide the latest fingerprint value when making a request to add or change labels.\n*   `labels` (*type:* `map()`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.InstancesSetLabelsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesSetLabelsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesSetLabelsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesSetLabelsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetLabelsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesSetMachineResourcesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetMachineResourcesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesSetMachineResourcesRequest","doc":"*   `guestAccelerators` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorConfig.t)`, *default:* `nil`) - A list of the type and count of accelerator cards attached to the instance.","ref":"GoogleApi.Compute.V1.Model.InstancesSetMachineResourcesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesSetMachineResourcesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesSetMachineResourcesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesSetMachineResourcesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetMachineResourcesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesSetMachineTypeRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetMachineTypeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesSetMachineTypeRequest","doc":"*   `machineType` (*type:* `String.t`, *default:* `nil`) - Full or partial URL of the machine type resource. See Machine Types for a full list of machine types. For example: zones/us-central1-f/machineTypes/n1-standard-1","ref":"GoogleApi.Compute.V1.Model.InstancesSetMachineTypeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesSetMachineTypeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesSetMachineTypeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesSetMachineTypeRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetMachineTypeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesSetMinCpuPlatformRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetMinCpuPlatformRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesSetMinCpuPlatformRequest","doc":"*   `minCpuPlatform` (*type:* `String.t`, *default:* `nil`) - Minimum cpu/platform this instance should be started at.","ref":"GoogleApi.Compute.V1.Model.InstancesSetMinCpuPlatformRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesSetMinCpuPlatformRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesSetMinCpuPlatformRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesSetMinCpuPlatformRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetMinCpuPlatformRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesSetNameRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetNameRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesSetNameRequest","doc":"*   `currentName` (*type:* `String.t`, *default:* `nil`) - The current name of this resource, used to prevent conflicts. Provide the latest name when making a request to change name.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name to be applied to the instance. Needs to be RFC 1035 compliant.","ref":"GoogleApi.Compute.V1.Model.InstancesSetNameRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesSetNameRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesSetNameRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesSetNameRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetNameRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesSetSecurityPolicyRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetSecurityPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesSetSecurityPolicyRequest","doc":"*   `networkInterfaces` (*type:* `list(String.t)`, *default:* `nil`) - The network interfaces that the security policy will be applied to. Network interfaces use the nicN naming format. You can only set a security policy for network interfaces with an access config.\n*   `securityPolicy` (*type:* `String.t`, *default:* `nil`) - A full or partial URL to a security policy to add to this instance. If this field is set to an empty string it will remove the associated security policy.","ref":"GoogleApi.Compute.V1.Model.InstancesSetSecurityPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesSetSecurityPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesSetSecurityPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesSetSecurityPolicyRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetSecurityPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesSetServiceAccountRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetServiceAccountRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesSetServiceAccountRequest","doc":"*   `email` (*type:* `String.t`, *default:* `nil`) - Email address of the service account.\n*   `scopes` (*type:* `list(String.t)`, *default:* `nil`) - The list of scopes to be made available for this service account.","ref":"GoogleApi.Compute.V1.Model.InstancesSetServiceAccountRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesSetServiceAccountRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesSetServiceAccountRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesSetServiceAccountRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesSetServiceAccountRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstancesStartWithEncryptionKeyRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesStartWithEncryptionKeyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstancesStartWithEncryptionKeyRequest","doc":"*   `disks` (*type:* `list(GoogleApi.Compute.V1.Model.CustomerEncryptionKeyProtectedDisk.t)`, *default:* `nil`) - Array of disks associated with this instance that are protected with a customer-supplied encryption key. In order to start the instance, the disk url and its corresponding key must be provided. If the disk is not protected with a customer-supplied encryption key it should not be specified.","ref":"GoogleApi.Compute.V1.Model.InstancesStartWithEncryptionKeyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstancesStartWithEncryptionKeyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstancesStartWithEncryptionKeyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstancesStartWithEncryptionKeyRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstancesStartWithEncryptionKeyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshot","doc":"Represents a InstantSnapshot resource. You can use instant snapshots to create disk rollback points quickly..","ref":"GoogleApi.Compute.V1.Model.InstantSnapshot.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshot","doc":"*   `architecture` (*type:* `String.t`, *default:* `nil`) - [Output Only] The architecture of the instant snapshot. Valid values are ARM64 or X86_64.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `diskSizeGb` (*type:* `String.t`, *default:* `nil`) - [Output Only] Size of the source disk, specified in GB.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#instantSnapshot`) - [Output Only] Type of the resource. Always compute#instantSnapshot for InstantSnapshot resources.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this InstantSnapshot, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a InstantSnapshot.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to apply to this InstantSnapshot. These can be later modified by the setLabels method. Label values may be empty.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the instant snapshot resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `resourceStatus` (*type:* `GoogleApi.Compute.V1.Model.InstantSnapshotResourceStatus.t`, *default:* `nil`) - [Output Only] Status information for the instant snapshot resource.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. Reserved for future use.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `selfLinkWithId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource's resource id.\n*   `sourceDisk` (*type:* `String.t`, *default:* `nil`) - URL of the source disk used to create this instant snapshot. Note that the source disk must be in the same zone/region as the instant snapshot to be created. This can be a full or valid partial URL. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk \n*   `sourceDiskId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The ID value of the disk used to create this InstantSnapshot. This value may be used to determine whether the InstantSnapshot was taken from the current or a previous instance of a given disk name.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the instantSnapshot. This can be CREATING, DELETING, FAILED, or READY.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the zone where the instant snapshot resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshot.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshot.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshot.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshot.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshot.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.InstantSnapshotsScopedList.t}`, *default:* `nil`) - A list of InstantSnapshotsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instantSnapshotAggregatedList`) - [Output Only] Type of resource. Always compute#instantSnapshotAggregatedList for aggregated lists of instantSnapshots.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshotList","doc":"Contains a list of InstantSnapshot resources.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshotList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstantSnapshot.t)`, *default:* `nil`) - A list of InstantSnapshot resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#instantSnapshotList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstantSnapshotListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshotList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshotList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshotListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstantSnapshotListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshotListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshotResourceStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotResourceStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshotResourceStatus","doc":"*   `storageSizeBytes` (*type:* `String.t`, *default:* `nil`) - [Output Only] The storage size of this instant snapshot.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotResourceStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshotResourceStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotResourceStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshotResourceStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotResourceStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshotsScopedList","doc":"*   `instantSnapshots` (*type:* `list(GoogleApi.Compute.V1.Model.InstantSnapshot.t)`, *default:* `nil`) - [Output Only] A list of instantSnapshots contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of instantSnapshots when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of instantSnapshots when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InstantSnapshotsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Int64RangeMatch","doc":"HttpRouteRuleMatch criteria for field values that must stay within the specified integer range.","ref":"GoogleApi.Compute.V1.Model.Int64RangeMatch.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Int64RangeMatch","doc":"*   `rangeEnd` (*type:* `String.t`, *default:* `nil`) - The end of the range (exclusive) in signed long integer format.\n*   `rangeStart` (*type:* `String.t`, *default:* `nil`) - The start of the range (inclusive) in signed long integer format.","ref":"GoogleApi.Compute.V1.Model.Int64RangeMatch.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Int64RangeMatch.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Int64RangeMatch.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Int64RangeMatch.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Int64RangeMatch.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Interconnect","doc":"Represents an Interconnect resource. An Interconnect resource is a dedicated connection between the Google Cloud network and your on-premises network. For more information, read the Dedicated Interconnect Overview.","ref":"GoogleApi.Compute.V1.Model.Interconnect.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Interconnect","doc":"*   `adminEnabled` (*type:* `boolean()`, *default:* `nil`) - Administrative status of the interconnect. When this is set to true, the Interconnect is functional and can carry traffic. When set to false, no packets can be carried over the interconnect and no BGP routes are exchanged over it. By default, the status is set to true.\n*   `availableFeatures` (*type:* `list(String.t)`, *default:* `nil`) - [Output only] List of features available for this Interconnect connection, which can take one of the following values: - IF_MACSEC If present then the Interconnect connection is provisioned on MACsec capable hardware ports. If not present then the Interconnect connection is provisioned on non-MACsec capable ports and MACsec isn't supported and enabling MACsec fails.\n*   `circuitInfos` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectCircuitInfo.t)`, *default:* `nil`) - [Output Only] A list of CircuitInfo objects, that describe the individual circuits in this LAG.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `customerName` (*type:* `String.t`, *default:* `nil`) - Customer name, to put in the Letter of Authorization as the party authorized to request a crossconnect.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `expectedOutages` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectOutageNotification.t)`, *default:* `nil`) - [Output Only] A list of outages expected for this Interconnect.\n*   `googleIpAddress` (*type:* `String.t`, *default:* `nil`) - [Output Only] IP address configured on the Google side of the Interconnect link. This can be used only for ping tests.\n*   `googleReferenceId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Google reference ID to be used when raising support tickets with Google or otherwise to debug backend connectivity issues.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `interconnectAttachments` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] A list of the URLs of all InterconnectAttachments configured to use this Interconnect.\n*   `interconnectType` (*type:* `String.t`, *default:* `nil`) - Type of interconnect, which can take one of the following values: - PARTNER: A partner-managed interconnection shared between customers though a partner. - DEDICATED: A dedicated physical interconnection with the customer. Note that a value IT_PRIVATE has been deprecated in favor of DEDICATED.\n*   `kind` (*type:* `String.t`, *default:* `compute#interconnect`) - [Output Only] Type of the resource. Always compute#interconnect for interconnects.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this Interconnect, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an Interconnect.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.\n*   `linkType` (*type:* `String.t`, *default:* `nil`) - Type of link requested, which can take one of the following values: - LINK_TYPE_ETHERNET_10G_LR: A 10G Ethernet with LR optics - LINK_TYPE_ETHERNET_100G_LR: A 100G Ethernet with LR optics. Note that this field indicates the speed of each of the links in the bundle, not the speed of the entire bundle.\n*   `location` (*type:* `String.t`, *default:* `nil`) - URL of the InterconnectLocation object that represents where this connection is to be provisioned.\n*   `macsec` (*type:* `GoogleApi.Compute.V1.Model.InterconnectMacsec.t`, *default:* `nil`) - Configuration that enables Media Access Control security (MACsec) on the Cloud Interconnect connection between Google and your on-premises router.\n*   `macsecEnabled` (*type:* `boolean()`, *default:* `nil`) - Enable or disable MACsec on this Interconnect connection. MACsec enablement fails if the MACsec object is not specified.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `nocContactEmail` (*type:* `String.t`, *default:* `nil`) - Email address to contact the customer NOC for operations and maintenance notifications regarding this Interconnect. If specified, this will be used for notifications in addition to all other forms described, such as Cloud Monitoring logs alerting and Cloud Notifications. This field is required for users who sign up for Cloud Interconnect using workforce identity federation.\n*   `operationalStatus` (*type:* `String.t`, *default:* `nil`) - [Output Only] The current status of this Interconnect's functionality, which can take one of the following values: - OS_ACTIVE: A valid Interconnect, which is turned up and is ready to use. Attachments may be provisioned on this Interconnect. - OS_UNPROVISIONED: An Interconnect that has not completed turnup. No attachments may be provisioned on this Interconnect. - OS_UNDER_MAINTENANCE: An Interconnect that is undergoing internal maintenance. No attachments may be provisioned or updated on this Interconnect. \n*   `peerIpAddress` (*type:* `String.t`, *default:* `nil`) - [Output Only] IP address configured on the customer side of the Interconnect link. The customer should configure this IP address during turnup when prompted by Google NOC. This can be used only for ping tests.\n*   `provisionedLinkCount` (*type:* `integer()`, *default:* `nil`) - [Output Only] Number of links actually provisioned in this interconnect.\n*   `remoteLocation` (*type:* `String.t`, *default:* `nil`) - Indicates that this is a Cross-Cloud Interconnect. This field specifies the location outside of Google's network that the interconnect is connected to.\n*   `requestedFeatures` (*type:* `list(String.t)`, *default:* `nil`) - Optional. List of features requested for this Interconnect connection, which can take one of the following values: - IF_MACSEC If specified then the connection is created on MACsec capable hardware ports. If not specified, the default value is false, which allocates non-MACsec capable ports first if available. This parameter can be provided only with Interconnect INSERT. It isn't valid for Interconnect PATCH.\n*   `requestedLinkCount` (*type:* `integer()`, *default:* `nil`) - Target number of physical links in the link bundle, as requested by the customer.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `state` (*type:* `String.t`, *default:* `nil`) - [Output Only] The current state of Interconnect functionality, which can take one of the following values: - ACTIVE: The Interconnect is valid, turned up and ready to use. Attachments may be provisioned on this Interconnect. - UNPROVISIONED: The Interconnect has not completed turnup. No attachments may be provisioned on this Interconnect. - UNDER_MAINTENANCE: The Interconnect is undergoing internal maintenance. No attachments may be provisioned or updated on this Interconnect.","ref":"GoogleApi.Compute.V1.Model.Interconnect.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Interconnect.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Interconnect.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Interconnect.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Interconnect.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachment","doc":"Represents an Interconnect Attachment (VLAN) resource. You can use Interconnect attachments (VLANS) to connect your Virtual Private Cloud networks to your on-premises networks through an Interconnect. For more information, read Creating VLAN Attachments.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachment.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachment","doc":"*   `pairingKey` (*type:* `String.t`, *default:* `nil`) - [Output only for type PARTNER. Input only for PARTNER_PROVIDER. Not present for DEDICATED]. The opaque identifier of a PARTNER attachment used to initiate provisioning with a selected partner. Of the form \"XXXXX/region/domain\"\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `state` (*type:* `String.t`, *default:* `nil`) - [Output Only] The current state of this attachment's functionality. Enum values ACTIVE and UNPROVISIONED are shared by DEDICATED/PRIVATE, PARTNER, and PARTNER_PROVIDER interconnect attachments, while enum values PENDING_PARTNER, PARTNER_REQUEST_RECEIVED, and PENDING_CUSTOMER are used for only PARTNER and PARTNER_PROVIDER interconnect attachments. This state can take one of the following values: - ACTIVE: The attachment has been turned up and is ready to use. - UNPROVISIONED: The attachment is not ready to use yet, because turnup is not complete. - PENDING_PARTNER: A newly-created PARTNER attachment that has not yet been configured on the Partner side. - PARTNER_REQUEST_RECEIVED: A PARTNER attachment is in the process of provisioning after a PARTNER_PROVIDER attachment was created that references it. - PENDING_CUSTOMER: A PARTNER or PARTNER_PROVIDER attachment that is waiting for a customer to activate it. - DEFUNCT: The attachment was deleted externally and is no longer functional. This could be because the associated Interconnect was removed, or because the other side of a Partner attachment was deleted. \n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `candidateIpv6Subnets` (*type:* `list(String.t)`, *default:* `nil`) - This field is not available.\n*   `googleReferenceId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Google reference ID, to be used when raising support tickets with Google or otherwise to debug backend connectivity issues. [Deprecated] This field is not used.\n*   `kind` (*type:* `String.t`, *default:* `compute#interconnectAttachment`) - [Output Only] Type of the resource. Always compute#interconnectAttachment for interconnect attachments.\n*   `privateInterconnectInfo` (*type:* `GoogleApi.Compute.V1.Model.InterconnectAttachmentPrivateInfo.t`, *default:* `nil`) - [Output Only] Information specific to an InterconnectAttachment. This property is populated if the interconnect that this is attached to is of type DEDICATED.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource.\n*   `interconnect` (*type:* `String.t`, *default:* `nil`) - URL of the underlying Interconnect object that this attachment's traffic will traverse through.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `customerRouterIpv6InterfaceId` (*type:* `String.t`, *default:* `nil`) - This field is not available.\n*   `cloudRouterIpAddress` (*type:* `String.t`, *default:* `nil`) - [Output Only] IPv4 address + prefix length to be configured on Cloud Router Interface for this interconnect attachment.\n*   `router` (*type:* `String.t`, *default:* `nil`) - URL of the Cloud Router to be used for dynamic routing. This router must be in the same region as this InterconnectAttachment. The InterconnectAttachment will automatically connect the Interconnect to the network & region within which the Cloud Router is configured.\n*   `remoteService` (*type:* `String.t`, *default:* `nil`) - [Output Only] If the attachment is on a Cross-Cloud Interconnect connection, this field contains the interconnect's remote location service provider. Example values: \"Amazon Web Services\" \"Microsoft Azure\". The field is set only for attachments on Cross-Cloud Interconnect connections. Its value is copied from the InterconnectRemoteLocation remoteService field.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional interconnect attachment resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `adminEnabled` (*type:* `boolean()`, *default:* `nil`) - Determines whether this Attachment will carry packets. Not present for PARTNER_PROVIDER.\n*   `configurationConstraints` (*type:* `GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraints.t`, *default:* `nil`) - [Output Only] Constraints for this attachment, if any. The attachment does not work if these constraints are not met.\n*   `encryption` (*type:* `String.t`, *default:* `nil`) - Indicates the user-supplied encryption option of this VLAN attachment (interconnectAttachment). Can only be specified at attachment creation for PARTNER or DEDICATED attachments. Possible values are: - NONE - This is the default value, which means that the VLAN attachment carries unencrypted traffic. VMs are able to send traffic to, or receive traffic from, such a VLAN attachment. - IPSEC - The VLAN attachment carries only encrypted traffic that is encrypted by an IPsec device, such as an HA VPN gateway or third-party IPsec VPN. VMs cannot directly send traffic to, or receive traffic from, such a VLAN attachment. To use *HA VPN over Cloud Interconnect*, the VLAN attachment must be created with this option. \n*   `customerRouterIpAddress` (*type:* `String.t`, *default:* `nil`) - [Output Only] IPv4 address + prefix length to be configured on the customer router subinterface for this interconnect attachment.\n*   `mtu` (*type:* `integer()`, *default:* `nil`) - Maximum Transmission Unit (MTU), in bytes, of packets passing through this interconnect attachment. Only 1440 and 1500 are allowed. If not specified, the value will default to 1440.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `partnerMetadata` (*type:* `GoogleApi.Compute.V1.Model.InterconnectAttachmentPartnerMetadata.t`, *default:* `nil`) - Informational metadata about Partner attachments from Partners to display to customers. Output only for PARTNER type, mutable for PARTNER_PROVIDER, not available for DEDICATED.\n*   `cloudRouterIpv6InterfaceId` (*type:* `String.t`, *default:* `nil`) - This field is not available.\n*   `operationalStatus` (*type:* `String.t`, *default:* `nil`) - [Output Only] The current status of whether or not this interconnect attachment is functional, which can take one of the following values: - OS_ACTIVE: The attachment has been turned up and is ready to use. - OS_UNPROVISIONED: The attachment is not ready to use yet, because turnup is not complete. \n*   `dataplaneVersion` (*type:* `integer()`, *default:* `nil`) - [Output Only] Dataplane version for this InterconnectAttachment. This field is only present for Dataplane version 2 and higher. Absence of this field in the API output indicates that the Dataplane is version 1.\n*   `bandwidth` (*type:* `String.t`, *default:* `nil`) - Provisioned bandwidth capacity for the interconnect attachment. For attachments of type DEDICATED, the user can set the bandwidth. For attachments of type PARTNER, the Google Partner that is operating the interconnect must set the bandwidth. Output only for PARTNER type, mutable for PARTNER_PROVIDER and DEDICATED, and can take one of the following values: - BPS_50M: 50 Mbit/s - BPS_100M: 100 Mbit/s - BPS_200M: 200 Mbit/s - BPS_300M: 300 Mbit/s - BPS_400M: 400 Mbit/s - BPS_500M: 500 Mbit/s - BPS_1G: 1 Gbit/s - BPS_2G: 2 Gbit/s - BPS_5G: 5 Gbit/s - BPS_10G: 10 Gbit/s - BPS_20G: 20 Gbit/s - BPS_50G: 50 Gbit/s \n*   `vlanTag8021q` (*type:* `integer()`, *default:* `nil`) - The IEEE 802.1Q VLAN tag for this attachment, in the range 2-4093. Only specified at creation time.\n*   `ipsecInternalAddresses` (*type:* `list(String.t)`, *default:* `nil`) - A list of URLs of addresses that have been reserved for the VLAN attachment. Used only for the VLAN attachment that has the encryption option as IPSEC. The addresses must be regional internal IP address ranges. When creating an HA VPN gateway over the VLAN attachment, if the attachment is configured to use a regional internal IP address, then the VPN gateway's IP address is allocated from the IP address range specified here. For example, if the HA VPN gateway's interface 0 is paired to this VLAN attachment, then a regional internal IP address for the VPN gateway interface 0 will be allocated from the IP address specified for this VLAN attachment. If this field is not specified when creating the VLAN attachment, then later on when creating an HA VPN gateway on this VLAN attachment, the HA VPN gateway's IP address is allocated from the regional external IP address pool.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of interconnect attachment this is, which can take one of the following values: - DEDICATED: an attachment to a Dedicated Interconnect. - PARTNER: an attachment to a Partner Interconnect, created by the customer. - PARTNER_PROVIDER: an attachment to a Partner Interconnect, created by the partner. \n*   `subnetLength` (*type:* `integer()`, *default:* `nil`) - Length of the IPv4 subnet mask. Allowed values: - 29 (default) - 30 The default value is 29, except for Cross-Cloud Interconnect connections that use an InterconnectRemoteLocation with a constraints.subnetLengthRange.min equal to 30. For example, connections that use an Azure remote location fall into this category. In these cases, the default value is 30, and requesting 29 returns an error. Where both 29 and 30 are allowed, 29 is preferred, because it gives Google Cloud Support more debugging visibility. \n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this InterconnectAttachment, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an InterconnectAttachment.\n*   `customerRouterIpv6Address` (*type:* `String.t`, *default:* `nil`) - [Output Only] IPv6 address + prefix length to be configured on the customer router subinterface for this interconnect attachment.\n*   `partnerAsn` (*type:* `String.t`, *default:* `nil`) - Optional BGP ASN for the router supplied by a Layer 3 Partner if they configured BGP on behalf of the customer. Output only for PARTNER type, input only for PARTNER_PROVIDER, not available for DEDICATED.\n*   `cloudRouterIpv6Address` (*type:* `String.t`, *default:* `nil`) - [Output Only] IPv6 address + prefix length to be configured on Cloud Router Interface for this interconnect attachment.\n*   `edgeAvailabilityDomain` (*type:* `String.t`, *default:* `nil`) - Desired availability domain for the attachment. Only available for type PARTNER, at creation time, and can take one of the following values: - AVAILABILITY_DOMAIN_ANY - AVAILABILITY_DOMAIN_1 - AVAILABILITY_DOMAIN_2 For improved reliability, customers should configure a pair of attachments, one per availability domain. The selected availability domain will be provided to the Partner via the pairing key, so that the provisioned circuit will lie in the specified domain. If not specified, the value will default to AVAILABILITY_DOMAIN_ANY.\n*   `candidateSubnets` (*type:* `list(String.t)`, *default:* `nil`) - Up to 16 candidate prefixes that can be used to restrict the allocation of cloudRouterIpAddress and customerRouterIpAddress for this attachment. All prefixes must be within link-local address space (169.254.0.0/16) and must be /29 or shorter (/28, /27, etc). Google will attempt to select an unused /29 from the supplied candidate prefix(es). The request will fail if all possible /29s are in use on Google's edge. If not supplied, Google will randomly select an unused /29 from all of link-local space.\n*   `stackType` (*type:* `String.t`, *default:* `nil`) - The stack type for this interconnect attachment to identify whether the IPv6 feature is enabled or not. If not specified, IPV4_ONLY will be used. This field can be both set at interconnect attachments creation and update interconnect attachment operations.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachment.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachment.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachment.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachment.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedList.t}`, *default:* `nil`) - A list of InterconnectAttachmentsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#interconnectAttachmentAggregatedList`) - [Output Only] Type of resource. Always compute#interconnectAttachmentAggregatedList for aggregated lists of interconnect attachments.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraints","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraints.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraints","doc":"*   `bgpMd5` (*type:* `String.t`, *default:* `nil`) - [Output Only] Whether the attachment's BGP session requires/allows/disallows BGP MD5 authentication. This can take one of the following values: MD5_OPTIONAL, MD5_REQUIRED, MD5_UNSUPPORTED. For example, a Cross-Cloud Interconnect connection to a remote cloud provider that requires BGP MD5 authentication has the interconnectRemoteLocation attachment_configuration_constraints.bgp_md5 field set to MD5_REQUIRED, and that property is propagated to the attachment. Similarly, if BGP MD5 is MD5_UNSUPPORTED, an error is returned if MD5 is requested.\n*   `bgpPeerAsnRanges` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraintsBgpPeerASNRange.t)`, *default:* `nil`) - [Output Only] List of ASN ranges that the remote location is known to support. Formatted as an array of inclusive ranges {min: min-value, max: max-value}. For example, [{min: 123, max: 123}, {min: 64512, max: 65534}] allows the peer ASN to be 123 or anything in the range 64512-65534. This field is only advisory. Although the API accepts other ranges, these are the ranges that we recommend.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraints.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraints.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraints.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraints.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraints.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraintsBgpPeerASNRange","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraintsBgpPeerASNRange.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraintsBgpPeerASNRange","doc":"*   `max` (*type:* `integer()`, *default:* `nil`) - \n*   `min` (*type:* `integer()`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraintsBgpPeerASNRange.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraintsBgpPeerASNRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraintsBgpPeerASNRange.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraintsBgpPeerASNRange.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraintsBgpPeerASNRange.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentList","doc":"Response to the list request, and contains a list of interconnect attachments.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectAttachment.t)`, *default:* `nil`) - A list of InterconnectAttachment resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#interconnectAttachmentList`) - [Output Only] Type of resource. Always compute#interconnectAttachmentList for lists of interconnect attachments.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPartnerMetadata","doc":"Informational metadata about Partner attachments from Partners to display to customers. These fields are propagated from PARTNER_PROVIDER attachments to their corresponding PARTNER attachments.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPartnerMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentPartnerMetadata","doc":"*   `interconnectName` (*type:* `String.t`, *default:* `nil`) - Plain text name of the Interconnect this attachment is connected to, as displayed in the Partner's portal. For instance \"Chicago 1\". This value may be validated to match approved Partner values.\n*   `partnerName` (*type:* `String.t`, *default:* `nil`) - Plain text name of the Partner providing this attachment. This value may be validated to match approved Partner values.\n*   `portalUrl` (*type:* `String.t`, *default:* `nil`) - URL of the Partner's portal for this Attachment. Partners may customise this to be a deep link to the specific resource on the Partner portal. This value may be validated to match approved Partner values.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPartnerMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPartnerMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPartnerMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPartnerMetadata.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPartnerMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPrivateInfo","doc":"Information for an interconnect attachment when this belongs to an interconnect of type DEDICATED.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPrivateInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentPrivateInfo","doc":"*   `tag8021q` (*type:* `integer()`, *default:* `nil`) - [Output Only] 802.1q encapsulation tag to be used for traffic between Google and the customer, going to and from this network and region.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPrivateInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPrivateInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPrivateInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPrivateInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentPrivateInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedList","doc":"*   `interconnectAttachments` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectAttachment.t)`, *default:* `nil`) - A list of interconnect attachments contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarning","doc":"Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectAttachmentsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectCircuitInfo","doc":"Describes a single physical circuit between the Customer and Google. CircuitInfo objects are created by Google, so all fields are output only.","ref":"GoogleApi.Compute.V1.Model.InterconnectCircuitInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectCircuitInfo","doc":"*   `customerDemarcId` (*type:* `String.t`, *default:* `nil`) - Customer-side demarc ID for this circuit.\n*   `googleCircuitId` (*type:* `String.t`, *default:* `nil`) - Google-assigned unique ID for this circuit. Assigned at circuit turn-up.\n*   `googleDemarcId` (*type:* `String.t`, *default:* `nil`) - Google-side demarc ID for this circuit. Assigned at circuit turn-up and provided by Google to the customer in the LOA.","ref":"GoogleApi.Compute.V1.Model.InterconnectCircuitInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectCircuitInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectCircuitInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectCircuitInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectCircuitInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnostics","doc":"Diagnostics information about the Interconnect connection, which contains detailed and current technical information about Google's side of the connection.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnostics.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectDiagnostics","doc":"*   `arpCaches` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectDiagnosticsARPEntry.t)`, *default:* `nil`) - A list of InterconnectDiagnostics.ARPEntry objects, describing individual neighbors currently seen by the Google router in the ARP cache for the Interconnect. This will be empty when the Interconnect is not bundled.\n*   `bundleAggregationType` (*type:* `String.t`, *default:* `nil`) - The aggregation type of the bundle interface.\n*   `bundleOperationalStatus` (*type:* `String.t`, *default:* `nil`) - The operational status of the bundle interface.\n*   `links` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkStatus.t)`, *default:* `nil`) - A list of InterconnectDiagnostics.LinkStatus objects, describing the status for each link on the Interconnect.\n*   `macAddress` (*type:* `String.t`, *default:* `nil`) - The MAC address of the Interconnect's bundle interface.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnostics.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnostics.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnostics.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnostics.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnostics.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsARPEntry","doc":"Describing the ARP neighbor entries seen on this link","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsARPEntry.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectDiagnosticsARPEntry","doc":"*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - The IP address of this ARP neighbor.\n*   `macAddress` (*type:* `String.t`, *default:* `nil`) - The MAC address of this ARP neighbor.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsARPEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsARPEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsARPEntry.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsARPEntry.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsARPEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkLACPStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkLACPStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkLACPStatus","doc":"*   `googleSystemId` (*type:* `String.t`, *default:* `nil`) - System ID of the port on Google's side of the LACP exchange.\n*   `neighborSystemId` (*type:* `String.t`, *default:* `nil`) - System ID of the port on the neighbor's side of the LACP exchange.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The state of a LACP link, which can take one of the following values: - ACTIVE: The link is configured and active within the bundle. - DETACHED: The link is not configured within the bundle. This means that the rest of the object should be empty.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkLACPStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkLACPStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkLACPStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkLACPStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkLACPStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkOpticalPower","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkOpticalPower.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkOpticalPower","doc":"*   `state` (*type:* `String.t`, *default:* `nil`) - The status of the current value when compared to the warning and alarm levels for the receiving or transmitting transceiver. Possible states include: - OK: The value has not crossed a warning threshold. - LOW_WARNING: The value has crossed below the low warning threshold. - HIGH_WARNING: The value has crossed above the high warning threshold. - LOW_ALARM: The value has crossed below the low alarm threshold. - HIGH_ALARM: The value has crossed above the high alarm threshold. \n*   `value` (*type:* `number()`, *default:* `nil`) - Value of the current receiving or transmitting optical power, read in dBm. Take a known good optical value, give it a 10% margin and trigger warnings relative to that value. In general, a -7dBm warning and a -11dBm alarm are good optical value estimates for most links.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkOpticalPower.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkOpticalPower.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkOpticalPower.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkOpticalPower.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkOpticalPower.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkStatus","doc":"*   `arpCaches` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectDiagnosticsARPEntry.t)`, *default:* `nil`) - A list of InterconnectDiagnostics.ARPEntry objects, describing the ARP neighbor entries seen on this link. This will be empty if the link is bundled\n*   `circuitId` (*type:* `String.t`, *default:* `nil`) - The unique ID for this link assigned during turn up by Google.\n*   `googleDemarc` (*type:* `String.t`, *default:* `nil`) - The Demarc address assigned by Google and provided in the LoA.\n*   `lacpStatus` (*type:* `GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkLACPStatus.t`, *default:* `nil`) - \n*   `macsec` (*type:* `GoogleApi.Compute.V1.Model.InterconnectDiagnosticsMacsecStatus.t`, *default:* `nil`) - Describes the status of MACsec encryption on this link.\n*   `operationalStatus` (*type:* `String.t`, *default:* `nil`) - The operational status of the link.\n*   `receivingOpticalPower` (*type:* `GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkOpticalPower.t`, *default:* `nil`) - An InterconnectDiagnostics.LinkOpticalPower object, describing the current value and status of the received light level.\n*   `transmittingOpticalPower` (*type:* `GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkOpticalPower.t`, *default:* `nil`) - An InterconnectDiagnostics.LinkOpticalPower object, describing the current value and status of the transmitted light level.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsLinkStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsMacsecStatus","doc":"Describes the status of MACsec encryption on the link.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsMacsecStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectDiagnosticsMacsecStatus","doc":"*   `ckn` (*type:* `String.t`, *default:* `nil`) - Indicates the Connectivity Association Key Name (CKN) currently being used if MACsec is operational.\n*   `operational` (*type:* `boolean()`, *default:* `nil`) - Indicates whether or not MACsec is operational on this link.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsMacsecStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsMacsecStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsMacsecStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsMacsecStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectDiagnosticsMacsecStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectList","doc":"Response to the list request, and contains a list of interconnects.","ref":"GoogleApi.Compute.V1.Model.InterconnectList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Interconnect.t)`, *default:* `nil`) - A list of Interconnect resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#interconnectList`) - [Output Only] Type of resource. Always compute#interconnectList for lists of interconnects.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InterconnectListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InterconnectList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InterconnectListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InterconnectListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InterconnectListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectLocation","doc":"Represents an Interconnect Attachment (VLAN) Location resource. You can use this resource to find location details about an Interconnect attachment (VLAN). For more information about interconnect attachments, read Creating VLAN Attachments.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectLocation","doc":"*   `address` (*type:* `String.t`, *default:* `nil`) - [Output Only] The postal address of the Point of Presence, each line in the address is separated by a newline character.\n*   `availabilityZone` (*type:* `String.t`, *default:* `nil`) - [Output Only] Availability zone for this InterconnectLocation. Within a metropolitan area (metro), maintenance will not be simultaneously scheduled in more than one availability zone. Example: \"zone1\" or \"zone2\".\n*   `availableFeatures` (*type:* `list(String.t)`, *default:* `nil`) - [Output only] List of features available at this InterconnectLocation, which can take one of the following values: - MACSEC \n*   `availableLinkTypes` (*type:* `list(String.t)`, *default:* `nil`) - [Output only] List of link types available at this InterconnectLocation, which can take one of the following values: - LINK_TYPE_ETHERNET_10G_LR - LINK_TYPE_ETHERNET_100G_LR \n*   `city` (*type:* `String.t`, *default:* `nil`) - [Output Only] Metropolitan area designator that indicates which city an interconnect is located. For example: \"Chicago, IL\", \"Amsterdam, Netherlands\".\n*   `continent` (*type:* `String.t`, *default:* `nil`) - [Output Only] Continent for this location, which can take one of the following values: - AFRICA - ASIA_PAC - EUROPE - NORTH_AMERICA - SOUTH_AMERICA \n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional description of the resource.\n*   `facilityProvider` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the provider for this facility (e.g., EQUINIX).\n*   `facilityProviderFacilityId` (*type:* `String.t`, *default:* `nil`) - [Output Only] A provider-assigned Identifier for this facility (e.g., Ashburn-DC1).\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#interconnectLocation`) - [Output Only] Type of the resource. Always compute#interconnectLocation for interconnect locations.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the resource.\n*   `peeringdbFacilityId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The peeringdb identifier for this facility (corresponding with a netfac type in peeringdb).\n*   `regionInfos` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectLocationRegionInfo.t)`, *default:* `nil`) - [Output Only] A list of InterconnectLocation.RegionInfo objects, that describe parameters pertaining to the relation between this InterconnectLocation and various Google Cloud regions.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of this InterconnectLocation, which can take one of the following values: - CLOSED: The InterconnectLocation is closed and is unavailable for provisioning new Interconnects. - AVAILABLE: The InterconnectLocation is available for provisioning new Interconnects. \n*   `supportsPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectLocation.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectLocationList","doc":"Response to the list request, and contains a list of interconnect locations.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectLocationList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectLocation.t)`, *default:* `nil`) - A list of InterconnectLocation resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#interconnectLocationList`) - [Output Only] Type of resource. Always compute#interconnectLocationList for lists of interconnect locations.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InterconnectLocationListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectLocationList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectLocationList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectLocationListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectLocationListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectLocationListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectLocationRegionInfo","doc":"Information about any potential InterconnectAttachments between an Interconnect at a specific InterconnectLocation, and a specific Cloud Region.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationRegionInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectLocationRegionInfo","doc":"*   `expectedRttMs` (*type:* `String.t`, *default:* `nil`) - Expected round-trip time in milliseconds, from this InterconnectLocation to a VM in this region.\n*   `locationPresence` (*type:* `String.t`, *default:* `nil`) - Identifies the network presence of this location.\n*   `region` (*type:* `String.t`, *default:* `nil`) - URL for the region of this location.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationRegionInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectLocationRegionInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationRegionInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectLocationRegionInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectLocationRegionInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectMacsec","doc":"Configuration information for enabling Media Access Control security (MACsec) on this Cloud Interconnect connection between Google and your on-premises router.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsec.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectMacsec","doc":"*   `failOpen` (*type:* `boolean()`, *default:* `nil`) - If set to true, the Interconnect connection is configured with a should-secure MACsec security policy, that allows the Google router to fallback to cleartext traffic if the MKA session cannot be established. By default, the Interconnect connection is configured with a must-secure security policy that drops all traffic if the MKA session cannot be established with your router.\n*   `preSharedKeys` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectMacsecPreSharedKey.t)`, *default:* `nil`) - Required. A keychain placeholder describing a set of named key objects along with their start times. A MACsec CKN/CAK is generated for each key in the key chain. Google router automatically picks the key with the most recent startTime when establishing or re-establishing a MACsec secure link.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsec.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectMacsec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsec.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectMacsec.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsec.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfig","doc":"MACsec configuration information for the Interconnect connection. Contains the generated Connectivity Association Key Name (CKN) and the key (CAK) for this Interconnect connection.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectMacsecConfig","doc":"*   `preSharedKeys` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectMacsecConfigPreSharedKey.t)`, *default:* `nil`) - A keychain placeholder describing a set of named key objects along with their start times. A MACsec CKN/CAK is generated for each key in the key chain. Google router automatically picks the key with the most recent startTime when establishing or re-establishing a MACsec secure link.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfigPreSharedKey","doc":"Describes a pre-shared key used to setup MACsec in static connectivity association key (CAK) mode.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfigPreSharedKey.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectMacsecConfigPreSharedKey","doc":"*   `cak` (*type:* `String.t`, *default:* `nil`) - An auto-generated Connectivity Association Key (CAK) for this key.\n*   `ckn` (*type:* `String.t`, *default:* `nil`) - An auto-generated Connectivity Association Key Name (CKN) for this key.\n*   `name` (*type:* `String.t`, *default:* `nil`) - User provided name for this pre-shared key.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - User provided timestamp on or after which this key is valid.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfigPreSharedKey.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfigPreSharedKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfigPreSharedKey.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfigPreSharedKey.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecConfigPreSharedKey.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectMacsecPreSharedKey","doc":"Describes a pre-shared key used to setup MACsec in static connectivity association key (CAK) mode.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecPreSharedKey.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectMacsecPreSharedKey","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. A name for this pre-shared key. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - A RFC3339 timestamp on or after which the key is valid. startTime can be in the future. If the keychain has a single key, startTime can be omitted. If the keychain has multiple keys, startTime is mandatory for each key. The start times of keys must be in increasing order. The start times of two consecutive keys must be at least 6 hours apart.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecPreSharedKey.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectMacsecPreSharedKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecPreSharedKey.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectMacsecPreSharedKey.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectMacsecPreSharedKey.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectOutageNotification","doc":"Description of a planned outage on this Interconnect.","ref":"GoogleApi.Compute.V1.Model.InterconnectOutageNotification.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectOutageNotification","doc":"*   `affectedCircuits` (*type:* `list(String.t)`, *default:* `nil`) - If issue_type is IT_PARTIAL_OUTAGE, a list of the Google-side circuit IDs that will be affected.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A description about the purpose of the outage.\n*   `endTime` (*type:* `String.t`, *default:* `nil`) - Scheduled end time for the outage (milliseconds since Unix epoch).\n*   `issueType` (*type:* `String.t`, *default:* `nil`) - Form this outage is expected to take, which can take one of the following values: - OUTAGE: The Interconnect may be completely out of service for some or all of the specified window. - PARTIAL_OUTAGE: Some circuits comprising the Interconnect as a whole should remain up, but with reduced bandwidth. Note that the versions of this enum prefixed with \"IT_\" have been deprecated in favor of the unprefixed values.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Unique identifier for this outage notification.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The party that generated this notification, which can take the following value: - GOOGLE: this notification as generated by Google. Note that the value of NSRC_GOOGLE has been deprecated in favor of GOOGLE.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - Scheduled start time for the outage (milliseconds since Unix epoch).\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of this notification, which can take one of the following values: - ACTIVE: This outage notification is active. The event could be in the past, present, or future. See start_time and end_time for scheduling. - CANCELLED: The outage associated with this notification was cancelled before the outage was due to start. - COMPLETED: The outage associated with this notification is complete. Note that the versions of this enum prefixed with \"NS_\" have been deprecated in favor of the unprefixed values.","ref":"GoogleApi.Compute.V1.Model.InterconnectOutageNotification.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectOutageNotification.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectOutageNotification.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectOutageNotification.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectOutageNotification.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocation","doc":"Represents a Cross-Cloud Interconnect Remote Location resource. You can use this resource to find remote location details about an Interconnect attachment (VLAN).","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectRemoteLocation","doc":"*   `address` (*type:* `String.t`, *default:* `nil`) - [Output Only] The postal address of the Point of Presence, each line in the address is separated by a newline character.\n*   `attachmentConfigurationConstraints` (*type:* `GoogleApi.Compute.V1.Model.InterconnectAttachmentConfigurationConstraints.t`, *default:* `nil`) - [Output Only] Subset of fields from InterconnectAttachment's |configurationConstraints| field that apply to all attachments for this remote location.\n*   `city` (*type:* `String.t`, *default:* `nil`) - [Output Only] Metropolitan area designator that indicates which city an interconnect is located. For example: \"Chicago, IL\", \"Amsterdam, Netherlands\".\n*   `constraints` (*type:* `GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraints.t`, *default:* `nil`) - [Output Only] Constraints on the parameters for creating Cross-Cloud Interconnect and associated InterconnectAttachments.\n*   `continent` (*type:* `String.t`, *default:* `nil`) - [Output Only] Continent for this location, which can take one of the following values: - AFRICA - ASIA_PAC - EUROPE - NORTH_AMERICA - SOUTH_AMERICA \n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional description of the resource.\n*   `facilityProvider` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the provider for this facility (e.g., EQUINIX).\n*   `facilityProviderFacilityId` (*type:* `String.t`, *default:* `nil`) - [Output Only] A provider-assigned Identifier for this facility (e.g., Ashburn-DC1).\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#interconnectRemoteLocation`) - [Output Only] Type of the resource. Always compute#interconnectRemoteLocation for interconnect remote locations.\n*   `lacp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Link Aggregation Control Protocol (LACP) constraints, which can take one of the following values: LACP_SUPPORTED, LACP_UNSUPPORTED\n*   `maxLagSize100Gbps` (*type:* `integer()`, *default:* `nil`) - [Output Only] The maximum number of 100 Gbps ports supported in a link aggregation group (LAG). When linkType is 100 Gbps, requestedLinkCount cannot exceed max_lag_size_100_gbps.\n*   `maxLagSize10Gbps` (*type:* `integer()`, *default:* `nil`) - [Output Only] The maximum number of 10 Gbps ports supported in a link aggregation group (LAG). When linkType is 10 Gbps, requestedLinkCount cannot exceed max_lag_size_10_gbps.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the resource.\n*   `peeringdbFacilityId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The peeringdb identifier for this facility (corresponding with a netfac type in peeringdb).\n*   `permittedConnections` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectRemoteLocationPermittedConnections.t)`, *default:* `nil`) - [Output Only] Permitted connections.\n*   `remoteService` (*type:* `String.t`, *default:* `nil`) - [Output Only] Indicates the service provider present at the remote location. Example values: \"Amazon Web Services\", \"Microsoft Azure\".\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of this InterconnectRemoteLocation, which can take one of the following values: - CLOSED: The InterconnectRemoteLocation is closed and is unavailable for provisioning new Cross-Cloud Interconnects. - AVAILABLE: The InterconnectRemoteLocation is available for provisioning new Cross-Cloud Interconnects.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocation.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraints","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraints.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraints","doc":"*   `portPairRemoteLocation` (*type:* `String.t`, *default:* `nil`) - [Output Only] Port pair remote location constraints, which can take one of the following values: PORT_PAIR_UNCONSTRAINED_REMOTE_LOCATION, PORT_PAIR_MATCHING_REMOTE_LOCATION. Google Cloud API refers only to individual ports, but the UI uses this field when ordering a pair of ports, to prevent users from accidentally ordering something that is incompatible with their cloud provider. Specifically, when ordering a redundant pair of Cross-Cloud Interconnect ports, and one of them uses a remote location with portPairMatchingRemoteLocation set to matching, the UI requires that both ports use the same remote location.\n*   `portPairVlan` (*type:* `String.t`, *default:* `nil`) - [Output Only] Port pair VLAN constraints, which can take one of the following values: PORT_PAIR_UNCONSTRAINED_VLAN, PORT_PAIR_MATCHING_VLAN\n*   `subnetLengthRange` (*type:* `GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraintsSubnetLengthRange.t`, *default:* `nil`) - [Output Only] [min-length, max-length] The minimum and maximum value (inclusive) for the IPv4 subnet length. For example, an interconnectRemoteLocation for Azure has {min: 30, max: 30} because Azure requires /30 subnets. This range specifies the values supported by both cloud providers. Interconnect currently supports /29 and /30 IPv4 subnet lengths. If a remote cloud has no constraint on IPv4 subnet length, the range would thus be {min: 29, max: 30}.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraints.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraints.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraints.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraints.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraints.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraintsSubnetLengthRange","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraintsSubnetLengthRange.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraintsSubnetLengthRange","doc":"*   `max` (*type:* `integer()`, *default:* `nil`) - \n*   `min` (*type:* `integer()`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraintsSubnetLengthRange.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraintsSubnetLengthRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraintsSubnetLengthRange.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraintsSubnetLengthRange.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationConstraintsSubnetLengthRange.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationList","doc":"Response to the list request, and contains a list of interconnect remote locations.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectRemoteLocationList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectRemoteLocation.t)`, *default:* `nil`) - A list of InterconnectRemoteLocation resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#interconnectRemoteLocationList`) - [Output Only] Type of resource. Always compute#interconnectRemoteLocationList for lists of interconnect remote locations.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token lets you get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationPermittedConnections","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationPermittedConnections.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectRemoteLocationPermittedConnections","doc":"*   `interconnectLocation` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of an Interconnect location that is permitted to connect to this Interconnect remote location.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationPermittedConnections.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationPermittedConnections.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationPermittedConnections.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationPermittedConnections.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectRemoteLocationPermittedConnections.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectsGetDiagnosticsResponse","doc":"Response for the InterconnectsGetDiagnosticsRequest.","ref":"GoogleApi.Compute.V1.Model.InterconnectsGetDiagnosticsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectsGetDiagnosticsResponse","doc":"*   `result` (*type:* `GoogleApi.Compute.V1.Model.InterconnectDiagnostics.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.InterconnectsGetDiagnosticsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectsGetDiagnosticsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectsGetDiagnosticsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectsGetDiagnosticsResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectsGetDiagnosticsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.InterconnectsGetMacsecConfigResponse","doc":"Response for the InterconnectsGetMacsecConfigRequest.","ref":"GoogleApi.Compute.V1.Model.InterconnectsGetMacsecConfigResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.InterconnectsGetMacsecConfigResponse","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - end_interface: MixerGetResponseWithEtagBuilder\n*   `result` (*type:* `GoogleApi.Compute.V1.Model.InterconnectMacsecConfig.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.InterconnectsGetMacsecConfigResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.InterconnectsGetMacsecConfigResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.InterconnectsGetMacsecConfigResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.InterconnectsGetMacsecConfigResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.InterconnectsGetMacsecConfigResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.License","doc":"Represents a License resource. A License represents billing and aggregate usage data for public and marketplace images. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Model.License.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.License","doc":"*   `chargesUseFee` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Deprecated. This field no longer reflects whether a license charges a usage fee.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional textual description of the resource; provided by the client when the resource is created.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#license`) - [Output Only] Type of resource. Always compute#license for licenses.\n*   `licenseCode` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique code used to attach this license to images, snapshots, and disks.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. The name must be 1-63 characters long and comply with RFC1035.\n*   `resourceRequirements` (*type:* `GoogleApi.Compute.V1.Model.LicenseResourceRequirements.t`, *default:* `nil`) - \n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `transferable` (*type:* `boolean()`, *default:* `nil`) - If false, licenses will not be copied from the source resource when creating an image from a disk, disk from snapshot, or snapshot from disk.","ref":"GoogleApi.Compute.V1.Model.License.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.License.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.License.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.License.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.License.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LicenseCode","doc":"Represents a License Code resource. A License Code is a unique identifier used to represent a license resource. *Caution* This resource is intended for use only by third-party partners who are creating Cloud Marketplace images.","ref":"GoogleApi.Compute.V1.Model.LicenseCode.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LicenseCode","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] Description of this License Code.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#licenseCode`) - [Output Only] Type of resource. Always compute#licenseCode for licenses.\n*   `licenseAlias` (*type:* `list(GoogleApi.Compute.V1.Model.LicenseCodeLicenseAlias.t)`, *default:* `nil`) - [Output Only] URL and description aliases of Licenses with the same License Code.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the resource. The name is 1-20 characters long and must be a valid 64 bit integer.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `state` (*type:* `String.t`, *default:* `nil`) - [Output Only] Current state of this License Code.\n*   `transferable` (*type:* `boolean()`, *default:* `nil`) - [Output Only] If true, the license will remain attached when creating images or snapshots from disks. Otherwise, the license is not transferred.","ref":"GoogleApi.Compute.V1.Model.LicenseCode.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LicenseCode.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LicenseCode.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LicenseCode.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LicenseCode.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LicenseCodeLicenseAlias","doc":"","ref":"GoogleApi.Compute.V1.Model.LicenseCodeLicenseAlias.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LicenseCodeLicenseAlias","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] Description of this License Code.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of license corresponding to this License Code.","ref":"GoogleApi.Compute.V1.Model.LicenseCodeLicenseAlias.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LicenseCodeLicenseAlias.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LicenseCodeLicenseAlias.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LicenseCodeLicenseAlias.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LicenseCodeLicenseAlias.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LicenseResourceCommitment","doc":"Commitment for a particular license resource.","ref":"GoogleApi.Compute.V1.Model.LicenseResourceCommitment.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LicenseResourceCommitment","doc":"*   `amount` (*type:* `String.t`, *default:* `nil`) - The number of licenses purchased.\n*   `coresPerLicense` (*type:* `String.t`, *default:* `nil`) - Specifies the core range of the instance for which this license applies.\n*   `license` (*type:* `String.t`, *default:* `nil`) - Any applicable license URI.","ref":"GoogleApi.Compute.V1.Model.LicenseResourceCommitment.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LicenseResourceCommitment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LicenseResourceCommitment.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LicenseResourceCommitment.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LicenseResourceCommitment.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LicenseResourceRequirements","doc":"","ref":"GoogleApi.Compute.V1.Model.LicenseResourceRequirements.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LicenseResourceRequirements","doc":"*   `minGuestCpuCount` (*type:* `integer()`, *default:* `nil`) - Minimum number of guest cpus required to use the Instance. Enforced at Instance creation and Instance start.\n*   `minMemoryMb` (*type:* `integer()`, *default:* `nil`) - Minimum memory required to use the Instance. Enforced at Instance creation and Instance start.","ref":"GoogleApi.Compute.V1.Model.LicenseResourceRequirements.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LicenseResourceRequirements.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LicenseResourceRequirements.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LicenseResourceRequirements.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LicenseResourceRequirements.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LicensesListResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.LicensesListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LicensesListResponse","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.License.t)`, *default:* `nil`) - A list of License resources.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.LicensesListResponseWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.LicensesListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LicensesListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LicensesListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LicensesListResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LicensesListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LicensesListResponseWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.LicensesListResponseWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LicensesListResponseWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.LicensesListResponseWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.LicensesListResponseWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LicensesListResponseWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LicensesListResponseWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LicensesListResponseWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LicensesListResponseWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LicensesListResponseWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.LicensesListResponseWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LicensesListResponseWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.LicensesListResponseWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LicensesListResponseWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LicensesListResponseWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LicensesListResponseWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LicensesListResponseWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LocalDisk","doc":"","ref":"GoogleApi.Compute.V1.Model.LocalDisk.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LocalDisk","doc":"*   `diskCount` (*type:* `integer()`, *default:* `nil`) - Specifies the number of such disks.\n*   `diskSizeGb` (*type:* `integer()`, *default:* `nil`) - Specifies the size of the disk in base-2 GB.\n*   `diskType` (*type:* `String.t`, *default:* `nil`) - Specifies the desired disk type on the node. This disk type must be a local storage type (e.g.: local-ssd). Note that for nodeTemplates, this should be the name of the disk type and not its URL.","ref":"GoogleApi.Compute.V1.Model.LocalDisk.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LocalDisk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LocalDisk.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LocalDisk.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LocalDisk.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LocalizedMessage","doc":"Provides a localized error message that is safe to return to the user which can be attached to an RPC error.","ref":"GoogleApi.Compute.V1.Model.LocalizedMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LocalizedMessage","doc":"*   `locale` (*type:* `String.t`, *default:* `nil`) - The locale used following the specification defined at https://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: \"en-US\", \"fr-CH\", \"es-MX\"\n*   `message` (*type:* `String.t`, *default:* `nil`) - The localized error message in the above locale.","ref":"GoogleApi.Compute.V1.Model.LocalizedMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LocalizedMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LocalizedMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LocalizedMessage.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LocalizedMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LocationPolicy","doc":"Configuration for location policy among multiple possible locations (e.g. preferences for zone selection among zones in a single region).","ref":"GoogleApi.Compute.V1.Model.LocationPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LocationPolicy","doc":"*   `locations` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.LocationPolicyLocation.t}`, *default:* `nil`) - Location configurations mapped by location name. Currently only zone names are supported and must be represented as valid internal URLs, such as zones/us-central1-a.\n*   `targetShape` (*type:* `String.t`, *default:* `nil`) - Strategy for distributing VMs across zones in a region.","ref":"GoogleApi.Compute.V1.Model.LocationPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LocationPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LocationPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LocationPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LocationPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LocationPolicyLocation","doc":"","ref":"GoogleApi.Compute.V1.Model.LocationPolicyLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LocationPolicyLocation","doc":"*   `constraints` (*type:* `GoogleApi.Compute.V1.Model.LocationPolicyLocationConstraints.t`, *default:* `nil`) - Constraints that the caller requires on the result distribution in this zone.\n*   `preference` (*type:* `String.t`, *default:* `nil`) - Preference for a given location. Set to either ALLOW or DENY.","ref":"GoogleApi.Compute.V1.Model.LocationPolicyLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LocationPolicyLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LocationPolicyLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LocationPolicyLocation.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LocationPolicyLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LocationPolicyLocationConstraints","doc":"Per-zone constraints on location policy for this zone.","ref":"GoogleApi.Compute.V1.Model.LocationPolicyLocationConstraints.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LocationPolicyLocationConstraints","doc":"*   `maxCount` (*type:* `integer()`, *default:* `nil`) - Maximum number of items that are allowed to be placed in this zone. The value must be non-negative.","ref":"GoogleApi.Compute.V1.Model.LocationPolicyLocationConstraints.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LocationPolicyLocationConstraints.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LocationPolicyLocationConstraints.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LocationPolicyLocationConstraints.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LocationPolicyLocationConstraints.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LogConfig","doc":"This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.LogConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LogConfig","doc":"*   `cloudAudit` (*type:* `GoogleApi.Compute.V1.Model.LogConfigCloudAuditOptions.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `counter` (*type:* `GoogleApi.Compute.V1.Model.LogConfigCounterOptions.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `dataAccess` (*type:* `GoogleApi.Compute.V1.Model.LogConfigDataAccessOptions.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.LogConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LogConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LogConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LogConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LogConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LogConfigCloudAuditOptions","doc":"This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.LogConfigCloudAuditOptions.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LogConfigCloudAuditOptions","doc":"*   `logName` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.LogConfigCloudAuditOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LogConfigCloudAuditOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LogConfigCloudAuditOptions.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LogConfigCloudAuditOptions.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LogConfigCloudAuditOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LogConfigCounterOptions","doc":"This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.LogConfigCounterOptions.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LogConfigCounterOptions","doc":"*   `customFields` (*type:* `list(GoogleApi.Compute.V1.Model.LogConfigCounterOptionsCustomField.t)`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `field` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `metric` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.LogConfigCounterOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LogConfigCounterOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LogConfigCounterOptions.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LogConfigCounterOptions.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LogConfigCounterOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LogConfigCounterOptionsCustomField","doc":"This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.LogConfigCounterOptionsCustomField.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LogConfigCounterOptionsCustomField","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `value` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.LogConfigCounterOptionsCustomField.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LogConfigCounterOptionsCustomField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LogConfigCounterOptionsCustomField.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LogConfigCounterOptionsCustomField.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LogConfigCounterOptionsCustomField.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.LogConfigDataAccessOptions","doc":"This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.LogConfigDataAccessOptions.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.LogConfigDataAccessOptions","doc":"*   `logMode` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.LogConfigDataAccessOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.LogConfigDataAccessOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.LogConfigDataAccessOptions.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.LogConfigDataAccessOptions.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.LogConfigDataAccessOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineImage","doc":"Represents a machine image resource. A machine image is a Compute Engine resource that stores all the configuration, metadata, permissions, and data from one or more disks required to create a Virtual machine (VM) instance. For more information, see Machine images.","ref":"GoogleApi.Compute.V1.Model.MachineImage.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineImage","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] The creation timestamp for this machine image in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `guestFlush` (*type:* `boolean()`, *default:* `nil`) - [Input Only] Whether to attempt an application consistent machine image by informing the OS to prepare for the snapshot process.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] A unique identifier for this machine image. The server defines this identifier.\n*   `instanceProperties` (*type:* `GoogleApi.Compute.V1.Model.InstanceProperties.t`, *default:* `nil`) - [Output Only] Properties of source instance\n*   `kind` (*type:* `String.t`, *default:* `compute#machineImage`) - [Output Only] The resource type, which is always compute#machineImage for machine image.\n*   `machineImageEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - Encrypts the machine image using a customer-supplied encryption key. After you encrypt a machine image using a customer-supplied key, you must provide the same key if you use the machine image later. For example, you must provide the encryption key when you create an instance from the encrypted machine image in a future request. Customer-supplied encryption keys do not protect access to metadata of the machine image. If you do not provide an encryption key when creating the machine image, then the machine image will be encrypted using an automatically generated key and you do not need to provide a key to use the machine image later.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. Reserved for future use.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `savedDisks` (*type:* `list(GoogleApi.Compute.V1.Model.SavedDisk.t)`, *default:* `nil`) - An array of Machine Image specific properties for disks attached to the source instance\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL for this machine image. The server defines this URL.\n*   `sourceDiskEncryptionKeys` (*type:* `list(GoogleApi.Compute.V1.Model.SourceDiskEncryptionKey.t)`, *default:* `nil`) - [Input Only] The customer-supplied encryption key of the disks attached to the source instance. Required if the source disk is protected by a customer-supplied encryption key.\n*   `sourceInstance` (*type:* `String.t`, *default:* `nil`) - The source instance used to create the machine image. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance \n*   `sourceInstanceProperties` (*type:* `GoogleApi.Compute.V1.Model.SourceInstanceProperties.t`, *default:* `nil`) - [Output Only] DEPRECATED: Please use instance_properties instead for source instance related properties. New properties will not be added to this field.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the machine image. One of the following values: INVALID, CREATING, READY, DELETING, and UPLOADING.\n*   `storageLocations` (*type:* `list(String.t)`, *default:* `nil`) - The regional or multi-regional Cloud Storage bucket location where the machine image is stored.\n*   `totalStorageBytes` (*type:* `String.t`, *default:* `nil`) - [Output Only] Total size of the storage used by the machine image.","ref":"GoogleApi.Compute.V1.Model.MachineImage.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineImage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineImage.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineImage.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineImage.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineImageList","doc":"A list of machine images.","ref":"GoogleApi.Compute.V1.Model.MachineImageList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineImageList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.MachineImage.t)`, *default:* `nil`) - A list of MachineImage resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#machineImageList`) - [Output Only] The resource type, which is always compute#machineImagesListResponse for machine image lists.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.MachineImageListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.MachineImageList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineImageList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineImageList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineImageList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineImageList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineImageListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.MachineImageListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineImageListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.MachineImageListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.MachineImageListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineImageListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineImageListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineImageListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineImageListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineImageListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineImageListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineImageListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.MachineImageListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineImageListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineImageListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineImageListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineImageListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineType","doc":"Represents a Machine Type resource. You can use specific machine types for your VM instances based on performance and pricing requirements. For more information, read Machine Types.","ref":"GoogleApi.Compute.V1.Model.MachineType.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineType","doc":"*   `accelerators` (*type:* `list(GoogleApi.Compute.V1.Model.MachineTypeAccelerators.t)`, *default:* `nil`) - [Output Only] A list of accelerator configurations assigned to this machine type.\n*   `architecture` (*type:* `String.t`, *default:* `nil`) - [Output Only] The architecture of the machine type.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `deprecated` (*type:* `GoogleApi.Compute.V1.Model.DeprecationStatus.t`, *default:* `nil`) - [Output Only] The deprecation status associated with this machine type. Only applicable if the machine type is unavailable.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional textual description of the resource.\n*   `guestCpus` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of virtual CPUs that are available to the instance.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `imageSpaceGb` (*type:* `integer()`, *default:* `nil`) - [Deprecated] This property is deprecated and will never be populated with any relevant values.\n*   `isSharedCpu` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Whether this machine type has a shared CPU. See Shared-core machine types for more information.\n*   `kind` (*type:* `String.t`, *default:* `compute#machineType`) - [Output Only] The type of the resource. Always compute#machineType for machine types.\n*   `maximumPersistentDisks` (*type:* `integer()`, *default:* `nil`) - [Output Only] Maximum persistent disks allowed.\n*   `maximumPersistentDisksSizeGb` (*type:* `String.t`, *default:* `nil`) - [Output Only] Maximum total persistent disks size (GB) allowed.\n*   `memoryMb` (*type:* `integer()`, *default:* `nil`) - [Output Only] The amount of physical memory available to the instance, defined in MB.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the resource.\n*   `scratchDisks` (*type:* `list(GoogleApi.Compute.V1.Model.MachineTypeScratchDisks.t)`, *default:* `nil`) - [Output Only] A list of extended scratch disks assigned to the instance.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the zone where the machine type resides, such as us-central1-a.","ref":"GoogleApi.Compute.V1.Model.MachineType.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineType.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineType.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineType.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypeAccelerators","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeAccelerators.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypeAccelerators","doc":"*   `guestAcceleratorCount` (*type:* `integer()`, *default:* `nil`) - Number of accelerator cards exposed to the guest.\n*   `guestAcceleratorType` (*type:* `String.t`, *default:* `nil`) - The accelerator type resource name, not a full URL, e.g. nvidia-tesla-t4.","ref":"GoogleApi.Compute.V1.Model.MachineTypeAccelerators.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypeAccelerators.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypeAccelerators.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypeAccelerators.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeAccelerators.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypeAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.MachineTypesScopedList.t}`, *default:* `nil`) - A list of MachineTypesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#machineTypeAggregatedList`) - [Output Only] Type of resource. Always compute#machineTypeAggregatedList for aggregated lists of machine types.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypeList","doc":"Contains a list of machine types.","ref":"GoogleApi.Compute.V1.Model.MachineTypeList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypeList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.MachineType.t)`, *default:* `nil`) - A list of MachineType resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#machineTypeList`) - [Output Only] Type of resource. Always compute#machineTypeList for lists of machine types.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.MachineTypeListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.MachineTypeList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypeList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypeList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypeList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypeListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.MachineTypeListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypeListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.MachineTypeListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.MachineTypeListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypeListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypeListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypeListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypeListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypeListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.MachineTypeListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypeListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypeListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypeListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypeScratchDisks","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeScratchDisks.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypeScratchDisks","doc":"*   `diskGb` (*type:* `integer()`, *default:* `nil`) - Size of the scratch disk, defined in GB.","ref":"GoogleApi.Compute.V1.Model.MachineTypeScratchDisks.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypeScratchDisks.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypeScratchDisks.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypeScratchDisks.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypeScratchDisks.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypesScopedList","doc":"*   `machineTypes` (*type:* `list(GoogleApi.Compute.V1.Model.MachineType.t)`, *default:* `nil`) - [Output Only] A list of machine types contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.MachineTypesScopedListWarning.t`, *default:* `nil`) - [Output Only] An informational warning that appears when the machine types list is empty.","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarning","doc":"[Output Only] An informational warning that appears when the machine types list is empty.","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.MachineTypesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MachineTypesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MachineTypesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ManagedInstance","doc":"A Managed Instance resource.","ref":"GoogleApi.Compute.V1.Model.ManagedInstance.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ManagedInstance","doc":"*   `currentAction` (*type:* `String.t`, *default:* `nil`) - [Output Only] The current action that the managed instance group has scheduled for the instance. Possible values: - NONE The instance is running, and the managed instance group does not have any scheduled actions for this instance. - CREATING The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful. - CREATING_WITHOUT_RETRIES The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased instead. - RECREATING The managed instance group is recreating this instance. - DELETING The managed instance group is permanently deleting this instance. - ABANDONING The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group. - RESTARTING The managed instance group is restarting the instance. - REFRESHING The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance. - VERIFYING The managed instance group has created the instance and it is in the process of being verified. \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output only] The unique identifier for this resource. This field is empty when instance does not exist.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the instance. The URL can exist even if the instance has not yet been created.\n*   `instanceHealth` (*type:* `list(GoogleApi.Compute.V1.Model.ManagedInstanceInstanceHealth.t)`, *default:* `nil`) - [Output Only] Health state of the instance per health-check.\n*   `instanceStatus` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the instance. This field is empty when the instance does not exist.\n*   `lastAttempt` (*type:* `GoogleApi.Compute.V1.Model.ManagedInstanceLastAttempt.t`, *default:* `nil`) - [Output Only] Information about the last attempt to create or delete the instance.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the instance. The name always exists even if the instance has not yet been created.\n*   `preservedStateFromConfig` (*type:* `GoogleApi.Compute.V1.Model.PreservedState.t`, *default:* `nil`) - [Output Only] Preserved state applied from per-instance config for this instance.\n*   `preservedStateFromPolicy` (*type:* `GoogleApi.Compute.V1.Model.PreservedState.t`, *default:* `nil`) - [Output Only] Preserved state generated based on stateful policy for this instance.\n*   `version` (*type:* `GoogleApi.Compute.V1.Model.ManagedInstanceVersion.t`, *default:* `nil`) - [Output Only] Intended version of this instance.","ref":"GoogleApi.Compute.V1.Model.ManagedInstance.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ManagedInstance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ManagedInstance.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ManagedInstance.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstance.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ManagedInstanceInstanceHealth","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceInstanceHealth.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ManagedInstanceInstanceHealth","doc":"*   `detailedHealthState` (*type:* `String.t`, *default:* `nil`) - [Output Only] The current detailed instance health state.\n*   `healthCheck` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL for the health check that verifies whether the instance is healthy.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceInstanceHealth.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ManagedInstanceInstanceHealth.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceInstanceHealth.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ManagedInstanceInstanceHealth.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceInstanceHealth.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttempt","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttempt.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ManagedInstanceLastAttempt","doc":"*   `errors` (*type:* `GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrors.t`, *default:* `nil`) - [Output Only] Encountered errors during the last attempt to create or delete the instance.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttempt.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttempt.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttempt.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttempt.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttempt.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrors","doc":"[Output Only] Encountered errors during the last attempt to create or delete the instance.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrors.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrors","doc":"*   `errors` (*type:* `list(GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrors.t)`, *default:* `nil`) - [Output Only] The array of errors encountered while processing this operation.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrors.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrors.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrors.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrors.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrors.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrors","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrors.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrors","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] The error type identifier for this error.\n*   `errorDetails` (*type:* `list(GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrorsErrorDetails.t)`, *default:* `nil`) - [Output Only] An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED.\n*   `location` (*type:* `String.t`, *default:* `nil`) - [Output Only] Indicates the field in the request that caused the error. This property is optional.\n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional, human-readable error message.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrors.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrors.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrors.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrors.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrors.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrorsErrorDetails","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrorsErrorDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrorsErrorDetails","doc":"*   `errorInfo` (*type:* `GoogleApi.Compute.V1.Model.ErrorInfo.t`, *default:* `nil`) - \n*   `help` (*type:* `GoogleApi.Compute.V1.Model.Help.t`, *default:* `nil`) - \n*   `localizedMessage` (*type:* `GoogleApi.Compute.V1.Model.LocalizedMessage.t`, *default:* `nil`) - \n*   `quotaInfo` (*type:* `GoogleApi.Compute.V1.Model.QuotaExceededInfo.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrorsErrorDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrorsErrorDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrorsErrorDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrorsErrorDetails.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceLastAttemptErrorsErrorsErrorDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ManagedInstanceVersion","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceVersion.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ManagedInstanceVersion","doc":"*   `instanceTemplate` (*type:* `String.t`, *default:* `nil`) - [Output Only] The intended template of the instance. This field is empty when current_action is one of { DELETING, ABANDONING }.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the version.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceVersion.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ManagedInstanceVersion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceVersion.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ManagedInstanceVersion.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ManagedInstanceVersion.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Metadata","doc":"A metadata key/value entry.","ref":"GoogleApi.Compute.V1.Model.Metadata.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Metadata","doc":"*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Specifies a fingerprint for this request, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the resource.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.MetadataItems.t)`, *default:* `nil`) - Array of key/value pairs. The total size of all keys and values must be less than 512 KB.\n*   `kind` (*type:* `String.t`, *default:* `compute#metadata`) - [Output Only] Type of the resource. Always compute#metadata for metadata.","ref":"GoogleApi.Compute.V1.Model.Metadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Metadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Metadata.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Metadata.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Metadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MetadataFilter","doc":"Opaque filter criteria used by load balancers to restrict routing configuration to a limited set of load balancing proxies. Proxies and sidecars involved in load balancing would typically present metadata to the load balancers that need to match criteria specified here. If a match takes place, the relevant configuration is made available to those proxies. For each metadataFilter in this list, if its filterMatchCriteria is set to MATCH_ANY, at least one of the filterLabels must match the corresponding label provided in the metadata. If its filterMatchCriteria is set to MATCH_ALL, then all of its filterLabels must match with corresponding labels provided in the metadata. An example for using metadataFilters would be: if load balancing involves Envoys, they receive routing configuration when values in metadataFilters match values supplied in of their XDS requests to loadbalancers.","ref":"GoogleApi.Compute.V1.Model.MetadataFilter.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MetadataFilter","doc":"*   `filterLabels` (*type:* `list(GoogleApi.Compute.V1.Model.MetadataFilterLabelMatch.t)`, *default:* `nil`) - The list of label value pairs that must match labels in the provided metadata based on filterMatchCriteria This list must not be empty and can have at the most 64 entries.\n*   `filterMatchCriteria` (*type:* `String.t`, *default:* `nil`) - Specifies how individual filter label matches within the list of filterLabels and contributes toward the overall metadataFilter match. Supported values are: - MATCH_ANY: at least one of the filterLabels must have a matching label in the provided metadata. - MATCH_ALL: all filterLabels must have matching labels in the provided metadata.","ref":"GoogleApi.Compute.V1.Model.MetadataFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MetadataFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MetadataFilter.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MetadataFilter.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MetadataFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MetadataFilterLabelMatch","doc":"MetadataFilter label name value pairs that are expected to match corresponding labels presented as metadata to the load balancer.","ref":"GoogleApi.Compute.V1.Model.MetadataFilterLabelMatch.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MetadataFilterLabelMatch","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of metadata label. The name can have a maximum length of 1024 characters and must be at least 1 character long.\n*   `value` (*type:* `String.t`, *default:* `nil`) - The value of the label must match the specified value. value can have a maximum length of 1024 characters.","ref":"GoogleApi.Compute.V1.Model.MetadataFilterLabelMatch.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MetadataFilterLabelMatch.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MetadataFilterLabelMatch.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MetadataFilterLabelMatch.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MetadataFilterLabelMatch.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.MetadataItems","doc":"Metadata","ref":"GoogleApi.Compute.V1.Model.MetadataItems.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.MetadataItems","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Key for the metadata entry. Keys must conform to the following regexp: [a-zA-Z0-9-_]+, and be less than 128 bytes in length. This is reflected as part of a URL in the metadata server. Additionally, to avoid ambiguity, keys must not conflict with any other metadata keys for the project.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Value for the metadata entry. These are free-form strings, and only have meaning as interpreted by the image running in the instance. The only restriction placed on values is that their size must be less than or equal to 262144 bytes (256 KiB).","ref":"GoogleApi.Compute.V1.Model.MetadataItems.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.MetadataItems.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.MetadataItems.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.MetadataItems.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.MetadataItems.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NamedPort","doc":"The named port. For example: <\"http\", 80>.","ref":"GoogleApi.Compute.V1.Model.NamedPort.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NamedPort","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name for this named port. The name must be 1-63 characters long, and comply with RFC1035.\n*   `port` (*type:* `integer()`, *default:* `nil`) - The port number, which can be a value between 1 and 65535.","ref":"GoogleApi.Compute.V1.Model.NamedPort.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NamedPort.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NamedPort.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NamedPort.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NamedPort.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NatIpInfo","doc":"Contains NAT IP information of a NAT config (i.e. usage status, mode).","ref":"GoogleApi.Compute.V1.Model.NatIpInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NatIpInfo","doc":"*   `natIpInfoMappings` (*type:* `list(GoogleApi.Compute.V1.Model.NatIpInfoNatIpInfoMapping.t)`, *default:* `nil`) - A list of all NAT IPs assigned to this NAT config.\n*   `natName` (*type:* `String.t`, *default:* `nil`) - Name of the NAT config which the NAT IP belongs to.","ref":"GoogleApi.Compute.V1.Model.NatIpInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NatIpInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NatIpInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NatIpInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NatIpInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NatIpInfoNatIpInfoMapping","doc":"Contains information of a NAT IP.","ref":"GoogleApi.Compute.V1.Model.NatIpInfoNatIpInfoMapping.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NatIpInfoNatIpInfoMapping","doc":"*   `mode` (*type:* `String.t`, *default:* `nil`) - Specifies whether NAT IP is auto or manual.\n*   `natIp` (*type:* `String.t`, *default:* `nil`) - NAT IP address. For example: 203.0.113.11.\n*   `usage` (*type:* `String.t`, *default:* `nil`) - Specifies whether NAT IP is currently serving at least one endpoint or not.","ref":"GoogleApi.Compute.V1.Model.NatIpInfoNatIpInfoMapping.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NatIpInfoNatIpInfoMapping.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NatIpInfoNatIpInfoMapping.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NatIpInfoNatIpInfoMapping.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NatIpInfoNatIpInfoMapping.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NatIpInfoResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.NatIpInfoResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NatIpInfoResponse","doc":"*   `result` (*type:* `list(GoogleApi.Compute.V1.Model.NatIpInfo.t)`, *default:* `nil`) - [Output Only] A list of NAT IP information.","ref":"GoogleApi.Compute.V1.Model.NatIpInfoResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NatIpInfoResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NatIpInfoResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NatIpInfoResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NatIpInfoResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Network","doc":"Represents a VPC Network resource. Networks connect resources to each other and to the internet. For more information, read Virtual Private Cloud (VPC) Network.","ref":"GoogleApi.Compute.V1.Model.Network.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Network","doc":"*   `IPv4Range` (*type:* `String.t`, *default:* `nil`) - Deprecated in favor of subnet mode networks. The range of internal addresses that are legal on this network. This range is a CIDR specification, for example: 192.168.0.0/16. Provided by the client when the network is created.\n*   `autoCreateSubnetworks` (*type:* `boolean()`, *default:* `nil`) - Must be set to create a VPC network. If not set, a legacy network is created. When set to true, the VPC network is created in auto mode. When set to false, the VPC network is created in custom mode. An auto mode VPC network starts with one subnet per region. Each subnet has a predetermined range as described in Auto mode VPC network IP ranges. For custom mode VPC networks, you can add subnets using the subnetworks insert method.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this field when you create the resource.\n*   `enableUlaInternalIpv6` (*type:* `boolean()`, *default:* `nil`) - Enable ULA internal ipv6 on this network. Enabling this feature will assign a /48 from google defined ULA prefix fd20::/20. .\n*   `firewallPolicy` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the firewall policy the network is associated with.\n*   `gatewayIPv4` (*type:* `String.t`, *default:* `nil`) - [Output Only] The gateway address for default routing out of the network, selected by Google Cloud.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `internalIpv6Range` (*type:* `String.t`, *default:* `nil`) - When enabling ula internal ipv6, caller optionally can specify the /48 range they want from the google defined ULA prefix fd20::/20. The input must be a valid /48 ULA IPv6 address and must be within the fd20::/20. Operation will fail if the speficied /48 is already in used by another resource. If the field is not speficied, then a /48 range will be randomly allocated from fd20::/20 and returned via this field. .\n*   `kind` (*type:* `String.t`, *default:* `compute#network`) - [Output Only] Type of the resource. Always compute#network for networks.\n*   `mtu` (*type:* `integer()`, *default:* `nil`) - Maximum Transmission Unit in bytes. The minimum value for this field is 1300 and the maximum value is 8896. The suggested value is 1500, which is the default MTU used on the Internet, or 8896 if you want to use Jumbo frames. If unspecified, the value defaults to 1460.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.\n*   `networkFirewallPolicyEnforcementOrder` (*type:* `String.t`, *default:* `nil`) - The network firewall policy enforcement order. Can be either AFTER_CLASSIC_FIREWALL or BEFORE_CLASSIC_FIREWALL. Defaults to AFTER_CLASSIC_FIREWALL if the field is not specified.\n*   `peerings` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkPeering.t)`, *default:* `nil`) - [Output Only] A list of network peerings for the resource.\n*   `routingConfig` (*type:* `GoogleApi.Compute.V1.Model.NetworkRoutingConfig.t`, *default:* `nil`) - The network-level routing configuration for this network. Used by Cloud Router to determine what type of network-wide routing behavior to enforce.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `selfLinkWithId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource with the resource id.\n*   `subnetworks` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Server-defined fully-qualified URLs for all subnetworks in this VPC network.","ref":"GoogleApi.Compute.V1.Model.Network.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Network.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Network.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Network.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Network.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachment","doc":"NetworkAttachments A network attachment resource ...","ref":"GoogleApi.Compute.V1.Model.NetworkAttachment.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachment","doc":"*   `connectionEndpoints` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkAttachmentConnectedEndpoint.t)`, *default:* `nil`) - [Output Only] An array of connections for all the producers connected to this network attachment.\n*   `connectionPreference` (*type:* `String.t`, *default:* `nil`) - \n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. An up-to-date fingerprint must be provided in order to patch.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource type. The server generates this identifier.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkAttachment`) - [Output Only] Type of the resource.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `network` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the network which the Network Attachment belongs to. Practically it is inferred by fetching the network of the first subnetwork associated. Because it is required that all the subnetworks must be from the same network, it is assured that the Network Attachment belongs to the same network as all the subnetworks.\n*   `producerAcceptLists` (*type:* `list(String.t)`, *default:* `nil`) - Projects that are allowed to connect to this network attachment. The project can be specified using its id or number.\n*   `producerRejectLists` (*type:* `list(String.t)`, *default:* `nil`) - Projects that are not allowed to connect to this network attachment. The project can be specified using its id or number.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the network attachment resides. This field applies only to the region resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `selfLinkWithId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource's resource id.\n*   `subnetworks` (*type:* `list(String.t)`, *default:* `nil`) - An array of URLs where each entry is the URL of a subnet provided by the service consumer to use for endpoints in the producers that connect to this network attachment.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachment.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachment.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachment.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachment.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedList","doc":"Contains a list of NetworkAttachmentsScopedList.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedList.t}`, *default:* `nil`) - A list of NetworkAttachmentsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkAttachmentAggregatedList`) - \n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentConnectedEndpoint","doc":"[Output Only] A connection connected to this network attachment.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentConnectedEndpoint.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachmentConnectedEndpoint","doc":"*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - The IPv4 address assigned to the producer instance network interface. This value will be a range in case of Serverless.\n*   `ipv6Address` (*type:* `String.t`, *default:* `nil`) - The IPv6 address assigned to the producer instance network interface. This is only assigned when the stack types of both the instance network interface and the consumer subnet are IPv4_IPv6.\n*   `projectIdOrNum` (*type:* `String.t`, *default:* `nil`) - The project id or number of the interface to which the IP was assigned.\n*   `secondaryIpCidrRanges` (*type:* `list(String.t)`, *default:* `nil`) - Alias IP ranges from the same subnetwork.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of a connected endpoint to this network attachment.\n*   `subnetwork` (*type:* `String.t`, *default:* `nil`) - The subnetwork used to assign the IP to the producer instance network interface.\n*   `subnetworkCidrRange` (*type:* `String.t`, *default:* `nil`) - [Output Only] The CIDR range of the subnet from which the IPv4 internal IP was allocated from.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentConnectedEndpoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentConnectedEndpoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentConnectedEndpoint.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentConnectedEndpoint.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentConnectedEndpoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentList","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachmentList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkAttachment.t)`, *default:* `nil`) - A list of NetworkAttachment resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkAttachmentList`) - \n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NetworkAttachmentListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachmentListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkAttachmentListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachmentListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedList","doc":"*   `networkAttachments` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkAttachment.t)`, *default:* `nil`) - A list of NetworkAttachments contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of network attachments when the list is empty.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarning","doc":"Informational warning which replaces the list of network attachments when the list is empty.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkAttachmentsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService","doc":"Represents a Google Cloud Armor network edge security service resource.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a NetworkEdgeSecurityService. An up-to-date fingerprint must be provided in order to update the NetworkEdgeSecurityService, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a NetworkEdgeSecurityService.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkEdgeSecurityService`) - [Output only] Type of the resource. Always compute#networkEdgeSecurityService for NetworkEdgeSecurityServices\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the resource resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `securityPolicy` (*type:* `String.t`, *default:* `nil`) - The resource URL for the network edge security service associated with this network edge security service.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `selfLinkWithId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource with the resource id.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedList","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedList.t}`, *default:* `nil`) - A list of NetworkEdgeSecurityServicesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkEdgeSecurityServiceAggregatedList`) - [Output Only] Type of resource. Always compute#networkEdgeSecurityServiceAggregatedList for lists of Network Edge Security Services.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServiceAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedList","doc":"*   `networkEdgeSecurityServices` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEdgeSecurityService.t)`, *default:* `nil`) - A list of NetworkEdgeSecurityServices contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of security policies when the list is empty.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarning","doc":"Informational warning which replaces the list of security policies when the list is empty.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEdgeSecurityServicesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpoint","doc":"The network endpoint.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpoint.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpoint","doc":"*   `annotations` (*type:* `map()`, *default:* `nil`) - Metadata defined as annotations on the network endpoint.\n*   `clientDestinationPort` (*type:* `integer()`, *default:* `nil`) - Represents the port number to which PSC consumer sends packets. Only valid for network endpoint groups created with GCE_VM_IP_PORTMAP endpoint type.\n*   `fqdn` (*type:* `String.t`, *default:* `nil`) - Optional fully qualified domain name of network endpoint. This can only be specified when NetworkEndpointGroup.network_endpoint_type is NON_GCP_FQDN_PORT.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - The name or a URL of VM instance of this network endpoint. This field is required for network endpoints of type GCE_VM_IP and GCE_VM_IP_PORT. The instance must be in the same zone of network endpoint group (for zonal NEGs) or in the zone within the region of the NEG (for regional NEGs). If the ipAddress is specified, it must belongs to the VM instance. The name must be 1-63 characters long, and comply with RFC1035 or be a valid URL pointing to an existing instance.\n*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - Optional IPv4 address of network endpoint. The IP address must belong to a VM in Compute Engine (either the primary IP or as part of an aliased IP range). If the IP address is not specified, then the primary IP address for the VM instance in the network that the network endpoint group belongs to will be used. This field is redundant and need not be set for network endpoints of type GCE_VM_IP. If set, it must be set to the primary internal IP address of the attached VM instance that matches the subnetwork of the NEG. The primary internal IP address from any NIC of a multi-NIC VM instance can be added to a NEG as long as it matches the NEG subnetwork.\n*   `ipv6Address` (*type:* `String.t`, *default:* `nil`) - Optional IPv6 address of network endpoint.\n*   `port` (*type:* `integer()`, *default:* `nil`) - Optional port number of network endpoint. If not specified, the defaultPort for the network endpoint group will be used. This field can not be set for network endpoints of type GCE_VM_IP.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpoint.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpoint.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroup","doc":"Represents a collection of network endpoints. A network endpoint group (NEG) defines how a set of endpoints should be reached, whether they are reachable, and where they are located. For more information about using NEGs for different use cases, see Network endpoint groups overview.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroup.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroup","doc":"*   `annotations` (*type:* `map()`, *default:* `nil`) - Metadata defined as annotations on the network endpoint group.\n*   `appEngine` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupAppEngine.t`, *default:* `nil`) - Only valid when networkEndpointType is SERVERLESS. Only one of cloudRun, appEngine or cloudFunction may be set.\n*   `cloudFunction` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudFunction.t`, *default:* `nil`) - Only valid when networkEndpointType is SERVERLESS. Only one of cloudRun, appEngine or cloudFunction may be set.\n*   `cloudRun` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudRun.t`, *default:* `nil`) - Only valid when networkEndpointType is SERVERLESS. Only one of cloudRun, appEngine or cloudFunction may be set.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `defaultPort` (*type:* `integer()`, *default:* `nil`) - The default port used if the port number is not specified in the network endpoint. If the network endpoint type is either GCE_VM_IP, SERVERLESS or PRIVATE_SERVICE_CONNECT, this field must not be specified.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkEndpointGroup`) - [Output Only] Type of the resource. Always compute#networkEndpointGroup for network endpoint group.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `network` (*type:* `String.t`, *default:* `nil`) - The URL of the network to which all network endpoints in the NEG belong. Uses default project network if unspecified.\n*   `networkEndpointType` (*type:* `String.t`, *default:* `nil`) - Type of network endpoints in this network endpoint group. Can be one of GCE_VM_IP, GCE_VM_IP_PORT, NON_GCP_PRIVATE_IP_PORT, INTERNET_FQDN_PORT, INTERNET_IP_PORT, SERVERLESS, PRIVATE_SERVICE_CONNECT, GCE_VM_IP_PORTMAP.\n*   `pscData` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupPscData.t`, *default:* `nil`) - \n*   `pscTargetService` (*type:* `String.t`, *default:* `nil`) - The target service url used to set up private service connection to a Google API or a PSC Producer Service Attachment. An example value is: asia-northeast3-cloudkms.googleapis.com\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the region where the network endpoint group is located.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `size` (*type:* `integer()`, *default:* `nil`) - [Output only] Number of network endpoints in the network endpoint group.\n*   `subnetwork` (*type:* `String.t`, *default:* `nil`) - Optional URL of the subnetwork to which all network endpoints in the NEG belong.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the zone where the network endpoint group is located.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroup.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroup.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedList.t}`, *default:* `nil`) - A list of NetworkEndpointGroupsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkEndpointGroupAggregatedList`) - [Output Only] The resource type, which is always compute#networkEndpointGroupAggregatedList for aggregated lists of network endpoint groups.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAppEngine","doc":"Configuration for an App Engine network endpoint group (NEG). The service is optional, may be provided explicitly or in the URL mask. The version is optional and can only be provided explicitly or in the URL mask when service is present. Note: App Engine service must be in the same project and located in the same region as the Serverless NEG.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAppEngine.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupAppEngine","doc":"*   `service` (*type:* `String.t`, *default:* `nil`) - Optional serving service. The service name is case-sensitive and must be 1-63 characters long. Example value: default, my-service.\n*   `urlMask` (*type:* `String.t`, *default:* `nil`) - An URL mask is one of the main components of the Cloud Function. A template to parse service and version fields from a request URL. URL mask allows for routing to multiple App Engine services without having to create multiple Network Endpoint Groups and backend services. For example, the request URLs foo1-dot-appname.appspot.com/v1 and foo1-dot-appname.appspot.com/v2 can be backed by the same Serverless NEG with URL mask  -dot-appname.appspot.com/ . The URL mask will parse them to { service = \"foo1\", version = \"v1\" } and { service = \"foo1\", version = \"v2\" } respectively.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Optional serving version. The version name is case-sensitive and must be 1-100 characters long. Example value: v1, v2.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAppEngine.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAppEngine.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAppEngine.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAppEngine.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupAppEngine.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudFunction","doc":"Configuration for a Cloud Function network endpoint group (NEG). The function must be provided explicitly or in the URL mask. Note: Cloud Function must be in the same project and located in the same region as the Serverless NEG.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudFunction.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudFunction","doc":"*   `function` (*type:* `String.t`, *default:* `nil`) - A user-defined name of the Cloud Function. The function name is case-sensitive and must be 1-63 characters long. Example value: func1.\n*   `urlMask` (*type:* `String.t`, *default:* `nil`) - An URL mask is one of the main components of the Cloud Function. A template to parse function field from a request URL. URL mask allows for routing to multiple Cloud Functions without having to create multiple Network Endpoint Groups and backend services. For example, request URLs mydomain.com/function1 and mydomain.com/function2 can be backed by the same Serverless NEG with URL mask / . The URL mask will parse them to { function = \"function1\" } and { function = \"function2\" } respectively.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudFunction.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudFunction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudFunction.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudFunction.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudFunction.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudRun","doc":"Configuration for a Cloud Run network endpoint group (NEG). The service must be provided explicitly or in the URL mask. The tag is optional, may be provided explicitly or in the URL mask. Note: Cloud Run service must be in the same project and located in the same region as the Serverless NEG.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudRun.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudRun","doc":"*   `service` (*type:* `String.t`, *default:* `nil`) - Cloud Run service is the main resource of Cloud Run. The service must be 1-63 characters long, and comply with RFC1035. Example value: \"run-service\".\n*   `tag` (*type:* `String.t`, *default:* `nil`) - Optional Cloud Run tag represents the \"named-revision\" to provide additional fine-grained traffic routing information. The tag must be 1-63 characters long, and comply with RFC1035. Example value: \"revision-0010\".\n*   `urlMask` (*type:* `String.t`, *default:* `nil`) - An URL mask is one of the main components of the Cloud Function. A template to parse   and   fields from a request URL. URL mask allows for routing to multiple Run services without having to create multiple network endpoint groups and backend services. For example, request URLs foo1.domain.com/bar1 and foo1.domain.com/bar2 can be backed by the same Serverless Network Endpoint Group (NEG) with URL mask  .domain.com/ . The URL mask will parse them to { service=\"bar1\", tag=\"foo1\" } and { service=\"bar2\", tag=\"foo2\" } respectively.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudRun.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudRun.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudRun.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudRun.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupCloudRun.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupList","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpointGroup.t)`, *default:* `nil`) - A list of NetworkEndpointGroup resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkEndpointGroupList`) - [Output Only] The resource type, which is always compute#networkEndpointGroupList for network endpoint group lists.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupPscData","doc":"All data that is specifically relevant to only network endpoint groups of type PRIVATE_SERVICE_CONNECT.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupPscData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupPscData","doc":"*   `consumerPscAddress` (*type:* `String.t`, *default:* `nil`) - [Output Only] Address allocated from given subnetwork for PSC. This IP address acts as a VIP for a PSC NEG, allowing it to act as an endpoint in L7 PSC-XLB.\n*   `producerPort` (*type:* `integer()`, *default:* `nil`) - The psc producer port is used to connect PSC NEG with specific port on the PSC Producer side; should only be used for the PRIVATE_SERVICE_CONNECT NEG type\n*   `pscConnectionId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The PSC connection id of the PSC Network Endpoint Group Consumer.\n*   `pscConnectionStatus` (*type:* `String.t`, *default:* `nil`) - [Output Only] The connection status of the PSC Forwarding Rule.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupPscData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupPscData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupPscData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupPscData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupPscData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsAttachEndpointsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsAttachEndpointsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupsAttachEndpointsRequest","doc":"*   `networkEndpoints` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpoint.t)`, *default:* `nil`) - The list of network endpoints to be attached.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsAttachEndpointsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsAttachEndpointsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsAttachEndpointsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsAttachEndpointsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsAttachEndpointsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsDetachEndpointsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsDetachEndpointsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupsDetachEndpointsRequest","doc":"*   `networkEndpoints` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpoint.t)`, *default:* `nil`) - The list of network endpoints to be detached.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsDetachEndpointsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsDetachEndpointsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsDetachEndpointsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsDetachEndpointsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsDetachEndpointsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListEndpointsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListEndpointsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListEndpointsRequest","doc":"*   `healthStatus` (*type:* `String.t`, *default:* `nil`) - Optional query parameter for showing the health status of each network endpoint. Valid options are SKIP or SHOW. If you don't specify this parameter, the health status of network endpoints will not be provided.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListEndpointsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListEndpointsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListEndpointsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListEndpointsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListEndpointsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpointWithHealthStatus.t)`, *default:* `nil`) - A list of NetworkEndpointWithHealthStatus resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkEndpointGroupsListNetworkEndpoints`) - [Output Only] The resource type, which is always compute#networkEndpointGroupsListNetworkEndpoints for the list of network endpoints in the specified network endpoint group.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpoints.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsListNetworkEndpointsWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedList","doc":"*   `networkEndpointGroups` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpointGroup.t)`, *default:* `nil`) - [Output Only] The list of network endpoint groups that are contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarning.t`, *default:* `nil`) - [Output Only] An informational warning that replaces the list of network endpoint groups when the list is empty.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarning","doc":"[Output Only] An informational warning that replaces the list of network endpoint groups when the list is empty.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointGroupsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkEndpointWithHealthStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointWithHealthStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkEndpointWithHealthStatus","doc":"*   `healths` (*type:* `list(GoogleApi.Compute.V1.Model.HealthStatusForNetworkEndpoint.t)`, *default:* `nil`) - [Output only] The health status of network endpoint;\n*   `networkEndpoint` (*type:* `GoogleApi.Compute.V1.Model.NetworkEndpoint.t`, *default:* `nil`) - [Output only] The network endpoint;","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointWithHealthStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkEndpointWithHealthStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointWithHealthStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkEndpointWithHealthStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkEndpointWithHealthStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkInterface","doc":"A network interface resource attached to an instance.","ref":"GoogleApi.Compute.V1.Model.NetworkInterface.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkInterface","doc":"*   `accessConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.AccessConfig.t)`, *default:* `nil`) - An array of configurations for this interface. Currently, only one access config, ONE_TO_ONE_NAT, is supported. If there are no accessConfigs specified, then this instance will have no external internet access.\n*   `aliasIpRanges` (*type:* `list(GoogleApi.Compute.V1.Model.AliasIpRange.t)`, *default:* `nil`) - An array of alias IP ranges for this network interface. You can only specify this field for network interfaces in VPC networks.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint hash of contents stored in this network interface. This field will be ignored when inserting an Instance or adding a NetworkInterface. An up-to-date fingerprint must be provided in order to update the NetworkInterface. The request will fail with error 400 Bad Request if the fingerprint is not provided, or 412 Precondition Failed if the fingerprint is out of date.\n*   `internalIpv6PrefixLength` (*type:* `integer()`, *default:* `nil`) - The prefix length of the primary internal IPv6 range.\n*   `ipv6AccessConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.AccessConfig.t)`, *default:* `nil`) - An array of IPv6 access configurations for this interface. Currently, only one IPv6 access config, DIRECT_IPV6, is supported. If there is no ipv6AccessConfig specified, then this instance will have no external IPv6 Internet access.\n*   `ipv6AccessType` (*type:* `String.t`, *default:* `nil`) - [Output Only] One of EXTERNAL, INTERNAL to indicate whether the IP can be accessed from the Internet. This field is always inherited from its subnetwork. Valid only if stackType is IPV4_IPV6.\n*   `ipv6Address` (*type:* `String.t`, *default:* `nil`) - An IPv6 internal network address for this network interface. To use a static internal IP address, it must be unused and in the same region as the instance's zone. If not specified, Google Cloud will automatically assign an internal IPv6 address from the instance's subnetwork.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkInterface`) - [Output Only] Type of the resource. Always compute#networkInterface for network interfaces.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the network interface, which is generated by the server. For a VM, the network interface uses the nicN naming format. Where N is a value between 0 and 7. The default interface value is nic0.\n*   `network` (*type:* `String.t`, *default:* `nil`) - URL of the VPC network resource for this instance. When creating an instance, if neither the network nor the subnetwork is specified, the default network global/networks/default is used. If the selected project doesn't have the default network, you must specify a network or subnet. If the network is not specified but the subnetwork is specified, the network is inferred. If you specify this property, you can specify the network as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/global/networks/ network - projects/project/global/networks/network - global/networks/default \n*   `networkAttachment` (*type:* `String.t`, *default:* `nil`) - The URL of the network attachment that this interface should connect to in the following format: projects/{project_number}/regions/{region_name}/networkAttachments/{network_attachment_name}.\n*   `networkIP` (*type:* `String.t`, *default:* `nil`) - An IPv4 internal IP address to assign to the instance for this network interface. If not specified by the user, an unused internal IP is assigned by the system.\n*   `nicType` (*type:* `String.t`, *default:* `nil`) - The type of vNIC to be used on this interface. This may be gVNIC or VirtioNet.\n*   `queueCount` (*type:* `integer()`, *default:* `nil`) - The networking queue count that's specified by users for the network interface. Both Rx and Tx queues will be set to this number. It'll be empty if not specified by the users.\n*   `stackType` (*type:* `String.t`, *default:* `nil`) - The stack type for this network interface. To assign only IPv4 addresses, use IPV4_ONLY. To assign both IPv4 and IPv6 addresses, use IPV4_IPV6. If not specified, IPV4_ONLY is used. This field can be both set at instance creation and update network interface operations.\n*   `subnetwork` (*type:* `String.t`, *default:* `nil`) - The URL of the Subnetwork resource for this instance. If the network resource is in legacy mode, do not specify this field. If the network is in auto subnet mode, specifying the subnetwork is optional. If the network is in custom subnet mode, specifying the subnetwork is required. If you specify this field, you can specify the subnetwork as a full or partial URL. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/regions/region /subnetworks/subnetwork - regions/region/subnetworks/subnetwork","ref":"GoogleApi.Compute.V1.Model.NetworkInterface.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkInterface.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkInterface.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkInterface.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkInterface.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkList","doc":"Contains a list of networks.","ref":"GoogleApi.Compute.V1.Model.NetworkList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Network.t)`, *default:* `nil`) - A list of Network resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#networkList`) - [Output Only] Type of resource. Always compute#networkList for lists of networks.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NetworkListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NetworkListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NetworkListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NetworkListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkPeering","doc":"A network peering attached to a network resource. The message includes the peering name, peer network, peering state, and a flag indicating whether Google Compute Engine should automatically create routes for the peering.","ref":"GoogleApi.Compute.V1.Model.NetworkPeering.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkPeering","doc":"*   `autoCreateRoutes` (*type:* `boolean()`, *default:* `nil`) - This field will be deprecated soon. Use the exchange_subnet_routes field instead. Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE.\n*   `exchangeSubnetRoutes` (*type:* `boolean()`, *default:* `nil`) - Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE.\n*   `exportCustomRoutes` (*type:* `boolean()`, *default:* `nil`) - Whether to export the custom routes to peer network. The default value is false.\n*   `exportSubnetRoutesWithPublicIp` (*type:* `boolean()`, *default:* `nil`) - Whether subnet routes with public IP range are exported. The default value is true, all subnet routes are exported. IPv4 special-use ranges are always exported to peers and are not controlled by this field.\n*   `importCustomRoutes` (*type:* `boolean()`, *default:* `nil`) - Whether to import the custom routes from peer network. The default value is false.\n*   `importSubnetRoutesWithPublicIp` (*type:* `boolean()`, *default:* `nil`) - Whether subnet routes with public IP range are imported. The default value is false. IPv4 special-use ranges are always imported from peers and are not controlled by this field.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this peering. Provided by the client when the peering is created. The name must comply with RFC1035. Specifically, the name must be 1-63 characters long and match regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all the following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `network` (*type:* `String.t`, *default:* `nil`) - The URL of the peer network. It can be either full URL or partial URL. The peer network may belong to a different project. If the partial URL does not contain project, it is assumed that the peer network is in the same project as the current network.\n*   `peerMtu` (*type:* `integer()`, *default:* `nil`) - Maximum Transmission Unit in bytes.\n*   `stackType` (*type:* `String.t`, *default:* `nil`) - Which IP version(s) of traffic and routes are allowed to be imported or exported between peer networks. The default value is IPV4_ONLY.\n*   `state` (*type:* `String.t`, *default:* `nil`) - [Output Only] State for the peering, either `ACTIVE` or `INACTIVE`. The peering is `ACTIVE` when there's a matching configuration in the peer network.\n*   `stateDetails` (*type:* `String.t`, *default:* `nil`) - [Output Only] Details about the current state of the peering.","ref":"GoogleApi.Compute.V1.Model.NetworkPeering.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkPeering.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkPeering.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkPeering.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkPeering.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkPerformanceConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkPerformanceConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkPerformanceConfig","doc":"*   `totalEgressBandwidthTier` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.NetworkPerformanceConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkPerformanceConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkPerformanceConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkPerformanceConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkPerformanceConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworkRoutingConfig","doc":"A routing configuration attached to a network resource. The message includes the list of routers associated with the network, and a flag indicating the type of routing behavior to enforce network-wide.","ref":"GoogleApi.Compute.V1.Model.NetworkRoutingConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworkRoutingConfig","doc":"*   `routingMode` (*type:* `String.t`, *default:* `nil`) - The network-wide routing mode to use. If set to REGIONAL, this network's Cloud Routers will only advertise routes with subnets of this network in the same region as the router. If set to GLOBAL, this network's Cloud Routers will advertise routes with all subnets of this network, across regions.","ref":"GoogleApi.Compute.V1.Model.NetworkRoutingConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworkRoutingConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworkRoutingConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworkRoutingConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworkRoutingConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworksAddPeeringRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworksAddPeeringRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworksAddPeeringRequest","doc":"*   `autoCreateRoutes` (*type:* `boolean()`, *default:* `nil`) - This field will be deprecated soon. Use exchange_subnet_routes in network_peering instead. Indicates whether full mesh connectivity is created and managed automatically between peered networks. Currently this field should always be true since Google Compute Engine will automatically create and manage subnetwork routes between two networks when peering state is ACTIVE.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the peering, which should conform to RFC1035.\n*   `networkPeering` (*type:* `GoogleApi.Compute.V1.Model.NetworkPeering.t`, *default:* `nil`) - Network peering parameters. In order to specify route policies for peering using import and export custom routes, you must specify all peering related parameters (name, peer network, exchange_subnet_routes) in the network_peering field. The corresponding fields in NetworksAddPeeringRequest will be deprecated soon.\n*   `peerNetwork` (*type:* `String.t`, *default:* `nil`) - URL of the peer network. It can be either full URL or partial URL. The peer network may belong to a different project. If the partial URL does not contain project, it is assumed that the peer network is in the same project as the current network.","ref":"GoogleApi.Compute.V1.Model.NetworksAddPeeringRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworksAddPeeringRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworksAddPeeringRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworksAddPeeringRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworksAddPeeringRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponse","doc":"*   `firewallPolicys` (*type:* `list(GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy.t)`, *default:* `nil`) - [Output Only] Effective firewalls from firewall policy. It returns Global Network Firewall Policies and Hierarchical Firewall Policies. Use regionNetworkFirewallPolicies.getEffectiveFirewalls to get Regional Network Firewall Policies as well.\n*   `firewalls` (*type:* `list(GoogleApi.Compute.V1.Model.Firewall.t)`, *default:* `nil`) - Effective firewalls on the network.","ref":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - [Output Only] Deprecated, please use short name instead. The display name of the firewall policy.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the firewall policy.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - [Output only] Priority of firewall policy association. Not applicable for type=HIERARCHY.\n*   `rules` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicyRule.t)`, *default:* `nil`) - [Output Only] The rules that apply to the network.\n*   `shortName` (*type:* `String.t`, *default:* `nil`) - [Output Only] The short name of the firewall policy.\n*   `type` (*type:* `String.t`, *default:* `nil`) - [Output Only] The type of the firewall policy.","ref":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworksGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworksRemovePeeringRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworksRemovePeeringRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworksRemovePeeringRequest","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the peering, which should conform to RFC1035.","ref":"GoogleApi.Compute.V1.Model.NetworksRemovePeeringRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworksRemovePeeringRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworksRemovePeeringRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworksRemovePeeringRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworksRemovePeeringRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NetworksUpdatePeeringRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworksUpdatePeeringRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NetworksUpdatePeeringRequest","doc":"*   `networkPeering` (*type:* `GoogleApi.Compute.V1.Model.NetworkPeering.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.NetworksUpdatePeeringRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NetworksUpdatePeeringRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NetworksUpdatePeeringRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NetworksUpdatePeeringRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NetworksUpdatePeeringRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroup","doc":"Represents a sole-tenant Node Group resource. A sole-tenant node is a physical server that is dedicated to hosting VM instances only for your specific project. Use sole-tenant nodes to keep your instances physically separated from instances in other projects, or to group your instances together on the same host hardware. For more information, read Sole-tenant nodes.","ref":"GoogleApi.Compute.V1.Model.NodeGroup.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroup","doc":"*   `autoscalingPolicy` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupAutoscalingPolicy.t`, *default:* `nil`) - Specifies how autoscaling should behave.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#nodeGroup`) - [Output Only] The type of the resource. Always compute#nodeGroup for node group.\n*   `locationHint` (*type:* `String.t`, *default:* `nil`) - An opaque location hint used to place the Node close to other resources. This field is for use by internal tools that use the public API. The location hint here on the NodeGroup overrides any location_hint present in the NodeTemplate.\n*   `maintenanceInterval` (*type:* `String.t`, *default:* `nil`) - Specifies the frequency of planned maintenance events. The accepted values are: `AS_NEEDED` and `RECURRENT`.\n*   `maintenancePolicy` (*type:* `String.t`, *default:* `nil`) - Specifies how to handle instances when a node in the group undergoes maintenance. Set to one of: DEFAULT, RESTART_IN_PLACE, or MIGRATE_WITHIN_NODE_GROUP. The default value is DEFAULT. For more information, see Maintenance policies.\n*   `maintenanceWindow` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupMaintenanceWindow.t`, *default:* `nil`) - \n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `nodeTemplate` (*type:* `String.t`, *default:* `nil`) - URL of the node template to create the node group from.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `shareSettings` (*type:* `GoogleApi.Compute.V1.Model.ShareSettings.t`, *default:* `nil`) - Share-settings for the node group\n*   `size` (*type:* `integer()`, *default:* `nil`) - [Output Only] The total number of nodes in the node group.\n*   `status` (*type:* `String.t`, *default:* `nil`) - \n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the zone where the node group resides, such as us-central1-a.","ref":"GoogleApi.Compute.V1.Model.NodeGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroup.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroup.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.NodeGroupsScopedList.t}`, *default:* `nil`) - A list of NodeGroupsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#nodeGroupAggregatedList`) - [Output Only] Type of resource.Always compute#nodeGroupAggregatedList for aggregated lists of node groups.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupAutoscalingPolicy","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupAutoscalingPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupAutoscalingPolicy","doc":"*   `maxNodes` (*type:* `integer()`, *default:* `nil`) - The maximum number of nodes that the group should have. Must be set if autoscaling is enabled. Maximum value allowed is 100.\n*   `minNodes` (*type:* `integer()`, *default:* `nil`) - The minimum number of nodes that the group should have.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - The autoscaling mode. Set to one of: ON, OFF, or ONLY_SCALE_OUT. For more information, see Autoscaler modes.","ref":"GoogleApi.Compute.V1.Model.NodeGroupAutoscalingPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupAutoscalingPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupAutoscalingPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupAutoscalingPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupAutoscalingPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupList","doc":"Contains a list of nodeGroups.","ref":"GoogleApi.Compute.V1.Model.NodeGroupList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.NodeGroup.t)`, *default:* `nil`) - A list of NodeGroup resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#nodeGroupList`) - [Output Only] Type of resource.Always compute#nodeGroupList for lists of node groups.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeGroupList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeGroupListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NodeGroupListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NodeGroupListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NodeGroupListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupMaintenanceWindow","doc":"Time window specified for daily maintenance operations. GCE's internal maintenance will be performed within this window.","ref":"GoogleApi.Compute.V1.Model.NodeGroupMaintenanceWindow.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupMaintenanceWindow","doc":"*   `maintenanceDuration` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - [Output only] A predetermined duration for the window, automatically chosen to be the smallest possible in the given scenario.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - Start time of the window. This must be in UTC format that resolves to one of 00:00, 04:00, 08:00, 12:00, 16:00, or 20:00. For example, both 13:00-5 and 08:00 are valid.","ref":"GoogleApi.Compute.V1.Model.NodeGroupMaintenanceWindow.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupMaintenanceWindow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupMaintenanceWindow.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupMaintenanceWindow.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupMaintenanceWindow.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupNode","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupNode.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupNode","doc":"*   `accelerators` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorConfig.t)`, *default:* `nil`) - Accelerators for this node.\n*   `consumedResources` (*type:* `GoogleApi.Compute.V1.Model.InstanceConsumptionInfo.t`, *default:* `nil`) - Node resources that are reserved by all instances.\n*   `cpuOvercommitType` (*type:* `String.t`, *default:* `nil`) - CPU overcommit.\n*   `disks` (*type:* `list(GoogleApi.Compute.V1.Model.LocalDisk.t)`, *default:* `nil`) - Local disk configurations.\n*   `instanceConsumptionData` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceConsumptionData.t)`, *default:* `nil`) - Instance data that shows consumed resources on the node.\n*   `instances` (*type:* `list(String.t)`, *default:* `nil`) - Instances scheduled on this node.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the node.\n*   `nodeType` (*type:* `String.t`, *default:* `nil`) - The type of this node.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `serverBinding` (*type:* `GoogleApi.Compute.V1.Model.ServerBinding.t`, *default:* `nil`) - Binding properties for the physical server.\n*   `serverId` (*type:* `String.t`, *default:* `nil`) - Server ID associated with this node.\n*   `status` (*type:* `String.t`, *default:* `nil`) - \n*   `totalResources` (*type:* `GoogleApi.Compute.V1.Model.InstanceConsumptionInfo.t`, *default:* `nil`) - Total amount of available resources on the node.\n*   `upcomingMaintenance` (*type:* `GoogleApi.Compute.V1.Model.UpcomingMaintenance.t`, *default:* `nil`) - [Output Only] The information about an upcoming maintenance event.","ref":"GoogleApi.Compute.V1.Model.NodeGroupNode.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupNode.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupNode.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupNode.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupNode.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsAddNodesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsAddNodesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsAddNodesRequest","doc":"*   `additionalNodeCount` (*type:* `integer()`, *default:* `nil`) - Count of additional nodes to be added to the node group.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsAddNodesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsAddNodesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsAddNodesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsAddNodesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsAddNodesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsDeleteNodesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsDeleteNodesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsDeleteNodesRequest","doc":"*   `nodes` (*type:* `list(String.t)`, *default:* `nil`) - Names of the nodes to delete.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsDeleteNodesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsDeleteNodesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsDeleteNodesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsDeleteNodesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsDeleteNodesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsListNodes","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodes.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsListNodes","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.NodeGroupNode.t)`, *default:* `nil`) - A list of Node resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#nodeGroupsListNodes`) - [Output Only] The resource type, which is always compute.nodeGroupsListNodes for the list of nodes in the specified node group.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodes.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsListNodes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodes.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsListNodes.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodes.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsListNodesWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsPerformMaintenanceRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsPerformMaintenanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsPerformMaintenanceRequest","doc":"*   `nodes` (*type:* `list(String.t)`, *default:* `nil`) - [Required] List of nodes affected by the call.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - The start time of the schedule. The timestamp is an RFC3339 string.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsPerformMaintenanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsPerformMaintenanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsPerformMaintenanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsPerformMaintenanceRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsPerformMaintenanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsScopedList","doc":"*   `nodeGroups` (*type:* `list(GoogleApi.Compute.V1.Model.NodeGroup.t)`, *default:* `nil`) - [Output Only] A list of node groups contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarning.t`, *default:* `nil`) - [Output Only] An informational warning that appears when the nodeGroup list is empty.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarning","doc":"[Output Only] An informational warning that appears when the nodeGroup list is empty.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsSetNodeTemplateRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsSetNodeTemplateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsSetNodeTemplateRequest","doc":"*   `nodeTemplate` (*type:* `String.t`, *default:* `nil`) - Full or partial URL of the node template resource to be updated for this node group.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsSetNodeTemplateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsSetNodeTemplateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsSetNodeTemplateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsSetNodeTemplateRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsSetNodeTemplateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeGroupsSimulateMaintenanceEventRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsSimulateMaintenanceEventRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeGroupsSimulateMaintenanceEventRequest","doc":"*   `nodes` (*type:* `list(String.t)`, *default:* `nil`) - Names of the nodes to go under maintenance simulation.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsSimulateMaintenanceEventRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeGroupsSimulateMaintenanceEventRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeGroupsSimulateMaintenanceEventRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeGroupsSimulateMaintenanceEventRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeGroupsSimulateMaintenanceEventRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplate","doc":"Represent a sole-tenant Node Template resource. You can use a template to define properties for nodes in a node group. For more information, read Creating node groups and instances.","ref":"GoogleApi.Compute.V1.Model.NodeTemplate.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplate","doc":"*   `accelerators` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorConfig.t)`, *default:* `nil`) - \n*   `cpuOvercommitType` (*type:* `String.t`, *default:* `nil`) - CPU overcommit.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `disks` (*type:* `list(GoogleApi.Compute.V1.Model.LocalDisk.t)`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#nodeTemplate`) - [Output Only] The type of the resource. Always compute#nodeTemplate for node templates.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `nodeAffinityLabels` (*type:* `map()`, *default:* `nil`) - Labels to use for node affinity, which will be used in instance scheduling.\n*   `nodeType` (*type:* `String.t`, *default:* `nil`) - The node type to use for nodes group that are created from this template.\n*   `nodeTypeFlexibility` (*type:* `GoogleApi.Compute.V1.Model.NodeTemplateNodeTypeFlexibility.t`, *default:* `nil`) - Do not use. Instead, use the node_type property.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the region where the node template resides, such as us-central1.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `serverBinding` (*type:* `GoogleApi.Compute.V1.Model.ServerBinding.t`, *default:* `nil`) - Sets the binding properties for the physical server. Valid values include: - *[Default]* RESTART_NODE_ON_ANY_SERVER: Restarts VMs on any available physical server - RESTART_NODE_ON_MINIMAL_SERVER: Restarts VMs on the same physical server whenever possible See Sole-tenant node options for more information.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the node template. One of the following values: CREATING, READY, and DELETING.\n*   `statusMessage` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional, human-readable explanation of the status.","ref":"GoogleApi.Compute.V1.Model.NodeTemplate.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplate.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplate.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplate.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplateAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.NodeTemplatesScopedList.t}`, *default:* `nil`) - A list of NodeTemplatesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#nodeTemplateAggregatedList`) - [Output Only] Type of resource.Always compute#nodeTemplateAggregatedList for aggregated lists of node templates.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplateList","doc":"Contains a list of node templates.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplateList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.NodeTemplate.t)`, *default:* `nil`) - A list of NodeTemplate resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#nodeTemplateList`) - [Output Only] Type of resource.Always compute#nodeTemplateList for lists of node templates.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NodeTemplateListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplateList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplateList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplateListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplateListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NodeTemplateListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplateListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplateListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplateListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplateListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplateListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplateListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplateNodeTypeFlexibility","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateNodeTypeFlexibility.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplateNodeTypeFlexibility","doc":"*   `cpus` (*type:* `String.t`, *default:* `nil`) - \n*   `localSsd` (*type:* `String.t`, *default:* `nil`) - \n*   `memory` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.NodeTemplateNodeTypeFlexibility.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplateNodeTypeFlexibility.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplateNodeTypeFlexibility.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplateNodeTypeFlexibility.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplateNodeTypeFlexibility.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplatesScopedList","doc":"*   `nodeTemplates` (*type:* `list(GoogleApi.Compute.V1.Model.NodeTemplate.t)`, *default:* `nil`) - [Output Only] A list of node templates contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarning.t`, *default:* `nil`) - [Output Only] An informational warning that appears when the node templates list is empty.","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarning","doc":"[Output Only] An informational warning that appears when the node templates list is empty.","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTemplatesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeType","doc":"Represent a sole-tenant Node Type resource. Each node within a node group must have a node type. A node type specifies the total amount of cores and memory for that node. Currently, the only available node type is n1-node-96-624 node type that has 96 vCPUs and 624 GB of memory, available in multiple zones. For more information read Node types.","ref":"GoogleApi.Compute.V1.Model.NodeType.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeType","doc":"*   `cpuPlatform` (*type:* `String.t`, *default:* `nil`) - [Output Only] The CPU platform used by this node type.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `deprecated` (*type:* `GoogleApi.Compute.V1.Model.DeprecationStatus.t`, *default:* `nil`) - [Output Only] The deprecation status associated with this node type.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional textual description of the resource.\n*   `guestCpus` (*type:* `integer()`, *default:* `nil`) - [Output Only] The number of virtual CPUs that are available to the node type.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#nodeType`) - [Output Only] The type of the resource. Always compute#nodeType for node types.\n*   `localSsdGb` (*type:* `integer()`, *default:* `nil`) - [Output Only] Local SSD available to the node type, defined in GB.\n*   `memoryMb` (*type:* `integer()`, *default:* `nil`) - [Output Only] The amount of physical memory available to the node type, defined in MB.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the resource.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the zone where the node type resides, such as us-central1-a.","ref":"GoogleApi.Compute.V1.Model.NodeType.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeType.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeType.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeType.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTypeAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.NodeTypesScopedList.t}`, *default:* `nil`) - A list of NodeTypesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#nodeTypeAggregatedList`) - [Output Only] Type of resource.Always compute#nodeTypeAggregatedList for aggregated lists of node types.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypeAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTypeList","doc":"Contains a list of node types.","ref":"GoogleApi.Compute.V1.Model.NodeTypeList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTypeList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.NodeType.t)`, *default:* `nil`) - A list of NodeType resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#nodeTypeList`) - [Output Only] Type of resource.Always compute#nodeTypeList for lists of node types.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NodeTypeListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeTypeList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTypeList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTypeList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTypeList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypeList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTypeListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NodeTypeListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTypeListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NodeTypeListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NodeTypeListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTypeListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTypeListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTypeListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypeListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTypeListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypeListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTypeListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NodeTypeListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTypeListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTypeListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTypeListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypeListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTypesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTypesScopedList","doc":"*   `nodeTypes` (*type:* `list(GoogleApi.Compute.V1.Model.NodeType.t)`, *default:* `nil`) - [Output Only] A list of node types contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NodeTypesScopedListWarning.t`, *default:* `nil`) - [Output Only] An informational warning that appears when the node types list is empty.","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTypesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTypesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarning","doc":"[Output Only] An informational warning that appears when the node types list is empty.","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTypesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NodeTypesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NodeTypesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NodeTypesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NotificationEndpoint","doc":"Represents a notification endpoint. A notification endpoint resource defines an endpoint to receive notifications when there are status changes detected by the associated health check service. For more information, see Health checks overview.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpoint.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NotificationEndpoint","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `grpcSettings` (*type:* `GoogleApi.Compute.V1.Model.NotificationEndpointGrpcSettings.t`, *default:* `nil`) - Settings of the gRPC notification endpoint including the endpoint URL and the retry duration.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] A unique identifier for this resource type. The server generates this identifier.\n*   `kind` (*type:* `String.t`, *default:* `compute#notificationEndpoint`) - [Output Only] Type of the resource. Always compute#notificationEndpoint for notification endpoints.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the notification endpoint resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NotificationEndpoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpoint.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NotificationEndpoint.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NotificationEndpoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NotificationEndpointGrpcSettings","doc":"Represents a gRPC setting that describes one gRPC notification endpoint and the retry duration attempting to send notification to this endpoint.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointGrpcSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NotificationEndpointGrpcSettings","doc":"*   `authority` (*type:* `String.t`, *default:* `nil`) - Optional. If specified, this field is used to set the authority header by the sender of notifications. See https://tools.ietf.org/html/rfc7540#section-8.1.2.3\n*   `endpoint` (*type:* `String.t`, *default:* `nil`) - Endpoint to which gRPC notifications are sent. This must be a valid gRPCLB DNS name.\n*   `payloadName` (*type:* `String.t`, *default:* `nil`) - Optional. If specified, this field is used to populate the \"name\" field in gRPC requests.\n*   `resendInterval` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Optional. This field is used to configure how often to send a full update of all non-healthy backends. If unspecified, full updates are not sent. If specified, must be in the range between 600 seconds to 3600 seconds. Nanos are disallowed. Can only be set for regional notification endpoints.\n*   `retryDurationSec` (*type:* `integer()`, *default:* `nil`) - How much time (in seconds) is spent attempting notification retries until a successful response is received. Default is 30s. Limit is 20m (1200s). Must be a positive number.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointGrpcSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NotificationEndpointGrpcSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointGrpcSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NotificationEndpointGrpcSettings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointGrpcSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NotificationEndpointList","doc":"","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NotificationEndpointList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.NotificationEndpoint.t)`, *default:* `nil`) - A list of NotificationEndpoint resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#notificationEndpointList`) - [Output Only] Type of the resource. Always compute#notificationEndpoint for notification endpoints.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.NotificationEndpointListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NotificationEndpointList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NotificationEndpointList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NotificationEndpointListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.NotificationEndpointListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.NotificationEndpointListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.NotificationEndpointListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Operation","doc":"Represents an Operation resource. Google Compute Engine has three Operation resources: * [Global](/compute/docs/reference/rest/v1/globalOperations) * [Regional](/compute/docs/reference/rest/v1/regionOperations) * [Zonal](/compute/docs/reference/rest/v1/zoneOperations) You can use an operation resource to manage asynchronous API requests. For more information, read Handling API responses. Operations can be global, regional or zonal. - For global operations, use the `globalOperations` resource. - For regional operations, use the `regionOperations` resource. - For zonal operations, use the `zoneOperations` resource. For more information, read Global, Regional, and Zonal Resources. Note that completed Operation resources have a limited retention period.","ref":"GoogleApi.Compute.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Operation","doc":"*   `clientOperationId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The value of `requestId` if you provided it in the request. Not present otherwise.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Deprecated] This field is deprecated.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] A textual description of the operation, which is set when the operation is created.\n*   `endTime` (*type:* `String.t`, *default:* `nil`) - [Output Only] The time that this operation was completed. This value is in RFC3339 text format.\n*   `error` (*type:* `GoogleApi.Compute.V1.Model.OperationError.t`, *default:* `nil`) - [Output Only] If errors are generated during processing of the operation, this field will be populated.\n*   `httpErrorMessage` (*type:* `String.t`, *default:* `nil`) - [Output Only] If the operation fails, this field contains the HTTP error message that was returned, such as `NOT FOUND`.\n*   `httpErrorStatusCode` (*type:* `integer()`, *default:* `nil`) - [Output Only] If the operation fails, this field contains the HTTP error status code that was returned. For example, a `404` means the resource was not found.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the operation. This identifier is defined by the server.\n*   `insertTime` (*type:* `String.t`, *default:* `nil`) - [Output Only] The time that this operation was requested. This value is in RFC3339 text format.\n*   `instancesBulkInsertOperationMetadata` (*type:* `GoogleApi.Compute.V1.Model.InstancesBulkInsertOperationMetadata.t`, *default:* `nil`) - \n*   `kind` (*type:* `String.t`, *default:* `compute#operation`) - [Output Only] Type of the resource. Always `compute#operation` for Operation resources.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the operation.\n*   `operationGroupId` (*type:* `String.t`, *default:* `nil`) - [Output Only] An ID that represents a group of operations, such as when a group of operations results from a `bulkInsert` API request.\n*   `operationType` (*type:* `String.t`, *default:* `nil`) - [Output Only] The type of operation, such as `insert`, `update`, or `delete`, and so on.\n*   `progress` (*type:* `integer()`, *default:* `nil`) - [Output Only] An optional progress indicator that ranges from 0 to 100. There is no requirement that this be linear or support any granularity of operations. This should not be used to guess when the operation will be complete. This number should monotonically increase as the operation progresses.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the region where the operation resides. Only applicable when performing regional operations.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `setCommonInstanceMetadataOperationMetadata` (*type:* `GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadata.t`, *default:* `nil`) - [Output Only] If the operation is for projects.setCommonInstanceMetadata, this field will contain information on all underlying zonal actions and their state.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - [Output Only] The time that this operation was started by the server. This value is in RFC3339 text format.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the operation, which can be one of the following: `PENDING`, `RUNNING`, or `DONE`.\n*   `statusMessage` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional textual description of the current status of the operation.\n*   `targetId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique target ID, which identifies a specific incarnation of the target resource.\n*   `targetLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the resource that the operation modifies. For operations related to creating a snapshot, this points to the disk that the snapshot was created from.\n*   `user` (*type:* `String.t`, *default:* `nil`) - [Output Only] User who requested the operation, for example: `user@example.com` or `alice_smith_identifier (global/workforcePools/example-com-us-employees)`.\n*   `warnings` (*type:* `list(GoogleApi.Compute.V1.Model.OperationWarnings.t)`, *default:* `nil`) - [Output Only] If warning messages are generated during processing of the operation, this field will be populated.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the zone where the operation resides. Only applicable when performing per-zone operations.","ref":"GoogleApi.Compute.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.OperationsScopedList.t}`, *default:* `nil`) - [Output Only] A map of scoped operation lists.\n*   `kind` (*type:* `String.t`, *default:* `compute#operationAggregatedList`) - [Output Only] Type of resource. Always `compute#operationAggregatedList` for aggregated lists of operations.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than `maxResults`, use the `nextPageToken` as a value for the query parameter `pageToken` in the next list request. Subsequent list requests will have their own `nextPageToken` to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.OperationAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.OperationAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationError","doc":"[Output Only] If errors are generated during processing of the operation, this field will be populated.","ref":"GoogleApi.Compute.V1.Model.OperationError.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationError","doc":"*   `errors` (*type:* `list(GoogleApi.Compute.V1.Model.OperationErrorErrors.t)`, *default:* `nil`) - [Output Only] The array of errors encountered while processing this operation.","ref":"GoogleApi.Compute.V1.Model.OperationError.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationError.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationError.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationError.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationErrorErrors","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationErrorErrors.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationErrorErrors","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] The error type identifier for this error.\n*   `errorDetails` (*type:* `list(GoogleApi.Compute.V1.Model.OperationErrorErrorsErrorDetails.t)`, *default:* `nil`) - [Output Only] An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED.\n*   `location` (*type:* `String.t`, *default:* `nil`) - [Output Only] Indicates the field in the request that caused the error. This property is optional.\n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional, human-readable error message.","ref":"GoogleApi.Compute.V1.Model.OperationErrorErrors.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationErrorErrors.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationErrorErrors.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationErrorErrors.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationErrorErrors.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationErrorErrorsErrorDetails","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationErrorErrorsErrorDetails.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationErrorErrorsErrorDetails","doc":"*   `errorInfo` (*type:* `GoogleApi.Compute.V1.Model.ErrorInfo.t`, *default:* `nil`) - \n*   `help` (*type:* `GoogleApi.Compute.V1.Model.Help.t`, *default:* `nil`) - \n*   `localizedMessage` (*type:* `GoogleApi.Compute.V1.Model.LocalizedMessage.t`, *default:* `nil`) - \n*   `quotaInfo` (*type:* `GoogleApi.Compute.V1.Model.QuotaExceededInfo.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.OperationErrorErrorsErrorDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationErrorErrorsErrorDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationErrorErrorsErrorDetails.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationErrorErrorsErrorDetails.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationErrorErrorsErrorDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationList","doc":"Contains a list of Operation resources.","ref":"GoogleApi.Compute.V1.Model.OperationList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Operation.t)`, *default:* `nil`) - [Output Only] A list of Operation resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#operationList`) - [Output Only] Type of resource. Always `compute#operations` for Operations resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than `maxResults`, use the `nextPageToken` as a value for the query parameter `pageToken` in the next list request. Subsequent list requests will have their own `nextPageToken` to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.OperationListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.OperationList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.OperationListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.OperationListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.OperationListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.OperationListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationWarnings","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationWarnings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationWarnings","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.OperationWarningsData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.OperationWarnings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationWarnings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationWarnings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationWarnings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationWarnings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationWarningsData","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationWarningsData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationWarningsData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.OperationWarningsData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationWarningsData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationWarningsData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationWarningsData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationWarningsData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationsScopedList","doc":"*   `operations` (*type:* `list(GoogleApi.Compute.V1.Model.Operation.t)`, *default:* `nil`) - [Output Only] A list of operations contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.OperationsScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of operations when the list is empty.","ref":"GoogleApi.Compute.V1.Model.OperationsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationsScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of operations when the list is empty.","ref":"GoogleApi.Compute.V1.Model.OperationsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.OperationsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.OperationsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OperationsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OperationsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.OperationsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OperationsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OperationsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OperationsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OperationsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.OutlierDetection","doc":"Settings controlling the eviction of unhealthy hosts from the load balancing pool for the backend service.","ref":"GoogleApi.Compute.V1.Model.OutlierDetection.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.OutlierDetection","doc":"*   `baseEjectionTime` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - The base time that a backend endpoint is ejected for. Defaults to 30000ms or 30s. After a backend endpoint is returned back to the load balancing pool, it can be ejected again in another ejection analysis. Thus, the total ejection time is equal to the base ejection time multiplied by the number of times the backend endpoint has been ejected. Defaults to 30000ms or 30s.\n*   `consecutiveErrors` (*type:* `integer()`, *default:* `nil`) - Number of consecutive errors before a backend endpoint is ejected from the load balancing pool. When the backend endpoint is accessed over HTTP, a 5xx return code qualifies as an error. Defaults to 5.\n*   `consecutiveGatewayFailure` (*type:* `integer()`, *default:* `nil`) - The number of consecutive gateway failures (502, 503, 504 status or connection errors that are mapped to one of those status codes) before a consecutive gateway failure ejection occurs. Defaults to 3.\n*   `enforcingConsecutiveErrors` (*type:* `integer()`, *default:* `nil`) - The percentage chance that a backend endpoint will be ejected when an outlier status is detected through consecutive 5xx. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 0.\n*   `enforcingConsecutiveGatewayFailure` (*type:* `integer()`, *default:* `nil`) - The percentage chance that a backend endpoint will be ejected when an outlier status is detected through consecutive gateway failures. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 100.\n*   `enforcingSuccessRate` (*type:* `integer()`, *default:* `nil`) - The percentage chance that a backend endpoint will be ejected when an outlier status is detected through success rate statistics. This setting can be used to disable ejection or to ramp it up slowly. Defaults to 100. Not supported when the backend service uses Serverless NEG.\n*   `interval` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Time interval between ejection analysis sweeps. This can result in both new ejections and backend endpoints being returned to service. The interval is equal to the number of seconds as defined in outlierDetection.interval.seconds plus the number of nanoseconds as defined in outlierDetection.interval.nanos. Defaults to 1 second.\n*   `maxEjectionPercent` (*type:* `integer()`, *default:* `nil`) - Maximum percentage of backend endpoints in the load balancing pool for the backend service that can be ejected if the ejection conditions are met. Defaults to 50%.\n*   `successRateMinimumHosts` (*type:* `integer()`, *default:* `nil`) - The number of backend endpoints in the load balancing pool that must have enough request volume to detect success rate outliers. If the number of backend endpoints is fewer than this setting, outlier detection via success rate statistics is not performed for any backend endpoint in the load balancing pool. Defaults to 5. Not supported when the backend service uses Serverless NEG.\n*   `successRateRequestVolume` (*type:* `integer()`, *default:* `nil`) - The minimum number of total requests that must be collected in one interval (as defined by the interval duration above) to include this backend endpoint in success rate based outlier detection. If the volume is lower than this setting, outlier detection via success rate statistics is not performed for that backend endpoint. Defaults to 100. Not supported when the backend service uses Serverless NEG.\n*   `successRateStdevFactor` (*type:* `integer()`, *default:* `nil`) - This factor is used to determine the ejection threshold for success rate outlier ejection. The ejection threshold is the difference between the mean success rate, and the product of this factor and the standard deviation of the mean success rate: mean - (stdev * successRateStdevFactor). This factor is divided by a thousand to get a double. That is, if the desired factor is 1.9, the runtime value should be 1900. Defaults to 1900. Not supported when the backend service uses Serverless NEG.","ref":"GoogleApi.Compute.V1.Model.OutlierDetection.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.OutlierDetection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.OutlierDetection.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.OutlierDetection.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.OutlierDetection.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketIntervals","doc":"Next free: 7","ref":"GoogleApi.Compute.V1.Model.PacketIntervals.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketIntervals","doc":"*   `avgMs` (*type:* `String.t`, *default:* `nil`) - Average observed inter-packet interval in milliseconds.\n*   `duration` (*type:* `String.t`, *default:* `nil`) - From how long ago in the past these intervals were observed.\n*   `maxMs` (*type:* `String.t`, *default:* `nil`) - Maximum observed inter-packet interval in milliseconds.\n*   `minMs` (*type:* `String.t`, *default:* `nil`) - Minimum observed inter-packet interval in milliseconds.\n*   `numIntervals` (*type:* `String.t`, *default:* `nil`) - Number of inter-packet intervals from which these statistics were derived.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of packets for which inter-packet intervals were computed.","ref":"GoogleApi.Compute.V1.Model.PacketIntervals.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketIntervals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketIntervals.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketIntervals.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketIntervals.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroring","doc":"Represents a Packet Mirroring resource. Packet Mirroring clones the traffic of specified instances in your Virtual Private Cloud (VPC) network and forwards it to a collector destination, such as an instance group of an internal TCP/UDP load balancer, for analysis or examination. For more information about setting up Packet Mirroring, see Using Packet Mirroring.","ref":"GoogleApi.Compute.V1.Model.PacketMirroring.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroring","doc":"*   `collectorIlb` (*type:* `GoogleApi.Compute.V1.Model.PacketMirroringForwardingRuleInfo.t`, *default:* `nil`) - The Forwarding Rule resource of type loadBalancingScheme=INTERNAL that will be used as collector for mirrored traffic. The specified forwarding rule must have isMirroringCollector set to true.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `enable` (*type:* `String.t`, *default:* `nil`) - Indicates whether or not this packet mirroring takes effect. If set to FALSE, this packet mirroring policy will not be enforced on the network. The default is TRUE.\n*   `filter` (*type:* `GoogleApi.Compute.V1.Model.PacketMirroringFilter.t`, *default:* `nil`) - Filter for mirrored traffic. If unspecified, all IPv4 traffic is mirrored.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#packetMirroring`) - [Output Only] Type of the resource. Always compute#packetMirroring for packet mirrorings.\n*   `mirroredResources` (*type:* `GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfo.t`, *default:* `nil`) - PacketMirroring mirroredResourceInfos. MirroredResourceInfo specifies a set of mirrored VM instances, subnetworks and/or tags for which traffic from/to all VM instances will be mirrored.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `network` (*type:* `GoogleApi.Compute.V1.Model.PacketMirroringNetworkInfo.t`, *default:* `nil`) - Specifies the mirrored VPC network. Only packets in this network will be mirrored. All mirrored VMs should have a NIC in the given network. All mirrored subnetworks should belong to the given network.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - The priority of applying this configuration. Priority is used to break ties in cases where there is more than one matching rule. In the case of two rules that apply for a given Instance, the one with the lowest-numbered priority value wins. Default value is 1000. Valid range is 0 through 65535.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URI of the region where the packetMirroring resides.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.","ref":"GoogleApi.Compute.V1.Model.PacketMirroring.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroring.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroring.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroring.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroring.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedList","doc":"Contains a list of packetMirrorings.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.PacketMirroringsScopedList.t}`, *default:* `nil`) - A list of PacketMirroring resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#packetMirroringAggregatedList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringFilter","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringFilter.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringFilter","doc":"*   `IPProtocols` (*type:* `list(String.t)`, *default:* `nil`) - Protocols that apply as filter on mirrored traffic. If no protocols are specified, all traffic that matches the specified CIDR ranges is mirrored. If neither cidrRanges nor IPProtocols is specified, all IPv4 traffic is mirrored.\n*   `cidrRanges` (*type:* `list(String.t)`, *default:* `nil`) - One or more IPv4 or IPv6 CIDR ranges that apply as filters on the source (ingress) or destination (egress) IP in the IP header. If no ranges are specified, all IPv4 traffic that matches the specified IPProtocols is mirrored. If neither cidrRanges nor IPProtocols is specified, all IPv4 traffic is mirrored. To mirror all IPv4 and IPv6 traffic, use \"0.0.0.0/0,::/0\".\n*   `direction` (*type:* `String.t`, *default:* `nil`) - Direction of traffic to mirror, either INGRESS, EGRESS, or BOTH. The default is BOTH.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringFilter.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringFilter.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringForwardingRuleInfo","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringForwardingRuleInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringForwardingRuleInfo","doc":"*   `canonicalUrl` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the forwarding rule; defined by the server.\n*   `url` (*type:* `String.t`, *default:* `nil`) - Resource URL to the forwarding rule representing the ILB configured as destination of the mirrored traffic.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringForwardingRuleInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringForwardingRuleInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringForwardingRuleInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringForwardingRuleInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringForwardingRuleInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringList","doc":"Contains a list of PacketMirroring resources.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.PacketMirroring.t)`, *default:* `nil`) - A list of PacketMirroring resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#packetMirroringList`) - [Output Only] Type of resource. Always compute#packetMirroring for packetMirrorings.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.PacketMirroringListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.PacketMirroringListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfo","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfo","doc":"*   `instances` (*type:* `list(GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoInstanceInfo.t)`, *default:* `nil`) - A set of virtual machine instances that are being mirrored. They must live in zones contained in the same region as this packetMirroring. Note that this config will apply only to those network interfaces of the Instances that belong to the network specified in this packetMirroring. You may specify a maximum of 50 Instances.\n*   `subnetworks` (*type:* `list(GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoSubnetInfo.t)`, *default:* `nil`) - A set of subnetworks for which traffic from/to all VM instances will be mirrored. They must live in the same region as this packetMirroring. You may specify a maximum of 5 subnetworks.\n*   `tags` (*type:* `list(String.t)`, *default:* `nil`) - A set of mirrored tags. Traffic from/to all VM instances that have one or more of these tags will be mirrored.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoInstanceInfo","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoInstanceInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoInstanceInfo","doc":"*   `canonicalUrl` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the instance; defined by the server.\n*   `url` (*type:* `String.t`, *default:* `nil`) - Resource URL to the virtual machine instance which is being mirrored.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoInstanceInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoInstanceInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoInstanceInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoInstanceInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoInstanceInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoSubnetInfo","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoSubnetInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoSubnetInfo","doc":"*   `canonicalUrl` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the subnetwork; defined by the server.\n*   `url` (*type:* `String.t`, *default:* `nil`) - Resource URL to the subnetwork for which traffic from/to all VM instances will be mirrored.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoSubnetInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoSubnetInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoSubnetInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoSubnetInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringMirroredResourceInfoSubnetInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringNetworkInfo","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringNetworkInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringNetworkInfo","doc":"*   `canonicalUrl` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the network; defined by the server.\n*   `url` (*type:* `String.t`, *default:* `nil`) - URL of the network resource.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringNetworkInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringNetworkInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringNetworkInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringNetworkInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringNetworkInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringsScopedList","doc":"*   `packetMirrorings` (*type:* `list(GoogleApi.Compute.V1.Model.PacketMirroring.t)`, *default:* `nil`) - A list of packetMirrorings contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of packetMirrorings when the list is empty.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarning","doc":"Informational warning which replaces the list of packetMirrorings when the list is empty.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PacketMirroringsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PathMatcher","doc":"A matcher for the path portion of the URL. The BackendService from the longest-matched rule will serve the URL. If no rule was matched, the default service is used.","ref":"GoogleApi.Compute.V1.Model.PathMatcher.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PathMatcher","doc":"*   `defaultCustomErrorResponsePolicy` (*type:* `GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy.t`, *default:* `nil`) - defaultCustomErrorResponsePolicy specifies how the Load Balancer returns error responses when BackendServiceor BackendBucket responds with an error. This policy takes effect at the PathMatcher level and applies only when no policy has been defined for the error code at lower levels like RouteRule and PathRule within this PathMatcher. If an error code does not have a policy defined in defaultCustomErrorResponsePolicy, then a policy defined for the error code in UrlMap.defaultCustomErrorResponsePolicy takes effect. For example, consider a UrlMap with the following configuration: - UrlMap.defaultCustomErrorResponsePolicy is configured with policies for 5xx and 4xx errors - A RouteRule for /coming_soon/ is configured for the error code 404. If the request is for www.myotherdomain.com and a 404 is encountered, the policy under UrlMap.defaultCustomErrorResponsePolicy takes effect. If a 404 response is encountered for the request www.example.com/current_events/, the pathMatcher's policy takes effect. If however, the request for www.example.com/coming_soon/ encounters a 404, the policy in RouteRule.customErrorResponsePolicy takes effect. If any of the requests in this example encounter a 500 error code, the policy at UrlMap.defaultCustomErrorResponsePolicy takes effect. When used in conjunction with pathMatcher.defaultRouteAction.retryPolicy, retries take precedence. Only once all retries are exhausted, the defaultCustomErrorResponsePolicy is applied. While attempting a retry, if load balancer is successful in reaching the service, the defaultCustomErrorResponsePolicy is ignored and the response from the service is returned to the client. defaultCustomErrorResponsePolicy is supported only for global external Application Load Balancers.\n*   `defaultRouteAction` (*type:* `GoogleApi.Compute.V1.Model.HttpRouteAction.t`, *default:* `nil`) - defaultRouteAction takes effect when none of the pathRules or routeRules match. The load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If defaultRouteAction specifies any weightedBackendServices, defaultService must not be set. Conversely if defaultService is set, defaultRouteAction cannot contain any weightedBackendServices. If defaultRouteAction is specified, don't set defaultUrlRedirect. If defaultRouteAction.weightedBackendServices is specified, don't set defaultService. URL maps for classic Application Load Balancers only support the urlRewrite action within a path matcher's defaultRouteAction.\n*   `defaultService` (*type:* `String.t`, *default:* `nil`) - The full or partial URL to the BackendService resource. This URL is used if none of the pathRules or routeRules defined by this PathMatcher are matched. For example, the following are all valid URLs to a BackendService resource: - https://www.googleapis.com/compute/v1/projects/project /global/backendServices/backendService - compute/v1/projects/project/global/backendServices/backendService - global/backendServices/backendService If defaultRouteAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if defaultService is specified, defaultRouteAction cannot contain any weightedBackendServices. Conversely, if defaultRouteAction specifies any weightedBackendServices, defaultService must not be specified. If defaultService is specified, then set either defaultUrlRedirect or defaultRouteAction.weightedBackendService. Don't set both. Authorization requires one or more of the following Google IAM permissions on the specified resource default_service: - compute.backendBuckets.use - compute.backendServices.use \n*   `defaultUrlRedirect` (*type:* `GoogleApi.Compute.V1.Model.HttpRedirectAction.t`, *default:* `nil`) - When none of the specified pathRules or routeRules match, the request is redirected to a URL specified by defaultUrlRedirect. If defaultUrlRedirect is specified, then set either defaultService or defaultRouteAction. Don't set both. Not supported when the URL map is bound to a target gRPC proxy.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `headerAction` (*type:* `GoogleApi.Compute.V1.Model.HttpHeaderAction.t`, *default:* `nil`) - Specifies changes to request and response headers that need to take effect for the selected backend service. HeaderAction specified here are applied after the matching HttpRouteRule HeaderAction and before the HeaderAction in the UrlMap HeaderAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name to which this PathMatcher is referred by the HostRule.\n*   `pathRules` (*type:* `list(GoogleApi.Compute.V1.Model.PathRule.t)`, *default:* `nil`) - The list of path rules. Use this list instead of routeRules when routing based on simple path matching is all that's required. The order by which path rules are specified does not matter. Matches are always done on the longest-path-first basis. For example: a pathRule with a path /a/b/c/* will match before /a/b/* irrespective of the order in which those paths appear in this list. Within a given pathMatcher, only one of pathRules or routeRules must be set.\n*   `routeRules` (*type:* `list(GoogleApi.Compute.V1.Model.HttpRouteRule.t)`, *default:* `nil`) - The list of HTTP route rules. Use this list instead of pathRules when advanced route matching and routing actions are desired. routeRules are evaluated in order of priority, from the lowest to highest number. Within a given pathMatcher, you can set only one of pathRules or routeRules.","ref":"GoogleApi.Compute.V1.Model.PathMatcher.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PathMatcher.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PathMatcher.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PathMatcher.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PathMatcher.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PathRule","doc":"A path-matching rule for a URL. If matched, will use the specified BackendService to handle the traffic arriving at this URL.","ref":"GoogleApi.Compute.V1.Model.PathRule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PathRule","doc":"*   `customErrorResponsePolicy` (*type:* `GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy.t`, *default:* `nil`) - customErrorResponsePolicy specifies how the Load Balancer returns error responses when BackendServiceor BackendBucket responds with an error. If a policy for an error code is not configured for the PathRule, a policy for the error code configured in pathMatcher.defaultCustomErrorResponsePolicy is applied. If one is not specified in pathMatcher.defaultCustomErrorResponsePolicy, the policy configured in UrlMap.defaultCustomErrorResponsePolicy takes effect. For example, consider a UrlMap with the following configuration: - UrlMap.defaultCustomErrorResponsePolicy are configured with policies for 5xx and 4xx errors - A PathRule for /coming_soon/ is configured for the error code 404. If the request is for www.myotherdomain.com and a 404 is encountered, the policy under UrlMap.defaultCustomErrorResponsePolicy takes effect. If a 404 response is encountered for the request www.example.com/current_events/, the pathMatcher's policy takes effect. If however, the request for www.example.com/coming_soon/ encounters a 404, the policy in PathRule.customErrorResponsePolicy takes effect. If any of the requests in this example encounter a 500 error code, the policy at UrlMap.defaultCustomErrorResponsePolicy takes effect. customErrorResponsePolicy is supported only for global external Application Load Balancers.\n*   `paths` (*type:* `list(String.t)`, *default:* `nil`) - The list of path patterns to match. Each must start with / and the only place a * is allowed is at the end following a /. The string fed to the path matcher does not include any text after the first ? or #, and those chars are not allowed here.\n*   `routeAction` (*type:* `GoogleApi.Compute.V1.Model.HttpRouteAction.t`, *default:* `nil`) - In response to a matching path, the load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If routeAction specifies any weightedBackendServices, service must not be set. Conversely if service is set, routeAction cannot contain any weightedBackendServices. Only one of routeAction or urlRedirect must be set. URL maps for classic Application Load Balancers only support the urlRewrite action within a path rule's routeAction.\n*   `service` (*type:* `String.t`, *default:* `nil`) - The full or partial URL of the backend service resource to which traffic is directed if this rule is matched. If routeAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if service is specified, routeAction cannot contain any weightedBackendServices. Conversely, if routeAction specifies any weightedBackendServices, service must not be specified. Only one of urlRedirect, service or routeAction.weightedBackendService must be set.\n*   `urlRedirect` (*type:* `GoogleApi.Compute.V1.Model.HttpRedirectAction.t`, *default:* `nil`) - When a path pattern is matched, the request is redirected to a URL specified by urlRedirect. If urlRedirect is specified, service or routeAction must not be set. Not supported when the URL map is bound to a target gRPC proxy.","ref":"GoogleApi.Compute.V1.Model.PathRule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PathRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PathRule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PathRule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PathRule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PerInstanceConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.PerInstanceConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PerInstanceConfig","doc":"*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this per-instance config. This field can be used in optimistic locking. It is ignored when inserting a per-instance config. An up-to-date fingerprint must be provided in order to update an existing per-instance configuration or the field needs to be unset.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of a per-instance configuration and its corresponding instance. Serves as a merge key during UpdatePerInstanceConfigs operations, that is, if a per-instance configuration with the same name exists then it will be updated, otherwise a new one will be created for the VM instance with the same name. An attempt to create a per-instance configconfiguration for a VM instance that either doesn't exist or is not part of the group will result in an error.\n*   `preservedState` (*type:* `GoogleApi.Compute.V1.Model.PreservedState.t`, *default:* `nil`) - The intended preserved state for the given instance. Does not contain preserved state generated from a stateful policy.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of applying this per-instance configuration on the corresponding managed instance.","ref":"GoogleApi.Compute.V1.Model.PerInstanceConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PerInstanceConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PerInstanceConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PerInstanceConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PerInstanceConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Policy","doc":"An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** ``` { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time < timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } ``` **YAML example:** ``` bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time < timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 ``` For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).","ref":"GoogleApi.Compute.V1.Model.Policy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Policy","doc":"*   `auditConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.AuditConfig.t)`, *default:* `nil`) - Specifies cloud audit logging configuration for this policy.\n*   `bindings` (*type:* `list(GoogleApi.Compute.V1.Model.Binding.t)`, *default:* `nil`) - Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - `etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.\n*   `rules` (*type:* `list(GoogleApi.Compute.V1.Model.Rule.t)`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `version` (*type:* `integer()`, *default:* `nil`) - Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: * Getting a policy that includes a conditional role binding * Adding a conditional role binding to a policy * Changing a conditional role binding in a policy * Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).","ref":"GoogleApi.Compute.V1.Model.Policy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Policy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Policy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Policy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Policy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PreconfiguredWafSet","doc":"","ref":"GoogleApi.Compute.V1.Model.PreconfiguredWafSet.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PreconfiguredWafSet","doc":"*   `expressionSets` (*type:* `list(GoogleApi.Compute.V1.Model.WafExpressionSet.t)`, *default:* `nil`) - List of entities that are currently supported for WAF rules.","ref":"GoogleApi.Compute.V1.Model.PreconfiguredWafSet.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PreconfiguredWafSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PreconfiguredWafSet.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PreconfiguredWafSet.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PreconfiguredWafSet.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PreservedState","doc":"Preserved state for a given instance.","ref":"GoogleApi.Compute.V1.Model.PreservedState.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PreservedState","doc":"*   `disks` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.PreservedStatePreservedDisk.t}`, *default:* `nil`) - Preserved disks defined for this instance. This map is keyed with the device names of the disks.\n*   `externalIPs` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIp.t}`, *default:* `nil`) - Preserved external IPs defined for this instance. This map is keyed with the name of the network interface.\n*   `internalIPs` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIp.t}`, *default:* `nil`) - Preserved internal IPs defined for this instance. This map is keyed with the name of the network interface.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Preserved metadata defined for this instance.","ref":"GoogleApi.Compute.V1.Model.PreservedState.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PreservedState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PreservedState.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PreservedState.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PreservedState.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PreservedStatePreservedDisk","doc":"","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedDisk.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PreservedStatePreservedDisk","doc":"*   `autoDelete` (*type:* `String.t`, *default:* `nil`) - These stateful disks will never be deleted during autohealing, update, instance recreate operations. This flag is used to configure if the disk should be deleted after it is no longer used by the group, e.g. when the given instance or the whole MIG is deleted. Note: disks attached in READ_ONLY mode cannot be auto-deleted.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The URL of the disk resource that is stateful and should be attached to the VM instance.","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedDisk.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PreservedStatePreservedDisk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedDisk.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PreservedStatePreservedDisk.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedDisk.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIp","doc":"","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIp.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIp","doc":"*   `autoDelete` (*type:* `String.t`, *default:* `nil`) - These stateful IPs will never be released during autohealing, update or VM instance recreate operations. This flag is used to configure if the IP reservation should be deleted after it is no longer used by the group, e.g. when the given instance or the whole group is deleted.\n*   `ipAddress` (*type:* `GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIpIpAddress.t`, *default:* `nil`) - Ip address representation","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIp.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIp.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIp.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIp.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIp.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIpIpAddress","doc":"","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIpIpAddress.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIpIpAddress","doc":"*   `address` (*type:* `String.t`, *default:* `nil`) - The URL of the reservation for this IP address.\n*   `literal` (*type:* `String.t`, *default:* `nil`) - An IPv4 internal network address to assign to the instance for this network interface.","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIpIpAddress.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIpIpAddress.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIpIpAddress.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIpIpAddress.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PreservedStatePreservedNetworkIpIpAddress.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Project","doc":"Represents a Project resource. A project is used to organize resources in a Google Cloud Platform environment. For more information, read about the Resource Hierarchy.","ref":"GoogleApi.Compute.V1.Model.Project.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Project","doc":"*   `cloudArmorTier` (*type:* `String.t`, *default:* `nil`) - [Output Only] The Cloud Armor tier for this project. It can be one of the following values: CA_STANDARD, CA_ENTERPRISE_PAYGO. If this field is not specified, it is assumed to be CA_STANDARD.\n*   `commonInstanceMetadata` (*type:* `GoogleApi.Compute.V1.Model.Metadata.t`, *default:* `nil`) - Metadata key/value pairs available to all instances contained in this project. See Custom metadata for more information.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `defaultNetworkTier` (*type:* `String.t`, *default:* `nil`) - This signifies the default network tier used for configuring resources of the project and can only take the following values: PREMIUM, STANDARD. Initially the default network tier is PREMIUM.\n*   `defaultServiceAccount` (*type:* `String.t`, *default:* `nil`) - [Output Only] Default service account used by VMs running in this project.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional textual description of the resource.\n*   `enabledFeatures` (*type:* `list(String.t)`, *default:* `nil`) - Restricted features enabled for use on this project.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server. This is *not* the project ID, and is just a unique ID used by Compute Engine to identify resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#project`) - [Output Only] Type of the resource. Always compute#project for projects.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The project ID. For example: my-example-project. Use the project ID to make requests to Compute Engine.\n*   `quotas` (*type:* `list(GoogleApi.Compute.V1.Model.Quota.t)`, *default:* `nil`) - [Output Only] Quotas assigned to this project.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `usageExportLocation` (*type:* `GoogleApi.Compute.V1.Model.UsageExportLocation.t`, *default:* `nil`) - The naming prefix for daily usage reports and the Google Cloud Storage bucket where they are stored.\n*   `vmDnsSetting` (*type:* `String.t`, *default:* `nil`) - [Output Only] Default internal DNS setting used by VMs running in this project.\n*   `xpnProjectStatus` (*type:* `String.t`, *default:* `nil`) - [Output Only] The role this project has in a shared VPC configuration. Currently, only projects with the host role, which is specified by the value HOST, are differentiated.","ref":"GoogleApi.Compute.V1.Model.Project.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Project.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Project.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Project.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Project.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ProjectsDisableXpnResourceRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsDisableXpnResourceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ProjectsDisableXpnResourceRequest","doc":"*   `xpnResource` (*type:* `GoogleApi.Compute.V1.Model.XpnResourceId.t`, *default:* `nil`) - Service resource (a.k.a service project) ID.","ref":"GoogleApi.Compute.V1.Model.ProjectsDisableXpnResourceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ProjectsDisableXpnResourceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ProjectsDisableXpnResourceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ProjectsDisableXpnResourceRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsDisableXpnResourceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ProjectsEnableXpnResourceRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsEnableXpnResourceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ProjectsEnableXpnResourceRequest","doc":"*   `xpnResource` (*type:* `GoogleApi.Compute.V1.Model.XpnResourceId.t`, *default:* `nil`) - Service resource (a.k.a service project) ID.","ref":"GoogleApi.Compute.V1.Model.ProjectsEnableXpnResourceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ProjectsEnableXpnResourceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ProjectsEnableXpnResourceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ProjectsEnableXpnResourceRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsEnableXpnResourceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ProjectsGetXpnResources","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsGetXpnResources.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ProjectsGetXpnResources","doc":"*   `kind` (*type:* `String.t`, *default:* `compute#projectsGetXpnResources`) - [Output Only] Type of resource. Always compute#projectsGetXpnResources for lists of service resources (a.k.a service projects)\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `resources` (*type:* `list(GoogleApi.Compute.V1.Model.XpnResourceId.t)`, *default:* `nil`) - Service resources (a.k.a service projects) attached to this project as their shared VPC host.","ref":"GoogleApi.Compute.V1.Model.ProjectsGetXpnResources.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ProjectsGetXpnResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ProjectsGetXpnResources.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ProjectsGetXpnResources.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsGetXpnResources.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ProjectsListXpnHostsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsListXpnHostsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ProjectsListXpnHostsRequest","doc":"*   `organization` (*type:* `String.t`, *default:* `nil`) - Optional organization ID managed by Cloud Resource Manager, for which to list shared VPC host projects. If not specified, the organization will be inferred from the project.","ref":"GoogleApi.Compute.V1.Model.ProjectsListXpnHostsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ProjectsListXpnHostsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ProjectsListXpnHostsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ProjectsListXpnHostsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsListXpnHostsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ProjectsSetCloudArmorTierRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsSetCloudArmorTierRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ProjectsSetCloudArmorTierRequest","doc":"*   `cloudArmorTier` (*type:* `String.t`, *default:* `nil`) - Managed protection tier to be set.","ref":"GoogleApi.Compute.V1.Model.ProjectsSetCloudArmorTierRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ProjectsSetCloudArmorTierRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ProjectsSetCloudArmorTierRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ProjectsSetCloudArmorTierRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsSetCloudArmorTierRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ProjectsSetDefaultNetworkTierRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsSetDefaultNetworkTierRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ProjectsSetDefaultNetworkTierRequest","doc":"*   `networkTier` (*type:* `String.t`, *default:* `nil`) - Default network tier to be set.","ref":"GoogleApi.Compute.V1.Model.ProjectsSetDefaultNetworkTierRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ProjectsSetDefaultNetworkTierRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ProjectsSetDefaultNetworkTierRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ProjectsSetDefaultNetworkTierRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ProjectsSetDefaultNetworkTierRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix","doc":"A public advertised prefix represents an aggregated IP prefix or netblock which customers bring to cloud. The IP prefix is a single unit of route advertisement and is announced globally to the internet.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix","doc":"*   `byoipApiVersion` (*type:* `String.t`, *default:* `nil`) - [Output Only] The version of BYOIP API.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `dnsVerificationIp` (*type:* `String.t`, *default:* `nil`) - The address to be used for reverse DNS verification.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a new PublicAdvertisedPrefix. An up-to-date fingerprint must be provided in order to update the PublicAdvertisedPrefix, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a PublicAdvertisedPrefix.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource type. The server generates this identifier.\n*   `ipCidrRange` (*type:* `String.t`, *default:* `nil`) - The address range, in CIDR format, represented by this public advertised prefix.\n*   `kind` (*type:* `String.t`, *default:* `compute#publicAdvertisedPrefix`) - [Output Only] Type of the resource. Always compute#publicAdvertisedPrefix for public advertised prefixes.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `pdpScope` (*type:* `String.t`, *default:* `nil`) - Specifies how child public delegated prefix will be scoped. It could be one of following values: - `REGIONAL`: The public delegated prefix is regional only. The provisioning will take a few minutes. - `GLOBAL`: The public delegated prefix is global only. The provisioning will take ~4 weeks. - `GLOBAL_AND_REGIONAL` [output only]: The public delegated prefixes is BYOIP V1 legacy prefix. This is output only value and no longer supported in BYOIP V2. \n*   `publicDelegatedPrefixs` (*type:* `list(GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixPublicDelegatedPrefix.t)`, *default:* `nil`) - [Output Only] The list of public delegated prefixes that exist for this public advertised prefix.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `sharedSecret` (*type:* `String.t`, *default:* `nil`) - [Output Only] The shared secret to be used for reverse DNS verification.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of the public advertised prefix. Possible values include: - `INITIAL`: RPKI validation is complete. - `PTR_CONFIGURED`: User has configured the PTR. - `VALIDATED`: Reverse DNS lookup is successful. - `REVERSE_DNS_LOOKUP_FAILED`: Reverse DNS lookup failed. - `PREFIX_CONFIGURATION_IN_PROGRESS`: The prefix is being configured. - `PREFIX_CONFIGURATION_COMPLETE`: The prefix is fully configured. - `PREFIX_REMOVAL_IN_PROGRESS`: The prefix is being removed.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixList","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.PublicAdvertisedPrefix.t)`, *default:* `nil`) - A list of PublicAdvertisedPrefix resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#publicAdvertisedPrefixList`) - [Output Only] Type of the resource. Always compute#publicAdvertisedPrefix for public advertised prefixes.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixPublicDelegatedPrefix","doc":"Represents a CIDR range which can be used to assign addresses.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixPublicDelegatedPrefix.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixPublicDelegatedPrefix","doc":"*   `ipRange` (*type:* `String.t`, *default:* `nil`) - The IP address range of the public delegated prefix\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the public delegated prefix\n*   `project` (*type:* `String.t`, *default:* `nil`) - The project number of the public delegated prefix\n*   `region` (*type:* `String.t`, *default:* `nil`) - The region of the public delegated prefix if it is regional. If absent, the prefix is global.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of the public delegated prefix. Possible values are: INITIALIZING: The public delegated prefix is being initialized and addresses cannot be created yet. ANNOUNCED: The public delegated prefix is active.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixPublicDelegatedPrefix.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixPublicDelegatedPrefix.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixPublicDelegatedPrefix.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixPublicDelegatedPrefix.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicAdvertisedPrefixPublicDelegatedPrefix.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefix","doc":"A PublicDelegatedPrefix resource represents an IP block within a PublicAdvertisedPrefix that is configured within a single cloud scope (global or region). IPs in the block can be allocated to resources within that scope. Public delegated prefixes may be further broken up into smaller IP blocks in the same scope as the parent block.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefix","doc":"*   `allocatablePrefixLength` (*type:* `integer()`, *default:* `nil`) - The allocatable prefix length supported by this public delegated prefix. This field is optional and cannot be set for prefixes in DELEGATION mode. It cannot be set for IPv4 prefixes either, and it always defaults to 32.\n*   `byoipApiVersion` (*type:* `String.t`, *default:* `nil`) - [Output Only] The version of BYOIP API.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a new PublicDelegatedPrefix. An up-to-date fingerprint must be provided in order to update the PublicDelegatedPrefix, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a PublicDelegatedPrefix.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource type. The server generates this identifier.\n*   `ipCidrRange` (*type:* `String.t`, *default:* `nil`) - The IP address range, in CIDR format, represented by this public delegated prefix.\n*   `isLiveMigration` (*type:* `boolean()`, *default:* `nil`) - If true, the prefix will be live migrated.\n*   `kind` (*type:* `String.t`, *default:* `compute#publicDelegatedPrefix`) - [Output Only] Type of the resource. Always compute#publicDelegatedPrefix for public delegated prefixes.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - The public delegated prefix mode for IPv6 only.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `parentPrefix` (*type:* `String.t`, *default:* `nil`) - The URL of parent prefix. Either PublicAdvertisedPrefix or PublicDelegatedPrefix.\n*   `publicDelegatedSubPrefixs` (*type:* `list(GoogleApi.Compute.V1.Model.PublicDelegatedPrefixPublicDelegatedSubPrefix.t)`, *default:* `nil`) - The list of sub public delegated prefixes that exist for this public delegated prefix.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the public delegated prefix resides. This field applies only to the region resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the public delegated prefix, which can be one of following values: - `INITIALIZING` The public delegated prefix is being initialized and addresses cannot be created yet. - `READY_TO_ANNOUNCE` The public delegated prefix is a live migration prefix and is active. - `ANNOUNCED` The public delegated prefix is active. - `DELETING` The public delegated prefix is being deprovsioned.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedList.t}`, *default:* `nil`) - A list of PublicDelegatedPrefixesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#publicDelegatedPrefixAggregatedList`) - [Output Only] Type of the resource. Always compute#publicDelegatedPrefixAggregatedList for aggregated lists of public delegated prefixes.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixList","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefixList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.t)`, *default:* `nil`) - A list of PublicDelegatedPrefix resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#publicDelegatedPrefixList`) - [Output Only] Type of the resource. Always compute#publicDelegatedPrefixList for public delegated prefixes.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixPublicDelegatedSubPrefix","doc":"Represents a sub PublicDelegatedPrefix.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixPublicDelegatedSubPrefix.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefixPublicDelegatedSubPrefix","doc":"*   `allocatablePrefixLength` (*type:* `integer()`, *default:* `nil`) - The allocatable prefix length supported by this PublicDelegatedSubPrefix.\n*   `delegateeProject` (*type:* `String.t`, *default:* `nil`) - Name of the project scoping this PublicDelegatedSubPrefix.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `ipCidrRange` (*type:* `String.t`, *default:* `nil`) - The IP address range, in CIDR format, represented by this sub public delegated prefix.\n*   `isAddress` (*type:* `boolean()`, *default:* `nil`) - Whether the sub prefix is delegated to create Address resources in the delegatee project.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - The PublicDelegatedSubPrefix mode for IPv6 only.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the sub public delegated prefix.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] The region of the sub public delegated prefix if it is regional. If absent, the sub prefix is global.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the sub public delegated prefix.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixPublicDelegatedSubPrefix.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixPublicDelegatedSubPrefix.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixPublicDelegatedSubPrefix.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixPublicDelegatedSubPrefix.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixPublicDelegatedSubPrefix.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedList","doc":"*   `publicDelegatedPrefixes` (*type:* `list(GoogleApi.Compute.V1.Model.PublicDelegatedPrefix.t)`, *default:* `nil`) - [Output Only] A list of PublicDelegatedPrefixes contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of public delegated prefixes when the list is empty.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of public delegated prefixes when the list is empty.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.PublicDelegatedPrefixesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Quota","doc":"A quotas entry.","ref":"GoogleApi.Compute.V1.Model.Quota.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Quota","doc":"*   `limit` (*type:* `float()`, *default:* `nil`) - [Output Only] Quota limit for this metric.\n*   `metric` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the quota metric.\n*   `owner` (*type:* `String.t`, *default:* `nil`) - [Output Only] Owning resource. This is the resource on which this quota is applied.\n*   `usage` (*type:* `float()`, *default:* `nil`) - [Output Only] Current usage of this metric.","ref":"GoogleApi.Compute.V1.Model.Quota.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Quota.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Quota.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Quota.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Quota.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.QuotaExceededInfo","doc":"Additional details for quota exceeded error for resource quota.","ref":"GoogleApi.Compute.V1.Model.QuotaExceededInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.QuotaExceededInfo","doc":"*   `dimensions` (*type:* `map()`, *default:* `nil`) - The map holding related quota dimensions.\n*   `futureLimit` (*type:* `float()`, *default:* `nil`) - Future quota limit being rolled out. The limit's unit depends on the quota type or metric.\n*   `limit` (*type:* `float()`, *default:* `nil`) - Current effective quota limit. The limit's unit depends on the quota type or metric.\n*   `limitName` (*type:* `String.t`, *default:* `nil`) - The name of the quota limit.\n*   `metricName` (*type:* `String.t`, *default:* `nil`) - The Compute Engine quota metric name.\n*   `rolloutStatus` (*type:* `String.t`, *default:* `nil`) - Rollout status of the future quota limit.","ref":"GoogleApi.Compute.V1.Model.QuotaExceededInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.QuotaExceededInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.QuotaExceededInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.QuotaExceededInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.QuotaExceededInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Reference","doc":"Represents a reference to a resource.","ref":"GoogleApi.Compute.V1.Model.Reference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Reference","doc":"*   `kind` (*type:* `String.t`, *default:* `compute#reference`) - [Output Only] Type of the resource. Always compute#reference for references.\n*   `referenceType` (*type:* `String.t`, *default:* `nil`) - A description of the reference type with no implied semantics. Possible values include: 1. MEMBER_OF \n*   `referrer` (*type:* `String.t`, *default:* `nil`) - URL of the resource which refers to the target.\n*   `target` (*type:* `String.t`, *default:* `nil`) - URL of the resource to which this reference points.","ref":"GoogleApi.Compute.V1.Model.Reference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Reference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Reference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Reference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Reference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Region","doc":"Represents a Region resource. A region is a geographical area where a resource is located. For more information, read Regions and Zones.","ref":"GoogleApi.Compute.V1.Model.Region.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Region","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `deprecated` (*type:* `GoogleApi.Compute.V1.Model.DeprecationStatus.t`, *default:* `nil`) - [Output Only] The deprecation status associated with this region.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] Textual description of the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#region`) - [Output Only] Type of the resource. Always compute#region for regions.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the resource.\n*   `quotaStatusWarning` (*type:* `GoogleApi.Compute.V1.Model.RegionQuotaStatusWarning.t`, *default:* `nil`) - [Output Only] Warning of fetching the `quotas` field for this region. This field is populated only if fetching of the `quotas` field fails.\n*   `quotas` (*type:* `list(GoogleApi.Compute.V1.Model.Quota.t)`, *default:* `nil`) - [Output Only] Quotas assigned to this region.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] Status of the region, either UP or DOWN.\n*   `supportsPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `zones` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] A list of zones available in this region, in the form of resource URLs.","ref":"GoogleApi.Compute.V1.Model.Region.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Region.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Region.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Region.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Region.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionAddressesMoveRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionAddressesMoveRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionAddressesMoveRequest","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - An optional destination address description if intended to be different from the source.\n*   `destinationAddress` (*type:* `String.t`, *default:* `nil`) - The URL of the destination address to move to. This can be a full or partial URL. For example, the following are all valid URLs to a address: - https://www.googleapis.com/compute/v1/projects/project/regions/region /addresses/address - projects/project/regions/region/addresses/address Note that destination project must be different from the source project. So /regions/region/addresses/address is not valid partial url.","ref":"GoogleApi.Compute.V1.Model.RegionAddressesMoveRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionAddressesMoveRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionAddressesMoveRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionAddressesMoveRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionAddressesMoveRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionAutoscalerList","doc":"Contains a list of autoscalers.","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionAutoscalerList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Autoscaler.t)`, *default:* `nil`) - A list of Autoscaler resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#regionAutoscalerList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RegionAutoscalerListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionAutoscalerList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionAutoscalerList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionAutoscalerListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RegionAutoscalerListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionAutoscalerListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionAutoscalerListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionDiskTypeList","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionDiskTypeList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.DiskType.t)`, *default:* `nil`) - A list of DiskType resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#regionDiskTypeList`) - [Output Only] Type of resource. Always compute#regionDiskTypeList for region disk types.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RegionDiskTypeListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionDiskTypeList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionDiskTypeList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionDiskTypeListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RegionDiskTypeListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionDiskTypeListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDiskTypeListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionDisksAddResourcePoliciesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDisksAddResourcePoliciesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionDisksAddResourcePoliciesRequest","doc":"*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - Resource policies to be added to this disk.","ref":"GoogleApi.Compute.V1.Model.RegionDisksAddResourcePoliciesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionDisksAddResourcePoliciesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionDisksAddResourcePoliciesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionDisksAddResourcePoliciesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDisksAddResourcePoliciesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionDisksRemoveResourcePoliciesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDisksRemoveResourcePoliciesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionDisksRemoveResourcePoliciesRequest","doc":"*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - Resource policies to be removed from this disk.","ref":"GoogleApi.Compute.V1.Model.RegionDisksRemoveResourcePoliciesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionDisksRemoveResourcePoliciesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionDisksRemoveResourcePoliciesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionDisksRemoveResourcePoliciesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDisksRemoveResourcePoliciesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionDisksResizeRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDisksResizeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionDisksResizeRequest","doc":"*   `sizeGb` (*type:* `String.t`, *default:* `nil`) - The new size of the regional persistent disk, which is specified in GB.","ref":"GoogleApi.Compute.V1.Model.RegionDisksResizeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionDisksResizeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionDisksResizeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionDisksResizeRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDisksResizeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionDisksStartAsyncReplicationRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDisksStartAsyncReplicationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionDisksStartAsyncReplicationRequest","doc":"*   `asyncSecondaryDisk` (*type:* `String.t`, *default:* `nil`) - The secondary disk to start asynchronous replication to. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - https://www.googleapis.com/compute/v1/projects/project/regions/region /disks/disk - projects/project/zones/zone/disks/disk - projects/project/regions/region/disks/disk - zones/zone/disks/disk - regions/region/disks/disk","ref":"GoogleApi.Compute.V1.Model.RegionDisksStartAsyncReplicationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionDisksStartAsyncReplicationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionDisksStartAsyncReplicationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionDisksStartAsyncReplicationRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionDisksStartAsyncReplicationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupList","doc":"Contains a list of InstanceGroup resources.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroup.t)`, *default:* `nil`) - A list of InstanceGroup resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#regionInstanceGroupList`) - The resource type.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerDeleteInstanceConfigReq","doc":"RegionInstanceGroupManagers.deletePerInstanceConfigs","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerDeleteInstanceConfigReq.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerDeleteInstanceConfigReq","doc":"*   `names` (*type:* `list(String.t)`, *default:* `nil`) - The list of instance names for which we want to delete per-instance configs on this managed instance group.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerDeleteInstanceConfigReq.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerDeleteInstanceConfigReq.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerDeleteInstanceConfigReq.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerDeleteInstanceConfigReq.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerDeleteInstanceConfigReq.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerList","doc":"Contains a list of managed instance groups.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceGroupManager.t)`, *default:* `nil`) - A list of InstanceGroupManager resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#regionInstanceGroupManagerList`) - [Output Only] The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups that exist in th regional scope.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerPatchInstanceConfigReq","doc":"RegionInstanceGroupManagers.patchPerInstanceConfigs","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerPatchInstanceConfigReq.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerPatchInstanceConfigReq","doc":"*   `perInstanceConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.PerInstanceConfig.t)`, *default:* `nil`) - The list of per-instance configurations to insert or patch on this managed instance group.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerPatchInstanceConfigReq.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerPatchInstanceConfigReq.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerPatchInstanceConfigReq.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerPatchInstanceConfigReq.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerPatchInstanceConfigReq.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerUpdateInstanceConfigReq","doc":"RegionInstanceGroupManagers.updatePerInstanceConfigs","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerUpdateInstanceConfigReq.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerUpdateInstanceConfigReq","doc":"*   `perInstanceConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.PerInstanceConfig.t)`, *default:* `nil`) - The list of per-instance configurations to insert or patch on this managed instance group.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerUpdateInstanceConfigReq.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerUpdateInstanceConfigReq.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerUpdateInstanceConfigReq.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerUpdateInstanceConfigReq.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagerUpdateInstanceConfigReq.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersAbandonInstancesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersAbandonInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersAbandonInstancesRequest","doc":"*   `instances` (*type:* `list(String.t)`, *default:* `nil`) - The URLs of one or more instances to abandon. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersAbandonInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersAbandonInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersAbandonInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersAbandonInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersAbandonInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersApplyUpdatesRequest","doc":"RegionInstanceGroupManagers.applyUpdatesToInstances","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersApplyUpdatesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersApplyUpdatesRequest","doc":"*   `allInstances` (*type:* `boolean()`, *default:* `nil`) - Flag to update all instances instead of specified list of “instances”. If the flag is set to true then the instances may not be specified in the request.\n*   `instances` (*type:* `list(String.t)`, *default:* `nil`) - The list of URLs of one or more instances for which you want to apply updates. Each URL can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].\n*   `minimalAction` (*type:* `String.t`, *default:* `nil`) - The minimal action that you want to perform on each instance during the update: - REPLACE: At minimum, delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance and limit disruption as much as possible. - NONE: Do not disrupt the instance at all. By default, the minimum action is NONE. If your update requires a more disruptive action than you set with this flag, the necessary action is performed to execute the update.\n*   `mostDisruptiveAllowedAction` (*type:* `String.t`, *default:* `nil`) - The most disruptive action that you want to perform on each instance during the update: - REPLACE: Delete the instance and create it again. - RESTART: Stop the instance and start it again. - REFRESH: Do not stop the instance and limit disruption as much as possible. - NONE: Do not disrupt the instance at all. By default, the most disruptive allowed action is REPLACE. If your update requires a more disruptive action than you set with this flag, the update request will fail.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersApplyUpdatesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersApplyUpdatesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersApplyUpdatesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersApplyUpdatesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersApplyUpdatesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersCreateInstancesRequest","doc":"RegionInstanceGroupManagers.createInstances","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersCreateInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersCreateInstancesRequest","doc":"*   `instances` (*type:* `list(GoogleApi.Compute.V1.Model.PerInstanceConfig.t)`, *default:* `nil`) - [Required] List of specifications of per-instance configs.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersCreateInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersCreateInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersCreateInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersCreateInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersCreateInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersDeleteInstancesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersDeleteInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersDeleteInstancesRequest","doc":"*   `instances` (*type:* `list(String.t)`, *default:* `nil`) - The URLs of one or more instances to delete. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].\n*   `skipInstancesOnValidationError` (*type:* `boolean()`, *default:* `nil`) - Specifies whether the request should proceed despite the inclusion of instances that are not members of the group or that are already in the process of being deleted or abandoned. If this field is set to `false` and such an instance is specified in the request, the operation fails. The operation always fails if the request contains a malformed instance URL or a reference to an instance that exists in a zone or region other than the group's zone or region.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersDeleteInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersDeleteInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersDeleteInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersDeleteInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersDeleteInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListErrorsResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListErrorsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListErrorsResponse","doc":"*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceManagedByIgmError.t)`, *default:* `nil`) - [Output Only] The list of errors of the managed instance group.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListErrorsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListErrorsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListErrorsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListErrorsResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListErrorsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsResp","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsResp.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsResp","doc":"*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.PerInstanceConfig.t)`, *default:* `nil`) - [Output Only] The list of PerInstanceConfig.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsResp.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsResp.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsResp.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsResp.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsResp.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstanceConfigsRespWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstancesResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstancesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstancesResponse","doc":"*   `managedInstances` (*type:* `list(GoogleApi.Compute.V1.Model.ManagedInstance.t)`, *default:* `nil`) - A list of managed instances.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstancesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstancesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstancesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstancesResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersListInstancesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersRecreateRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersRecreateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersRecreateRequest","doc":"*   `instances` (*type:* `list(String.t)`, *default:* `nil`) - The URLs of one or more instances to recreate. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersRecreateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersRecreateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersRecreateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersRecreateRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersRecreateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTargetPoolsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTargetPoolsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTargetPoolsRequest","doc":"*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of the target pools information, which is a hash of the contents. This field is used for optimistic locking when you update the target pool entries. This field is optional.\n*   `targetPools` (*type:* `list(String.t)`, *default:* `nil`) - The URL of all TargetPool resources to which instances in the instanceGroup field are added. The target pools automatically apply to all of the instances in the managed instance group.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTargetPoolsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTargetPoolsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTargetPoolsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTargetPoolsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTargetPoolsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTemplateRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTemplateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTemplateRequest","doc":"*   `instanceTemplate` (*type:* `String.t`, *default:* `nil`) - URL of the InstanceTemplate resource from which all new instances will be created.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTemplateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTemplateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTemplateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTemplateRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupManagersSetTemplateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstances","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstances.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstances","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceWithNamedPorts.t)`, *default:* `nil`) - A list of InstanceWithNamedPorts resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#regionInstanceGroupsListInstances`) - The resource type.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstances.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstances.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstances.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstances.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstances.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesRequest","doc":"*   `instanceState` (*type:* `String.t`, *default:* `nil`) - Instances in which state should be returned. Valid options are: 'ALL', 'RUNNING'. By default, it lists all instances.\n*   `portName` (*type:* `String.t`, *default:* `nil`) - Name of port user is interested in. It is optional. If it is set, only information about this ports will be returned. If it is not set, all the named ports will be returned. Always lists all instances.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsListInstancesWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsSetNamedPortsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsSetNamedPortsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionInstanceGroupsSetNamedPortsRequest","doc":"*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - The fingerprint of the named ports information for this instance group. Use this optional property to prevent conflicts when multiple users change the named ports settings concurrently. Obtain the fingerprint with the instanceGroups.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request.\n*   `namedPorts` (*type:* `list(GoogleApi.Compute.V1.Model.NamedPort.t)`, *default:* `nil`) - The list of named ports to set for this instance group.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsSetNamedPortsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsSetNamedPortsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsSetNamedPortsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsSetNamedPortsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionInstanceGroupsSetNamedPortsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionList","doc":"Contains a list of region resources.","ref":"GoogleApi.Compute.V1.Model.RegionList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Region.t)`, *default:* `nil`) - A list of Region resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#regionList`) - [Output Only] Type of resource. Always compute#regionList for lists of regions.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RegionListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RegionListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RegionListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RegionListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RegionListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsAttachEndpointsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsAttachEndpointsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsAttachEndpointsRequest","doc":"*   `networkEndpoints` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpoint.t)`, *default:* `nil`) - The list of network endpoints to be attached.","ref":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsAttachEndpointsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsAttachEndpointsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsAttachEndpointsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsAttachEndpointsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsAttachEndpointsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsDetachEndpointsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsDetachEndpointsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsDetachEndpointsRequest","doc":"*   `networkEndpoints` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkEndpoint.t)`, *default:* `nil`) - The list of network endpoints to be detached.","ref":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsDetachEndpointsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsDetachEndpointsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsDetachEndpointsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsDetachEndpointsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionNetworkEndpointGroupsDetachEndpointsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse","doc":"*   `firewallPolicys` (*type:* `list(GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.t)`, *default:* `nil`) - [Output only] Effective firewalls from firewall policy. It applies to Regional Network Firewall Policies in the specified region, Global Network Firewall Policies and Hierachial Firewall Policies which are associated with the network.\n*   `firewalls` (*type:* `list(GoogleApi.Compute.V1.Model.Firewall.t)`, *default:* `nil`) - Effective firewalls on the network.","ref":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - [Output Only] The display name of the firewall policy.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the firewall policy.\n*   `rules` (*type:* `list(GoogleApi.Compute.V1.Model.FirewallPolicyRule.t)`, *default:* `nil`) - [Output only] The rules that apply to the network.\n*   `type` (*type:* `String.t`, *default:* `nil`) - [Output Only] The type of the firewall policy. Can be one of HIERARCHY, NETWORK, NETWORK_REGIONAL, SYSTEM_GLOBAL, SYSTEM_REGIONAL.","ref":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionNetworkFirewallPoliciesGetEffectiveFirewallsResponseEffectiveFirewallPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarning","doc":"[Output Only] Warning of fetching the `quotas` field for this region. This field is populated only if fetching of the `quotas` field fails.","ref":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionQuotaStatusWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RegionQuotaStatusWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionQuotaStatusWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionQuotaStatusWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionSetLabelsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionSetLabelsRequest","doc":"*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. Make a get() request to the resource to get the latest fingerprint.\n*   `labels` (*type:* `map()`, *default:* `nil`) - The labels to set for this resource.","ref":"GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionSetLabelsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionSetPolicyRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionSetPolicyRequest","doc":"*   `bindings` (*type:* `list(GoogleApi.Compute.V1.Model.Binding.t)`, *default:* `nil`) - Flatten Policy to create a backwacd compatible wire-format. Deprecated. Use 'policy' to specify bindings.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.\n*   `policy` (*type:* `GoogleApi.Compute.V1.Model.Policy.t`, *default:* `nil`) - REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them.","ref":"GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionSetPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionTargetHttpsProxiesSetSslCertificatesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionTargetHttpsProxiesSetSslCertificatesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionTargetHttpsProxiesSetSslCertificatesRequest","doc":"*   `sslCertificates` (*type:* `list(String.t)`, *default:* `nil`) - New set of SslCertificate resources to associate with this TargetHttpsProxy resource.","ref":"GoogleApi.Compute.V1.Model.RegionTargetHttpsProxiesSetSslCertificatesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionTargetHttpsProxiesSetSslCertificatesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionTargetHttpsProxiesSetSslCertificatesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionTargetHttpsProxiesSetSslCertificatesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionTargetHttpsProxiesSetSslCertificatesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RegionUrlMapsValidateRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionUrlMapsValidateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RegionUrlMapsValidateRequest","doc":"*   `resource` (*type:* `GoogleApi.Compute.V1.Model.UrlMap.t`, *default:* `nil`) - Content of the UrlMap to be validated.","ref":"GoogleApi.Compute.V1.Model.RegionUrlMapsValidateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RegionUrlMapsValidateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RegionUrlMapsValidateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RegionUrlMapsValidateRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RegionUrlMapsValidateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RequestMirrorPolicy","doc":"A policy that specifies how requests intended for the route's backends are shadowed to a separate mirrored backend service. The load balancer doesn't wait for responses from the shadow service. Before sending traffic to the shadow service, the host or authority header is suffixed with -shadow.","ref":"GoogleApi.Compute.V1.Model.RequestMirrorPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RequestMirrorPolicy","doc":"*   `backendService` (*type:* `String.t`, *default:* `nil`) - The full or partial URL to the BackendService resource being mirrored to. The backend service configured for a mirroring policy must reference backends that are of the same type as the original backend service matched in the URL map. Serverless NEG backends are not currently supported as a mirrored backend service.","ref":"GoogleApi.Compute.V1.Model.RequestMirrorPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RequestMirrorPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RequestMirrorPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RequestMirrorPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RequestMirrorPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Reservation","doc":"Represents a reservation resource. A reservation ensures that capacity is held in a specific zone even if the reserved VMs are not running. For more information, read Reserving zonal resources.","ref":"GoogleApi.Compute.V1.Model.Reservation.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Reservation","doc":"*   `aggregateReservation` (*type:* `GoogleApi.Compute.V1.Model.AllocationAggregateReservation.t`, *default:* `nil`) - Reservation for aggregated resources, providing shape flexibility.\n*   `commitment` (*type:* `String.t`, *default:* `nil`) - [Output Only] Full or partial URL to a parent commitment. This field displays for reservations that are tied to a commitment.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#reservation`) - [Output Only] Type of the resource. Always compute#reservations for reservations.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `resourcePolicies` (*type:* `map()`, *default:* `nil`) - Resource policies to be added to this reservation. The key is defined by user, and the value is resource policy url. This is to define placement policy with reservation.\n*   `resourceStatus` (*type:* `GoogleApi.Compute.V1.Model.AllocationResourceStatus.t`, *default:* `nil`) - [Output Only] Status information for Reservation resource.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined fully-qualified URL for this resource.\n*   `shareSettings` (*type:* `GoogleApi.Compute.V1.Model.ShareSettings.t`, *default:* `nil`) - Specify share-settings to create a shared reservation. This property is optional. For more information about the syntax and options for this field and its subfields, see the guide for creating a shared reservation.\n*   `specificReservation` (*type:* `GoogleApi.Compute.V1.Model.AllocationSpecificSKUReservation.t`, *default:* `nil`) - Reservation for instances with specific machine shapes.\n*   `specificReservationRequired` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the reservation can be consumed by VMs with affinity for \"any\" reservation. If the field is set, then only VMs that target the reservation by name can consume from this reservation.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the reservation. - CREATING: Reservation resources are being allocated. - READY: Reservation resources have been allocated, and the reservation is ready for use. - DELETING: Reservation deletion is in progress. - UPDATING: Reservation update is in progress. \n*   `zone` (*type:* `String.t`, *default:* `nil`) - Zone in which the reservation resides. A zone must be provided if the reservation is created within a commitment.","ref":"GoogleApi.Compute.V1.Model.Reservation.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Reservation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Reservation.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Reservation.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Reservation.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationAffinity","doc":"Specifies the reservations that this instance can consume from.","ref":"GoogleApi.Compute.V1.Model.ReservationAffinity.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationAffinity","doc":"*   `consumeReservationType` (*type:* `String.t`, *default:* `nil`) - Specifies the type of reservation from which this instance can consume resources: ANY_RESERVATION (default), SPECIFIC_RESERVATION, or NO_RESERVATION. See Consuming reserved instances for examples.\n*   `key` (*type:* `String.t`, *default:* `nil`) - Corresponds to the label key of a reservation resource. To target a SPECIFIC_RESERVATION by name, specify googleapis.com/reservation-name as the key and specify the name of your reservation as its value.\n*   `values` (*type:* `list(String.t)`, *default:* `nil`) - Corresponds to the label values of a reservation resource. This can be either a name to a reservation in the same project or \"projects/different-project/reservations/some-reservation-name\" to target a shared reservation in the same zone but in a different project.","ref":"GoogleApi.Compute.V1.Model.ReservationAffinity.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationAffinity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationAffinity.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationAffinity.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationAffinity.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationAggregatedList","doc":"Contains a list of reservations.","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.ReservationsScopedList.t}`, *default:* `nil`) - A list of Allocation resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#reservationAggregatedList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ReservationAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ReservationAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationList","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Reservation.t)`, *default:* `nil`) - [Output Only] A list of Allocation resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#reservationList`) - [Output Only] Type of resource.Always compute#reservationsList for listsof reservations\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ReservationListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ReservationList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ReservationListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ReservationListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ReservationListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ReservationListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationsResizeRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationsResizeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationsResizeRequest","doc":"*   `specificSkuCount` (*type:* `String.t`, *default:* `nil`) - Number of allocated resources can be resized with minimum = 1 and maximum = 1000.","ref":"GoogleApi.Compute.V1.Model.ReservationsResizeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationsResizeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationsResizeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationsResizeRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationsResizeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationsScopedList","doc":"*   `reservations` (*type:* `list(GoogleApi.Compute.V1.Model.Reservation.t)`, *default:* `nil`) - A list of reservations contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ReservationsScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of reservations when the list is empty.","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarning","doc":"Informational warning which replaces the list of reservations when the list is empty.","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ReservationsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ReservationsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ReservationsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourceCommitment","doc":"Commitment for a particular resource (a Commitment is composed of one or more of these).","ref":"GoogleApi.Compute.V1.Model.ResourceCommitment.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourceCommitment","doc":"*   `acceleratorType` (*type:* `String.t`, *default:* `nil`) - Name of the accelerator type resource. Applicable only when the type is ACCELERATOR.\n*   `amount` (*type:* `String.t`, *default:* `nil`) - The amount of the resource purchased (in a type-dependent unit, such as bytes). For vCPUs, this can just be an integer. For memory, this must be provided in MB. Memory must be a multiple of 256 MB, with up to 6.5GB of memory per every vCPU.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of resource for which this commitment applies. Possible values are VCPU, MEMORY, LOCAL_SSD, and ACCELERATOR.","ref":"GoogleApi.Compute.V1.Model.ResourceCommitment.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourceCommitment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourceCommitment.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourceCommitment.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourceCommitment.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourceGroupReference","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourceGroupReference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourceGroupReference","doc":"*   `group` (*type:* `String.t`, *default:* `nil`) - A URI referencing one of the instance groups or network endpoint groups listed in the backend service.","ref":"GoogleApi.Compute.V1.Model.ResourceGroupReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourceGroupReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourceGroupReference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourceGroupReference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourceGroupReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePoliciesScopedList","doc":"*   `resourcePolicies` (*type:* `list(GoogleApi.Compute.V1.Model.ResourcePolicy.t)`, *default:* `nil`) - A list of resourcePolicies contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of resourcePolicies when the list is empty.","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarning","doc":"Informational warning which replaces the list of resourcePolicies when the list is empty.","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePoliciesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicy","doc":"Represents a Resource Policy resource. You can use resource policies to schedule actions for some Compute Engine resources. For example, you can use them to schedule persistent disk snapshots.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicy","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - \n*   `diskConsistencyGroupPolicy` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyDiskConsistencyGroupPolicy.t`, *default:* `nil`) - Resource policy for disk consistency groups.\n*   `groupPlacementPolicy` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyGroupPlacementPolicy.t`, *default:* `nil`) - Resource policy for instances for placement configuration.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `instanceSchedulePolicy` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicy.t`, *default:* `nil`) - Resource policy for scheduling instance operations.\n*   `kind` (*type:* `String.t`, *default:* `compute#resourcePolicy`) - [Output Only] Type of the resource. Always compute#resource_policies for resource policies.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `region` (*type:* `String.t`, *default:* `nil`) - \n*   `resourceStatus` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatus.t`, *default:* `nil`) - [Output Only] The system status of the resource policy.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined fully-qualified URL for this resource.\n*   `snapshotSchedulePolicy` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicy.t`, *default:* `nil`) - Resource policy for persistent disks for creating snapshots.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of resource policy creation.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedList","doc":"Contains a list of resourcePolicies.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedList","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.ResourcePoliciesScopedList.t}`, *default:* `nil`) - A list of ResourcePolicy resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#resourcePolicyAggregatedList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyDailyCycle","doc":"Time window specified for daily operations.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyDailyCycle.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyDailyCycle","doc":"*   `daysInCycle` (*type:* `integer()`, *default:* `nil`) - Defines a schedule with units measured in days. The value determines how many days pass between the start of each cycle.\n*   `duration` (*type:* `String.t`, *default:* `nil`) - [Output only] A predetermined duration for the window, automatically chosen to be the smallest possible in the given scenario.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - Start time of the window. This must be in UTC format that resolves to one of 00:00, 04:00, 08:00, 12:00, 16:00, or 20:00. For example, both 13:00-5 and 08:00 are valid.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyDailyCycle.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyDailyCycle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyDailyCycle.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyDailyCycle.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyDailyCycle.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyDiskConsistencyGroupPolicy","doc":"Resource policy for disk consistency groups.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyDiskConsistencyGroupPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyDiskConsistencyGroupPolicy","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyDiskConsistencyGroupPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyDiskConsistencyGroupPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyDiskConsistencyGroupPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyDiskConsistencyGroupPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyDiskConsistencyGroupPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyGroupPlacementPolicy","doc":"A GroupPlacementPolicy specifies resource placement configuration. It specifies the failure bucket separation","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyGroupPlacementPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyGroupPlacementPolicy","doc":"*   `availabilityDomainCount` (*type:* `integer()`, *default:* `nil`) - The number of availability domains to spread instances across. If two instances are in different availability domain, they are not in the same low latency network.\n*   `collocation` (*type:* `String.t`, *default:* `nil`) - Specifies network collocation\n*   `vmCount` (*type:* `integer()`, *default:* `nil`) - Number of VMs in this placement group. Google does not recommend that you use this field unless you use a compact policy and you want your policy to work only if it contains this exact number of VMs.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyGroupPlacementPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyGroupPlacementPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyGroupPlacementPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyGroupPlacementPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyGroupPlacementPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyHourlyCycle","doc":"Time window specified for hourly operations.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyHourlyCycle.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyHourlyCycle","doc":"*   `duration` (*type:* `String.t`, *default:* `nil`) - [Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario.\n*   `hoursInCycle` (*type:* `integer()`, *default:* `nil`) - Defines a schedule with units measured in hours. The value determines how many hours pass between the start of each cycle.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - Time within the window to start the operations. It must be in format \"HH:MM\", where HH : [00-23] and MM : [00-00] GMT.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyHourlyCycle.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyHourlyCycle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyHourlyCycle.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyHourlyCycle.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyHourlyCycle.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicy","doc":"An InstanceSchedulePolicy specifies when and how frequent certain operations are performed on the instance.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicy","doc":"*   `expirationTime` (*type:* `String.t`, *default:* `nil`) - The expiration time of the schedule. The timestamp is an RFC3339 string.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - The start time of the schedule. The timestamp is an RFC3339 string.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - Specifies the time zone to be used in interpreting Schedule.schedule. The value of this field must be a time zone name from the tz database: https://wikipedia.org/wiki/Tz_database.\n*   `vmStartSchedule` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicySchedule.t`, *default:* `nil`) - Specifies the schedule for starting instances.\n*   `vmStopSchedule` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicySchedule.t`, *default:* `nil`) - Specifies the schedule for stopping instances.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicySchedule","doc":"Schedule for an instance operation.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicySchedule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicySchedule","doc":"*   `schedule` (*type:* `String.t`, *default:* `nil`) - Specifies the frequency for the operation, using the unix-cron format.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicySchedule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicySchedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicySchedule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicySchedule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyInstanceSchedulePolicySchedule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyList","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyList","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.ResourcePolicy.t)`, *default:* `nil`) - [Output Only] A list of ResourcePolicy resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#resourcePolicyList`) - [Output Only] Type of resource.Always compute#resourcePoliciesList for listsof resourcePolicies\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ResourcePolicyListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatus","doc":"Contains output only fields. Use this sub-message for all output fields set on ResourcePolicy. The internal structure of this \"status\" field should mimic the structure of ResourcePolicy proto specification.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatus","doc":"*   `instanceSchedulePolicy` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatusInstanceSchedulePolicyStatus.t`, *default:* `nil`) - [Output Only] Specifies a set of output values reffering to the instance_schedule_policy system status. This field should have the same name as corresponding policy field.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatusInstanceSchedulePolicyStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatusInstanceSchedulePolicyStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatusInstanceSchedulePolicyStatus","doc":"*   `lastRunStartTime` (*type:* `String.t`, *default:* `nil`) - [Output Only] The last time the schedule successfully ran. The timestamp is an RFC3339 string.\n*   `nextRunStartTime` (*type:* `String.t`, *default:* `nil`) - [Output Only] The next time the schedule is planned to run. The actual time might be slightly different. The timestamp is an RFC3339 string.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatusInstanceSchedulePolicyStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatusInstanceSchedulePolicyStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatusInstanceSchedulePolicyStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatusInstanceSchedulePolicyStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyResourceStatusInstanceSchedulePolicyStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicy","doc":"A snapshot schedule policy specifies when and how frequently snapshots are to be created for the target disk. Also specifies how many and how long these scheduled snapshots should be retained.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicy","doc":"*   `retentionPolicy` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicyRetentionPolicy.t`, *default:* `nil`) - Retention policy applied to snapshots created by this resource policy.\n*   `schedule` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySchedule.t`, *default:* `nil`) - A Vm Maintenance Policy specifies what kind of infrastructure maintenance we are allowed to perform on this VM and when. Schedule that is applied to disks covered by this policy.\n*   `snapshotProperties` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySnapshotProperties.t`, *default:* `nil`) - Properties with which snapshots are created such as labels, encryption keys.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicyRetentionPolicy","doc":"Policy for retention of scheduled snapshots.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicyRetentionPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicyRetentionPolicy","doc":"*   `maxRetentionDays` (*type:* `integer()`, *default:* `nil`) - Maximum age of the snapshot that is allowed to be kept.\n*   `onSourceDiskDelete` (*type:* `String.t`, *default:* `nil`) - Specifies the behavior to apply to scheduled snapshots when the source disk is deleted.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicyRetentionPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicyRetentionPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicyRetentionPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicyRetentionPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicyRetentionPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySchedule","doc":"A schedule for disks where the schedueled operations are performed.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySchedule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySchedule","doc":"*   `dailySchedule` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyDailyCycle.t`, *default:* `nil`) - \n*   `hourlySchedule` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyHourlyCycle.t`, *default:* `nil`) - \n*   `weeklySchedule` (*type:* `GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycle.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySchedule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySchedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySchedule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySchedule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySchedule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySnapshotProperties","doc":"Specified snapshot properties for scheduled snapshots created by this policy.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySnapshotProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySnapshotProperties","doc":"*   `chainName` (*type:* `String.t`, *default:* `nil`) - Chain name that the snapshot is created in.\n*   `guestFlush` (*type:* `boolean()`, *default:* `nil`) - Indication to perform a 'guest aware' snapshot.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to apply to scheduled snapshots. These can be later modified by the setLabels method. Label values may be empty.\n*   `storageLocations` (*type:* `list(String.t)`, *default:* `nil`) - Cloud Storage bucket storage location of the auto snapshot (regional or multi-regional).","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySnapshotProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySnapshotProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySnapshotProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySnapshotProperties.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicySnapshotSchedulePolicySnapshotProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycle","doc":"Time window specified for weekly operations.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycle.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycle","doc":"*   `dayOfWeeks` (*type:* `list(GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycleDayOfWeek.t)`, *default:* `nil`) - Up to 7 intervals/windows, one for each day of the week.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycle.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycle.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycle.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycle.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycleDayOfWeek","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycleDayOfWeek.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycleDayOfWeek","doc":"*   `day` (*type:* `String.t`, *default:* `nil`) - Defines a schedule that runs on specific days of the week. Specify one or more days. The following options are available: MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.\n*   `duration` (*type:* `String.t`, *default:* `nil`) - [Output only] Duration of the time window, automatically chosen to be smallest possible in the given scenario.\n*   `startTime` (*type:* `String.t`, *default:* `nil`) - Time within the window to start the operations. It must be in format \"HH:MM\", where HH : [00-23] and MM : [00-00] GMT.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycleDayOfWeek.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycleDayOfWeek.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycleDayOfWeek.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycleDayOfWeek.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourcePolicyWeeklyCycleDayOfWeek.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourceStatus","doc":"Contains output only fields. Use this sub-message for actual values set on Instance attributes as compared to the value requested by the user (intent) in their instance CRUD calls.","ref":"GoogleApi.Compute.V1.Model.ResourceStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourceStatus","doc":"*   `physicalHost` (*type:* `String.t`, *default:* `nil`) - [Output Only] An opaque ID of the host on which the VM is running.\n*   `scheduling` (*type:* `GoogleApi.Compute.V1.Model.ResourceStatusScheduling.t`, *default:* `nil`) - \n*   `upcomingMaintenance` (*type:* `GoogleApi.Compute.V1.Model.UpcomingMaintenance.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.ResourceStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourceStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourceStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourceStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourceStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ResourceStatusScheduling","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourceStatusScheduling.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ResourceStatusScheduling","doc":"*   `availabilityDomain` (*type:* `integer()`, *default:* `nil`) - Specifies the availability domain to place the instance in. The value must be a number between 1 and the number of availability domains specified in the spread placement policy attached to the instance.","ref":"GoogleApi.Compute.V1.Model.ResourceStatusScheduling.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ResourceStatusScheduling.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ResourceStatusScheduling.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ResourceStatusScheduling.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ResourceStatusScheduling.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Route","doc":"Represents a Route resource. A route defines a path from VM instances in the VPC network to a specific destination. This destination can be inside or outside the VPC network. For more information, read the Routes overview.","ref":"GoogleApi.Compute.V1.Model.Route.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Route","doc":"*   `asPaths` (*type:* `list(GoogleApi.Compute.V1.Model.RouteAsPath.t)`, *default:* `nil`) - [Output Only] AS path.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this field when you create the resource.\n*   `destRange` (*type:* `String.t`, *default:* `nil`) - The destination range of outgoing packets that this route applies to. Both IPv4 and IPv6 are supported. Must specify an IPv4 range (e.g. 192.0.2.0/24) or an IPv6 range in RFC 4291 format (e.g. 2001:db8::/32). IPv6 range will be displayed using RFC 5952 compressed format.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#route`) - [Output Only] Type of this resource. Always compute#routes for Route resources.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?`. The first character must be a lowercase letter, and all following characters (except for the last character) must be a dash, lowercase letter, or digit. The last character must be a lowercase letter or digit.\n*   `network` (*type:* `String.t`, *default:* `nil`) - Fully-qualified URL of the network that this route applies to.\n*   `nextHopGateway` (*type:* `String.t`, *default:* `nil`) - The URL to a gateway that should handle matching packets. You can only specify the internet gateway using a full or partial valid URL: projects/ project/global/gateways/default-internet-gateway\n*   `nextHopHub` (*type:* `String.t`, *default:* `nil`) - [Output Only] The full resource name of the Network Connectivity Center hub that will handle matching packets.\n*   `nextHopIlb` (*type:* `String.t`, *default:* `nil`) - The URL to a forwarding rule of type loadBalancingScheme=INTERNAL that should handle matching packets or the IP address of the forwarding Rule. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/regions/region /forwardingRules/forwardingRule - regions/region/forwardingRules/forwardingRule If an IP address is provided, must specify an IPv4 address in dot-decimal notation or an IPv6 address in RFC 4291 format. For example, the following are all valid IP addresses: - 10.128.0.56 - 2001:db8::2d9:51:0:0 - 2001:db8:0:0:2d9:51:0:0 IPv6 addresses will be displayed using RFC 5952 compressed format (e.g. 2001:db8::2d9:51:0:0). Should never be an IPv4-mapped IPv6 address.\n*   `nextHopInstance` (*type:* `String.t`, *default:* `nil`) - The URL to an instance that should handle matching packets. You can specify this as a full or partial URL. For example: https://www.googleapis.com/compute/v1/projects/project/zones/zone/instances/\n*   `nextHopIp` (*type:* `String.t`, *default:* `nil`) - The network IP address of an instance that should handle matching packets. Both IPv6 address and IPv4 addresses are supported. Must specify an IPv4 address in dot-decimal notation (e.g. 192.0.2.99) or an IPv6 address in RFC 4291 format (e.g. 2001:db8::2d9:51:0:0 or 2001:db8:0:0:2d9:51:0:0). IPv6 addresses will be displayed using RFC 5952 compressed format (e.g. 2001:db8::2d9:51:0:0). Should never be an IPv4-mapped IPv6 address.\n*   `nextHopNetwork` (*type:* `String.t`, *default:* `nil`) - The URL of the local network if it should handle matching packets.\n*   `nextHopPeering` (*type:* `String.t`, *default:* `nil`) - [Output Only] The network peering name that should handle matching packets, which should conform to RFC1035.\n*   `nextHopVpnTunnel` (*type:* `String.t`, *default:* `nil`) - The URL to a VpnTunnel that should handle matching packets.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - The priority of this route. Priority is used to break ties in cases where there is more than one matching route of equal prefix length. In cases where multiple routes have equal prefix length, the one with the lowest-numbered priority value wins. The default value is `1000`. The priority value must be from `0` to `65535`, inclusive.\n*   `routeStatus` (*type:* `String.t`, *default:* `nil`) - [Output only] The status of the route.\n*   `routeType` (*type:* `String.t`, *default:* `nil`) - [Output Only] The type of this route, which can be one of the following values: - 'TRANSIT' for a transit route that this router learned from another Cloud Router and will readvertise to one of its BGP peers - 'SUBNET' for a route from a subnet of the VPC - 'BGP' for a route learned from a BGP peer of this router - 'STATIC' for a static route\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined fully-qualified URL for this resource.\n*   `tags` (*type:* `list(String.t)`, *default:* `nil`) - A list of instance tags to which this route applies.\n*   `warnings` (*type:* `list(GoogleApi.Compute.V1.Model.RouteWarnings.t)`, *default:* `nil`) - [Output Only] If potential misconfigurations are detected for this route, this field will be populated with warning messages.","ref":"GoogleApi.Compute.V1.Model.Route.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Route.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Route.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Route.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Route.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouteAsPath","doc":"","ref":"GoogleApi.Compute.V1.Model.RouteAsPath.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouteAsPath","doc":"*   `asLists` (*type:* `list(integer())`, *default:* `nil`) - [Output Only] The AS numbers of the AS Path.\n*   `pathSegmentType` (*type:* `String.t`, *default:* `nil`) - [Output Only] The type of the AS Path, which can be one of the following values: - 'AS_SET': unordered set of autonomous systems that the route in has traversed - 'AS_SEQUENCE': ordered set of autonomous systems that the route has traversed - 'AS_CONFED_SEQUENCE': ordered set of Member Autonomous Systems in the local confederation that the route has traversed - 'AS_CONFED_SET': unordered set of Member Autonomous Systems in the local confederation that the route has traversed","ref":"GoogleApi.Compute.V1.Model.RouteAsPath.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouteAsPath.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouteAsPath.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouteAsPath.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouteAsPath.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouteList","doc":"Contains a list of Route resources.","ref":"GoogleApi.Compute.V1.Model.RouteList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouteList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Route.t)`, *default:* `nil`) - A list of Route resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#routeList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RouteListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RouteList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouteList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouteList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouteList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouteList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouteListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RouteListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouteListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RouteListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RouteListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouteListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouteListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouteListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouteListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouteListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RouteListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouteListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RouteListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouteListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouteListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouteListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouteListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouteWarnings","doc":"","ref":"GoogleApi.Compute.V1.Model.RouteWarnings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouteWarnings","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RouteWarningsData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RouteWarnings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouteWarnings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouteWarnings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouteWarnings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouteWarnings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouteWarningsData","doc":"","ref":"GoogleApi.Compute.V1.Model.RouteWarningsData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouteWarningsData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RouteWarningsData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouteWarningsData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouteWarningsData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouteWarningsData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouteWarningsData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Router","doc":"Represents a Cloud Router resource. For more information about Cloud Router, read the Cloud Router overview.","ref":"GoogleApi.Compute.V1.Model.Router.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Router","doc":"*   `bgp` (*type:* `GoogleApi.Compute.V1.Model.RouterBgp.t`, *default:* `nil`) - BGP information specific to this router.\n*   `bgpPeers` (*type:* `list(GoogleApi.Compute.V1.Model.RouterBgpPeer.t)`, *default:* `nil`) - BGP information that must be configured into the routing stack to establish BGP peering. This information must specify the peer ASN and either the interface name, IP address, or peer IP address. Please refer to RFC4273.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `encryptedInterconnectRouter` (*type:* `boolean()`, *default:* `nil`) - Indicates if a router is dedicated for use with encrypted VLAN attachments (interconnectAttachments).\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `interfaces` (*type:* `list(GoogleApi.Compute.V1.Model.RouterInterface.t)`, *default:* `nil`) - Router interfaces. To create a BGP peer that uses a router interface, the interface must have one of the following fields specified: - linkedVpnTunnel - linkedInterconnectAttachment - subnetwork You can create a router interface without any of these fields specified. However, you cannot create a BGP peer that uses that interface.\n*   `kind` (*type:* `String.t`, *default:* `compute#router`) - [Output Only] Type of resource. Always compute#router for routers.\n*   `md5AuthenticationKeys` (*type:* `list(GoogleApi.Compute.V1.Model.RouterMd5AuthenticationKey.t)`, *default:* `nil`) - Keys used for MD5 authentication.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `nats` (*type:* `list(GoogleApi.Compute.V1.Model.RouterNat.t)`, *default:* `nil`) - A list of NAT services created in this router.\n*   `network` (*type:* `String.t`, *default:* `nil`) - URI of the network to which this router belongs.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URI of the region where the router resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.","ref":"GoogleApi.Compute.V1.Model.Router.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Router.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Router.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Router.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Router.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterAdvertisedIpRange","doc":"Description-tagged IP ranges for the router to advertise.","ref":"GoogleApi.Compute.V1.Model.RouterAdvertisedIpRange.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterAdvertisedIpRange","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - User-specified description for the IP range.\n*   `range` (*type:* `String.t`, *default:* `nil`) - The IP range to advertise. The value must be a CIDR-formatted string.","ref":"GoogleApi.Compute.V1.Model.RouterAdvertisedIpRange.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterAdvertisedIpRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterAdvertisedIpRange.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterAdvertisedIpRange.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterAdvertisedIpRange.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterAggregatedList","doc":"Contains a list of routers.","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.RoutersScopedList.t}`, *default:* `nil`) - A list of Router resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#routerAggregatedList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RouterAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RouterAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterBgp","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterBgp.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterBgp","doc":"*   `advertiseMode` (*type:* `String.t`, *default:* `nil`) - User-specified flag to indicate which mode to use for advertisement. The options are DEFAULT or CUSTOM.\n*   `advertisedGroups` (*type:* `list(String.t)`, *default:* `nil`) - User-specified list of prefix groups to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and is advertised to all peers of the router. These groups will be advertised in addition to any specified prefixes. Leave this field blank to advertise no custom groups.\n*   `advertisedIpRanges` (*type:* `list(GoogleApi.Compute.V1.Model.RouterAdvertisedIpRange.t)`, *default:* `nil`) - User-specified list of individual IP ranges to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and is advertised to all peers of the router. These IP ranges will be advertised in addition to any specified groups. Leave this field blank to advertise no custom IP ranges.\n*   `asn` (*type:* `integer()`, *default:* `nil`) - Local BGP Autonomous System Number (ASN). Must be an RFC6996 private ASN, either 16-bit or 32-bit. The value will be fixed for this router resource. All VPN tunnels that link to this router will have the same local ASN.\n*   `identifierRange` (*type:* `String.t`, *default:* `nil`) - Explicitly specifies a range of valid BGP Identifiers for this Router. It is provided as a link-local IPv4 range (from 169.254.0.0/16), of size at least /30, even if the BGP sessions are over IPv6. It must not overlap with any IPv4 BGP session ranges. Other vendors commonly call this \"router ID\".\n*   `keepaliveInterval` (*type:* `integer()`, *default:* `nil`) - The interval in seconds between BGP keepalive messages that are sent to the peer. Hold time is three times the interval at which keepalive messages are sent, and the hold time is the maximum number of seconds allowed to elapse between successive keepalive messages that BGP receives from a peer. BGP will use the smaller of either the local hold time value or the peer's hold time value as the hold time for the BGP connection between the two peers. If set, this value must be between 20 and 60. The default is 20.","ref":"GoogleApi.Compute.V1.Model.RouterBgp.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterBgp.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterBgp.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterBgp.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterBgp.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterBgpPeer","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeer.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterBgpPeer","doc":"*   `advertiseMode` (*type:* `String.t`, *default:* `nil`) - User-specified flag to indicate which mode to use for advertisement.\n*   `advertisedGroups` (*type:* `list(String.t)`, *default:* `nil`) - User-specified list of prefix groups to advertise in custom mode, which currently supports the following option: - ALL_SUBNETS: Advertises all of the router's own VPC subnets. This excludes any routes learned for subnets that use VPC Network Peering. Note that this field can only be populated if advertise_mode is CUSTOM and overrides the list defined for the router (in the \"bgp\" message). These groups are advertised in addition to any specified prefixes. Leave this field blank to advertise no custom groups.\n*   `advertisedIpRanges` (*type:* `list(GoogleApi.Compute.V1.Model.RouterAdvertisedIpRange.t)`, *default:* `nil`) - User-specified list of individual IP ranges to advertise in custom mode. This field can only be populated if advertise_mode is CUSTOM and overrides the list defined for the router (in the \"bgp\" message). These IP ranges are advertised in addition to any specified groups. Leave this field blank to advertise no custom IP ranges.\n*   `advertisedRoutePriority` (*type:* `integer()`, *default:* `nil`) - The priority of routes advertised to this BGP peer. Where there is more than one matching route of maximum length, the routes with the lowest priority value win.\n*   `bfd` (*type:* `GoogleApi.Compute.V1.Model.RouterBgpPeerBfd.t`, *default:* `nil`) - BFD configuration for the BGP peering.\n*   `customLearnedIpRanges` (*type:* `list(GoogleApi.Compute.V1.Model.RouterBgpPeerCustomLearnedIpRange.t)`, *default:* `nil`) - A list of user-defined custom learned route IP address ranges for a BGP session.\n*   `customLearnedRoutePriority` (*type:* `integer()`, *default:* `nil`) - The user-defined custom learned route priority for a BGP session. This value is applied to all custom learned route ranges for the session. You can choose a value from `0` to `65335`. If you don't provide a value, Google Cloud assigns a priority of `100` to the ranges.\n*   `enable` (*type:* `String.t`, *default:* `nil`) - The status of the BGP peer connection. If set to FALSE, any active session with the peer is terminated and all associated routing information is removed. If set to TRUE, the peer connection can be established with routing information. The default is TRUE.\n*   `enableIpv4` (*type:* `boolean()`, *default:* `nil`) - Enable IPv4 traffic over BGP Peer. It is enabled by default if the peerIpAddress is version 4.\n*   `enableIpv6` (*type:* `boolean()`, *default:* `nil`) - Enable IPv6 traffic over BGP Peer. It is enabled by default if the peerIpAddress is version 6.\n*   `exportPolicies` (*type:* `list(String.t)`, *default:* `nil`) - List of export policies applied to this peer, in the order they must be evaluated. The name must correspond to an existing policy that has ROUTE_POLICY_TYPE_EXPORT type. Note that Route Policies are currently available in preview. Please use Beta API to use Route Policies.\n*   `importPolicies` (*type:* `list(String.t)`, *default:* `nil`) - List of import policies applied to this peer, in the order they must be evaluated. The name must correspond to an existing policy that has ROUTE_POLICY_TYPE_IMPORT type. Note that Route Policies are currently available in preview. Please use Beta API to use Route Policies.\n*   `interfaceName` (*type:* `String.t`, *default:* `nil`) - Name of the interface the BGP peer is associated with.\n*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - IP address of the interface inside Google Cloud Platform.\n*   `ipv4NexthopAddress` (*type:* `String.t`, *default:* `nil`) - IPv4 address of the interface inside Google Cloud Platform.\n*   `ipv6NexthopAddress` (*type:* `String.t`, *default:* `nil`) - IPv6 address of the interface inside Google Cloud Platform.\n*   `managementType` (*type:* `String.t`, *default:* `nil`) - [Output Only] The resource that configures and manages this BGP peer. - MANAGED_BY_USER is the default value and can be managed by you or other users - MANAGED_BY_ATTACHMENT is a BGP peer that is configured and managed by Cloud Interconnect, specifically by an InterconnectAttachment of type PARTNER. Google automatically creates, updates, and deletes this type of BGP peer when the PARTNER InterconnectAttachment is created, updated, or deleted. \n*   `md5AuthenticationKeyName` (*type:* `String.t`, *default:* `nil`) - Present if MD5 authentication is enabled for the peering. Must be the name of one of the entries in the Router.md5_authentication_keys. The field must comply with RFC1035.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this BGP peer. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `peerAsn` (*type:* `integer()`, *default:* `nil`) - Peer BGP Autonomous System Number (ASN). Each BGP interface may use a different value.\n*   `peerIpAddress` (*type:* `String.t`, *default:* `nil`) - IP address of the BGP interface outside Google Cloud Platform.\n*   `peerIpv4NexthopAddress` (*type:* `String.t`, *default:* `nil`) - IPv4 address of the BGP interface outside Google Cloud Platform.\n*   `peerIpv6NexthopAddress` (*type:* `String.t`, *default:* `nil`) - IPv6 address of the BGP interface outside Google Cloud Platform.\n*   `routerApplianceInstance` (*type:* `String.t`, *default:* `nil`) - URI of the VM instance that is used as third-party router appliances such as Next Gen Firewalls, Virtual Routers, or Router Appliances. The VM instance must be located in zones contained in the same region as this Cloud Router. The VM instance is the peer side of the BGP session.","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeer.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterBgpPeer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeer.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterBgpPeer.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeer.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterBgpPeerBfd","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeerBfd.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterBgpPeerBfd","doc":"*   `minReceiveInterval` (*type:* `integer()`, *default:* `nil`) - The minimum interval, in milliseconds, between BFD control packets received from the peer router. The actual value is negotiated between the two routers and is equal to the greater of this value and the transmit interval of the other router. If set, this value must be between 1000 and 30000. The default is 1000.\n*   `minTransmitInterval` (*type:* `integer()`, *default:* `nil`) - The minimum interval, in milliseconds, between BFD control packets transmitted to the peer router. The actual value is negotiated between the two routers and is equal to the greater of this value and the corresponding receive interval of the other router. If set, this value must be between 1000 and 30000. The default is 1000.\n*   `multiplier` (*type:* `integer()`, *default:* `nil`) - The number of consecutive BFD packets that must be missed before BFD declares that a peer is unavailable. If set, the value must be a value between 5 and 16. The default is 5.\n*   `sessionInitializationMode` (*type:* `String.t`, *default:* `nil`) - The BFD session initialization mode for this BGP peer. If set to ACTIVE, the Cloud Router will initiate the BFD session for this BGP peer. If set to PASSIVE, the Cloud Router will wait for the peer router to initiate the BFD session for this BGP peer. If set to DISABLED, BFD is disabled for this BGP peer. The default is DISABLED.","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeerBfd.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterBgpPeerBfd.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeerBfd.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterBgpPeerBfd.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeerBfd.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterBgpPeerCustomLearnedIpRange","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeerCustomLearnedIpRange.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterBgpPeerCustomLearnedIpRange","doc":"*   `range` (*type:* `String.t`, *default:* `nil`) - The custom learned route IP address range. Must be a valid CIDR-formatted prefix. If an IP address is provided without a subnet mask, it is interpreted as, for IPv4, a `/32` singular IP address range, and, for IPv6, `/128`.","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeerCustomLearnedIpRange.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterBgpPeerCustomLearnedIpRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeerCustomLearnedIpRange.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterBgpPeerCustomLearnedIpRange.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterBgpPeerCustomLearnedIpRange.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterInterface","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterInterface.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterInterface","doc":"*   `ipRange` (*type:* `String.t`, *default:* `nil`) - IP address and range of the interface. - For Internet Protocol version 4 (IPv4), the IP range must be in the RFC3927 link-local IP address space. The value must be a CIDR-formatted string, for example, 169.254.0.1/30. Note: Do not truncate the IP address, as it represents the IP address of the interface. - For Internet Protocol version 6 (IPv6), the value must be a unique local address (ULA) range from fdff:1::/64 with a mask length of 126 or less. This value should be a CIDR-formatted string, for example, fc00:0:1:1::1/112. Within the router's VPC, this IPv6 prefix will be reserved exclusively for this connection and cannot be used for any other purpose. \n*   `ipVersion` (*type:* `String.t`, *default:* `nil`) - IP version of this interface.\n*   `linkedInterconnectAttachment` (*type:* `String.t`, *default:* `nil`) - URI of the linked Interconnect attachment. It must be in the same region as the router. Each interface can have one linked resource, which can be a VPN tunnel, an Interconnect attachment, or a subnetwork.\n*   `linkedVpnTunnel` (*type:* `String.t`, *default:* `nil`) - URI of the linked VPN tunnel, which must be in the same region as the router. Each interface can have one linked resource, which can be a VPN tunnel, an Interconnect attachment, or a subnetwork.\n*   `managementType` (*type:* `String.t`, *default:* `nil`) - [Output Only] The resource that configures and manages this interface. - MANAGED_BY_USER is the default value and can be managed directly by users. - MANAGED_BY_ATTACHMENT is an interface that is configured and managed by Cloud Interconnect, specifically, by an InterconnectAttachment of type PARTNER. Google automatically creates, updates, and deletes this type of interface when the PARTNER InterconnectAttachment is created, updated, or deleted. \n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this interface entry. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `privateIpAddress` (*type:* `String.t`, *default:* `nil`) - The regional private internal IP address that is used to establish BGP sessions to a VM instance acting as a third-party Router Appliance, such as a Next Gen Firewall, a Virtual Router, or an SD-WAN VM.\n*   `redundantInterface` (*type:* `String.t`, *default:* `nil`) - Name of the interface that will be redundant with the current interface you are creating. The redundantInterface must belong to the same Cloud Router as the interface here. To establish the BGP session to a Router Appliance VM, you must create two BGP peers. The two BGP peers must be attached to two separate interfaces that are redundant with each other. The redundant_interface must be 1-63 characters long, and comply with RFC1035. Specifically, the redundant_interface must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `subnetwork` (*type:* `String.t`, *default:* `nil`) - The URI of the subnetwork resource that this interface belongs to, which must be in the same region as the Cloud Router. When you establish a BGP session to a VM instance using this interface, the VM instance must belong to the same subnetwork as the subnetwork specified here.","ref":"GoogleApi.Compute.V1.Model.RouterInterface.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterInterface.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterInterface.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterInterface.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterInterface.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterList","doc":"Contains a list of Router resources.","ref":"GoogleApi.Compute.V1.Model.RouterList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Router.t)`, *default:* `nil`) - A list of Router resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#routerList`) - [Output Only] Type of resource. Always compute#router for routers.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RouterListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RouterList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.RouterListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RouterListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RouterListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RouterListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterMd5AuthenticationKey","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterMd5AuthenticationKey.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterMd5AuthenticationKey","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Input only] Value of the key. For patch and update calls, it can be skipped to copy the value from the previous configuration. This is allowed if the key with the same name existed before the operation. Maximum length is 80 characters. Can only contain printable ASCII characters.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name used to identify the key. Must be unique within a router. Must be referenced by exactly one bgpPeer. Must comply with RFC1035.","ref":"GoogleApi.Compute.V1.Model.RouterMd5AuthenticationKey.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterMd5AuthenticationKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterMd5AuthenticationKey.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterMd5AuthenticationKey.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterMd5AuthenticationKey.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterNat","doc":"Represents a Nat resource. It enables the VMs within the specified subnetworks to access Internet without external IP addresses. It specifies a list of subnetworks (and the ranges within) that want to use NAT. Customers can also provide the external IPs that would be used for NAT. GCP would auto-allocate ephemeral IPs if no external IPs are provided.","ref":"GoogleApi.Compute.V1.Model.RouterNat.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterNat","doc":"*   `autoNetworkTier` (*type:* `String.t`, *default:* `nil`) - The network tier to use when automatically reserving NAT IP addresses. Must be one of: PREMIUM, STANDARD. If not specified, then the current project-level default tier is used.\n*   `drainNatIps` (*type:* `list(String.t)`, *default:* `nil`) - A list of URLs of the IP resources to be drained. These IPs must be valid static external IPs that have been assigned to the NAT. These IPs should be used for updating/patching a NAT only.\n*   `enableDynamicPortAllocation` (*type:* `boolean()`, *default:* `nil`) - Enable Dynamic Port Allocation. If not specified, it is disabled by default. If set to true, - Dynamic Port Allocation will be enabled on this NAT config. - enableEndpointIndependentMapping cannot be set to true. - If minPorts is set, minPortsPerVm must be set to a power of two greater than or equal to 32. If minPortsPerVm is not set, a minimum of 32 ports will be allocated to a VM from this NAT config. \n*   `enableEndpointIndependentMapping` (*type:* `boolean()`, *default:* `nil`) - \n*   `endpointTypes` (*type:* `list(String.t)`, *default:* `nil`) - List of NAT-ted endpoint types supported by the Nat Gateway. If the list is empty, then it will be equivalent to include ENDPOINT_TYPE_VM\n*   `icmpIdleTimeoutSec` (*type:* `integer()`, *default:* `nil`) - Timeout (in seconds) for ICMP connections. Defaults to 30s if not set.\n*   `logConfig` (*type:* `GoogleApi.Compute.V1.Model.RouterNatLogConfig.t`, *default:* `nil`) - Configure logging on this NAT.\n*   `maxPortsPerVm` (*type:* `integer()`, *default:* `nil`) - Maximum number of ports allocated to a VM from this NAT config when Dynamic Port Allocation is enabled. If Dynamic Port Allocation is not enabled, this field has no effect. If Dynamic Port Allocation is enabled, and this field is set, it must be set to a power of two greater than minPortsPerVm, or 64 if minPortsPerVm is not set. If Dynamic Port Allocation is enabled and this field is not set, a maximum of 65536 ports will be allocated to a VM from this NAT config.\n*   `minPortsPerVm` (*type:* `integer()`, *default:* `nil`) - Minimum number of ports allocated to a VM from this NAT config. If not set, a default number of ports is allocated to a VM. This is rounded up to the nearest power of 2. For example, if the value of this field is 50, at least 64 ports are allocated to a VM.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Unique name of this Nat service. The name must be 1-63 characters long and comply with RFC1035.\n*   `natIpAllocateOption` (*type:* `String.t`, *default:* `nil`) - Specify the NatIpAllocateOption, which can take one of the following values: - MANUAL_ONLY: Uses only Nat IP addresses provided by customers. When there are not enough specified Nat IPs, the Nat service fails for new VMs. - AUTO_ONLY: Nat IPs are allocated by Google Cloud Platform; customers can't specify any Nat IPs. When choosing AUTO_ONLY, then nat_ip should be empty. \n*   `natIps` (*type:* `list(String.t)`, *default:* `nil`) - A list of URLs of the IP resources used for this Nat service. These IP addresses must be valid static external IP addresses assigned to the project.\n*   `rules` (*type:* `list(GoogleApi.Compute.V1.Model.RouterNatRule.t)`, *default:* `nil`) - A list of rules associated with this NAT.\n*   `sourceSubnetworkIpRangesToNat` (*type:* `String.t`, *default:* `nil`) - Specify the Nat option, which can take one of the following values: - ALL_SUBNETWORKS_ALL_IP_RANGES: All of the IP ranges in every Subnetwork are allowed to Nat. - ALL_SUBNETWORKS_ALL_PRIMARY_IP_RANGES: All of the primary IP ranges in every Subnetwork are allowed to Nat. - LIST_OF_SUBNETWORKS: A list of Subnetworks are allowed to Nat (specified in the field subnetwork below) The default is SUBNETWORK_IP_RANGE_TO_NAT_OPTION_UNSPECIFIED. Note that if this field contains ALL_SUBNETWORKS_ALL_IP_RANGES then there should not be any other Router.Nat section in any Router for this network in this region.\n*   `subnetworks` (*type:* `list(GoogleApi.Compute.V1.Model.RouterNatSubnetworkToNat.t)`, *default:* `nil`) - A list of Subnetwork resources whose traffic should be translated by NAT Gateway. It is used only when LIST_OF_SUBNETWORKS is selected for the SubnetworkIpRangeToNatOption above.\n*   `tcpEstablishedIdleTimeoutSec` (*type:* `integer()`, *default:* `nil`) - Timeout (in seconds) for TCP established connections. Defaults to 1200s if not set.\n*   `tcpTimeWaitTimeoutSec` (*type:* `integer()`, *default:* `nil`) - Timeout (in seconds) for TCP connections that are in TIME_WAIT state. Defaults to 120s if not set.\n*   `tcpTransitoryIdleTimeoutSec` (*type:* `integer()`, *default:* `nil`) - Timeout (in seconds) for TCP transitory connections. Defaults to 30s if not set.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Indicates whether this NAT is used for public or private IP translation. If unspecified, it defaults to PUBLIC.\n*   `udpIdleTimeoutSec` (*type:* `integer()`, *default:* `nil`) - Timeout (in seconds) for UDP connections. Defaults to 30s if not set.","ref":"GoogleApi.Compute.V1.Model.RouterNat.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterNat.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterNat.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterNat.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterNat.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterNatLogConfig","doc":"Configuration of logging on a NAT.","ref":"GoogleApi.Compute.V1.Model.RouterNatLogConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterNatLogConfig","doc":"*   `enable` (*type:* `boolean()`, *default:* `nil`) - Indicates whether or not to export logs. This is false by default.\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Specify the desired filtering of logs on this NAT. If unspecified, logs are exported for all connections handled by this NAT. This option can take one of the following values: - ERRORS_ONLY: Export logs only for connection failures. - TRANSLATIONS_ONLY: Export logs only for successful connections. - ALL: Export logs for all connections, successful and unsuccessful.","ref":"GoogleApi.Compute.V1.Model.RouterNatLogConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterNatLogConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterNatLogConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterNatLogConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterNatLogConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterNatRule","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterNatRule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterNatRule","doc":"*   `action` (*type:* `GoogleApi.Compute.V1.Model.RouterNatRuleAction.t`, *default:* `nil`) - The action to be enforced for traffic that matches this rule.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this rule.\n*   `match` (*type:* `String.t`, *default:* `nil`) - CEL expression that specifies the match condition that egress traffic from a VM is evaluated against. If it evaluates to true, the corresponding `action` is enforced. The following examples are valid match expressions for public NAT: `inIpRange(destination.ip, '1.1.0.0/16') || inIpRange(destination.ip, '2.2.0.0/16')` `destination.ip == '1.1.0.1' || destination.ip == '8.8.8.8'` The following example is a valid match expression for private NAT: `nexthop.hub == '//networkconnectivity.googleapis.com/projects/my-project/locations/global/hubs/hub-1'`\n*   `ruleNumber` (*type:* `integer()`, *default:* `nil`) - An integer uniquely identifying a rule in the list. The rule number must be a positive value between 0 and 65000, and must be unique among rules within a NAT.","ref":"GoogleApi.Compute.V1.Model.RouterNatRule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterNatRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterNatRule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterNatRule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterNatRule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterNatRuleAction","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterNatRuleAction.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterNatRuleAction","doc":"*   `sourceNatActiveIps` (*type:* `list(String.t)`, *default:* `nil`) - A list of URLs of the IP resources used for this NAT rule. These IP addresses must be valid static external IP addresses assigned to the project. This field is used for public NAT.\n*   `sourceNatActiveRanges` (*type:* `list(String.t)`, *default:* `nil`) - A list of URLs of the subnetworks used as source ranges for this NAT Rule. These subnetworks must have purpose set to PRIVATE_NAT. This field is used for private NAT.\n*   `sourceNatDrainIps` (*type:* `list(String.t)`, *default:* `nil`) - A list of URLs of the IP resources to be drained. These IPs must be valid static external IPs that have been assigned to the NAT. These IPs should be used for updating/patching a NAT rule only. This field is used for public NAT.\n*   `sourceNatDrainRanges` (*type:* `list(String.t)`, *default:* `nil`) - A list of URLs of subnetworks representing source ranges to be drained. This is only supported on patch/update, and these subnetworks must have previously been used as active ranges in this NAT Rule. This field is used for private NAT.","ref":"GoogleApi.Compute.V1.Model.RouterNatRuleAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterNatRuleAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterNatRuleAction.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterNatRuleAction.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterNatRuleAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterNatSubnetworkToNat","doc":"Defines the IP ranges that want to use NAT for a subnetwork.","ref":"GoogleApi.Compute.V1.Model.RouterNatSubnetworkToNat.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterNatSubnetworkToNat","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - URL for the subnetwork resource that will use NAT.\n*   `secondaryIpRangeNames` (*type:* `list(String.t)`, *default:* `nil`) - A list of the secondary ranges of the Subnetwork that are allowed to use NAT. This can be populated only if \"LIST_OF_SECONDARY_IP_RANGES\" is one of the values in source_ip_ranges_to_nat.\n*   `sourceIpRangesToNat` (*type:* `list(String.t)`, *default:* `nil`) - Specify the options for NAT ranges in the Subnetwork. All options of a single value are valid except NAT_IP_RANGE_OPTION_UNSPECIFIED. The only valid option with multiple values is: [\"PRIMARY_IP_RANGE\", \"LIST_OF_SECONDARY_IP_RANGES\"] Default: [ALL_IP_RANGES]","ref":"GoogleApi.Compute.V1.Model.RouterNatSubnetworkToNat.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterNatSubnetworkToNat.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterNatSubnetworkToNat.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterNatSubnetworkToNat.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterNatSubnetworkToNat.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterStatus","doc":"*   `bestRoutes` (*type:* `list(GoogleApi.Compute.V1.Model.Route.t)`, *default:* `nil`) - A list of the best dynamic routes for this Cloud Router's Virtual Private Cloud (VPC) network in the same region as this Cloud Router. Lists all of the best routes per prefix that are programmed into this region's VPC data plane. When global dynamic routing mode is turned on in the VPC network, this list can include cross-region dynamic routes from Cloud Routers in other regions.\n*   `bestRoutesForRouter` (*type:* `list(GoogleApi.Compute.V1.Model.Route.t)`, *default:* `nil`) - A list of the best BGP routes learned by this Cloud Router. It is possible that routes listed might not be programmed into the data plane, if the Google Cloud control plane finds a more optimal route for a prefix than a route learned by this Cloud Router.\n*   `bgpPeerStatus` (*type:* `list(GoogleApi.Compute.V1.Model.RouterStatusBgpPeerStatus.t)`, *default:* `nil`) - \n*   `natStatus` (*type:* `list(GoogleApi.Compute.V1.Model.RouterStatusNatStatus.t)`, *default:* `nil`) - \n*   `network` (*type:* `String.t`, *default:* `nil`) - URI of the network to which this router belongs.","ref":"GoogleApi.Compute.V1.Model.RouterStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterStatusBgpPeerStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterStatusBgpPeerStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterStatusBgpPeerStatus","doc":"*   `advertisedRoutes` (*type:* `list(GoogleApi.Compute.V1.Model.Route.t)`, *default:* `nil`) - Routes that were advertised to the remote BGP peer\n*   `bfdStatus` (*type:* `GoogleApi.Compute.V1.Model.BfdStatus.t`, *default:* `nil`) - \n*   `enableIpv4` (*type:* `boolean()`, *default:* `nil`) - Enable IPv4 traffic over BGP Peer. It is enabled by default if the peerIpAddress is version 4.\n*   `enableIpv6` (*type:* `boolean()`, *default:* `nil`) - Enable IPv6 traffic over BGP Peer. It is enabled by default if the peerIpAddress is version 6.\n*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - IP address of the local BGP interface.\n*   `ipv4NexthopAddress` (*type:* `String.t`, *default:* `nil`) - IPv4 address of the local BGP interface.\n*   `ipv6NexthopAddress` (*type:* `String.t`, *default:* `nil`) - IPv6 address of the local BGP interface.\n*   `linkedVpnTunnel` (*type:* `String.t`, *default:* `nil`) - URL of the VPN tunnel that this BGP peer controls.\n*   `md5AuthEnabled` (*type:* `boolean()`, *default:* `nil`) - Informs whether MD5 authentication is enabled on this BGP peer.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of this BGP peer. Unique within the Routers resource.\n*   `numLearnedRoutes` (*type:* `integer()`, *default:* `nil`) - Number of routes learned from the remote BGP Peer.\n*   `peerIpAddress` (*type:* `String.t`, *default:* `nil`) - IP address of the remote BGP interface.\n*   `peerIpv4NexthopAddress` (*type:* `String.t`, *default:* `nil`) - IPv4 address of the remote BGP interface.\n*   `peerIpv6NexthopAddress` (*type:* `String.t`, *default:* `nil`) - IPv6 address of the remote BGP interface.\n*   `routerApplianceInstance` (*type:* `String.t`, *default:* `nil`) - [Output only] URI of the VM instance that is used as third-party router appliances such as Next Gen Firewalls, Virtual Routers, or Router Appliances. The VM instance is the peer side of the BGP session.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The state of the BGP session. For a list of possible values for this field, see BGP session states.\n*   `status` (*type:* `String.t`, *default:* `nil`) - Status of the BGP peer: {UP, DOWN}\n*   `statusReason` (*type:* `String.t`, *default:* `nil`) - Indicates why particular status was returned.\n*   `uptime` (*type:* `String.t`, *default:* `nil`) - Time this session has been up. Format: 14 years, 51 weeks, 6 days, 23 hours, 59 minutes, 59 seconds\n*   `uptimeSeconds` (*type:* `String.t`, *default:* `nil`) - Time this session has been up, in seconds. Format: 145","ref":"GoogleApi.Compute.V1.Model.RouterStatusBgpPeerStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterStatusBgpPeerStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterStatusBgpPeerStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterStatusBgpPeerStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterStatusBgpPeerStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterStatusNatStatus","doc":"Status of a NAT contained in this router.","ref":"GoogleApi.Compute.V1.Model.RouterStatusNatStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterStatusNatStatus","doc":"*   `autoAllocatedNatIps` (*type:* `list(String.t)`, *default:* `nil`) - A list of IPs auto-allocated for NAT. Example: [\"1.1.1.1\", \"129.2.16.89\"]\n*   `drainAutoAllocatedNatIps` (*type:* `list(String.t)`, *default:* `nil`) - A list of IPs auto-allocated for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"].\n*   `drainUserAllocatedNatIps` (*type:* `list(String.t)`, *default:* `nil`) - A list of IPs user-allocated for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"].\n*   `minExtraNatIpsNeeded` (*type:* `integer()`, *default:* `nil`) - The number of extra IPs to allocate. This will be greater than 0 only if user-specified IPs are NOT enough to allow all configured VMs to use NAT. This value is meaningful only when auto-allocation of NAT IPs is *not* used.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Unique name of this NAT.\n*   `numVmEndpointsWithNatMappings` (*type:* `integer()`, *default:* `nil`) - Number of VM endpoints (i.e., Nics) that can use NAT.\n*   `ruleStatus` (*type:* `list(GoogleApi.Compute.V1.Model.RouterStatusNatStatusNatRuleStatus.t)`, *default:* `nil`) - Status of rules in this NAT.\n*   `userAllocatedNatIpResources` (*type:* `list(String.t)`, *default:* `nil`) - A list of fully qualified URLs of reserved IP address resources.\n*   `userAllocatedNatIps` (*type:* `list(String.t)`, *default:* `nil`) - A list of IPs user-allocated for NAT. They will be raw IP strings like \"179.12.26.133\".","ref":"GoogleApi.Compute.V1.Model.RouterStatusNatStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterStatusNatStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterStatusNatStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterStatusNatStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterStatusNatStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterStatusNatStatusNatRuleStatus","doc":"Status of a NAT Rule contained in this NAT.","ref":"GoogleApi.Compute.V1.Model.RouterStatusNatStatusNatRuleStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterStatusNatStatusNatRuleStatus","doc":"*   `activeNatIps` (*type:* `list(String.t)`, *default:* `nil`) - A list of active IPs for NAT. Example: [\"1.1.1.1\", \"179.12.26.133\"].\n*   `drainNatIps` (*type:* `list(String.t)`, *default:* `nil`) - A list of IPs for NAT that are in drain mode. Example: [\"1.1.1.1\", \"179.12.26.133\"].\n*   `minExtraIpsNeeded` (*type:* `integer()`, *default:* `nil`) - The number of extra IPs to allocate. This will be greater than 0 only if the existing IPs in this NAT Rule are NOT enough to allow all configured VMs to use NAT.\n*   `numVmEndpointsWithNatMappings` (*type:* `integer()`, *default:* `nil`) - Number of VM endpoints (i.e., NICs) that have NAT Mappings from this NAT Rule.\n*   `ruleNumber` (*type:* `integer()`, *default:* `nil`) - Rule number of the rule.","ref":"GoogleApi.Compute.V1.Model.RouterStatusNatStatusNatRuleStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterStatusNatStatusNatRuleStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterStatusNatStatusNatRuleStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterStatusNatStatusNatRuleStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterStatusNatStatusNatRuleStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RouterStatusResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterStatusResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RouterStatusResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `compute#routerStatusResponse`) - Type of resource.\n*   `result` (*type:* `GoogleApi.Compute.V1.Model.RouterStatus.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.RouterStatusResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RouterStatusResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RouterStatusResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RouterStatusResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RouterStatusResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RoutersPreviewResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.RoutersPreviewResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RoutersPreviewResponse","doc":"*   `resource` (*type:* `GoogleApi.Compute.V1.Model.Router.t`, *default:* `nil`) - Preview of given router.","ref":"GoogleApi.Compute.V1.Model.RoutersPreviewResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RoutersPreviewResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RoutersPreviewResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RoutersPreviewResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RoutersPreviewResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RoutersScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.RoutersScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RoutersScopedList","doc":"*   `routers` (*type:* `list(GoogleApi.Compute.V1.Model.Router.t)`, *default:* `nil`) - A list of routers contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.RoutersScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of routers when the list is empty.","ref":"GoogleApi.Compute.V1.Model.RoutersScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RoutersScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RoutersScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RoutersScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RoutersScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RoutersScopedListWarning","doc":"Informational warning which replaces the list of routers when the list is empty.","ref":"GoogleApi.Compute.V1.Model.RoutersScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RoutersScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.RoutersScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.RoutersScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RoutersScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RoutersScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RoutersScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RoutersScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.RoutersScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.RoutersScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.RoutersScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.RoutersScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.RoutersScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.RoutersScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.RoutersScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.RoutersScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Rule","doc":"This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.Rule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Rule","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `conditions` (*type:* `list(GoogleApi.Compute.V1.Model.Condition.t)`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `description` (*type:* `String.t`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `ins` (*type:* `list(String.t)`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `logConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.LogConfig.t)`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `notIns` (*type:* `list(String.t)`, *default:* `nil`) - This is deprecated and has no effect. Do not use.\n*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - This is deprecated and has no effect. Do not use.","ref":"GoogleApi.Compute.V1.Model.Rule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Rule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Rule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Rule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Rule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SSLHealthCheck","doc":"","ref":"GoogleApi.Compute.V1.Model.SSLHealthCheck.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SSLHealthCheck","doc":"*   `port` (*type:* `integer()`, *default:* `nil`) - The TCP port number to which the health check prober sends packets. The default value is 443. Valid values are 1 through 65535.\n*   `portName` (*type:* `String.t`, *default:* `nil`) - Not supported.\n*   `portSpecification` (*type:* `String.t`, *default:* `nil`) - Specifies how a port is selected for health checking. Can be one of the following values: USE_FIXED_PORT: Specifies a port number explicitly using the port field in the health check. Supported by backend services for passthrough load balancers and backend services for proxy load balancers. Not supported by target pools. The health check supports all backends supported by the backend service provided the backend can be health checked. For example, GCE_VM_IP network endpoint groups, GCE_VM_IP_PORT network endpoint groups, and instance group backends. USE_NAMED_PORT: Not supported. USE_SERVING_PORT: Provides an indirect method of specifying the health check port by referring to the backend service. Only supported by backend services for proxy load balancers. Not supported by target pools. Not supported by backend services for passthrough load balancers. Supports all backends that can be health checked; for example, GCE_VM_IP_PORT network endpoint groups and instance group backends. For GCE_VM_IP_PORT network endpoint group backends, the health check uses the port number specified for each endpoint in the network endpoint group. For instance group backends, the health check uses the port number determined by looking up the backend service's named port in the instance group's list of named ports.\n*   `proxyHeader` (*type:* `String.t`, *default:* `nil`) - Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.\n*   `request` (*type:* `String.t`, *default:* `nil`) - Instructs the health check prober to send this exact ASCII string, up to 1024 bytes in length, after establishing the TCP connection and SSL handshake.\n*   `response` (*type:* `String.t`, *default:* `nil`) - Creates a content-based SSL health check. In addition to establishing a TCP connection and the TLS handshake, you can configure the health check to pass only when the backend sends this exact response ASCII string, up to 1024 bytes in length. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#criteria-protocol-ssl-tcp","ref":"GoogleApi.Compute.V1.Model.SSLHealthCheck.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SSLHealthCheck.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SSLHealthCheck.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SSLHealthCheck.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SSLHealthCheck.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SavedAttachedDisk","doc":"DEPRECATED: Please use compute#savedDisk instead. An instance-attached disk resource.","ref":"GoogleApi.Compute.V1.Model.SavedAttachedDisk.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SavedAttachedDisk","doc":"*   `autoDelete` (*type:* `boolean()`, *default:* `nil`) - Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance).\n*   `boot` (*type:* `boolean()`, *default:* `nil`) - Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem.\n*   `deviceName` (*type:* `String.t`, *default:* `nil`) - Specifies the name of the disk attached to the source instance.\n*   `diskEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - The encryption key for the disk.\n*   `diskSizeGb` (*type:* `String.t`, *default:* `nil`) - The size of the disk in base-2 GB.\n*   `diskType` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the disk type resource. For example: projects/project /zones/zone/diskTypes/pd-standard or pd-ssd\n*   `guestOsFeatures` (*type:* `list(GoogleApi.Compute.V1.Model.GuestOsFeature.t)`, *default:* `nil`) - A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options.\n*   `index` (*type:* `integer()`, *default:* `nil`) - Specifies zero-based index of the disk that is attached to the source instance.\n*   `interface` (*type:* `String.t`, *default:* `nil`) - Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME.\n*   `kind` (*type:* `String.t`, *default:* `compute#savedAttachedDisk`) - [Output Only] Type of the resource. Always compute#attachedDisk for attached disks.\n*   `licenses` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Any valid publicly visible licenses.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - The mode in which this disk is attached to the source instance, either READ_WRITE or READ_ONLY.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Specifies a URL of the disk attached to the source instance.\n*   `storageBytes` (*type:* `String.t`, *default:* `nil`) - [Output Only] A size of the storage used by the disk's snapshot by this machine image.\n*   `storageBytesStatus` (*type:* `String.t`, *default:* `nil`) - [Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Specifies the type of the attached disk, either SCRATCH or PERSISTENT.","ref":"GoogleApi.Compute.V1.Model.SavedAttachedDisk.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SavedAttachedDisk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SavedAttachedDisk.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SavedAttachedDisk.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SavedAttachedDisk.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SavedDisk","doc":"An instance-attached disk resource.","ref":"GoogleApi.Compute.V1.Model.SavedDisk.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SavedDisk","doc":"*   `architecture` (*type:* `String.t`, *default:* `nil`) - [Output Only] The architecture of the attached disk.\n*   `kind` (*type:* `String.t`, *default:* `compute#savedDisk`) - [Output Only] Type of the resource. Always compute#savedDisk for attached disks.\n*   `sourceDisk` (*type:* `String.t`, *default:* `nil`) - Specifies a URL of the disk attached to the source instance.\n*   `storageBytes` (*type:* `String.t`, *default:* `nil`) - [Output Only] Size of the individual disk snapshot used by this machine image.\n*   `storageBytesStatus` (*type:* `String.t`, *default:* `nil`) - [Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.","ref":"GoogleApi.Compute.V1.Model.SavedDisk.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SavedDisk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SavedDisk.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SavedDisk.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SavedDisk.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ScalingScheduleStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.ScalingScheduleStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ScalingScheduleStatus","doc":"*   `lastStartTime` (*type:* `String.t`, *default:* `nil`) - [Output Only] The last time the scaling schedule became active. Note: this is a timestamp when a schedule actually became active, not when it was planned to do so. The timestamp is in RFC3339 text format.\n*   `nextStartTime` (*type:* `String.t`, *default:* `nil`) - [Output Only] The next time the scaling schedule is to become active. Note: this is a timestamp when a schedule is planned to run, but the actual time might be slightly different. The timestamp is in RFC3339 text format.\n*   `state` (*type:* `String.t`, *default:* `nil`) - [Output Only] The current state of a scaling schedule.","ref":"GoogleApi.Compute.V1.Model.ScalingScheduleStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ScalingScheduleStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ScalingScheduleStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ScalingScheduleStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ScalingScheduleStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Scheduling","doc":"Sets the scheduling options for an Instance.","ref":"GoogleApi.Compute.V1.Model.Scheduling.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Scheduling","doc":"*   `automaticRestart` (*type:* `boolean()`, *default:* `nil`) - Specifies whether the instance should be automatically restarted if it is terminated by Compute Engine (not terminated by a user). You can only set the automatic restart option for standard instances. Preemptible instances cannot be automatically restarted. By default, this is set to true so an instance is automatically restarted if it is terminated by Compute Engine.\n*   `availabilityDomain` (*type:* `integer()`, *default:* `nil`) - Specifies the availability domain to place the instance in. The value must be a number between 1 and the number of availability domains specified in the spread placement policy attached to the instance.\n*   `instanceTerminationAction` (*type:* `String.t`, *default:* `nil`) - Specifies the termination action for the instance.\n*   `localSsdRecoveryTimeout` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Specifies the maximum amount of time a Local Ssd Vm should wait while recovery of the Local Ssd state is attempted. Its value should be in between 0 and 168 hours with hour granularity and the default value being 1 hour.\n*   `locationHint` (*type:* `String.t`, *default:* `nil`) - An opaque location hint used to place the instance close to other resources. This field is for use by internal tools that use the public API.\n*   `maxRunDuration` (*type:* `GoogleApi.Compute.V1.Model.Duration.t`, *default:* `nil`) - Specifies the max run duration for the given instance. If specified, the instance termination action will be performed at the end of the run duration.\n*   `minNodeCpus` (*type:* `integer()`, *default:* `nil`) - The minimum number of virtual CPUs this instance will consume when running on a sole-tenant node.\n*   `nodeAffinities` (*type:* `list(GoogleApi.Compute.V1.Model.SchedulingNodeAffinity.t)`, *default:* `nil`) - A set of node affinity and anti-affinity configurations. Refer to Configuring node affinity for more information. Overrides reservationAffinity.\n*   `onHostMaintenance` (*type:* `String.t`, *default:* `nil`) - Defines the maintenance behavior for this instance. For standard instances, the default behavior is MIGRATE. For preemptible instances, the default and only possible behavior is TERMINATE. For more information, see Set VM host maintenance policy.\n*   `onInstanceStopAction` (*type:* `GoogleApi.Compute.V1.Model.SchedulingOnInstanceStopAction.t`, *default:* `nil`) - \n*   `preemptible` (*type:* `boolean()`, *default:* `nil`) - Defines whether the instance is preemptible. This can only be set during instance creation or while the instance is stopped and therefore, in a `TERMINATED` state. See Instance Life Cycle for more information on the possible instance states.\n*   `provisioningModel` (*type:* `String.t`, *default:* `nil`) - Specifies the provisioning model of the instance.\n*   `terminationTime` (*type:* `String.t`, *default:* `nil`) - Specifies the timestamp, when the instance will be terminated, in RFC3339 text format. If specified, the instance termination action will be performed at the termination time.","ref":"GoogleApi.Compute.V1.Model.Scheduling.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Scheduling.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Scheduling.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Scheduling.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Scheduling.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SchedulingNodeAffinity","doc":"Node Affinity: the configuration of desired nodes onto which this Instance could be scheduled.","ref":"GoogleApi.Compute.V1.Model.SchedulingNodeAffinity.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SchedulingNodeAffinity","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Corresponds to the label key of Node resource.\n*   `operator` (*type:* `String.t`, *default:* `nil`) - Defines the operation of node selection. Valid operators are IN for affinity and NOT_IN for anti-affinity.\n*   `values` (*type:* `list(String.t)`, *default:* `nil`) - Corresponds to the label values of Node resource.","ref":"GoogleApi.Compute.V1.Model.SchedulingNodeAffinity.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SchedulingNodeAffinity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SchedulingNodeAffinity.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SchedulingNodeAffinity.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SchedulingNodeAffinity.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SchedulingOnInstanceStopAction","doc":"Defines the behaviour for instances with the instance_termination_action STOP.","ref":"GoogleApi.Compute.V1.Model.SchedulingOnInstanceStopAction.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SchedulingOnInstanceStopAction","doc":"*   `discardLocalSsd` (*type:* `boolean()`, *default:* `nil`) - If true, the contents of any attached Local SSD disks will be discarded else, the Local SSD data will be preserved when the instance is stopped at the end of the run duration/termination time.","ref":"GoogleApi.Compute.V1.Model.SchedulingOnInstanceStopAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SchedulingOnInstanceStopAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SchedulingOnInstanceStopAction.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SchedulingOnInstanceStopAction.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SchedulingOnInstanceStopAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Screenshot","doc":"An instance's screenshot.","ref":"GoogleApi.Compute.V1.Model.Screenshot.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Screenshot","doc":"*   `contents` (*type:* `String.t`, *default:* `nil`) - [Output Only] The Base64-encoded screenshot data.\n*   `kind` (*type:* `String.t`, *default:* `compute#screenshot`) - [Output Only] Type of the resource. Always compute#screenshot for the screenshots.","ref":"GoogleApi.Compute.V1.Model.Screenshot.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Screenshot.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Screenshot.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Screenshot.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Screenshot.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedList","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.SecurityPoliciesScopedList.t}`, *default:* `nil`) - A list of SecurityPoliciesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#securityPoliciesAggregatedList`) - [Output Only] Type of resource. Always compute#securityPolicyAggregatedList for lists of Security Policies.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesListPreconfiguredExpressionSetsResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesListPreconfiguredExpressionSetsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPoliciesListPreconfiguredExpressionSetsResponse","doc":"*   `preconfiguredExpressionSets` (*type:* `GoogleApi.Compute.V1.Model.SecurityPoliciesWafConfig.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesListPreconfiguredExpressionSetsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesListPreconfiguredExpressionSetsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesListPreconfiguredExpressionSetsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesListPreconfiguredExpressionSetsResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesListPreconfiguredExpressionSetsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPoliciesScopedList","doc":"*   `securityPolicies` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicy.t)`, *default:* `nil`) - A list of SecurityPolicies contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of security policies when the list is empty.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarning","doc":"Informational warning which replaces the list of security policies when the list is empty.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesWafConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesWafConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPoliciesWafConfig","doc":"*   `wafRules` (*type:* `GoogleApi.Compute.V1.Model.PreconfiguredWafSet.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesWafConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesWafConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesWafConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPoliciesWafConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPoliciesWafConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicy","doc":"Represents a Google Cloud Armor security policy resource. Only external backend services that use load balancers can reference a security policy. For more information, see Google Cloud Armor security policy overview.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicy","doc":"*   `adaptiveProtectionConfig` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfig.t`, *default:* `nil`) - \n*   `advancedOptionsConfig` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfig.t`, *default:* `nil`) - \n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `ddosProtectionConfig` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyDdosProtectionConfig.t`, *default:* `nil`) - \n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Specifies a fingerprint for this resource, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make get() request to the security policy.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#securityPolicy`) - [Output only] Type of the resource. Always compute#securityPolicyfor security policies\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this security policy, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. To see the latest fingerprint, make get() request to the security policy.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `recaptchaOptionsConfig` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRecaptchaOptionsConfig.t`, *default:* `nil`) - \n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional security policy resides. This field is not applicable to global security policies.\n*   `rules` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyRule.t)`, *default:* `nil`) - A list of rules that belong to this policy. There must always be a default rule which is a rule with priority 2147483647 and match all condition (for the match condition this means match \"*\" for srcIpRanges and for the networkMatch condition every field must be either match \"*\" or not set). If no rules are provided when creating a security policy, a default rule with action \"allow\" will be added.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type indicates the intended use of the security policy. - CLOUD_ARMOR: Cloud Armor backend security policies can be configured to filter incoming HTTP requests targeting backend services. They filter requests before they hit the origin servers. - CLOUD_ARMOR_EDGE: Cloud Armor edge security policies can be configured to filter incoming HTTP requests targeting backend services (including Cloud CDN-enabled) as well as backend buckets (Cloud Storage). They filter requests before the request is served from Google's cache. - CLOUD_ARMOR_INTERNAL_SERVICE: Cloud Armor internal service policies can be configured to filter HTTP requests targeting services managed by Traffic Director in a service mesh. They filter requests before the request is served from the application. - CLOUD_ARMOR_NETWORK: Cloud Armor network policies can be configured to filter packets targeting network load balancing resources such as backend services, target pools, target instances, and instances with external IPs. They filter requests before the request is served from the application. This field can be set only at resource creation time.\n*   `userDefinedFields` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyUserDefinedField.t)`, *default:* `nil`) - Definitions of user-defined fields for CLOUD_ARMOR_NETWORK policies. A user-defined field consists of up to 4 bytes extracted from a fixed offset in the packet, relative to the IPv4, IPv6, TCP, or UDP header, with an optional mask to select certain bits. Rules may then specify matching values for these fields. Example: userDefinedFields: - name: \"ipv4_fragment_offset\" base: IPV4 offset: 6 size: 2 mask: \"0x1fff\"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfig","doc":"Configuration options for Cloud Armor Adaptive Protection (CAAP).","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfig","doc":"*   `layer7DdosDefenseConfig` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig.t`, *default:* `nil`) - If set to true, enables Cloud Armor Machine Learning.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig","doc":"Configuration options for L7 DDoS detection. This field is only supported in Global Security Policies of type CLOUD_ARMOR.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig","doc":"*   `enable` (*type:* `boolean()`, *default:* `nil`) - If set to true, enables CAAP for L7 DDoS detection. This field is only supported in Global Security Policies of type CLOUD_ARMOR.\n*   `ruleVisibility` (*type:* `String.t`, *default:* `nil`) - Rule visibility can be one of the following: STANDARD - opaque rules. (default) PREMIUM - transparent rules. This field is only supported in Global Security Policies of type CLOUD_ARMOR.\n*   `thresholdConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfig.t)`, *default:* `nil`) - Configuration options for layer7 adaptive protection for various customizable thresholds.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfig","doc":"*   `autoDeployConfidenceThreshold` (*type:* `number()`, *default:* `nil`) - \n*   `autoDeployExpirationSec` (*type:* `integer()`, *default:* `nil`) - \n*   `autoDeployImpactedBaselineThreshold` (*type:* `number()`, *default:* `nil`) - \n*   `autoDeployLoadThreshold` (*type:* `number()`, *default:* `nil`) - \n*   `detectionAbsoluteQps` (*type:* `number()`, *default:* `nil`) - \n*   `detectionLoadThreshold` (*type:* `number()`, *default:* `nil`) - \n*   `detectionRelativeToBaselineQps` (*type:* `number()`, *default:* `nil`) - \n*   `name` (*type:* `String.t`, *default:* `nil`) - The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the security policy.\n*   `trafficGranularityConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfigTrafficGranularityConfig.t)`, *default:* `nil`) - Configuration options for enabling Adaptive Protection to operate on specified granular traffic units.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfigTrafficGranularityConfig","doc":"Configurations to specifc granular traffic units processed by Adaptive Protection.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfigTrafficGranularityConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfigTrafficGranularityConfig","doc":"*   `enableEachUniqueValue` (*type:* `boolean()`, *default:* `nil`) - If enabled, traffic matching each unique value for the specified type constitutes a separate traffic unit. It can only be set to true if `value` is empty.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of this configuration.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Requests that match this value constitute a granular traffic unit.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfigTrafficGranularityConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfigTrafficGranularityConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfigTrafficGranularityConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfigTrafficGranularityConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdaptiveProtectionConfigLayer7DdosDefenseConfigThresholdConfigTrafficGranularityConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfig","doc":"*   `jsonCustomConfig` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfigJsonCustomConfig.t`, *default:* `nil`) - Custom configuration to apply the JSON parsing. Only applicable when json_parsing is set to STANDARD.\n*   `jsonParsing` (*type:* `String.t`, *default:* `nil`) - \n*   `logLevel` (*type:* `String.t`, *default:* `nil`) - \n*   `userIpRequestHeaders` (*type:* `list(String.t)`, *default:* `nil`) - An optional list of case-insensitive request header names to use for resolving the callers client IP address.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfigJsonCustomConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfigJsonCustomConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfigJsonCustomConfig","doc":"*   `contentTypes` (*type:* `list(String.t)`, *default:* `nil`) - A list of custom Content-Type header values to apply the JSON parsing. As per RFC 1341, a Content-Type header value has the following format: Content-Type := type \"/\" subtype *[\";\" parameter] When configuring a custom Content-Type header value, only the type/subtype needs to be specified, and the parameters should be excluded.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfigJsonCustomConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfigJsonCustomConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfigJsonCustomConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfigJsonCustomConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyAdvancedOptionsConfigJsonCustomConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyDdosProtectionConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyDdosProtectionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyDdosProtectionConfig","doc":"*   `ddosProtection` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyDdosProtectionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyDdosProtectionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyDdosProtectionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyDdosProtectionConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyDdosProtectionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyList","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicy.t)`, *default:* `nil`) - A list of SecurityPolicy resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#securityPolicyList`) - [Output Only] Type of resource. Always compute#securityPolicyList for listsof securityPolicies\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRecaptchaOptionsConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRecaptchaOptionsConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRecaptchaOptionsConfig","doc":"*   `redirectSiteKey` (*type:* `String.t`, *default:* `nil`) - An optional field to supply a reCAPTCHA site key to be used for all the rules using the redirect action with the type of GOOGLE_RECAPTCHA under the security policy. The specified site key needs to be created from the reCAPTCHA API. The user is responsible for the validity of the specified site key. If not specified, a Google-managed site key is used. This field is only supported in Global Security Policies of type CLOUD_ARMOR.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRecaptchaOptionsConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRecaptchaOptionsConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRecaptchaOptionsConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRecaptchaOptionsConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRecaptchaOptionsConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyReference","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyReference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyReference","doc":"*   `securityPolicy` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyReference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyReference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRule","doc":"Represents a rule that describes one or more match conditions along with the action to be taken when traffic matches this condition (allow or deny).","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRule.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRule","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - The Action to perform when the rule is matched. The following are the valid actions: - allow: allow access to target. - deny(STATUS): deny access to target, returns the HTTP response code specified. Valid values for `STATUS` are 403, 404, and 502. - rate_based_ban: limit client traffic to the configured threshold and ban the client if the traffic exceeds the threshold. Configure parameters for this action in RateLimitOptions. Requires rate_limit_options to be set. - redirect: redirect to a different target. This can either be an internal reCAPTCHA redirect, or an external URL-based redirect via a 302 response. Parameters for this action can be configured via redirectOptions. This action is only supported in Global Security Policies of type CLOUD_ARMOR. - throttle: limit client traffic to the configured threshold. Configure parameters for this action in rateLimitOptions. Requires rate_limit_options to be set for this. \n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `headerAction` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderAction.t`, *default:* `nil`) - Optional, additional actions that are performed on headers. This field is only supported in Global Security Policies of type CLOUD_ARMOR.\n*   `kind` (*type:* `String.t`, *default:* `compute#securityPolicyRule`) - [Output only] Type of the resource. Always compute#securityPolicyRule for security policy rules\n*   `match` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcher.t`, *default:* `nil`) - A match condition that incoming traffic is evaluated against. If it evaluates to true, the corresponding 'action' is enforced.\n*   `networkMatch` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcher.t`, *default:* `nil`) - A match condition that incoming packets are evaluated against for CLOUD_ARMOR_NETWORK security policies. If it matches, the corresponding 'action' is enforced. The match criteria for a rule consists of built-in match fields (like 'srcIpRanges') and potentially multiple user-defined match fields ('userDefinedFields'). Field values may be extracted directly from the packet or derived from it (e.g. 'srcRegionCodes'). Some fields may not be present in every packet (e.g. 'srcPorts'). A user-defined field is only present if the base header is found in the packet and the entire field is in bounds. Each match field may specify which values can match it, listing one or more ranges, prefixes, or exact values that are considered a match for the field. A field value must be present in order to match a specified match field. If no match values are specified for a match field, then any field value is considered to match it, and it's not required to be present. For strings specifying '*' is also equivalent to match all. For a packet to match a rule, all specified match fields must match the corresponding field values derived from the packet. Example: networkMatch: srcIpRanges: - \"192.0.2.0/24\" - \"198.51.100.0/24\" userDefinedFields: - name: \"ipv4_fragment_offset\" values: - \"1-0x1fff\" The above match condition matches packets with a source IP in 192.0.2.0/24 or 198.51.100.0/24 and a user-defined field named \"ipv4_fragment_offset\" with a value between 1 and 0x1fff inclusive.\n*   `preconfiguredWafConfig` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfig.t`, *default:* `nil`) - Preconfigured WAF configuration to be applied for the rule. If the rule does not evaluate preconfigured WAF rules, i.e., if evaluatePreconfiguredWaf() is not used, this field will have no effect.\n*   `preview` (*type:* `boolean()`, *default:* `nil`) - If set to true, the specified action is not enforced.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - An integer indicating the priority of a rule in the list. The priority must be a positive value between 0 and 2147483647. Rules are evaluated from highest to lowest priority where 0 is the highest priority and 2147483647 is the lowest priority.\n*   `rateLimitOptions` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptions.t`, *default:* `nil`) - Must be specified if the action is \"rate_based_ban\" or \"throttle\". Cannot be specified for any other actions.\n*   `redirectOptions` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleRedirectOptions.t`, *default:* `nil`) - Parameters defining the redirect action. Cannot be specified for any other actions. This field is only supported in Global Security Policies of type CLOUD_ARMOR.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRule.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRule.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRule.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRule.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderAction","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderAction.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderAction","doc":"*   `requestHeadersToAdds` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderActionHttpHeaderOption.t)`, *default:* `nil`) - The list of request headers to add or overwrite if they're already present.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderAction.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderAction.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderActionHttpHeaderOption","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderActionHttpHeaderOption.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderActionHttpHeaderOption","doc":"*   `headerName` (*type:* `String.t`, *default:* `nil`) - The name of the header to set.\n*   `headerValue` (*type:* `String.t`, *default:* `nil`) - The value to set the named header to.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderActionHttpHeaderOption.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderActionHttpHeaderOption.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderActionHttpHeaderOption.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderActionHttpHeaderOption.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleHttpHeaderActionHttpHeaderOption.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcher","doc":"Represents a match condition that incoming traffic is evaluated against. Exactly one field must be specified.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcher.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcher","doc":"*   `config` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherConfig.t`, *default:* `nil`) - The configuration options available when specifying versioned_expr. This field must be specified if versioned_expr is specified and cannot be specified if versioned_expr is not specified.\n*   `expr` (*type:* `GoogleApi.Compute.V1.Model.Expr.t`, *default:* `nil`) - User defined CEVAL expression. A CEVAL expression is used to specify match criteria such as origin.ip, source.region_code and contents in the request header. Expressions containing `evaluateThreatIntelligence` require Cloud Armor Managed Protection Plus tier and are not supported in Edge Policies nor in Regional Policies. Expressions containing `evaluatePreconfiguredExpr('sourceiplist-*')` require Cloud Armor Managed Protection Plus tier and are only supported in Global Security Policies.\n*   `exprOptions` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptions.t`, *default:* `nil`) - The configuration options available when specifying a user defined CEVAL expression (i.e., 'expr').\n*   `versionedExpr` (*type:* `String.t`, *default:* `nil`) - Preconfigured versioned expression. If this field is specified, config must also be specified. Available preconfigured expressions along with their requirements are: SRC_IPS_V1 - must specify the corresponding src_ip_range field in config.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcher.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcher.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcher.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcher.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcher.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherConfig","doc":"*   `srcIpRanges` (*type:* `list(String.t)`, *default:* `nil`) - CIDR IP address range. Maximum number of src_ip_ranges allowed is 10.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptions","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptions.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptions","doc":"*   `recaptchaOptions` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptionsRecaptchaOptions.t`, *default:* `nil`) - reCAPTCHA configuration options to be applied for the rule. If the rule does not evaluate reCAPTCHA tokens, this field has no effect.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptions.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptions.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptionsRecaptchaOptions","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptionsRecaptchaOptions.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptionsRecaptchaOptions","doc":"*   `actionTokenSiteKeys` (*type:* `list(String.t)`, *default:* `nil`) - A list of site keys to be used during the validation of reCAPTCHA action-tokens. The provided site keys need to be created from reCAPTCHA API under the same project where the security policy is created.\n*   `sessionTokenSiteKeys` (*type:* `list(String.t)`, *default:* `nil`) - A list of site keys to be used during the validation of reCAPTCHA session-tokens. The provided site keys need to be created from reCAPTCHA API under the same project where the security policy is created.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptionsRecaptchaOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptionsRecaptchaOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptionsRecaptchaOptions.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptionsRecaptchaOptions.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleMatcherExprOptionsRecaptchaOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcher","doc":"Represents a match condition that incoming network traffic is evaluated against.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcher.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcher","doc":"*   `destIpRanges` (*type:* `list(String.t)`, *default:* `nil`) - Destination IPv4/IPv6 addresses or CIDR prefixes, in standard text format.\n*   `destPorts` (*type:* `list(String.t)`, *default:* `nil`) - Destination port numbers for TCP/UDP/SCTP. Each element can be a 16-bit unsigned decimal number (e.g. \"80\") or range (e.g. \"0-1023\").\n*   `ipProtocols` (*type:* `list(String.t)`, *default:* `nil`) - IPv4 protocol / IPv6 next header (after extension headers). Each element can be an 8-bit unsigned decimal number (e.g. \"6\"), range (e.g. \"253-254\"), or one of the following protocol names: \"tcp\", \"udp\", \"icmp\", \"esp\", \"ah\", \"ipip\", or \"sctp\".\n*   `srcAsns` (*type:* `list(integer())`, *default:* `nil`) - BGP Autonomous System Number associated with the source IP address.\n*   `srcIpRanges` (*type:* `list(String.t)`, *default:* `nil`) - Source IPv4/IPv6 addresses or CIDR prefixes, in standard text format.\n*   `srcPorts` (*type:* `list(String.t)`, *default:* `nil`) - Source port numbers for TCP/UDP/SCTP. Each element can be a 16-bit unsigned decimal number (e.g. \"80\") or range (e.g. \"0-1023\").\n*   `srcRegionCodes` (*type:* `list(String.t)`, *default:* `nil`) - Two-letter ISO 3166-1 alpha-2 country code associated with the source IP address.\n*   `userDefinedFields` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcherUserDefinedFieldMatch.t)`, *default:* `nil`) - User-defined fields. Each element names a defined field and lists the matching values for that field.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcher.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcher.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcher.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcher.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcher.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcherUserDefinedFieldMatch","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcherUserDefinedFieldMatch.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcherUserDefinedFieldMatch","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the user-defined field, as given in the definition.\n*   `values` (*type:* `list(String.t)`, *default:* `nil`) - Matching values of the field. Each element can be a 32-bit unsigned decimal or hexadecimal (starting with \"0x\") number (e.g. \"64\") or range (e.g. \"0x400-0x7ff\").","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcherUserDefinedFieldMatch.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcherUserDefinedFieldMatch.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcherUserDefinedFieldMatch.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcherUserDefinedFieldMatch.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleNetworkMatcherUserDefinedFieldMatch.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfig","doc":"*   `exclusions` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusion.t)`, *default:* `nil`) - A list of exclusions to apply during preconfigured WAF evaluation.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusion","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusion.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusion","doc":"*   `requestCookiesToExclude` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams.t)`, *default:* `nil`) - A list of request cookie names whose value will be excluded from inspection during preconfigured WAF evaluation.\n*   `requestHeadersToExclude` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams.t)`, *default:* `nil`) - A list of request header names whose value will be excluded from inspection during preconfigured WAF evaluation.\n*   `requestQueryParamsToExclude` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams.t)`, *default:* `nil`) - A list of request query parameter names whose value will be excluded from inspection during preconfigured WAF evaluation. Note that the parameter can be in the query string or in the POST body.\n*   `requestUrisToExclude` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams.t)`, *default:* `nil`) - A list of request URIs from the request line to be excluded from inspection during preconfigured WAF evaluation. When specifying this field, the query or fragment part should be excluded.\n*   `targetRuleIds` (*type:* `list(String.t)`, *default:* `nil`) - A list of target rule IDs under the WAF rule set to apply the preconfigured WAF exclusion. If omitted, it refers to all the rule IDs under the WAF rule set.\n*   `targetRuleSet` (*type:* `String.t`, *default:* `nil`) - Target WAF rule set to apply the preconfigured WAF exclusion.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusion.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusion.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusion.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusion.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams","doc":"*   `op` (*type:* `String.t`, *default:* `nil`) - The match operator for the field.\n*   `val` (*type:* `String.t`, *default:* `nil`) - The value of the field.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRulePreconfiguredWafConfigExclusionFieldParams.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptions","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptions.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptions","doc":"*   `banDurationSec` (*type:* `integer()`, *default:* `nil`) - Can only be specified if the action for the rule is \"rate_based_ban\". If specified, determines the time (in seconds) the traffic will continue to be banned by the rate limit after the rate falls below the threshold.\n*   `banThreshold` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsThreshold.t`, *default:* `nil`) - Can only be specified if the action for the rule is \"rate_based_ban\". If specified, the key will be banned for the configured 'ban_duration_sec' when the number of requests that exceed the 'rate_limit_threshold' also exceed this 'ban_threshold'.\n*   `conformAction` (*type:* `String.t`, *default:* `nil`) - Action to take for requests that are under the configured rate limit threshold. Valid option is \"allow\" only.\n*   `enforceOnKey` (*type:* `String.t`, *default:* `nil`) - Determines the key to enforce the rate_limit_threshold on. Possible values are: - ALL: A single rate limit threshold is applied to all the requests matching this rule. This is the default value if \"enforceOnKey\" is not configured. - IP: The source IP address of the request is the key. Each IP has this limit enforced separately. - HTTP_HEADER: The value of the HTTP header whose name is configured under \"enforceOnKeyName\". The key value is truncated to the first 128 bytes of the header value. If no such header is present in the request, the key type defaults to ALL. - XFF_IP: The first IP address (i.e. the originating client IP address) specified in the list of IPs under X-Forwarded-For HTTP header. If no such header is present or the value is not a valid IP, the key defaults to the source IP address of the request i.e. key type IP. - HTTP_COOKIE: The value of the HTTP cookie whose name is configured under \"enforceOnKeyName\". The key value is truncated to the first 128 bytes of the cookie value. If no such cookie is present in the request, the key type defaults to ALL. - HTTP_PATH: The URL path of the HTTP request. The key value is truncated to the first 128 bytes. - SNI: Server name indication in the TLS session of the HTTPS request. The key value is truncated to the first 128 bytes. The key type defaults to ALL on a HTTP session. - REGION_CODE: The country/region from which the request originates. - TLS_JA3_FINGERPRINT: JA3 TLS/SSL fingerprint if the client connects using HTTPS, HTTP/2 or HTTP/3. If not available, the key type defaults to ALL. - USER_IP: The IP address of the originating client, which is resolved based on \"userIpRequestHeaders\" configured with the security policy. If there is no \"userIpRequestHeaders\" configuration or an IP address cannot be resolved from it, the key type defaults to IP. \n*   `enforceOnKeyConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsEnforceOnKeyConfig.t)`, *default:* `nil`) - If specified, any combination of values of enforce_on_key_type/enforce_on_key_name is treated as the key on which ratelimit threshold/action is enforced. You can specify up to 3 enforce_on_key_configs. If enforce_on_key_configs is specified, enforce_on_key must not be specified.\n*   `enforceOnKeyName` (*type:* `String.t`, *default:* `nil`) - Rate limit key name applicable only for the following key types: HTTP_HEADER -- Name of the HTTP header whose value is taken as the key value. HTTP_COOKIE -- Name of the HTTP cookie whose value is taken as the key value.\n*   `exceedAction` (*type:* `String.t`, *default:* `nil`) - Action to take for requests that are above the configured rate limit threshold, to either deny with a specified HTTP response code, or redirect to a different endpoint. Valid options are `deny(STATUS)`, where valid values for `STATUS` are 403, 404, 429, and 502, and `redirect`, where the redirect parameters come from `exceedRedirectOptions` below. The `redirect` action is only supported in Global Security Policies of type CLOUD_ARMOR.\n*   `exceedRedirectOptions` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleRedirectOptions.t`, *default:* `nil`) - Parameters defining the redirect action that is used as the exceed action. Cannot be specified if the exceed action is not redirect. This field is only supported in Global Security Policies of type CLOUD_ARMOR.\n*   `rateLimitThreshold` (*type:* `GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsThreshold.t`, *default:* `nil`) - Threshold at which to begin ratelimiting.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptions.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptions.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsEnforceOnKeyConfig","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsEnforceOnKeyConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsEnforceOnKeyConfig","doc":"*   `enforceOnKeyName` (*type:* `String.t`, *default:* `nil`) - Rate limit key name applicable only for the following key types: HTTP_HEADER -- Name of the HTTP header whose value is taken as the key value. HTTP_COOKIE -- Name of the HTTP cookie whose value is taken as the key value.\n*   `enforceOnKeyType` (*type:* `String.t`, *default:* `nil`) - Determines the key to enforce the rate_limit_threshold on. Possible values are: - ALL: A single rate limit threshold is applied to all the requests matching this rule. This is the default value if \"enforceOnKeyConfigs\" is not configured. - IP: The source IP address of the request is the key. Each IP has this limit enforced separately. - HTTP_HEADER: The value of the HTTP header whose name is configured under \"enforceOnKeyName\". The key value is truncated to the first 128 bytes of the header value. If no such header is present in the request, the key type defaults to ALL. - XFF_IP: The first IP address (i.e. the originating client IP address) specified in the list of IPs under X-Forwarded-For HTTP header. If no such header is present or the value is not a valid IP, the key defaults to the source IP address of the request i.e. key type IP. - HTTP_COOKIE: The value of the HTTP cookie whose name is configured under \"enforceOnKeyName\". The key value is truncated to the first 128 bytes of the cookie value. If no such cookie is present in the request, the key type defaults to ALL. - HTTP_PATH: The URL path of the HTTP request. The key value is truncated to the first 128 bytes. - SNI: Server name indication in the TLS session of the HTTPS request. The key value is truncated to the first 128 bytes. The key type defaults to ALL on a HTTP session. - REGION_CODE: The country/region from which the request originates. - TLS_JA3_FINGERPRINT: JA3 TLS/SSL fingerprint if the client connects using HTTPS, HTTP/2 or HTTP/3. If not available, the key type defaults to ALL. - USER_IP: The IP address of the originating client, which is resolved based on \"userIpRequestHeaders\" configured with the security policy. If there is no \"userIpRequestHeaders\" configuration or an IP address cannot be resolved from it, the key type defaults to IP.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsEnforceOnKeyConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsEnforceOnKeyConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsEnforceOnKeyConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsEnforceOnKeyConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsEnforceOnKeyConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsThreshold","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsThreshold.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsThreshold","doc":"*   `count` (*type:* `integer()`, *default:* `nil`) - Number of HTTP(S) requests for calculating the threshold.\n*   `intervalSec` (*type:* `integer()`, *default:* `nil`) - Interval over which the threshold is computed.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsThreshold.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsThreshold.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsThreshold.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsThreshold.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRateLimitOptionsThreshold.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRedirectOptions","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRedirectOptions.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyRuleRedirectOptions","doc":"*   `target` (*type:* `String.t`, *default:* `nil`) - Target for the redirect action. This is required if the type is EXTERNAL_302 and cannot be specified for GOOGLE_RECAPTCHA.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of the redirect action.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRedirectOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRedirectOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRedirectOptions.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRedirectOptions.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyRuleRedirectOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecurityPolicyUserDefinedField","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyUserDefinedField.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecurityPolicyUserDefinedField","doc":"*   `base` (*type:* `String.t`, *default:* `nil`) - The base relative to which 'offset' is measured. Possible values are: - IPV4: Points to the beginning of the IPv4 header. - IPV6: Points to the beginning of the IPv6 header. - TCP: Points to the beginning of the TCP header, skipping over any IPv4 options or IPv6 extension headers. Not present for non-first fragments. - UDP: Points to the beginning of the UDP header, skipping over any IPv4 options or IPv6 extension headers. Not present for non-first fragments. required\n*   `mask` (*type:* `String.t`, *default:* `nil`) - If specified, apply this mask (bitwise AND) to the field to ignore bits before matching. Encoded as a hexadecimal number (starting with \"0x\"). The last byte of the field (in network byte order) corresponds to the least significant byte of the mask.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of this field. Must be unique within the policy.\n*   `offset` (*type:* `integer()`, *default:* `nil`) - Offset of the first byte of the field (in network byte order) relative to 'base'.\n*   `size` (*type:* `integer()`, *default:* `nil`) - Size of the field in bytes. Valid values: 1-4.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyUserDefinedField.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecurityPolicyUserDefinedField.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyUserDefinedField.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecurityPolicyUserDefinedField.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecurityPolicyUserDefinedField.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SecuritySettings","doc":"The authentication and authorization settings for a BackendService.","ref":"GoogleApi.Compute.V1.Model.SecuritySettings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SecuritySettings","doc":"*   `awsV4Authentication` (*type:* `GoogleApi.Compute.V1.Model.AWSV4Signature.t`, *default:* `nil`) - The configuration needed to generate a signature for access to private storage buckets that support AWS's Signature Version 4 for authentication. Allowed only for INTERNET_IP_PORT and INTERNET_FQDN_PORT NEG backends.\n*   `clientTlsPolicy` (*type:* `String.t`, *default:* `nil`) - Optional. A URL referring to a networksecurity.ClientTlsPolicy resource that describes how clients should authenticate with this service's backends. clientTlsPolicy only applies to a global BackendService with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. If left blank, communications are not encrypted.\n*   `subjectAltNames` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of Subject Alternative Names (SANs) that the client verifies during a mutual TLS handshake with an server/endpoint for this BackendService. When the server presents its X.509 certificate to the client, the client inspects the certificate's subjectAltName field. If the field contains one of the specified values, the communication continues. Otherwise, it fails. This additional check enables the client to verify that the server is authorized to run the requested service. Note that the contents of the server certificate's subjectAltName field are configured by the Public Key Infrastructure which provisions server identities. Only applies to a global BackendService with loadBalancingScheme set to INTERNAL_SELF_MANAGED. Only applies when BackendService has an attached clientTlsPolicy with clientCertificate (mTLS mode).","ref":"GoogleApi.Compute.V1.Model.SecuritySettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SecuritySettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SecuritySettings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SecuritySettings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SecuritySettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SerialPortOutput","doc":"An instance serial console output.","ref":"GoogleApi.Compute.V1.Model.SerialPortOutput.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SerialPortOutput","doc":"*   `contents` (*type:* `String.t`, *default:* `nil`) - [Output Only] The contents of the console output.\n*   `kind` (*type:* `String.t`, *default:* `compute#serialPortOutput`) - [Output Only] Type of the resource. Always compute#serialPortOutput for serial port output.\n*   `next` (*type:* `String.t`, *default:* `nil`) - [Output Only] The position of the next byte of content, regardless of whether the content exists, following the output returned in the `contents` property. Use this value in the next request as the start parameter.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `start` (*type:* `String.t`, *default:* `nil`) - The starting byte position of the output that was returned. This should match the start parameter sent with the request. If the serial console output exceeds the size of the buffer (1 MB), older output is overwritten by newer content. The output start value will indicate the byte position of the output that was returned, which might be different than the `start` value that was specified in the request.","ref":"GoogleApi.Compute.V1.Model.SerialPortOutput.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SerialPortOutput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SerialPortOutput.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SerialPortOutput.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SerialPortOutput.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServerBinding","doc":"","ref":"GoogleApi.Compute.V1.Model.ServerBinding.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServerBinding","doc":"*   `type` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.ServerBinding.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServerBinding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServerBinding.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServerBinding.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServerBinding.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAccount","doc":"A service account.","ref":"GoogleApi.Compute.V1.Model.ServiceAccount.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAccount","doc":"*   `email` (*type:* `String.t`, *default:* `nil`) - Email address of the service account.\n*   `scopes` (*type:* `list(String.t)`, *default:* `nil`) - The list of scopes to be made available for this service account.","ref":"GoogleApi.Compute.V1.Model.ServiceAccount.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAccount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAccount.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAccount.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAccount.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachment","doc":"Represents a ServiceAttachment resource. A service attachment represents a service that a producer has exposed. It encapsulates the load balancer which fronts the service runs and a list of NAT IP ranges that the producers uses to represent the consumers connecting to the service.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachment.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachment","doc":"*   `connectedEndpoints` (*type:* `list(GoogleApi.Compute.V1.Model.ServiceAttachmentConnectedEndpoint.t)`, *default:* `nil`) - [Output Only] An array of connections for all the consumers connected to this service attachment.\n*   `connectionPreference` (*type:* `String.t`, *default:* `nil`) - The connection preference of service attachment. The value can be set to ACCEPT_AUTOMATIC. An ACCEPT_AUTOMATIC service attachment is one that always accepts the connection from consumer forwarding rules.\n*   `consumerAcceptLists` (*type:* `list(GoogleApi.Compute.V1.Model.ServiceAttachmentConsumerProjectLimit.t)`, *default:* `nil`) - Specifies which consumer projects or networks are allowed to connect to the service attachment. Each project or network has a connection limit. A given service attachment can manage connections at either the project or network level. Therefore, both the accept and reject lists for a given service attachment must contain either only projects or only networks.\n*   `consumerRejectLists` (*type:* `list(String.t)`, *default:* `nil`) - Specifies a list of projects or networks that are not allowed to connect to this service attachment. The project can be specified using its project ID or project number and the network can be specified using its URL. A given service attachment can manage connections at either the project or network level. Therefore, both the reject and accept lists for a given service attachment must contain either only projects or only networks.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `domainNames` (*type:* `list(String.t)`, *default:* `nil`) - If specified, the domain name will be used during the integration between the PSC connected endpoints and the Cloud DNS. For example, this is a valid domain name: \"p.mycompany.com.\". Current max number of domain names supported is 1.\n*   `enableProxyProtocol` (*type:* `boolean()`, *default:* `nil`) - If true, enable the proxy protocol which is for supplying client TCP/IP address data in TCP connections that traverse proxies on their way to destination servers.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a ServiceAttachment. An up-to-date fingerprint must be provided in order to patch/update the ServiceAttachment; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the ServiceAttachment.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource type. The server generates this identifier.\n*   `kind` (*type:* `String.t`, *default:* `compute#serviceAttachment`) - [Output Only] Type of the resource. Always compute#serviceAttachment for service attachments.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `natSubnets` (*type:* `list(String.t)`, *default:* `nil`) - An array of URLs where each entry is the URL of a subnet provided by the service producer to use for NAT in this service attachment.\n*   `producerForwardingRule` (*type:* `String.t`, *default:* `nil`) - The URL of a forwarding rule with loadBalancingScheme INTERNAL* that is serving the endpoint identified by this service attachment.\n*   `propagatedConnectionLimit` (*type:* `integer()`, *default:* `nil`) - The number of consumer spokes that connected Private Service Connect endpoints can be propagated to through Network Connectivity Center. This limit lets the service producer limit how many propagated Private Service Connect connections can be established to this service attachment from a single consumer. If the connection preference of the service attachment is ACCEPT_MANUAL, the limit applies to each project or network that is listed in the consumer accept list. If the connection preference of the service attachment is ACCEPT_AUTOMATIC, the limit applies to each project that contains a connected endpoint. If unspecified, the default propagated connection limit is 250.\n*   `pscServiceAttachmentId` (*type:* `GoogleApi.Compute.V1.Model.Uint128.t`, *default:* `nil`) - [Output Only] An 128-bit global unique ID of the PSC service attachment.\n*   `reconcileConnections` (*type:* `boolean()`, *default:* `nil`) - This flag determines whether a consumer accept/reject list change can reconcile the statuses of existing ACCEPTED or REJECTED PSC endpoints. - If false, connection policy update will only affect existing PENDING PSC endpoints. Existing ACCEPTED/REJECTED endpoints will remain untouched regardless how the connection policy is modified . - If true, update will affect both PENDING and ACCEPTED/REJECTED PSC endpoints. For example, an ACCEPTED PSC endpoint will be moved to REJECTED if its project is added to the reject list. For newly created service attachment, this boolean defaults to false.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the service attachment resides. This field applies only to the region resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `targetService` (*type:* `String.t`, *default:* `nil`) - The URL of a service serving the endpoint identified by this service attachment.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachment.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachment.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachment.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachment.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedList","doc":"Contains a list of ServiceAttachmentsScopedList.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedList.t}`, *default:* `nil`) - A list of ServiceAttachmentsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#serviceAttachmentAggregatedList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentConnectedEndpoint","doc":"[Output Only] A connection connected to this service attachment.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentConnectedEndpoint.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentConnectedEndpoint","doc":"*   `consumerNetwork` (*type:* `String.t`, *default:* `nil`) - The url of the consumer network.\n*   `endpoint` (*type:* `String.t`, *default:* `nil`) - The url of a connected endpoint.\n*   `propagatedConnectionCount` (*type:* `integer()`, *default:* `nil`) - The number of consumer Network Connectivity Center spokes that the connected Private Service Connect endpoint has propagated to.\n*   `pscConnectionId` (*type:* `String.t`, *default:* `nil`) - The PSC connection id of the connected endpoint.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of a connected endpoint to this service attachment.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentConnectedEndpoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentConnectedEndpoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentConnectedEndpoint.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentConnectedEndpoint.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentConnectedEndpoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentConsumerProjectLimit","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentConsumerProjectLimit.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentConsumerProjectLimit","doc":"*   `connectionLimit` (*type:* `integer()`, *default:* `nil`) - The value of the limit to set.\n*   `networkUrl` (*type:* `String.t`, *default:* `nil`) - The network URL for the network to set the limit for.\n*   `projectIdOrNum` (*type:* `String.t`, *default:* `nil`) - The project id or number for the project to set the limit for.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentConsumerProjectLimit.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentConsumerProjectLimit.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentConsumerProjectLimit.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentConsumerProjectLimit.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentConsumerProjectLimit.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentList","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.ServiceAttachment.t)`, *default:* `nil`) - A list of ServiceAttachment resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#serviceAttachmentList`) - [Output Only] Type of the resource. Always compute#serviceAttachment for service attachments.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ServiceAttachmentListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ServiceAttachmentListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedList","doc":"*   `serviceAttachments` (*type:* `list(GoogleApi.Compute.V1.Model.ServiceAttachment.t)`, *default:* `nil`) - A list of ServiceAttachments contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of service attachments when the list is empty.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarning","doc":"Informational warning which replaces the list of service attachments when the list is empty.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ServiceAttachmentsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadata","doc":"","ref":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadata","doc":"*   `clientOperationId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The client operation id.\n*   `perLocationOperations` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadataPerLocationOperationInfo.t}`, *default:* `nil`) - [Output Only] Status information per location (location name is key). Example key: zones/us-central1-a","ref":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadata.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadataPerLocationOperationInfo","doc":"","ref":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadataPerLocationOperationInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadataPerLocationOperationInfo","doc":"*   `error` (*type:* `GoogleApi.Compute.V1.Model.Status.t`, *default:* `nil`) - [Output Only] If state is `ABANDONED` or `FAILED`, this field is populated.\n*   `state` (*type:* `String.t`, *default:* `nil`) - [Output Only] Status of the action, which can be one of the following: `PROPAGATING`, `PROPAGATED`, `ABANDONED`, `FAILED`, or `DONE`.","ref":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadataPerLocationOperationInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadataPerLocationOperationInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadataPerLocationOperationInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadataPerLocationOperationInfo.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SetCommonInstanceMetadataOperationMetadataPerLocationOperationInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ShareSettings","doc":"The share setting for reservations and sole tenancy node groups.","ref":"GoogleApi.Compute.V1.Model.ShareSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ShareSettings","doc":"*   `projectMap` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.ShareSettingsProjectConfig.t}`, *default:* `nil`) - A map of project id and project config. This is only valid when share_type's value is SPECIFIC_PROJECTS.\n*   `shareType` (*type:* `String.t`, *default:* `nil`) - Type of sharing for this shared-reservation","ref":"GoogleApi.Compute.V1.Model.ShareSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ShareSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ShareSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ShareSettings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ShareSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ShareSettingsProjectConfig","doc":"Config for each project in the share settings.","ref":"GoogleApi.Compute.V1.Model.ShareSettingsProjectConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ShareSettingsProjectConfig","doc":"*   `projectId` (*type:* `String.t`, *default:* `nil`) - The project ID, should be same as the key of this project config in the parent map.","ref":"GoogleApi.Compute.V1.Model.ShareSettingsProjectConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ShareSettingsProjectConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ShareSettingsProjectConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ShareSettingsProjectConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ShareSettingsProjectConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceConfig","doc":"A set of Shielded Instance options.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ShieldedInstanceConfig","doc":"*   `enableIntegrityMonitoring` (*type:* `boolean()`, *default:* `nil`) - Defines whether the instance has integrity monitoring enabled. Enabled by default.\n*   `enableSecureBoot` (*type:* `boolean()`, *default:* `nil`) - Defines whether the instance has Secure Boot enabled. Disabled by default.\n*   `enableVtpm` (*type:* `boolean()`, *default:* `nil`) - Defines whether the instance has the vTPM enabled. Enabled by default.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentity","doc":"A Shielded Instance Identity.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentity.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ShieldedInstanceIdentity","doc":"*   `encryptionKey` (*type:* `GoogleApi.Compute.V1.Model.ShieldedInstanceIdentityEntry.t`, *default:* `nil`) - An Endorsement Key (EK) made by the RSA 2048 algorithm issued to the Shielded Instance's vTPM.\n*   `kind` (*type:* `String.t`, *default:* `compute#shieldedInstanceIdentity`) - [Output Only] Type of the resource. Always compute#shieldedInstanceIdentity for shielded Instance identity entry.\n*   `signingKey` (*type:* `GoogleApi.Compute.V1.Model.ShieldedInstanceIdentityEntry.t`, *default:* `nil`) - An Attestation Key (AK) made by the RSA 2048 algorithm issued to the Shielded Instance's vTPM.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentity.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentity.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentity.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentity.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentityEntry","doc":"A Shielded Instance Identity Entry.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentityEntry.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ShieldedInstanceIdentityEntry","doc":"*   `ekCert` (*type:* `String.t`, *default:* `nil`) - A PEM-encoded X.509 certificate. This field can be empty.\n*   `ekPub` (*type:* `String.t`, *default:* `nil`) - A PEM-encoded public key.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentityEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentityEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentityEntry.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentityEntry.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIdentityEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceIntegrityPolicy","doc":"The policy describes the baseline against which Instance boot integrity is measured.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIntegrityPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ShieldedInstanceIntegrityPolicy","doc":"*   `updateAutoLearnPolicy` (*type:* `boolean()`, *default:* `nil`) - Updates the integrity policy baseline using the measurements from the VM instance's most recent boot.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIntegrityPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceIntegrityPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIntegrityPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ShieldedInstanceIntegrityPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ShieldedInstanceIntegrityPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SignedUrlKey","doc":"Represents a customer-supplied Signing Key used by Cloud CDN Signed URLs","ref":"GoogleApi.Compute.V1.Model.SignedUrlKey.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SignedUrlKey","doc":"*   `keyName` (*type:* `String.t`, *default:* `nil`) - Name of the key. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `keyValue` (*type:* `String.t`, *default:* `nil`) - 128-bit key value used for signing the URL. The key value must be a valid RFC 4648 Section 5 base64url encoded string.","ref":"GoogleApi.Compute.V1.Model.SignedUrlKey.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SignedUrlKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SignedUrlKey.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SignedUrlKey.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SignedUrlKey.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Snapshot","doc":"Represents a Persistent Disk Snapshot resource. You can use snapshots to back up data on a regular interval. For more information, read Creating persistent disk snapshots.","ref":"GoogleApi.Compute.V1.Model.Snapshot.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Snapshot","doc":"*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `chainName` (*type:* `String.t`, *default:* `nil`) - Creates the new snapshot in the snapshot chain labeled with the specified name. The chain name must be 1-63 characters long and comply with RFC1035. This is an uncommon option only for advanced service owners who needs to create separate snapshot chains, for example, for chargeback tracking. When you describe your snapshot resource, this field is visible only if it has a non-empty value.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to apply to this snapshot. These can be later modified by the setLabels method. Label values may be empty.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `sourceInstantSnapshotId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique ID of the instant snapshot used to create this snapshot. This value identifies the exact instant snapshot that was used to create this persistent disk. For example, if you created the persistent disk from an instant snapshot that was later deleted and recreated under the same name, the source instant snapshot ID would identify the exact instant snapshot that was used.\n*   `guestOsFeatures` (*type:* `list(GoogleApi.Compute.V1.Model.GuestOsFeature.t)`, *default:* `nil`) - [Output Only] A list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options.\n*   `kind` (*type:* `String.t`, *default:* `compute#snapshot`) - [Output Only] Type of the resource. Always compute#snapshot for Snapshot resources.\n*   `enableConfidentialCompute` (*type:* `boolean()`, *default:* `nil`) - Whether this snapshot is created from a confidential compute mode disk. [Output Only]: This field is not set by user, but from source disk.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `storageLocations` (*type:* `list(String.t)`, *default:* `nil`) - Cloud Storage bucket storage location of the snapshot (regional or multi-regional).\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.\n*   `sourceSnapshotSchedulePolicyId` (*type:* `String.t`, *default:* `nil`) - [Output Only] ID of the resource policy which created this scheduled snapshot.\n*   `sourceDisk` (*type:* `String.t`, *default:* `nil`) - The source disk used to create this snapshot.\n*   `snapshotType` (*type:* `String.t`, *default:* `nil`) - Indicates the type of the snapshot.\n*   `sourceDiskForRecoveryCheckpoint` (*type:* `String.t`, *default:* `nil`) - The source disk whose recovery checkpoint will be used to create this snapshot.\n*   `storageBytes` (*type:* `String.t`, *default:* `nil`) - [Output Only] A size of the storage used by the snapshot. As snapshots share storage, this number is expected to change with snapshot creation/deletion.\n*   `diskSizeGb` (*type:* `String.t`, *default:* `nil`) - [Output Only] Size of the source disk, specified in GB.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `sourceSnapshotSchedulePolicy` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the resource policy which created this scheduled snapshot.\n*   `downloadBytes` (*type:* `String.t`, *default:* `nil`) - [Output Only] Number of bytes downloaded to restore a snapshot to a disk.\n*   `storageBytesStatus` (*type:* `String.t`, *default:* `nil`) - [Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.\n*   `architecture` (*type:* `String.t`, *default:* `nil`) - [Output Only] The architecture of the snapshot. Valid values are ARM64 or X86_64.\n*   `sourceInstantSnapshotEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - Customer provided encryption key when creating Snapshot from Instant Snapshot.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this snapshot, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a snapshot.\n*   `sourceDiskId` (*type:* `String.t`, *default:* `nil`) - [Output Only] The ID value of the disk used to create this snapshot. This value may be used to determine whether the snapshot was taken from the current or a previous instance of a given disk name.\n*   `licenses` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] A list of public visible licenses that apply to this snapshot. This can be because the original image had licenses attached (such as a Windows image).\n*   `creationSizeBytes` (*type:* `String.t`, *default:* `nil`) - [Output Only] Size in bytes of the snapshot at creation time.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the snapshot. This can be CREATING, DELETING, FAILED, READY, or UPLOADING.\n*   `licenseCodes` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Integer license codes indicating which licenses are attached to this snapshot.\n*   `sourceInstantSnapshot` (*type:* `String.t`, *default:* `nil`) - The source instant snapshot used to create this snapshot. You can provide this as a partial or full URL to the resource. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instantSnapshots/instantSnapshot - projects/project/zones/zone/instantSnapshots/instantSnapshot - zones/zone/instantSnapshots/instantSnapshot \n*   `autoCreated` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Set to true if snapshots are automatically created by applying resource policy on the target disk.\n*   `locationHint` (*type:* `String.t`, *default:* `nil`) - An opaque location hint used to place the snapshot close to other resources. This field is for use by internal tools that use the public API.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `snapshotEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - Encrypts the snapshot using a customer-supplied encryption key. After you encrypt a snapshot using a customer-supplied key, you must provide the same key if you use the snapshot later. For example, you must provide the encryption key when you create a disk from the encrypted snapshot in a future request. Customer-supplied encryption keys do not protect access to metadata of the snapshot. If you do not provide an encryption key when creating the snapshot, then the snapshot will be encrypted using an automatically generated key and you do not need to provide a key to use the snapshot later.\n*   `sourceDiskEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. Reserved for future use.","ref":"GoogleApi.Compute.V1.Model.Snapshot.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Snapshot.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Snapshot.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Snapshot.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Snapshot.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SnapshotList","doc":"Contains a list of Snapshot resources.","ref":"GoogleApi.Compute.V1.Model.SnapshotList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SnapshotList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Snapshot.t)`, *default:* `nil`) - A list of Snapshot resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#snapshotList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SnapshotListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SnapshotList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SnapshotList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SnapshotList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SnapshotList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SnapshotList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SnapshotListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SnapshotListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SnapshotListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SnapshotListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SnapshotListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SnapshotListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SnapshotListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SnapshotListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SnapshotListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SnapshotListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SnapshotListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SnapshotListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SnapshotListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SnapshotListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SnapshotListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SnapshotListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SnapshotListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SnapshotSettings","doc":"","ref":"GoogleApi.Compute.V1.Model.SnapshotSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SnapshotSettings","doc":"*   `storageLocation` (*type:* `GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettings.t`, *default:* `nil`) - Policy of which storage location is going to be resolved, and additional data that particularizes how the policy is going to be carried out.","ref":"GoogleApi.Compute.V1.Model.SnapshotSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SnapshotSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SnapshotSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SnapshotSettings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SnapshotSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettings","doc":"","ref":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettings","doc":"*   `locations` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettingsStorageLocationPreference.t}`, *default:* `nil`) - When the policy is SPECIFIC_LOCATIONS, snapshots will be stored in the locations listed in this field. Keys are Cloud Storage bucket locations. Only one location can be specified.\n*   `policy` (*type:* `String.t`, *default:* `nil`) - The chosen location policy.","ref":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettingsStorageLocationPreference","doc":"A structure for specifying storage locations.","ref":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettingsStorageLocationPreference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettingsStorageLocationPreference","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the location. It should be one of the Cloud Storage buckets. Only one location can be specified.","ref":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettingsStorageLocationPreference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettingsStorageLocationPreference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettingsStorageLocationPreference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettingsStorageLocationPreference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SnapshotSettingsStorageLocationSettingsStorageLocationPreference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SourceDiskEncryptionKey","doc":"","ref":"GoogleApi.Compute.V1.Model.SourceDiskEncryptionKey.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SourceDiskEncryptionKey","doc":"*   `diskEncryptionKey` (*type:* `GoogleApi.Compute.V1.Model.CustomerEncryptionKey.t`, *default:* `nil`) - The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key.\n*   `sourceDisk` (*type:* `String.t`, *default:* `nil`) - URL of the disk attached to the source instance. This can be a full or valid partial URL. For example, the following are valid values: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /disks/disk - projects/project/zones/zone/disks/disk - zones/zone/disks/disk","ref":"GoogleApi.Compute.V1.Model.SourceDiskEncryptionKey.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SourceDiskEncryptionKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SourceDiskEncryptionKey.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SourceDiskEncryptionKey.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SourceDiskEncryptionKey.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SourceInstanceParams","doc":"A specification of the parameters to use when creating the instance template from a source instance.","ref":"GoogleApi.Compute.V1.Model.SourceInstanceParams.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SourceInstanceParams","doc":"*   `diskConfigs` (*type:* `list(GoogleApi.Compute.V1.Model.DiskInstantiationConfig.t)`, *default:* `nil`) - Attached disks configuration. If not provided, defaults are applied: For boot disk and any other R/W disks, the source images for each disk will be used. For read-only disks, they will be attached in read-only mode. Local SSD disks will be created as blank volumes.","ref":"GoogleApi.Compute.V1.Model.SourceInstanceParams.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SourceInstanceParams.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SourceInstanceParams.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SourceInstanceParams.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SourceInstanceParams.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SourceInstanceProperties","doc":"DEPRECATED: Please use compute#instanceProperties instead. New properties will not be added to this field.","ref":"GoogleApi.Compute.V1.Model.SourceInstanceProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SourceInstanceProperties","doc":"*   `canIpForward` (*type:* `boolean()`, *default:* `nil`) - Enables instances created based on this machine image to send packets with source IP addresses other than their own and receive packets with destination IP addresses other than their own. If these instances will be used as an IP gateway or it will be set as the next-hop in a Route resource, specify true. If unsure, leave this set to false. See the Enable IP forwarding documentation for more information.\n*   `deletionProtection` (*type:* `boolean()`, *default:* `nil`) - Whether the instance created from this machine image should be protected against deletion.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional text description for the instances that are created from this machine image.\n*   `disks` (*type:* `list(GoogleApi.Compute.V1.Model.SavedAttachedDisk.t)`, *default:* `nil`) - An array of disks that are associated with the instances that are created from this machine image.\n*   `guestAccelerators` (*type:* `list(GoogleApi.Compute.V1.Model.AcceleratorConfig.t)`, *default:* `nil`) - A list of guest accelerator cards' type and count to use for instances created from this machine image.\n*   `keyRevocationActionType` (*type:* `String.t`, *default:* `nil`) - KeyRevocationActionType of the instance. Supported options are \"STOP\" and \"NONE\". The default value is \"NONE\" if it is not specified.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to apply to instances that are created from this machine image.\n*   `machineType` (*type:* `String.t`, *default:* `nil`) - The machine type to use for instances that are created from this machine image.\n*   `metadata` (*type:* `GoogleApi.Compute.V1.Model.Metadata.t`, *default:* `nil`) - The metadata key/value pairs to assign to instances that are created from this machine image. These pairs can consist of custom metadata or predefined keys. See Project and instance metadata for more information.\n*   `minCpuPlatform` (*type:* `String.t`, *default:* `nil`) - Minimum cpu/platform to be used by instances created from this machine image. The instance may be scheduled on the specified or newer cpu/platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\". For more information, read Specifying a Minimum CPU Platform.\n*   `networkInterfaces` (*type:* `list(GoogleApi.Compute.V1.Model.NetworkInterface.t)`, *default:* `nil`) - An array of network access configurations for this interface.\n*   `scheduling` (*type:* `GoogleApi.Compute.V1.Model.Scheduling.t`, *default:* `nil`) - Specifies the scheduling options for the instances that are created from this machine image.\n*   `serviceAccounts` (*type:* `list(GoogleApi.Compute.V1.Model.ServiceAccount.t)`, *default:* `nil`) - A list of service accounts with specified scopes. Access tokens for these service accounts are available to the instances that are created from this machine image. Use metadata queries to obtain the access tokens for these instances.\n*   `tags` (*type:* `GoogleApi.Compute.V1.Model.Tags.t`, *default:* `nil`) - A list of tags to apply to the instances that are created from this machine image. The tags identify valid sources or targets for network firewalls. The setTags method can modify this list of tags. Each tag within the list must comply with RFC1035.","ref":"GoogleApi.Compute.V1.Model.SourceInstanceProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SourceInstanceProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SourceInstanceProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SourceInstanceProperties.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SourceInstanceProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificate","doc":"Represents an SSL certificate resource. Google Compute Engine has two SSL certificate resources: * [Global](/compute/docs/reference/rest/v1/sslCertificates) * [Regional](/compute/docs/reference/rest/v1/regionSslCertificates) The global SSL certificates (sslCertificates) are used by: - Global external Application Load Balancers - Classic Application Load Balancers - Proxy Network Load Balancers (with target SSL proxies) The regional SSL certificates (regionSslCertificates) are used by: - Regional external Application Load Balancers - Regional internal Application Load Balancers Optionally, certificate file contents that you upload can contain a set of up to five PEM-encoded certificates. The API call creates an object (sslCertificate) that holds this data. You can use SSL keys and certificates to secure connections to a load balancer. For more information, read Creating and using SSL certificates, SSL certificates quotas and limits, and Troubleshooting SSL certificates.","ref":"GoogleApi.Compute.V1.Model.SslCertificate.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificate","doc":"*   `certificate` (*type:* `String.t`, *default:* `nil`) - A value read into memory from a certificate file. The certificate file must be in PEM format. The certificate chain must be no greater than 5 certs long. The chain must include at least one intermediate cert.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `expireTime` (*type:* `String.t`, *default:* `nil`) - [Output Only] Expire time of the certificate. RFC3339\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#sslCertificate`) - [Output Only] Type of the resource. Always compute#sslCertificate for SSL certificates.\n*   `managed` (*type:* `GoogleApi.Compute.V1.Model.SslCertificateManagedSslCertificate.t`, *default:* `nil`) - Configuration and status of a managed SSL certificate.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `privateKey` (*type:* `String.t`, *default:* `nil`) - A value read into memory from a write-only private key file. The private key file must be in PEM format. For security, only insert requests include this field.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional SSL Certificate resides. This field is not applicable to global SSL Certificate.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output only] Server-defined URL for the resource.\n*   `selfManaged` (*type:* `GoogleApi.Compute.V1.Model.SslCertificateSelfManagedSslCertificate.t`, *default:* `nil`) - Configuration and status of a self-managed SSL certificate.\n*   `subjectAlternativeNames` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Domains associated with the certificate via Subject Alternative Name.\n*   `type` (*type:* `String.t`, *default:* `nil`) - (Optional) Specifies the type of SSL certificate, either \"SELF_MANAGED\" or \"MANAGED\". If not specified, the certificate is self-managed and the fields certificate and private_key are used.","ref":"GoogleApi.Compute.V1.Model.SslCertificate.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificate.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificate.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificate.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificateAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.SslCertificatesScopedList.t}`, *default:* `nil`) - A list of SslCertificatesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#sslCertificateAggregatedList`) - [Output Only] Type of resource. Always compute#sslCertificateAggregatedList for lists of SSL Certificates.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificateList","doc":"Contains a list of SslCertificate resources.","ref":"GoogleApi.Compute.V1.Model.SslCertificateList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificateList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.SslCertificate.t)`, *default:* `nil`) - A list of SslCertificate resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#sslCertificateList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SslCertificateListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SslCertificateList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificateList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificateList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificateList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificateListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SslCertificateListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificateListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SslCertificateListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SslCertificateListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificateListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificateListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificateListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificateListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificateListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SslCertificateListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificateListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificateListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificateListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificateManagedSslCertificate","doc":"Configuration and status of a managed SSL certificate.","ref":"GoogleApi.Compute.V1.Model.SslCertificateManagedSslCertificate.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificateManagedSslCertificate","doc":"*   `domainStatus` (*type:* `map()`, *default:* `nil`) - [Output only] Detailed statuses of the domains specified for managed certificate resource.\n*   `domains` (*type:* `list(String.t)`, *default:* `nil`) - The domains for which a managed SSL certificate will be generated. Each Google-managed SSL certificate supports up to the [maximum number of domains per Google-managed SSL certificate](/load-balancing/docs/quotas#ssl_certificates).\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output only] Status of the managed certificate resource.","ref":"GoogleApi.Compute.V1.Model.SslCertificateManagedSslCertificate.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificateManagedSslCertificate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificateManagedSslCertificate.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificateManagedSslCertificate.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateManagedSslCertificate.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificateSelfManagedSslCertificate","doc":"Configuration and status of a self-managed SSL certificate.","ref":"GoogleApi.Compute.V1.Model.SslCertificateSelfManagedSslCertificate.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificateSelfManagedSslCertificate","doc":"*   `certificate` (*type:* `String.t`, *default:* `nil`) - A local certificate file. The certificate must be in PEM format. The certificate chain must be no greater than 5 certs long. The chain must include at least one intermediate cert.\n*   `privateKey` (*type:* `String.t`, *default:* `nil`) - A write-only private key in PEM format. Only insert requests will include this field.","ref":"GoogleApi.Compute.V1.Model.SslCertificateSelfManagedSslCertificate.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificateSelfManagedSslCertificate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificateSelfManagedSslCertificate.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificateSelfManagedSslCertificate.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificateSelfManagedSslCertificate.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificatesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificatesScopedList","doc":"*   `sslCertificates` (*type:* `list(GoogleApi.Compute.V1.Model.SslCertificate.t)`, *default:* `nil`) - List of SslCertificates contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificatesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificatesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarning","doc":"Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslCertificatesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPoliciesAggregatedList","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.SslPoliciesScopedList.t}`, *default:* `nil`) - A list of SslPoliciesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#sslPoliciesAggregatedList`) - [Output Only] Type of resource. Always compute#sslPolicyAggregatedList for lists of SSL Policies.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPoliciesList","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPoliciesList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.SslPolicy.t)`, *default:* `nil`) - A list of SslPolicy resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#sslPoliciesList`) - [Output Only] Type of the resource. Always compute#sslPoliciesList for lists of sslPolicies.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SslPoliciesListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPoliciesList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPoliciesList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPoliciesListAvailableFeaturesResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListAvailableFeaturesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPoliciesListAvailableFeaturesResponse","doc":"*   `features` (*type:* `list(String.t)`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListAvailableFeaturesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPoliciesListAvailableFeaturesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListAvailableFeaturesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPoliciesListAvailableFeaturesResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListAvailableFeaturesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPoliciesListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPoliciesListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SslPoliciesListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPoliciesListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPoliciesListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPoliciesListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPoliciesListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPoliciesListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPoliciesListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPoliciesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPoliciesScopedList","doc":"*   `sslPolicies` (*type:* `list(GoogleApi.Compute.V1.Model.SslPolicy.t)`, *default:* `nil`) - A list of SslPolicies contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of SSL policies when the list is empty.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPoliciesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPoliciesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarning","doc":"Informational warning which replaces the list of SSL policies when the list is empty.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPoliciesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPolicy","doc":"Represents an SSL Policy resource. Use SSL policies to control SSL features, such as versions and cipher suites, that are offered by Application Load Balancers and proxy Network Load Balancers. For more information, read SSL policies overview.","ref":"GoogleApi.Compute.V1.Model.SslPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPolicy","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `customFeatures` (*type:* `list(String.t)`, *default:* `nil`) - A list of features enabled when the selected profile is CUSTOM. The method returns the set of features that can be specified in this list. This field must be empty if the profile is not CUSTOM.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `enabledFeatures` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] The list of features enabled in the SSL policy.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a SslPolicy. An up-to-date fingerprint must be provided in order to update the SslPolicy, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve an SslPolicy.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#sslPolicy`) - [Output only] Type of the resource. Always compute#sslPolicyfor SSL policies.\n*   `minTlsVersion` (*type:* `String.t`, *default:* `nil`) - The minimum version of SSL protocol that can be used by the clients to establish a connection with the load balancer. This can be one of TLS_1_0, TLS_1_1, TLS_1_2.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `profile` (*type:* `String.t`, *default:* `nil`) - Profile specifies the set of SSL features that can be used by the load balancer when negotiating SSL with clients. This can be one of COMPATIBLE, MODERN, RESTRICTED, or CUSTOM. If using CUSTOM, the set of SSL features to enable must be specified in the customFeatures field.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional SSL policy resides. This field is not applicable to global SSL policies.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `warnings` (*type:* `list(GoogleApi.Compute.V1.Model.SslPolicyWarnings.t)`, *default:* `nil`) - [Output Only] If potential misconfigurations are detected for this SSL policy, this field will be populated with warning messages.","ref":"GoogleApi.Compute.V1.Model.SslPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPolicyReference","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPolicyReference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPolicyReference","doc":"*   `sslPolicy` (*type:* `String.t`, *default:* `nil`) - URL of the SSL policy resource. Set this to empty string to clear any existing SSL policy associated with the target proxy resource.","ref":"GoogleApi.Compute.V1.Model.SslPolicyReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPolicyReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPolicyReference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPolicyReference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPolicyReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPolicyWarnings","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPolicyWarnings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPolicyWarnings","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SslPolicyWarningsData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SslPolicyWarnings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPolicyWarnings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPolicyWarnings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPolicyWarnings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPolicyWarnings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SslPolicyWarningsData","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPolicyWarningsData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SslPolicyWarningsData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SslPolicyWarningsData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SslPolicyWarningsData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SslPolicyWarningsData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SslPolicyWarningsData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SslPolicyWarningsData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StatefulPolicy","doc":"","ref":"GoogleApi.Compute.V1.Model.StatefulPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StatefulPolicy","doc":"*   `preservedState` (*type:* `GoogleApi.Compute.V1.Model.StatefulPolicyPreservedState.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.StatefulPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StatefulPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StatefulPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StatefulPolicy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StatefulPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedState","doc":"Configuration of preserved resources.","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedState.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StatefulPolicyPreservedState","doc":"*   `disks` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateDiskDevice.t}`, *default:* `nil`) - Disks created on the instances that will be preserved on instance delete, update, etc. This map is keyed with the device names of the disks.\n*   `externalIPs` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateNetworkIp.t}`, *default:* `nil`) - External network IPs assigned to the instances that will be preserved on instance delete, update, etc. This map is keyed with the network interface name.\n*   `internalIPs` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateNetworkIp.t}`, *default:* `nil`) - Internal network IPs assigned to the instances that will be preserved on instance delete, update, etc. This map is keyed with the network interface name.","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedState.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedState.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedState.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedState.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateDiskDevice","doc":"","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateDiskDevice.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateDiskDevice","doc":"*   `autoDelete` (*type:* `String.t`, *default:* `nil`) - These stateful disks will never be deleted during autohealing, update or VM instance recreate operations. This flag is used to configure if the disk should be deleted after it is no longer used by the group, e.g. when the given instance or the whole group is deleted. Note: disks attached in READ_ONLY mode cannot be auto-deleted.","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateDiskDevice.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateDiskDevice.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateDiskDevice.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateDiskDevice.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateDiskDevice.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateNetworkIp","doc":"","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateNetworkIp.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateNetworkIp","doc":"*   `autoDelete` (*type:* `String.t`, *default:* `nil`) - These stateful IPs will never be released during autohealing, update or VM instance recreate operations. This flag is used to configure if the IP reservation should be deleted after it is no longer used by the group, e.g. when the given instance or the whole group is deleted.","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateNetworkIp.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateNetworkIp.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateNetworkIp.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateNetworkIp.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StatefulPolicyPreservedStateNetworkIp.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.Compute.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.Compute.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePool","doc":"Represents a zonal storage pool resource.","ref":"GoogleApi.Compute.V1.Model.StoragePool.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePool","doc":"*   `capacityProvisioningType` (*type:* `String.t`, *default:* `nil`) - Provisioning type of the byte capacity of the pool.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#storagePool`) - [Output Only] Type of the resource. Always compute#storagePool for storage pools.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this storage pool, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a storage pool.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels to apply to this storage pool. These can be later modified by the setLabels method.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `performanceProvisioningType` (*type:* `String.t`, *default:* `nil`) - Provisioning type of the performance-related parameters of the pool, such as throughput and IOPS.\n*   `poolProvisionedCapacityGb` (*type:* `String.t`, *default:* `nil`) - Size, in GiB, of the storage pool. For more information about the size limits, see https://cloud.google.com/compute/docs/disks/storage-pools.\n*   `poolProvisionedIops` (*type:* `String.t`, *default:* `nil`) - Provisioned IOPS of the storage pool. Only relevant if the storage pool type is hyperdisk-balanced.\n*   `poolProvisionedThroughput` (*type:* `String.t`, *default:* `nil`) - Provisioned throughput of the storage pool. Only relevant if the storage pool type is hyperdisk-balanced or hyperdisk-throughput.\n*   `resourceStatus` (*type:* `GoogleApi.Compute.V1.Model.StoragePoolResourceStatus.t`, *default:* `nil`) - [Output Only] Status information for the storage pool resource.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined fully-qualified URL for this resource.\n*   `selfLinkWithId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource's resource id.\n*   `state` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of storage pool creation. - CREATING: Storage pool is provisioning. storagePool. - FAILED: Storage pool creation failed. - READY: Storage pool is ready for use. - DELETING: Storage pool is deleting. \n*   `status` (*type:* `GoogleApi.Compute.V1.Model.StoragePoolResourceStatus.t`, *default:* `nil`) - [Output Only] Status information for the storage pool resource.\n*   `storagePoolType` (*type:* `String.t`, *default:* `nil`) - Type of the storage pool.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the zone where the storage pool resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.","ref":"GoogleApi.Compute.V1.Model.StoragePool.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePool.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePool.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePool.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePool.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolAggregatedList","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.StoragePoolsScopedList.t}`, *default:* `nil`) - A list of StoragePoolsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#storagePoolAggregatedList`) - [Output Only] Type of resource. Always compute#storagePoolAggregatedList for aggregated lists of storage pools.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolDisk","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolDisk.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolDisk","doc":"*   `attachedInstances` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Instances this disk is attached to.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `disk` (*type:* `String.t`, *default:* `nil`) - [Output Only] The URL of the disk.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] The name of the disk.\n*   `provisionedIops` (*type:* `String.t`, *default:* `nil`) - [Output Only] The number of IOPS provisioned for the disk.\n*   `provisionedThroughput` (*type:* `String.t`, *default:* `nil`) - [Output Only] The throughput provisioned for the disk.\n*   `resourcePolicies` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Resource policies applied to disk for automatic snapshot creations.\n*   `sizeGb` (*type:* `String.t`, *default:* `nil`) - [Output Only] The disk size, in GB.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The disk status.\n*   `type` (*type:* `String.t`, *default:* `nil`) - [Output Only] The disk type.\n*   `usedBytes` (*type:* `String.t`, *default:* `nil`) - [Output Only] Amount of disk space used.","ref":"GoogleApi.Compute.V1.Model.StoragePoolDisk.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolDisk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolDisk.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolDisk.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolDisk.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolList","doc":"A list of StoragePool resources.","ref":"GoogleApi.Compute.V1.Model.StoragePoolList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolList","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePool.t)`, *default:* `nil`) - A list of StoragePool resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#storagePoolList`) - [Output Only] Type of resource. Always compute#storagePoolList for lists of storagePools.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.StoragePoolListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.StoragePoolList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolListDisks","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisks.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolListDisks","doc":"*   `etag` (*type:* `String.t`, *default:* `nil`) - \n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePoolDisk.t)`, *default:* `nil`) - A list of StoragePoolDisk resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#storagePoolListDisks`) - [Output Only] Type of resource. Always compute#storagePoolListDisks for lists of disks in a storagePool.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources. end_interface: MixerListResponseWithEtagBuilder\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.StoragePoolListDisksWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisks.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolListDisks.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisks.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolListDisks.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisks.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolListDisksWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePoolListDisksWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolListDisksWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolListDisksWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePoolListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolResourceStatus","doc":"[Output Only] Contains output only fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolResourceStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolResourceStatus","doc":"*   `diskCount` (*type:* `String.t`, *default:* `nil`) - [Output Only] Number of disks used.\n*   `lastResizeTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Timestamp of the last successful resize in RFC3339 text format.\n*   `maxTotalProvisionedDiskCapacityGb` (*type:* `String.t`, *default:* `nil`) - [Output Only] Maximum allowed aggregate disk size in gigabytes.\n*   `poolUsedCapacityBytes` (*type:* `String.t`, *default:* `nil`) - [Output Only] Space used by data stored in disks within the storage pool (in bytes). This will reflect the total number of bytes written to the disks in the pool, in contrast to the capacity of those disks.\n*   `poolUsedIops` (*type:* `String.t`, *default:* `nil`) - [Output Only] Sum of all the disks' provisioned IOPS, minus some amount that is allowed per disk that is not counted towards pool's IOPS capacity. For more information, see https://cloud.google.com/compute/docs/disks/storage-pools.\n*   `poolUsedThroughput` (*type:* `String.t`, *default:* `nil`) - [Output Only] Sum of all the disks' provisioned throughput in MB/s.\n*   `poolUserWrittenBytes` (*type:* `String.t`, *default:* `nil`) - [Output Only] Amount of data written into the pool, before it is compacted.\n*   `totalProvisionedDiskCapacityGb` (*type:* `String.t`, *default:* `nil`) - [Output Only] Sum of all the capacity provisioned in disks in this storage pool. A disk's provisioned capacity is the same as its total capacity.\n*   `totalProvisionedDiskIops` (*type:* `String.t`, *default:* `nil`) - [Output Only] Sum of all the disks' provisioned IOPS.\n*   `totalProvisionedDiskThroughput` (*type:* `String.t`, *default:* `nil`) - [Output Only] Sum of all the disks' provisioned throughput in MB/s, minus some amount that is allowed per disk that is not counted towards pool's throughput capacity.","ref":"GoogleApi.Compute.V1.Model.StoragePoolResourceStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolResourceStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolResourceStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolResourceStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolResourceStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolType","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolType.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolType","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `deprecated` (*type:* `GoogleApi.Compute.V1.Model.DeprecationStatus.t`, *default:* `nil`) - [Output Only] The deprecation status associated with this storage pool type.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] An optional description of this resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#storagePoolType`) - [Output Only] Type of the resource. Always compute#storagePoolType for storage pool types.\n*   `maxPoolProvisionedCapacityGb` (*type:* `String.t`, *default:* `nil`) - [Output Only] Maximum storage pool size in GB.\n*   `maxPoolProvisionedIops` (*type:* `String.t`, *default:* `nil`) - [Output Only] Maximum provisioned IOPS.\n*   `maxPoolProvisionedThroughput` (*type:* `String.t`, *default:* `nil`) - [Output Only] Maximum provisioned throughput.\n*   `minPoolProvisionedCapacityGb` (*type:* `String.t`, *default:* `nil`) - [Output Only] Minimum storage pool size in GB.\n*   `minPoolProvisionedIops` (*type:* `String.t`, *default:* `nil`) - [Output Only] Minimum provisioned IOPS.\n*   `minPoolProvisionedThroughput` (*type:* `String.t`, *default:* `nil`) - [Output Only] Minimum provisioned throughput.\n*   `minSizeGb` (*type:* `String.t`, *default:* `nil`) - [Deprecated] This field is deprecated. Use minPoolProvisionedCapacityGb instead.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the resource.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `selfLinkWithId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource with the resource id.\n*   `supportedDiskTypes` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] The list of disk types supported in this storage pool type.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the zone where the storage pool type resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.","ref":"GoogleApi.Compute.V1.Model.StoragePoolType.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolType.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolType.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolType.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.StoragePoolTypesScopedList.t}`, *default:* `nil`) - A list of StoragePoolTypesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#storagePoolTypeAggregatedList`) - [Output Only] Type of resource. Always compute#storagePoolTypeAggregatedList .\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeList","doc":"Contains a list of storage pool types.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolTypeList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePoolType.t)`, *default:* `nil`) - A list of StoragePoolType resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#storagePoolTypeList`) - [Output Only] Type of resource. Always compute#storagePoolTypeList for storage pool types.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.StoragePoolTypeListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolTypeListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePoolTypeListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolTypeListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypeListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolTypesScopedList","doc":"*   `storagePoolTypes` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePoolType.t)`, *default:* `nil`) - [Output Only] A list of storage pool types contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of storage pool types when the list is empty.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of storage pool types when the list is empty.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolTypesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolsScopedList","doc":"*   `storagePools` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePool.t)`, *default:* `nil`) - [Output Only] A list of storage pool contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of storage pool when the list is empty.","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of storage pool when the list is empty.","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.StoragePoolsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Subnetwork","doc":"Represents a Subnetwork resource. A subnetwork (also known as a subnet) is a logical partition of a Virtual Private Cloud network with one primary IP range and zero or more secondary IP ranges. For more information, read Virtual Private Cloud (VPC) Network.","ref":"GoogleApi.Compute.V1.Model.Subnetwork.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Subnetwork","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource. This field can be set only at resource creation time.\n*   `enableFlowLogs` (*type:* `boolean()`, *default:* `nil`) - Whether to enable flow logging for this subnetwork. If this field is not explicitly set, it will not appear in get listings. If not set the default behavior is determined by the org policy, if there is no org policy specified, then it will default to disabled. This field isn't supported if the subnet purpose field is set to REGIONAL_MANAGED_PROXY.\n*   `externalIpv6Prefix` (*type:* `String.t`, *default:* `nil`) - The external IPv6 address range that is owned by this subnetwork.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a Subnetwork. An up-to-date fingerprint must be provided in order to update the Subnetwork, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a Subnetwork.\n*   `gatewayAddress` (*type:* `String.t`, *default:* `nil`) - [Output Only] The gateway address for default routes to reach destination addresses outside this subnetwork.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `internalIpv6Prefix` (*type:* `String.t`, *default:* `nil`) - The internal IPv6 address range that is owned by this subnetwork.\n*   `ipCidrRange` (*type:* `String.t`, *default:* `nil`) - The range of internal addresses that are owned by this subnetwork. Provide this property when you create the subnetwork. For example, 10.0.0.0/8 or 100.64.0.0/10. Ranges must be unique and non-overlapping within a network. Only IPv4 is supported. This field is set at resource creation time. The range can be any range listed in the Valid ranges list. The range can be expanded after creation using expandIpCidrRange.\n*   `ipv6AccessType` (*type:* `String.t`, *default:* `nil`) - The access type of IPv6 address this subnet holds. It's immutable and can only be specified during creation or the first time the subnet is updated into IPV4_IPV6 dual stack.\n*   `ipv6CidrRange` (*type:* `String.t`, *default:* `nil`) - [Output Only] This field is for internal use.\n*   `kind` (*type:* `String.t`, *default:* `compute#subnetwork`) - [Output Only] Type of the resource. Always compute#subnetwork for Subnetwork resources.\n*   `logConfig` (*type:* `GoogleApi.Compute.V1.Model.SubnetworkLogConfig.t`, *default:* `nil`) - This field denotes the VPC flow logging options for this subnetwork. If logging is enabled, logs are exported to Cloud Logging.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the resource, provided by the client when initially creating the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `network` (*type:* `String.t`, *default:* `nil`) - The URL of the network to which this subnetwork belongs, provided by the client when initially creating the subnetwork. This field can be set only at resource creation time.\n*   `privateIpGoogleAccess` (*type:* `boolean()`, *default:* `nil`) - Whether the VMs in this subnet can access Google services without assigned external IP addresses. This field can be both set at resource creation time and updated using setPrivateIpGoogleAccess.\n*   `privateIpv6GoogleAccess` (*type:* `String.t`, *default:* `nil`) - This field is for internal use. This field can be both set at resource creation time and updated using patch.\n*   `purpose` (*type:* `String.t`, *default:* `nil`) - The purpose of the resource. This field can be either PRIVATE, GLOBAL_MANAGED_PROXY, REGIONAL_MANAGED_PROXY, PRIVATE_SERVICE_CONNECT, or PRIVATE is the default purpose for user-created subnets or subnets that are automatically created in auto mode networks. Subnets with purpose set to GLOBAL_MANAGED_PROXY or REGIONAL_MANAGED_PROXY are user-created subnetworks that are reserved for Envoy-based load balancers. A subnet with purpose set to PRIVATE_SERVICE_CONNECT is used to publish services using Private Service Connect. If unspecified, the subnet purpose defaults to PRIVATE. The enableFlowLogs field isn't supported if the subnet purpose field is set to GLOBAL_MANAGED_PROXY or REGIONAL_MANAGED_PROXY.\n*   `region` (*type:* `String.t`, *default:* `nil`) - URL of the region where the Subnetwork resides. This field can be set only at resource creation time.\n*   `reservedInternalRange` (*type:* `String.t`, *default:* `nil`) - The URL of the reserved internal range.\n*   `role` (*type:* `String.t`, *default:* `nil`) - The role of subnetwork. Currently, this field is only used when purpose is set to GLOBAL_MANAGED_PROXY or REGIONAL_MANAGED_PROXY. The value can be set to ACTIVE or BACKUP. An ACTIVE subnetwork is one that is currently being used for Envoy-based load balancers in a region. A BACKUP subnetwork is one that is ready to be promoted to ACTIVE or is currently draining. This field can be updated with a patch request.\n*   `secondaryIpRanges` (*type:* `list(GoogleApi.Compute.V1.Model.SubnetworkSecondaryRange.t)`, *default:* `nil`) - An array of configurations for secondary IP ranges for VM instances contained in this subnetwork. The primary IP of such VM must belong to the primary ipCidrRange of the subnetwork. The alias IPs may belong to either primary or secondary ranges. This field can be updated with a patch request.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `stackType` (*type:* `String.t`, *default:* `nil`) - The stack type for the subnet. If set to IPV4_ONLY, new VMs in the subnet are assigned IPv4 addresses only. If set to IPV4_IPV6, new VMs in the subnet can be assigned both IPv4 and IPv6 addresses. If not specified, IPV4_ONLY is used. This field can be both set at resource creation time and updated using patch.\n*   `state` (*type:* `String.t`, *default:* `nil`) - [Output Only] The state of the subnetwork, which can be one of the following values: READY: Subnetwork is created and ready to use DRAINING: only applicable to subnetworks that have the purpose set to INTERNAL_HTTPS_LOAD_BALANCER and indicates that connections to the load balancer are being drained. A subnetwork that is draining cannot be used or modified until it reaches a status of READY","ref":"GoogleApi.Compute.V1.Model.Subnetwork.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Subnetwork.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Subnetwork.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Subnetwork.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Subnetwork.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworkAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.SubnetworksScopedList.t}`, *default:* `nil`) - A list of SubnetworksScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#subnetworkAggregatedList`) - [Output Only] Type of resource. Always compute#subnetworkAggregatedList for aggregated lists of subnetworks.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworkList","doc":"Contains a list of Subnetwork resources.","ref":"GoogleApi.Compute.V1.Model.SubnetworkList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworkList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Subnetwork.t)`, *default:* `nil`) - A list of Subnetwork resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#subnetworkList`) - [Output Only] Type of resource. Always compute#subnetworkList for lists of subnetworks.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SubnetworkListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SubnetworkList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworkList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworkList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworkList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworkListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.SubnetworkListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworkListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SubnetworkListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SubnetworkListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworkListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworkListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworkListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworkListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworkListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SubnetworkListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworkListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworkListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworkListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworkLogConfig","doc":"The available logging options for this subnetwork.","ref":"GoogleApi.Compute.V1.Model.SubnetworkLogConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworkLogConfig","doc":"*   `aggregationInterval` (*type:* `String.t`, *default:* `nil`) - Can only be specified if VPC flow logging for this subnetwork is enabled. Toggles the aggregation interval for collecting flow logs. Increasing the interval time will reduce the amount of generated flow logs for long lasting connections. Default is an interval of 5 seconds per connection.\n*   `enable` (*type:* `boolean()`, *default:* `nil`) - Whether to enable flow logging for this subnetwork. If this field is not explicitly set, it will not appear in get listings. If not set the default behavior is determined by the org policy, if there is no org policy specified, then it will default to disabled. Flow logging isn't supported if the subnet purpose field is set to REGIONAL_MANAGED_PROXY.\n*   `filterExpr` (*type:* `String.t`, *default:* `nil`) - Can only be specified if VPC flow logs for this subnetwork is enabled. The filter expression is used to define which VPC flow logs should be exported to Cloud Logging.\n*   `flowSampling` (*type:* `number()`, *default:* `nil`) - Can only be specified if VPC flow logging for this subnetwork is enabled. The value of the field must be in [0, 1]. Set the sampling rate of VPC flow logs within the subnetwork where 1.0 means all collected logs are reported and 0.0 means no logs are reported. Default is 0.5 unless otherwise specified by the org policy, which means half of all collected logs are reported.\n*   `metadata` (*type:* `String.t`, *default:* `nil`) - Can only be specified if VPC flow logs for this subnetwork is enabled. Configures whether all, none or a subset of metadata fields should be added to the reported VPC flow logs. Default is EXCLUDE_ALL_METADATA.\n*   `metadataFields` (*type:* `list(String.t)`, *default:* `nil`) - Can only be specified if VPC flow logs for this subnetwork is enabled and \"metadata\" was set to CUSTOM_METADATA.","ref":"GoogleApi.Compute.V1.Model.SubnetworkLogConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworkLogConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworkLogConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworkLogConfig.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkLogConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworkSecondaryRange","doc":"Represents a secondary IP range of a subnetwork.","ref":"GoogleApi.Compute.V1.Model.SubnetworkSecondaryRange.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworkSecondaryRange","doc":"*   `ipCidrRange` (*type:* `String.t`, *default:* `nil`) - The range of IP addresses belonging to this subnetwork secondary range. Provide this property when you create the subnetwork. Ranges must be unique and non-overlapping with all primary and secondary IP ranges within a network. Only IPv4 is supported. The range can be any range listed in the Valid ranges list.\n*   `rangeName` (*type:* `String.t`, *default:* `nil`) - The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork.\n*   `reservedInternalRange` (*type:* `String.t`, *default:* `nil`) - The URL of the reserved internal range.","ref":"GoogleApi.Compute.V1.Model.SubnetworkSecondaryRange.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworkSecondaryRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworkSecondaryRange.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworkSecondaryRange.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworkSecondaryRange.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworksExpandIpCidrRangeRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworksExpandIpCidrRangeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworksExpandIpCidrRangeRequest","doc":"*   `ipCidrRange` (*type:* `String.t`, *default:* `nil`) - The IP (in CIDR format or netmask) of internal addresses that are legal on this Subnetwork. This range should be disjoint from other subnetworks within this network. This range can only be larger than (i.e. a superset of) the range previously defined before the update.","ref":"GoogleApi.Compute.V1.Model.SubnetworksExpandIpCidrRangeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworksExpandIpCidrRangeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworksExpandIpCidrRangeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworksExpandIpCidrRangeRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworksExpandIpCidrRangeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworksScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworksScopedList","doc":"*   `subnetworks` (*type:* `list(GoogleApi.Compute.V1.Model.Subnetwork.t)`, *default:* `nil`) - A list of subnetworks contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.SubnetworksScopedListWarning.t`, *default:* `nil`) - An informational warning that appears when the list of addresses is empty.","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworksScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworksScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarning","doc":"An informational warning that appears when the list of addresses is empty.","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworksScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.SubnetworksScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworksScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworksScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.SubnetworksSetPrivateIpGoogleAccessRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworksSetPrivateIpGoogleAccessRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.SubnetworksSetPrivateIpGoogleAccessRequest","doc":"*   `privateIpGoogleAccess` (*type:* `boolean()`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.SubnetworksSetPrivateIpGoogleAccessRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.SubnetworksSetPrivateIpGoogleAccessRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.SubnetworksSetPrivateIpGoogleAccessRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.SubnetworksSetPrivateIpGoogleAccessRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.SubnetworksSetPrivateIpGoogleAccessRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Subsetting","doc":"Subsetting configuration for this BackendService. Currently this is applicable only for Internal TCP/UDP load balancing, Internal HTTP(S) load balancing and Traffic Director.","ref":"GoogleApi.Compute.V1.Model.Subsetting.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Subsetting","doc":"*   `policy` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.Subsetting.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Subsetting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Subsetting.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Subsetting.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Subsetting.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TCPHealthCheck","doc":"","ref":"GoogleApi.Compute.V1.Model.TCPHealthCheck.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TCPHealthCheck","doc":"*   `port` (*type:* `integer()`, *default:* `nil`) - The TCP port number to which the health check prober sends packets. The default value is 80. Valid values are 1 through 65535.\n*   `portName` (*type:* `String.t`, *default:* `nil`) - Not supported.\n*   `portSpecification` (*type:* `String.t`, *default:* `nil`) - Specifies how a port is selected for health checking. Can be one of the following values: USE_FIXED_PORT: Specifies a port number explicitly using the port field in the health check. Supported by backend services for passthrough load balancers and backend services for proxy load balancers. Not supported by target pools. The health check supports all backends supported by the backend service provided the backend can be health checked. For example, GCE_VM_IP network endpoint groups, GCE_VM_IP_PORT network endpoint groups, and instance group backends. USE_NAMED_PORT: Not supported. USE_SERVING_PORT: Provides an indirect method of specifying the health check port by referring to the backend service. Only supported by backend services for proxy load balancers. Not supported by target pools. Not supported by backend services for passthrough load balancers. Supports all backends that can be health checked; for example, GCE_VM_IP_PORT network endpoint groups and instance group backends. For GCE_VM_IP_PORT network endpoint group backends, the health check uses the port number specified for each endpoint in the network endpoint group. For instance group backends, the health check uses the port number determined by looking up the backend service's named port in the instance group's list of named ports.\n*   `proxyHeader` (*type:* `String.t`, *default:* `nil`) - Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.\n*   `request` (*type:* `String.t`, *default:* `nil`) - Instructs the health check prober to send this exact ASCII string, up to 1024 bytes in length, after establishing the TCP connection.\n*   `response` (*type:* `String.t`, *default:* `nil`) - Creates a content-based TCP health check. In addition to establishing a TCP connection, you can configure the health check to pass only when the backend sends this exact response ASCII string, up to 1024 bytes in length. For details, see: https://cloud.google.com/load-balancing/docs/health-check-concepts#criteria-protocol-ssl-tcp","ref":"GoogleApi.Compute.V1.Model.TCPHealthCheck.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TCPHealthCheck.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TCPHealthCheck.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TCPHealthCheck.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TCPHealthCheck.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Tags","doc":"A set of instance tags.","ref":"GoogleApi.Compute.V1.Model.Tags.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Tags","doc":"*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Specifies a fingerprint for this request, which is essentially a hash of the tags' contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update tags. You must always provide an up-to-date fingerprint hash in order to update or change tags. To see the latest fingerprint, make get() request to the instance.\n*   `items` (*type:* `list(String.t)`, *default:* `nil`) - An array of tags. Each tag must be 1-63 characters long, and comply with RFC1035.","ref":"GoogleApi.Compute.V1.Model.Tags.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Tags.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Tags.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Tags.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Tags.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxy","doc":"Represents a Target gRPC Proxy resource. A target gRPC proxy is a component of load balancers intended for load balancing gRPC traffic. Only global forwarding rules with load balancing scheme INTERNAL_SELF_MANAGED can reference a target gRPC proxy. The target gRPC Proxy references a URL map that specifies how traffic is routed to gRPC backend services.","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetGrpcProxy","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetGrpcProxy. An up-to-date fingerprint must be provided in order to patch/update the TargetGrpcProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetGrpcProxy.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource type. The server generates this identifier.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetGrpcProxy`) - [Output Only] Type of the resource. Always compute#targetGrpcProxy for target grpc proxies.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `selfLinkWithId` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL with id for the resource.\n*   `urlMap` (*type:* `String.t`, *default:* `nil`) - URL to the UrlMap resource that defines the mapping from URL to the BackendService. The protocol field in the BackendService must be set to GRPC.\n*   `validateForProxyless` (*type:* `boolean()`, *default:* `nil`) - If true, indicates that the BackendServices referenced by the urlMap may be accessed by gRPC applications without using a sidecar proxy. This will enable configuration checks on urlMap and its referenced BackendServices to not allow unsupported features. A gRPC application must use \"xds:///\" scheme in the target URI of the service it is connecting to. If false, indicates that the BackendServices referenced by the urlMap will be accessed by gRPC applications via a sidecar proxy. In this case, a gRPC application must not use \"xds:///\" scheme in the target URI of the service it is connecting to","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxyList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetGrpcProxyList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.TargetGrpcProxy.t)`, *default:* `nil`) - A list of TargetGrpcProxy resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetGrpcProxyList`) - [Output Only] Type of the resource. Always compute#targetGrpcProxy for target grpc proxies.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxyList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxyList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetGrpcProxyListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedList","doc":"*   `targetHttpProxies` (*type:* `list(GoogleApi.Compute.V1.Model.TargetHttpProxy.t)`, *default:* `nil`) - A list of TargetHttpProxies contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarning","doc":"Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpProxy","doc":"Represents a Target HTTP Proxy resource. Google Compute Engine has two Target HTTP Proxy resources: * [Global](/compute/docs/reference/rest/v1/targetHttpProxies) * [Regional](/compute/docs/reference/rest/v1/regionTargetHttpProxies) A target HTTP proxy is a component of Google Cloud HTTP load balancers. * targetHttpProxies are used by global external Application Load Balancers, classic Application Load Balancers, cross-region internal Application Load Balancers, and Traffic Director. * regionTargetHttpProxies are used by regional internal Application Load Balancers and regional external Application Load Balancers. Forwarding rules reference a target HTTP proxy, and the target proxy then references a URL map. For more information, read Using Target Proxies and Forwarding rule concepts.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpProxy","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetHttpProxy. An up-to-date fingerprint must be provided in order to patch/update the TargetHttpProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetHttpProxy.\n*   `httpKeepAliveTimeoutSec` (*type:* `integer()`, *default:* `nil`) - Specifies how long to keep a connection open, after completing a response, while there is no matching traffic (in seconds). If an HTTP keep-alive is not specified, a default value (610 seconds) will be used. For global external Application Load Balancers, the minimum allowed value is 5 seconds and the maximum allowed value is 1200 seconds. For classic Application Load Balancers, this option is not supported.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetHttpProxy`) - [Output Only] Type of resource. Always compute#targetHttpProxy for target HTTP proxies.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `proxyBind` (*type:* `boolean()`, *default:* `nil`) - This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional Target HTTP Proxy resides. This field is not applicable to global Target HTTP Proxies.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `urlMap` (*type:* `String.t`, *default:* `nil`) - URL to the UrlMap resource that defines the mapping from URL to the BackendService.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpProxy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpProxy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpProxyAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.TargetHttpProxiesScopedList.t}`, *default:* `nil`) - A list of TargetHttpProxiesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetHttpProxyAggregatedList`) - [Output Only] Type of resource. Always compute#targetHttpProxyAggregatedList for lists of Target HTTP Proxies.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyList","doc":"A list of TargetHttpProxy resources.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpProxyList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.TargetHttpProxy.t)`, *default:* `nil`) - A list of TargetHttpProxy resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetHttpProxyList`) - Type of resource. Always compute#targetHttpProxyList for lists of target HTTP proxies.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpProxyListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpProxyListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetHttpProxyListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpProxyListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpProxyListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedList","doc":"*   `targetHttpsProxies` (*type:* `list(GoogleApi.Compute.V1.Model.TargetHttpsProxy.t)`, *default:* `nil`) - A list of TargetHttpsProxies contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarning","doc":"Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetCertificateMapRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetCertificateMapRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetCertificateMapRequest","doc":"*   `certificateMap` (*type:* `String.t`, *default:* `nil`) - URL of the Certificate Map to associate with this TargetHttpsProxy. Accepted format is //certificatemanager.googleapis.com/projects/{project }/locations/{location}/certificateMaps/{resourceName}.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetCertificateMapRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetCertificateMapRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetCertificateMapRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetCertificateMapRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetCertificateMapRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetQuicOverrideRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetQuicOverrideRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetQuicOverrideRequest","doc":"*   `quicOverride` (*type:* `String.t`, *default:* `nil`) - QUIC policy for the TargetHttpsProxy resource.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetQuicOverrideRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetQuicOverrideRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetQuicOverrideRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetQuicOverrideRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetQuicOverrideRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetSslCertificatesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetSslCertificatesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetSslCertificatesRequest","doc":"*   `sslCertificates` (*type:* `list(String.t)`, *default:* `nil`) - New set of SslCertificate resources to associate with this TargetHttpsProxy resource. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetSslCertificatesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetSslCertificatesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetSslCertificatesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetSslCertificatesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxiesSetSslCertificatesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxy","doc":"Represents a Target HTTPS Proxy resource. Google Compute Engine has two Target HTTPS Proxy resources: * [Global](/compute/docs/reference/rest/v1/targetHttpsProxies) * [Regional](/compute/docs/reference/rest/v1/regionTargetHttpsProxies) A target HTTPS proxy is a component of GCP HTTPS load balancers. * targetHttpProxies are used by global external Application Load Balancers, classic Application Load Balancers, cross-region internal Application Load Balancers, and Traffic Director. * regionTargetHttpProxies are used by regional internal Application Load Balancers and regional external Application Load Balancers. Forwarding rules reference a target HTTPS proxy, and the target proxy then references a URL map. For more information, read Using Target Proxies and Forwarding rule concepts.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxy","doc":"*   `authorizationPolicy` (*type:* `String.t`, *default:* `nil`) - Optional. A URL referring to a networksecurity.AuthorizationPolicy resource that describes how the proxy should authorize inbound traffic. If left blank, access will not be restricted by an authorization policy. Refer to the AuthorizationPolicy resource for additional details. authorizationPolicy only applies to a global TargetHttpsProxy attached to globalForwardingRules with the loadBalancingScheme set to INTERNAL_SELF_MANAGED. Note: This field currently has no impact.\n*   `certificateMap` (*type:* `String.t`, *default:* `nil`) - URL of a certificate map that identifies a certificate map associated with the given target proxy. This field can only be set for Global external Application Load Balancer or Classic Application Load Balancer. For other products use Certificate Manager Certificates instead. If set, sslCertificates will be ignored. Accepted format is //certificatemanager.googleapis.com/projects/{project }/locations/{location}/certificateMaps/{resourceName}.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a TargetHttpsProxy. An up-to-date fingerprint must be provided in order to patch the TargetHttpsProxy; otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the TargetHttpsProxy.\n*   `httpKeepAliveTimeoutSec` (*type:* `integer()`, *default:* `nil`) - Specifies how long to keep a connection open, after completing a response, while there is no matching traffic (in seconds). If an HTTP keep-alive is not specified, a default value (610 seconds) will be used. For global external Application Load Balancers, the minimum allowed value is 5 seconds and the maximum allowed value is 1200 seconds. For classic Application Load Balancers, this option is not supported.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetHttpsProxy`) - [Output Only] Type of resource. Always compute#targetHttpsProxy for target HTTPS proxies.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `proxyBind` (*type:* `boolean()`, *default:* `nil`) - This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false.\n*   `quicOverride` (*type:* `String.t`, *default:* `nil`) - Specifies the QUIC override policy for this TargetHttpsProxy resource. This setting determines whether the load balancer attempts to negotiate QUIC with clients. You can specify NONE, ENABLE, or DISABLE. - When quic-override is set to NONE, Google manages whether QUIC is used. - When quic-override is set to ENABLE, the load balancer uses QUIC when possible. - When quic-override is set to DISABLE, the load balancer doesn't use QUIC. - If the quic-override flag is not specified, NONE is implied. \n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional TargetHttpsProxy resides. This field is not applicable to global TargetHttpsProxies.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `serverTlsPolicy` (*type:* `String.t`, *default:* `nil`) - Optional. A URL referring to a networksecurity.ServerTlsPolicy resource that describes how the proxy should authenticate inbound traffic. serverTlsPolicy only applies to a global TargetHttpsProxy attached to globalForwardingRules with the loadBalancingScheme set to INTERNAL_SELF_MANAGED or EXTERNAL or EXTERNAL_MANAGED. For details which ServerTlsPolicy resources are accepted with INTERNAL_SELF_MANAGED and which with EXTERNAL, EXTERNAL_MANAGED loadBalancingScheme consult ServerTlsPolicy documentation. If left blank, communications are not encrypted.\n*   `sslCertificates` (*type:* `list(String.t)`, *default:* `nil`) - URLs to SslCertificate resources that are used to authenticate connections between users and the load balancer. At least one SSL certificate must be specified. SslCertificates do not apply when the load balancing scheme is set to INTERNAL_SELF_MANAGED. The URLs should refer to a SSL Certificate resource or Certificate Manager Certificate resource. Mixing Classic Certificates and Certificate Manager Certificates is not allowed. Certificate Manager Certificates must include the certificatemanager API. Certificate Manager Certificates are not supported by Global external Application Load Balancer or Classic Application Load Balancer, use certificate_map instead. Currently, you may specify up to 15 Classic SSL Certificates. Certificate Manager Certificates accepted formats are: - //certificatemanager.googleapis.com/projects/{project}/locations/{ location}/certificates/{resourceName}. - https://certificatemanager.googleapis.com/v1alpha1/projects/{project }/locations/{location}/certificates/{resourceName}. \n*   `sslPolicy` (*type:* `String.t`, *default:* `nil`) - URL of SslPolicy resource that will be associated with the TargetHttpsProxy resource. If not set, the TargetHttpsProxy resource has no SSL policy configured.\n*   `tlsEarlyData` (*type:* `String.t`, *default:* `nil`) -  Specifies whether TLS 1.3 0-RTT Data (\"Early Data\") should be accepted for this service. Early Data allows a TLS resumption handshake to include the initial application payload (a HTTP request) alongside the handshake, reducing the effective round trips to \"zero\". This applies to TLS 1.3 connections over TCP (HTTP/2) as well as over UDP (QUIC/h3). This can improve application performance, especially on networks where interruptions may be common, such as on mobile. Requests with Early Data will have the \"Early-Data\" HTTP header set on the request, with a value of \"1\", to allow the backend to determine whether Early Data was included. Note: TLS Early Data may allow requests to be replayed, as the data is sent to the backend before the handshake has fully completed. Applications that allow idempotent HTTP methods to make non-idempotent changes, such as a GET request updating a database, should not accept Early Data on those requests, and reject requests with the \"Early-Data: 1\" HTTP header by returning a HTTP 425 (Too Early) status code, in order to remain RFC compliant. The default value is DISABLED.\n*   `urlMap` (*type:* `String.t`, *default:* `nil`) - A fully-qualified or valid partial URL to the UrlMap resource that defines the mapping from URL to the BackendService. For example, the following are all valid URLs for specifying a URL map: - https://www.googleapis.compute/v1/projects/project/global/urlMaps/ url-map - projects/project/global/urlMaps/url-map - global/urlMaps/url-map","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.TargetHttpsProxiesScopedList.t}`, *default:* `nil`) - A list of TargetHttpsProxiesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetHttpsProxyAggregatedList`) - [Output Only] Type of resource. Always compute#targetHttpsProxyAggregatedList for lists of Target HTTP Proxies.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyList","doc":"Contains a list of TargetHttpsProxy resources.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxyList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.TargetHttpsProxy.t)`, *default:* `nil`) - A list of TargetHttpsProxy resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetHttpsProxyList`) - Type of resource. Always compute#targetHttpsProxyList for lists of target HTTPS proxies.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetHttpsProxyListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetInstance","doc":"Represents a Target Instance resource. You can use a target instance to handle traffic for one or more forwarding rules, which is ideal for forwarding protocol traffic that is managed by a single source. For example, ESP, AH, TCP, or UDP. For more information, read Target instances.","ref":"GoogleApi.Compute.V1.Model.TargetInstance.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetInstance","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `instance` (*type:* `String.t`, *default:* `nil`) - A URL to the virtual machine instance that handles traffic for this target instance. When creating a target instance, you can provide the fully-qualified URL or a valid partial URL to the desired virtual machine. For example, the following are all valid URLs: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /instances/instance - projects/project/zones/zone/instances/instance - zones/zone/instances/instance \n*   `kind` (*type:* `String.t`, *default:* `compute#targetInstance`) - [Output Only] The type of the resource. Always compute#targetInstance for target instances.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `natPolicy` (*type:* `String.t`, *default:* `nil`) - Must have a value of NO_NAT. Protocol forwarding delivers packets while preserving the destination IP address of the forwarding rule referencing the target instance.\n*   `network` (*type:* `String.t`, *default:* `nil`) - The URL of the network this target instance uses to forward traffic. If not specified, the traffic will be forwarded to the network that the default network interface belongs to.\n*   `securityPolicy` (*type:* `String.t`, *default:* `nil`) - [Output Only] The resource URL for the security policy associated with this target instance.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the zone where the target instance resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.","ref":"GoogleApi.Compute.V1.Model.TargetInstance.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetInstance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetInstance.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetInstance.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstance.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetInstanceAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.TargetInstancesScopedList.t}`, *default:* `nil`) - A list of TargetInstance resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetInstanceAggregatedList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstanceAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetInstanceList","doc":"Contains a list of TargetInstance resources.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetInstanceList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.TargetInstance.t)`, *default:* `nil`) - A list of TargetInstance resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetInstanceList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetInstanceListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetInstanceList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetInstanceList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstanceList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetInstanceListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetInstanceListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetInstanceListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetInstanceListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetInstanceListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstanceListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetInstanceListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstanceListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetInstanceListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetInstanceListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetInstanceListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetInstanceListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstanceListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetInstancesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetInstancesScopedList","doc":"*   `targetInstances` (*type:* `list(GoogleApi.Compute.V1.Model.TargetInstance.t)`, *default:* `nil`) - A list of target instances contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetInstancesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetInstancesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarning","doc":"Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetInstancesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPool","doc":"Represents a Target Pool resource. Target pools are used with external passthrough Network Load Balancers. A target pool references member instances, an associated legacy HttpHealthCheck resource, and, optionally, a backup target pool. For more information, read Using target pools.","ref":"GoogleApi.Compute.V1.Model.TargetPool.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPool","doc":"*   `backupPool` (*type:* `String.t`, *default:* `nil`) - The server-defined URL for the resource. This field is applicable only when the containing target pool is serving a forwarding rule as the primary pool, and its failoverRatio field is properly set to a value between [0, 1]. backupPool and failoverRatio together define the fallback behavior of the primary target pool: if the ratio of the healthy instances in the primary pool is at or below failoverRatio, traffic arriving at the load-balanced IP will be directed to the backup pool. In case where failoverRatio and backupPool are not set, or all the instances in the backup pool are unhealthy, the traffic will be directed back to the primary pool in the \"force\" mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `failoverRatio` (*type:* `number()`, *default:* `nil`) - This field is applicable only when the containing target pool is serving a forwarding rule as the primary pool (i.e., not as a backup pool to some other target pool). The value of the field must be in [0, 1]. If set, backupPool must also be set. They together define the fallback behavior of the primary target pool: if the ratio of the healthy instances in the primary pool is at or below this number, traffic arriving at the load-balanced IP will be directed to the backup pool. In case where failoverRatio is not set or all the instances in the backup pool are unhealthy, the traffic will be directed back to the primary pool in the \"force\" mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy.\n*   `healthChecks` (*type:* `list(String.t)`, *default:* `nil`) - The URL of the HttpHealthCheck resource. A member instance in this pool is considered healthy if and only if the health checks pass. Only legacy HttpHealthChecks are supported. Only one health check may be specified.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `instances` (*type:* `list(String.t)`, *default:* `nil`) - A list of resource URLs to the virtual machine instances serving this pool. They must live in zones contained in the same region as this pool.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetPool`) - [Output Only] Type of the resource. Always compute#targetPool for target pools.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the target pool resides.\n*   `securityPolicy` (*type:* `String.t`, *default:* `nil`) - [Output Only] The resource URL for the security policy associated with this target pool.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `sessionAffinity` (*type:* `String.t`, *default:* `nil`) - Session affinity option, must be one of the following values: NONE: Connections from the same client IP may go to any instance in the pool. CLIENT_IP: Connections from the same client IP will go to the same instance in the pool while that instance remains healthy. CLIENT_IP_PROTO: Connections from the same client IP with the same IP protocol will go to the same instance in the pool while that instance remains healthy.","ref":"GoogleApi.Compute.V1.Model.TargetPool.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPool.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPool.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPool.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPool.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.TargetPoolsScopedList.t}`, *default:* `nil`) - A list of TargetPool resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetPoolAggregatedList`) - [Output Only] Type of resource. Always compute#targetPoolAggregatedList for aggregated lists of target pools.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolInstanceHealth","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolInstanceHealth.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolInstanceHealth","doc":"*   `healthStatus` (*type:* `list(GoogleApi.Compute.V1.Model.HealthStatus.t)`, *default:* `nil`) - \n*   `kind` (*type:* `String.t`, *default:* `compute#targetPoolInstanceHealth`) - [Output Only] Type of resource. Always compute#targetPoolInstanceHealth when checking the health of an instance.","ref":"GoogleApi.Compute.V1.Model.TargetPoolInstanceHealth.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolInstanceHealth.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolInstanceHealth.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolInstanceHealth.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolInstanceHealth.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolList","doc":"Contains a list of TargetPool resources.","ref":"GoogleApi.Compute.V1.Model.TargetPoolList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.TargetPool.t)`, *default:* `nil`) - A list of TargetPool resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetPoolList`) - [Output Only] Type of resource. Always compute#targetPoolList for lists of target pools.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetPoolListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetPoolList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetPoolListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetPoolListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetPoolListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetPoolListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolsAddHealthCheckRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsAddHealthCheckRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolsAddHealthCheckRequest","doc":"*   `healthChecks` (*type:* `list(GoogleApi.Compute.V1.Model.HealthCheckReference.t)`, *default:* `nil`) - The HttpHealthCheck to add to the target pool.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsAddHealthCheckRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolsAddHealthCheckRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsAddHealthCheckRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolsAddHealthCheckRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsAddHealthCheckRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolsAddInstanceRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsAddInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolsAddInstanceRequest","doc":"*   `instances` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceReference.t)`, *default:* `nil`) - A full or partial URL to an instance to add to this target pool. This can be a full or partial URL. For example, the following are valid URLs: - https://www.googleapis.com/compute/v1/projects/project-id/zones/zone /instances/instance-name - projects/project-id/zones/zone/instances/instance-name - zones/zone/instances/instance-name","ref":"GoogleApi.Compute.V1.Model.TargetPoolsAddInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolsAddInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsAddInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolsAddInstanceRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsAddInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveHealthCheckRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveHealthCheckRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolsRemoveHealthCheckRequest","doc":"*   `healthChecks` (*type:* `list(GoogleApi.Compute.V1.Model.HealthCheckReference.t)`, *default:* `nil`) - Health check URL to be removed. This can be a full or valid partial URL. For example, the following are valid URLs: - https://www.googleapis.com/compute/beta/projects/project /global/httpHealthChecks/health-check - projects/project/global/httpHealthChecks/health-check - global/httpHealthChecks/health-check","ref":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveHealthCheckRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveHealthCheckRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveHealthCheckRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveHealthCheckRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveHealthCheckRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveInstanceRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolsRemoveInstanceRequest","doc":"*   `instances` (*type:* `list(GoogleApi.Compute.V1.Model.InstanceReference.t)`, *default:* `nil`) - URLs of the instances to be removed from target pool.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveInstanceRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsRemoveInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolsScopedList","doc":"*   `targetPools` (*type:* `list(GoogleApi.Compute.V1.Model.TargetPool.t)`, *default:* `nil`) - A list of target pools contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarning","doc":"Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetPoolsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetReference","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetReference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetReference","doc":"*   `target` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.TargetReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetReference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetReference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetBackendServiceRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetBackendServiceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetSslProxiesSetBackendServiceRequest","doc":"*   `service` (*type:* `String.t`, *default:* `nil`) - The URL of the new BackendService resource for the targetSslProxy.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetBackendServiceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetBackendServiceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetBackendServiceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetBackendServiceRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetBackendServiceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetCertificateMapRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetCertificateMapRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetSslProxiesSetCertificateMapRequest","doc":"*   `certificateMap` (*type:* `String.t`, *default:* `nil`) - URL of the Certificate Map to associate with this TargetSslProxy. Accepted format is //certificatemanager.googleapis.com/projects/{project }/locations/{location}/certificateMaps/{resourceName}.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetCertificateMapRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetCertificateMapRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetCertificateMapRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetCertificateMapRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetCertificateMapRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetProxyHeaderRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetProxyHeaderRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetSslProxiesSetProxyHeaderRequest","doc":"*   `proxyHeader` (*type:* `String.t`, *default:* `nil`) - The new type of proxy header to append before sending data to the backend. NONE or PROXY_V1 are allowed.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetProxyHeaderRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetProxyHeaderRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetProxyHeaderRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetProxyHeaderRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetProxyHeaderRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetSslCertificatesRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetSslCertificatesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetSslProxiesSetSslCertificatesRequest","doc":"*   `sslCertificates` (*type:* `list(String.t)`, *default:* `nil`) - New set of URLs to SslCertificate resources to associate with this TargetSslProxy. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetSslCertificatesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetSslCertificatesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetSslCertificatesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetSslCertificatesRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxiesSetSslCertificatesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetSslProxy","doc":"Represents a Target SSL Proxy resource. A target SSL proxy is a component of a Proxy Network Load Balancer. The forwarding rule references the target SSL proxy, and the target proxy then references a backend service. For more information, read Proxy Network Load Balancer overview.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetSslProxy","doc":"*   `certificateMap` (*type:* `String.t`, *default:* `nil`) - URL of a certificate map that identifies a certificate map associated with the given target proxy. This field can only be set for global target proxies. If set, sslCertificates will be ignored. Accepted format is //certificatemanager.googleapis.com/projects/{project }/locations/{location}/certificateMaps/{resourceName}.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetSslProxy`) - [Output Only] Type of the resource. Always compute#targetSslProxy for target SSL proxies.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `proxyHeader` (*type:* `String.t`, *default:* `nil`) - Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `service` (*type:* `String.t`, *default:* `nil`) - URL to the BackendService resource.\n*   `sslCertificates` (*type:* `list(String.t)`, *default:* `nil`) - URLs to SslCertificate resources that are used to authenticate connections to Backends. At least one SSL certificate must be specified. Currently, you may specify up to 15 SSL certificates. sslCertificates do not apply when the load balancing scheme is set to INTERNAL_SELF_MANAGED.\n*   `sslPolicy` (*type:* `String.t`, *default:* `nil`) - URL of SslPolicy resource that will be associated with the TargetSslProxy resource. If not set, the TargetSslProxy resource will not have any SSL policy configured.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetSslProxy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetSslProxy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetSslProxyList","doc":"Contains a list of TargetSslProxy resources.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetSslProxyList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.TargetSslProxy.t)`, *default:* `nil`) - A list of TargetSslProxy resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetSslProxyList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetSslProxyListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetSslProxyList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetSslProxyList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetSslProxyListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetSslProxyListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetSslProxyListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetSslProxyListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedList","doc":"*   `targetTcpProxies` (*type:* `list(GoogleApi.Compute.V1.Model.TargetTcpProxy.t)`, *default:* `nil`) - A list of TargetTcpProxies contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarning","doc":"Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetBackendServiceRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetBackendServiceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxiesSetBackendServiceRequest","doc":"*   `service` (*type:* `String.t`, *default:* `nil`) - The URL of the new BackendService resource for the targetTcpProxy.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetBackendServiceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetBackendServiceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetBackendServiceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetBackendServiceRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetBackendServiceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetProxyHeaderRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetProxyHeaderRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxiesSetProxyHeaderRequest","doc":"*   `proxyHeader` (*type:* `String.t`, *default:* `nil`) - The new type of proxy header to append before sending data to the backend. NONE or PROXY_V1 are allowed.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetProxyHeaderRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetProxyHeaderRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetProxyHeaderRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetProxyHeaderRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxiesSetProxyHeaderRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxy","doc":"Represents a Target TCP Proxy resource. A target TCP proxy is a component of a Proxy Network Load Balancer. The forwarding rule references the target TCP proxy, and the target proxy then references a backend service. For more information, read Proxy Network Load Balancer overview.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxy.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxy","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetTcpProxy`) - [Output Only] Type of the resource. Always compute#targetTcpProxy for target TCP proxies.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `proxyBind` (*type:* `boolean()`, *default:* `nil`) - This field only applies when the forwarding rule that references this target proxy has a loadBalancingScheme set to INTERNAL_SELF_MANAGED. When this field is set to true, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is false.\n*   `proxyHeader` (*type:* `String.t`, *default:* `nil`) - Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional TCP proxy resides. This field is not applicable to global TCP proxy.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `service` (*type:* `String.t`, *default:* `nil`) - URL to the BackendService resource.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxy.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxy.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxy.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxy.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.TargetTcpProxiesScopedList.t}`, *default:* `nil`) - A list of TargetTcpProxiesScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetTcpProxyAggregatedList`) - [Output Only] Type of resource. Always compute#targetTcpProxyAggregatedList for lists of Target TCP Proxies.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyList","doc":"Contains a list of TargetTcpProxy resources.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxyList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.TargetTcpProxy.t)`, *default:* `nil`) - A list of TargetTcpProxy resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetTcpProxyList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetTcpProxyListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxyListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetTcpProxyListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetTcpProxyListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetTcpProxyListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetVpnGateway","doc":"Represents a Target VPN Gateway resource. The target VPN gateway resource represents a Classic Cloud VPN gateway. For more information, read the the Cloud VPN Overview.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGateway.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetVpnGateway","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `forwardingRules` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] A list of URLs to the ForwardingRule resources. ForwardingRules are created using compute.forwardingRules.insert and associated with a VPN gateway.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetVpnGateway`) - [Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this TargetVpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a TargetVpnGateway.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `network` (*type:* `String.t`, *default:* `nil`) - URL of the network to which this VPN gateway is attached. Provided by the client when the VPN gateway is created.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the target VPN gateway resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the VPN gateway, which can be one of the following: CREATING, READY, FAILED, or DELETING.\n*   `tunnels` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] A list of URLs to VpnTunnel resources. VpnTunnels are created using the compute.vpntunnels.insert method and associated with a VPN gateway.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGateway.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetVpnGateway.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGateway.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetVpnGateway.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGateway.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedList.t}`, *default:* `nil`) - A list of TargetVpnGateway resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetVpnGatewayAggregatedList`) - [Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayList","doc":"Contains a list of TargetVpnGateway resources.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetVpnGatewayList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.TargetVpnGateway.t)`, *default:* `nil`) - A list of TargetVpnGateway resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#targetVpnGatewayList`) - [Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewayListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedList","doc":"*   `targetVpnGateways` (*type:* `list(GoogleApi.Compute.V1.Model.TargetVpnGateway.t)`, *default:* `nil`) - [Output Only] A list of target VPN gateways contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TargetVpnGatewaysScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TestFailure","doc":"","ref":"GoogleApi.Compute.V1.Model.TestFailure.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TestFailure","doc":"*   `actualOutputUrl` (*type:* `String.t`, *default:* `nil`) - The actual output URL evaluated by a load balancer containing the scheme, host, path and query parameters.\n*   `actualRedirectResponseCode` (*type:* `integer()`, *default:* `nil`) - Actual HTTP status code for rule with `urlRedirect` calculated by load balancer\n*   `actualService` (*type:* `String.t`, *default:* `nil`) - BackendService or BackendBucket returned by load balancer.\n*   `expectedOutputUrl` (*type:* `String.t`, *default:* `nil`) - The expected output URL evaluated by a load balancer containing the scheme, host, path and query parameters.\n*   `expectedRedirectResponseCode` (*type:* `integer()`, *default:* `nil`) - Expected HTTP status code for rule with `urlRedirect` calculated by load balancer\n*   `expectedService` (*type:* `String.t`, *default:* `nil`) - Expected BackendService or BackendBucket resource the given URL should be mapped to.\n*   `headers` (*type:* `list(GoogleApi.Compute.V1.Model.UrlMapTestHeader.t)`, *default:* `nil`) - HTTP headers of the request.\n*   `host` (*type:* `String.t`, *default:* `nil`) - Host portion of the URL.\n*   `path` (*type:* `String.t`, *default:* `nil`) - Path portion including query parameters in the URL.","ref":"GoogleApi.Compute.V1.Model.TestFailure.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TestFailure.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TestFailure.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TestFailure.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TestFailure.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TestPermissionsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.TestPermissionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TestPermissionsRequest","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - The set of permissions to check for the 'resource'. Permissions with wildcards (such as '*' or 'storage.*') are not allowed.","ref":"GoogleApi.Compute.V1.Model.TestPermissionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TestPermissionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TestPermissionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TestPermissionsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TestPermissionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.TestPermissionsResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.TestPermissionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.TestPermissionsResponse","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - A subset of `TestPermissionsRequest.permissions` that the caller is allowed.","ref":"GoogleApi.Compute.V1.Model.TestPermissionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.TestPermissionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.TestPermissionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.TestPermissionsResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.TestPermissionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Uint128","doc":"","ref":"GoogleApi.Compute.V1.Model.Uint128.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Uint128","doc":"*   `high` (*type:* `String.t`, *default:* `nil`) - \n*   `low` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.Uint128.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Uint128.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Uint128.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Uint128.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Uint128.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UpcomingMaintenance","doc":"Upcoming Maintenance notification information.","ref":"GoogleApi.Compute.V1.Model.UpcomingMaintenance.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UpcomingMaintenance","doc":"*   `canReschedule` (*type:* `boolean()`, *default:* `nil`) - Indicates if the maintenance can be customer triggered.\n*   `latestWindowStartTime` (*type:* `String.t`, *default:* `nil`) - The latest time for the planned maintenance window to start. This timestamp value is in RFC3339 text format.\n*   `maintenanceStatus` (*type:* `String.t`, *default:* `nil`) - \n*   `type` (*type:* `String.t`, *default:* `nil`) - Defines the type of maintenance.\n*   `windowEndTime` (*type:* `String.t`, *default:* `nil`) - The time by which the maintenance disruption will be completed. This timestamp value is in RFC3339 text format.\n*   `windowStartTime` (*type:* `String.t`, *default:* `nil`) - The current start time of the maintenance window. This timestamp value is in RFC3339 text format.","ref":"GoogleApi.Compute.V1.Model.UpcomingMaintenance.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UpcomingMaintenance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UpcomingMaintenance.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UpcomingMaintenance.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UpcomingMaintenance.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMap","doc":"Represents a URL Map resource. Compute Engine has two URL Map resources: * [Global](/compute/docs/reference/rest/v1/urlMaps) * [Regional](/compute/docs/reference/rest/v1/regionUrlMaps) A URL map resource is a component of certain types of cloud load balancers and Traffic Director: * urlMaps are used by global external Application Load Balancers, classic Application Load Balancers, and cross-region internal Application Load Balancers. * regionUrlMaps are used by internal Application Load Balancers, regional external Application Load Balancers and regional internal Application Load Balancers. For a list of supported URL map features by the load balancer type, see the Load balancing features: Routing and traffic management table. For a list of supported URL map features for Traffic Director, see the Traffic Director features: Routing and traffic management table. This resource defines mappings from hostnames and URL paths to either a backend service or a backend bucket. To use the global urlMaps resource, the backend service must have a loadBalancingScheme of either EXTERNAL, EXTERNAL_MANAGED, or INTERNAL_SELF_MANAGED. To use the regionUrlMaps resource, the backend service must have a loadBalancingScheme of INTERNAL_MANAGED. For more information, read URL Map Concepts.","ref":"GoogleApi.Compute.V1.Model.UrlMap.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMap","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `defaultCustomErrorResponsePolicy` (*type:* `GoogleApi.Compute.V1.Model.CustomErrorResponsePolicy.t`, *default:* `nil`) - defaultCustomErrorResponsePolicy specifies how the Load Balancer returns error responses when BackendServiceor BackendBucket responds with an error. This policy takes effect at the load balancer level and applies only when no policy has been defined for the error code at lower levels like PathMatcher, RouteRule and PathRule within this UrlMap. For example, consider a UrlMap with the following configuration: - defaultCustomErrorResponsePolicy containing policies for responding to 5xx and 4xx errors - A PathMatcher configured for *.example.com has defaultCustomErrorResponsePolicy for 4xx. If a request for http://www.example.com/ encounters a 404, the policy in pathMatcher.defaultCustomErrorResponsePolicy will be enforced. When the request for http://www.example.com/ encounters a 502, the policy in UrlMap.defaultCustomErrorResponsePolicy will be enforced. When a request that does not match any host in *.example.com such as http://www.myotherexample.com/, encounters a 404, UrlMap.defaultCustomErrorResponsePolicy takes effect. When used in conjunction with defaultRouteAction.retryPolicy, retries take precedence. Only once all retries are exhausted, the defaultCustomErrorResponsePolicy is applied. While attempting a retry, if load balancer is successful in reaching the service, the defaultCustomErrorResponsePolicy is ignored and the response from the service is returned to the client. defaultCustomErrorResponsePolicy is supported only for global external Application Load Balancers.\n*   `defaultRouteAction` (*type:* `GoogleApi.Compute.V1.Model.HttpRouteAction.t`, *default:* `nil`) - defaultRouteAction takes effect when none of the hostRules match. The load balancer performs advanced routing actions, such as URL rewrites and header transformations, before forwarding the request to the selected backend. If defaultRouteAction specifies any weightedBackendServices, defaultService must not be set. Conversely if defaultService is set, defaultRouteAction cannot contain any weightedBackendServices. Only one of defaultRouteAction or defaultUrlRedirect must be set. URL maps for classic Application Load Balancers only support the urlRewrite action within defaultRouteAction. defaultRouteAction has no effect when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.\n*   `defaultService` (*type:* `String.t`, *default:* `nil`) - The full or partial URL of the defaultService resource to which traffic is directed if none of the hostRules match. If defaultRouteAction is also specified, advanced routing actions, such as URL rewrites, take effect before sending the request to the backend. However, if defaultService is specified, defaultRouteAction cannot contain any defaultRouteAction.weightedBackendServices. Conversely, if defaultRouteAction specifies any defaultRouteAction.weightedBackendServices, defaultService must not be specified. If defaultService is specified, then set either defaultUrlRedirect , or defaultRouteAction.weightedBackendService Don't set both. defaultService has no effect when the URL map is bound to a target gRPC proxy that has the validateForProxyless field set to true.\n*   `defaultUrlRedirect` (*type:* `GoogleApi.Compute.V1.Model.HttpRedirectAction.t`, *default:* `nil`) - When none of the specified hostRules match, the request is redirected to a URL specified by defaultUrlRedirect. If defaultUrlRedirect is specified, defaultService or defaultRouteAction must not be set. Not supported when the URL map is bound to a target gRPC proxy.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `fingerprint` (*type:* `String.t`, *default:* `nil`) - Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field is ignored when inserting a UrlMap. An up-to-date fingerprint must be provided in order to update the UrlMap, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a UrlMap.\n*   `headerAction` (*type:* `GoogleApi.Compute.V1.Model.HttpHeaderAction.t`, *default:* `nil`) - Specifies changes to request and response headers that need to take effect for the selected backendService. The headerAction specified here take effect after headerAction specified under pathMatcher. headerAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.\n*   `hostRules` (*type:* `list(GoogleApi.Compute.V1.Model.HostRule.t)`, *default:* `nil`) - The list of host rules to use against the URL.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#urlMap`) - [Output Only] Type of the resource. Always compute#urlMaps for url maps.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `pathMatchers` (*type:* `list(GoogleApi.Compute.V1.Model.PathMatcher.t)`, *default:* `nil`) - The list of named PathMatchers to use against the URL.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the regional URL map resides. This field is not applicable to global URL maps. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `tests` (*type:* `list(GoogleApi.Compute.V1.Model.UrlMapTest.t)`, *default:* `nil`) - The list of expected URL mapping tests. Request to update the UrlMap succeeds only if all test cases pass. You can specify a maximum of 100 tests per UrlMap. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.","ref":"GoogleApi.Compute.V1.Model.UrlMap.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMap.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMap.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMap.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMap.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapList","doc":"Contains a list of UrlMap resources.","ref":"GoogleApi.Compute.V1.Model.UrlMapList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.UrlMap.t)`, *default:* `nil`) - A list of UrlMap resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#urlMapList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.UrlMapListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.UrlMapList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.UrlMapListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.UrlMapListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.UrlMapListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.UrlMapListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapReference","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapReference.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapReference","doc":"*   `urlMap` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.UrlMapReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapReference.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapReference.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapTest","doc":"Message for the expected URL mappings.","ref":"GoogleApi.Compute.V1.Model.UrlMapTest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapTest","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Description of this test case.\n*   `expectedOutputUrl` (*type:* `String.t`, *default:* `nil`) - The expected output URL evaluated by the load balancer containing the scheme, host, path and query parameters. For rules that forward requests to backends, the test passes only when expectedOutputUrl matches the request forwarded by the load balancer to backends. For rules with urlRewrite, the test verifies that the forwarded request matches hostRewrite and pathPrefixRewrite in the urlRewrite action. When service is specified, expectedOutputUrl`s scheme is ignored. For rules with urlRedirect, the test passes only if expectedOutputUrl matches the URL in the load balancer's redirect response. If urlRedirect specifies https_redirect, the test passes only if the scheme in expectedOutputUrl is also set to HTTPS. If urlRedirect specifies strip_query, the test passes only if expectedOutputUrl does not contain any query parameters. expectedOutputUrl is optional when service is specified.\n*   `expectedRedirectResponseCode` (*type:* `integer()`, *default:* `nil`) - For rules with urlRedirect, the test passes only if expectedRedirectResponseCode matches the HTTP status code in load balancer's redirect response. expectedRedirectResponseCode cannot be set when service is set.\n*   `headers` (*type:* `list(GoogleApi.Compute.V1.Model.UrlMapTestHeader.t)`, *default:* `nil`) - HTTP headers for this request. If headers contains a host header, then host must also match the header value.\n*   `host` (*type:* `String.t`, *default:* `nil`) - Host portion of the URL. If headers contains a host header, then host must also match the header value.\n*   `path` (*type:* `String.t`, *default:* `nil`) - Path portion of the URL.\n*   `service` (*type:* `String.t`, *default:* `nil`) - Expected BackendService or BackendBucket resource the given URL should be mapped to. The service field cannot be set if expectedRedirectResponseCode is set.","ref":"GoogleApi.Compute.V1.Model.UrlMapTest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapTest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapTest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapTest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapTest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapTestHeader","doc":"HTTP headers used in UrlMapTests.","ref":"GoogleApi.Compute.V1.Model.UrlMapTestHeader.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapTestHeader","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Header name.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Header value.","ref":"GoogleApi.Compute.V1.Model.UrlMapTestHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapTestHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapTestHeader.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapTestHeader.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapTestHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapValidationResult","doc":"Message representing the validation result for a UrlMap.","ref":"GoogleApi.Compute.V1.Model.UrlMapValidationResult.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapValidationResult","doc":"*   `loadErrors` (*type:* `list(String.t)`, *default:* `nil`) - \n*   `loadSucceeded` (*type:* `boolean()`, *default:* `nil`) - Whether the given UrlMap can be successfully loaded. If false, 'loadErrors' indicates the reasons.\n*   `testFailures` (*type:* `list(GoogleApi.Compute.V1.Model.TestFailure.t)`, *default:* `nil`) - \n*   `testPassed` (*type:* `boolean()`, *default:* `nil`) - If successfully loaded, this field indicates whether the test passed. If false, 'testFailures's indicate the reason of failure.","ref":"GoogleApi.Compute.V1.Model.UrlMapValidationResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapValidationResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapValidationResult.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapValidationResult.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapValidationResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapsAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.UrlMapsScopedList.t}`, *default:* `nil`) - A list of UrlMapsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#urlMapsAggregatedList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapsScopedList","doc":"*   `urlMaps` (*type:* `list(GoogleApi.Compute.V1.Model.UrlMap.t)`, *default:* `nil`) - A list of UrlMaps contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.UrlMapsScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarning","doc":"Informational warning which replaces the list of backend services when the list is empty.","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.UrlMapsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapsValidateRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsValidateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapsValidateRequest","doc":"*   `loadBalancingSchemes` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the load balancer type(s) this validation request is for. Use EXTERNAL_MANAGED for global external Application Load Balancers and regional external Application Load Balancers. Use EXTERNAL for classic Application Load Balancers. Use INTERNAL_MANAGED for internal Application Load Balancers. For more information, refer to Choosing a load balancer. If unspecified, the load balancing scheme will be inferred from the backend service resources this URL map references. If that can not be inferred (for example, this URL map only references backend buckets, or this Url map is for rewrites and redirects only and doesn't reference any backends), EXTERNAL will be used as the default type. If specified, the scheme(s) must not conflict with the load balancing scheme of the backend service resources this Url map references.\n*   `resource` (*type:* `GoogleApi.Compute.V1.Model.UrlMap.t`, *default:* `nil`) - Content of the UrlMap to be validated.","ref":"GoogleApi.Compute.V1.Model.UrlMapsValidateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapsValidateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapsValidateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapsValidateRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsValidateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlMapsValidateResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsValidateResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlMapsValidateResponse","doc":"*   `result` (*type:* `GoogleApi.Compute.V1.Model.UrlMapValidationResult.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.UrlMapsValidateResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlMapsValidateResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlMapsValidateResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlMapsValidateResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlMapsValidateResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UrlRewrite","doc":"The spec for modifying the path before sending the request to the matched backend service.","ref":"GoogleApi.Compute.V1.Model.UrlRewrite.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UrlRewrite","doc":"*   `hostRewrite` (*type:* `String.t`, *default:* `nil`) - Before forwarding the request to the selected service, the request's host header is replaced with contents of hostRewrite. The value must be from 1 to 255 characters.\n*   `pathPrefixRewrite` (*type:* `String.t`, *default:* `nil`) - Before forwarding the request to the selected backend service, the matching portion of the request's path is replaced by pathPrefixRewrite. The value must be from 1 to 1024 characters.\n*   `pathTemplateRewrite` (*type:* `String.t`, *default:* `nil`) -  If specified, the pattern rewrites the URL path (based on the :path header) using the HTTP template syntax. A corresponding path_template_match must be specified. Any template variables must exist in the path_template_match field. - -At least one variable must be specified in the path_template_match field - You can omit variables from the rewritten URL - The * and ** operators cannot be matched unless they have a corresponding variable name - e.g. {format=*} or {var=**}. For example, a path_template_match of /static/{format=**} could be rewritten as /static/content/{format} to prefix /content to the URL. Variables can also be re-ordered in a rewrite, so that /{country}/{format}/{suffix=**} can be rewritten as /content/{format}/{country}/{suffix}. At least one non-empty routeRules[].matchRules[].path_template_match is required. Only one of path_prefix_rewrite or path_template_rewrite may be specified.","ref":"GoogleApi.Compute.V1.Model.UrlRewrite.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UrlRewrite.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UrlRewrite.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UrlRewrite.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UrlRewrite.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UsableSubnetwork","doc":"Subnetwork which the current user has compute.subnetworks.use permission on.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetwork.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UsableSubnetwork","doc":"*   `externalIpv6Prefix` (*type:* `String.t`, *default:* `nil`) - [Output Only] The external IPv6 address range that is assigned to this subnetwork.\n*   `internalIpv6Prefix` (*type:* `String.t`, *default:* `nil`) - [Output Only] The internal IPv6 address range that is assigned to this subnetwork.\n*   `ipCidrRange` (*type:* `String.t`, *default:* `nil`) - The range of internal addresses that are owned by this subnetwork.\n*   `ipv6AccessType` (*type:* `String.t`, *default:* `nil`) - The access type of IPv6 address this subnet holds. It's immutable and can only be specified during creation or the first time the subnet is updated into IPV4_IPV6 dual stack.\n*   `network` (*type:* `String.t`, *default:* `nil`) - Network URL.\n*   `purpose` (*type:* `String.t`, *default:* `nil`) - The purpose of the resource. This field can be either PRIVATE, GLOBAL_MANAGED_PROXY, REGIONAL_MANAGED_PROXY, PRIVATE_SERVICE_CONNECT, or PRIVATE is the default purpose for user-created subnets or subnets that are automatically created in auto mode networks. Subnets with purpose set to GLOBAL_MANAGED_PROXY or REGIONAL_MANAGED_PROXY are user-created subnetworks that are reserved for Envoy-based load balancers. A subnet with purpose set to PRIVATE_SERVICE_CONNECT is used to publish services using Private Service Connect. If unspecified, the subnet purpose defaults to PRIVATE. The enableFlowLogs field isn't supported if the subnet purpose field is set to GLOBAL_MANAGED_PROXY or REGIONAL_MANAGED_PROXY.\n*   `role` (*type:* `String.t`, *default:* `nil`) - The role of subnetwork. Currently, this field is only used when purpose is set to GLOBAL_MANAGED_PROXY or REGIONAL_MANAGED_PROXY. The value can be set to ACTIVE or BACKUP. An ACTIVE subnetwork is one that is currently being used for Envoy-based load balancers in a region. A BACKUP subnetwork is one that is ready to be promoted to ACTIVE or is currently draining. This field can be updated with a patch request.\n*   `secondaryIpRanges` (*type:* `list(GoogleApi.Compute.V1.Model.UsableSubnetworkSecondaryRange.t)`, *default:* `nil`) - Secondary IP ranges.\n*   `stackType` (*type:* `String.t`, *default:* `nil`) - The stack type for the subnet. If set to IPV4_ONLY, new VMs in the subnet are assigned IPv4 addresses only. If set to IPV4_IPV6, new VMs in the subnet can be assigned both IPv4 and IPv6 addresses. If not specified, IPV4_ONLY is used. This field can be both set at resource creation time and updated using patch.\n*   `subnetwork` (*type:* `String.t`, *default:* `nil`) - Subnetwork URL.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetwork.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UsableSubnetwork.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetwork.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UsableSubnetwork.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UsableSubnetwork.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UsableSubnetworkSecondaryRange","doc":"Secondary IP range of a usable subnetwork.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworkSecondaryRange.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UsableSubnetworkSecondaryRange","doc":"*   `ipCidrRange` (*type:* `String.t`, *default:* `nil`) - The range of IP addresses belonging to this subnetwork secondary range.\n*   `rangeName` (*type:* `String.t`, *default:* `nil`) - The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworkSecondaryRange.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UsableSubnetworkSecondaryRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworkSecondaryRange.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UsableSubnetworkSecondaryRange.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworkSecondaryRange.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.UsableSubnetwork.t)`, *default:* `nil`) - [Output] A list of usable subnetwork URLs.\n*   `kind` (*type:* `String.t`, *default:* `compute#usableSubnetworksAggregatedList`) - [Output Only] Type of resource. Always compute#usableSubnetworksAggregatedList for aggregated lists of usable subnetworks.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results. In special cases listUsable may return 0 subnetworks and nextPageToken which still should be used to get the next page of results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UsableSubnetworksAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.UsageExportLocation","doc":"The location in Cloud Storage and naming method of the daily usage report. Contains bucket_name and report_name prefix.","ref":"GoogleApi.Compute.V1.Model.UsageExportLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.UsageExportLocation","doc":"*   `bucketName` (*type:* `String.t`, *default:* `nil`) - The name of an existing bucket in Cloud Storage where the usage report object is stored. The Google Service Account is granted write access to this bucket. This can either be the bucket name by itself, such as example-bucket, or the bucket name with gs:// or https://storage.googleapis.com/ in front of it, such as gs://example-bucket.\n*   `reportNamePrefix` (*type:* `String.t`, *default:* `nil`) - An optional prefix for the name of the usage report object stored in bucketName. If not supplied, defaults to usage_gce. The report is stored as a CSV file named report_name_prefix_gce_YYYYMMDD.csv where YYYYMMDD is the day of the usage according to Pacific Time. If you supply a prefix, it should conform to Cloud Storage object naming conventions.","ref":"GoogleApi.Compute.V1.Model.UsageExportLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.UsageExportLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.UsageExportLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.UsageExportLocation.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.UsageExportLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappings","doc":"Contain information of Nat mapping for a VM endpoint (i.e., NIC).","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VmEndpointNatMappings","doc":"*   `instanceName` (*type:* `String.t`, *default:* `nil`) - Name of the VM instance which the endpoint belongs to\n*   `interfaceNatMappings` (*type:* `list(GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappings.t)`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappings","doc":"Contain information of Nat mapping for an interface of this endpoint.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappings","doc":"*   `drainNatIpPortRanges` (*type:* `list(String.t)`, *default:* `nil`) - List of all drain IP:port-range mappings assigned to this interface. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].\n*   `natIpPortRanges` (*type:* `list(String.t)`, *default:* `nil`) - A list of all IP:port-range mappings assigned to this interface. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].\n*   `numTotalDrainNatPorts` (*type:* `integer()`, *default:* `nil`) - Total number of drain ports across all NAT IPs allocated to this interface. It equals to the aggregated port number in the field drain_nat_ip_port_ranges.\n*   `numTotalNatPorts` (*type:* `integer()`, *default:* `nil`) - Total number of ports across all NAT IPs allocated to this interface. It equals to the aggregated port number in the field nat_ip_port_ranges.\n*   `ruleMappings` (*type:* `list(GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings.t)`, *default:* `nil`) - Information about mappings provided by rules in this NAT.\n*   `sourceAliasIpRange` (*type:* `String.t`, *default:* `nil`) - Alias IP range for this interface endpoint. It will be a private (RFC 1918) IP range. Examples: \"10.33.4.55/32\", or \"192.168.5.0/24\".\n*   `sourceVirtualIp` (*type:* `String.t`, *default:* `nil`) - Primary IP of the VM for this NIC.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings","doc":"Contains information of NAT Mappings provided by a NAT Rule.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings","doc":"*   `drainNatIpPortRanges` (*type:* `list(String.t)`, *default:* `nil`) - List of all drain IP:port-range mappings assigned to this interface by this rule. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].\n*   `natIpPortRanges` (*type:* `list(String.t)`, *default:* `nil`) - A list of all IP:port-range mappings assigned to this interface by this rule. These ranges are inclusive, that is, both the first and the last ports can be used for NAT. Example: [\"2.2.2.2:12345-12355\", \"1.1.1.1:2234-2234\"].\n*   `numTotalDrainNatPorts` (*type:* `integer()`, *default:* `nil`) - Total number of drain ports across all NAT IPs allocated to this interface by this rule. It equals the aggregated port number in the field drain_nat_ip_port_ranges.\n*   `numTotalNatPorts` (*type:* `integer()`, *default:* `nil`) - Total number of ports across all NAT IPs allocated to this interface by this rule. It equals the aggregated port number in the field nat_ip_port_ranges.\n*   `ruleNumber` (*type:* `integer()`, *default:* `nil`) - Rule number of the NAT Rule.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsInterfaceNatMappingsNatRuleMappings.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsList","doc":"Contains a list of VmEndpointNatMappings.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VmEndpointNatMappingsList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#vmEndpointNatMappingsList`) - [Output Only] Type of resource. Always compute#vmEndpointNatMappingsList for lists of Nat mappings of VM endpoints.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `result` (*type:* `list(GoogleApi.Compute.V1.Model.VmEndpointNatMappings.t)`, *default:* `nil`) - [Output Only] A list of Nat mapping information of VM endpoints.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VmEndpointNatMappingsListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGateway","doc":"Represents a HA VPN gateway. HA VPN is a high-availability (HA) Cloud VPN solution that lets you securely connect your on-premises network to your Google Cloud Virtual Private Cloud network through an IPsec VPN connection in a single region. For more information about Cloud HA VPN solutions, see Cloud VPN topologies .","ref":"GoogleApi.Compute.V1.Model.VpnGateway.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGateway","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `gatewayIpVersion` (*type:* `String.t`, *default:* `nil`) - The IP family of the gateway IPs for the HA-VPN gateway interfaces. If not specified, IPV4 will be used.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#vpnGateway`) - [Output Only] Type of resource. Always compute#vpnGateway for VPN gateways.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this VpnGateway, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a VpnGateway.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `network` (*type:* `String.t`, *default:* `nil`) - URL of the network to which this VPN gateway is attached. Provided by the client when the VPN gateway is created.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the VPN gateway resides.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `stackType` (*type:* `String.t`, *default:* `nil`) - The stack type for this VPN gateway to identify the IP protocols that are enabled. Possible values are: IPV4_ONLY, IPV4_IPV6, IPV6_ONLY. If not specified, IPV4_ONLY is used if the gateway IP version is IPV4, or IPV4_IPV6 if the gateway IP version is IPV6.\n*   `vpnInterfaces` (*type:* `list(GoogleApi.Compute.V1.Model.VpnGatewayVpnGatewayInterface.t)`, *default:* `nil`) - The list of VPN interfaces associated with this VPN gateway.","ref":"GoogleApi.Compute.V1.Model.VpnGateway.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGateway.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGateway.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGateway.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGateway.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.VpnGatewaysScopedList.t}`, *default:* `nil`) - A list of VpnGateway resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#vpnGatewayAggregatedList`) - [Output Only] Type of resource. Always compute#vpnGateway for VPN gateways.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayList","doc":"Contains a list of VpnGateway resources.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.VpnGateway.t)`, *default:* `nil`) - A list of VpnGateway resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#vpnGatewayList`) - [Output Only] Type of resource. Always compute#vpnGateway for VPN gateways.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.VpnGatewayListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.VpnGatewayListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatus","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayStatus","doc":"*   `vpnConnections` (*type:* `list(GoogleApi.Compute.V1.Model.VpnGatewayStatusVpnConnection.t)`, *default:* `nil`) - List of VPN connection for this VpnGateway.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatus.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatusHighAvailabilityRequirementState","doc":"Describes the high availability requirement state for the VPN connection between this Cloud VPN gateway and a peer gateway.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusHighAvailabilityRequirementState.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayStatusHighAvailabilityRequirementState","doc":"*   `state` (*type:* `String.t`, *default:* `nil`) - Indicates the high availability requirement state for the VPN connection. Valid values are CONNECTION_REDUNDANCY_MET, CONNECTION_REDUNDANCY_NOT_MET.\n*   `unsatisfiedReason` (*type:* `String.t`, *default:* `nil`) - Indicates the reason why the VPN connection does not meet the high availability redundancy criteria/requirement. Valid values is INCOMPLETE_TUNNELS_COVERAGE.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusHighAvailabilityRequirementState.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatusHighAvailabilityRequirementState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusHighAvailabilityRequirementState.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatusHighAvailabilityRequirementState.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusHighAvailabilityRequirementState.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatusTunnel","doc":"Contains some information about a VPN tunnel.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusTunnel.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayStatusTunnel","doc":"*   `localGatewayInterface` (*type:* `integer()`, *default:* `nil`) - The VPN gateway interface this VPN tunnel is associated with.\n*   `peerGatewayInterface` (*type:* `integer()`, *default:* `nil`) - The peer gateway interface this VPN tunnel is connected to, the peer gateway could either be an external VPN gateway or a Google Cloud VPN gateway.\n*   `tunnelUrl` (*type:* `String.t`, *default:* `nil`) - URL reference to the VPN tunnel.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusTunnel.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatusTunnel.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusTunnel.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatusTunnel.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusTunnel.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatusVpnConnection","doc":"A VPN connection contains all VPN tunnels connected from this VpnGateway to the same peer gateway. The peer gateway could either be an external VPN gateway or a Google Cloud VPN gateway.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusVpnConnection.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayStatusVpnConnection","doc":"*   `peerExternalGateway` (*type:* `String.t`, *default:* `nil`) - URL reference to the peer external VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peer_gcp_gateway.\n*   `peerGcpGateway` (*type:* `String.t`, *default:* `nil`) - URL reference to the peer side VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peer_gcp_gateway.\n*   `state` (*type:* `GoogleApi.Compute.V1.Model.VpnGatewayStatusHighAvailabilityRequirementState.t`, *default:* `nil`) - HighAvailabilityRequirementState for the VPN connection.\n*   `tunnels` (*type:* `list(GoogleApi.Compute.V1.Model.VpnGatewayStatusTunnel.t)`, *default:* `nil`) - List of VPN tunnels that are in this VPN connection.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusVpnConnection.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatusVpnConnection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusVpnConnection.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayStatusVpnConnection.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayStatusVpnConnection.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewayVpnGatewayInterface","doc":"A VPN gateway interface.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayVpnGatewayInterface.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewayVpnGatewayInterface","doc":"*   `id` (*type:* `integer()`, *default:* `nil`) - [Output Only] Numeric identifier for this VPN interface associated with the VPN gateway.\n*   `interconnectAttachment` (*type:* `String.t`, *default:* `nil`) - URL of the VLAN attachment (interconnectAttachment) resource for this VPN gateway interface. When the value of this field is present, the VPN gateway is used for HA VPN over Cloud Interconnect; all egress or ingress traffic for this VPN gateway interface goes through the specified VLAN attachment resource.\n*   `ipAddress` (*type:* `String.t`, *default:* `nil`) - [Output Only] IP address for this VPN interface associated with the VPN gateway. The IP address could be either a regional external IP address or a regional internal IP address. The two IP addresses for a VPN gateway must be all regional external or regional internal IP addresses. There cannot be a mix of regional external IP addresses and regional internal IP addresses. For HA VPN over Cloud Interconnect, the IP addresses for both interfaces could either be regional internal IP addresses or regional external IP addresses. For regular (non HA VPN over Cloud Interconnect) HA VPN tunnels, the IP address must be a regional external IP address.\n*   `ipv6Address` (*type:* `String.t`, *default:* `nil`) - [Output Only] IPv6 address for this VPN interface associated with the VPN gateway. The IPv6 address must be a regional external IPv6 address. The format is RFC 5952 format (e.g. 2001:db8::2d9:51:0:0).","ref":"GoogleApi.Compute.V1.Model.VpnGatewayVpnGatewayInterface.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewayVpnGatewayInterface.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewayVpnGatewayInterface.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewayVpnGatewayInterface.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewayVpnGatewayInterface.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewaysGetStatusResponse","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysGetStatusResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewaysGetStatusResponse","doc":"*   `result` (*type:* `GoogleApi.Compute.V1.Model.VpnGatewayStatus.t`, *default:* `nil`) -","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysGetStatusResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewaysGetStatusResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysGetStatusResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewaysGetStatusResponse.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysGetStatusResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewaysScopedList","doc":"*   `vpnGateways` (*type:* `list(GoogleApi.Compute.V1.Model.VpnGateway.t)`, *default:* `nil`) - [Output Only] A list of VPN gateways contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarning","doc":"[Output Only] Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnGatewaysScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnTunnel","doc":"Represents a Cloud VPN Tunnel resource. For more information about VPN, read the the Cloud VPN Overview.","ref":"GoogleApi.Compute.V1.Model.VpnTunnel.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnTunnel","doc":"*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `description` (*type:* `String.t`, *default:* `nil`) - An optional description of this resource. Provide this property when you create the resource.\n*   `detailedStatus` (*type:* `String.t`, *default:* `nil`) - [Output Only] Detailed status message for the VPN tunnel.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `ikeVersion` (*type:* `integer()`, *default:* `nil`) - IKE protocol version to use when establishing the VPN tunnel with the peer VPN gateway. Acceptable IKE versions are 1 or 2. The default version is 2.\n*   `kind` (*type:* `String.t`, *default:* `compute#vpnTunnel`) - [Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.\n*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - A fingerprint for the labels being applied to this VpnTunnel, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels, otherwise the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve a VpnTunnel.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Labels for this resource. These can only be added or modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.\n*   `localTrafficSelector` (*type:* `list(String.t)`, *default:* `nil`) - Local traffic selector to use when establishing the VPN tunnel with the peer VPN gateway. The value should be a CIDR formatted string, for example: 192.168.0.0/16. The ranges must be disjoint. Only IPv4 is supported for Classic VPN tunnels. This field is output only for HA VPN tunnels.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n*   `peerExternalGateway` (*type:* `String.t`, *default:* `nil`) - URL of the peer side external VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created. This field is exclusive with the field peerGcpGateway.\n*   `peerExternalGatewayInterface` (*type:* `integer()`, *default:* `nil`) - The interface ID of the external VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created. Possible values are: `0`, `1`, `2`, `3`. The number of IDs in use depends on the external VPN gateway redundancy type.\n*   `peerGcpGateway` (*type:* `String.t`, *default:* `nil`) - URL of the peer side HA VPN gateway to which this VPN tunnel is connected. Provided by the client when the VPN tunnel is created. This field can be used when creating highly available VPN from VPC network to VPC network, the field is exclusive with the field peerExternalGateway. If provided, the VPN tunnel will automatically use the same vpnGatewayInterface ID in the peer Google Cloud VPN gateway.\n*   `peerIp` (*type:* `String.t`, *default:* `nil`) - IP address of the peer VPN gateway. Only IPv4 is supported. This field can be set only for Classic VPN tunnels.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] URL of the region where the VPN tunnel resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.\n*   `remoteTrafficSelector` (*type:* `list(String.t)`, *default:* `nil`) - Remote traffic selectors to use when establishing the VPN tunnel with the peer VPN gateway. The value should be a CIDR formatted string, for example: 192.168.0.0/16. The ranges should be disjoint. Only IPv4 is supported for Classic VPN tunnels. This field is output only for HA VPN tunnels.\n*   `router` (*type:* `String.t`, *default:* `nil`) - URL of the router resource to be used for dynamic routing.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `sharedSecret` (*type:* `String.t`, *default:* `nil`) - Shared secret used to set the secure session between the Cloud VPN gateway and the peer VPN gateway.\n*   `sharedSecretHash` (*type:* `String.t`, *default:* `nil`) - Hash of the shared secret.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] The status of the VPN tunnel, which can be one of the following: - PROVISIONING: Resource is being allocated for the VPN tunnel. - WAITING_FOR_FULL_CONFIG: Waiting to receive all VPN-related configs from the user. Network, TargetVpnGateway, VpnTunnel, ForwardingRule, and Route resources are needed to setup the VPN tunnel. - FIRST_HANDSHAKE: Successful first handshake with the peer VPN. - ESTABLISHED: Secure session is successfully established with the peer VPN. - NETWORK_ERROR: Deprecated, replaced by NO_INCOMING_PACKETS - AUTHORIZATION_ERROR: Auth error (for example, bad shared secret). - NEGOTIATION_FAILURE: Handshake failed. - DEPROVISIONING: Resources are being deallocated for the VPN tunnel. - FAILED: Tunnel creation has failed and the tunnel is not ready to be used. - NO_INCOMING_PACKETS: No incoming packets from peer. - REJECTED: Tunnel configuration was rejected, can be result of being denied access. - ALLOCATING_RESOURCES: Cloud VPN is in the process of allocating all required resources. - STOPPED: Tunnel is stopped due to its Forwarding Rules being deleted for Classic VPN tunnels or the project is in frozen state. - PEER_IDENTITY_MISMATCH: Peer identity does not match peer IP, probably behind NAT. - TS_NARROWING_NOT_ALLOWED: Traffic selector narrowing not allowed for an HA-VPN tunnel. \n*   `targetVpnGateway` (*type:* `String.t`, *default:* `nil`) - URL of the Target VPN gateway with which this VPN tunnel is associated. Provided by the client when the VPN tunnel is created. This field can be set only for Classic VPN tunnels.\n*   `vpnGateway` (*type:* `String.t`, *default:* `nil`) - URL of the VPN gateway with which this VPN tunnel is associated. Provided by the client when the VPN tunnel is created. This must be used (instead of target_vpn_gateway) if a High Availability VPN gateway resource is created.\n*   `vpnGatewayInterface` (*type:* `integer()`, *default:* `nil`) - The interface ID of the VPN gateway with which this VPN tunnel is associated. Possible values are: `0`, `1`.","ref":"GoogleApi.Compute.V1.Model.VpnTunnel.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnTunnel.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnTunnel.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnTunnel.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnel.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedList","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnTunnelAggregatedList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `%{optional(String.t) => GoogleApi.Compute.V1.Model.VpnTunnelsScopedList.t}`, *default:* `nil`) - A list of VpnTunnelsScopedList resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#vpnTunnelAggregatedList`) - [Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `unreachables` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Unreachable resources.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelAggregatedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnTunnelList","doc":"Contains a list of VpnTunnel resources.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnTunnelList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.VpnTunnel.t)`, *default:* `nil`) - A list of VpnTunnel resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#vpnTunnelList`) - [Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.VpnTunnelListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnTunnelList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnTunnelList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnTunnelListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnTunnelListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.VpnTunnelListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnTunnelListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnTunnelListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnTunnelListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnTunnelListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnTunnelListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnTunnelListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedList","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnTunnelsScopedList","doc":"*   `vpnTunnels` (*type:* `list(GoogleApi.Compute.V1.Model.VpnTunnel.t)`, *default:* `nil`) - A list of VPN tunnels contained in this scope.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarning.t`, *default:* `nil`) - Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarning","doc":"Informational warning which replaces the list of addresses when the list is empty.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.VpnTunnelsScopedListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.WafExpressionSet","doc":"","ref":"GoogleApi.Compute.V1.Model.WafExpressionSet.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.WafExpressionSet","doc":"*   `aliases` (*type:* `list(String.t)`, *default:* `nil`) - A list of alternate IDs. The format should be: - E.g. XSS-stable Generic suffix like \"stable\" is particularly useful if a policy likes to avail newer set of expressions without having to change the policy. A given alias name can't be used for more than one entity set.\n*   `expressions` (*type:* `list(GoogleApi.Compute.V1.Model.WafExpressionSetExpression.t)`, *default:* `nil`) - List of available expressions.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Google specified expression set ID. The format should be: - E.g. XSS-20170329 required","ref":"GoogleApi.Compute.V1.Model.WafExpressionSet.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.WafExpressionSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.WafExpressionSet.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.WafExpressionSet.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.WafExpressionSet.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.WafExpressionSetExpression","doc":"","ref":"GoogleApi.Compute.V1.Model.WafExpressionSetExpression.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.WafExpressionSetExpression","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Expression ID should uniquely identify the origin of the expression. E.g. owasp-crs-v020901-id973337 identifies Owasp core rule set version 2.9.1 rule id 973337. The ID could be used to determine the individual attack definition that has been detected. It could also be used to exclude it from the policy in case of false positive. required\n*   `sensitivity` (*type:* `integer()`, *default:* `nil`) - The sensitivity value associated with the WAF rule ID. This corresponds to the ModSecurity paranoia level, ranging from 1 to 4. 0 is reserved for opt-in only rules.","ref":"GoogleApi.Compute.V1.Model.WafExpressionSetExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.WafExpressionSetExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.WafExpressionSetExpression.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.WafExpressionSetExpression.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.WafExpressionSetExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.WeightedBackendService","doc":"In contrast to a single BackendService in HttpRouteAction to which all matching traffic is directed to, WeightedBackendService allows traffic to be split across multiple backend services. The volume of traffic for each backend service is proportional to the weight specified in each WeightedBackendService","ref":"GoogleApi.Compute.V1.Model.WeightedBackendService.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.WeightedBackendService","doc":"*   `backendService` (*type:* `String.t`, *default:* `nil`) - The full or partial URL to the default BackendService resource. Before forwarding the request to backendService, the load balancer applies any relevant headerActions specified as part of this backendServiceWeight.\n*   `headerAction` (*type:* `GoogleApi.Compute.V1.Model.HttpHeaderAction.t`, *default:* `nil`) - Specifies changes to request and response headers that need to take effect for the selected backendService. headerAction specified here take effect before headerAction in the enclosing HttpRouteRule, PathMatcher and UrlMap. headerAction is not supported for load balancers that have their loadBalancingScheme set to EXTERNAL. Not supported when the URL map is bound to a target gRPC proxy that has validateForProxyless field set to true.\n*   `weight` (*type:* `integer()`, *default:* `nil`) - Specifies the fraction of traffic sent to a backend service, computed as weight / (sum of all weightedBackendService weights in routeAction) . The selection of a backend service is determined only for new traffic. Once a user's request has been directed to a backend service, subsequent requests are sent to the same backend service as determined by the backend service's session affinity policy. Don't configure session affinity if you're using weighted traffic splitting. If you do, the weighted traffic splitting configuration takes precedence. The value must be from 0 to 1000.","ref":"GoogleApi.Compute.V1.Model.WeightedBackendService.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.WeightedBackendService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.WeightedBackendService.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.WeightedBackendService.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.WeightedBackendService.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.XpnHostList","doc":"","ref":"GoogleApi.Compute.V1.Model.XpnHostList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.XpnHostList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Project.t)`, *default:* `nil`) - [Output Only] A list of shared VPC host project URLs.\n*   `kind` (*type:* `String.t`, *default:* `compute#xpnHostList`) - [Output Only] Type of resource. Always compute#xpnHostList for lists of shared VPC hosts.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.XpnHostListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.XpnHostList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.XpnHostList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.XpnHostList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.XpnHostList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.XpnHostList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.XpnHostListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.XpnHostListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.XpnHostListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.XpnHostListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.XpnHostListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.XpnHostListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.XpnHostListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.XpnHostListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.XpnHostListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.XpnHostListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.XpnHostListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.XpnHostListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.XpnHostListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.XpnHostListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.XpnHostListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.XpnHostListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.XpnHostListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.XpnResourceId","doc":"Service resource (a.k.a service project) ID.","ref":"GoogleApi.Compute.V1.Model.XpnResourceId.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.XpnResourceId","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The ID of the service resource. In the case of projects, this field supports project id (e.g., my-project-123) and project number (e.g. 12345678).\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the service resource.","ref":"GoogleApi.Compute.V1.Model.XpnResourceId.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.XpnResourceId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.XpnResourceId.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.XpnResourceId.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.XpnResourceId.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.Zone","doc":"Represents a Zone resource. A zone is a deployment area. These deployment areas are subsets of a region. For example the zone us-east1-b is located in the us-east1 region. For more information, read Regions and Zones.","ref":"GoogleApi.Compute.V1.Model.Zone.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.Zone","doc":"*   `availableCpuPlatforms` (*type:* `list(String.t)`, *default:* `nil`) - [Output Only] Available cpu/platform selections for the zone.\n*   `creationTimestamp` (*type:* `String.t`, *default:* `nil`) - [Output Only] Creation timestamp in RFC3339 text format.\n*   `deprecated` (*type:* `GoogleApi.Compute.V1.Model.DeprecationStatus.t`, *default:* `nil`) - [Output Only] The deprecation status associated with this zone.\n*   `description` (*type:* `String.t`, *default:* `nil`) - [Output Only] Textual description of the resource.\n*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] The unique identifier for the resource. This identifier is defined by the server.\n*   `kind` (*type:* `String.t`, *default:* `compute#zone`) - [Output Only] Type of the resource. Always compute#zone for zones.\n*   `name` (*type:* `String.t`, *default:* `nil`) - [Output Only] Name of the resource.\n*   `region` (*type:* `String.t`, *default:* `nil`) - [Output Only] Full URL reference to the region which hosts the zone.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for the resource.\n*   `status` (*type:* `String.t`, *default:* `nil`) - [Output Only] Status of the zone, either UP or DOWN.\n*   `supportsPzs` (*type:* `boolean()`, *default:* `nil`) - [Output Only] Reserved for future use.","ref":"GoogleApi.Compute.V1.Model.Zone.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.Zone.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.Zone.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.Zone.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.Zone.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ZoneList","doc":"Contains a list of zone resources.","ref":"GoogleApi.Compute.V1.Model.ZoneList.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ZoneList","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - [Output Only] Unique identifier for the resource; defined by the server.\n*   `items` (*type:* `list(GoogleApi.Compute.V1.Model.Zone.t)`, *default:* `nil`) - A list of Zone resources.\n*   `kind` (*type:* `String.t`, *default:* `compute#zoneList`) - Type of resource.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.\n*   `selfLink` (*type:* `String.t`, *default:* `nil`) - [Output Only] Server-defined URL for this resource.\n*   `warning` (*type:* `GoogleApi.Compute.V1.Model.ZoneListWarning.t`, *default:* `nil`) - [Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ZoneList.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ZoneList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ZoneList.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ZoneList.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ZoneList.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ZoneListWarning","doc":"[Output Only] Informational warning message.","ref":"GoogleApi.Compute.V1.Model.ZoneListWarning.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ZoneListWarning","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.\n*   `data` (*type:* `list(GoogleApi.Compute.V1.Model.ZoneListWarningData.t)`, *default:* `nil`) - [Output Only] Metadata about this warning in key: value format. For example: \"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" } \n*   `message` (*type:* `String.t`, *default:* `nil`) - [Output Only] A human-readable description of the warning code.","ref":"GoogleApi.Compute.V1.Model.ZoneListWarning.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ZoneListWarning.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ZoneListWarning.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ZoneListWarning.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ZoneListWarning.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ZoneListWarningData","doc":"","ref":"GoogleApi.Compute.V1.Model.ZoneListWarningData.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ZoneListWarningData","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - [Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding).\n*   `value` (*type:* `String.t`, *default:* `nil`) - [Output Only] A warning data value corresponding to the key.","ref":"GoogleApi.Compute.V1.Model.ZoneListWarningData.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ZoneListWarningData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ZoneListWarningData.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ZoneListWarningData.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ZoneListWarningData.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ZoneSetLabelsRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.ZoneSetLabelsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ZoneSetLabelsRequest","doc":"*   `labelFingerprint` (*type:* `String.t`, *default:* `nil`) - The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. Make a get() request to the resource to get the latest fingerprint.\n*   `labels` (*type:* `map()`, *default:* `nil`) - The labels to set for this resource.","ref":"GoogleApi.Compute.V1.Model.ZoneSetLabelsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ZoneSetLabelsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ZoneSetLabelsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ZoneSetLabelsRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ZoneSetLabelsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest","doc":"","ref":"GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest","doc":"*   `bindings` (*type:* `list(GoogleApi.Compute.V1.Model.Binding.t)`, *default:* `nil`) - Flatten Policy to create a backwacd compatible wire-format. Deprecated. Use 'policy' to specify bindings.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - Flatten Policy to create a backward compatible wire-format. Deprecated. Use 'policy' to specify the etag.\n*   `policy` (*type:* `GoogleApi.Compute.V1.Model.Policy.t`, *default:* `nil`) - REQUIRED: The complete policy to be applied to the 'resource'. The size of the policy is limited to a few 10s of KB. An empty policy is in general a valid policy but certain services (like Projects) might reject them.","ref":"GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.t/0","doc":"","ref":"GoogleApi.Compute.V1.Model.ZoneSetPolicyRequest.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}